/*===========================================================================*/
/*   (Reduce/cond.scm)                                                       */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Reduce/cond.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_REDUCE_COND_TYPE_DEFINITIONS
#define BGL_REDUCE_COND_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


#endif													// BGL_REDUCE_COND_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static BgL_nodez00_bglt
		BGl_nodezd2condz12zc0zzreduce_condz00(BgL_nodez00_bglt);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_returnz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzreduce_condz00 = BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t BGl_z62reducezd2conditionalz12za2zzreduce_condz00(obj_t, obj_t);
	static obj_t BGl_z62staticzd2valuezd2atom1345z62zzreduce_condz00(obj_t,
		obj_t);
	static obj_t BGl_z62staticzd2valuezd2sequenc1347z62zzreduce_condz00(obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62nodezd2condz12za2zzreduce_condz00(obj_t,
		obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2letzd2fun1323za2zzreduce_condz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzreduce_condz00(void);
	static obj_t BGl_z62nodezd2condz121288za2zzreduce_condz00(obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzreduce_condz00(void);
	extern obj_t BGl_getfieldz00zzast_nodez00;
	static obj_t BGl_staticzd2valuezd2zzreduce_condz00(BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2app1305z70zzreduce_condz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzreduce_condz00(void);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2boxzd2setz121337zb0zzreduce_condz00(obj_t, obj_t);
	static obj_t BGl_nodezd2condza2z12z62zzreduce_condz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2makezd2box1335za2zzreduce_condz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2var1296z70zzreduce_condz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2atom1292z70zzreduce_condz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_reducezd2conditionalz12zc0zzreduce_condz00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2kwote1294z70zzreduce_condz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzreduce_condz00(void);
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2condition1317z70zzreduce_condz00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2funcall1309z70zzreduce_condz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2cast1313z70zzreduce_condz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2sequence1301z70zzreduce_condz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2letzd2var1325za2zzreduce_condz00(obj_t, obj_t);
	static obj_t BGl_za2z42zd3fxza2z91zzreduce_condz00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2appzd2ly1307za2zzreduce_condz00(obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2setq1315z70zzreduce_condz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2sync1303z70zzreduce_condz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2fail1319z70zzreduce_condz00(obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2boxzd2ref1339za2zzreduce_condz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzreduce_condz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_resetzd2condzd2cachez12z12zzreduce_condz00(void);
	static long BGl_za2condzd2reducedza2zd2zzreduce_condz00 = 0L;
	extern obj_t BGl_vrefz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2return1333z70zzreduce_condz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2jumpzd2exzd2i1329z70zzreduce_condz00(obj_t, obj_t);
	static obj_t BGl_z62staticzd2valuezb0zzreduce_condz00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2extern1311z70zzreduce_condz00(obj_t, obj_t);
	static obj_t BGl_initzd2condzd2cachez12z12zzreduce_condz00(void);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzreduce_condz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_condz00(void);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2switch1321z70zzreduce_condz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzreduce_condz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzreduce_condz00(void);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2setzd2exzd2it1327z70zzreduce_condz00(obj_t, obj_t);
	extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
	extern obj_t BGl_retblockz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2closure1298z70zzreduce_condz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2retblock1331z70zzreduce_condz00(obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static bool_t BGl_sidezd2effectzd2safezf3zf3zzreduce_condz00(obj_t);
	static obj_t BGl_za2z42eqza2z42zzreduce_condz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62staticzd2valuezd2letzd2var1343zb0zzreduce_condz00(obj_t,
		obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t BGl_z62staticzd2value1340zb0zzreduce_condz00(obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t __cnst[7];


	   
		 
		DEFINE_STRING(BGl_string2050z00zzreduce_condz00,
		BgL_bgl_string2050za700za7za7r2089za7, "      conditional expression ", 29);
	      DEFINE_STRING(BGl_string2051z00zzreduce_condz00,
		BgL_bgl_string2051za700za7za7r2090za7, "(reduced: ", 10);
	      DEFINE_STRING(BGl_string2053z00zzreduce_condz00,
		BgL_bgl_string2053za700za7za7r2091za7, "node-cond!1288", 14);
	      DEFINE_STRING(BGl_string2055z00zzreduce_condz00,
		BgL_bgl_string2055za700za7za7r2092za7, "static-value1340", 16);
	      DEFINE_STRING(BGl_string2056z00zzreduce_condz00,
		BgL_bgl_string2056za700za7za7r2093za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2058z00zzreduce_condz00,
		BgL_bgl_string2058za700za7za7r2094za7, "node-cond!", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2052z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712095za7,
		BGl_z62nodezd2condz121288za2zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2054z00zzreduce_condz00,
		BgL_bgl_za762staticza7d2valu2096z00,
		BGl_z62staticzd2value1340zb0zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2057z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712097za7,
		BGl_z62nodezd2condz12zd2atom1292z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2059z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712098za7,
		BGl_z62nodezd2condz12zd2kwote1294z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2060z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712099za7,
		BGl_z62nodezd2condz12zd2var1296z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2061z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712100za7,
		BGl_z62nodezd2condz12zd2closure1298z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2062z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712101za7,
		BGl_z62nodezd2condz12zd2sequence1301z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2063z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712102za7,
		BGl_z62nodezd2condz12zd2sync1303z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2064z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712103za7,
		BGl_z62nodezd2condz12zd2app1305z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2065z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712104za7,
		BGl_z62nodezd2condz12zd2appzd2ly1307za2zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2066z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712105za7,
		BGl_z62nodezd2condz12zd2funcall1309z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2067z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712106za7,
		BGl_z62nodezd2condz12zd2extern1311z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2068z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712107za7,
		BGl_z62nodezd2condz12zd2cast1313z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2069z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712108za7,
		BGl_z62nodezd2condz12zd2setq1315z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2070z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712109za7,
		BGl_z62nodezd2condz12zd2condition1317z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2071z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712110za7,
		BGl_z62nodezd2condz12zd2fail1319z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2072z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712111za7,
		BGl_z62nodezd2condz12zd2switch1321z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2073z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712112za7,
		BGl_z62nodezd2condz12zd2letzd2fun1323za2zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2074z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712113za7,
		BGl_z62nodezd2condz12zd2letzd2var1325za2zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2075z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712114za7,
		BGl_z62nodezd2condz12zd2setzd2exzd2it1327z70zzreduce_condz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2076z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712115za7,
		BGl_z62nodezd2condz12zd2jumpzd2exzd2i1329z70zzreduce_condz00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string2083z00zzreduce_condz00,
		BgL_bgl_string2083za700za7za7r2116za7, "static-value", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2077z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712117za7,
		BGl_z62nodezd2condz12zd2retblock1331z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2078z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712118za7,
		BGl_z62nodezd2condz12zd2return1333z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2079z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712119za7,
		BGl_z62nodezd2condz12zd2makezd2box1335za2zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2086z00zzreduce_condz00,
		BgL_bgl_string2086za700za7za7r2120za7, "reduce_cond", 11);
	      DEFINE_STRING(BGl_string2087z00zzreduce_condz00,
		BgL_bgl_string2087za700za7za7r2121za7,
		"true false node-cond!1288 done $=fx c-eq? foreign ", 50);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2080z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712122za7,
		BGl_z62nodezd2condz12zd2boxzd2setz121337zb0zzreduce_condz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2081z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712123za7,
		BGl_z62nodezd2condz12zd2boxzd2ref1339za2zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2082z00zzreduce_condz00,
		BgL_bgl_za762staticza7d2valu2124z00,
		BGl_z62staticzd2valuezd2letzd2var1343zb0zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2084z00zzreduce_condz00,
		BgL_bgl_za762staticza7d2valu2125z00,
		BGl_z62staticzd2valuezd2atom1345z62zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2085z00zzreduce_condz00,
		BgL_bgl_za762staticza7d2valu2126z00,
		BGl_z62staticzd2valuezd2sequenc1347z62zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_staticzd2valuezd2envz00zzreduce_condz00,
		BgL_bgl_za762staticza7d2valu2127z00,
		BGl_z62staticzd2valuezb0zzreduce_condz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reducezd2conditionalz12zd2envz12zzreduce_condz00,
		BgL_bgl_za762reduceza7d2cond2128z00,
		BGl_z62reducezd2conditionalz12za2zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712129za7,
		BGl_z62nodezd2condz12za2zzreduce_condz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzreduce_condz00));
		     ADD_ROOT((void *) (&BGl_za2z42zd3fxza2z91zzreduce_condz00));
		     ADD_ROOT((void *) (&BGl_za2z42eqza2z42zzreduce_condz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzreduce_condz00(long
		BgL_checksumz00_3450, char *BgL_fromz00_3451)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreduce_condz00))
				{
					BGl_requirezd2initializa7ationz75zzreduce_condz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzreduce_condz00();
					BGl_libraryzd2moduleszd2initz00zzreduce_condz00();
					BGl_cnstzd2initzd2zzreduce_condz00();
					BGl_importedzd2moduleszd2initz00zzreduce_condz00();
					BGl_genericzd2initzd2zzreduce_condz00();
					BGl_methodzd2initzd2zzreduce_condz00();
					return BGl_toplevelzd2initzd2zzreduce_condz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreduce_condz00(void)
	{
		{	/* Reduce/cond.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"reduce_cond");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "reduce_cond");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "reduce_cond");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "reduce_cond");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "reduce_cond");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"reduce_cond");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "reduce_cond");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(0L,
				"reduce_cond");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "reduce_cond");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "reduce_cond");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"reduce_cond");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreduce_condz00(void)
	{
		{	/* Reduce/cond.scm 15 */
			{	/* Reduce/cond.scm 15 */
				obj_t BgL_cportz00_3117;

				{	/* Reduce/cond.scm 15 */
					obj_t BgL_stringz00_3124;

					BgL_stringz00_3124 = BGl_string2087z00zzreduce_condz00;
					{	/* Reduce/cond.scm 15 */
						obj_t BgL_startz00_3125;

						BgL_startz00_3125 = BINT(0L);
						{	/* Reduce/cond.scm 15 */
							obj_t BgL_endz00_3126;

							BgL_endz00_3126 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3124)));
							{	/* Reduce/cond.scm 15 */

								BgL_cportz00_3117 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3124, BgL_startz00_3125, BgL_endz00_3126);
				}}}}
				{
					long BgL_iz00_3118;

					BgL_iz00_3118 = 6L;
				BgL_loopz00_3119:
					if ((BgL_iz00_3118 == (-1L)))
						{	/* Reduce/cond.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Reduce/cond.scm 15 */
							{	/* Reduce/cond.scm 15 */
								obj_t BgL_arg2088z00_3120;

								{	/* Reduce/cond.scm 15 */

									{	/* Reduce/cond.scm 15 */
										obj_t BgL_locationz00_3122;

										BgL_locationz00_3122 = BBOOL(((bool_t) 0));
										{	/* Reduce/cond.scm 15 */

											BgL_arg2088z00_3120 =
												BGl_readz00zz__readerz00(BgL_cportz00_3117,
												BgL_locationz00_3122);
										}
									}
								}
								{	/* Reduce/cond.scm 15 */
									int BgL_tmpz00_3482;

									BgL_tmpz00_3482 = (int) (BgL_iz00_3118);
									CNST_TABLE_SET(BgL_tmpz00_3482, BgL_arg2088z00_3120);
							}}
							{	/* Reduce/cond.scm 15 */
								int BgL_auxz00_3123;

								BgL_auxz00_3123 = (int) ((BgL_iz00_3118 - 1L));
								{
									long BgL_iz00_3487;

									BgL_iz00_3487 = (long) (BgL_auxz00_3123);
									BgL_iz00_3118 = BgL_iz00_3487;
									goto BgL_loopz00_3119;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzreduce_condz00(void)
	{
		{	/* Reduce/cond.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzreduce_condz00(void)
	{
		{	/* Reduce/cond.scm 15 */
			BGl_za2z42eqza2z42zzreduce_condz00 = BFALSE;
			BGl_za2z42zd3fxza2z91zzreduce_condz00 = BFALSE;
			BGl_za2condzd2reducedza2zd2zzreduce_condz00 = 0L;
			return BUNSPEC;
		}

	}



/* reduce-conditional! */
	BGL_EXPORTED_DEF obj_t BGl_reducezd2conditionalz12zc0zzreduce_condz00(obj_t
		BgL_globalsz00_3)
	{
		{	/* Reduce/cond.scm 33 */
			{	/* Reduce/cond.scm 34 */
				obj_t BgL_list1359z00_1389;

				BgL_list1359z00_1389 =
					MAKE_YOUNG_PAIR(BGl_string2050z00zzreduce_condz00, BNIL);
				BGl_verbosez00zztools_speekz00(BINT(2L), BgL_list1359z00_1389);
			}
			BGl_initzd2condzd2cachez12z12zzreduce_condz00();
			{
				obj_t BgL_l1261z00_1391;

				BgL_l1261z00_1391 = BgL_globalsz00_3;
			BgL_zc3z04anonymousza31360ze3z87_1392:
				if (PAIRP(BgL_l1261z00_1391))
					{	/* Reduce/cond.scm 36 */
						{	/* Reduce/cond.scm 37 */
							obj_t BgL_globalz00_1394;

							BgL_globalz00_1394 = CAR(BgL_l1261z00_1391);
							{	/* Reduce/cond.scm 37 */
								BgL_valuez00_bglt BgL_funz00_1395;

								BgL_funz00_1395 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1394))))->
									BgL_valuez00);
								{	/* Reduce/cond.scm 37 */
									obj_t BgL_nodez00_1396;

									BgL_nodez00_1396 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_funz00_1395)))->BgL_bodyz00);
									{	/* Reduce/cond.scm 38 */

										{	/* Reduce/cond.scm 39 */
											BgL_nodez00_bglt BgL_arg1364z00_1397;

											BgL_arg1364z00_1397 =
												BGl_nodezd2condz12zc0zzreduce_condz00(
												((BgL_nodez00_bglt) BgL_nodez00_1396));
											((((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_funz00_1395)))->
													BgL_bodyz00) =
												((obj_t) ((obj_t) BgL_arg1364z00_1397)), BUNSPEC);
										}
										BUNSPEC;
									}
								}
							}
						}
						{
							obj_t BgL_l1261z00_3507;

							BgL_l1261z00_3507 = CDR(BgL_l1261z00_1391);
							BgL_l1261z00_1391 = BgL_l1261z00_3507;
							goto BgL_zc3z04anonymousza31360ze3z87_1392;
						}
					}
				else
					{	/* Reduce/cond.scm 36 */
						((bool_t) 1);
					}
			}
			{	/* Reduce/cond.scm 42 */
				obj_t BgL_list1366z00_1400;

				{	/* Reduce/cond.scm 42 */
					obj_t BgL_arg1367z00_1401;

					{	/* Reduce/cond.scm 42 */
						obj_t BgL_arg1370z00_1402;

						{	/* Reduce/cond.scm 42 */
							obj_t BgL_arg1371z00_1403;

							BgL_arg1371z00_1403 =
								MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
							BgL_arg1370z00_1402 =
								MAKE_YOUNG_PAIR(BCHAR(((unsigned char) ')')),
								BgL_arg1371z00_1403);
						}
						BgL_arg1367z00_1401 =
							MAKE_YOUNG_PAIR(BINT(BGl_za2condzd2reducedza2zd2zzreduce_condz00),
							BgL_arg1370z00_1402);
					}
					BgL_list1366z00_1400 =
						MAKE_YOUNG_PAIR(BGl_string2051z00zzreduce_condz00,
						BgL_arg1367z00_1401);
				}
				BGl_verbosez00zztools_speekz00(BINT(2L), BgL_list1366z00_1400);
			}
			BGl_resetzd2condzd2cachez12z12zzreduce_condz00();
			return BgL_globalsz00_3;
		}

	}



/* &reduce-conditional! */
	obj_t BGl_z62reducezd2conditionalz12za2zzreduce_condz00(obj_t BgL_envz00_3024,
		obj_t BgL_globalsz00_3025)
	{
		{	/* Reduce/cond.scm 33 */
			return
				BGl_reducezd2conditionalz12zc0zzreduce_condz00(BgL_globalsz00_3025);
		}

	}



/* init-cond-cache! */
	obj_t BGl_initzd2condzd2cachez12z12zzreduce_condz00(void)
	{
		{	/* Reduce/cond.scm 56 */
			{	/* Reduce/cond.scm 57 */
				obj_t BgL_list1372z00_1404;

				BgL_list1372z00_1404 =
					MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(0)), BNIL);
				BGl_za2z42eqza2z42zzreduce_condz00 =
					BGl_findzd2globalzd2zzast_envz00(
					((obj_t) CNST_TABLE_REF(1)), BgL_list1372z00_1404);
			}
			{	/* Reduce/cond.scm 58 */
				obj_t BgL_list1373z00_1405;

				BgL_list1373z00_1405 =
					MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(0)), BNIL);
				return (BGl_za2z42zd3fxza2z91zzreduce_condz00 =
					BGl_findzd2globalzd2zzast_envz00(
						((obj_t) CNST_TABLE_REF(2)), BgL_list1373z00_1405), BUNSPEC);
			}
		}

	}



/* reset-cond-cache! */
	obj_t BGl_resetzd2condzd2cachez12z12zzreduce_condz00(void)
	{
		{	/* Reduce/cond.scm 63 */
			BGl_za2z42eqza2z42zzreduce_condz00 = BFALSE;
			return (BGl_za2z42zd3fxza2z91zzreduce_condz00 = BFALSE, BUNSPEC);
		}

	}



/* side-effect-safe? */
	bool_t BGl_sidezd2effectzd2safezf3zf3zzreduce_condz00(obj_t BgL_exprz00_17)
	{
		{	/* Reduce/cond.scm 206 */
			{	/* Reduce/cond.scm 208 */
				bool_t BgL_test2133z00_3532;

				{	/* Reduce/cond.scm 208 */
					bool_t BgL_test2134z00_3533;

					{	/* Reduce/cond.scm 208 */
						obj_t BgL_classz00_2037;

						BgL_classz00_2037 = BGl_varz00zzast_nodez00;
						if (BGL_OBJECTP(BgL_exprz00_17))
							{	/* Reduce/cond.scm 208 */
								BgL_objectz00_bglt BgL_arg1858z00_2039;

								BgL_arg1858z00_2039 = (BgL_objectz00_bglt) (BgL_exprz00_17);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Reduce/cond.scm 208 */
										long BgL_idxz00_2045;

										BgL_idxz00_2045 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2039);
										BgL_test2134z00_3533 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2045 + 2L)) == BgL_classz00_2037);
									}
								else
									{	/* Reduce/cond.scm 208 */
										bool_t BgL_res2013z00_2070;

										{	/* Reduce/cond.scm 208 */
											obj_t BgL_oclassz00_2053;

											{	/* Reduce/cond.scm 208 */
												obj_t BgL_arg1866z00_2061;
												long BgL_arg1867z00_2062;

												BgL_arg1866z00_2061 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Reduce/cond.scm 208 */
													long BgL_arg1869z00_2063;

													BgL_arg1869z00_2063 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2039);
													BgL_arg1867z00_2062 =
														(BgL_arg1869z00_2063 - OBJECT_TYPE);
												}
												BgL_oclassz00_2053 =
													VECTOR_REF(BgL_arg1866z00_2061, BgL_arg1867z00_2062);
											}
											{	/* Reduce/cond.scm 208 */
												bool_t BgL__ortest_1115z00_2054;

												BgL__ortest_1115z00_2054 =
													(BgL_classz00_2037 == BgL_oclassz00_2053);
												if (BgL__ortest_1115z00_2054)
													{	/* Reduce/cond.scm 208 */
														BgL_res2013z00_2070 = BgL__ortest_1115z00_2054;
													}
												else
													{	/* Reduce/cond.scm 208 */
														long BgL_odepthz00_2055;

														{	/* Reduce/cond.scm 208 */
															obj_t BgL_arg1855z00_2056;

															BgL_arg1855z00_2056 = (BgL_oclassz00_2053);
															BgL_odepthz00_2055 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_2056);
														}
														if ((2L < BgL_odepthz00_2055))
															{	/* Reduce/cond.scm 208 */
																obj_t BgL_arg1853z00_2058;

																{	/* Reduce/cond.scm 208 */
																	obj_t BgL_arg1854z00_2059;

																	BgL_arg1854z00_2059 = (BgL_oclassz00_2053);
																	BgL_arg1853z00_2058 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2059,
																		2L);
																}
																BgL_res2013z00_2070 =
																	(BgL_arg1853z00_2058 == BgL_classz00_2037);
															}
														else
															{	/* Reduce/cond.scm 208 */
																BgL_res2013z00_2070 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2134z00_3533 = BgL_res2013z00_2070;
									}
							}
						else
							{	/* Reduce/cond.scm 208 */
								BgL_test2134z00_3533 = ((bool_t) 0);
							}
					}
					if (BgL_test2134z00_3533)
						{	/* Reduce/cond.scm 208 */
							BgL_test2133z00_3532 = ((bool_t) 1);
						}
					else
						{	/* Reduce/cond.scm 208 */
							bool_t BgL_test2139z00_3556;

							{	/* Reduce/cond.scm 208 */
								obj_t BgL_classz00_2071;

								BgL_classz00_2071 = BGl_atomz00zzast_nodez00;
								if (BGL_OBJECTP(BgL_exprz00_17))
									{	/* Reduce/cond.scm 208 */
										BgL_objectz00_bglt BgL_arg1858z00_2073;

										BgL_arg1858z00_2073 = (BgL_objectz00_bglt) (BgL_exprz00_17);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Reduce/cond.scm 208 */
												long BgL_idxz00_2079;

												BgL_idxz00_2079 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2073);
												BgL_test2139z00_3556 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2079 + 2L)) == BgL_classz00_2071);
											}
										else
											{	/* Reduce/cond.scm 208 */
												bool_t BgL_res2014z00_2104;

												{	/* Reduce/cond.scm 208 */
													obj_t BgL_oclassz00_2087;

													{	/* Reduce/cond.scm 208 */
														obj_t BgL_arg1866z00_2095;
														long BgL_arg1867z00_2096;

														BgL_arg1866z00_2095 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Reduce/cond.scm 208 */
															long BgL_arg1869z00_2097;

															BgL_arg1869z00_2097 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2073);
															BgL_arg1867z00_2096 =
																(BgL_arg1869z00_2097 - OBJECT_TYPE);
														}
														BgL_oclassz00_2087 =
															VECTOR_REF(BgL_arg1866z00_2095,
															BgL_arg1867z00_2096);
													}
													{	/* Reduce/cond.scm 208 */
														bool_t BgL__ortest_1115z00_2088;

														BgL__ortest_1115z00_2088 =
															(BgL_classz00_2071 == BgL_oclassz00_2087);
														if (BgL__ortest_1115z00_2088)
															{	/* Reduce/cond.scm 208 */
																BgL_res2014z00_2104 = BgL__ortest_1115z00_2088;
															}
														else
															{	/* Reduce/cond.scm 208 */
																long BgL_odepthz00_2089;

																{	/* Reduce/cond.scm 208 */
																	obj_t BgL_arg1855z00_2090;

																	BgL_arg1855z00_2090 = (BgL_oclassz00_2087);
																	BgL_odepthz00_2089 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_2090);
																}
																if ((2L < BgL_odepthz00_2089))
																	{	/* Reduce/cond.scm 208 */
																		obj_t BgL_arg1853z00_2092;

																		{	/* Reduce/cond.scm 208 */
																			obj_t BgL_arg1854z00_2093;

																			BgL_arg1854z00_2093 =
																				(BgL_oclassz00_2087);
																			BgL_arg1853z00_2092 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_2093, 2L);
																		}
																		BgL_res2014z00_2104 =
																			(BgL_arg1853z00_2092 ==
																			BgL_classz00_2071);
																	}
																else
																	{	/* Reduce/cond.scm 208 */
																		BgL_res2014z00_2104 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2139z00_3556 = BgL_res2014z00_2104;
											}
									}
								else
									{	/* Reduce/cond.scm 208 */
										BgL_test2139z00_3556 = ((bool_t) 0);
									}
							}
							if (BgL_test2139z00_3556)
								{	/* Reduce/cond.scm 208 */
									BgL_test2133z00_3532 = ((bool_t) 1);
								}
							else
								{	/* Reduce/cond.scm 208 */
									obj_t BgL_classz00_2105;

									BgL_classz00_2105 = BGl_kwotez00zzast_nodez00;
									if (BGL_OBJECTP(BgL_exprz00_17))
										{	/* Reduce/cond.scm 208 */
											BgL_objectz00_bglt BgL_arg1858z00_2107;

											BgL_arg1858z00_2107 =
												(BgL_objectz00_bglt) (BgL_exprz00_17);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Reduce/cond.scm 208 */
													long BgL_idxz00_2113;

													BgL_idxz00_2113 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2107);
													BgL_test2133z00_3532 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2113 + 2L)) == BgL_classz00_2105);
												}
											else
												{	/* Reduce/cond.scm 208 */
													bool_t BgL_res2015z00_2138;

													{	/* Reduce/cond.scm 208 */
														obj_t BgL_oclassz00_2121;

														{	/* Reduce/cond.scm 208 */
															obj_t BgL_arg1866z00_2129;
															long BgL_arg1867z00_2130;

															BgL_arg1866z00_2129 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Reduce/cond.scm 208 */
																long BgL_arg1869z00_2131;

																BgL_arg1869z00_2131 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2107);
																BgL_arg1867z00_2130 =
																	(BgL_arg1869z00_2131 - OBJECT_TYPE);
															}
															BgL_oclassz00_2121 =
																VECTOR_REF(BgL_arg1866z00_2129,
																BgL_arg1867z00_2130);
														}
														{	/* Reduce/cond.scm 208 */
															bool_t BgL__ortest_1115z00_2122;

															BgL__ortest_1115z00_2122 =
																(BgL_classz00_2105 == BgL_oclassz00_2121);
															if (BgL__ortest_1115z00_2122)
																{	/* Reduce/cond.scm 208 */
																	BgL_res2015z00_2138 =
																		BgL__ortest_1115z00_2122;
																}
															else
																{	/* Reduce/cond.scm 208 */
																	long BgL_odepthz00_2123;

																	{	/* Reduce/cond.scm 208 */
																		obj_t BgL_arg1855z00_2124;

																		BgL_arg1855z00_2124 = (BgL_oclassz00_2121);
																		BgL_odepthz00_2123 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_2124);
																	}
																	if ((2L < BgL_odepthz00_2123))
																		{	/* Reduce/cond.scm 208 */
																			obj_t BgL_arg1853z00_2126;

																			{	/* Reduce/cond.scm 208 */
																				obj_t BgL_arg1854z00_2127;

																				BgL_arg1854z00_2127 =
																					(BgL_oclassz00_2121);
																				BgL_arg1853z00_2126 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_2127, 2L);
																			}
																			BgL_res2015z00_2138 =
																				(BgL_arg1853z00_2126 ==
																				BgL_classz00_2105);
																		}
																	else
																		{	/* Reduce/cond.scm 208 */
																			BgL_res2015z00_2138 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2133z00_3532 = BgL_res2015z00_2138;
												}
										}
									else
										{	/* Reduce/cond.scm 208 */
											BgL_test2133z00_3532 = ((bool_t) 0);
										}
								}
						}
				}
				if (BgL_test2133z00_3532)
					{	/* Reduce/cond.scm 208 */
						return ((bool_t) 1);
					}
				else
					{	/* Reduce/cond.scm 210 */
						bool_t BgL_test2148z00_3601;

						{	/* Reduce/cond.scm 210 */
							obj_t BgL_classz00_2139;

							BgL_classz00_2139 = BGl_vrefz00zzast_nodez00;
							if (BGL_OBJECTP(BgL_exprz00_17))
								{	/* Reduce/cond.scm 210 */
									BgL_objectz00_bglt BgL_arg1858z00_2141;

									BgL_arg1858z00_2141 = (BgL_objectz00_bglt) (BgL_exprz00_17);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Reduce/cond.scm 210 */
											long BgL_idxz00_2147;

											BgL_idxz00_2147 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2141);
											BgL_test2148z00_3601 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2147 + 5L)) == BgL_classz00_2139);
										}
									else
										{	/* Reduce/cond.scm 210 */
											bool_t BgL_res2016z00_2172;

											{	/* Reduce/cond.scm 210 */
												obj_t BgL_oclassz00_2155;

												{	/* Reduce/cond.scm 210 */
													obj_t BgL_arg1866z00_2163;
													long BgL_arg1867z00_2164;

													BgL_arg1866z00_2163 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Reduce/cond.scm 210 */
														long BgL_arg1869z00_2165;

														BgL_arg1869z00_2165 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2141);
														BgL_arg1867z00_2164 =
															(BgL_arg1869z00_2165 - OBJECT_TYPE);
													}
													BgL_oclassz00_2155 =
														VECTOR_REF(BgL_arg1866z00_2163,
														BgL_arg1867z00_2164);
												}
												{	/* Reduce/cond.scm 210 */
													bool_t BgL__ortest_1115z00_2156;

													BgL__ortest_1115z00_2156 =
														(BgL_classz00_2139 == BgL_oclassz00_2155);
													if (BgL__ortest_1115z00_2156)
														{	/* Reduce/cond.scm 210 */
															BgL_res2016z00_2172 = BgL__ortest_1115z00_2156;
														}
													else
														{	/* Reduce/cond.scm 210 */
															long BgL_odepthz00_2157;

															{	/* Reduce/cond.scm 210 */
																obj_t BgL_arg1855z00_2158;

																BgL_arg1855z00_2158 = (BgL_oclassz00_2155);
																BgL_odepthz00_2157 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_2158);
															}
															if ((5L < BgL_odepthz00_2157))
																{	/* Reduce/cond.scm 210 */
																	obj_t BgL_arg1853z00_2160;

																	{	/* Reduce/cond.scm 210 */
																		obj_t BgL_arg1854z00_2161;

																		BgL_arg1854z00_2161 = (BgL_oclassz00_2155);
																		BgL_arg1853z00_2160 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_2161, 5L);
																	}
																	BgL_res2016z00_2172 =
																		(BgL_arg1853z00_2160 == BgL_classz00_2139);
																}
															else
																{	/* Reduce/cond.scm 210 */
																	BgL_res2016z00_2172 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2148z00_3601 = BgL_res2016z00_2172;
										}
								}
							else
								{	/* Reduce/cond.scm 210 */
									BgL_test2148z00_3601 = ((bool_t) 0);
								}
						}
						if (BgL_test2148z00_3601)
							{	/* Reduce/cond.scm 211 */
								obj_t BgL_g1269z00_1410;

								BgL_g1269z00_1410 =
									(((BgL_externz00_bglt) COBJECT(
											((BgL_externz00_bglt)
												((BgL_vrefz00_bglt) BgL_exprz00_17))))->BgL_exprza2za2);
								{
									obj_t BgL_l1267z00_1412;

									BgL_l1267z00_1412 = BgL_g1269z00_1410;
								BgL_zc3z04anonymousza31379ze3z87_1413:
									if (NULLP(BgL_l1267z00_1412))
										{	/* Reduce/cond.scm 211 */
											return ((bool_t) 1);
										}
									else
										{	/* Reduce/cond.scm 211 */
											bool_t BgL_test2154z00_3629;

											{	/* Reduce/cond.scm 211 */
												obj_t BgL_arg1383z00_1418;

												BgL_arg1383z00_1418 = CAR(((obj_t) BgL_l1267z00_1412));
												BgL_test2154z00_3629 =
													BGl_sidezd2effectzd2safezf3zf3zzreduce_condz00
													(BgL_arg1383z00_1418);
											}
											if (BgL_test2154z00_3629)
												{	/* Reduce/cond.scm 211 */
													obj_t BgL_arg1382z00_1417;

													BgL_arg1382z00_1417 =
														CDR(((obj_t) BgL_l1267z00_1412));
													{
														obj_t BgL_l1267z00_3635;

														BgL_l1267z00_3635 = BgL_arg1382z00_1417;
														BgL_l1267z00_1412 = BgL_l1267z00_3635;
														goto BgL_zc3z04anonymousza31379ze3z87_1413;
													}
												}
											else
												{	/* Reduce/cond.scm 211 */
													return ((bool_t) 0);
												}
										}
								}
							}
						else
							{	/* Reduce/cond.scm 212 */
								bool_t BgL_test2155z00_3636;

								{	/* Reduce/cond.scm 212 */
									obj_t BgL_classz00_2176;

									BgL_classz00_2176 = BGl_getfieldz00zzast_nodez00;
									if (BGL_OBJECTP(BgL_exprz00_17))
										{	/* Reduce/cond.scm 212 */
											BgL_objectz00_bglt BgL_arg1858z00_2178;

											BgL_arg1858z00_2178 =
												(BgL_objectz00_bglt) (BgL_exprz00_17);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Reduce/cond.scm 212 */
													long BgL_idxz00_2184;

													BgL_idxz00_2184 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2178);
													BgL_test2155z00_3636 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2184 + 5L)) == BgL_classz00_2176);
												}
											else
												{	/* Reduce/cond.scm 212 */
													bool_t BgL_res2017z00_2209;

													{	/* Reduce/cond.scm 212 */
														obj_t BgL_oclassz00_2192;

														{	/* Reduce/cond.scm 212 */
															obj_t BgL_arg1866z00_2200;
															long BgL_arg1867z00_2201;

															BgL_arg1866z00_2200 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Reduce/cond.scm 212 */
																long BgL_arg1869z00_2202;

																BgL_arg1869z00_2202 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2178);
																BgL_arg1867z00_2201 =
																	(BgL_arg1869z00_2202 - OBJECT_TYPE);
															}
															BgL_oclassz00_2192 =
																VECTOR_REF(BgL_arg1866z00_2200,
																BgL_arg1867z00_2201);
														}
														{	/* Reduce/cond.scm 212 */
															bool_t BgL__ortest_1115z00_2193;

															BgL__ortest_1115z00_2193 =
																(BgL_classz00_2176 == BgL_oclassz00_2192);
															if (BgL__ortest_1115z00_2193)
																{	/* Reduce/cond.scm 212 */
																	BgL_res2017z00_2209 =
																		BgL__ortest_1115z00_2193;
																}
															else
																{	/* Reduce/cond.scm 212 */
																	long BgL_odepthz00_2194;

																	{	/* Reduce/cond.scm 212 */
																		obj_t BgL_arg1855z00_2195;

																		BgL_arg1855z00_2195 = (BgL_oclassz00_2192);
																		BgL_odepthz00_2194 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_2195);
																	}
																	if ((5L < BgL_odepthz00_2194))
																		{	/* Reduce/cond.scm 212 */
																			obj_t BgL_arg1853z00_2197;

																			{	/* Reduce/cond.scm 212 */
																				obj_t BgL_arg1854z00_2198;

																				BgL_arg1854z00_2198 =
																					(BgL_oclassz00_2192);
																				BgL_arg1853z00_2197 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_2198, 5L);
																			}
																			BgL_res2017z00_2209 =
																				(BgL_arg1853z00_2197 ==
																				BgL_classz00_2176);
																		}
																	else
																		{	/* Reduce/cond.scm 212 */
																			BgL_res2017z00_2209 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2155z00_3636 = BgL_res2017z00_2209;
												}
										}
									else
										{	/* Reduce/cond.scm 212 */
											BgL_test2155z00_3636 = ((bool_t) 0);
										}
								}
								if (BgL_test2155z00_3636)
									{	/* Reduce/cond.scm 213 */
										obj_t BgL_g1273z00_1421;

										BgL_g1273z00_1421 =
											(((BgL_externz00_bglt) COBJECT(
													((BgL_externz00_bglt)
														((BgL_getfieldz00_bglt) BgL_exprz00_17))))->
											BgL_exprza2za2);
										{
											obj_t BgL_l1271z00_1423;

											BgL_l1271z00_1423 = BgL_g1273z00_1421;
										BgL_zc3z04anonymousza31385ze3z87_1424:
											if (NULLP(BgL_l1271z00_1423))
												{	/* Reduce/cond.scm 213 */
													return ((bool_t) 1);
												}
											else
												{	/* Reduce/cond.scm 213 */
													bool_t BgL_test2161z00_3664;

													{	/* Reduce/cond.scm 213 */
														obj_t BgL_arg1390z00_1429;

														BgL_arg1390z00_1429 =
															CAR(((obj_t) BgL_l1271z00_1423));
														BgL_test2161z00_3664 =
															BGl_sidezd2effectzd2safezf3zf3zzreduce_condz00
															(BgL_arg1390z00_1429);
													}
													if (BgL_test2161z00_3664)
														{	/* Reduce/cond.scm 213 */
															obj_t BgL_arg1388z00_1428;

															BgL_arg1388z00_1428 =
																CDR(((obj_t) BgL_l1271z00_1423));
															{
																obj_t BgL_l1271z00_3670;

																BgL_l1271z00_3670 = BgL_arg1388z00_1428;
																BgL_l1271z00_1423 = BgL_l1271z00_3670;
																goto BgL_zc3z04anonymousza31385ze3z87_1424;
															}
														}
													else
														{	/* Reduce/cond.scm 213 */
															return ((bool_t) 0);
														}
												}
										}
									}
								else
									{	/* Reduce/cond.scm 214 */
										bool_t BgL_test2162z00_3671;

										{	/* Reduce/cond.scm 214 */
											obj_t BgL_classz00_2213;

											BgL_classz00_2213 = BGl_appz00zzast_nodez00;
											if (BGL_OBJECTP(BgL_exprz00_17))
												{	/* Reduce/cond.scm 214 */
													BgL_objectz00_bglt BgL_arg1858z00_2215;

													BgL_arg1858z00_2215 =
														(BgL_objectz00_bglt) (BgL_exprz00_17);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Reduce/cond.scm 214 */
															long BgL_idxz00_2221;

															BgL_idxz00_2221 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2215);
															BgL_test2162z00_3671 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_2221 + 3L)) == BgL_classz00_2213);
														}
													else
														{	/* Reduce/cond.scm 214 */
															bool_t BgL_res2018z00_2246;

															{	/* Reduce/cond.scm 214 */
																obj_t BgL_oclassz00_2229;

																{	/* Reduce/cond.scm 214 */
																	obj_t BgL_arg1866z00_2237;
																	long BgL_arg1867z00_2238;

																	BgL_arg1866z00_2237 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* Reduce/cond.scm 214 */
																		long BgL_arg1869z00_2239;

																		BgL_arg1869z00_2239 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2215);
																		BgL_arg1867z00_2238 =
																			(BgL_arg1869z00_2239 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_2229 =
																		VECTOR_REF(BgL_arg1866z00_2237,
																		BgL_arg1867z00_2238);
																}
																{	/* Reduce/cond.scm 214 */
																	bool_t BgL__ortest_1115z00_2230;

																	BgL__ortest_1115z00_2230 =
																		(BgL_classz00_2213 == BgL_oclassz00_2229);
																	if (BgL__ortest_1115z00_2230)
																		{	/* Reduce/cond.scm 214 */
																			BgL_res2018z00_2246 =
																				BgL__ortest_1115z00_2230;
																		}
																	else
																		{	/* Reduce/cond.scm 214 */
																			long BgL_odepthz00_2231;

																			{	/* Reduce/cond.scm 214 */
																				obj_t BgL_arg1855z00_2232;

																				BgL_arg1855z00_2232 =
																					(BgL_oclassz00_2229);
																				BgL_odepthz00_2231 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_2232);
																			}
																			if ((3L < BgL_odepthz00_2231))
																				{	/* Reduce/cond.scm 214 */
																					obj_t BgL_arg1853z00_2234;

																					{	/* Reduce/cond.scm 214 */
																						obj_t BgL_arg1854z00_2235;

																						BgL_arg1854z00_2235 =
																							(BgL_oclassz00_2229);
																						BgL_arg1853z00_2234 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_2235, 3L);
																					}
																					BgL_res2018z00_2246 =
																						(BgL_arg1853z00_2234 ==
																						BgL_classz00_2213);
																				}
																			else
																				{	/* Reduce/cond.scm 214 */
																					BgL_res2018z00_2246 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test2162z00_3671 = BgL_res2018z00_2246;
														}
												}
											else
												{	/* Reduce/cond.scm 214 */
													BgL_test2162z00_3671 = ((bool_t) 0);
												}
										}
										if (BgL_test2162z00_3671)
											{	/* Reduce/cond.scm 214 */
												if (CBOOL(
														(((BgL_funz00_bglt) COBJECT(
																	((BgL_funz00_bglt)
																		(((BgL_variablez00_bglt) COBJECT(
																					(((BgL_varz00_bglt) COBJECT(
																								(((BgL_appz00_bglt) COBJECT(
																											((BgL_appz00_bglt)
																												BgL_exprz00_17)))->
																									BgL_funz00)))->
																						BgL_variablez00)))->
																			BgL_valuez00))))->BgL_sidezd2effectzd2)))
													{	/* Reduce/cond.scm 218 */
														return ((bool_t) 0);
													}
												else
													{	/* Reduce/cond.scm 219 */
														obj_t BgL_g1277z00_1437;

														BgL_g1277z00_1437 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_exprz00_17)))->
															BgL_argsz00);
														{
															obj_t BgL_l1275z00_1439;

															BgL_l1275z00_1439 = BgL_g1277z00_1437;
														BgL_zc3z04anonymousza31405ze3z87_1440:
															if (NULLP(BgL_l1275z00_1439))
																{	/* Reduce/cond.scm 219 */
																	return ((bool_t) 1);
																}
															else
																{	/* Reduce/cond.scm 219 */
																	bool_t BgL_test2169z00_3706;

																	{	/* Reduce/cond.scm 219 */
																		obj_t BgL_arg1415z00_1445;

																		BgL_arg1415z00_1445 =
																			CAR(((obj_t) BgL_l1275z00_1439));
																		BgL_test2169z00_3706 =
																			BGl_sidezd2effectzd2safezf3zf3zzreduce_condz00
																			(BgL_arg1415z00_1445);
																	}
																	if (BgL_test2169z00_3706)
																		{	/* Reduce/cond.scm 219 */
																			obj_t BgL_arg1414z00_1444;

																			BgL_arg1414z00_1444 =
																				CDR(((obj_t) BgL_l1275z00_1439));
																			{
																				obj_t BgL_l1275z00_3712;

																				BgL_l1275z00_3712 = BgL_arg1414z00_1444;
																				BgL_l1275z00_1439 = BgL_l1275z00_3712;
																				goto
																					BgL_zc3z04anonymousza31405ze3z87_1440;
																			}
																		}
																	else
																		{	/* Reduce/cond.scm 219 */
																			return ((bool_t) 0);
																		}
																}
														}
													}
											}
										else
											{	/* Reduce/cond.scm 214 */
												return ((bool_t) 0);
											}
									}
							}
					}
			}
		}

	}



/* node-cond*! */
	obj_t BGl_nodezd2condza2z12z62zzreduce_condz00(obj_t BgL_nodeza2za2_30)
	{
		{	/* Reduce/cond.scm 377 */
			{
				obj_t BgL_nodeza2za2_1453;

				BgL_nodeza2za2_1453 = BgL_nodeza2za2_30;
			BgL_zc3z04anonymousza31419ze3z87_1454:
				if (NULLP(BgL_nodeza2za2_1453))
					{	/* Reduce/cond.scm 379 */
						return ((obj_t) CNST_TABLE_REF(3));
					}
				else
					{	/* Reduce/cond.scm 379 */
						{	/* Reduce/cond.scm 382 */
							BgL_nodez00_bglt BgL_arg1446z00_1456;

							{	/* Reduce/cond.scm 382 */
								obj_t BgL_arg1457z00_1457;

								BgL_arg1457z00_1457 = CAR(((obj_t) BgL_nodeza2za2_1453));
								BgL_arg1446z00_1456 =
									BGl_nodezd2condz12zc0zzreduce_condz00(
									((BgL_nodez00_bglt) BgL_arg1457z00_1457));
							}
							{	/* Reduce/cond.scm 382 */
								obj_t BgL_auxz00_3723;
								obj_t BgL_tmpz00_3721;

								BgL_auxz00_3723 = ((obj_t) BgL_arg1446z00_1456);
								BgL_tmpz00_3721 = ((obj_t) BgL_nodeza2za2_1453);
								SET_CAR(BgL_tmpz00_3721, BgL_auxz00_3723);
							}
						}
						{	/* Reduce/cond.scm 383 */
							obj_t BgL_arg1471z00_1458;

							BgL_arg1471z00_1458 = CDR(((obj_t) BgL_nodeza2za2_1453));
							{
								obj_t BgL_nodeza2za2_3728;

								BgL_nodeza2za2_3728 = BgL_arg1471z00_1458;
								BgL_nodeza2za2_1453 = BgL_nodeza2za2_3728;
								goto BgL_zc3z04anonymousza31419ze3z87_1454;
							}
						}
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzreduce_condz00(void)
	{
		{	/* Reduce/cond.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreduce_condz00(void)
	{
		{	/* Reduce/cond.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_proc2052z00zzreduce_condz00, BGl_nodez00zzast_nodez00,
				BGl_string2053z00zzreduce_condz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_staticzd2valuezd2envz00zzreduce_condz00,
				BGl_proc2054z00zzreduce_condz00, BGl_nodez00zzast_nodez00,
				BGl_string2055z00zzreduce_condz00);
		}

	}



/* &static-value1340 */
	obj_t BGl_z62staticzd2value1340zb0zzreduce_condz00(obj_t BgL_envz00_3028,
		obj_t BgL_nodez00_3029)
	{
		{	/* Reduce/cond.scm 388 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &node-cond!1288 */
	obj_t BGl_z62nodezd2condz121288za2zzreduce_condz00(obj_t BgL_envz00_3030,
		obj_t BgL_nodez00_3031)
	{
		{	/* Reduce/cond.scm 75 */
			return
				BGl_errorz00zz__errorz00(
				((obj_t)
					CNST_TABLE_REF(4)), BGl_string2056z00zzreduce_condz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_3031)));
		}

	}



/* node-cond! */
	BgL_nodez00_bglt BGl_nodezd2condz12zc0zzreduce_condz00(BgL_nodez00_bglt
		BgL_nodez00_4)
	{
		{	/* Reduce/cond.scm 75 */
			{	/* Reduce/cond.scm 75 */
				obj_t BgL_method1290z00_1468;

				{	/* Reduce/cond.scm 75 */
					obj_t BgL_res2023z00_2285;

					{	/* Reduce/cond.scm 75 */
						long BgL_objzd2classzd2numz00_2256;

						BgL_objzd2classzd2numz00_2256 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_4));
						{	/* Reduce/cond.scm 75 */
							obj_t BgL_arg1862z00_2257;

							BgL_arg1862z00_2257 =
								PROCEDURE_REF(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
								(int) (1L));
							{	/* Reduce/cond.scm 75 */
								int BgL_offsetz00_2260;

								BgL_offsetz00_2260 = (int) (BgL_objzd2classzd2numz00_2256);
								{	/* Reduce/cond.scm 75 */
									long BgL_offsetz00_2261;

									BgL_offsetz00_2261 =
										((long) (BgL_offsetz00_2260) - OBJECT_TYPE);
									{	/* Reduce/cond.scm 75 */
										long BgL_modz00_2262;

										BgL_modz00_2262 =
											(BgL_offsetz00_2261 >> (int) ((long) ((int) (4L))));
										{	/* Reduce/cond.scm 75 */
											long BgL_restz00_2264;

											BgL_restz00_2264 =
												(BgL_offsetz00_2261 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Reduce/cond.scm 75 */

												{	/* Reduce/cond.scm 75 */
													obj_t BgL_bucketz00_2266;

													BgL_bucketz00_2266 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2257), BgL_modz00_2262);
													BgL_res2023z00_2285 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2266), BgL_restz00_2264);
					}}}}}}}}
					BgL_method1290z00_1468 = BgL_res2023z00_2285;
				}
				return
					((BgL_nodez00_bglt)
					BGL_PROCEDURE_CALL1(BgL_method1290z00_1468, ((obj_t) BgL_nodez00_4)));
			}
		}

	}



/* &node-cond! */
	BgL_nodez00_bglt BGl_z62nodezd2condz12za2zzreduce_condz00(obj_t
		BgL_envz00_3032, obj_t BgL_nodez00_3033)
	{
		{	/* Reduce/cond.scm 75 */
			return
				BGl_nodezd2condz12zc0zzreduce_condz00(
				((BgL_nodez00_bglt) BgL_nodez00_3033));
		}

	}



/* static-value */
	obj_t BGl_staticzd2valuezd2zzreduce_condz00(BgL_nodez00_bglt BgL_nodez00_31)
	{
		{	/* Reduce/cond.scm 388 */
			{	/* Reduce/cond.scm 388 */
				obj_t BgL_method1341z00_1469;

				{	/* Reduce/cond.scm 388 */
					obj_t BgL_res2028z00_2316;

					{	/* Reduce/cond.scm 388 */
						long BgL_objzd2classzd2numz00_2287;

						BgL_objzd2classzd2numz00_2287 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_31));
						{	/* Reduce/cond.scm 388 */
							obj_t BgL_arg1862z00_2288;

							BgL_arg1862z00_2288 =
								PROCEDURE_REF(BGl_staticzd2valuezd2envz00zzreduce_condz00,
								(int) (1L));
							{	/* Reduce/cond.scm 388 */
								int BgL_offsetz00_2291;

								BgL_offsetz00_2291 = (int) (BgL_objzd2classzd2numz00_2287);
								{	/* Reduce/cond.scm 388 */
									long BgL_offsetz00_2292;

									BgL_offsetz00_2292 =
										((long) (BgL_offsetz00_2291) - OBJECT_TYPE);
									{	/* Reduce/cond.scm 388 */
										long BgL_modz00_2293;

										BgL_modz00_2293 =
											(BgL_offsetz00_2292 >> (int) ((long) ((int) (4L))));
										{	/* Reduce/cond.scm 388 */
											long BgL_restz00_2295;

											BgL_restz00_2295 =
												(BgL_offsetz00_2292 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Reduce/cond.scm 388 */

												{	/* Reduce/cond.scm 388 */
													obj_t BgL_bucketz00_2297;

													BgL_bucketz00_2297 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2288), BgL_modz00_2293);
													BgL_res2028z00_2316 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2297), BgL_restz00_2295);
					}}}}}}}}
					BgL_method1341z00_1469 = BgL_res2028z00_2316;
				}
				return
					BGL_PROCEDURE_CALL1(BgL_method1341z00_1469, ((obj_t) BgL_nodez00_31));
			}
		}

	}



/* &static-value */
	obj_t BGl_z62staticzd2valuezb0zzreduce_condz00(obj_t BgL_envz00_3034,
		obj_t BgL_nodez00_3035)
	{
		{	/* Reduce/cond.scm 388 */
			return
				BGl_staticzd2valuezd2zzreduce_condz00(
				((BgL_nodez00_bglt) BgL_nodez00_3035));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreduce_condz00(void)
	{
		{	/* Reduce/cond.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_atomz00zzast_nodez00,
				BGl_proc2057z00zzreduce_condz00, BGl_string2058z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_kwotez00zzast_nodez00,
				BGl_proc2059z00zzreduce_condz00, BGl_string2058z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_varz00zzast_nodez00,
				BGl_proc2060z00zzreduce_condz00, BGl_string2058z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_closurez00zzast_nodez00, BGl_proc2061z00zzreduce_condz00,
				BGl_string2058z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2062z00zzreduce_condz00,
				BGl_string2058z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_syncz00zzast_nodez00,
				BGl_proc2063z00zzreduce_condz00, BGl_string2058z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_appz00zzast_nodez00,
				BGl_proc2064z00zzreduce_condz00, BGl_string2058z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2065z00zzreduce_condz00,
				BGl_string2058z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2066z00zzreduce_condz00,
				BGl_string2058z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_externz00zzast_nodez00, BGl_proc2067z00zzreduce_condz00,
				BGl_string2058z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_castz00zzast_nodez00,
				BGl_proc2068z00zzreduce_condz00, BGl_string2058z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_setqz00zzast_nodez00,
				BGl_proc2069z00zzreduce_condz00, BGl_string2058z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2070z00zzreduce_condz00,
				BGl_string2058z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_failz00zzast_nodez00,
				BGl_proc2071z00zzreduce_condz00, BGl_string2058z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_switchz00zzast_nodez00, BGl_proc2072z00zzreduce_condz00,
				BGl_string2058z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2073z00zzreduce_condz00,
				BGl_string2058z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2074z00zzreduce_condz00,
				BGl_string2058z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2075z00zzreduce_condz00,
				BGl_string2058z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2076z00zzreduce_condz00,
				BGl_string2058z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_retblockz00zzast_nodez00, BGl_proc2077z00zzreduce_condz00,
				BGl_string2058z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_returnz00zzast_nodez00, BGl_proc2078z00zzreduce_condz00,
				BGl_string2058z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2079z00zzreduce_condz00,
				BGl_string2058z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2080z00zzreduce_condz00,
				BGl_string2058z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2081z00zzreduce_condz00,
				BGl_string2058z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_staticzd2valuezd2envz00zzreduce_condz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2082z00zzreduce_condz00,
				BGl_string2083z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_staticzd2valuezd2envz00zzreduce_condz00, BGl_atomz00zzast_nodez00,
				BGl_proc2084z00zzreduce_condz00, BGl_string2083z00zzreduce_condz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_staticzd2valuezd2envz00zzreduce_condz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2085z00zzreduce_condz00,
				BGl_string2083z00zzreduce_condz00);
		}

	}



/* &static-value-sequenc1347 */
	obj_t BGl_z62staticzd2valuezd2sequenc1347z62zzreduce_condz00(obj_t
		BgL_envz00_3063, obj_t BgL_nodez00_3064)
	{
		{	/* Reduce/cond.scm 408 */
			if (NULLP(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_3064)))->BgL_nodesz00)))
				{	/* Reduce/cond.scm 410 */
					return BFALSE;
				}
			else
				{	/* Reduce/cond.scm 411 */
					obj_t BgL_arg1945z00_3131;

					BgL_arg1945z00_3131 =
						CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
							(((BgL_sequencez00_bglt) COBJECT(
										((BgL_sequencez00_bglt) BgL_nodez00_3064)))->
								BgL_nodesz00)));
					return BGl_staticzd2valuezd2zzreduce_condz00(((BgL_nodez00_bglt)
							BgL_arg1945z00_3131));
				}
		}

	}



/* &static-value-atom1345 */
	obj_t BGl_z62staticzd2valuezd2atom1345z62zzreduce_condz00(obj_t
		BgL_envz00_3065, obj_t BgL_nodez00_3066)
	{
		{	/* Reduce/cond.scm 401 */
			if (
				((((BgL_atomz00_bglt) COBJECT(
								((BgL_atomz00_bglt) BgL_nodez00_3066)))->BgL_valuez00) ==
					BFALSE))
				{	/* Reduce/cond.scm 403 */
					return ((obj_t) CNST_TABLE_REF(5));
				}
			else
				{	/* Reduce/cond.scm 403 */
					return ((obj_t) CNST_TABLE_REF(6));
				}
		}

	}



/* &static-value-let-var1343 */
	obj_t BGl_z62staticzd2valuezd2letzd2var1343zb0zzreduce_condz00(obj_t
		BgL_envz00_3067, obj_t BgL_nodez00_3068)
	{
		{	/* Reduce/cond.scm 394 */
			return
				BGl_staticzd2valuezd2zzreduce_condz00(
				(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_3068)))->BgL_bodyz00));
		}

	}



/* &node-cond!-box-ref1339 */
	BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2boxzd2ref1339za2zzreduce_condz00(obj_t
		BgL_envz00_3069, obj_t BgL_nodez00_3070)
	{
		{	/* Reduce/cond.scm 369 */
			{
				BgL_varz00_bglt BgL_auxz00_3850;

				{	/* Reduce/cond.scm 371 */
					BgL_varz00_bglt BgL_arg1938z00_3135;

					BgL_arg1938z00_3135 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_3070)))->BgL_varz00);
					BgL_auxz00_3850 =
						((BgL_varz00_bglt)
						BGl_nodezd2condz12zc0zzreduce_condz00(
							((BgL_nodez00_bglt) BgL_arg1938z00_3135)));
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_3070)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_3850), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3070));
		}

	}



/* &node-cond!-box-set!1337 */
	BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2boxzd2setz121337zb0zzreduce_condz00(obj_t
		BgL_envz00_3071, obj_t BgL_nodez00_3072)
	{
		{	/* Reduce/cond.scm 360 */
			{
				BgL_varz00_bglt BgL_auxz00_3860;

				{	/* Reduce/cond.scm 362 */
					BgL_varz00_bglt BgL_arg1935z00_3137;

					BgL_arg1935z00_3137 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3072)))->BgL_varz00);
					BgL_auxz00_3860 =
						((BgL_varz00_bglt)
						BGl_nodezd2condz12zc0zzreduce_condz00(
							((BgL_nodez00_bglt) BgL_arg1935z00_3137)));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3072)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_3860), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3868;

				{	/* Reduce/cond.scm 363 */
					BgL_nodez00_bglt BgL_arg1936z00_3138;

					BgL_arg1936z00_3138 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3072)))->BgL_valuez00);
					BgL_auxz00_3868 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1936z00_3138);
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3072)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3868), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3072));
		}

	}



/* &node-cond!-make-box1335 */
	BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2makezd2box1335za2zzreduce_condz00(obj_t
		BgL_envz00_3073, obj_t BgL_nodez00_3074)
	{
		{	/* Reduce/cond.scm 352 */
			{
				BgL_nodez00_bglt BgL_auxz00_3876;

				{	/* Reduce/cond.scm 354 */
					BgL_nodez00_bglt BgL_arg1934z00_3140;

					BgL_arg1934z00_3140 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_3074)))->BgL_valuez00);
					BgL_auxz00_3876 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1934z00_3140);
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_3074)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3876), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3074));
		}

	}



/* &node-cond!-return1333 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2return1333z70zzreduce_condz00(obj_t
		BgL_envz00_3075, obj_t BgL_nodez00_3076)
	{
		{	/* Reduce/cond.scm 344 */
			{
				BgL_nodez00_bglt BgL_auxz00_3884;

				{	/* Reduce/cond.scm 346 */
					BgL_nodez00_bglt BgL_arg1933z00_3142;

					BgL_arg1933z00_3142 =
						(((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nodez00_3076)))->BgL_valuez00);
					BgL_auxz00_3884 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1933z00_3142);
				}
				((((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nodez00_3076)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3884), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_returnz00_bglt) BgL_nodez00_3076));
		}

	}



/* &node-cond!-retblock1331 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2retblock1331z70zzreduce_condz00(obj_t
		BgL_envz00_3077, obj_t BgL_nodez00_3078)
	{
		{	/* Reduce/cond.scm 336 */
			{
				BgL_nodez00_bglt BgL_auxz00_3892;

				{	/* Reduce/cond.scm 338 */
					BgL_nodez00_bglt BgL_arg1932z00_3144;

					BgL_arg1932z00_3144 =
						(((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nodez00_3078)))->BgL_bodyz00);
					BgL_auxz00_3892 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1932z00_3144);
				}
				((((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nodez00_3078)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3892), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_retblockz00_bglt) BgL_nodez00_3078));
		}

	}



/* &node-cond!-jump-ex-i1329 */
	BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2jumpzd2exzd2i1329z70zzreduce_condz00(obj_t
		BgL_envz00_3079, obj_t BgL_nodez00_3080)
	{
		{	/* Reduce/cond.scm 327 */
			{
				BgL_nodez00_bglt BgL_auxz00_3900;

				{	/* Reduce/cond.scm 329 */
					BgL_nodez00_bglt BgL_arg1929z00_3146;

					BgL_arg1929z00_3146 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3080)))->BgL_exitz00);
					BgL_auxz00_3900 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1929z00_3146);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3080)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3900), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3906;

				{	/* Reduce/cond.scm 330 */
					BgL_nodez00_bglt BgL_arg1930z00_3147;

					BgL_arg1930z00_3147 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3080)))->
						BgL_valuez00);
					BgL_auxz00_3906 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1930z00_3147);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3080)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_3906), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3080));
		}

	}



/* &node-cond!-set-ex-it1327 */
	BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2setzd2exzd2it1327z70zzreduce_condz00(obj_t
		BgL_envz00_3081, obj_t BgL_nodez00_3082)
	{
		{	/* Reduce/cond.scm 317 */
			{
				BgL_nodez00_bglt BgL_auxz00_3914;

				{	/* Reduce/cond.scm 319 */
					BgL_nodez00_bglt BgL_arg1926z00_3149;

					BgL_arg1926z00_3149 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3082)))->BgL_bodyz00);
					BgL_auxz00_3914 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1926z00_3149);
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3082)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3914), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3920;

				{	/* Reduce/cond.scm 320 */
					BgL_nodez00_bglt BgL_arg1927z00_3150;

					BgL_arg1927z00_3150 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3082)))->
						BgL_onexitz00);
					BgL_auxz00_3920 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1927z00_3150);
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3082)))->
						BgL_onexitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3920), BUNSPEC);
			}
			{
				BgL_varz00_bglt BgL_auxz00_3926;

				{	/* Reduce/cond.scm 321 */
					BgL_varz00_bglt BgL_arg1928z00_3151;

					BgL_arg1928z00_3151 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3082)))->BgL_varz00);
					BgL_auxz00_3926 =
						((BgL_varz00_bglt)
						BGl_nodezd2condz12zc0zzreduce_condz00(
							((BgL_nodez00_bglt) BgL_arg1928z00_3151)));
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3082)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_3926), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3082));
		}

	}



/* &node-cond!-let-var1325 */
	BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2letzd2var1325za2zzreduce_condz00(obj_t
		BgL_envz00_3083, obj_t BgL_nodez00_3084)
	{
		{	/* Reduce/cond.scm 306 */
			{	/* Reduce/cond.scm 308 */
				obj_t BgL_g1287z00_3153;

				BgL_g1287z00_3153 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_3084)))->BgL_bindingsz00);
				{
					obj_t BgL_l1285z00_3155;

					BgL_l1285z00_3155 = BgL_g1287z00_3153;
				BgL_zc3z04anonymousza31918ze3z87_3154:
					if (PAIRP(BgL_l1285z00_3155))
						{	/* Reduce/cond.scm 308 */
							{	/* Reduce/cond.scm 309 */
								obj_t BgL_bindingz00_3156;

								BgL_bindingz00_3156 = CAR(BgL_l1285z00_3155);
								{	/* Reduce/cond.scm 309 */
									BgL_nodez00_bglt BgL_arg1921z00_3157;

									{	/* Reduce/cond.scm 309 */
										obj_t BgL_arg1922z00_3158;

										BgL_arg1922z00_3158 = CDR(((obj_t) BgL_bindingz00_3156));
										BgL_arg1921z00_3157 =
											BGl_nodezd2condz12zc0zzreduce_condz00(
											((BgL_nodez00_bglt) BgL_arg1922z00_3158));
									}
									{	/* Reduce/cond.scm 309 */
										obj_t BgL_auxz00_3947;
										obj_t BgL_tmpz00_3945;

										BgL_auxz00_3947 = ((obj_t) BgL_arg1921z00_3157);
										BgL_tmpz00_3945 = ((obj_t) BgL_bindingz00_3156);
										SET_CDR(BgL_tmpz00_3945, BgL_auxz00_3947);
									}
								}
							}
							{
								obj_t BgL_l1285z00_3950;

								BgL_l1285z00_3950 = CDR(BgL_l1285z00_3155);
								BgL_l1285z00_3155 = BgL_l1285z00_3950;
								goto BgL_zc3z04anonymousza31918ze3z87_3154;
							}
						}
					else
						{	/* Reduce/cond.scm 308 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3952;

				{	/* Reduce/cond.scm 311 */
					BgL_nodez00_bglt BgL_arg1924z00_3159;

					BgL_arg1924z00_3159 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_3084)))->BgL_bodyz00);
					BgL_auxz00_3952 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1924z00_3159);
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_3084)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3952), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_3084));
		}

	}



/* &node-cond!-let-fun1323 */
	BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2letzd2fun1323za2zzreduce_condz00(obj_t
		BgL_envz00_3085, obj_t BgL_nodez00_3086)
	{
		{	/* Reduce/cond.scm 294 */
			{	/* Reduce/cond.scm 296 */
				obj_t BgL_g1284z00_3161;

				BgL_g1284z00_3161 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_3086)))->BgL_localsz00);
				{
					obj_t BgL_l1282z00_3163;

					BgL_l1282z00_3163 = BgL_g1284z00_3161;
				BgL_zc3z04anonymousza31911ze3z87_3162:
					if (PAIRP(BgL_l1282z00_3163))
						{	/* Reduce/cond.scm 296 */
							{	/* Reduce/cond.scm 297 */
								obj_t BgL_localz00_3164;

								BgL_localz00_3164 = CAR(BgL_l1282z00_3163);
								{	/* Reduce/cond.scm 297 */
									BgL_valuez00_bglt BgL_funz00_3165;

									BgL_funz00_3165 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_3164))))->
										BgL_valuez00);
									{	/* Reduce/cond.scm 298 */
										BgL_nodez00_bglt BgL_arg1913z00_3166;

										{	/* Reduce/cond.scm 298 */
											obj_t BgL_arg1915z00_3167;

											BgL_arg1915z00_3167 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_3165)))->
												BgL_bodyz00);
											BgL_arg1913z00_3166 =
												BGl_nodezd2condz12zc0zzreduce_condz00((
													(BgL_nodez00_bglt) BgL_arg1915z00_3167));
										}
										((((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_3165)))->
												BgL_bodyz00) =
											((obj_t) ((obj_t) BgL_arg1913z00_3166)), BUNSPEC);
									}
								}
							}
							{
								obj_t BgL_l1282z00_3975;

								BgL_l1282z00_3975 = CDR(BgL_l1282z00_3163);
								BgL_l1282z00_3163 = BgL_l1282z00_3975;
								goto BgL_zc3z04anonymousza31911ze3z87_3162;
							}
						}
					else
						{	/* Reduce/cond.scm 296 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3977;

				{	/* Reduce/cond.scm 300 */
					BgL_nodez00_bglt BgL_arg1917z00_3168;

					BgL_arg1917z00_3168 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_3086)))->BgL_bodyz00);
					BgL_auxz00_3977 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1917z00_3168);
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_3086)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3977), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_3086));
		}

	}



/* &node-cond!-switch1321 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2switch1321z70zzreduce_condz00(obj_t
		BgL_envz00_3087, obj_t BgL_nodez00_3088)
	{
		{	/* Reduce/cond.scm 283 */
			{
				BgL_nodez00_bglt BgL_auxz00_3985;

				{	/* Reduce/cond.scm 285 */
					BgL_nodez00_bglt BgL_arg1905z00_3170;

					BgL_arg1905z00_3170 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_3088)))->BgL_testz00);
					BgL_auxz00_3985 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1905z00_3170);
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_3088)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3985), BUNSPEC);
			}
			{	/* Reduce/cond.scm 286 */
				obj_t BgL_g1281z00_3171;

				BgL_g1281z00_3171 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_3088)))->BgL_clausesz00);
				{
					obj_t BgL_l1279z00_3173;

					BgL_l1279z00_3173 = BgL_g1281z00_3171;
				BgL_zc3z04anonymousza31906ze3z87_3172:
					if (PAIRP(BgL_l1279z00_3173))
						{	/* Reduce/cond.scm 286 */
							{	/* Reduce/cond.scm 287 */
								obj_t BgL_clausez00_3174;

								BgL_clausez00_3174 = CAR(BgL_l1279z00_3173);
								{	/* Reduce/cond.scm 287 */
									BgL_nodez00_bglt BgL_arg1908z00_3175;

									{	/* Reduce/cond.scm 287 */
										obj_t BgL_arg1909z00_3176;

										BgL_arg1909z00_3176 = CDR(((obj_t) BgL_clausez00_3174));
										BgL_arg1908z00_3175 =
											BGl_nodezd2condz12zc0zzreduce_condz00(
											((BgL_nodez00_bglt) BgL_arg1909z00_3176));
									}
									{	/* Reduce/cond.scm 287 */
										obj_t BgL_auxz00_4002;
										obj_t BgL_tmpz00_4000;

										BgL_auxz00_4002 = ((obj_t) BgL_arg1908z00_3175);
										BgL_tmpz00_4000 = ((obj_t) BgL_clausez00_3174);
										SET_CDR(BgL_tmpz00_4000, BgL_auxz00_4002);
									}
								}
							}
							{
								obj_t BgL_l1279z00_4005;

								BgL_l1279z00_4005 = CDR(BgL_l1279z00_3173);
								BgL_l1279z00_3173 = BgL_l1279z00_4005;
								goto BgL_zc3z04anonymousza31906ze3z87_3172;
							}
						}
					else
						{	/* Reduce/cond.scm 286 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_3088));
		}

	}



/* &node-cond!-fail1319 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2fail1319z70zzreduce_condz00(obj_t
		BgL_envz00_3089, obj_t BgL_nodez00_3090)
	{
		{	/* Reduce/cond.scm 273 */
			{
				BgL_nodez00_bglt BgL_auxz00_4009;

				{	/* Reduce/cond.scm 275 */
					BgL_nodez00_bglt BgL_arg1902z00_3178;

					BgL_arg1902z00_3178 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3090)))->BgL_procz00);
					BgL_auxz00_4009 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1902z00_3178);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3090)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4009), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4015;

				{	/* Reduce/cond.scm 276 */
					BgL_nodez00_bglt BgL_arg1903z00_3179;

					BgL_arg1903z00_3179 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3090)))->BgL_msgz00);
					BgL_auxz00_4015 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1903z00_3179);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3090)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4015), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4021;

				{	/* Reduce/cond.scm 277 */
					BgL_nodez00_bglt BgL_arg1904z00_3180;

					BgL_arg1904z00_3180 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3090)))->BgL_objz00);
					BgL_auxz00_4021 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1904z00_3180);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3090)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4021), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_3090));
		}

	}



/* &node-cond!-condition1317 */
	BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2condition1317z70zzreduce_condz00(obj_t
		BgL_envz00_3091, obj_t BgL_nodez00_3092)
	{
		{	/* Reduce/cond.scm 225 */
			{
				BgL_nodez00_bglt BgL_auxz00_4029;

				{	/* Reduce/cond.scm 227 */
					BgL_nodez00_bglt BgL_arg1677z00_3182;

					BgL_arg1677z00_3182 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3092)))->BgL_testz00);
					BgL_auxz00_4029 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1677z00_3182);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3092)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4029), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4035;

				{	/* Reduce/cond.scm 228 */
					BgL_nodez00_bglt BgL_arg1679z00_3183;

					BgL_arg1679z00_3183 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3092)))->BgL_truez00);
					BgL_auxz00_4035 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1679z00_3183);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3092)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_4035), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4041;

				{	/* Reduce/cond.scm 229 */
					BgL_nodez00_bglt BgL_arg1680z00_3184;

					BgL_arg1680z00_3184 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3092)))->BgL_falsez00);
					BgL_auxz00_4041 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1680z00_3184);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3092)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_4041), BUNSPEC);
			}
			{	/* Reduce/cond.scm 231 */
				bool_t BgL_test2176z00_4047;

				{	/* Reduce/cond.scm 231 */
					bool_t BgL_test2177z00_4048;

					{	/* Reduce/cond.scm 231 */
						BgL_nodez00_bglt BgL_arg1901z00_3185;

						BgL_arg1901z00_3185 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_3092)))->BgL_truez00);
						{	/* Reduce/cond.scm 231 */
							obj_t BgL_classz00_3186;

							BgL_classz00_3186 = BGl_literalz00zzast_nodez00;
							{	/* Reduce/cond.scm 231 */
								BgL_objectz00_bglt BgL_arg1858z00_3187;

								{	/* Reduce/cond.scm 231 */
									obj_t BgL_tmpz00_4051;

									BgL_tmpz00_4051 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg1901z00_3185));
									BgL_arg1858z00_3187 = (BgL_objectz00_bglt) (BgL_tmpz00_4051);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Reduce/cond.scm 231 */
										long BgL_idxz00_3188;

										BgL_idxz00_3188 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3187);
										BgL_test2177z00_4048 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3188 + 3L)) == BgL_classz00_3186);
									}
								else
									{	/* Reduce/cond.scm 231 */
										bool_t BgL_res2035z00_3191;

										{	/* Reduce/cond.scm 231 */
											obj_t BgL_oclassz00_3192;

											{	/* Reduce/cond.scm 231 */
												obj_t BgL_arg1866z00_3193;
												long BgL_arg1867z00_3194;

												BgL_arg1866z00_3193 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Reduce/cond.scm 231 */
													long BgL_arg1869z00_3195;

													BgL_arg1869z00_3195 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3187);
													BgL_arg1867z00_3194 =
														(BgL_arg1869z00_3195 - OBJECT_TYPE);
												}
												BgL_oclassz00_3192 =
													VECTOR_REF(BgL_arg1866z00_3193, BgL_arg1867z00_3194);
											}
											{	/* Reduce/cond.scm 231 */
												bool_t BgL__ortest_1115z00_3196;

												BgL__ortest_1115z00_3196 =
													(BgL_classz00_3186 == BgL_oclassz00_3192);
												if (BgL__ortest_1115z00_3196)
													{	/* Reduce/cond.scm 231 */
														BgL_res2035z00_3191 = BgL__ortest_1115z00_3196;
													}
												else
													{	/* Reduce/cond.scm 231 */
														long BgL_odepthz00_3197;

														{	/* Reduce/cond.scm 231 */
															obj_t BgL_arg1855z00_3198;

															BgL_arg1855z00_3198 = (BgL_oclassz00_3192);
															BgL_odepthz00_3197 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_3198);
														}
														if ((3L < BgL_odepthz00_3197))
															{	/* Reduce/cond.scm 231 */
																obj_t BgL_arg1853z00_3199;

																{	/* Reduce/cond.scm 231 */
																	obj_t BgL_arg1854z00_3200;

																	BgL_arg1854z00_3200 = (BgL_oclassz00_3192);
																	BgL_arg1853z00_3199 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3200,
																		3L);
																}
																BgL_res2035z00_3191 =
																	(BgL_arg1853z00_3199 == BgL_classz00_3186);
															}
														else
															{	/* Reduce/cond.scm 231 */
																BgL_res2035z00_3191 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2177z00_4048 = BgL_res2035z00_3191;
									}
							}
						}
					}
					if (BgL_test2177z00_4048)
						{	/* Reduce/cond.scm 231 */
							bool_t BgL_test2181z00_4074;

							{	/* Reduce/cond.scm 231 */
								BgL_nodez00_bglt BgL_arg1900z00_3201;

								BgL_arg1900z00_3201 =
									(((BgL_conditionalz00_bglt) COBJECT(
											((BgL_conditionalz00_bglt) BgL_nodez00_3092)))->
									BgL_falsez00);
								{	/* Reduce/cond.scm 231 */
									obj_t BgL_classz00_3202;

									BgL_classz00_3202 = BGl_literalz00zzast_nodez00;
									{	/* Reduce/cond.scm 231 */
										BgL_objectz00_bglt BgL_arg1858z00_3203;

										{	/* Reduce/cond.scm 231 */
											obj_t BgL_tmpz00_4077;

											BgL_tmpz00_4077 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg1900z00_3201));
											BgL_arg1858z00_3203 =
												(BgL_objectz00_bglt) (BgL_tmpz00_4077);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Reduce/cond.scm 231 */
												long BgL_idxz00_3204;

												BgL_idxz00_3204 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3203);
												BgL_test2181z00_4074 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_3204 + 3L)) == BgL_classz00_3202);
											}
										else
											{	/* Reduce/cond.scm 231 */
												bool_t BgL_res2036z00_3207;

												{	/* Reduce/cond.scm 231 */
													obj_t BgL_oclassz00_3208;

													{	/* Reduce/cond.scm 231 */
														obj_t BgL_arg1866z00_3209;
														long BgL_arg1867z00_3210;

														BgL_arg1866z00_3209 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Reduce/cond.scm 231 */
															long BgL_arg1869z00_3211;

															BgL_arg1869z00_3211 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3203);
															BgL_arg1867z00_3210 =
																(BgL_arg1869z00_3211 - OBJECT_TYPE);
														}
														BgL_oclassz00_3208 =
															VECTOR_REF(BgL_arg1866z00_3209,
															BgL_arg1867z00_3210);
													}
													{	/* Reduce/cond.scm 231 */
														bool_t BgL__ortest_1115z00_3212;

														BgL__ortest_1115z00_3212 =
															(BgL_classz00_3202 == BgL_oclassz00_3208);
														if (BgL__ortest_1115z00_3212)
															{	/* Reduce/cond.scm 231 */
																BgL_res2036z00_3207 = BgL__ortest_1115z00_3212;
															}
														else
															{	/* Reduce/cond.scm 231 */
																long BgL_odepthz00_3213;

																{	/* Reduce/cond.scm 231 */
																	obj_t BgL_arg1855z00_3214;

																	BgL_arg1855z00_3214 = (BgL_oclassz00_3208);
																	BgL_odepthz00_3213 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_3214);
																}
																if ((3L < BgL_odepthz00_3213))
																	{	/* Reduce/cond.scm 231 */
																		obj_t BgL_arg1853z00_3215;

																		{	/* Reduce/cond.scm 231 */
																			obj_t BgL_arg1854z00_3216;

																			BgL_arg1854z00_3216 =
																				(BgL_oclassz00_3208);
																			BgL_arg1853z00_3215 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_3216, 3L);
																		}
																		BgL_res2036z00_3207 =
																			(BgL_arg1853z00_3215 ==
																			BgL_classz00_3202);
																	}
																else
																	{	/* Reduce/cond.scm 231 */
																		BgL_res2036z00_3207 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2181z00_4074 = BgL_res2036z00_3207;
											}
									}
								}
							}
							if (BgL_test2181z00_4074)
								{	/* Reduce/cond.scm 231 */
									BgL_test2176z00_4047 =
										(
										(((BgL_atomz00_bglt) COBJECT(
													((BgL_atomz00_bglt)
														((BgL_literalz00_bglt)
															(((BgL_conditionalz00_bglt) COBJECT(
																		((BgL_conditionalz00_bglt)
																			BgL_nodez00_3092)))->BgL_truez00)))))->
											BgL_valuez00) ==
										(((BgL_atomz00_bglt)
												COBJECT(((BgL_atomz00_bglt) ((BgL_literalz00_bglt) ((
																	(BgL_conditionalz00_bglt)
																	COBJECT(((BgL_conditionalz00_bglt)
																			BgL_nodez00_3092)))->BgL_falsez00)))))->
											BgL_valuez00));
								}
							else
								{	/* Reduce/cond.scm 231 */
									BgL_test2176z00_4047 = ((bool_t) 0);
								}
						}
					else
						{	/* Reduce/cond.scm 231 */
							BgL_test2176z00_4047 = ((bool_t) 0);
						}
				}
				if (BgL_test2176z00_4047)
					{	/* Reduce/cond.scm 234 */
						bool_t BgL_test2185z00_4111;

						{	/* Reduce/cond.scm 234 */
							BgL_nodez00_bglt BgL_arg1755z00_3217;

							BgL_arg1755z00_3217 =
								(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_nodez00_3092)))->
								BgL_testz00);
							BgL_test2185z00_4111 =
								BGl_sidezd2effectzd2safezf3zf3zzreduce_condz00(((obj_t)
									BgL_arg1755z00_3217));
						}
						if (BgL_test2185z00_4111)
							{	/* Reduce/cond.scm 234 */
								return
									(((BgL_conditionalz00_bglt) COBJECT(
											((BgL_conditionalz00_bglt) BgL_nodez00_3092)))->
									BgL_truez00);
							}
						else
							{	/* Reduce/cond.scm 236 */
								BgL_sequencez00_bglt BgL_new1123z00_3218;

								{	/* Reduce/cond.scm 237 */
									BgL_sequencez00_bglt BgL_new1121z00_3219;

									BgL_new1121z00_3219 =
										((BgL_sequencez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_sequencez00_bgl))));
									{	/* Reduce/cond.scm 237 */
										long BgL_arg1748z00_3220;

										BgL_arg1748z00_3220 =
											BGL_CLASS_NUM(BGl_sequencez00zzast_nodez00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1121z00_3219),
											BgL_arg1748z00_3220);
									}
									{	/* Reduce/cond.scm 237 */
										BgL_objectz00_bglt BgL_tmpz00_4122;

										BgL_tmpz00_4122 =
											((BgL_objectz00_bglt) BgL_new1121z00_3219);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4122, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1121z00_3219);
									BgL_new1123z00_3218 = BgL_new1121z00_3219;
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1123z00_3218)))->
										BgL_locz00) =
									((obj_t) (((BgL_nodez00_bglt)
												COBJECT(((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt)
															BgL_nodez00_3092))))->BgL_locz00)), BUNSPEC);
								((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
													BgL_new1123z00_3218)))->BgL_typez00) =
									((BgL_typez00_bglt) (((BgL_nodez00_bglt)
												COBJECT(((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt)
															BgL_nodez00_3092))))->BgL_typez00)), BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt)
											COBJECT(((BgL_nodezf2effectzf2_bglt)
													BgL_new1123z00_3218)))->BgL_sidezd2effectzd2) =
									((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt)
											COBJECT(((BgL_nodezf2effectzf2_bglt)
													BgL_new1123z00_3218)))->BgL_keyz00) =
									((obj_t) BINT((-1L))), BUNSPEC);
								{
									obj_t BgL_auxz00_4141;

									{	/* Reduce/cond.scm 239 */
										BgL_nodez00_bglt BgL_arg1724z00_3221;
										BgL_nodez00_bglt BgL_arg1729z00_3222;

										BgL_arg1724z00_3221 =
											(((BgL_conditionalz00_bglt) COBJECT(
													((BgL_conditionalz00_bglt) BgL_nodez00_3092)))->
											BgL_testz00);
										BgL_arg1729z00_3222 =
											(((BgL_conditionalz00_bglt)
												COBJECT(((BgL_conditionalz00_bglt) BgL_nodez00_3092)))->
											BgL_truez00);
										{	/* Reduce/cond.scm 239 */
											obj_t BgL_list1730z00_3223;

											{	/* Reduce/cond.scm 239 */
												obj_t BgL_arg1746z00_3224;

												BgL_arg1746z00_3224 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg1729z00_3222), BNIL);
												BgL_list1730z00_3223 =
													MAKE_YOUNG_PAIR(
													((obj_t) BgL_arg1724z00_3221), BgL_arg1746z00_3224);
											}
											BgL_auxz00_4141 = BgL_list1730z00_3223;
									}}
									((((BgL_sequencez00_bglt) COBJECT(BgL_new1123z00_3218))->
											BgL_nodesz00) = ((obj_t) BgL_auxz00_4141), BUNSPEC);
								}
								((((BgL_sequencez00_bglt) COBJECT(BgL_new1123z00_3218))->
										BgL_unsafez00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
								((((BgL_sequencez00_bglt) COBJECT(BgL_new1123z00_3218))->
										BgL_metaz00) = ((obj_t) BNIL), BUNSPEC);
								return ((BgL_nodez00_bglt) BgL_new1123z00_3218);
							}
					}
				else
					{	/* Reduce/cond.scm 240 */
						bool_t BgL_test2186z00_4154;

						if (BGl_sidezd2effectzf3z21zzeffect_effectz00(
								(((BgL_conditionalz00_bglt) COBJECT(
											((BgL_conditionalz00_bglt) BgL_nodez00_3092)))->
									BgL_testz00)))
							{	/* Reduce/cond.scm 240 */
								BgL_test2186z00_4154 = ((bool_t) 0);
							}
						else
							{	/* Reduce/cond.scm 241 */
								bool_t BgL_test2188z00_4159;

								{	/* Reduce/cond.scm 241 */
									BgL_nodez00_bglt BgL_arg1894z00_3225;

									BgL_arg1894z00_3225 =
										(((BgL_conditionalz00_bglt) COBJECT(
												((BgL_conditionalz00_bglt) BgL_nodez00_3092)))->
										BgL_truez00);
									{	/* Reduce/cond.scm 241 */
										obj_t BgL_classz00_3226;

										BgL_classz00_3226 = BGl_atomz00zzast_nodez00;
										{	/* Reduce/cond.scm 241 */
											BgL_objectz00_bglt BgL_arg1858z00_3227;

											{	/* Reduce/cond.scm 241 */
												obj_t BgL_tmpz00_4162;

												BgL_tmpz00_4162 =
													((obj_t) ((BgL_objectz00_bglt) BgL_arg1894z00_3225));
												BgL_arg1858z00_3227 =
													(BgL_objectz00_bglt) (BgL_tmpz00_4162);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Reduce/cond.scm 241 */
													long BgL_idxz00_3228;

													BgL_idxz00_3228 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3227);
													BgL_test2188z00_4159 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_3228 + 2L)) == BgL_classz00_3226);
												}
											else
												{	/* Reduce/cond.scm 241 */
													bool_t BgL_res2038z00_3231;

													{	/* Reduce/cond.scm 241 */
														obj_t BgL_oclassz00_3232;

														{	/* Reduce/cond.scm 241 */
															obj_t BgL_arg1866z00_3233;
															long BgL_arg1867z00_3234;

															BgL_arg1866z00_3233 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Reduce/cond.scm 241 */
																long BgL_arg1869z00_3235;

																BgL_arg1869z00_3235 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3227);
																BgL_arg1867z00_3234 =
																	(BgL_arg1869z00_3235 - OBJECT_TYPE);
															}
															BgL_oclassz00_3232 =
																VECTOR_REF(BgL_arg1866z00_3233,
																BgL_arg1867z00_3234);
														}
														{	/* Reduce/cond.scm 241 */
															bool_t BgL__ortest_1115z00_3236;

															BgL__ortest_1115z00_3236 =
																(BgL_classz00_3226 == BgL_oclassz00_3232);
															if (BgL__ortest_1115z00_3236)
																{	/* Reduce/cond.scm 241 */
																	BgL_res2038z00_3231 =
																		BgL__ortest_1115z00_3236;
																}
															else
																{	/* Reduce/cond.scm 241 */
																	long BgL_odepthz00_3237;

																	{	/* Reduce/cond.scm 241 */
																		obj_t BgL_arg1855z00_3238;

																		BgL_arg1855z00_3238 = (BgL_oclassz00_3232);
																		BgL_odepthz00_3237 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_3238);
																	}
																	if ((2L < BgL_odepthz00_3237))
																		{	/* Reduce/cond.scm 241 */
																			obj_t BgL_arg1853z00_3239;

																			{	/* Reduce/cond.scm 241 */
																				obj_t BgL_arg1854z00_3240;

																				BgL_arg1854z00_3240 =
																					(BgL_oclassz00_3232);
																				BgL_arg1853z00_3239 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_3240, 2L);
																			}
																			BgL_res2038z00_3231 =
																				(BgL_arg1853z00_3239 ==
																				BgL_classz00_3226);
																		}
																	else
																		{	/* Reduce/cond.scm 241 */
																			BgL_res2038z00_3231 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2188z00_4159 = BgL_res2038z00_3231;
												}
										}
									}
								}
								if (BgL_test2188z00_4159)
									{	/* Reduce/cond.scm 241 */
										bool_t BgL_test2192z00_4185;

										{	/* Reduce/cond.scm 241 */
											BgL_nodez00_bglt BgL_arg1893z00_3241;

											BgL_arg1893z00_3241 =
												(((BgL_conditionalz00_bglt) COBJECT(
														((BgL_conditionalz00_bglt) BgL_nodez00_3092)))->
												BgL_falsez00);
											{	/* Reduce/cond.scm 241 */
												obj_t BgL_classz00_3242;

												BgL_classz00_3242 = BGl_atomz00zzast_nodez00;
												{	/* Reduce/cond.scm 241 */
													BgL_objectz00_bglt BgL_arg1858z00_3243;

													{	/* Reduce/cond.scm 241 */
														obj_t BgL_tmpz00_4188;

														BgL_tmpz00_4188 =
															((obj_t)
															((BgL_objectz00_bglt) BgL_arg1893z00_3241));
														BgL_arg1858z00_3243 =
															(BgL_objectz00_bglt) (BgL_tmpz00_4188);
													}
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Reduce/cond.scm 241 */
															long BgL_idxz00_3244;

															BgL_idxz00_3244 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3243);
															BgL_test2192z00_4185 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_3244 + 2L)) == BgL_classz00_3242);
														}
													else
														{	/* Reduce/cond.scm 241 */
															bool_t BgL_res2039z00_3247;

															{	/* Reduce/cond.scm 241 */
																obj_t BgL_oclassz00_3248;

																{	/* Reduce/cond.scm 241 */
																	obj_t BgL_arg1866z00_3249;
																	long BgL_arg1867z00_3250;

																	BgL_arg1866z00_3249 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* Reduce/cond.scm 241 */
																		long BgL_arg1869z00_3251;

																		BgL_arg1869z00_3251 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3243);
																		BgL_arg1867z00_3250 =
																			(BgL_arg1869z00_3251 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_3248 =
																		VECTOR_REF(BgL_arg1866z00_3249,
																		BgL_arg1867z00_3250);
																}
																{	/* Reduce/cond.scm 241 */
																	bool_t BgL__ortest_1115z00_3252;

																	BgL__ortest_1115z00_3252 =
																		(BgL_classz00_3242 == BgL_oclassz00_3248);
																	if (BgL__ortest_1115z00_3252)
																		{	/* Reduce/cond.scm 241 */
																			BgL_res2039z00_3247 =
																				BgL__ortest_1115z00_3252;
																		}
																	else
																		{	/* Reduce/cond.scm 241 */
																			long BgL_odepthz00_3253;

																			{	/* Reduce/cond.scm 241 */
																				obj_t BgL_arg1855z00_3254;

																				BgL_arg1855z00_3254 =
																					(BgL_oclassz00_3248);
																				BgL_odepthz00_3253 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_3254);
																			}
																			if ((2L < BgL_odepthz00_3253))
																				{	/* Reduce/cond.scm 241 */
																					obj_t BgL_arg1853z00_3255;

																					{	/* Reduce/cond.scm 241 */
																						obj_t BgL_arg1854z00_3256;

																						BgL_arg1854z00_3256 =
																							(BgL_oclassz00_3248);
																						BgL_arg1853z00_3255 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_3256, 2L);
																					}
																					BgL_res2039z00_3247 =
																						(BgL_arg1853z00_3255 ==
																						BgL_classz00_3242);
																				}
																			else
																				{	/* Reduce/cond.scm 241 */
																					BgL_res2039z00_3247 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test2192z00_4185 = BgL_res2039z00_3247;
														}
												}
											}
										}
										if (BgL_test2192z00_4185)
											{	/* Reduce/cond.scm 241 */
												if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
														(((BgL_atomz00_bglt) COBJECT(
																	((BgL_atomz00_bglt)
																		(((BgL_conditionalz00_bglt) COBJECT(
																					((BgL_conditionalz00_bglt)
																						BgL_nodez00_3092)))->
																			BgL_truez00))))->BgL_valuez00),
														(((BgL_atomz00_bglt)
																COBJECT(((BgL_atomz00_bglt) ((
																				(BgL_conditionalz00_bglt)
																				COBJECT(((BgL_conditionalz00_bglt)
																						BgL_nodez00_3092)))->
																			BgL_falsez00))))->BgL_valuez00)))
													{	/* Reduce/cond.scm 245 */
														bool_t BgL_test2197z00_4221;

														{	/* Reduce/cond.scm 245 */
															obj_t BgL_tmpz00_4222;

															BgL_tmpz00_4222 =
																(((BgL_atomz00_bglt) COBJECT(
																		((BgL_atomz00_bglt)
																			(((BgL_conditionalz00_bglt) COBJECT(
																						((BgL_conditionalz00_bglt)
																							BgL_nodez00_3092)))->
																				BgL_truez00))))->BgL_valuez00);
															BgL_test2197z00_4221 = REALP(BgL_tmpz00_4222);
														}
														if (BgL_test2197z00_4221)
															{	/* Reduce/cond.scm 245 */
																BgL_test2186z00_4154 = ((bool_t) 0);
															}
														else
															{	/* Reduce/cond.scm 245 */
																BgL_test2186z00_4154 = ((bool_t) 1);
															}
													}
												else
													{	/* Reduce/cond.scm 242 */
														BgL_test2186z00_4154 = ((bool_t) 0);
													}
											}
										else
											{	/* Reduce/cond.scm 241 */
												BgL_test2186z00_4154 = ((bool_t) 0);
											}
									}
								else
									{	/* Reduce/cond.scm 241 */
										BgL_test2186z00_4154 = ((bool_t) 0);
									}
							}
						if (BgL_test2186z00_4154)
							{	/* Reduce/cond.scm 240 */
								return
									(((BgL_conditionalz00_bglt) COBJECT(
											((BgL_conditionalz00_bglt) BgL_nodez00_3092)))->
									BgL_truez00);
							}
						else
							{	/* Reduce/cond.scm 248 */
								bool_t BgL_test2198z00_4230;

								{	/* Reduce/cond.scm 248 */
									bool_t BgL_test2199z00_4231;

									{	/* Reduce/cond.scm 248 */
										BgL_nodez00_bglt BgL_arg1889z00_3257;

										BgL_arg1889z00_3257 =
											(((BgL_conditionalz00_bglt) COBJECT(
													((BgL_conditionalz00_bglt) BgL_nodez00_3092)))->
											BgL_truez00);
										{	/* Reduce/cond.scm 248 */
											obj_t BgL_classz00_3258;

											BgL_classz00_3258 = BGl_atomz00zzast_nodez00;
											{	/* Reduce/cond.scm 248 */
												BgL_objectz00_bglt BgL_arg1858z00_3259;

												{	/* Reduce/cond.scm 248 */
													obj_t BgL_tmpz00_4234;

													BgL_tmpz00_4234 =
														((obj_t)
														((BgL_objectz00_bglt) BgL_arg1889z00_3257));
													BgL_arg1858z00_3259 =
														(BgL_objectz00_bglt) (BgL_tmpz00_4234);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Reduce/cond.scm 248 */
														long BgL_idxz00_3260;

														BgL_idxz00_3260 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3259);
														BgL_test2199z00_4231 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3260 + 2L)) == BgL_classz00_3258);
													}
												else
													{	/* Reduce/cond.scm 248 */
														bool_t BgL_res2040z00_3263;

														{	/* Reduce/cond.scm 248 */
															obj_t BgL_oclassz00_3264;

															{	/* Reduce/cond.scm 248 */
																obj_t BgL_arg1866z00_3265;
																long BgL_arg1867z00_3266;

																BgL_arg1866z00_3265 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Reduce/cond.scm 248 */
																	long BgL_arg1869z00_3267;

																	BgL_arg1869z00_3267 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3259);
																	BgL_arg1867z00_3266 =
																		(BgL_arg1869z00_3267 - OBJECT_TYPE);
																}
																BgL_oclassz00_3264 =
																	VECTOR_REF(BgL_arg1866z00_3265,
																	BgL_arg1867z00_3266);
															}
															{	/* Reduce/cond.scm 248 */
																bool_t BgL__ortest_1115z00_3268;

																BgL__ortest_1115z00_3268 =
																	(BgL_classz00_3258 == BgL_oclassz00_3264);
																if (BgL__ortest_1115z00_3268)
																	{	/* Reduce/cond.scm 248 */
																		BgL_res2040z00_3263 =
																			BgL__ortest_1115z00_3268;
																	}
																else
																	{	/* Reduce/cond.scm 248 */
																		long BgL_odepthz00_3269;

																		{	/* Reduce/cond.scm 248 */
																			obj_t BgL_arg1855z00_3270;

																			BgL_arg1855z00_3270 =
																				(BgL_oclassz00_3264);
																			BgL_odepthz00_3269 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_3270);
																		}
																		if ((2L < BgL_odepthz00_3269))
																			{	/* Reduce/cond.scm 248 */
																				obj_t BgL_arg1853z00_3271;

																				{	/* Reduce/cond.scm 248 */
																					obj_t BgL_arg1854z00_3272;

																					BgL_arg1854z00_3272 =
																						(BgL_oclassz00_3264);
																					BgL_arg1853z00_3271 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_3272, 2L);
																				}
																				BgL_res2040z00_3263 =
																					(BgL_arg1853z00_3271 ==
																					BgL_classz00_3258);
																			}
																		else
																			{	/* Reduce/cond.scm 248 */
																				BgL_res2040z00_3263 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2199z00_4231 = BgL_res2040z00_3263;
													}
											}
										}
									}
									if (BgL_test2199z00_4231)
										{	/* Reduce/cond.scm 248 */
											bool_t BgL_test2203z00_4257;

											{	/* Reduce/cond.scm 248 */
												BgL_nodez00_bglt BgL_arg1887z00_3273;

												BgL_arg1887z00_3273 =
													(((BgL_conditionalz00_bglt) COBJECT(
															((BgL_conditionalz00_bglt) BgL_nodez00_3092)))->
													BgL_falsez00);
												{	/* Reduce/cond.scm 248 */
													obj_t BgL_classz00_3274;

													BgL_classz00_3274 = BGl_atomz00zzast_nodez00;
													{	/* Reduce/cond.scm 248 */
														BgL_objectz00_bglt BgL_arg1858z00_3275;

														{	/* Reduce/cond.scm 248 */
															obj_t BgL_tmpz00_4260;

															BgL_tmpz00_4260 =
																((obj_t)
																((BgL_objectz00_bglt) BgL_arg1887z00_3273));
															BgL_arg1858z00_3275 =
																(BgL_objectz00_bglt) (BgL_tmpz00_4260);
														}
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* Reduce/cond.scm 248 */
																long BgL_idxz00_3276;

																BgL_idxz00_3276 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1858z00_3275);
																BgL_test2203z00_4257 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_3276 + 2L)) ==
																	BgL_classz00_3274);
															}
														else
															{	/* Reduce/cond.scm 248 */
																bool_t BgL_res2041z00_3279;

																{	/* Reduce/cond.scm 248 */
																	obj_t BgL_oclassz00_3280;

																	{	/* Reduce/cond.scm 248 */
																		obj_t BgL_arg1866z00_3281;
																		long BgL_arg1867z00_3282;

																		BgL_arg1866z00_3281 =
																			(BGl_za2classesza2z00zz__objectz00);
																		{	/* Reduce/cond.scm 248 */
																			long BgL_arg1869z00_3283;

																			BgL_arg1869z00_3283 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1858z00_3275);
																			BgL_arg1867z00_3282 =
																				(BgL_arg1869z00_3283 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_3280 =
																			VECTOR_REF(BgL_arg1866z00_3281,
																			BgL_arg1867z00_3282);
																	}
																	{	/* Reduce/cond.scm 248 */
																		bool_t BgL__ortest_1115z00_3284;

																		BgL__ortest_1115z00_3284 =
																			(BgL_classz00_3274 == BgL_oclassz00_3280);
																		if (BgL__ortest_1115z00_3284)
																			{	/* Reduce/cond.scm 248 */
																				BgL_res2041z00_3279 =
																					BgL__ortest_1115z00_3284;
																			}
																		else
																			{	/* Reduce/cond.scm 248 */
																				long BgL_odepthz00_3285;

																				{	/* Reduce/cond.scm 248 */
																					obj_t BgL_arg1855z00_3286;

																					BgL_arg1855z00_3286 =
																						(BgL_oclassz00_3280);
																					BgL_odepthz00_3285 =
																						BGL_CLASS_DEPTH
																						(BgL_arg1855z00_3286);
																				}
																				if ((2L < BgL_odepthz00_3285))
																					{	/* Reduce/cond.scm 248 */
																						obj_t BgL_arg1853z00_3287;

																						{	/* Reduce/cond.scm 248 */
																							obj_t BgL_arg1854z00_3288;

																							BgL_arg1854z00_3288 =
																								(BgL_oclassz00_3280);
																							BgL_arg1853z00_3287 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_arg1854z00_3288, 2L);
																						}
																						BgL_res2041z00_3279 =
																							(BgL_arg1853z00_3287 ==
																							BgL_classz00_3274);
																					}
																				else
																					{	/* Reduce/cond.scm 248 */
																						BgL_res2041z00_3279 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test2203z00_4257 = BgL_res2041z00_3279;
															}
													}
												}
											}
											if (BgL_test2203z00_4257)
												{	/* Reduce/cond.scm 248 */
													if (
														((((BgL_atomz00_bglt) COBJECT(
																		((BgL_atomz00_bglt)
																			(((BgL_conditionalz00_bglt) COBJECT(
																						((BgL_conditionalz00_bglt)
																							BgL_nodez00_3092)))->
																				BgL_truez00))))->BgL_valuez00) ==
															BTRUE))
														{	/* Reduce/cond.scm 249 */
															if (
																((((BgL_atomz00_bglt) COBJECT(
																				((BgL_atomz00_bglt)
																					(((BgL_conditionalz00_bglt) COBJECT(
																								((BgL_conditionalz00_bglt)
																									BgL_nodez00_3092)))->
																						BgL_falsez00))))->BgL_valuez00) ==
																	BFALSE))
																{	/* Reduce/cond.scm 251 */
																	obj_t BgL_arg1876z00_3289;

																	{	/* Reduce/cond.scm 251 */
																		BgL_nodez00_bglt BgL_arg1878z00_3290;

																		BgL_arg1878z00_3290 =
																			(((BgL_conditionalz00_bglt) COBJECT(
																					((BgL_conditionalz00_bglt)
																						BgL_nodez00_3092)))->BgL_testz00);
																		BgL_arg1876z00_3289 =
																			((obj_t)
																			BGl_getzd2typezd2zztype_typeofz00
																			(BgL_arg1878z00_3290, ((bool_t) 1)));
																	}
																	BgL_test2198z00_4230 =
																		(BgL_arg1876z00_3289 ==
																		BGl_za2boolza2z00zztype_cachez00);
																}
															else
																{	/* Reduce/cond.scm 250 */
																	BgL_test2198z00_4230 = ((bool_t) 0);
																}
														}
													else
														{	/* Reduce/cond.scm 249 */
															BgL_test2198z00_4230 = ((bool_t) 0);
														}
												}
											else
												{	/* Reduce/cond.scm 248 */
													BgL_test2198z00_4230 = ((bool_t) 0);
												}
										}
									else
										{	/* Reduce/cond.scm 248 */
											BgL_test2198z00_4230 = ((bool_t) 0);
										}
								}
								if (BgL_test2198z00_4230)
									{	/* Reduce/cond.scm 248 */
										return
											(((BgL_conditionalz00_bglt) COBJECT(
													((BgL_conditionalz00_bglt) BgL_nodez00_3092)))->
											BgL_testz00);
									}
								else
									{	/* Reduce/cond.scm 253 */
										bool_t BgL_test2209z00_4302;

										{	/* Reduce/cond.scm 253 */
											BgL_nodez00_bglt BgL_arg1873z00_3291;

											BgL_arg1873z00_3291 =
												(((BgL_conditionalz00_bglt) COBJECT(
														((BgL_conditionalz00_bglt) BgL_nodez00_3092)))->
												BgL_testz00);
											{	/* Reduce/cond.scm 253 */
												obj_t BgL_classz00_3292;

												BgL_classz00_3292 = BGl_atomz00zzast_nodez00;
												{	/* Reduce/cond.scm 253 */
													BgL_objectz00_bglt BgL_arg1858z00_3293;

													{	/* Reduce/cond.scm 253 */
														obj_t BgL_tmpz00_4305;

														BgL_tmpz00_4305 =
															((obj_t)
															((BgL_objectz00_bglt) BgL_arg1873z00_3291));
														BgL_arg1858z00_3293 =
															(BgL_objectz00_bglt) (BgL_tmpz00_4305);
													}
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Reduce/cond.scm 253 */
															long BgL_idxz00_3294;

															BgL_idxz00_3294 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3293);
															BgL_test2209z00_4302 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_3294 + 2L)) == BgL_classz00_3292);
														}
													else
														{	/* Reduce/cond.scm 253 */
															bool_t BgL_res2042z00_3297;

															{	/* Reduce/cond.scm 253 */
																obj_t BgL_oclassz00_3298;

																{	/* Reduce/cond.scm 253 */
																	obj_t BgL_arg1866z00_3299;
																	long BgL_arg1867z00_3300;

																	BgL_arg1866z00_3299 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* Reduce/cond.scm 253 */
																		long BgL_arg1869z00_3301;

																		BgL_arg1869z00_3301 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3293);
																		BgL_arg1867z00_3300 =
																			(BgL_arg1869z00_3301 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_3298 =
																		VECTOR_REF(BgL_arg1866z00_3299,
																		BgL_arg1867z00_3300);
																}
																{	/* Reduce/cond.scm 253 */
																	bool_t BgL__ortest_1115z00_3302;

																	BgL__ortest_1115z00_3302 =
																		(BgL_classz00_3292 == BgL_oclassz00_3298);
																	if (BgL__ortest_1115z00_3302)
																		{	/* Reduce/cond.scm 253 */
																			BgL_res2042z00_3297 =
																				BgL__ortest_1115z00_3302;
																		}
																	else
																		{	/* Reduce/cond.scm 253 */
																			long BgL_odepthz00_3303;

																			{	/* Reduce/cond.scm 253 */
																				obj_t BgL_arg1855z00_3304;

																				BgL_arg1855z00_3304 =
																					(BgL_oclassz00_3298);
																				BgL_odepthz00_3303 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_3304);
																			}
																			if ((2L < BgL_odepthz00_3303))
																				{	/* Reduce/cond.scm 253 */
																					obj_t BgL_arg1853z00_3305;

																					{	/* Reduce/cond.scm 253 */
																						obj_t BgL_arg1854z00_3306;

																						BgL_arg1854z00_3306 =
																							(BgL_oclassz00_3298);
																						BgL_arg1853z00_3305 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_3306, 2L);
																					}
																					BgL_res2042z00_3297 =
																						(BgL_arg1853z00_3305 ==
																						BgL_classz00_3292);
																				}
																			else
																				{	/* Reduce/cond.scm 253 */
																					BgL_res2042z00_3297 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test2209z00_4302 = BgL_res2042z00_3297;
														}
												}
											}
										}
										if (BgL_test2209z00_4302)
											{	/* Reduce/cond.scm 253 */
												BGl_za2condzd2reducedza2zd2zzreduce_condz00 =
													(1L + BGl_za2condzd2reducedza2zd2zzreduce_condz00);
												if (CBOOL(
														(((BgL_atomz00_bglt) COBJECT(
																	((BgL_atomz00_bglt)
																		(((BgL_conditionalz00_bglt) COBJECT(
																					((BgL_conditionalz00_bglt)
																						BgL_nodez00_3092)))->
																			BgL_testz00))))->BgL_valuez00)))
													{	/* Reduce/cond.scm 256 */
														return
															(((BgL_conditionalz00_bglt) COBJECT(
																	((BgL_conditionalz00_bglt)
																		BgL_nodez00_3092)))->BgL_truez00);
													}
												else
													{	/* Reduce/cond.scm 256 */
														return
															(((BgL_conditionalz00_bglt) COBJECT(
																	((BgL_conditionalz00_bglt)
																		BgL_nodez00_3092)))->BgL_falsez00);
													}
											}
										else
											{	/* Reduce/cond.scm 259 */
												obj_t BgL_g1129z00_3307;

												BgL_g1129z00_3307 =
													BGl_staticzd2valuezd2zzreduce_condz00(
													(((BgL_conditionalz00_bglt) COBJECT(
																((BgL_conditionalz00_bglt) BgL_nodez00_3092)))->
														BgL_testz00));
												if (CBOOL(BgL_g1129z00_3307))
													{	/* Reduce/cond.scm 259 */
														BGl_za2condzd2reducedza2zd2zzreduce_condz00 =
															(1L +
															BGl_za2condzd2reducedza2zd2zzreduce_condz00);
														{	/* Reduce/cond.scm 264 */
															BgL_sequencez00_bglt BgL_new1132z00_3308;

															{	/* Reduce/cond.scm 264 */
																BgL_sequencez00_bglt BgL_new1131z00_3309;

																BgL_new1131z00_3309 =
																	((BgL_sequencez00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_sequencez00_bgl))));
																{	/* Reduce/cond.scm 264 */
																	long BgL_arg1865z00_3310;

																	BgL_arg1865z00_3310 =
																		BGL_CLASS_NUM(BGl_sequencez00zzast_nodez00);
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1131z00_3309),
																		BgL_arg1865z00_3310);
																}
																{	/* Reduce/cond.scm 264 */
																	BgL_objectz00_bglt BgL_tmpz00_4349;

																	BgL_tmpz00_4349 =
																		((BgL_objectz00_bglt) BgL_new1131z00_3309);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4349,
																		BFALSE);
																}
																((BgL_objectz00_bglt) BgL_new1131z00_3309);
																BgL_new1132z00_3308 = BgL_new1131z00_3309;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1132z00_3308)))->BgL_locz00) =
																((obj_t) BFALSE), BUNSPEC);
															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																				BgL_new1132z00_3308)))->BgL_typez00) =
																((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt) (
																						(BgL_conditionalz00_bglt)
																						BgL_nodez00_3092))))->BgL_typez00)),
																BUNSPEC);
															((((BgL_nodezf2effectzf2_bglt)
																		COBJECT(((BgL_nodezf2effectzf2_bglt)
																				BgL_new1132z00_3308)))->
																	BgL_sidezd2effectzd2) =
																((obj_t) BUNSPEC), BUNSPEC);
															((((BgL_nodezf2effectzf2_bglt)
																		COBJECT(((BgL_nodezf2effectzf2_bglt)
																				BgL_new1132z00_3308)))->BgL_keyz00) =
																((obj_t) BINT((-1L))), BUNSPEC);
															{
																obj_t BgL_auxz00_4365;

																{	/* Reduce/cond.scm 266 */
																	BgL_nodez00_bglt BgL_arg1852z00_3311;
																	BgL_nodez00_bglt BgL_arg1856z00_3312;

																	BgL_arg1852z00_3311 =
																		(((BgL_conditionalz00_bglt) COBJECT(
																				((BgL_conditionalz00_bglt)
																					BgL_nodez00_3092)))->BgL_testz00);
																	if ((BgL_g1129z00_3307 ==
																			((obj_t) CNST_TABLE_REF(6))))
																		{	/* Reduce/cond.scm 266 */
																			BgL_arg1856z00_3312 =
																				(((BgL_conditionalz00_bglt) COBJECT(
																						((BgL_conditionalz00_bglt)
																							BgL_nodez00_3092)))->BgL_truez00);
																		}
																	else
																		{	/* Reduce/cond.scm 266 */
																			BgL_arg1856z00_3312 =
																				(((BgL_conditionalz00_bglt) COBJECT(
																						((BgL_conditionalz00_bglt)
																							BgL_nodez00_3092)))->
																				BgL_falsez00);
																		}
																	{	/* Reduce/cond.scm 266 */
																		obj_t BgL_list1857z00_3313;

																		{	/* Reduce/cond.scm 266 */
																			obj_t BgL_arg1859z00_3314;

																			BgL_arg1859z00_3314 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_arg1856z00_3312), BNIL);
																			BgL_list1857z00_3313 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_arg1852z00_3311),
																				BgL_arg1859z00_3314);
																		}
																		BgL_auxz00_4365 = BgL_list1857z00_3313;
																	}
																}
																((((BgL_sequencez00_bglt)
																			COBJECT(BgL_new1132z00_3308))->
																		BgL_nodesz00) =
																	((obj_t) BgL_auxz00_4365), BUNSPEC);
															}
															((((BgL_sequencez00_bglt)
																		COBJECT(BgL_new1132z00_3308))->
																	BgL_unsafez00) =
																((bool_t) ((bool_t) 0)), BUNSPEC);
															((((BgL_sequencez00_bglt)
																		COBJECT(BgL_new1132z00_3308))->
																	BgL_metaz00) = ((obj_t) BNIL), BUNSPEC);
															return ((BgL_nodez00_bglt) BgL_new1132z00_3308);
														}
													}
												else
													{	/* Reduce/cond.scm 259 */
														return
															((BgL_nodez00_bglt)
															((BgL_conditionalz00_bglt) BgL_nodez00_3092));
													}
											}
									}
							}
					}
			}
		}

	}



/* &node-cond!-setq1315 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2setq1315z70zzreduce_condz00(obj_t
		BgL_envz00_3093, obj_t BgL_nodez00_3094)
	{
		{	/* Reduce/cond.scm 191 */
			{
				BgL_nodez00_bglt BgL_auxz00_4386;

				{	/* Reduce/cond.scm 193 */
					BgL_nodez00_bglt BgL_arg1674z00_3316;

					BgL_arg1674z00_3316 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_3094)))->BgL_valuez00);
					BgL_auxz00_4386 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1674z00_3316);
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_3094)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_4386), BUNSPEC);
			}
			{
				BgL_varz00_bglt BgL_auxz00_4392;

				{	/* Reduce/cond.scm 194 */
					BgL_varz00_bglt BgL_arg1675z00_3317;

					BgL_arg1675z00_3317 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_3094)))->BgL_varz00);
					BgL_auxz00_4392 =
						((BgL_varz00_bglt)
						BGl_nodezd2condz12zc0zzreduce_condz00(
							((BgL_nodez00_bglt) BgL_arg1675z00_3317)));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_3094)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_4392), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_3094));
		}

	}



/* &node-cond!-cast1313 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2cast1313z70zzreduce_condz00(obj_t
		BgL_envz00_3095, obj_t BgL_nodez00_3096)
	{
		{	/* Reduce/cond.scm 183 */
			BGl_nodezd2condz12zc0zzreduce_condz00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_3096)))->BgL_argz00));
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_3096));
		}

	}



/* &node-cond!-extern1311 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2extern1311z70zzreduce_condz00(obj_t
		BgL_envz00_3097, obj_t BgL_nodez00_3098)
	{
		{	/* Reduce/cond.scm 175 */
			BGl_nodezd2condza2z12z62zzreduce_condz00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_3098)))->BgL_exprza2za2));
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_3098));
		}

	}



/* &node-cond!-funcall1309 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2funcall1309z70zzreduce_condz00(obj_t
		BgL_envz00_3099, obj_t BgL_nodez00_3100)
	{
		{	/* Reduce/cond.scm 166 */
			{
				BgL_nodez00_bglt BgL_auxz00_4412;

				{	/* Reduce/cond.scm 168 */
					BgL_nodez00_bglt BgL_arg1660z00_3321;

					BgL_arg1660z00_3321 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_3100)))->BgL_funz00);
					BgL_auxz00_4412 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1660z00_3321);
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_3100)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4412), BUNSPEC);
			}
			BGl_nodezd2condza2z12z62zzreduce_condz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_3100)))->BgL_argsz00));
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_3100));
		}

	}



/* &node-cond!-app-ly1307 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2appzd2ly1307za2zzreduce_condz00(obj_t
		BgL_envz00_3101, obj_t BgL_nodez00_3102)
	{
		{	/* Reduce/cond.scm 157 */
			{
				BgL_nodez00_bglt BgL_auxz00_4423;

				{	/* Reduce/cond.scm 159 */
					BgL_nodez00_bglt BgL_arg1656z00_3323;

					BgL_arg1656z00_3323 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3102)))->BgL_funz00);
					BgL_auxz00_4423 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1656z00_3323);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3102)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4423), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4429;

				{	/* Reduce/cond.scm 160 */
					BgL_nodez00_bglt BgL_arg1657z00_3324;

					BgL_arg1657z00_3324 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3102)))->BgL_argz00);
					BgL_auxz00_4429 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1657z00_3324);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3102)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4429), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_3102));
		}

	}



/* &node-cond!-app1305 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2app1305z70zzreduce_condz00(obj_t
		BgL_envz00_3103, obj_t BgL_nodez00_3104)
	{
		{	/* Reduce/cond.scm 122 */
			{
				obj_t BgL_n1z00_3375;
				obj_t BgL_n2z00_3376;
				BgL_appz00_bglt BgL_nodez00_3328;

				BGl_nodezd2condza2z12z62zzreduce_condz00(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_3104)))->BgL_argsz00));
				{	/* Reduce/cond.scm 147 */
					obj_t BgL_trivz00_3437;

					BgL_nodez00_3328 = ((BgL_appz00_bglt) BgL_nodez00_3104);
					{	/* Reduce/cond.scm 135 */
						bool_t BgL_test2216z00_4440;

						{	/* Reduce/cond.scm 135 */
							bool_t BgL_test2217z00_4441;

							{	/* Reduce/cond.scm 135 */
								bool_t BgL_test2218z00_4442;

								{	/* Reduce/cond.scm 135 */
									obj_t BgL_arg1655z00_3329;

									BgL_arg1655z00_3329 =
										((obj_t)
										(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_nodez00_3328)))->
											BgL_typez00));
									BgL_test2218z00_4442 =
										(BgL_arg1655z00_3329 == BGl_za2boolza2z00zztype_cachez00);
								}
								if (BgL_test2218z00_4442)
									{	/* Reduce/cond.scm 135 */
										BgL_test2217z00_4441 = ((bool_t) 1);
									}
								else
									{	/* Reduce/cond.scm 135 */
										obj_t BgL_arg1653z00_3330;

										BgL_arg1653z00_3330 =
											((obj_t)
											(((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_nodez00_3328)))->
												BgL_typez00));
										BgL_test2217z00_4441 =
											(BgL_arg1653z00_3330 == BGl_za2objza2z00zztype_cachez00);
									}
							}
							if (BgL_test2217z00_4441)
								{	/* Reduce/cond.scm 136 */
									obj_t BgL_g1265z00_3331;

									BgL_g1265z00_3331 =
										(((BgL_appz00_bglt) COBJECT(BgL_nodez00_3328))->
										BgL_argsz00);
									{
										obj_t BgL_l1263z00_3333;

										BgL_l1263z00_3333 = BgL_g1265z00_3331;
									BgL_zc3z04anonymousza31649ze3z87_3332:
										if (NULLP(BgL_l1263z00_3333))
											{	/* Reduce/cond.scm 136 */
												BgL_test2216z00_4440 = ((bool_t) 1);
											}
										else
											{	/* Reduce/cond.scm 136 */
												bool_t BgL_test2220z00_4454;

												{	/* Reduce/cond.scm 136 */
													obj_t BgL_nz00_3334;

													BgL_nz00_3334 = CAR(((obj_t) BgL_l1263z00_3333));
													{	/* Reduce/cond.scm 136 */
														bool_t BgL__ortest_1109z00_3335;

														{	/* Reduce/cond.scm 136 */
															obj_t BgL_classz00_3336;

															BgL_classz00_3336 = BGl_atomz00zzast_nodez00;
															if (BGL_OBJECTP(BgL_nz00_3334))
																{	/* Reduce/cond.scm 136 */
																	BgL_objectz00_bglt BgL_arg1858z00_3337;

																	BgL_arg1858z00_3337 =
																		(BgL_objectz00_bglt) (BgL_nz00_3334);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Reduce/cond.scm 136 */
																			long BgL_idxz00_3338;

																			BgL_idxz00_3338 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1858z00_3337);
																			BgL__ortest_1109z00_3335 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_3338 + 2L)) ==
																				BgL_classz00_3336);
																		}
																	else
																		{	/* Reduce/cond.scm 136 */
																			bool_t BgL_res2033z00_3341;

																			{	/* Reduce/cond.scm 136 */
																				obj_t BgL_oclassz00_3342;

																				{	/* Reduce/cond.scm 136 */
																					obj_t BgL_arg1866z00_3343;
																					long BgL_arg1867z00_3344;

																					BgL_arg1866z00_3343 =
																						(BGl_za2classesza2z00zz__objectz00);
																					{	/* Reduce/cond.scm 136 */
																						long BgL_arg1869z00_3345;

																						BgL_arg1869z00_3345 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1858z00_3337);
																						BgL_arg1867z00_3344 =
																							(BgL_arg1869z00_3345 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_3342 =
																						VECTOR_REF(BgL_arg1866z00_3343,
																						BgL_arg1867z00_3344);
																				}
																				{	/* Reduce/cond.scm 136 */
																					bool_t BgL__ortest_1115z00_3346;

																					BgL__ortest_1115z00_3346 =
																						(BgL_classz00_3336 ==
																						BgL_oclassz00_3342);
																					if (BgL__ortest_1115z00_3346)
																						{	/* Reduce/cond.scm 136 */
																							BgL_res2033z00_3341 =
																								BgL__ortest_1115z00_3346;
																						}
																					else
																						{	/* Reduce/cond.scm 136 */
																							long BgL_odepthz00_3347;

																							{	/* Reduce/cond.scm 136 */
																								obj_t BgL_arg1855z00_3348;

																								BgL_arg1855z00_3348 =
																									(BgL_oclassz00_3342);
																								BgL_odepthz00_3347 =
																									BGL_CLASS_DEPTH
																									(BgL_arg1855z00_3348);
																							}
																							if ((2L < BgL_odepthz00_3347))
																								{	/* Reduce/cond.scm 136 */
																									obj_t BgL_arg1853z00_3349;

																									{	/* Reduce/cond.scm 136 */
																										obj_t BgL_arg1854z00_3350;

																										BgL_arg1854z00_3350 =
																											(BgL_oclassz00_3342);
																										BgL_arg1853z00_3349 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_arg1854z00_3350, 2L);
																									}
																									BgL_res2033z00_3341 =
																										(BgL_arg1853z00_3349 ==
																										BgL_classz00_3336);
																								}
																							else
																								{	/* Reduce/cond.scm 136 */
																									BgL_res2033z00_3341 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL__ortest_1109z00_3335 =
																				BgL_res2033z00_3341;
																		}
																}
															else
																{	/* Reduce/cond.scm 136 */
																	BgL__ortest_1109z00_3335 = ((bool_t) 0);
																}
														}
														if (BgL__ortest_1109z00_3335)
															{	/* Reduce/cond.scm 136 */
																BgL_test2220z00_4454 = BgL__ortest_1109z00_3335;
															}
														else
															{	/* Reduce/cond.scm 136 */
																obj_t BgL_classz00_3351;

																BgL_classz00_3351 = BGl_varz00zzast_nodez00;
																if (BGL_OBJECTP(BgL_nz00_3334))
																	{	/* Reduce/cond.scm 136 */
																		BgL_objectz00_bglt BgL_arg1858z00_3352;

																		BgL_arg1858z00_3352 =
																			(BgL_objectz00_bglt) (BgL_nz00_3334);
																		if (BGL_CONDEXPAND_ISA_ARCH64())
																			{	/* Reduce/cond.scm 136 */
																				long BgL_idxz00_3353;

																				BgL_idxz00_3353 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1858z00_3352);
																				BgL_test2220z00_4454 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_3353 + 2L)) ==
																					BgL_classz00_3351);
																			}
																		else
																			{	/* Reduce/cond.scm 136 */
																				bool_t BgL_res2034z00_3356;

																				{	/* Reduce/cond.scm 136 */
																					obj_t BgL_oclassz00_3357;

																					{	/* Reduce/cond.scm 136 */
																						obj_t BgL_arg1866z00_3358;
																						long BgL_arg1867z00_3359;

																						BgL_arg1866z00_3358 =
																							(BGl_za2classesza2z00zz__objectz00);
																						{	/* Reduce/cond.scm 136 */
																							long BgL_arg1869z00_3360;

																							BgL_arg1869z00_3360 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1858z00_3352);
																							BgL_arg1867z00_3359 =
																								(BgL_arg1869z00_3360 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_3357 =
																							VECTOR_REF(BgL_arg1866z00_3358,
																							BgL_arg1867z00_3359);
																					}
																					{	/* Reduce/cond.scm 136 */
																						bool_t BgL__ortest_1115z00_3361;

																						BgL__ortest_1115z00_3361 =
																							(BgL_classz00_3351 ==
																							BgL_oclassz00_3357);
																						if (BgL__ortest_1115z00_3361)
																							{	/* Reduce/cond.scm 136 */
																								BgL_res2034z00_3356 =
																									BgL__ortest_1115z00_3361;
																							}
																						else
																							{	/* Reduce/cond.scm 136 */
																								long BgL_odepthz00_3362;

																								{	/* Reduce/cond.scm 136 */
																									obj_t BgL_arg1855z00_3363;

																									BgL_arg1855z00_3363 =
																										(BgL_oclassz00_3357);
																									BgL_odepthz00_3362 =
																										BGL_CLASS_DEPTH
																										(BgL_arg1855z00_3363);
																								}
																								if ((2L < BgL_odepthz00_3362))
																									{	/* Reduce/cond.scm 136 */
																										obj_t BgL_arg1853z00_3364;

																										{	/* Reduce/cond.scm 136 */
																											obj_t BgL_arg1854z00_3365;

																											BgL_arg1854z00_3365 =
																												(BgL_oclassz00_3357);
																											BgL_arg1853z00_3364 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_arg1854z00_3365,
																												2L);
																										}
																										BgL_res2034z00_3356 =
																											(BgL_arg1853z00_3364 ==
																											BgL_classz00_3351);
																									}
																								else
																									{	/* Reduce/cond.scm 136 */
																										BgL_res2034z00_3356 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_test2220z00_4454 =
																					BgL_res2034z00_3356;
																			}
																	}
																else
																	{	/* Reduce/cond.scm 136 */
																		BgL_test2220z00_4454 = ((bool_t) 0);
																	}
															}
													}
												}
												if (BgL_test2220z00_4454)
													{	/* Reduce/cond.scm 136 */
														obj_t BgL_arg1650z00_3366;

														BgL_arg1650z00_3366 =
															CDR(((obj_t) BgL_l1263z00_3333));
														{
															obj_t BgL_l1263z00_4504;

															BgL_l1263z00_4504 = BgL_arg1650z00_3366;
															BgL_l1263z00_3333 = BgL_l1263z00_4504;
															goto BgL_zc3z04anonymousza31649ze3z87_3332;
														}
													}
												else
													{	/* Reduce/cond.scm 136 */
														BgL_test2216z00_4440 = ((bool_t) 0);
													}
											}
									}
								}
							else
								{	/* Reduce/cond.scm 135 */
									BgL_test2216z00_4440 = ((bool_t) 0);
								}
						}
						if (BgL_test2216z00_4440)
							{	/* Reduce/cond.scm 138 */
								bool_t BgL_test2230z00_4505;

								{	/* Reduce/cond.scm 138 */
									obj_t BgL_arg1643z00_3367;

									BgL_arg1643z00_3367 =
										((obj_t)
										(((BgL_varz00_bglt) COBJECT(
													(((BgL_appz00_bglt) COBJECT(BgL_nodez00_3328))->
														BgL_funz00)))->BgL_variablez00));
									BgL_test2230z00_4505 =
										(BgL_arg1643z00_3367 == BGl_za2z42eqza2z42zzreduce_condz00);
								}
								if (BgL_test2230z00_4505)
									{	/* Reduce/cond.scm 139 */
										obj_t BgL_arg1597z00_3368;
										obj_t BgL_arg1605z00_3369;

										BgL_arg1597z00_3368 =
											CAR(
											(((BgL_appz00_bglt) COBJECT(BgL_nodez00_3328))->
												BgL_argsz00));
										{	/* Reduce/cond.scm 139 */
											obj_t BgL_pairz00_3370;

											BgL_pairz00_3370 =
												(((BgL_appz00_bglt) COBJECT(BgL_nodez00_3328))->
												BgL_argsz00);
											BgL_arg1605z00_3369 = CAR(CDR(BgL_pairz00_3370));
										}
										BgL_n1z00_3375 = BgL_arg1597z00_3368;
										BgL_n2z00_3376 = BgL_arg1605z00_3369;
									BgL_eqzd2atomzf3z21_3327:
										{	/* Reduce/cond.scm 126 */
											bool_t BgL_test2231z00_4515;

											{	/* Reduce/cond.scm 126 */
												bool_t BgL_test2232z00_4516;

												{	/* Reduce/cond.scm 126 */
													obj_t BgL_classz00_3377;

													BgL_classz00_3377 = BGl_atomz00zzast_nodez00;
													if (BGL_OBJECTP(BgL_n1z00_3375))
														{	/* Reduce/cond.scm 126 */
															BgL_objectz00_bglt BgL_arg1858z00_3378;

															BgL_arg1858z00_3378 =
																(BgL_objectz00_bglt) (BgL_n1z00_3375);
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Reduce/cond.scm 126 */
																	long BgL_idxz00_3379;

																	BgL_idxz00_3379 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_3378);
																	BgL_test2232z00_4516 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_3379 + 2L)) ==
																		BgL_classz00_3377);
																}
															else
																{	/* Reduce/cond.scm 126 */
																	bool_t BgL_res2029z00_3382;

																	{	/* Reduce/cond.scm 126 */
																		obj_t BgL_oclassz00_3383;

																		{	/* Reduce/cond.scm 126 */
																			obj_t BgL_arg1866z00_3384;
																			long BgL_arg1867z00_3385;

																			BgL_arg1866z00_3384 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* Reduce/cond.scm 126 */
																				long BgL_arg1869z00_3386;

																				BgL_arg1869z00_3386 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_3378);
																				BgL_arg1867z00_3385 =
																					(BgL_arg1869z00_3386 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_3383 =
																				VECTOR_REF(BgL_arg1866z00_3384,
																				BgL_arg1867z00_3385);
																		}
																		{	/* Reduce/cond.scm 126 */
																			bool_t BgL__ortest_1115z00_3387;

																			BgL__ortest_1115z00_3387 =
																				(BgL_classz00_3377 ==
																				BgL_oclassz00_3383);
																			if (BgL__ortest_1115z00_3387)
																				{	/* Reduce/cond.scm 126 */
																					BgL_res2029z00_3382 =
																						BgL__ortest_1115z00_3387;
																				}
																			else
																				{	/* Reduce/cond.scm 126 */
																					long BgL_odepthz00_3388;

																					{	/* Reduce/cond.scm 126 */
																						obj_t BgL_arg1855z00_3389;

																						BgL_arg1855z00_3389 =
																							(BgL_oclassz00_3383);
																						BgL_odepthz00_3388 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_3389);
																					}
																					if ((2L < BgL_odepthz00_3388))
																						{	/* Reduce/cond.scm 126 */
																							obj_t BgL_arg1853z00_3390;

																							{	/* Reduce/cond.scm 126 */
																								obj_t BgL_arg1854z00_3391;

																								BgL_arg1854z00_3391 =
																									(BgL_oclassz00_3383);
																								BgL_arg1853z00_3390 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_3391, 2L);
																							}
																							BgL_res2029z00_3382 =
																								(BgL_arg1853z00_3390 ==
																								BgL_classz00_3377);
																						}
																					else
																						{	/* Reduce/cond.scm 126 */
																							BgL_res2029z00_3382 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test2232z00_4516 = BgL_res2029z00_3382;
																}
														}
													else
														{	/* Reduce/cond.scm 126 */
															BgL_test2232z00_4516 = ((bool_t) 0);
														}
												}
												if (BgL_test2232z00_4516)
													{	/* Reduce/cond.scm 126 */
														obj_t BgL_classz00_3392;

														BgL_classz00_3392 = BGl_atomz00zzast_nodez00;
														if (BGL_OBJECTP(BgL_n2z00_3376))
															{	/* Reduce/cond.scm 126 */
																BgL_objectz00_bglt BgL_arg1858z00_3393;

																BgL_arg1858z00_3393 =
																	(BgL_objectz00_bglt) (BgL_n2z00_3376);
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Reduce/cond.scm 126 */
																		long BgL_idxz00_3394;

																		BgL_idxz00_3394 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1858z00_3393);
																		BgL_test2231z00_4515 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_3394 + 2L)) ==
																			BgL_classz00_3392);
																	}
																else
																	{	/* Reduce/cond.scm 126 */
																		bool_t BgL_res2030z00_3397;

																		{	/* Reduce/cond.scm 126 */
																			obj_t BgL_oclassz00_3398;

																			{	/* Reduce/cond.scm 126 */
																				obj_t BgL_arg1866z00_3399;
																				long BgL_arg1867z00_3400;

																				BgL_arg1866z00_3399 =
																					(BGl_za2classesza2z00zz__objectz00);
																				{	/* Reduce/cond.scm 126 */
																					long BgL_arg1869z00_3401;

																					BgL_arg1869z00_3401 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1858z00_3393);
																					BgL_arg1867z00_3400 =
																						(BgL_arg1869z00_3401 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_3398 =
																					VECTOR_REF(BgL_arg1866z00_3399,
																					BgL_arg1867z00_3400);
																			}
																			{	/* Reduce/cond.scm 126 */
																				bool_t BgL__ortest_1115z00_3402;

																				BgL__ortest_1115z00_3402 =
																					(BgL_classz00_3392 ==
																					BgL_oclassz00_3398);
																				if (BgL__ortest_1115z00_3402)
																					{	/* Reduce/cond.scm 126 */
																						BgL_res2030z00_3397 =
																							BgL__ortest_1115z00_3402;
																					}
																				else
																					{	/* Reduce/cond.scm 126 */
																						long BgL_odepthz00_3403;

																						{	/* Reduce/cond.scm 126 */
																							obj_t BgL_arg1855z00_3404;

																							BgL_arg1855z00_3404 =
																								(BgL_oclassz00_3398);
																							BgL_odepthz00_3403 =
																								BGL_CLASS_DEPTH
																								(BgL_arg1855z00_3404);
																						}
																						if ((2L < BgL_odepthz00_3403))
																							{	/* Reduce/cond.scm 126 */
																								obj_t BgL_arg1853z00_3405;

																								{	/* Reduce/cond.scm 126 */
																									obj_t BgL_arg1854z00_3406;

																									BgL_arg1854z00_3406 =
																										(BgL_oclassz00_3398);
																									BgL_arg1853z00_3405 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_arg1854z00_3406, 2L);
																								}
																								BgL_res2030z00_3397 =
																									(BgL_arg1853z00_3405 ==
																									BgL_classz00_3392);
																							}
																						else
																							{	/* Reduce/cond.scm 126 */
																								BgL_res2030z00_3397 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test2231z00_4515 = BgL_res2030z00_3397;
																	}
															}
														else
															{	/* Reduce/cond.scm 126 */
																BgL_test2231z00_4515 = ((bool_t) 0);
															}
													}
												else
													{	/* Reduce/cond.scm 126 */
														BgL_test2231z00_4515 = ((bool_t) 0);
													}
											}
											if (BgL_test2231z00_4515)
												{	/* Reduce/cond.scm 126 */
													if (
														((((BgL_atomz00_bglt) COBJECT(
																		((BgL_atomz00_bglt) BgL_n1z00_3375)))->
																BgL_valuez00) ==
															(((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
																			BgL_n2z00_3376)))->BgL_valuez00)))
														{	/* Reduce/cond.scm 127 */
															BgL_trivz00_3437 = ((obj_t) CNST_TABLE_REF(6));
														}
													else
														{	/* Reduce/cond.scm 127 */
															BgL_trivz00_3437 = ((obj_t) CNST_TABLE_REF(5));
														}
												}
											else
												{	/* Reduce/cond.scm 128 */
													bool_t BgL_test2242z00_4571;

													{	/* Reduce/cond.scm 128 */
														bool_t BgL_test2243z00_4572;

														{	/* Reduce/cond.scm 128 */
															obj_t BgL_classz00_3407;

															BgL_classz00_3407 = BGl_varz00zzast_nodez00;
															if (BGL_OBJECTP(BgL_n1z00_3375))
																{	/* Reduce/cond.scm 128 */
																	BgL_objectz00_bglt BgL_arg1858z00_3408;

																	BgL_arg1858z00_3408 =
																		(BgL_objectz00_bglt) (BgL_n1z00_3375);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Reduce/cond.scm 128 */
																			long BgL_idxz00_3409;

																			BgL_idxz00_3409 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1858z00_3408);
																			BgL_test2243z00_4572 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_3409 + 2L)) ==
																				BgL_classz00_3407);
																		}
																	else
																		{	/* Reduce/cond.scm 128 */
																			bool_t BgL_res2031z00_3412;

																			{	/* Reduce/cond.scm 128 */
																				obj_t BgL_oclassz00_3413;

																				{	/* Reduce/cond.scm 128 */
																					obj_t BgL_arg1866z00_3414;
																					long BgL_arg1867z00_3415;

																					BgL_arg1866z00_3414 =
																						(BGl_za2classesza2z00zz__objectz00);
																					{	/* Reduce/cond.scm 128 */
																						long BgL_arg1869z00_3416;

																						BgL_arg1869z00_3416 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1858z00_3408);
																						BgL_arg1867z00_3415 =
																							(BgL_arg1869z00_3416 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_3413 =
																						VECTOR_REF(BgL_arg1866z00_3414,
																						BgL_arg1867z00_3415);
																				}
																				{	/* Reduce/cond.scm 128 */
																					bool_t BgL__ortest_1115z00_3417;

																					BgL__ortest_1115z00_3417 =
																						(BgL_classz00_3407 ==
																						BgL_oclassz00_3413);
																					if (BgL__ortest_1115z00_3417)
																						{	/* Reduce/cond.scm 128 */
																							BgL_res2031z00_3412 =
																								BgL__ortest_1115z00_3417;
																						}
																					else
																						{	/* Reduce/cond.scm 128 */
																							long BgL_odepthz00_3418;

																							{	/* Reduce/cond.scm 128 */
																								obj_t BgL_arg1855z00_3419;

																								BgL_arg1855z00_3419 =
																									(BgL_oclassz00_3413);
																								BgL_odepthz00_3418 =
																									BGL_CLASS_DEPTH
																									(BgL_arg1855z00_3419);
																							}
																							if ((2L < BgL_odepthz00_3418))
																								{	/* Reduce/cond.scm 128 */
																									obj_t BgL_arg1853z00_3420;

																									{	/* Reduce/cond.scm 128 */
																										obj_t BgL_arg1854z00_3421;

																										BgL_arg1854z00_3421 =
																											(BgL_oclassz00_3413);
																										BgL_arg1853z00_3420 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_arg1854z00_3421, 2L);
																									}
																									BgL_res2031z00_3412 =
																										(BgL_arg1853z00_3420 ==
																										BgL_classz00_3407);
																								}
																							else
																								{	/* Reduce/cond.scm 128 */
																									BgL_res2031z00_3412 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test2243z00_4572 =
																				BgL_res2031z00_3412;
																		}
																}
															else
																{	/* Reduce/cond.scm 128 */
																	BgL_test2243z00_4572 = ((bool_t) 0);
																}
														}
														if (BgL_test2243z00_4572)
															{	/* Reduce/cond.scm 128 */
																obj_t BgL_classz00_3422;

																BgL_classz00_3422 = BGl_varz00zzast_nodez00;
																if (BGL_OBJECTP(BgL_n2z00_3376))
																	{	/* Reduce/cond.scm 128 */
																		BgL_objectz00_bglt BgL_arg1858z00_3423;

																		BgL_arg1858z00_3423 =
																			(BgL_objectz00_bglt) (BgL_n2z00_3376);
																		if (BGL_CONDEXPAND_ISA_ARCH64())
																			{	/* Reduce/cond.scm 128 */
																				long BgL_idxz00_3424;

																				BgL_idxz00_3424 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1858z00_3423);
																				BgL_test2242z00_4571 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_3424 + 2L)) ==
																					BgL_classz00_3422);
																			}
																		else
																			{	/* Reduce/cond.scm 128 */
																				bool_t BgL_res2032z00_3427;

																				{	/* Reduce/cond.scm 128 */
																					obj_t BgL_oclassz00_3428;

																					{	/* Reduce/cond.scm 128 */
																						obj_t BgL_arg1866z00_3429;
																						long BgL_arg1867z00_3430;

																						BgL_arg1866z00_3429 =
																							(BGl_za2classesza2z00zz__objectz00);
																						{	/* Reduce/cond.scm 128 */
																							long BgL_arg1869z00_3431;

																							BgL_arg1869z00_3431 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1858z00_3423);
																							BgL_arg1867z00_3430 =
																								(BgL_arg1869z00_3431 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_3428 =
																							VECTOR_REF(BgL_arg1866z00_3429,
																							BgL_arg1867z00_3430);
																					}
																					{	/* Reduce/cond.scm 128 */
																						bool_t BgL__ortest_1115z00_3432;

																						BgL__ortest_1115z00_3432 =
																							(BgL_classz00_3422 ==
																							BgL_oclassz00_3428);
																						if (BgL__ortest_1115z00_3432)
																							{	/* Reduce/cond.scm 128 */
																								BgL_res2032z00_3427 =
																									BgL__ortest_1115z00_3432;
																							}
																						else
																							{	/* Reduce/cond.scm 128 */
																								long BgL_odepthz00_3433;

																								{	/* Reduce/cond.scm 128 */
																									obj_t BgL_arg1855z00_3434;

																									BgL_arg1855z00_3434 =
																										(BgL_oclassz00_3428);
																									BgL_odepthz00_3433 =
																										BGL_CLASS_DEPTH
																										(BgL_arg1855z00_3434);
																								}
																								if ((2L < BgL_odepthz00_3433))
																									{	/* Reduce/cond.scm 128 */
																										obj_t BgL_arg1853z00_3435;

																										{	/* Reduce/cond.scm 128 */
																											obj_t BgL_arg1854z00_3436;

																											BgL_arg1854z00_3436 =
																												(BgL_oclassz00_3428);
																											BgL_arg1853z00_3435 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_arg1854z00_3436,
																												2L);
																										}
																										BgL_res2032z00_3427 =
																											(BgL_arg1853z00_3435 ==
																											BgL_classz00_3422);
																									}
																								else
																									{	/* Reduce/cond.scm 128 */
																										BgL_res2032z00_3427 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_test2242z00_4571 =
																					BgL_res2032z00_3427;
																			}
																	}
																else
																	{	/* Reduce/cond.scm 128 */
																		BgL_test2242z00_4571 = ((bool_t) 0);
																	}
															}
														else
															{	/* Reduce/cond.scm 128 */
																BgL_test2242z00_4571 = ((bool_t) 0);
															}
													}
													if (BgL_test2242z00_4571)
														{	/* Reduce/cond.scm 128 */
															if (
																(((obj_t)
																		(((BgL_varz00_bglt) COBJECT(
																					((BgL_varz00_bglt) BgL_n1z00_3375)))->
																			BgL_variablez00)) ==
																	((obj_t) (((BgL_varz00_bglt)
																				COBJECT(((BgL_varz00_bglt)
																						BgL_n2z00_3376)))->
																			BgL_variablez00))))
																{	/* Reduce/cond.scm 129 */
																	BgL_trivz00_3437 =
																		((obj_t) CNST_TABLE_REF(6));
																}
															else
																{	/* Reduce/cond.scm 129 */
																	BgL_trivz00_3437 = BFALSE;
																}
														}
													else
														{	/* Reduce/cond.scm 128 */
															BgL_trivz00_3437 = BFALSE;
														}
												}
										}
									}
								else
									{	/* Reduce/cond.scm 140 */
										bool_t BgL_test2253z00_4627;

										{	/* Reduce/cond.scm 140 */
											obj_t BgL_arg1638z00_3371;

											BgL_arg1638z00_3371 =
												((obj_t)
												(((BgL_varz00_bglt) COBJECT(
															(((BgL_appz00_bglt) COBJECT(BgL_nodez00_3328))->
																BgL_funz00)))->BgL_variablez00));
											BgL_test2253z00_4627 =
												(BgL_arg1638z00_3371 ==
												BGl_za2z42zd3fxza2z91zzreduce_condz00);
										}
										if (BgL_test2253z00_4627)
											{	/* Reduce/cond.scm 141 */
												obj_t BgL_arg1631z00_3372;
												obj_t BgL_arg1632z00_3373;

												BgL_arg1631z00_3372 =
													CAR(
													(((BgL_appz00_bglt) COBJECT(BgL_nodez00_3328))->
														BgL_argsz00));
												{	/* Reduce/cond.scm 141 */
													obj_t BgL_pairz00_3374;

													BgL_pairz00_3374 =
														(((BgL_appz00_bglt) COBJECT(BgL_nodez00_3328))->
														BgL_argsz00);
													BgL_arg1632z00_3373 = CAR(CDR(BgL_pairz00_3374));
												}
												{
													obj_t BgL_n2z00_4638;
													obj_t BgL_n1z00_4637;

													BgL_n1z00_4637 = BgL_arg1631z00_3372;
													BgL_n2z00_4638 = BgL_arg1632z00_3373;
													BgL_n2z00_3376 = BgL_n2z00_4638;
													BgL_n1z00_3375 = BgL_n1z00_4637;
													goto BgL_eqzd2atomzf3z21_3327;
												}
											}
										else
											{	/* Reduce/cond.scm 140 */
												BgL_trivz00_3437 = BFALSE;
											}
									}
							}
						else
							{	/* Reduce/cond.scm 135 */
								BgL_trivz00_3437 = BFALSE;
							}
					}
					if (CBOOL(BgL_trivz00_3437))
						{	/* Reduce/cond.scm 150 */
							BgL_literalz00_bglt BgL_new1113z00_3438;

							{	/* Reduce/cond.scm 150 */
								BgL_literalz00_bglt BgL_new1112z00_3439;

								BgL_new1112z00_3439 =
									((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_literalz00_bgl))));
								{	/* Reduce/cond.scm 150 */
									long BgL_arg1512z00_3440;

									BgL_arg1512z00_3440 =
										BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1112z00_3439),
										BgL_arg1512z00_3440);
								}
								{	/* Reduce/cond.scm 150 */
									BgL_objectz00_bglt BgL_tmpz00_4646;

									BgL_tmpz00_4646 = ((BgL_objectz00_bglt) BgL_new1112z00_3439);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4646, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1112z00_3439);
								BgL_new1113z00_3438 = BgL_new1112z00_3439;
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1113z00_3438)))->BgL_locz00) =
								((obj_t) BFALSE), BUNSPEC);
							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
												BgL_new1113z00_3438)))->BgL_typez00) =
								((BgL_typez00_bglt) (((BgL_nodez00_bglt)
											COBJECT(((BgL_nodez00_bglt) ((BgL_appz00_bglt)
														BgL_nodez00_3104))))->BgL_typez00)), BUNSPEC);
							((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
												BgL_new1113z00_3438)))->BgL_valuez00) =
								((obj_t) BBOOL((BgL_trivz00_3437 ==
											((obj_t) CNST_TABLE_REF(6))))), BUNSPEC);
							return ((BgL_nodez00_bglt) BgL_new1113z00_3438);
						}
					else
						{	/* Reduce/cond.scm 148 */
							return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3104));
						}
				}
			}
		}

	}



/* &node-cond!-sync1303 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2sync1303z70zzreduce_condz00(obj_t
		BgL_envz00_3105, obj_t BgL_nodez00_3106)
	{
		{	/* Reduce/cond.scm 112 */
			{
				BgL_nodez00_bglt BgL_auxz00_4666;

				{	/* Reduce/cond.scm 114 */
					BgL_nodez00_bglt BgL_arg1489z00_3442;

					BgL_arg1489z00_3442 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3106)))->BgL_mutexz00);
					BgL_auxz00_4666 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1489z00_3442);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3106)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4666), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4672;

				{	/* Reduce/cond.scm 115 */
					BgL_nodez00_bglt BgL_arg1490z00_3443;

					BgL_arg1490z00_3443 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3106)))->BgL_prelockz00);
					BgL_auxz00_4672 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1490z00_3443);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3106)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4672), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4678;

				{	/* Reduce/cond.scm 116 */
					BgL_nodez00_bglt BgL_arg1506z00_3444;

					BgL_arg1506z00_3444 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3106)))->BgL_bodyz00);
					BgL_auxz00_4678 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1506z00_3444);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3106)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4678), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_3106));
		}

	}



/* &node-cond!-sequence1301 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2sequence1301z70zzreduce_condz00(obj_t
		BgL_envz00_3107, obj_t BgL_nodez00_3108)
	{
		{	/* Reduce/cond.scm 104 */
			BGl_nodezd2condza2z12z62zzreduce_condz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_3108)))->BgL_nodesz00));
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_3108));
		}

	}



/* &node-cond!-closure1298 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2closure1298z70zzreduce_condz00(obj_t
		BgL_envz00_3109, obj_t BgL_nodez00_3110)
	{
		{	/* Reduce/cond.scm 98 */
			return ((BgL_nodez00_bglt) ((BgL_closurez00_bglt) BgL_nodez00_3110));
		}

	}



/* &node-cond!-var1296 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2var1296z70zzreduce_condz00(obj_t
		BgL_envz00_3111, obj_t BgL_nodez00_3112)
	{
		{	/* Reduce/cond.scm 92 */
			return ((BgL_nodez00_bglt) ((BgL_varz00_bglt) BgL_nodez00_3112));
		}

	}



/* &node-cond!-kwote1294 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2kwote1294z70zzreduce_condz00(obj_t
		BgL_envz00_3113, obj_t BgL_nodez00_3114)
	{
		{	/* Reduce/cond.scm 86 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_3114));
		}

	}



/* &node-cond!-atom1292 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2atom1292z70zzreduce_condz00(obj_t
		BgL_envz00_3115, obj_t BgL_nodez00_3116)
	{
		{	/* Reduce/cond.scm 80 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_3116));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreduce_condz00(void)
	{
		{	/* Reduce/cond.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string2086z00zzreduce_condz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2086z00zzreduce_condz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string2086z00zzreduce_condz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2086z00zzreduce_condz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2086z00zzreduce_condz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2086z00zzreduce_condz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(398780265L,
				BSTRING_TO_STRING(BGl_string2086z00zzreduce_condz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2086z00zzreduce_condz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string2086z00zzreduce_condz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2086z00zzreduce_condz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(271707717L,
				BSTRING_TO_STRING(BGl_string2086z00zzreduce_condz00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_effectz00(460136018L,
				BSTRING_TO_STRING(BGl_string2086z00zzreduce_condz00));
		}

	}

#ifdef __cplusplus
}
#endif
