/*===========================================================================*/
/*   (Return/walk.scm)                                                       */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Return/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_RETURN_WALK_TYPE_DEFINITIONS
#define BGL_RETURN_WALK_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;


#endif													// BGL_RETURN_WALK_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static BgL_nodez00_bglt
		BGl_z62returnzd2gotozd2funsz12zd2le1343za2zzreturn_walkz00(obj_t, obj_t);
	static obj_t BGl_z62returnzd2walkz12za2zzreturn_walkz00(obj_t, obj_t);
	extern obj_t BGl_returnz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzreturn_walkz00 = BUNSPEC;
	static obj_t BGl_step6bze70ze7zzreturn_walkz00(BgL_nodez00_bglt,
		BgL_localz00_bglt, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_z62iszd2returnzf31327z43zzreturn_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62clearzd2returnzd2cachez12z70zzreturn_walkz00(obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_iszd2returnzf3z21zzreturn_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t);
	static obj_t BGl_za2popzd2exitz12za2zc0zzreturn_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_step6ze70ze7zzreturn_walkz00(BgL_nodez00_bglt,
		BgL_localz00_bglt);
	static obj_t BGl_toplevelzd2initzd2zzreturn_walkz00(void);
	BGL_IMPORT obj_t unwind_stack_until(obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_returnzd2funz12zc0zzreturn_walkz00(obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static obj_t BGl_z62iszd2returnzf3z43zzreturn_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_za2envzd2pushzd2exitz12za2z12zzreturn_walkz00 = BUNSPEC;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_iszd2unwindzd2untilzf3zf3zzreturn_walkz00(BgL_variablez00_bglt);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzreturn_walkz00(void);
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00(void);
	static BgL_nodez00_bglt BGl_z62returnz12zd2app1339za2zzreturn_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzreturn_walkz00(void);
	static BgL_nodez00_bglt BGl_returnz12z12zzreturn_walkz00(BgL_nodez00_bglt,
		BgL_localz00_bglt, BgL_retblockz00_bglt);
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t BGl_z62iszd2returnzf3zd2var1331z91zzreturn_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_za2envzd2popzd2exitz12za2z12zzreturn_walkz00 = BUNSPEC;
	static obj_t BGl_step8ze70ze7zzreturn_walkz00(BgL_nodez00_bglt,
		BgL_localz00_bglt);
	static obj_t BGl_z62returnzd2gotozd2funsz121340z70zzreturn_walkz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62returnzd2gotozd2funsz12z70zzreturn_walkz00(obj_t, obj_t);
	static obj_t BGl_z62iszd2getzd2exitdzd2topzf3z43zzreturn_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2pushzd2exitz12za2zc0zzreturn_walkz00 = BUNSPEC;
	static obj_t BGl_methodzd2initzd2zzreturn_walkz00(void);
	BGL_EXPORTED_DECL bool_t
		BGl_iszd2exitzd2returnzf3zf3zzreturn_walkz00(BgL_nodez00_bglt,
		BgL_localz00_bglt);
	static obj_t BGl_z62iszd2exitzd2returnzf3z91zzreturn_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62iszd2unwindzd2untilzf3z91zzreturn_walkz00(obj_t, obj_t);
	static obj_t BGl_z62iszd2returnzf3zd2app1335z91zzreturn_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t BGl_za2currentzd2dynamiczd2envza2z00zzreturn_walkz00 = BUNSPEC;
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_functionzd2exitzd2nodez00zzreturn_walkz00(BgL_nodez00_bglt);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62abortz62zzreturn_walkz00(obj_t, obj_t);
	static obj_t BGl_z62initzd2returnzd2cachez12z70zzreturn_walkz00(obj_t);
	static obj_t BGl_za2envzd2getzd2exitdzd2topza2zd2zzreturn_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_returnzd2walkz12zc0zzreturn_walkz00(obj_t);
	extern obj_t BGl_walk2z00zzast_walkz00(BgL_nodez00_bglt, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzreturn_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t BGl_z62iszd2returnzf3zd2letzd2var1333z43zzreturn_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	static obj_t BGl_za2getzd2exitdzd2topza2z00zzreturn_walkz00 = BUNSPEC;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_za2optimzd2returnzd2gotozf3za2zf3zzengine_paramz00;
	static obj_t BGl_cnstzd2initzd2zzreturn_walkz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzreturn_walkz00(void);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzreturn_walkz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzreturn_walkz00(void);
	extern BgL_nodez00_bglt BGl_walk0z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t);
	static BgL_nodez00_bglt BGl_z62returnz12z70zzreturn_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_retblockz00zzast_nodez00;
	static obj_t BGl_zc3z04exitza32012ze3ze70z60zzreturn_walkz00(BgL_nodez00_bglt,
		BgL_localz00_bglt);
	extern BgL_nodez00_bglt BGl_walk2z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62returnz121336z70zzreturn_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2unwindzd2untilz12za2zc0zzreturn_walkz00 = BUNSPEC;
	static obj_t BGl_za2exitdzd2protectzd2setz12za2z12zzreturn_walkz00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_returnzd2gotozd2funsz12z12zzreturn_walkz00(BgL_nodez00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_iszd2getzd2exitdzd2topzf3z21zzreturn_walkz00(BgL_variablez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_initzd2returnzd2cachez12z12zzreturn_walkz00(void);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t __cnst[15];


	   
		 
		DEFINE_STRING(BGl_string2219z00zzreturn_walkz00,
		BgL_bgl_string2219za700za7za7r2244za7, "Return", 6);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_clearzd2returnzd2cachez12zd2envzc0zzreturn_walkz00,
		BgL_bgl_za762clearza7d2retur2245z00,
		BGl_z62clearzd2returnzd2cachez12z70zzreturn_walkz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2220z00zzreturn_walkz00,
		BgL_bgl_string2220za700za7za7r2246za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2221z00zzreturn_walkz00,
		BgL_bgl_string2221za700za7za7r2247za7, "failure during prelude hook", 27);
	      DEFINE_STATIC_BGL_GENERIC(BGl_iszd2returnzf3zd2envzf3zzreturn_walkz00,
		BgL_bgl_za762isza7d2returnza7f2248za7,
		BGl_z62iszd2returnzf3z43zzreturn_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2222z00zzreturn_walkz00,
		BgL_bgl_string2222za700za7za7r2249za7, " error", 6);
	      DEFINE_STRING(BGl_string2223z00zzreturn_walkz00,
		BgL_bgl_string2223za700za7za7r2250za7, "s", 1);
	      DEFINE_STRING(BGl_string2224z00zzreturn_walkz00,
		BgL_bgl_string2224za700za7za7r2251za7, "", 0);
	      DEFINE_STRING(BGl_string2225z00zzreturn_walkz00,
		BgL_bgl_string2225za700za7za7r2252za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string2226z00zzreturn_walkz00,
		BgL_bgl_string2226za700za7za7r2253za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string2228z00zzreturn_walkz00,
		BgL_bgl_string2228za700za7za7r2254za7, "is-return?1327", 14);
	      DEFINE_STRING(BGl_string2230z00zzreturn_walkz00,
		BgL_bgl_string2230za700za7za7r2255za7, "return!1336", 11);
	      DEFINE_STRING(BGl_string2232z00zzreturn_walkz00,
		BgL_bgl_string2232za700za7za7r2256za7, "return-goto-funs!1340", 21);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2227z00zzreturn_walkz00,
		BgL_bgl_za762isza7d2returnza7f2257za7,
		BGl_z62iszd2returnzf31327z43zzreturn_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2234z00zzreturn_walkz00,
		BgL_bgl_string2234za700za7za7r2258za7, "is-return?", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2229z00zzreturn_walkz00,
		BgL_bgl_za762returnza71213362259z00,
		BGl_z62returnz121336z70zzreturn_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2238z00zzreturn_walkz00,
		BgL_bgl_string2238za700za7za7r2260za7, "return!::node", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2231z00zzreturn_walkz00,
		BgL_bgl_za762returnza7d2goto2261z00,
		BGl_z62returnzd2gotozd2funsz121340z70zzreturn_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2233z00zzreturn_walkz00,
		BgL_bgl_za762isza7d2returnza7f2262za7,
		BGl_z62iszd2returnzf3zd2var1331z91zzreturn_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2240z00zzreturn_walkz00,
		BgL_bgl_string2240za700za7za7r2263za7, "return-goto-funs!::node", 23);
	      DEFINE_STRING(BGl_string2241z00zzreturn_walkz00,
		BgL_bgl_string2241za700za7za7r2264za7, "return_walk", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2235z00zzreturn_walkz00,
		BgL_bgl_za762isza7d2returnza7f2265za7,
		BGl_z62iszd2returnzf3zd2letzd2var1333z43zzreturn_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2242z00zzreturn_walkz00,
		BgL_bgl_string2242za700za7za7r2266za7,
		"sfun $env-push-exit! push-exit! $env-pop-exit! pop-exit! unwind-stack-until! __bexit $env-get-exitd-top $exitd-protect-set! $get-exitd-top $current-dynamic-env foreign (clear-return-cache!) pass-started (init-return-cache!) ",
		224);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2236z00zzreturn_walkz00,
		BgL_bgl_za762isza7d2returnza7f2267za7,
		BGl_z62iszd2returnzf3zd2app1335z91zzreturn_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2237z00zzreturn_walkz00,
		BgL_bgl_za762returnza712za7d2a2268za7,
		BGl_z62returnz12zd2app1339za2zzreturn_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2239z00zzreturn_walkz00,
		BgL_bgl_za762returnza7d2goto2269z00,
		BGl_z62returnzd2gotozd2funsz12zd2le1343za2zzreturn_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_returnzd2walkz12zd2envz12zzreturn_walkz00,
		BgL_bgl_za762returnza7d2walk2270z00,
		BGl_z62returnzd2walkz12za2zzreturn_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_iszd2exitzd2returnzf3zd2envz21zzreturn_walkz00,
		BgL_bgl_za762isza7d2exitza7d2r2271za7,
		BGl_z62iszd2exitzd2returnzf3z91zzreturn_walkz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_iszd2getzd2exitdzd2topzf3zd2envzf3zzreturn_walkz00,
		BgL_bgl_za762isza7d2getza7d2ex2272za7,
		BGl_z62iszd2getzd2exitdzd2topzf3z43zzreturn_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_initzd2returnzd2cachez12zd2envzc0zzreturn_walkz00,
		BgL_bgl_za762initza7d2return2273z00,
		BGl_z62initzd2returnzd2cachez12z70zzreturn_walkz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_GENERIC(BGl_returnz12zd2envzc0zzreturn_walkz00,
		BgL_bgl_za762returnza712za770za72274z00,
		BGl_z62returnz12z70zzreturn_walkz00, 0L, BUNSPEC, 3);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_returnzd2gotozd2funsz12zd2envzc0zzreturn_walkz00,
		BgL_bgl_za762returnza7d2goto2275z00,
		BGl_z62returnzd2gotozd2funsz12z70zzreturn_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_iszd2unwindzd2untilzf3zd2envz21zzreturn_walkz00,
		BgL_bgl_za762isza7d2unwindza7d2276za7,
		BGl_z62iszd2unwindzd2untilzf3z91zzreturn_walkz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzreturn_walkz00));
		     ADD_ROOT((void *) (&BGl_za2popzd2exitz12za2zc0zzreturn_walkz00));
		   
			 ADD_ROOT((void *) (&BGl_za2envzd2pushzd2exitz12za2z12zzreturn_walkz00));
		     ADD_ROOT((void *) (&BGl_za2envzd2popzd2exitz12za2z12zzreturn_walkz00));
		     ADD_ROOT((void *) (&BGl_za2pushzd2exitz12za2zc0zzreturn_walkz00));
		   
			 ADD_ROOT((void
				*) (&BGl_za2currentzd2dynamiczd2envza2z00zzreturn_walkz00));
		     ADD_ROOT((void
				*) (&BGl_za2envzd2getzd2exitdzd2topza2zd2zzreturn_walkz00));
		     ADD_ROOT((void *) (&BGl_za2getzd2exitdzd2topza2z00zzreturn_walkz00));
		     ADD_ROOT((void *) (&BGl_za2unwindzd2untilz12za2zc0zzreturn_walkz00));
		   
			 ADD_ROOT((void
				*) (&BGl_za2exitdzd2protectzd2setz12za2z12zzreturn_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzreturn_walkz00(long
		BgL_checksumz00_3903, char *BgL_fromz00_3904)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreturn_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzreturn_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzreturn_walkz00();
					BGl_libraryzd2moduleszd2initz00zzreturn_walkz00();
					BGl_cnstzd2initzd2zzreturn_walkz00();
					BGl_importedzd2moduleszd2initz00zzreturn_walkz00();
					BGl_genericzd2initzd2zzreturn_walkz00();
					BGl_methodzd2initzd2zzreturn_walkz00();
					return BGl_toplevelzd2initzd2zzreturn_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreturn_walkz00(void)
	{
		{	/* Return/walk.scm 16 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L,
				"return_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "return_walk");
			BGl_modulezd2initializa7ationz75zz__bexitz00(0L, "return_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"return_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"return_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L, "return_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "return_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "return_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "return_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "return_walk");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "return_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"return_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "return_walk");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "return_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreturn_walkz00(void)
	{
		{	/* Return/walk.scm 16 */
			{	/* Return/walk.scm 16 */
				obj_t BgL_cportz00_3792;

				{	/* Return/walk.scm 16 */
					obj_t BgL_stringz00_3799;

					BgL_stringz00_3799 = BGl_string2242z00zzreturn_walkz00;
					{	/* Return/walk.scm 16 */
						obj_t BgL_startz00_3800;

						BgL_startz00_3800 = BINT(0L);
						{	/* Return/walk.scm 16 */
							obj_t BgL_endz00_3801;

							BgL_endz00_3801 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3799)));
							{	/* Return/walk.scm 16 */

								BgL_cportz00_3792 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3799, BgL_startz00_3800, BgL_endz00_3801);
				}}}}
				{
					long BgL_iz00_3793;

					BgL_iz00_3793 = 14L;
				BgL_loopz00_3794:
					if ((BgL_iz00_3793 == (-1L)))
						{	/* Return/walk.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Return/walk.scm 16 */
							{	/* Return/walk.scm 16 */
								obj_t BgL_arg2243z00_3795;

								{	/* Return/walk.scm 16 */

									{	/* Return/walk.scm 16 */
										obj_t BgL_locationz00_3797;

										BgL_locationz00_3797 = BBOOL(((bool_t) 0));
										{	/* Return/walk.scm 16 */

											BgL_arg2243z00_3795 =
												BGl_readz00zz__readerz00(BgL_cportz00_3792,
												BgL_locationz00_3797);
										}
									}
								}
								{	/* Return/walk.scm 16 */
									int BgL_tmpz00_3938;

									BgL_tmpz00_3938 = (int) (BgL_iz00_3793);
									CNST_TABLE_SET(BgL_tmpz00_3938, BgL_arg2243z00_3795);
							}}
							{	/* Return/walk.scm 16 */
								int BgL_auxz00_3798;

								BgL_auxz00_3798 = (int) ((BgL_iz00_3793 - 1L));
								{
									long BgL_iz00_3943;

									BgL_iz00_3943 = (long) (BgL_auxz00_3798);
									BgL_iz00_3793 = BgL_iz00_3943;
									goto BgL_loopz00_3794;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzreturn_walkz00(void)
	{
		{	/* Return/walk.scm 16 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzreturn_walkz00(void)
	{
		{	/* Return/walk.scm 16 */
			BGl_za2getzd2exitdzd2topza2z00zzreturn_walkz00 = BUNSPEC;
			BGl_za2envzd2getzd2exitdzd2topza2zd2zzreturn_walkz00 = BUNSPEC;
			BGl_za2exitdzd2protectzd2setz12za2z12zzreturn_walkz00 = BUNSPEC;
			BGl_za2unwindzd2untilz12za2zc0zzreturn_walkz00 = BUNSPEC;
			BGl_za2pushzd2exitz12za2zc0zzreturn_walkz00 = BUNSPEC;
			BGl_za2envzd2pushzd2exitz12za2z12zzreturn_walkz00 = BUNSPEC;
			BGl_za2popzd2exitz12za2zc0zzreturn_walkz00 = BUNSPEC;
			BGl_za2envzd2popzd2exitz12za2z12zzreturn_walkz00 = BUNSPEC;
			BGl_za2currentzd2dynamiczd2envza2z00zzreturn_walkz00 = BUNSPEC;
			return BUNSPEC;
		}

	}



/* return-walk! */
	BGL_EXPORTED_DEF obj_t BGl_returnzd2walkz12zc0zzreturn_walkz00(obj_t
		BgL_globalsz00_17)
	{
		{	/* Return/walk.scm 43 */
			{	/* Return/walk.scm 44 */
				obj_t BgL_list1380z00_1510;

				{	/* Return/walk.scm 44 */
					obj_t BgL_arg1382z00_1511;

					{	/* Return/walk.scm 44 */
						obj_t BgL_arg1383z00_1512;

						BgL_arg1383z00_1512 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1382z00_1511 =
							MAKE_YOUNG_PAIR(BGl_string2219z00zzreturn_walkz00,
							BgL_arg1383z00_1512);
					}
					BgL_list1380z00_1510 =
						MAKE_YOUNG_PAIR(BGl_string2220z00zzreturn_walkz00,
						BgL_arg1382z00_1511);
				}
				BGl_verbosez00zztools_speekz00(BINT(1L), BgL_list1380z00_1510);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(0L);
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string2219z00zzreturn_walkz00;
			{	/* Return/walk.scm 44 */
				obj_t BgL_g1117z00_1513;
				obj_t BgL_g1118z00_1514;

				{	/* Return/walk.scm 44 */
					obj_t BgL_list1394z00_1527;

					BgL_list1394z00_1527 =
						MAKE_YOUNG_PAIR
						(BGl_initzd2returnzd2cachez12zd2envzc0zzreturn_walkz00, BNIL);
					BgL_g1117z00_1513 = BgL_list1394z00_1527;
				}
				BgL_g1118z00_1514 = ((obj_t) CNST_TABLE_REF(0));
				{
					obj_t BgL_hooksz00_1516;
					obj_t BgL_hnamesz00_1517;

					BgL_hooksz00_1516 = BgL_g1117z00_1513;
					BgL_hnamesz00_1517 = BgL_g1118z00_1514;
				BgL_zc3z04anonymousza31384ze3z87_1518:
					if (NULLP(BgL_hooksz00_1516))
						{	/* Return/walk.scm 44 */
							((obj_t) CNST_TABLE_REF(1));
						}
					else
						{	/* Return/walk.scm 44 */
							bool_t BgL_test2280z00_3960;

							{	/* Return/walk.scm 44 */
								obj_t BgL_fun1393z00_1525;

								BgL_fun1393z00_1525 = CAR(((obj_t) BgL_hooksz00_1516));
								BgL_test2280z00_3960 =
									CBOOL(BGL_PROCEDURE_CALL0(BgL_fun1393z00_1525));
							}
							if (BgL_test2280z00_3960)
								{	/* Return/walk.scm 44 */
									obj_t BgL_arg1388z00_1522;
									obj_t BgL_arg1390z00_1523;

									BgL_arg1388z00_1522 = CDR(((obj_t) BgL_hooksz00_1516));
									BgL_arg1390z00_1523 = CDR(((obj_t) BgL_hnamesz00_1517));
									{
										obj_t BgL_hnamesz00_3972;
										obj_t BgL_hooksz00_3971;

										BgL_hooksz00_3971 = BgL_arg1388z00_1522;
										BgL_hnamesz00_3972 = BgL_arg1390z00_1523;
										BgL_hnamesz00_1517 = BgL_hnamesz00_3972;
										BgL_hooksz00_1516 = BgL_hooksz00_3971;
										goto BgL_zc3z04anonymousza31384ze3z87_1518;
									}
								}
							else
								{	/* Return/walk.scm 44 */
									obj_t BgL_arg1392z00_1524;

									BgL_arg1392z00_1524 = CAR(((obj_t) BgL_hnamesz00_1517));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string2219z00zzreturn_walkz00,
										BGl_string2221z00zzreturn_walkz00, BgL_arg1392z00_1524);
								}
						}
				}
			}
			{
				obj_t BgL_l1317z00_1529;

				BgL_l1317z00_1529 = BgL_globalsz00_17;
			BgL_zc3z04anonymousza31395ze3z87_1530:
				if (PAIRP(BgL_l1317z00_1529))
					{	/* Return/walk.scm 45 */
						BGl_returnzd2funz12zc0zzreturn_walkz00(CAR(BgL_l1317z00_1529));
						{
							obj_t BgL_l1317z00_3980;

							BgL_l1317z00_3980 = CDR(BgL_l1317z00_1529);
							BgL_l1317z00_1529 = BgL_l1317z00_3980;
							goto BgL_zc3z04anonymousza31395ze3z87_1530;
						}
					}
				else
					{	/* Return/walk.scm 45 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) > 0L))
				{	/* Return/walk.scm 46 */
					{	/* Return/walk.scm 46 */
						obj_t BgL_port1319z00_1537;

						{	/* Return/walk.scm 46 */
							obj_t BgL_tmpz00_3985;

							BgL_tmpz00_3985 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_port1319z00_1537 =
								BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_3985);
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1319z00_1537);
						bgl_display_string(BGl_string2222z00zzreturn_walkz00,
							BgL_port1319z00_1537);
						{	/* Return/walk.scm 46 */
							obj_t BgL_arg1406z00_1538;

							{	/* Return/walk.scm 46 */
								bool_t BgL_test2283z00_3990;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Return/walk.scm 46 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Return/walk.scm 46 */
												BgL_test2283z00_3990 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> 1L);
											}
										else
											{	/* Return/walk.scm 46 */
												BgL_test2283z00_3990 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(1L));
											}
									}
								else
									{	/* Return/walk.scm 46 */
										BgL_test2283z00_3990 = ((bool_t) 0);
									}
								if (BgL_test2283z00_3990)
									{	/* Return/walk.scm 46 */
										BgL_arg1406z00_1538 = BGl_string2223z00zzreturn_walkz00;
									}
								else
									{	/* Return/walk.scm 46 */
										BgL_arg1406z00_1538 = BGl_string2224z00zzreturn_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1406z00_1538, BgL_port1319z00_1537);
						}
						bgl_display_string(BGl_string2225z00zzreturn_walkz00,
							BgL_port1319z00_1537);
						bgl_display_char(((unsigned char) 10), BgL_port1319z00_1537);
					}
					{	/* Return/walk.scm 46 */
						obj_t BgL_list1409z00_1542;

						BgL_list1409z00_1542 = MAKE_YOUNG_PAIR(BINT((-1L)), BNIL);
						BGL_TAIL return BGl_exitz00zz__errorz00(BgL_list1409z00_1542);
					}
				}
			else
				{	/* Return/walk.scm 46 */
					obj_t BgL_g1119z00_1543;
					obj_t BgL_g1120z00_1544;

					{	/* Return/walk.scm 46 */
						obj_t BgL_list1473z00_1557;

						BgL_list1473z00_1557 =
							MAKE_YOUNG_PAIR
							(BGl_clearzd2returnzd2cachez12zd2envzc0zzreturn_walkz00, BNIL);
						BgL_g1119z00_1543 = BgL_list1473z00_1557;
					}
					BgL_g1120z00_1544 = ((obj_t) CNST_TABLE_REF(2));
					{
						obj_t BgL_hooksz00_1546;
						obj_t BgL_hnamesz00_1547;

						BgL_hooksz00_1546 = BgL_g1119z00_1543;
						BgL_hnamesz00_1547 = BgL_g1120z00_1544;
					BgL_zc3z04anonymousza31410ze3z87_1548:
						if (NULLP(BgL_hooksz00_1546))
							{	/* Return/walk.scm 46 */
								return BgL_globalsz00_17;
							}
						else
							{	/* Return/walk.scm 46 */
								bool_t BgL_test2287z00_4010;

								{	/* Return/walk.scm 46 */
									obj_t BgL_fun1472z00_1555;

									BgL_fun1472z00_1555 = CAR(((obj_t) BgL_hooksz00_1546));
									BgL_test2287z00_4010 =
										CBOOL(BGL_PROCEDURE_CALL0(BgL_fun1472z00_1555));
								}
								if (BgL_test2287z00_4010)
									{	/* Return/walk.scm 46 */
										obj_t BgL_arg1446z00_1552;
										obj_t BgL_arg1457z00_1553;

										BgL_arg1446z00_1552 = CDR(((obj_t) BgL_hooksz00_1546));
										BgL_arg1457z00_1553 = CDR(((obj_t) BgL_hnamesz00_1547));
										{
											obj_t BgL_hnamesz00_4022;
											obj_t BgL_hooksz00_4021;

											BgL_hooksz00_4021 = BgL_arg1446z00_1552;
											BgL_hnamesz00_4022 = BgL_arg1457z00_1553;
											BgL_hnamesz00_1547 = BgL_hnamesz00_4022;
											BgL_hooksz00_1546 = BgL_hooksz00_4021;
											goto BgL_zc3z04anonymousza31410ze3z87_1548;
										}
									}
								else
									{	/* Return/walk.scm 46 */
										obj_t BgL_arg1471z00_1554;

										BgL_arg1471z00_1554 = CAR(((obj_t) BgL_hnamesz00_1547));
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string2226z00zzreturn_walkz00, BgL_arg1471z00_1554);
									}
							}
					}
				}
		}

	}



/* &return-walk! */
	obj_t BGl_z62returnzd2walkz12za2zzreturn_walkz00(obj_t BgL_envz00_3728,
		obj_t BgL_globalsz00_3729)
	{
		{	/* Return/walk.scm 43 */
			return BGl_returnzd2walkz12zc0zzreturn_walkz00(BgL_globalsz00_3729);
		}

	}



/* init-return-cache! */
	BGL_EXPORTED_DEF obj_t BGl_initzd2returnzd2cachez12z12zzreturn_walkz00(void)
	{
		{	/* Return/walk.scm 64 */
			{	/* Return/walk.scm 65 */
				bool_t BgL_test2288z00_4027;

				{	/* Return/walk.scm 65 */
					obj_t BgL_objz00_2438;

					BgL_objz00_2438 = BGl_za2getzd2exitdzd2topza2z00zzreturn_walkz00;
					{	/* Return/walk.scm 65 */
						obj_t BgL_classz00_2439;

						BgL_classz00_2439 = BGl_globalz00zzast_varz00;
						if (BGL_OBJECTP(BgL_objz00_2438))
							{	/* Return/walk.scm 65 */
								BgL_objectz00_bglt BgL_arg1858z00_2441;

								BgL_arg1858z00_2441 = (BgL_objectz00_bglt) (BgL_objz00_2438);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Return/walk.scm 65 */
										long BgL_idxz00_2447;

										BgL_idxz00_2447 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2441);
										BgL_test2288z00_4027 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2447 + 2L)) == BgL_classz00_2439);
									}
								else
									{	/* Return/walk.scm 65 */
										bool_t BgL_res2172z00_2472;

										{	/* Return/walk.scm 65 */
											obj_t BgL_oclassz00_2455;

											{	/* Return/walk.scm 65 */
												obj_t BgL_arg1866z00_2463;
												long BgL_arg1867z00_2464;

												BgL_arg1866z00_2463 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Return/walk.scm 65 */
													long BgL_arg1869z00_2465;

													BgL_arg1869z00_2465 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2441);
													BgL_arg1867z00_2464 =
														(BgL_arg1869z00_2465 - OBJECT_TYPE);
												}
												BgL_oclassz00_2455 =
													VECTOR_REF(BgL_arg1866z00_2463, BgL_arg1867z00_2464);
											}
											{	/* Return/walk.scm 65 */
												bool_t BgL__ortest_1115z00_2456;

												BgL__ortest_1115z00_2456 =
													(BgL_classz00_2439 == BgL_oclassz00_2455);
												if (BgL__ortest_1115z00_2456)
													{	/* Return/walk.scm 65 */
														BgL_res2172z00_2472 = BgL__ortest_1115z00_2456;
													}
												else
													{	/* Return/walk.scm 65 */
														long BgL_odepthz00_2457;

														{	/* Return/walk.scm 65 */
															obj_t BgL_arg1855z00_2458;

															BgL_arg1855z00_2458 = (BgL_oclassz00_2455);
															BgL_odepthz00_2457 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_2458);
														}
														if ((2L < BgL_odepthz00_2457))
															{	/* Return/walk.scm 65 */
																obj_t BgL_arg1853z00_2460;

																{	/* Return/walk.scm 65 */
																	obj_t BgL_arg1854z00_2461;

																	BgL_arg1854z00_2461 = (BgL_oclassz00_2455);
																	BgL_arg1853z00_2460 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2461,
																		2L);
																}
																BgL_res2172z00_2472 =
																	(BgL_arg1853z00_2460 == BgL_classz00_2439);
															}
														else
															{	/* Return/walk.scm 65 */
																BgL_res2172z00_2472 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2288z00_4027 = BgL_res2172z00_2472;
									}
							}
						else
							{	/* Return/walk.scm 65 */
								BgL_test2288z00_4027 = ((bool_t) 0);
							}
					}
				}
				if (BgL_test2288z00_4027)
					{	/* Return/walk.scm 65 */
						BFALSE;
					}
				else
					{	/* Return/walk.scm 65 */
						{	/* Return/walk.scm 66 */
							obj_t BgL_list1475z00_1559;

							BgL_list1475z00_1559 =
								MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(3)), BNIL);
							BGl_za2currentzd2dynamiczd2envza2z00zzreturn_walkz00 =
								BGl_findzd2globalzd2zzast_envz00(
								((obj_t) CNST_TABLE_REF(4)), BgL_list1475z00_1559);
						}
						{	/* Return/walk.scm 67 */
							obj_t BgL_list1476z00_1560;

							BgL_list1476z00_1560 =
								MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(3)), BNIL);
							BGl_za2getzd2exitdzd2topza2z00zzreturn_walkz00 =
								BGl_findzd2globalzd2zzast_envz00(
								((obj_t) CNST_TABLE_REF(5)), BgL_list1476z00_1560);
						}
						{	/* Return/walk.scm 68 */
							obj_t BgL_list1477z00_1561;

							BgL_list1477z00_1561 =
								MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(3)), BNIL);
							BGl_za2exitdzd2protectzd2setz12za2z12zzreturn_walkz00 =
								BGl_findzd2globalzd2zzast_envz00(
								((obj_t) CNST_TABLE_REF(6)), BgL_list1477z00_1561);
						}
						{	/* Return/walk.scm 69 */
							obj_t BgL_list1478z00_1562;

							BgL_list1478z00_1562 =
								MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(3)), BNIL);
							BGl_za2envzd2getzd2exitdzd2topza2zd2zzreturn_walkz00 =
								BGl_findzd2globalzd2zzast_envz00(
								((obj_t) CNST_TABLE_REF(7)), BgL_list1478z00_1562);
						}
						{	/* Return/walk.scm 70 */
							obj_t BgL_list1479z00_1563;

							BgL_list1479z00_1563 =
								MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(8)), BNIL);
							BGl_za2unwindzd2untilz12za2zc0zzreturn_walkz00 =
								BGl_findzd2globalzd2zzast_envz00(
								((obj_t) CNST_TABLE_REF(9)), BgL_list1479z00_1563);
						}
						{	/* Return/walk.scm 71 */
							obj_t BgL_list1480z00_1564;

							BgL_list1480z00_1564 =
								MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(3)), BNIL);
							BGl_za2popzd2exitz12za2zc0zzreturn_walkz00 =
								BGl_findzd2globalzd2zzast_envz00(
								((obj_t) CNST_TABLE_REF(10)), BgL_list1480z00_1564);
						}
						{	/* Return/walk.scm 72 */
							obj_t BgL_list1481z00_1565;

							BgL_list1481z00_1565 =
								MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(3)), BNIL);
							BGl_za2envzd2popzd2exitz12za2z12zzreturn_walkz00 =
								BGl_findzd2globalzd2zzast_envz00(
								((obj_t) CNST_TABLE_REF(11)), BgL_list1481z00_1565);
						}
						{	/* Return/walk.scm 73 */
							obj_t BgL_list1482z00_1566;

							BgL_list1482z00_1566 =
								MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(3)), BNIL);
							BGl_za2pushzd2exitz12za2zc0zzreturn_walkz00 =
								BGl_findzd2globalzd2zzast_envz00(
								((obj_t) CNST_TABLE_REF(12)), BgL_list1482z00_1566);
						}
						{	/* Return/walk.scm 74 */
							obj_t BgL_list1483z00_1567;

							BgL_list1483z00_1567 =
								MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(3)), BNIL);
							BGl_za2envzd2pushzd2exitz12za2z12zzreturn_walkz00 =
								BGl_findzd2globalzd2zzast_envz00(
								((obj_t) CNST_TABLE_REF(13)), BgL_list1483z00_1567);
						}
					}
			}
			return BUNSPEC;
		}

	}



/* &init-return-cache! */
	obj_t BGl_z62initzd2returnzd2cachez12z70zzreturn_walkz00(obj_t
		BgL_envz00_3730)
	{
		{	/* Return/walk.scm 64 */
			return BGl_initzd2returnzd2cachez12z12zzreturn_walkz00();
		}

	}



/* &clear-return-cache! */
	obj_t BGl_z62clearzd2returnzd2cachez12z70zzreturn_walkz00(obj_t
		BgL_envz00_3731)
	{
		{	/* Return/walk.scm 80 */
			BGl_za2currentzd2dynamiczd2envza2z00zzreturn_walkz00 = BFALSE;
			BGl_za2getzd2exitdzd2topza2z00zzreturn_walkz00 = BFALSE;
			BGl_za2envzd2getzd2exitdzd2topza2zd2zzreturn_walkz00 = BFALSE;
			BGl_za2unwindzd2untilz12za2zc0zzreturn_walkz00 = BFALSE;
			BGl_za2pushzd2exitz12za2zc0zzreturn_walkz00 = BFALSE;
			BGl_za2envzd2pushzd2exitz12za2z12zzreturn_walkz00 = BFALSE;
			BGl_za2popzd2exitz12za2zc0zzreturn_walkz00 = BFALSE;
			return (BGl_za2envzd2popzd2exitz12za2z12zzreturn_walkz00 =
				BFALSE, BUNSPEC);
		}

	}



/* return-fun! */
	obj_t BGl_returnzd2funz12zc0zzreturn_walkz00(obj_t BgL_varz00_18)
	{
		{	/* Return/walk.scm 93 */
			{	/* Return/walk.scm 94 */
				obj_t BgL_arg1484z00_1568;

				BgL_arg1484z00_1568 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_18)))->BgL_idz00);
				BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1484z00_1568);
			}
			{	/* Return/walk.scm 95 */
				BgL_valuez00_bglt BgL_funz00_1569;

				BgL_funz00_1569 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_18)))->BgL_valuez00);
				{	/* Return/walk.scm 95 */
					obj_t BgL_bodyz00_1570;

					BgL_bodyz00_1570 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_1569)))->BgL_bodyz00);
					{	/* Return/walk.scm 96 */
						obj_t BgL_exitz00_1571;

						BgL_exitz00_1571 =
							BGl_functionzd2exitzd2nodez00zzreturn_walkz00(
							((BgL_nodez00_bglt) BgL_bodyz00_1570));
						{	/* Return/walk.scm 97 */

							if (PAIRP(BgL_exitz00_1571))
								{	/* Return/walk.scm 99 */
									obj_t BgL_exitvarz00_1573;
									obj_t BgL_exitnodez00_1574;

									BgL_exitvarz00_1573 = CAR(BgL_exitz00_1571);
									BgL_exitnodez00_1574 = CDR(BgL_exitz00_1571);
									if (BGl_iszd2exitzd2returnzf3zf3zzreturn_walkz00(
											((BgL_nodez00_bglt) BgL_exitnodez00_1574),
											((BgL_localz00_bglt) BgL_exitvarz00_1573)))
										{	/* Return/walk.scm 102 */
											BgL_retblockz00_bglt BgL_rblockz00_1576;

											{	/* Return/walk.scm 102 */
												BgL_retblockz00_bglt BgL_new1123z00_1578;

												{	/* Return/walk.scm 103 */
													BgL_retblockz00_bglt BgL_new1121z00_1579;

													BgL_new1121z00_1579 =
														((BgL_retblockz00_bglt)
														BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_retblockz00_bgl))));
													{	/* Return/walk.scm 103 */
														long BgL_arg1489z00_1580;

														BgL_arg1489z00_1580 =
															BGL_CLASS_NUM(BGl_retblockz00zzast_nodez00);
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1121z00_1579),
															BgL_arg1489z00_1580);
													}
													{	/* Return/walk.scm 103 */
														BgL_objectz00_bglt BgL_tmpz00_4126;

														BgL_tmpz00_4126 =
															((BgL_objectz00_bglt) BgL_new1121z00_1579);
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4126, BFALSE);
													}
													((BgL_objectz00_bglt) BgL_new1121z00_1579);
													BgL_new1123z00_1578 = BgL_new1121z00_1579;
												}
												((((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_new1123z00_1578)))->
														BgL_locz00) =
													((obj_t) (((BgL_nodez00_bglt)
																COBJECT(((BgL_nodez00_bglt)
																		BgL_bodyz00_1570)))->BgL_locz00)), BUNSPEC);
												((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																	BgL_new1123z00_1578)))->BgL_typez00) =
													((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																COBJECT(((BgL_nodez00_bglt)
																		BgL_exitnodez00_1574)))->BgL_typez00)),
													BUNSPEC);
												((((BgL_retblockz00_bglt)
															COBJECT(BgL_new1123z00_1578))->BgL_bodyz00) =
													((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
															BgL_bodyz00_1570)), BUNSPEC);
												BgL_rblockz00_1576 = BgL_new1123z00_1578;
											}
											((((BgL_retblockz00_bglt) COBJECT(BgL_rblockz00_1576))->
													BgL_bodyz00) =
												((BgL_nodez00_bglt)
													BGl_returnz12z12zzreturn_walkz00(((BgL_nodez00_bglt)
															BgL_exitnodez00_1574),
														((BgL_localz00_bglt) BgL_exitvarz00_1573),
														BgL_rblockz00_1576)), BUNSPEC);
											{	/* Return/walk.scm 108 */
												obj_t BgL_vz00_2485;

												BgL_vz00_2485 = ((obj_t) CNST_TABLE_REF(14));
												((((BgL_sfunz00_bglt) COBJECT(
																((BgL_sfunz00_bglt) BgL_funz00_1569)))->
														BgL_classz00) = ((obj_t) BgL_vz00_2485), BUNSPEC);
											}
											((((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_funz00_1569)))->
													BgL_bodyz00) =
												((obj_t) ((obj_t) BgL_rblockz00_1576)), BUNSPEC);
										}
									else
										{	/* Return/walk.scm 101 */
											BFALSE;
										}
								}
							else
								{	/* Return/walk.scm 98 */
									BFALSE;
								}
							if (CBOOL(BGl_za2optimzd2returnzd2gotozf3za2zf3zzengine_paramz00))
								{	/* Return/walk.scm 110 */
									((obj_t)
										BGl_returnzd2gotozd2funsz12z12zzreturn_walkz00(
											((BgL_nodez00_bglt) BgL_bodyz00_1570)));
								}
							else
								{	/* Return/walk.scm 110 */
									BFALSE;
								}
							BGl_leavezd2functionzd2zztools_errorz00();
							return BgL_varz00_18;
						}
					}
				}
			}
		}

	}



/* function-exit-node */
	obj_t BGl_functionzd2exitzd2nodez00zzreturn_walkz00(BgL_nodez00_bglt
		BgL_nodez00_19)
	{
		{	/* Return/walk.scm 145 */
			{
				BgL_nodez00_bglt BgL_nodez00_1708;
				BgL_localz00_bglt BgL_varz00_1709;
				BgL_nodez00_bglt BgL_nodez00_1736;
				BgL_localz00_bglt BgL_varz00_1737;
				obj_t BgL_envz00_1738;
				BgL_nodez00_bglt BgL_nodez00_1765;
				BgL_nodez00_bglt BgL_nodez00_1792;
				obj_t BgL_envz00_1793;
				BgL_nodez00_bglt BgL_nodez00_1837;
				BgL_localz00_bglt BgL_exitvarz00_1838;
				BgL_nodez00_bglt BgL_nodez00_1859;
				BgL_localz00_bglt BgL_exitvarz00_1860;
				obj_t BgL_envz00_1861;
				obj_t BgL_nodesz00_1892;
				BgL_localz00_bglt BgL_varz00_1893;
				obj_t BgL_nodesz00_1910;
				BgL_localz00_bglt BgL_varz00_1911;
				obj_t BgL_envz00_1912;
				BgL_nodez00_bglt BgL_bodyz00_1929;
				BgL_varz00_bglt BgL_varz00_1930;
				BgL_nodez00_bglt BgL_bodyz00_1946;
				BgL_varz00_bglt BgL_varz00_1947;

				{	/* Return/walk.scm 320 */
					bool_t BgL_test2296z00_4157;

					{	/* Return/walk.scm 320 */
						obj_t BgL_classz00_3430;

						BgL_classz00_3430 = BGl_setzd2exzd2itz00zzast_nodez00;
						{	/* Return/walk.scm 320 */
							BgL_objectz00_bglt BgL_arg1858z00_3432;

							{	/* Return/walk.scm 320 */
								obj_t BgL_tmpz00_4158;

								BgL_tmpz00_4158 = ((obj_t) BgL_nodez00_19);
								BgL_arg1858z00_3432 = (BgL_objectz00_bglt) (BgL_tmpz00_4158);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Return/walk.scm 320 */
									long BgL_idxz00_3438;

									BgL_idxz00_3438 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3432);
									BgL_test2296z00_4157 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3438 + 2L)) == BgL_classz00_3430);
								}
							else
								{	/* Return/walk.scm 320 */
									bool_t BgL_res2198z00_3463;

									{	/* Return/walk.scm 320 */
										obj_t BgL_oclassz00_3446;

										{	/* Return/walk.scm 320 */
											obj_t BgL_arg1866z00_3454;
											long BgL_arg1867z00_3455;

											BgL_arg1866z00_3454 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Return/walk.scm 320 */
												long BgL_arg1869z00_3456;

												BgL_arg1869z00_3456 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3432);
												BgL_arg1867z00_3455 =
													(BgL_arg1869z00_3456 - OBJECT_TYPE);
											}
											BgL_oclassz00_3446 =
												VECTOR_REF(BgL_arg1866z00_3454, BgL_arg1867z00_3455);
										}
										{	/* Return/walk.scm 320 */
											bool_t BgL__ortest_1115z00_3447;

											BgL__ortest_1115z00_3447 =
												(BgL_classz00_3430 == BgL_oclassz00_3446);
											if (BgL__ortest_1115z00_3447)
												{	/* Return/walk.scm 320 */
													BgL_res2198z00_3463 = BgL__ortest_1115z00_3447;
												}
											else
												{	/* Return/walk.scm 320 */
													long BgL_odepthz00_3448;

													{	/* Return/walk.scm 320 */
														obj_t BgL_arg1855z00_3449;

														BgL_arg1855z00_3449 = (BgL_oclassz00_3446);
														BgL_odepthz00_3448 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_3449);
													}
													if ((2L < BgL_odepthz00_3448))
														{	/* Return/walk.scm 320 */
															obj_t BgL_arg1853z00_3451;

															{	/* Return/walk.scm 320 */
																obj_t BgL_arg1854z00_3452;

																BgL_arg1854z00_3452 = (BgL_oclassz00_3446);
																BgL_arg1853z00_3451 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3452,
																	2L);
															}
															BgL_res2198z00_3463 =
																(BgL_arg1853z00_3451 == BgL_classz00_3430);
														}
													else
														{	/* Return/walk.scm 320 */
															BgL_res2198z00_3463 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2296z00_4157 = BgL_res2198z00_3463;
								}
						}
					}
					if (BgL_test2296z00_4157)
						{	/* Return/walk.scm 322 */
							obj_t BgL__ortest_1178z00_1598;

							{	/* Return/walk.scm 322 */
								BgL_nodez00_bglt BgL_arg1512z00_1601;
								BgL_varz00_bglt BgL_arg1513z00_1602;

								BgL_arg1512z00_1601 =
									(((BgL_setzd2exzd2itz00_bglt) COBJECT(
											((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_19)))->
									BgL_bodyz00);
								BgL_arg1513z00_1602 =
									(((BgL_setzd2exzd2itz00_bglt)
										COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_19)))->
									BgL_varz00);
								BgL_bodyz00_1929 = BgL_arg1512z00_1601;
								BgL_varz00_1930 = BgL_arg1513z00_1602;
								{	/* Return/walk.scm 298 */
									bool_t BgL_test2300z00_4184;

									{	/* Return/walk.scm 298 */
										obj_t BgL_classz00_3247;

										BgL_classz00_3247 = BGl_letzd2varzd2zzast_nodez00;
										{	/* Return/walk.scm 298 */
											BgL_objectz00_bglt BgL_arg1858z00_3249;

											{	/* Return/walk.scm 298 */
												obj_t BgL_tmpz00_4185;

												BgL_tmpz00_4185 = ((obj_t) BgL_bodyz00_1929);
												BgL_arg1858z00_3249 =
													(BgL_objectz00_bglt) (BgL_tmpz00_4185);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Return/walk.scm 298 */
													long BgL_idxz00_3255;

													BgL_idxz00_3255 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3249);
													BgL_test2300z00_4184 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_3255 + 3L)) == BgL_classz00_3247);
												}
											else
												{	/* Return/walk.scm 298 */
													bool_t BgL_res2193z00_3280;

													{	/* Return/walk.scm 298 */
														obj_t BgL_oclassz00_3263;

														{	/* Return/walk.scm 298 */
															obj_t BgL_arg1866z00_3271;
															long BgL_arg1867z00_3272;

															BgL_arg1866z00_3271 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Return/walk.scm 298 */
																long BgL_arg1869z00_3273;

																BgL_arg1869z00_3273 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3249);
																BgL_arg1867z00_3272 =
																	(BgL_arg1869z00_3273 - OBJECT_TYPE);
															}
															BgL_oclassz00_3263 =
																VECTOR_REF(BgL_arg1866z00_3271,
																BgL_arg1867z00_3272);
														}
														{	/* Return/walk.scm 298 */
															bool_t BgL__ortest_1115z00_3264;

															BgL__ortest_1115z00_3264 =
																(BgL_classz00_3247 == BgL_oclassz00_3263);
															if (BgL__ortest_1115z00_3264)
																{	/* Return/walk.scm 298 */
																	BgL_res2193z00_3280 =
																		BgL__ortest_1115z00_3264;
																}
															else
																{	/* Return/walk.scm 298 */
																	long BgL_odepthz00_3265;

																	{	/* Return/walk.scm 298 */
																		obj_t BgL_arg1855z00_3266;

																		BgL_arg1855z00_3266 = (BgL_oclassz00_3263);
																		BgL_odepthz00_3265 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_3266);
																	}
																	if ((3L < BgL_odepthz00_3265))
																		{	/* Return/walk.scm 298 */
																			obj_t BgL_arg1853z00_3268;

																			{	/* Return/walk.scm 298 */
																				obj_t BgL_arg1854z00_3269;

																				BgL_arg1854z00_3269 =
																					(BgL_oclassz00_3263);
																				BgL_arg1853z00_3268 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_3269, 3L);
																			}
																			BgL_res2193z00_3280 =
																				(BgL_arg1853z00_3268 ==
																				BgL_classz00_3247);
																		}
																	else
																		{	/* Return/walk.scm 298 */
																			BgL_res2193z00_3280 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2300z00_4184 = BgL_res2193z00_3280;
												}
										}
									}
									if (BgL_test2300z00_4184)
										{	/* Return/walk.scm 300 */
											bool_t BgL_test2304z00_4207;

											{	/* Return/walk.scm 300 */
												bool_t BgL_test2305z00_4208;

												{	/* Return/walk.scm 300 */
													BgL_nodez00_bglt BgL_arg1980z00_1945;

													BgL_arg1980z00_1945 =
														(((BgL_letzd2varzd2_bglt) COBJECT(
																((BgL_letzd2varzd2_bglt) BgL_bodyz00_1929)))->
														BgL_bodyz00);
													{	/* Return/walk.scm 300 */
														obj_t BgL_classz00_3281;

														BgL_classz00_3281 = BGl_sequencez00zzast_nodez00;
														{	/* Return/walk.scm 300 */
															BgL_objectz00_bglt BgL_arg1858z00_3283;

															{	/* Return/walk.scm 300 */
																obj_t BgL_tmpz00_4211;

																BgL_tmpz00_4211 =
																	((obj_t)
																	((BgL_objectz00_bglt) BgL_arg1980z00_1945));
																BgL_arg1858z00_3283 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_4211);
															}
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Return/walk.scm 300 */
																	long BgL_idxz00_3289;

																	BgL_idxz00_3289 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_3283);
																	BgL_test2305z00_4208 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_3289 + 3L)) ==
																		BgL_classz00_3281);
																}
															else
																{	/* Return/walk.scm 300 */
																	bool_t BgL_res2194z00_3314;

																	{	/* Return/walk.scm 300 */
																		obj_t BgL_oclassz00_3297;

																		{	/* Return/walk.scm 300 */
																			obj_t BgL_arg1866z00_3305;
																			long BgL_arg1867z00_3306;

																			BgL_arg1866z00_3305 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* Return/walk.scm 300 */
																				long BgL_arg1869z00_3307;

																				BgL_arg1869z00_3307 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_3283);
																				BgL_arg1867z00_3306 =
																					(BgL_arg1869z00_3307 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_3297 =
																				VECTOR_REF(BgL_arg1866z00_3305,
																				BgL_arg1867z00_3306);
																		}
																		{	/* Return/walk.scm 300 */
																			bool_t BgL__ortest_1115z00_3298;

																			BgL__ortest_1115z00_3298 =
																				(BgL_classz00_3281 ==
																				BgL_oclassz00_3297);
																			if (BgL__ortest_1115z00_3298)
																				{	/* Return/walk.scm 300 */
																					BgL_res2194z00_3314 =
																						BgL__ortest_1115z00_3298;
																				}
																			else
																				{	/* Return/walk.scm 300 */
																					long BgL_odepthz00_3299;

																					{	/* Return/walk.scm 300 */
																						obj_t BgL_arg1855z00_3300;

																						BgL_arg1855z00_3300 =
																							(BgL_oclassz00_3297);
																						BgL_odepthz00_3299 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_3300);
																					}
																					if ((3L < BgL_odepthz00_3299))
																						{	/* Return/walk.scm 300 */
																							obj_t BgL_arg1853z00_3302;

																							{	/* Return/walk.scm 300 */
																								obj_t BgL_arg1854z00_3303;

																								BgL_arg1854z00_3303 =
																									(BgL_oclassz00_3297);
																								BgL_arg1853z00_3302 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_3303, 3L);
																							}
																							BgL_res2194z00_3314 =
																								(BgL_arg1853z00_3302 ==
																								BgL_classz00_3281);
																						}
																					else
																						{	/* Return/walk.scm 300 */
																							BgL_res2194z00_3314 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test2305z00_4208 = BgL_res2194z00_3314;
																}
														}
													}
												}
												if (BgL_test2305z00_4208)
													{	/* Return/walk.scm 300 */
														BgL_test2304z00_4207 =
															NULLP(
															(((BgL_letzd2varzd2_bglt) COBJECT(
																		((BgL_letzd2varzd2_bglt)
																			BgL_bodyz00_1929)))->BgL_bindingsz00));
													}
												else
													{	/* Return/walk.scm 300 */
														BgL_test2304z00_4207 = ((bool_t) 0);
													}
											}
											if (BgL_test2304z00_4207)
												{	/* Return/walk.scm 301 */
													BgL_sequencez00_bglt BgL_i1170z00_1939;

													BgL_i1170z00_1939 =
														((BgL_sequencez00_bglt)
														(((BgL_letzd2varzd2_bglt) COBJECT(
																	((BgL_letzd2varzd2_bglt) BgL_bodyz00_1929)))->
															BgL_bodyz00));
													{	/* Return/walk.scm 303 */
														obj_t BgL_arg1976z00_1941;
														BgL_variablez00_bglt BgL_arg1978z00_1942;

														BgL_arg1976z00_1941 =
															(((BgL_sequencez00_bglt)
																COBJECT(BgL_i1170z00_1939))->BgL_nodesz00);
														BgL_arg1978z00_1942 =
															(((BgL_varz00_bglt) COBJECT(BgL_varz00_1930))->
															BgL_variablez00);
														BgL_nodesz00_1892 = BgL_arg1976z00_1941;
														BgL_varz00_1893 =
															((BgL_localz00_bglt) BgL_arg1978z00_1942);
														{	/* Return/walk.scm 280 */
															bool_t BgL_test2309z00_4242;

															if ((bgl_list_length(BgL_nodesz00_1892) == 2L))
																{	/* Return/walk.scm 280 */
																	BgL_nodez00_1837 =
																		((BgL_nodez00_bglt)
																		CAR(((obj_t) BgL_nodesz00_1892)));
																	BgL_exitvarz00_1838 = BgL_varz00_1893;
																	{	/* Return/walk.scm 247 */
																		bool_t BgL_test2311z00_4246;

																		{	/* Return/walk.scm 247 */
																			obj_t BgL_classz00_3039;

																			BgL_classz00_3039 =
																				BGl_appz00zzast_nodez00;
																			{	/* Return/walk.scm 247 */
																				BgL_objectz00_bglt BgL_arg1858z00_3041;

																				{	/* Return/walk.scm 247 */
																					obj_t BgL_tmpz00_4247;

																					BgL_tmpz00_4247 =
																						((obj_t) BgL_nodez00_1837);
																					BgL_arg1858z00_3041 =
																						(BgL_objectz00_bglt)
																						(BgL_tmpz00_4247);
																				}
																				if (BGL_CONDEXPAND_ISA_ARCH64())
																					{	/* Return/walk.scm 247 */
																						long BgL_idxz00_3047;

																						BgL_idxz00_3047 =
																							BGL_OBJECT_INHERITANCE_NUM
																							(BgL_arg1858z00_3041);
																						BgL_test2311z00_4246 =
																							(VECTOR_REF
																							(BGl_za2inheritancesza2z00zz__objectz00,
																								(BgL_idxz00_3047 + 3L)) ==
																							BgL_classz00_3039);
																					}
																				else
																					{	/* Return/walk.scm 247 */
																						bool_t BgL_res2188z00_3072;

																						{	/* Return/walk.scm 247 */
																							obj_t BgL_oclassz00_3055;

																							{	/* Return/walk.scm 247 */
																								obj_t BgL_arg1866z00_3063;
																								long BgL_arg1867z00_3064;

																								BgL_arg1866z00_3063 =
																									(BGl_za2classesza2z00zz__objectz00);
																								{	/* Return/walk.scm 247 */
																									long BgL_arg1869z00_3065;

																									BgL_arg1869z00_3065 =
																										BGL_OBJECT_CLASS_NUM
																										(BgL_arg1858z00_3041);
																									BgL_arg1867z00_3064 =
																										(BgL_arg1869z00_3065 -
																										OBJECT_TYPE);
																								}
																								BgL_oclassz00_3055 =
																									VECTOR_REF
																									(BgL_arg1866z00_3063,
																									BgL_arg1867z00_3064);
																							}
																							{	/* Return/walk.scm 247 */
																								bool_t BgL__ortest_1115z00_3056;

																								BgL__ortest_1115z00_3056 =
																									(BgL_classz00_3039 ==
																									BgL_oclassz00_3055);
																								if (BgL__ortest_1115z00_3056)
																									{	/* Return/walk.scm 247 */
																										BgL_res2188z00_3072 =
																											BgL__ortest_1115z00_3056;
																									}
																								else
																									{	/* Return/walk.scm 247 */
																										long BgL_odepthz00_3057;

																										{	/* Return/walk.scm 247 */
																											obj_t BgL_arg1855z00_3058;

																											BgL_arg1855z00_3058 =
																												(BgL_oclassz00_3055);
																											BgL_odepthz00_3057 =
																												BGL_CLASS_DEPTH
																												(BgL_arg1855z00_3058);
																										}
																										if (
																											(3L < BgL_odepthz00_3057))
																											{	/* Return/walk.scm 247 */
																												obj_t
																													BgL_arg1853z00_3060;
																												{	/* Return/walk.scm 247 */
																													obj_t
																														BgL_arg1854z00_3061;
																													BgL_arg1854z00_3061 =
																														(BgL_oclassz00_3055);
																													BgL_arg1853z00_3060 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_arg1854z00_3061,
																														3L);
																												}
																												BgL_res2188z00_3072 =
																													(BgL_arg1853z00_3060
																													== BgL_classz00_3039);
																											}
																										else
																											{	/* Return/walk.scm 247 */
																												BgL_res2188z00_3072 =
																													((bool_t) 0);
																											}
																									}
																							}
																						}
																						BgL_test2311z00_4246 =
																							BgL_res2188z00_3072;
																					}
																			}
																		}
																		if (BgL_test2311z00_4246)
																			{	/* Return/walk.scm 249 */
																				BgL_varz00_bglt BgL_i1161z00_1842;

																				BgL_i1161z00_1842 =
																					(((BgL_appz00_bglt) COBJECT(
																							((BgL_appz00_bglt)
																								BgL_nodez00_1837)))->
																					BgL_funz00);
																				{	/* Return/walk.scm 251 */
																					bool_t BgL_test2315z00_4271;

																					{	/* Return/walk.scm 251 */
																						obj_t BgL_arg1910z00_1858;

																						BgL_arg1910z00_1858 =
																							((obj_t)
																							(((BgL_varz00_bglt)
																									COBJECT(BgL_i1161z00_1842))->
																								BgL_variablez00));
																						BgL_test2315z00_4271 =
																							(BgL_arg1910z00_1858 ==
																							BGl_za2pushzd2exitz12za2zc0zzreturn_walkz00);
																					}
																					if (BgL_test2315z00_4271)
																						{	/* Return/walk.scm 251 */
																							if (
																								(bgl_list_length(
																										(((BgL_appz00_bglt) COBJECT(
																													((BgL_appz00_bglt)
																														BgL_nodez00_1837)))->
																											BgL_argsz00)) == 2L))
																								{	/* Return/walk.scm 255 */
																									bool_t BgL_test2317z00_4280;

																									{	/* Return/walk.scm 255 */
																										obj_t BgL_arg1906z00_1854;

																										{	/* Return/walk.scm 255 */
																											obj_t BgL_pairz00_3074;

																											BgL_pairz00_3074 =
																												(((BgL_appz00_bglt)
																													COBJECT((
																															(BgL_appz00_bglt)
																															BgL_nodez00_1837)))->
																												BgL_argsz00);
																											BgL_arg1906z00_1854 =
																												CAR(BgL_pairz00_3074);
																										}
																										{	/* Return/walk.scm 255 */
																											obj_t BgL_classz00_3075;

																											BgL_classz00_3075 =
																												BGl_varz00zzast_nodez00;
																											if (BGL_OBJECTP
																												(BgL_arg1906z00_1854))
																												{	/* Return/walk.scm 255 */
																													BgL_objectz00_bglt
																														BgL_arg1858z00_3077;
																													BgL_arg1858z00_3077 =
																														(BgL_objectz00_bglt)
																														(BgL_arg1906z00_1854);
																													if (BGL_CONDEXPAND_ISA_ARCH64())
																														{	/* Return/walk.scm 255 */
																															long
																																BgL_idxz00_3083;
																															BgL_idxz00_3083 =
																																BGL_OBJECT_INHERITANCE_NUM
																																(BgL_arg1858z00_3077);
																															BgL_test2317z00_4280
																																=
																																(VECTOR_REF
																																(BGl_za2inheritancesza2z00zz__objectz00,
																																	(BgL_idxz00_3083
																																		+ 2L)) ==
																																BgL_classz00_3075);
																														}
																													else
																														{	/* Return/walk.scm 255 */
																															bool_t
																																BgL_res2189z00_3108;
																															{	/* Return/walk.scm 255 */
																																obj_t
																																	BgL_oclassz00_3091;
																																{	/* Return/walk.scm 255 */
																																	obj_t
																																		BgL_arg1866z00_3099;
																																	long
																																		BgL_arg1867z00_3100;
																																	BgL_arg1866z00_3099
																																		=
																																		(BGl_za2classesza2z00zz__objectz00);
																																	{	/* Return/walk.scm 255 */
																																		long
																																			BgL_arg1869z00_3101;
																																		BgL_arg1869z00_3101
																																			=
																																			BGL_OBJECT_CLASS_NUM
																																			(BgL_arg1858z00_3077);
																																		BgL_arg1867z00_3100
																																			=
																																			(BgL_arg1869z00_3101
																																			-
																																			OBJECT_TYPE);
																																	}
																																	BgL_oclassz00_3091
																																		=
																																		VECTOR_REF
																																		(BgL_arg1866z00_3099,
																																		BgL_arg1867z00_3100);
																																}
																																{	/* Return/walk.scm 255 */
																																	bool_t
																																		BgL__ortest_1115z00_3092;
																																	BgL__ortest_1115z00_3092
																																		=
																																		(BgL_classz00_3075
																																		==
																																		BgL_oclassz00_3091);
																																	if (BgL__ortest_1115z00_3092)
																																		{	/* Return/walk.scm 255 */
																																			BgL_res2189z00_3108
																																				=
																																				BgL__ortest_1115z00_3092;
																																		}
																																	else
																																		{	/* Return/walk.scm 255 */
																																			long
																																				BgL_odepthz00_3093;
																																			{	/* Return/walk.scm 255 */
																																				obj_t
																																					BgL_arg1855z00_3094;
																																				BgL_arg1855z00_3094
																																					=
																																					(BgL_oclassz00_3091);
																																				BgL_odepthz00_3093
																																					=
																																					BGL_CLASS_DEPTH
																																					(BgL_arg1855z00_3094);
																																			}
																																			if (
																																				(2L <
																																					BgL_odepthz00_3093))
																																				{	/* Return/walk.scm 255 */
																																					obj_t
																																						BgL_arg1853z00_3096;
																																					{	/* Return/walk.scm 255 */
																																						obj_t
																																							BgL_arg1854z00_3097;
																																						BgL_arg1854z00_3097
																																							=
																																							(BgL_oclassz00_3091);
																																						BgL_arg1853z00_3096
																																							=
																																							BGL_CLASS_ANCESTORS_REF
																																							(BgL_arg1854z00_3097,
																																							2L);
																																					}
																																					BgL_res2189z00_3108
																																						=
																																						(BgL_arg1853z00_3096
																																						==
																																						BgL_classz00_3075);
																																				}
																																			else
																																				{	/* Return/walk.scm 255 */
																																					BgL_res2189z00_3108
																																						=
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																}
																															}
																															BgL_test2317z00_4280
																																=
																																BgL_res2189z00_3108;
																														}
																												}
																											else
																												{	/* Return/walk.scm 255 */
																													BgL_test2317z00_4280 =
																														((bool_t) 0);
																												}
																										}
																									}
																									if (BgL_test2317z00_4280)
																										{	/* Return/walk.scm 258 */
																											obj_t BgL_tmpz00_4306;

																											{
																												BgL_variablez00_bglt
																													BgL_auxz00_4307;
																												{
																													BgL_varz00_bglt
																														BgL_auxz00_4308;
																													{	/* Return/walk.scm 256 */
																														obj_t
																															BgL_pairz00_3109;
																														BgL_pairz00_3109 =
																															(((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_nodez00_1837)))->BgL_argsz00);
																														BgL_auxz00_4308 =
																															((BgL_varz00_bglt)
																															CAR
																															(BgL_pairz00_3109));
																													}
																													BgL_auxz00_4307 =
																														(((BgL_varz00_bglt)
																															COBJECT
																															(BgL_auxz00_4308))->
																														BgL_variablez00);
																												}
																												BgL_tmpz00_4306 =
																													((obj_t)
																													BgL_auxz00_4307);
																											}
																											BgL_test2309z00_4242 =
																												(BgL_tmpz00_4306 ==
																												((obj_t)
																													BgL_exitvarz00_1838));
																										}
																									else
																										{	/* Return/walk.scm 255 */
																											BgL_test2309z00_4242 =
																												((bool_t) 0);
																										}
																								}
																							else
																								{	/* Return/walk.scm 253 */
																									BgL_test2309z00_4242 =
																										((bool_t) 0);
																								}
																						}
																					else
																						{	/* Return/walk.scm 251 */
																							BgL_test2309z00_4242 =
																								((bool_t) 0);
																						}
																				}
																			}
																		else
																			{	/* Return/walk.scm 247 */
																				BgL_test2309z00_4242 = ((bool_t) 0);
																			}
																	}
																}
															else
																{	/* Return/walk.scm 280 */
																	BgL_test2309z00_4242 = ((bool_t) 0);
																}
															if (BgL_test2309z00_4242)
																{	/* Return/walk.scm 281 */
																	obj_t BgL_bindingz00_1900;

																	{	/* Return/walk.scm 281 */
																		obj_t BgL_pairz00_3228;

																		BgL_pairz00_3228 =
																			CDR(((obj_t) BgL_nodesz00_1892));
																		BgL_nodez00_1765 =
																			((BgL_nodez00_bglt)
																			CAR(BgL_pairz00_3228));
																	}
																	{	/* Return/walk.scm 216 */
																		bool_t BgL_test2322z00_4320;

																		{	/* Return/walk.scm 216 */
																			obj_t BgL_classz00_2858;

																			BgL_classz00_2858 =
																				BGl_letzd2varzd2zzast_nodez00;
																			{	/* Return/walk.scm 216 */
																				BgL_objectz00_bglt BgL_arg1858z00_2860;

																				{	/* Return/walk.scm 216 */
																					obj_t BgL_tmpz00_4321;

																					BgL_tmpz00_4321 =
																						((obj_t) BgL_nodez00_1765);
																					BgL_arg1858z00_2860 =
																						(BgL_objectz00_bglt)
																						(BgL_tmpz00_4321);
																				}
																				if (BGL_CONDEXPAND_ISA_ARCH64())
																					{	/* Return/walk.scm 216 */
																						long BgL_idxz00_2866;

																						BgL_idxz00_2866 =
																							BGL_OBJECT_INHERITANCE_NUM
																							(BgL_arg1858z00_2860);
																						BgL_test2322z00_4320 =
																							(VECTOR_REF
																							(BGl_za2inheritancesza2z00zz__objectz00,
																								(BgL_idxz00_2866 + 3L)) ==
																							BgL_classz00_2858);
																					}
																				else
																					{	/* Return/walk.scm 216 */
																						bool_t BgL_res2183z00_2891;

																						{	/* Return/walk.scm 216 */
																							obj_t BgL_oclassz00_2874;

																							{	/* Return/walk.scm 216 */
																								obj_t BgL_arg1866z00_2882;
																								long BgL_arg1867z00_2883;

																								BgL_arg1866z00_2882 =
																									(BGl_za2classesza2z00zz__objectz00);
																								{	/* Return/walk.scm 216 */
																									long BgL_arg1869z00_2884;

																									BgL_arg1869z00_2884 =
																										BGL_OBJECT_CLASS_NUM
																										(BgL_arg1858z00_2860);
																									BgL_arg1867z00_2883 =
																										(BgL_arg1869z00_2884 -
																										OBJECT_TYPE);
																								}
																								BgL_oclassz00_2874 =
																									VECTOR_REF
																									(BgL_arg1866z00_2882,
																									BgL_arg1867z00_2883);
																							}
																							{	/* Return/walk.scm 216 */
																								bool_t BgL__ortest_1115z00_2875;

																								BgL__ortest_1115z00_2875 =
																									(BgL_classz00_2858 ==
																									BgL_oclassz00_2874);
																								if (BgL__ortest_1115z00_2875)
																									{	/* Return/walk.scm 216 */
																										BgL_res2183z00_2891 =
																											BgL__ortest_1115z00_2875;
																									}
																								else
																									{	/* Return/walk.scm 216 */
																										long BgL_odepthz00_2876;

																										{	/* Return/walk.scm 216 */
																											obj_t BgL_arg1855z00_2877;

																											BgL_arg1855z00_2877 =
																												(BgL_oclassz00_2874);
																											BgL_odepthz00_2876 =
																												BGL_CLASS_DEPTH
																												(BgL_arg1855z00_2877);
																										}
																										if (
																											(3L < BgL_odepthz00_2876))
																											{	/* Return/walk.scm 216 */
																												obj_t
																													BgL_arg1853z00_2879;
																												{	/* Return/walk.scm 216 */
																													obj_t
																														BgL_arg1854z00_2880;
																													BgL_arg1854z00_2880 =
																														(BgL_oclassz00_2874);
																													BgL_arg1853z00_2879 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_arg1854z00_2880,
																														3L);
																												}
																												BgL_res2183z00_2891 =
																													(BgL_arg1853z00_2879
																													== BgL_classz00_2858);
																											}
																										else
																											{	/* Return/walk.scm 216 */
																												BgL_res2183z00_2891 =
																													((bool_t) 0);
																											}
																									}
																							}
																						}
																						BgL_test2322z00_4320 =
																							BgL_res2183z00_2891;
																					}
																			}
																		}
																		if (BgL_test2322z00_4320)
																			{	/* Return/walk.scm 218 */
																				bool_t BgL_test2326z00_4343;

																				{	/* Return/walk.scm 218 */
																					bool_t BgL_test2327z00_4344;

																					{	/* Return/walk.scm 218 */
																						obj_t BgL_tmpz00_4345;

																						BgL_tmpz00_4345 =
																							(((BgL_letzd2varzd2_bglt) COBJECT(
																									((BgL_letzd2varzd2_bglt)
																										BgL_nodez00_1765)))->
																							BgL_bindingsz00);
																						BgL_test2327z00_4344 =
																							PAIRP(BgL_tmpz00_4345);
																					}
																					if (BgL_test2327z00_4344)
																						{	/* Return/walk.scm 218 */
																							obj_t BgL_tmpz00_4349;

																							{	/* Return/walk.scm 218 */
																								obj_t BgL_pairz00_2892;

																								BgL_pairz00_2892 =
																									(((BgL_letzd2varzd2_bglt)
																										COBJECT((
																												(BgL_letzd2varzd2_bglt)
																												BgL_nodez00_1765)))->
																									BgL_bindingsz00);
																								BgL_tmpz00_4349 =
																									CDR(BgL_pairz00_2892);
																							}
																							BgL_test2326z00_4343 =
																								NULLP(BgL_tmpz00_4349);
																						}
																					else
																						{	/* Return/walk.scm 218 */
																							BgL_test2326z00_4343 =
																								((bool_t) 0);
																						}
																				}
																				if (BgL_test2326z00_4343)
																					{	/* Return/walk.scm 219 */
																						obj_t BgL_bindingz00_1775;

																						{	/* Return/walk.scm 219 */
																							obj_t BgL_pairz00_2893;

																							BgL_pairz00_2893 =
																								(((BgL_letzd2varzd2_bglt)
																									COBJECT((
																											(BgL_letzd2varzd2_bglt)
																											BgL_nodez00_1765)))->
																								BgL_bindingsz00);
																							BgL_bindingz00_1775 =
																								CAR(BgL_pairz00_2893);
																						}
																						{	/* Return/walk.scm 220 */
																							obj_t BgL_exprz00_1777;

																							BgL_exprz00_1777 =
																								CDR(
																								((obj_t) BgL_bindingz00_1775));
																							{	/* Return/walk.scm 221 */

																								{	/* Return/walk.scm 222 */
																									bool_t BgL_test2328z00_4359;

																									{	/* Return/walk.scm 222 */
																										obj_t BgL_classz00_2896;

																										BgL_classz00_2896 =
																											BGl_appz00zzast_nodez00;
																										if (BGL_OBJECTP
																											(BgL_exprz00_1777))
																											{	/* Return/walk.scm 222 */
																												BgL_objectz00_bglt
																													BgL_arg1858z00_2898;
																												BgL_arg1858z00_2898 =
																													(BgL_objectz00_bglt)
																													(BgL_exprz00_1777);
																												if (BGL_CONDEXPAND_ISA_ARCH64())
																													{	/* Return/walk.scm 222 */
																														long
																															BgL_idxz00_2904;
																														BgL_idxz00_2904 =
																															BGL_OBJECT_INHERITANCE_NUM
																															(BgL_arg1858z00_2898);
																														BgL_test2328z00_4359
																															=
																															(VECTOR_REF
																															(BGl_za2inheritancesza2z00zz__objectz00,
																																(BgL_idxz00_2904
																																	+ 3L)) ==
																															BgL_classz00_2896);
																													}
																												else
																													{	/* Return/walk.scm 222 */
																														bool_t
																															BgL_res2184z00_2929;
																														{	/* Return/walk.scm 222 */
																															obj_t
																																BgL_oclassz00_2912;
																															{	/* Return/walk.scm 222 */
																																obj_t
																																	BgL_arg1866z00_2920;
																																long
																																	BgL_arg1867z00_2921;
																																BgL_arg1866z00_2920
																																	=
																																	(BGl_za2classesza2z00zz__objectz00);
																																{	/* Return/walk.scm 222 */
																																	long
																																		BgL_arg1869z00_2922;
																																	BgL_arg1869z00_2922
																																		=
																																		BGL_OBJECT_CLASS_NUM
																																		(BgL_arg1858z00_2898);
																																	BgL_arg1867z00_2921
																																		=
																																		(BgL_arg1869z00_2922
																																		-
																																		OBJECT_TYPE);
																																}
																																BgL_oclassz00_2912
																																	=
																																	VECTOR_REF
																																	(BgL_arg1866z00_2920,
																																	BgL_arg1867z00_2921);
																															}
																															{	/* Return/walk.scm 222 */
																																bool_t
																																	BgL__ortest_1115z00_2913;
																																BgL__ortest_1115z00_2913
																																	=
																																	(BgL_classz00_2896
																																	==
																																	BgL_oclassz00_2912);
																																if (BgL__ortest_1115z00_2913)
																																	{	/* Return/walk.scm 222 */
																																		BgL_res2184z00_2929
																																			=
																																			BgL__ortest_1115z00_2913;
																																	}
																																else
																																	{	/* Return/walk.scm 222 */
																																		long
																																			BgL_odepthz00_2914;
																																		{	/* Return/walk.scm 222 */
																																			obj_t
																																				BgL_arg1855z00_2915;
																																			BgL_arg1855z00_2915
																																				=
																																				(BgL_oclassz00_2912);
																																			BgL_odepthz00_2914
																																				=
																																				BGL_CLASS_DEPTH
																																				(BgL_arg1855z00_2915);
																																		}
																																		if (
																																			(3L <
																																				BgL_odepthz00_2914))
																																			{	/* Return/walk.scm 222 */
																																				obj_t
																																					BgL_arg1853z00_2917;
																																				{	/* Return/walk.scm 222 */
																																					obj_t
																																						BgL_arg1854z00_2918;
																																					BgL_arg1854z00_2918
																																						=
																																						(BgL_oclassz00_2912);
																																					BgL_arg1853z00_2917
																																						=
																																						BGL_CLASS_ANCESTORS_REF
																																						(BgL_arg1854z00_2918,
																																						3L);
																																				}
																																				BgL_res2184z00_2929
																																					=
																																					(BgL_arg1853z00_2917
																																					==
																																					BgL_classz00_2896);
																																			}
																																		else
																																			{	/* Return/walk.scm 222 */
																																				BgL_res2184z00_2929
																																					=
																																					(
																																					(bool_t)
																																					0);
																																			}
																																	}
																															}
																														}
																														BgL_test2328z00_4359
																															=
																															BgL_res2184z00_2929;
																													}
																											}
																										else
																											{	/* Return/walk.scm 222 */
																												BgL_test2328z00_4359 =
																													((bool_t) 0);
																											}
																									}
																									if (BgL_test2328z00_4359)
																										{	/* Return/walk.scm 222 */
																											if (NULLP(
																													(((BgL_appz00_bglt)
																															COBJECT((
																																	(BgL_appz00_bglt)
																																	BgL_exprz00_1777)))->
																														BgL_argsz00)))
																												{	/* Return/walk.scm 226 */
																													bool_t
																														BgL_test2334z00_4386;
																													{	/* Return/walk.scm 226 */
																														obj_t
																															BgL_arg1810z00_1785;
																														BgL_arg1810z00_1785
																															=
																															((obj_t) ((
																																	(BgL_varz00_bglt)
																																	COBJECT(((
																																				(BgL_appz00_bglt)
																																				COBJECT(
																																					((BgL_appz00_bglt) BgL_exprz00_1777)))->BgL_funz00)))->BgL_variablez00));
																														BgL_test2334z00_4386
																															=
																															(BgL_arg1810z00_1785
																															==
																															BGl_za2getzd2exitdzd2topza2z00zzreturn_walkz00);
																													}
																													if (BgL_test2334z00_4386)
																														{	/* Return/walk.scm 226 */
																															BgL_bindingz00_1900
																																=
																																BgL_bindingz00_1775;
																														}
																													else
																														{	/* Return/walk.scm 226 */
																															BgL_bindingz00_1900
																																= BFALSE;
																														}
																												}
																											else
																												{	/* Return/walk.scm 224 */
																													BgL_bindingz00_1900 =
																														BFALSE;
																												}
																										}
																									else
																										{	/* Return/walk.scm 222 */
																											BgL_bindingz00_1900 =
																												BFALSE;
																										}
																								}
																							}
																						}
																					}
																				else
																					{	/* Return/walk.scm 218 */
																						BgL_bindingz00_1900 = BFALSE;
																					}
																			}
																		else
																			{	/* Return/walk.scm 216 */
																				BgL_bindingz00_1900 = BFALSE;
																			}
																	}
																	if (CBOOL(BgL_bindingz00_1900))
																		{	/* Return/walk.scm 283 */
																			BgL_letzd2varzd2_bglt BgL_i1167z00_1901;

																			{	/* Return/walk.scm 283 */
																				obj_t BgL_pairz00_3232;

																				BgL_pairz00_3232 =
																					CDR(((obj_t) BgL_nodesz00_1892));
																				BgL_i1167z00_1901 =
																					((BgL_letzd2varzd2_bglt)
																					CAR(BgL_pairz00_3232));
																			}
																			{	/* Return/walk.scm 284 */
																				obj_t BgL_exitnodez00_1902;

																				{	/* Return/walk.scm 284 */
																					BgL_nodez00_bglt BgL_arg1946z00_1904;
																					obj_t BgL_arg1947z00_1905;

																					BgL_arg1946z00_1904 =
																						(((BgL_letzd2varzd2_bglt)
																							COBJECT(BgL_i1167z00_1901))->
																						BgL_bodyz00);
																					BgL_arg1947z00_1905 =
																						CAR(((obj_t) BgL_bindingz00_1900));
																					BgL_nodez00_1708 =
																						BgL_arg1946z00_1904;
																					BgL_varz00_1709 =
																						((BgL_localz00_bglt)
																						BgL_arg1947z00_1905);
																					{	/* Return/walk.scm 196 */
																						bool_t BgL_test2336z00_4405;

																						{	/* Return/walk.scm 196 */
																							obj_t BgL_classz00_2776;

																							BgL_classz00_2776 =
																								BGl_letzd2varzd2zzast_nodez00;
																							{	/* Return/walk.scm 196 */
																								BgL_objectz00_bglt
																									BgL_arg1858z00_2778;
																								{	/* Return/walk.scm 196 */
																									obj_t BgL_tmpz00_4406;

																									BgL_tmpz00_4406 =
																										((obj_t) BgL_nodez00_1708);
																									BgL_arg1858z00_2778 =
																										(BgL_objectz00_bglt)
																										(BgL_tmpz00_4406);
																								}
																								if (BGL_CONDEXPAND_ISA_ARCH64())
																									{	/* Return/walk.scm 196 */
																										long BgL_idxz00_2784;

																										BgL_idxz00_2784 =
																											BGL_OBJECT_INHERITANCE_NUM
																											(BgL_arg1858z00_2778);
																										BgL_test2336z00_4405 =
																											(VECTOR_REF
																											(BGl_za2inheritancesza2z00zz__objectz00,
																												(BgL_idxz00_2784 +
																													3L)) ==
																											BgL_classz00_2776);
																									}
																								else
																									{	/* Return/walk.scm 196 */
																										bool_t BgL_res2181z00_2809;

																										{	/* Return/walk.scm 196 */
																											obj_t BgL_oclassz00_2792;

																											{	/* Return/walk.scm 196 */
																												obj_t
																													BgL_arg1866z00_2800;
																												long
																													BgL_arg1867z00_2801;
																												BgL_arg1866z00_2800 =
																													(BGl_za2classesza2z00zz__objectz00);
																												{	/* Return/walk.scm 196 */
																													long
																														BgL_arg1869z00_2802;
																													BgL_arg1869z00_2802 =
																														BGL_OBJECT_CLASS_NUM
																														(BgL_arg1858z00_2778);
																													BgL_arg1867z00_2801 =
																														(BgL_arg1869z00_2802
																														- OBJECT_TYPE);
																												}
																												BgL_oclassz00_2792 =
																													VECTOR_REF
																													(BgL_arg1866z00_2800,
																													BgL_arg1867z00_2801);
																											}
																											{	/* Return/walk.scm 196 */
																												bool_t
																													BgL__ortest_1115z00_2793;
																												BgL__ortest_1115z00_2793
																													=
																													(BgL_classz00_2776 ==
																													BgL_oclassz00_2792);
																												if (BgL__ortest_1115z00_2793)
																													{	/* Return/walk.scm 196 */
																														BgL_res2181z00_2809
																															=
																															BgL__ortest_1115z00_2793;
																													}
																												else
																													{	/* Return/walk.scm 196 */
																														long
																															BgL_odepthz00_2794;
																														{	/* Return/walk.scm 196 */
																															obj_t
																																BgL_arg1855z00_2795;
																															BgL_arg1855z00_2795
																																=
																																(BgL_oclassz00_2792);
																															BgL_odepthz00_2794
																																=
																																BGL_CLASS_DEPTH
																																(BgL_arg1855z00_2795);
																														}
																														if (
																															(3L <
																																BgL_odepthz00_2794))
																															{	/* Return/walk.scm 196 */
																																obj_t
																																	BgL_arg1853z00_2797;
																																{	/* Return/walk.scm 196 */
																																	obj_t
																																		BgL_arg1854z00_2798;
																																	BgL_arg1854z00_2798
																																		=
																																		(BgL_oclassz00_2792);
																																	BgL_arg1853z00_2797
																																		=
																																		BGL_CLASS_ANCESTORS_REF
																																		(BgL_arg1854z00_2798,
																																		3L);
																																}
																																BgL_res2181z00_2809
																																	=
																																	(BgL_arg1853z00_2797
																																	==
																																	BgL_classz00_2776);
																															}
																														else
																															{	/* Return/walk.scm 196 */
																																BgL_res2181z00_2809
																																	=
																																	((bool_t) 0);
																															}
																													}
																											}
																										}
																										BgL_test2336z00_4405 =
																											BgL_res2181z00_2809;
																									}
																							}
																						}
																						if (BgL_test2336z00_4405)
																							{	/* Return/walk.scm 198 */
																								bool_t BgL_test2340z00_4428;

																								{	/* Return/walk.scm 198 */
																									bool_t BgL_test2341z00_4429;

																									{	/* Return/walk.scm 198 */
																										obj_t BgL_tmpz00_4430;

																										BgL_tmpz00_4430 =
																											(((BgL_letzd2varzd2_bglt)
																												COBJECT((
																														(BgL_letzd2varzd2_bglt)
																														BgL_nodez00_1708)))->
																											BgL_bindingsz00);
																										BgL_test2341z00_4429 =
																											PAIRP(BgL_tmpz00_4430);
																									}
																									if (BgL_test2341z00_4429)
																										{	/* Return/walk.scm 198 */
																											obj_t BgL_tmpz00_4434;

																											{	/* Return/walk.scm 198 */
																												obj_t BgL_pairz00_2810;

																												BgL_pairz00_2810 =
																													(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_1708)))->BgL_bindingsz00);
																												BgL_tmpz00_4434 =
																													CDR(BgL_pairz00_2810);
																											}
																											BgL_test2340z00_4428 =
																												NULLP(BgL_tmpz00_4434);
																										}
																									else
																										{	/* Return/walk.scm 198 */
																											BgL_test2340z00_4428 =
																												((bool_t) 0);
																										}
																								}
																								if (BgL_test2340z00_4428)
																									{	/* Return/walk.scm 199 */
																										obj_t BgL_bindingz00_1719;

																										{	/* Return/walk.scm 199 */
																											obj_t BgL_pairz00_2811;

																											BgL_pairz00_2811 =
																												(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_1708)))->BgL_bindingsz00);
																											BgL_bindingz00_1719 =
																												CAR(BgL_pairz00_2811);
																										}
																										{	/* Return/walk.scm 199 */
																											obj_t BgL_nbodyz00_1720;

																											{	/* Return/walk.scm 200 */
																												BgL_nodez00_bglt
																													BgL_arg1720z00_1729;
																												obj_t
																													BgL_arg1724z00_1730;
																												BgL_arg1720z00_1729 =
																													(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_1708)))->BgL_bodyz00);
																												BgL_arg1724z00_1730 =
																													CAR(((obj_t)
																														BgL_bindingz00_1719));
																												BgL_nbodyz00_1720 =
																													BGl_step6ze70ze7zzreturn_walkz00
																													(BgL_arg1720z00_1729,
																													((BgL_localz00_bglt)
																														BgL_arg1724z00_1730));
																											}
																											{	/* Return/walk.scm 200 */

																												if (CBOOL
																													(BgL_nbodyz00_1720))
																													{	/* Return/walk.scm 202 */
																														BgL_letzd2varzd2_bglt
																															BgL_new1136z00_1722;
																														{	/* Return/walk.scm 202 */
																															BgL_letzd2varzd2_bglt
																																BgL_new1143z00_1727;
																															BgL_new1143z00_1727
																																=
																																(
																																(BgL_letzd2varzd2_bglt)
																																BOBJECT
																																(GC_MALLOC
																																	(sizeof(struct
																																			BgL_letzd2varzd2_bgl))));
																															{	/* Return/walk.scm 202 */
																																long
																																	BgL_arg1717z00_1728;
																																BgL_arg1717z00_1728
																																	=
																																	BGL_CLASS_NUM
																																	(BGl_letzd2varzd2zzast_nodez00);
																																BGL_OBJECT_CLASS_NUM_SET
																																	(((BgL_objectz00_bglt) BgL_new1143z00_1727), BgL_arg1717z00_1728);
																															}
																															{	/* Return/walk.scm 202 */
																																BgL_objectz00_bglt
																																	BgL_tmpz00_4454;
																																BgL_tmpz00_4454
																																	=
																																	(
																																	(BgL_objectz00_bglt)
																																	BgL_new1143z00_1727);
																																BGL_OBJECT_WIDENING_SET
																																	(BgL_tmpz00_4454,
																																	BFALSE);
																															}
																															((BgL_objectz00_bglt) BgL_new1143z00_1727);
																															BgL_new1136z00_1722
																																=
																																BgL_new1143z00_1727;
																														}
																														((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1136z00_1722)))->BgL_locz00) = ((obj_t) (((BgL_nodez00_bglt) COBJECT(BgL_nodez00_1708))->BgL_locz00)), BUNSPEC);
																														((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1136z00_1722)))->BgL_typez00) = ((BgL_typez00_bglt) (((BgL_nodez00_bglt) COBJECT(BgL_nodez00_1708))->BgL_typez00)), BUNSPEC);
																														((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1136z00_1722)))->BgL_sidezd2effectzd2) = ((obj_t) (((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_nodez00_1708)))->BgL_sidezd2effectzd2)), BUNSPEC);
																														((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1136z00_1722)))->BgL_keyz00) = ((obj_t) (((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_nodez00_1708)))->BgL_keyz00)), BUNSPEC);
																														((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1136z00_1722))->BgL_bindingsz00) = ((obj_t) (((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_1708)))->BgL_bindingsz00)), BUNSPEC);
																														((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1136z00_1722))->BgL_bodyz00) = ((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nbodyz00_1720)), BUNSPEC);
																														((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1136z00_1722))->BgL_removablezf3zf3) = ((bool_t) (((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_1708)))->BgL_removablezf3zf3)), BUNSPEC);
																														BgL_exitnodez00_1902
																															=
																															((obj_t)
																															BgL_new1136z00_1722);
																													}
																												else
																													{	/* Return/walk.scm 201 */
																														BgL_exitnodez00_1902
																															= BFALSE;
																													}
																											}
																										}
																									}
																								else
																									{	/* Return/walk.scm 198 */
																										BgL_exitnodez00_1902 =
																											BFALSE;
																									}
																							}
																						else
																							{	/* Return/walk.scm 196 */
																								BgL_exitnodez00_1902 = BFALSE;
																							}
																					}
																				}
																				if (CBOOL(BgL_exitnodez00_1902))
																					{	/* Return/walk.scm 286 */
																						obj_t BgL_arg1945z00_1903;

																						BgL_arg1945z00_1903 =
																							CAR(
																							((obj_t) BgL_bindingz00_1900));
																						BgL__ortest_1178z00_1598 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1945z00_1903,
																							BgL_exitnodez00_1902);
																					}
																				else
																					{	/* Return/walk.scm 285 */
																						BgL__ortest_1178z00_1598 = BFALSE;
																					}
																			}
																		}
																	else
																		{	/* Return/walk.scm 282 */
																			BgL__ortest_1178z00_1598 = BFALSE;
																		}
																}
															else
																{	/* Return/walk.scm 280 */
																	BgL__ortest_1178z00_1598 = BFALSE;
																}
														}
													}
												}
											else
												{	/* Return/walk.scm 300 */
													BgL__ortest_1178z00_1598 = BFALSE;
												}
										}
									else
										{	/* Return/walk.scm 298 */
											BgL__ortest_1178z00_1598 = BFALSE;
										}
								}
							}
							if (CBOOL(BgL__ortest_1178z00_1598))
								{	/* Return/walk.scm 322 */
									return BgL__ortest_1178z00_1598;
								}
							else
								{	/* Return/walk.scm 323 */
									BgL_nodez00_bglt BgL_arg1506z00_1599;
									BgL_varz00_bglt BgL_arg1511z00_1600;

									BgL_arg1506z00_1599 =
										(((BgL_setzd2exzd2itz00_bglt) COBJECT(
												((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_19)))->
										BgL_bodyz00);
									BgL_arg1511z00_1600 =
										(((BgL_setzd2exzd2itz00_bglt)
											COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_19)))->
										BgL_varz00);
									BgL_bodyz00_1946 = BgL_arg1506z00_1599;
									BgL_varz00_1947 = BgL_arg1511z00_1600;
									{	/* Return/walk.scm 307 */
										bool_t BgL_test2345z00_4494;

										{	/* Return/walk.scm 307 */
											obj_t BgL_classz00_3315;

											BgL_classz00_3315 = BGl_letzd2varzd2zzast_nodez00;
											{	/* Return/walk.scm 307 */
												BgL_objectz00_bglt BgL_arg1858z00_3317;

												{	/* Return/walk.scm 307 */
													obj_t BgL_tmpz00_4495;

													BgL_tmpz00_4495 = ((obj_t) BgL_bodyz00_1946);
													BgL_arg1858z00_3317 =
														(BgL_objectz00_bglt) (BgL_tmpz00_4495);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Return/walk.scm 307 */
														long BgL_idxz00_3323;

														BgL_idxz00_3323 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3317);
														BgL_test2345z00_4494 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3323 + 3L)) == BgL_classz00_3315);
													}
												else
													{	/* Return/walk.scm 307 */
														bool_t BgL_res2195z00_3348;

														{	/* Return/walk.scm 307 */
															obj_t BgL_oclassz00_3331;

															{	/* Return/walk.scm 307 */
																obj_t BgL_arg1866z00_3339;
																long BgL_arg1867z00_3340;

																BgL_arg1866z00_3339 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Return/walk.scm 307 */
																	long BgL_arg1869z00_3341;

																	BgL_arg1869z00_3341 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3317);
																	BgL_arg1867z00_3340 =
																		(BgL_arg1869z00_3341 - OBJECT_TYPE);
																}
																BgL_oclassz00_3331 =
																	VECTOR_REF(BgL_arg1866z00_3339,
																	BgL_arg1867z00_3340);
															}
															{	/* Return/walk.scm 307 */
																bool_t BgL__ortest_1115z00_3332;

																BgL__ortest_1115z00_3332 =
																	(BgL_classz00_3315 == BgL_oclassz00_3331);
																if (BgL__ortest_1115z00_3332)
																	{	/* Return/walk.scm 307 */
																		BgL_res2195z00_3348 =
																			BgL__ortest_1115z00_3332;
																	}
																else
																	{	/* Return/walk.scm 307 */
																		long BgL_odepthz00_3333;

																		{	/* Return/walk.scm 307 */
																			obj_t BgL_arg1855z00_3334;

																			BgL_arg1855z00_3334 =
																				(BgL_oclassz00_3331);
																			BgL_odepthz00_3333 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_3334);
																		}
																		if ((3L < BgL_odepthz00_3333))
																			{	/* Return/walk.scm 307 */
																				obj_t BgL_arg1853z00_3336;

																				{	/* Return/walk.scm 307 */
																					obj_t BgL_arg1854z00_3337;

																					BgL_arg1854z00_3337 =
																						(BgL_oclassz00_3331);
																					BgL_arg1853z00_3336 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_3337, 3L);
																				}
																				BgL_res2195z00_3348 =
																					(BgL_arg1853z00_3336 ==
																					BgL_classz00_3315);
																			}
																		else
																			{	/* Return/walk.scm 307 */
																				BgL_res2195z00_3348 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2345z00_4494 = BgL_res2195z00_3348;
													}
											}
										}
										if (BgL_test2345z00_4494)
											{	/* Return/walk.scm 309 */
												bool_t BgL_test2349z00_4517;

												{	/* Return/walk.scm 309 */
													bool_t BgL_test2350z00_4518;

													{	/* Return/walk.scm 309 */
														BgL_nodez00_bglt BgL_arg2011z00_1982;

														BgL_arg2011z00_1982 =
															(((BgL_letzd2varzd2_bglt) COBJECT(
																	((BgL_letzd2varzd2_bglt) BgL_bodyz00_1946)))->
															BgL_bodyz00);
														{	/* Return/walk.scm 309 */
															obj_t BgL_classz00_3349;

															BgL_classz00_3349 = BGl_sequencez00zzast_nodez00;
															{	/* Return/walk.scm 309 */
																BgL_objectz00_bglt BgL_arg1858z00_3351;

																{	/* Return/walk.scm 309 */
																	obj_t BgL_tmpz00_4521;

																	BgL_tmpz00_4521 =
																		((obj_t)
																		((BgL_objectz00_bglt) BgL_arg2011z00_1982));
																	BgL_arg1858z00_3351 =
																		(BgL_objectz00_bglt) (BgL_tmpz00_4521);
																}
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Return/walk.scm 309 */
																		long BgL_idxz00_3357;

																		BgL_idxz00_3357 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1858z00_3351);
																		BgL_test2350z00_4518 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_3357 + 3L)) ==
																			BgL_classz00_3349);
																	}
																else
																	{	/* Return/walk.scm 309 */
																		bool_t BgL_res2196z00_3382;

																		{	/* Return/walk.scm 309 */
																			obj_t BgL_oclassz00_3365;

																			{	/* Return/walk.scm 309 */
																				obj_t BgL_arg1866z00_3373;
																				long BgL_arg1867z00_3374;

																				BgL_arg1866z00_3373 =
																					(BGl_za2classesza2z00zz__objectz00);
																				{	/* Return/walk.scm 309 */
																					long BgL_arg1869z00_3375;

																					BgL_arg1869z00_3375 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1858z00_3351);
																					BgL_arg1867z00_3374 =
																						(BgL_arg1869z00_3375 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_3365 =
																					VECTOR_REF(BgL_arg1866z00_3373,
																					BgL_arg1867z00_3374);
																			}
																			{	/* Return/walk.scm 309 */
																				bool_t BgL__ortest_1115z00_3366;

																				BgL__ortest_1115z00_3366 =
																					(BgL_classz00_3349 ==
																					BgL_oclassz00_3365);
																				if (BgL__ortest_1115z00_3366)
																					{	/* Return/walk.scm 309 */
																						BgL_res2196z00_3382 =
																							BgL__ortest_1115z00_3366;
																					}
																				else
																					{	/* Return/walk.scm 309 */
																						long BgL_odepthz00_3367;

																						{	/* Return/walk.scm 309 */
																							obj_t BgL_arg1855z00_3368;

																							BgL_arg1855z00_3368 =
																								(BgL_oclassz00_3365);
																							BgL_odepthz00_3367 =
																								BGL_CLASS_DEPTH
																								(BgL_arg1855z00_3368);
																						}
																						if ((3L < BgL_odepthz00_3367))
																							{	/* Return/walk.scm 309 */
																								obj_t BgL_arg1853z00_3370;

																								{	/* Return/walk.scm 309 */
																									obj_t BgL_arg1854z00_3371;

																									BgL_arg1854z00_3371 =
																										(BgL_oclassz00_3365);
																									BgL_arg1853z00_3370 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_arg1854z00_3371, 3L);
																								}
																								BgL_res2196z00_3382 =
																									(BgL_arg1853z00_3370 ==
																									BgL_classz00_3349);
																							}
																						else
																							{	/* Return/walk.scm 309 */
																								BgL_res2196z00_3382 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test2350z00_4518 = BgL_res2196z00_3382;
																	}
															}
														}
													}
													if (BgL_test2350z00_4518)
														{	/* Return/walk.scm 310 */
															bool_t BgL_test2354z00_4544;

															{	/* Return/walk.scm 310 */
																obj_t BgL_tmpz00_4545;

																BgL_tmpz00_4545 =
																	(((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				BgL_bodyz00_1946)))->BgL_bindingsz00);
																BgL_test2354z00_4544 = PAIRP(BgL_tmpz00_4545);
															}
															if (BgL_test2354z00_4544)
																{	/* Return/walk.scm 311 */
																	obj_t BgL_tmpz00_4549;

																	{	/* Return/walk.scm 311 */
																		obj_t BgL_pairz00_3383;

																		BgL_pairz00_3383 =
																			(((BgL_letzd2varzd2_bglt) COBJECT(
																					((BgL_letzd2varzd2_bglt)
																						BgL_bodyz00_1946)))->
																			BgL_bindingsz00);
																		BgL_tmpz00_4549 = CDR(BgL_pairz00_3383);
																	}
																	BgL_test2349z00_4517 = NULLP(BgL_tmpz00_4549);
																}
															else
																{	/* Return/walk.scm 310 */
																	BgL_test2349z00_4517 = ((bool_t) 0);
																}
														}
													else
														{	/* Return/walk.scm 309 */
															BgL_test2349z00_4517 = ((bool_t) 0);
														}
												}
												if (BgL_test2349z00_4517)
													{	/* Return/walk.scm 312 */
														bool_t BgL_test2355z00_4554;

														{	/* Return/walk.scm 312 */
															obj_t BgL_arg2006z00_1975;

															{	/* Return/walk.scm 312 */
																obj_t BgL_pairz00_3384;

																BgL_pairz00_3384 =
																	(((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				BgL_bodyz00_1946)))->BgL_bindingsz00);
																BgL_arg2006z00_1975 =
																	CDR(CAR(BgL_pairz00_3384));
															}
															{	/* Return/walk.scm 312 */
																obj_t BgL_classz00_3388;

																BgL_classz00_3388 = BGl_appz00zzast_nodez00;
																if (BGL_OBJECTP(BgL_arg2006z00_1975))
																	{	/* Return/walk.scm 312 */
																		BgL_objectz00_bglt BgL_arg1858z00_3390;

																		BgL_arg1858z00_3390 =
																			(BgL_objectz00_bglt)
																			(BgL_arg2006z00_1975);
																		if (BGL_CONDEXPAND_ISA_ARCH64())
																			{	/* Return/walk.scm 312 */
																				long BgL_idxz00_3396;

																				BgL_idxz00_3396 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1858z00_3390);
																				BgL_test2355z00_4554 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_3396 + 3L)) ==
																					BgL_classz00_3388);
																			}
																		else
																			{	/* Return/walk.scm 312 */
																				bool_t BgL_res2197z00_3421;

																				{	/* Return/walk.scm 312 */
																					obj_t BgL_oclassz00_3404;

																					{	/* Return/walk.scm 312 */
																						obj_t BgL_arg1866z00_3412;
																						long BgL_arg1867z00_3413;

																						BgL_arg1866z00_3412 =
																							(BGl_za2classesza2z00zz__objectz00);
																						{	/* Return/walk.scm 312 */
																							long BgL_arg1869z00_3414;

																							BgL_arg1869z00_3414 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1858z00_3390);
																							BgL_arg1867z00_3413 =
																								(BgL_arg1869z00_3414 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_3404 =
																							VECTOR_REF(BgL_arg1866z00_3412,
																							BgL_arg1867z00_3413);
																					}
																					{	/* Return/walk.scm 312 */
																						bool_t BgL__ortest_1115z00_3405;

																						BgL__ortest_1115z00_3405 =
																							(BgL_classz00_3388 ==
																							BgL_oclassz00_3404);
																						if (BgL__ortest_1115z00_3405)
																							{	/* Return/walk.scm 312 */
																								BgL_res2197z00_3421 =
																									BgL__ortest_1115z00_3405;
																							}
																						else
																							{	/* Return/walk.scm 312 */
																								long BgL_odepthz00_3406;

																								{	/* Return/walk.scm 312 */
																									obj_t BgL_arg1855z00_3407;

																									BgL_arg1855z00_3407 =
																										(BgL_oclassz00_3404);
																									BgL_odepthz00_3406 =
																										BGL_CLASS_DEPTH
																										(BgL_arg1855z00_3407);
																								}
																								if ((3L < BgL_odepthz00_3406))
																									{	/* Return/walk.scm 312 */
																										obj_t BgL_arg1853z00_3409;

																										{	/* Return/walk.scm 312 */
																											obj_t BgL_arg1854z00_3410;

																											BgL_arg1854z00_3410 =
																												(BgL_oclassz00_3404);
																											BgL_arg1853z00_3409 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_arg1854z00_3410,
																												3L);
																										}
																										BgL_res2197z00_3421 =
																											(BgL_arg1853z00_3409 ==
																											BgL_classz00_3388);
																									}
																								else
																									{	/* Return/walk.scm 312 */
																										BgL_res2197z00_3421 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_test2355z00_4554 =
																					BgL_res2197z00_3421;
																			}
																	}
																else
																	{	/* Return/walk.scm 312 */
																		BgL_test2355z00_4554 = ((bool_t) 0);
																	}
															}
														}
														if (BgL_test2355z00_4554)
															{	/* Return/walk.scm 313 */
																BgL_appz00_bglt BgL_i1173z00_1963;

																{	/* Return/walk.scm 313 */
																	obj_t BgL_pairz00_3422;

																	BgL_pairz00_3422 =
																		(((BgL_letzd2varzd2_bglt) COBJECT(
																				((BgL_letzd2varzd2_bglt)
																					BgL_bodyz00_1946)))->BgL_bindingsz00);
																	{	/* Return/walk.scm 313 */
																		obj_t BgL_pairz00_3425;

																		BgL_pairz00_3425 = CAR(BgL_pairz00_3422);
																		BgL_i1173z00_1963 =
																			((BgL_appz00_bglt) CDR(BgL_pairz00_3425));
																	}
																}
																{	/* Return/walk.scm 314 */
																	BgL_varz00_bglt BgL_i1174z00_1964;

																	BgL_i1174z00_1964 =
																		(((BgL_appz00_bglt)
																			COBJECT(BgL_i1173z00_1963))->BgL_funz00);
																	{	/* Return/walk.scm 315 */
																		bool_t BgL_test2360z00_4587;

																		{	/* Return/walk.scm 315 */
																			obj_t BgL_arg2004z00_1973;

																			BgL_arg2004z00_1973 =
																				((obj_t)
																				(((BgL_varz00_bglt)
																						COBJECT(BgL_i1174z00_1964))->
																					BgL_variablez00));
																			BgL_test2360z00_4587 =
																				(BgL_arg2004z00_1973 ==
																				BGl_za2currentzd2dynamiczd2envza2z00zzreturn_walkz00);
																		}
																		if (BgL_test2360z00_4587)
																			{	/* Return/walk.scm 316 */
																				BgL_sequencez00_bglt BgL_i1175z00_1967;

																				BgL_i1175z00_1967 =
																					((BgL_sequencez00_bglt)
																					(((BgL_letzd2varzd2_bglt) COBJECT(
																								((BgL_letzd2varzd2_bglt)
																									BgL_bodyz00_1946)))->
																						BgL_bodyz00));
																				{	/* Return/walk.scm 318 */
																					obj_t BgL_arg2000z00_1969;
																					BgL_variablez00_bglt
																						BgL_arg2001z00_1970;
																					obj_t BgL_arg2002z00_1971;

																					BgL_arg2000z00_1969 =
																						(((BgL_sequencez00_bglt)
																							COBJECT(BgL_i1175z00_1967))->
																						BgL_nodesz00);
																					BgL_arg2001z00_1970 =
																						(((BgL_varz00_bglt)
																							COBJECT(BgL_varz00_1947))->
																						BgL_variablez00);
																					{	/* Return/walk.scm 318 */
																						obj_t BgL_pairz00_3426;

																						BgL_pairz00_3426 =
																							(((BgL_letzd2varzd2_bglt) COBJECT(
																									((BgL_letzd2varzd2_bglt)
																										BgL_bodyz00_1946)))->
																							BgL_bindingsz00);
																						BgL_arg2002z00_1971 =
																							CAR(CAR(BgL_pairz00_3426));
																					}
																					BgL_nodesz00_1910 =
																						BgL_arg2000z00_1969;
																					BgL_varz00_1911 =
																						((BgL_localz00_bglt)
																						BgL_arg2001z00_1970);
																					BgL_envz00_1912 = BgL_arg2002z00_1971;
																					{	/* Return/walk.scm 289 */
																						bool_t BgL_test2361z00_4600;

																						if (
																							(bgl_list_length
																								(BgL_nodesz00_1910) == 2L))
																							{	/* Return/walk.scm 289 */
																								obj_t BgL_arg1967z00_1927;

																								BgL_arg1967z00_1927 =
																									CAR(
																									((obj_t) BgL_nodesz00_1910));
																								BgL_nodez00_1859 =
																									((BgL_nodez00_bglt)
																									BgL_arg1967z00_1927);
																								BgL_exitvarz00_1860 =
																									BgL_varz00_1911;
																								BgL_envz00_1861 =
																									BgL_envz00_1912;
																								{	/* Return/walk.scm 261 */
																									bool_t BgL_test2363z00_4606;

																									{	/* Return/walk.scm 261 */
																										obj_t BgL_classz00_3110;

																										BgL_classz00_3110 =
																											BGl_appz00zzast_nodez00;
																										{	/* Return/walk.scm 261 */
																											BgL_objectz00_bglt
																												BgL_arg1858z00_3112;
																											{	/* Return/walk.scm 261 */
																												obj_t BgL_tmpz00_4607;

																												BgL_tmpz00_4607 =
																													((obj_t)
																													BgL_nodez00_1859);
																												BgL_arg1858z00_3112 =
																													(BgL_objectz00_bglt)
																													(BgL_tmpz00_4607);
																											}
																											if (BGL_CONDEXPAND_ISA_ARCH64())
																												{	/* Return/walk.scm 261 */
																													long BgL_idxz00_3118;

																													BgL_idxz00_3118 =
																														BGL_OBJECT_INHERITANCE_NUM
																														(BgL_arg1858z00_3112);
																													BgL_test2363z00_4606 =
																														(VECTOR_REF
																														(BGl_za2inheritancesza2z00zz__objectz00,
																															(BgL_idxz00_3118 +
																																3L)) ==
																														BgL_classz00_3110);
																												}
																											else
																												{	/* Return/walk.scm 261 */
																													bool_t
																														BgL_res2190z00_3143;
																													{	/* Return/walk.scm 261 */
																														obj_t
																															BgL_oclassz00_3126;
																														{	/* Return/walk.scm 261 */
																															obj_t
																																BgL_arg1866z00_3134;
																															long
																																BgL_arg1867z00_3135;
																															BgL_arg1866z00_3134
																																=
																																(BGl_za2classesza2z00zz__objectz00);
																															{	/* Return/walk.scm 261 */
																																long
																																	BgL_arg1869z00_3136;
																																BgL_arg1869z00_3136
																																	=
																																	BGL_OBJECT_CLASS_NUM
																																	(BgL_arg1858z00_3112);
																																BgL_arg1867z00_3135
																																	=
																																	(BgL_arg1869z00_3136
																																	-
																																	OBJECT_TYPE);
																															}
																															BgL_oclassz00_3126
																																=
																																VECTOR_REF
																																(BgL_arg1866z00_3134,
																																BgL_arg1867z00_3135);
																														}
																														{	/* Return/walk.scm 261 */
																															bool_t
																																BgL__ortest_1115z00_3127;
																															BgL__ortest_1115z00_3127
																																=
																																(BgL_classz00_3110
																																==
																																BgL_oclassz00_3126);
																															if (BgL__ortest_1115z00_3127)
																																{	/* Return/walk.scm 261 */
																																	BgL_res2190z00_3143
																																		=
																																		BgL__ortest_1115z00_3127;
																																}
																															else
																																{	/* Return/walk.scm 261 */
																																	long
																																		BgL_odepthz00_3128;
																																	{	/* Return/walk.scm 261 */
																																		obj_t
																																			BgL_arg1855z00_3129;
																																		BgL_arg1855z00_3129
																																			=
																																			(BgL_oclassz00_3126);
																																		BgL_odepthz00_3128
																																			=
																																			BGL_CLASS_DEPTH
																																			(BgL_arg1855z00_3129);
																																	}
																																	if (
																																		(3L <
																																			BgL_odepthz00_3128))
																																		{	/* Return/walk.scm 261 */
																																			obj_t
																																				BgL_arg1853z00_3131;
																																			{	/* Return/walk.scm 261 */
																																				obj_t
																																					BgL_arg1854z00_3132;
																																				BgL_arg1854z00_3132
																																					=
																																					(BgL_oclassz00_3126);
																																				BgL_arg1853z00_3131
																																					=
																																					BGL_CLASS_ANCESTORS_REF
																																					(BgL_arg1854z00_3132,
																																					3L);
																																			}
																																			BgL_res2190z00_3143
																																				=
																																				(BgL_arg1853z00_3131
																																				==
																																				BgL_classz00_3110);
																																		}
																																	else
																																		{	/* Return/walk.scm 261 */
																																			BgL_res2190z00_3143
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																														}
																													}
																													BgL_test2363z00_4606 =
																														BgL_res2190z00_3143;
																												}
																										}
																									}
																									if (BgL_test2363z00_4606)
																										{	/* Return/walk.scm 263 */
																											BgL_varz00_bglt
																												BgL_i1164z00_1865;
																											BgL_i1164z00_1865 =
																												(((BgL_appz00_bglt)
																													COBJECT((
																															(BgL_appz00_bglt)
																															BgL_nodez00_1859)))->
																												BgL_funz00);
																											{	/* Return/walk.scm 265 */
																												bool_t
																													BgL_test2367z00_4631;
																												{	/* Return/walk.scm 265 */
																													obj_t
																														BgL_arg1938z00_1891;
																													BgL_arg1938z00_1891 =
																														((obj_t) ((
																																(BgL_varz00_bglt)
																																COBJECT
																																(BgL_i1164z00_1865))->
																															BgL_variablez00));
																													BgL_test2367z00_4631 =
																														(BgL_arg1938z00_1891
																														==
																														BGl_za2envzd2pushzd2exitz12za2z12zzreturn_walkz00);
																												}
																												if (BgL_test2367z00_4631)
																													{	/* Return/walk.scm 265 */
																														if (
																															(bgl_list_length(
																																	(((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_nodez00_1859)))->BgL_argsz00)) == 3L))
																															{	/* Return/walk.scm 269 */
																																bool_t
																																	BgL_test2369z00_4640;
																																{	/* Return/walk.scm 269 */
																																	obj_t
																																		BgL_arg1933z00_1887;
																																	{	/* Return/walk.scm 269 */
																																		obj_t
																																			BgL_pairz00_3145;
																																		BgL_pairz00_3145
																																			=
																																			(((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_nodez00_1859)))->BgL_argsz00);
																																		BgL_arg1933z00_1887
																																			=
																																			CAR(CDR
																																			(BgL_pairz00_3145));
																																	}
																																	{	/* Return/walk.scm 269 */
																																		obj_t
																																			BgL_classz00_3149;
																																		BgL_classz00_3149
																																			=
																																			BGl_varz00zzast_nodez00;
																																		if (BGL_OBJECTP(BgL_arg1933z00_1887))
																																			{	/* Return/walk.scm 269 */
																																				BgL_objectz00_bglt
																																					BgL_arg1858z00_3151;
																																				BgL_arg1858z00_3151
																																					=
																																					(BgL_objectz00_bglt)
																																					(BgL_arg1933z00_1887);
																																				if (BGL_CONDEXPAND_ISA_ARCH64())
																																					{	/* Return/walk.scm 269 */
																																						long
																																							BgL_idxz00_3157;
																																						BgL_idxz00_3157
																																							=
																																							BGL_OBJECT_INHERITANCE_NUM
																																							(BgL_arg1858z00_3151);
																																						BgL_test2369z00_4640
																																							=
																																							(VECTOR_REF
																																							(BGl_za2inheritancesza2z00zz__objectz00,
																																								(BgL_idxz00_3157
																																									+
																																									2L))
																																							==
																																							BgL_classz00_3149);
																																					}
																																				else
																																					{	/* Return/walk.scm 269 */
																																						bool_t
																																							BgL_res2191z00_3182;
																																						{	/* Return/walk.scm 269 */
																																							obj_t
																																								BgL_oclassz00_3165;
																																							{	/* Return/walk.scm 269 */
																																								obj_t
																																									BgL_arg1866z00_3173;
																																								long
																																									BgL_arg1867z00_3174;
																																								BgL_arg1866z00_3173
																																									=
																																									(BGl_za2classesza2z00zz__objectz00);
																																								{	/* Return/walk.scm 269 */
																																									long
																																										BgL_arg1869z00_3175;
																																									BgL_arg1869z00_3175
																																										=
																																										BGL_OBJECT_CLASS_NUM
																																										(BgL_arg1858z00_3151);
																																									BgL_arg1867z00_3174
																																										=
																																										(BgL_arg1869z00_3175
																																										-
																																										OBJECT_TYPE);
																																								}
																																								BgL_oclassz00_3165
																																									=
																																									VECTOR_REF
																																									(BgL_arg1866z00_3173,
																																									BgL_arg1867z00_3174);
																																							}
																																							{	/* Return/walk.scm 269 */
																																								bool_t
																																									BgL__ortest_1115z00_3166;
																																								BgL__ortest_1115z00_3166
																																									=
																																									(BgL_classz00_3149
																																									==
																																									BgL_oclassz00_3165);
																																								if (BgL__ortest_1115z00_3166)
																																									{	/* Return/walk.scm 269 */
																																										BgL_res2191z00_3182
																																											=
																																											BgL__ortest_1115z00_3166;
																																									}
																																								else
																																									{	/* Return/walk.scm 269 */
																																										long
																																											BgL_odepthz00_3167;
																																										{	/* Return/walk.scm 269 */
																																											obj_t
																																												BgL_arg1855z00_3168;
																																											BgL_arg1855z00_3168
																																												=
																																												(BgL_oclassz00_3165);
																																											BgL_odepthz00_3167
																																												=
																																												BGL_CLASS_DEPTH
																																												(BgL_arg1855z00_3168);
																																										}
																																										if ((2L < BgL_odepthz00_3167))
																																											{	/* Return/walk.scm 269 */
																																												obj_t
																																													BgL_arg1853z00_3170;
																																												{	/* Return/walk.scm 269 */
																																													obj_t
																																														BgL_arg1854z00_3171;
																																													BgL_arg1854z00_3171
																																														=
																																														(BgL_oclassz00_3165);
																																													BgL_arg1853z00_3170
																																														=
																																														BGL_CLASS_ANCESTORS_REF
																																														(BgL_arg1854z00_3171,
																																														2L);
																																												}
																																												BgL_res2191z00_3182
																																													=
																																													(BgL_arg1853z00_3170
																																													==
																																													BgL_classz00_3149);
																																											}
																																										else
																																											{	/* Return/walk.scm 269 */
																																												BgL_res2191z00_3182
																																													=
																																													(
																																													(bool_t)
																																													0);
																																											}
																																									}
																																							}
																																						}
																																						BgL_test2369z00_4640
																																							=
																																							BgL_res2191z00_3182;
																																					}
																																			}
																																		else
																																			{	/* Return/walk.scm 269 */
																																				BgL_test2369z00_4640
																																					=
																																					(
																																					(bool_t)
																																					0);
																																			}
																																	}
																																}
																																if (BgL_test2369z00_4640)
																																	{	/* Return/walk.scm 270 */
																																		BgL_varz00_bglt
																																			BgL_i1165z00_1874;
																																		{	/* Return/walk.scm 270 */
																																			obj_t
																																				BgL_pairz00_3183;
																																			BgL_pairz00_3183
																																				=
																																				(((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_nodez00_1859)))->BgL_argsz00);
																																			{	/* Return/walk.scm 270 */
																																				obj_t
																																					BgL_pairz00_3186;
																																				BgL_pairz00_3186
																																					=
																																					CDR
																																					(BgL_pairz00_3183);
																																				BgL_i1165z00_1874
																																					=
																																					(
																																					(BgL_varz00_bglt)
																																					CAR
																																					(BgL_pairz00_3186));
																																			}
																																		}
																																		if (
																																			(((obj_t)
																																					(((BgL_varz00_bglt) COBJECT(BgL_i1165z00_1874))->BgL_variablez00)) == ((obj_t) BgL_exitvarz00_1860)))
																																			{	/* Return/walk.scm 274 */
																																				bool_t
																																					BgL_test2375z00_4677;
																																				{	/* Return/walk.scm 274 */
																																					obj_t
																																						BgL_arg1928z00_1883;
																																					{	/* Return/walk.scm 274 */
																																						obj_t
																																							BgL_pairz00_3187;
																																						BgL_pairz00_3187
																																							=
																																							(((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_nodez00_1859)))->BgL_argsz00);
																																						BgL_arg1928z00_1883
																																							=
																																							CAR
																																							(BgL_pairz00_3187);
																																					}
																																					{	/* Return/walk.scm 274 */
																																						obj_t
																																							BgL_classz00_3188;
																																						BgL_classz00_3188
																																							=
																																							BGl_varz00zzast_nodez00;
																																						if (BGL_OBJECTP(BgL_arg1928z00_1883))
																																							{	/* Return/walk.scm 274 */
																																								BgL_objectz00_bglt
																																									BgL_arg1858z00_3190;
																																								BgL_arg1858z00_3190
																																									=
																																									(BgL_objectz00_bglt)
																																									(BgL_arg1928z00_1883);
																																								if (BGL_CONDEXPAND_ISA_ARCH64())
																																									{	/* Return/walk.scm 274 */
																																										long
																																											BgL_idxz00_3196;
																																										BgL_idxz00_3196
																																											=
																																											BGL_OBJECT_INHERITANCE_NUM
																																											(BgL_arg1858z00_3190);
																																										BgL_test2375z00_4677
																																											=
																																											(VECTOR_REF
																																											(BGl_za2inheritancesza2z00zz__objectz00,
																																												(BgL_idxz00_3196
																																													+
																																													2L))
																																											==
																																											BgL_classz00_3188);
																																									}
																																								else
																																									{	/* Return/walk.scm 274 */
																																										bool_t
																																											BgL_res2192z00_3221;
																																										{	/* Return/walk.scm 274 */
																																											obj_t
																																												BgL_oclassz00_3204;
																																											{	/* Return/walk.scm 274 */
																																												obj_t
																																													BgL_arg1866z00_3212;
																																												long
																																													BgL_arg1867z00_3213;
																																												BgL_arg1866z00_3212
																																													=
																																													(BGl_za2classesza2z00zz__objectz00);
																																												{	/* Return/walk.scm 274 */
																																													long
																																														BgL_arg1869z00_3214;
																																													BgL_arg1869z00_3214
																																														=
																																														BGL_OBJECT_CLASS_NUM
																																														(BgL_arg1858z00_3190);
																																													BgL_arg1867z00_3213
																																														=
																																														(BgL_arg1869z00_3214
																																														-
																																														OBJECT_TYPE);
																																												}
																																												BgL_oclassz00_3204
																																													=
																																													VECTOR_REF
																																													(BgL_arg1866z00_3212,
																																													BgL_arg1867z00_3213);
																																											}
																																											{	/* Return/walk.scm 274 */
																																												bool_t
																																													BgL__ortest_1115z00_3205;
																																												BgL__ortest_1115z00_3205
																																													=
																																													(BgL_classz00_3188
																																													==
																																													BgL_oclassz00_3204);
																																												if (BgL__ortest_1115z00_3205)
																																													{	/* Return/walk.scm 274 */
																																														BgL_res2192z00_3221
																																															=
																																															BgL__ortest_1115z00_3205;
																																													}
																																												else
																																													{	/* Return/walk.scm 274 */
																																														long
																																															BgL_odepthz00_3206;
																																														{	/* Return/walk.scm 274 */
																																															obj_t
																																																BgL_arg1855z00_3207;
																																															BgL_arg1855z00_3207
																																																=
																																																(BgL_oclassz00_3204);
																																															BgL_odepthz00_3206
																																																=
																																																BGL_CLASS_DEPTH
																																																(BgL_arg1855z00_3207);
																																														}
																																														if ((2L < BgL_odepthz00_3206))
																																															{	/* Return/walk.scm 274 */
																																																obj_t
																																																	BgL_arg1853z00_3209;
																																																{	/* Return/walk.scm 274 */
																																																	obj_t
																																																		BgL_arg1854z00_3210;
																																																	BgL_arg1854z00_3210
																																																		=
																																																		(BgL_oclassz00_3204);
																																																	BgL_arg1853z00_3209
																																																		=
																																																		BGL_CLASS_ANCESTORS_REF
																																																		(BgL_arg1854z00_3210,
																																																		2L);
																																																}
																																																BgL_res2192z00_3221
																																																	=
																																																	(BgL_arg1853z00_3209
																																																	==
																																																	BgL_classz00_3188);
																																															}
																																														else
																																															{	/* Return/walk.scm 274 */
																																																BgL_res2192z00_3221
																																																	=
																																																	(
																																																	(bool_t)
																																																	0);
																																															}
																																													}
																																											}
																																										}
																																										BgL_test2375z00_4677
																																											=
																																											BgL_res2192z00_3221;
																																									}
																																							}
																																						else
																																							{	/* Return/walk.scm 274 */
																																								BgL_test2375z00_4677
																																									=
																																									(
																																									(bool_t)
																																									0);
																																							}
																																					}
																																				}
																																				if (BgL_test2375z00_4677)
																																					{	/* Return/walk.scm 277 */
																																						obj_t
																																							BgL_tmpz00_4703;
																																						{
																																							BgL_variablez00_bglt
																																								BgL_auxz00_4704;
																																							{
																																								BgL_varz00_bglt
																																									BgL_auxz00_4705;
																																								{	/* Return/walk.scm 275 */
																																									obj_t
																																										BgL_pairz00_3222;
																																									BgL_pairz00_3222
																																										=
																																										(
																																										((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_nodez00_1859)))->BgL_argsz00);
																																									BgL_auxz00_4705
																																										=
																																										(
																																										(BgL_varz00_bglt)
																																										CAR
																																										(BgL_pairz00_3222));
																																								}
																																								BgL_auxz00_4704
																																									=
																																									(
																																									((BgL_varz00_bglt) COBJECT(BgL_auxz00_4705))->BgL_variablez00);
																																							}
																																							BgL_tmpz00_4703
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_4704);
																																						}
																																						BgL_test2361z00_4600
																																							=
																																							(BgL_tmpz00_4703
																																							==
																																							BgL_envz00_1861);
																																					}
																																				else
																																					{	/* Return/walk.scm 274 */
																																						BgL_test2361z00_4600
																																							=
																																							(
																																							(bool_t)
																																							0);
																																					}
																																			}
																																		else
																																			{	/* Return/walk.scm 272 */
																																				BgL_test2361z00_4600
																																					=
																																					(
																																					(bool_t)
																																					0);
																																			}
																																	}
																																else
																																	{	/* Return/walk.scm 269 */
																																		BgL_test2361z00_4600
																																			=
																																			((bool_t)
																																			0);
																																	}
																															}
																														else
																															{	/* Return/walk.scm 267 */
																																BgL_test2361z00_4600
																																	=
																																	((bool_t) 0);
																															}
																													}
																												else
																													{	/* Return/walk.scm 265 */
																														BgL_test2361z00_4600
																															= ((bool_t) 0);
																													}
																											}
																										}
																									else
																										{	/* Return/walk.scm 261 */
																											BgL_test2361z00_4600 =
																												((bool_t) 0);
																										}
																								}
																							}
																						else
																							{	/* Return/walk.scm 289 */
																								BgL_test2361z00_4600 =
																									((bool_t) 0);
																							}
																						if (BgL_test2361z00_4600)
																							{	/* Return/walk.scm 290 */
																								obj_t BgL_bindingz00_1919;

																								{	/* Return/walk.scm 290 */
																									obj_t BgL_pairz00_3240;

																									BgL_pairz00_3240 =
																										CDR(
																										((obj_t)
																											BgL_nodesz00_1910));
																									BgL_nodez00_1792 =
																										((BgL_nodez00_bglt)
																										CAR(BgL_pairz00_3240));
																								}
																								BgL_envz00_1793 =
																									BgL_envz00_1912;
																								{	/* Return/walk.scm 230 */
																									bool_t BgL_test2380z00_4714;

																									{	/* Return/walk.scm 230 */
																										obj_t BgL_classz00_2930;

																										BgL_classz00_2930 =
																											BGl_letzd2varzd2zzast_nodez00;
																										{	/* Return/walk.scm 230 */
																											BgL_objectz00_bglt
																												BgL_arg1858z00_2932;
																											{	/* Return/walk.scm 230 */
																												obj_t BgL_tmpz00_4715;

																												BgL_tmpz00_4715 =
																													((obj_t)
																													BgL_nodez00_1792);
																												BgL_arg1858z00_2932 =
																													(BgL_objectz00_bglt)
																													(BgL_tmpz00_4715);
																											}
																											if (BGL_CONDEXPAND_ISA_ARCH64())
																												{	/* Return/walk.scm 230 */
																													long BgL_idxz00_2938;

																													BgL_idxz00_2938 =
																														BGL_OBJECT_INHERITANCE_NUM
																														(BgL_arg1858z00_2932);
																													BgL_test2380z00_4714 =
																														(VECTOR_REF
																														(BGl_za2inheritancesza2z00zz__objectz00,
																															(BgL_idxz00_2938 +
																																3L)) ==
																														BgL_classz00_2930);
																												}
																											else
																												{	/* Return/walk.scm 230 */
																													bool_t
																														BgL_res2185z00_2963;
																													{	/* Return/walk.scm 230 */
																														obj_t
																															BgL_oclassz00_2946;
																														{	/* Return/walk.scm 230 */
																															obj_t
																																BgL_arg1866z00_2954;
																															long
																																BgL_arg1867z00_2955;
																															BgL_arg1866z00_2954
																																=
																																(BGl_za2classesza2z00zz__objectz00);
																															{	/* Return/walk.scm 230 */
																																long
																																	BgL_arg1869z00_2956;
																																BgL_arg1869z00_2956
																																	=
																																	BGL_OBJECT_CLASS_NUM
																																	(BgL_arg1858z00_2932);
																																BgL_arg1867z00_2955
																																	=
																																	(BgL_arg1869z00_2956
																																	-
																																	OBJECT_TYPE);
																															}
																															BgL_oclassz00_2946
																																=
																																VECTOR_REF
																																(BgL_arg1866z00_2954,
																																BgL_arg1867z00_2955);
																														}
																														{	/* Return/walk.scm 230 */
																															bool_t
																																BgL__ortest_1115z00_2947;
																															BgL__ortest_1115z00_2947
																																=
																																(BgL_classz00_2930
																																==
																																BgL_oclassz00_2946);
																															if (BgL__ortest_1115z00_2947)
																																{	/* Return/walk.scm 230 */
																																	BgL_res2185z00_2963
																																		=
																																		BgL__ortest_1115z00_2947;
																																}
																															else
																																{	/* Return/walk.scm 230 */
																																	long
																																		BgL_odepthz00_2948;
																																	{	/* Return/walk.scm 230 */
																																		obj_t
																																			BgL_arg1855z00_2949;
																																		BgL_arg1855z00_2949
																																			=
																																			(BgL_oclassz00_2946);
																																		BgL_odepthz00_2948
																																			=
																																			BGL_CLASS_DEPTH
																																			(BgL_arg1855z00_2949);
																																	}
																																	if (
																																		(3L <
																																			BgL_odepthz00_2948))
																																		{	/* Return/walk.scm 230 */
																																			obj_t
																																				BgL_arg1853z00_2951;
																																			{	/* Return/walk.scm 230 */
																																				obj_t
																																					BgL_arg1854z00_2952;
																																				BgL_arg1854z00_2952
																																					=
																																					(BgL_oclassz00_2946);
																																				BgL_arg1853z00_2951
																																					=
																																					BGL_CLASS_ANCESTORS_REF
																																					(BgL_arg1854z00_2952,
																																					3L);
																																			}
																																			BgL_res2185z00_2963
																																				=
																																				(BgL_arg1853z00_2951
																																				==
																																				BgL_classz00_2930);
																																		}
																																	else
																																		{	/* Return/walk.scm 230 */
																																			BgL_res2185z00_2963
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																														}
																													}
																													BgL_test2380z00_4714 =
																														BgL_res2185z00_2963;
																												}
																										}
																									}
																									if (BgL_test2380z00_4714)
																										{	/* Return/walk.scm 232 */
																											bool_t
																												BgL_test2384z00_4737;
																											{	/* Return/walk.scm 232 */
																												bool_t
																													BgL_test2385z00_4738;
																												{	/* Return/walk.scm 232 */
																													obj_t BgL_tmpz00_4739;

																													BgL_tmpz00_4739 =
																														(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_1792)))->BgL_bindingsz00);
																													BgL_test2385z00_4738 =
																														PAIRP
																														(BgL_tmpz00_4739);
																												}
																												if (BgL_test2385z00_4738)
																													{	/* Return/walk.scm 232 */
																														obj_t
																															BgL_tmpz00_4743;
																														{	/* Return/walk.scm 232 */
																															obj_t
																																BgL_pairz00_2964;
																															BgL_pairz00_2964 =
																																(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_1792)))->BgL_bindingsz00);
																															BgL_tmpz00_4743 =
																																CDR
																																(BgL_pairz00_2964);
																														}
																														BgL_test2384z00_4737
																															=
																															NULLP
																															(BgL_tmpz00_4743);
																													}
																												else
																													{	/* Return/walk.scm 232 */
																														BgL_test2384z00_4737
																															= ((bool_t) 0);
																													}
																											}
																											if (BgL_test2384z00_4737)
																												{	/* Return/walk.scm 233 */
																													obj_t
																														BgL_bindingz00_1803;
																													{	/* Return/walk.scm 233 */
																														obj_t
																															BgL_pairz00_2965;
																														BgL_pairz00_2965 =
																															(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_1792)))->BgL_bindingsz00);
																														BgL_bindingz00_1803
																															=
																															CAR
																															(BgL_pairz00_2965);
																													}
																													{	/* Return/walk.scm 234 */
																														obj_t
																															BgL_exprz00_1805;
																														BgL_exprz00_1805 =
																															CDR(((obj_t)
																																BgL_bindingz00_1803));
																														{	/* Return/walk.scm 235 */

																															{	/* Return/walk.scm 236 */
																																bool_t
																																	BgL_test2386z00_4753;
																																{	/* Return/walk.scm 236 */
																																	obj_t
																																		BgL_classz00_2968;
																																	BgL_classz00_2968
																																		=
																																		BGl_appz00zzast_nodez00;
																																	if (BGL_OBJECTP(BgL_exprz00_1805))
																																		{	/* Return/walk.scm 236 */
																																			BgL_objectz00_bglt
																																				BgL_arg1858z00_2970;
																																			BgL_arg1858z00_2970
																																				=
																																				(BgL_objectz00_bglt)
																																				(BgL_exprz00_1805);
																																			if (BGL_CONDEXPAND_ISA_ARCH64())
																																				{	/* Return/walk.scm 236 */
																																					long
																																						BgL_idxz00_2976;
																																					BgL_idxz00_2976
																																						=
																																						BGL_OBJECT_INHERITANCE_NUM
																																						(BgL_arg1858z00_2970);
																																					BgL_test2386z00_4753
																																						=
																																						(VECTOR_REF
																																						(BGl_za2inheritancesza2z00zz__objectz00,
																																							(BgL_idxz00_2976
																																								+
																																								3L))
																																						==
																																						BgL_classz00_2968);
																																				}
																																			else
																																				{	/* Return/walk.scm 236 */
																																					bool_t
																																						BgL_res2186z00_3001;
																																					{	/* Return/walk.scm 236 */
																																						obj_t
																																							BgL_oclassz00_2984;
																																						{	/* Return/walk.scm 236 */
																																							obj_t
																																								BgL_arg1866z00_2992;
																																							long
																																								BgL_arg1867z00_2993;
																																							BgL_arg1866z00_2992
																																								=
																																								(BGl_za2classesza2z00zz__objectz00);
																																							{	/* Return/walk.scm 236 */
																																								long
																																									BgL_arg1869z00_2994;
																																								BgL_arg1869z00_2994
																																									=
																																									BGL_OBJECT_CLASS_NUM
																																									(BgL_arg1858z00_2970);
																																								BgL_arg1867z00_2993
																																									=
																																									(BgL_arg1869z00_2994
																																									-
																																									OBJECT_TYPE);
																																							}
																																							BgL_oclassz00_2984
																																								=
																																								VECTOR_REF
																																								(BgL_arg1866z00_2992,
																																								BgL_arg1867z00_2993);
																																						}
																																						{	/* Return/walk.scm 236 */
																																							bool_t
																																								BgL__ortest_1115z00_2985;
																																							BgL__ortest_1115z00_2985
																																								=
																																								(BgL_classz00_2968
																																								==
																																								BgL_oclassz00_2984);
																																							if (BgL__ortest_1115z00_2985)
																																								{	/* Return/walk.scm 236 */
																																									BgL_res2186z00_3001
																																										=
																																										BgL__ortest_1115z00_2985;
																																								}
																																							else
																																								{	/* Return/walk.scm 236 */
																																									long
																																										BgL_odepthz00_2986;
																																									{	/* Return/walk.scm 236 */
																																										obj_t
																																											BgL_arg1855z00_2987;
																																										BgL_arg1855z00_2987
																																											=
																																											(BgL_oclassz00_2984);
																																										BgL_odepthz00_2986
																																											=
																																											BGL_CLASS_DEPTH
																																											(BgL_arg1855z00_2987);
																																									}
																																									if ((3L < BgL_odepthz00_2986))
																																										{	/* Return/walk.scm 236 */
																																											obj_t
																																												BgL_arg1853z00_2989;
																																											{	/* Return/walk.scm 236 */
																																												obj_t
																																													BgL_arg1854z00_2990;
																																												BgL_arg1854z00_2990
																																													=
																																													(BgL_oclassz00_2984);
																																												BgL_arg1853z00_2989
																																													=
																																													BGL_CLASS_ANCESTORS_REF
																																													(BgL_arg1854z00_2990,
																																													3L);
																																											}
																																											BgL_res2186z00_3001
																																												=
																																												(BgL_arg1853z00_2989
																																												==
																																												BgL_classz00_2968);
																																										}
																																									else
																																										{	/* Return/walk.scm 236 */
																																											BgL_res2186z00_3001
																																												=
																																												(
																																												(bool_t)
																																												0);
																																										}
																																								}
																																						}
																																					}
																																					BgL_test2386z00_4753
																																						=
																																						BgL_res2186z00_3001;
																																				}
																																		}
																																	else
																																		{	/* Return/walk.scm 236 */
																																			BgL_test2386z00_4753
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																																if (BgL_test2386z00_4753)
																																	{	/* Return/walk.scm 238 */
																																		bool_t
																																			BgL_test2391z00_4776;
																																		{	/* Return/walk.scm 238 */
																																			bool_t
																																				BgL_test2392z00_4777;
																																			{	/* Return/walk.scm 238 */
																																				obj_t
																																					BgL_tmpz00_4778;
																																				BgL_tmpz00_4778
																																					=
																																					(((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_exprz00_1805)))->BgL_argsz00);
																																				BgL_test2392z00_4777
																																					=
																																					PAIRP
																																					(BgL_tmpz00_4778);
																																			}
																																			if (BgL_test2392z00_4777)
																																				{	/* Return/walk.scm 238 */
																																					obj_t
																																						BgL_tmpz00_4782;
																																					{	/* Return/walk.scm 238 */
																																						obj_t
																																							BgL_pairz00_3002;
																																						BgL_pairz00_3002
																																							=
																																							(((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_exprz00_1805)))->BgL_argsz00);
																																						BgL_tmpz00_4782
																																							=
																																							CDR
																																							(BgL_pairz00_3002);
																																					}
																																					BgL_test2391z00_4776
																																						=
																																						NULLP
																																						(BgL_tmpz00_4782);
																																				}
																																			else
																																				{	/* Return/walk.scm 238 */
																																					BgL_test2391z00_4776
																																						=
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																		if (BgL_test2391z00_4776)
																																			{	/* Return/walk.scm 239 */
																																				BgL_varz00_bglt
																																					BgL_i1158z00_1814;
																																				BgL_i1158z00_1814
																																					=
																																					(((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_exprz00_1805)))->BgL_funz00);
																																				{	/* Return/walk.scm 240 */
																																					bool_t
																																						BgL_test2393z00_4789;
																																					{	/* Return/walk.scm 240 */
																																						obj_t
																																							BgL_arg1885z00_1827;
																																						BgL_arg1885z00_1827
																																							=
																																							(
																																							(obj_t)
																																							(((BgL_varz00_bglt) COBJECT(BgL_i1158z00_1814))->BgL_variablez00));
																																						BgL_test2393z00_4789
																																							=
																																							(BgL_arg1885z00_1827
																																							==
																																							BGl_za2envzd2getzd2exitdzd2topza2zd2zzreturn_walkz00);
																																					}
																																					if (BgL_test2393z00_4789)
																																						{	/* Return/walk.scm 241 */
																																							bool_t
																																								BgL_test2394z00_4793;
																																							{	/* Return/walk.scm 241 */
																																								obj_t
																																									BgL_arg1882z00_1825;
																																								{	/* Return/walk.scm 241 */
																																									obj_t
																																										BgL_pairz00_3003;
																																									BgL_pairz00_3003
																																										=
																																										(
																																										((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_exprz00_1805)))->BgL_argsz00);
																																									BgL_arg1882z00_1825
																																										=
																																										CAR
																																										(BgL_pairz00_3003);
																																								}
																																								{	/* Return/walk.scm 241 */
																																									obj_t
																																										BgL_classz00_3004;
																																									BgL_classz00_3004
																																										=
																																										BGl_varz00zzast_nodez00;
																																									if (BGL_OBJECTP(BgL_arg1882z00_1825))
																																										{	/* Return/walk.scm 241 */
																																											BgL_objectz00_bglt
																																												BgL_arg1858z00_3006;
																																											BgL_arg1858z00_3006
																																												=
																																												(BgL_objectz00_bglt)
																																												(BgL_arg1882z00_1825);
																																											if (BGL_CONDEXPAND_ISA_ARCH64())
																																												{	/* Return/walk.scm 241 */
																																													long
																																														BgL_idxz00_3012;
																																													BgL_idxz00_3012
																																														=
																																														BGL_OBJECT_INHERITANCE_NUM
																																														(BgL_arg1858z00_3006);
																																													BgL_test2394z00_4793
																																														=
																																														(VECTOR_REF
																																														(BGl_za2inheritancesza2z00zz__objectz00,
																																															(BgL_idxz00_3012
																																																+
																																																2L))
																																														==
																																														BgL_classz00_3004);
																																												}
																																											else
																																												{	/* Return/walk.scm 241 */
																																													bool_t
																																														BgL_res2187z00_3037;
																																													{	/* Return/walk.scm 241 */
																																														obj_t
																																															BgL_oclassz00_3020;
																																														{	/* Return/walk.scm 241 */
																																															obj_t
																																																BgL_arg1866z00_3028;
																																															long
																																																BgL_arg1867z00_3029;
																																															BgL_arg1866z00_3028
																																																=
																																																(BGl_za2classesza2z00zz__objectz00);
																																															{	/* Return/walk.scm 241 */
																																																long
																																																	BgL_arg1869z00_3030;
																																																BgL_arg1869z00_3030
																																																	=
																																																	BGL_OBJECT_CLASS_NUM
																																																	(BgL_arg1858z00_3006);
																																																BgL_arg1867z00_3029
																																																	=
																																																	(BgL_arg1869z00_3030
																																																	-
																																																	OBJECT_TYPE);
																																															}
																																															BgL_oclassz00_3020
																																																=
																																																VECTOR_REF
																																																(BgL_arg1866z00_3028,
																																																BgL_arg1867z00_3029);
																																														}
																																														{	/* Return/walk.scm 241 */
																																															bool_t
																																																BgL__ortest_1115z00_3021;
																																															BgL__ortest_1115z00_3021
																																																=
																																																(BgL_classz00_3004
																																																==
																																																BgL_oclassz00_3020);
																																															if (BgL__ortest_1115z00_3021)
																																																{	/* Return/walk.scm 241 */
																																																	BgL_res2187z00_3037
																																																		=
																																																		BgL__ortest_1115z00_3021;
																																																}
																																															else
																																																{	/* Return/walk.scm 241 */
																																																	long
																																																		BgL_odepthz00_3022;
																																																	{	/* Return/walk.scm 241 */
																																																		obj_t
																																																			BgL_arg1855z00_3023;
																																																		BgL_arg1855z00_3023
																																																			=
																																																			(BgL_oclassz00_3020);
																																																		BgL_odepthz00_3022
																																																			=
																																																			BGL_CLASS_DEPTH
																																																			(BgL_arg1855z00_3023);
																																																	}
																																																	if ((2L < BgL_odepthz00_3022))
																																																		{	/* Return/walk.scm 241 */
																																																			obj_t
																																																				BgL_arg1853z00_3025;
																																																			{	/* Return/walk.scm 241 */
																																																				obj_t
																																																					BgL_arg1854z00_3026;
																																																				BgL_arg1854z00_3026
																																																					=
																																																					(BgL_oclassz00_3020);
																																																				BgL_arg1853z00_3025
																																																					=
																																																					BGL_CLASS_ANCESTORS_REF
																																																					(BgL_arg1854z00_3026,
																																																					2L);
																																																			}
																																																			BgL_res2187z00_3037
																																																				=
																																																				(BgL_arg1853z00_3025
																																																				==
																																																				BgL_classz00_3004);
																																																		}
																																																	else
																																																		{	/* Return/walk.scm 241 */
																																																			BgL_res2187z00_3037
																																																				=
																																																				(
																																																				(bool_t)
																																																				0);
																																																		}
																																																}
																																														}
																																													}
																																													BgL_test2394z00_4793
																																														=
																																														BgL_res2187z00_3037;
																																												}
																																										}
																																									else
																																										{	/* Return/walk.scm 241 */
																																											BgL_test2394z00_4793
																																												=
																																												(
																																												(bool_t)
																																												0);
																																										}
																																								}
																																							}
																																							if (BgL_test2394z00_4793)
																																								{	/* Return/walk.scm 243 */
																																									bool_t
																																										BgL_test2399z00_4819;
																																									{	/* Return/walk.scm 243 */
																																										obj_t
																																											BgL_tmpz00_4820;
																																										{
																																											BgL_variablez00_bglt
																																												BgL_auxz00_4821;
																																											{
																																												BgL_varz00_bglt
																																													BgL_auxz00_4822;
																																												{	/* Return/walk.scm 242 */
																																													obj_t
																																														BgL_pairz00_3038;
																																													BgL_pairz00_3038
																																														=
																																														(
																																														((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_exprz00_1805)))->BgL_argsz00);
																																													BgL_auxz00_4822
																																														=
																																														(
																																														(BgL_varz00_bglt)
																																														CAR
																																														(BgL_pairz00_3038));
																																												}
																																												BgL_auxz00_4821
																																													=
																																													(
																																													((BgL_varz00_bglt) COBJECT(BgL_auxz00_4822))->BgL_variablez00);
																																											}
																																											BgL_tmpz00_4820
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_4821);
																																										}
																																										BgL_test2399z00_4819
																																											=
																																											(BgL_tmpz00_4820
																																											==
																																											BgL_envz00_1793);
																																									}
																																									if (BgL_test2399z00_4819)
																																										{	/* Return/walk.scm 243 */
																																											BgL_bindingz00_1919
																																												=
																																												BgL_bindingz00_1803;
																																										}
																																									else
																																										{	/* Return/walk.scm 243 */
																																											BgL_bindingz00_1919
																																												=
																																												BFALSE;
																																										}
																																								}
																																							else
																																								{	/* Return/walk.scm 241 */
																																									BgL_bindingz00_1919
																																										=
																																										BFALSE;
																																								}
																																						}
																																					else
																																						{	/* Return/walk.scm 240 */
																																							BgL_bindingz00_1919
																																								=
																																								BFALSE;
																																						}
																																				}
																																			}
																																		else
																																			{	/* Return/walk.scm 238 */
																																				BgL_bindingz00_1919
																																					=
																																					BFALSE;
																																			}
																																	}
																																else
																																	{	/* Return/walk.scm 236 */
																																		BgL_bindingz00_1919
																																			= BFALSE;
																																	}
																															}
																														}
																													}
																												}
																											else
																												{	/* Return/walk.scm 232 */
																													BgL_bindingz00_1919 =
																														BFALSE;
																												}
																										}
																									else
																										{	/* Return/walk.scm 230 */
																											BgL_bindingz00_1919 =
																												BFALSE;
																										}
																								}
																								if (CBOOL(BgL_bindingz00_1919))
																									{	/* Return/walk.scm 292 */
																										BgL_letzd2varzd2_bglt
																											BgL_i1168z00_1920;
																										{	/* Return/walk.scm 292 */
																											obj_t BgL_pairz00_3244;

																											BgL_pairz00_3244 =
																												CDR(
																												((obj_t)
																													BgL_nodesz00_1910));
																											BgL_i1168z00_1920 =
																												((BgL_letzd2varzd2_bglt)
																												CAR(BgL_pairz00_3244));
																										}
																										{	/* Return/walk.scm 293 */
																											obj_t
																												BgL_exitnodez00_1921;
																											{	/* Return/walk.scm 293 */
																												BgL_nodez00_bglt
																													BgL_arg1963z00_1923;
																												obj_t
																													BgL_arg1965z00_1924;
																												BgL_arg1963z00_1923 =
																													(((BgL_letzd2varzd2_bglt) COBJECT(BgL_i1168z00_1920))->BgL_bodyz00);
																												BgL_arg1965z00_1924 =
																													CAR(((obj_t)
																														BgL_bindingz00_1919));
																												BgL_nodez00_1736 =
																													BgL_arg1963z00_1923;
																												BgL_varz00_1737 =
																													((BgL_localz00_bglt)
																													BgL_arg1965z00_1924);
																												BgL_envz00_1738 =
																													BgL_envz00_1912;
																												{	/* Return/walk.scm 206 */
																													bool_t
																														BgL_test2401z00_4843;
																													{	/* Return/walk.scm 206 */
																														obj_t
																															BgL_classz00_2817;
																														BgL_classz00_2817 =
																															BGl_letzd2varzd2zzast_nodez00;
																														{	/* Return/walk.scm 206 */
																															BgL_objectz00_bglt
																																BgL_arg1858z00_2819;
																															{	/* Return/walk.scm 206 */
																																obj_t
																																	BgL_tmpz00_4844;
																																BgL_tmpz00_4844
																																	=
																																	((obj_t)
																																	BgL_nodez00_1736);
																																BgL_arg1858z00_2819
																																	=
																																	(BgL_objectz00_bglt)
																																	(BgL_tmpz00_4844);
																															}
																															if (BGL_CONDEXPAND_ISA_ARCH64())
																																{	/* Return/walk.scm 206 */
																																	long
																																		BgL_idxz00_2825;
																																	BgL_idxz00_2825
																																		=
																																		BGL_OBJECT_INHERITANCE_NUM
																																		(BgL_arg1858z00_2819);
																																	BgL_test2401z00_4843
																																		=
																																		(VECTOR_REF
																																		(BGl_za2inheritancesza2z00zz__objectz00,
																																			(BgL_idxz00_2825
																																				+
																																				3L)) ==
																																		BgL_classz00_2817);
																																}
																															else
																																{	/* Return/walk.scm 206 */
																																	bool_t
																																		BgL_res2182z00_2850;
																																	{	/* Return/walk.scm 206 */
																																		obj_t
																																			BgL_oclassz00_2833;
																																		{	/* Return/walk.scm 206 */
																																			obj_t
																																				BgL_arg1866z00_2841;
																																			long
																																				BgL_arg1867z00_2842;
																																			BgL_arg1866z00_2841
																																				=
																																				(BGl_za2classesza2z00zz__objectz00);
																																			{	/* Return/walk.scm 206 */
																																				long
																																					BgL_arg1869z00_2843;
																																				BgL_arg1869z00_2843
																																					=
																																					BGL_OBJECT_CLASS_NUM
																																					(BgL_arg1858z00_2819);
																																				BgL_arg1867z00_2842
																																					=
																																					(BgL_arg1869z00_2843
																																					-
																																					OBJECT_TYPE);
																																			}
																																			BgL_oclassz00_2833
																																				=
																																				VECTOR_REF
																																				(BgL_arg1866z00_2841,
																																				BgL_arg1867z00_2842);
																																		}
																																		{	/* Return/walk.scm 206 */
																																			bool_t
																																				BgL__ortest_1115z00_2834;
																																			BgL__ortest_1115z00_2834
																																				=
																																				(BgL_classz00_2817
																																				==
																																				BgL_oclassz00_2833);
																																			if (BgL__ortest_1115z00_2834)
																																				{	/* Return/walk.scm 206 */
																																					BgL_res2182z00_2850
																																						=
																																						BgL__ortest_1115z00_2834;
																																				}
																																			else
																																				{	/* Return/walk.scm 206 */
																																					long
																																						BgL_odepthz00_2835;
																																					{	/* Return/walk.scm 206 */
																																						obj_t
																																							BgL_arg1855z00_2836;
																																						BgL_arg1855z00_2836
																																							=
																																							(BgL_oclassz00_2833);
																																						BgL_odepthz00_2835
																																							=
																																							BGL_CLASS_DEPTH
																																							(BgL_arg1855z00_2836);
																																					}
																																					if (
																																						(3L
																																							<
																																							BgL_odepthz00_2835))
																																						{	/* Return/walk.scm 206 */
																																							obj_t
																																								BgL_arg1853z00_2838;
																																							{	/* Return/walk.scm 206 */
																																								obj_t
																																									BgL_arg1854z00_2839;
																																								BgL_arg1854z00_2839
																																									=
																																									(BgL_oclassz00_2833);
																																								BgL_arg1853z00_2838
																																									=
																																									BGL_CLASS_ANCESTORS_REF
																																									(BgL_arg1854z00_2839,
																																									3L);
																																							}
																																							BgL_res2182z00_2850
																																								=
																																								(BgL_arg1853z00_2838
																																								==
																																								BgL_classz00_2817);
																																						}
																																					else
																																						{	/* Return/walk.scm 206 */
																																							BgL_res2182z00_2850
																																								=
																																								(
																																								(bool_t)
																																								0);
																																						}
																																				}
																																		}
																																	}
																																	BgL_test2401z00_4843
																																		=
																																		BgL_res2182z00_2850;
																																}
																														}
																													}
																													if (BgL_test2401z00_4843)
																														{	/* Return/walk.scm 208 */
																															bool_t
																																BgL_test2405z00_4866;
																															{	/* Return/walk.scm 208 */
																																bool_t
																																	BgL_test2406z00_4867;
																																{	/* Return/walk.scm 208 */
																																	obj_t
																																		BgL_tmpz00_4868;
																																	BgL_tmpz00_4868
																																		=
																																		(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_1736)))->BgL_bindingsz00);
																																	BgL_test2406z00_4867
																																		=
																																		PAIRP
																																		(BgL_tmpz00_4868);
																																}
																																if (BgL_test2406z00_4867)
																																	{	/* Return/walk.scm 208 */
																																		obj_t
																																			BgL_tmpz00_4872;
																																		{	/* Return/walk.scm 208 */
																																			obj_t
																																				BgL_pairz00_2851;
																																			BgL_pairz00_2851
																																				=
																																				(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_1736)))->BgL_bindingsz00);
																																			BgL_tmpz00_4872
																																				=
																																				CDR
																																				(BgL_pairz00_2851);
																																		}
																																		BgL_test2405z00_4866
																																			=
																																			NULLP
																																			(BgL_tmpz00_4872);
																																	}
																																else
																																	{	/* Return/walk.scm 208 */
																																		BgL_test2405z00_4866
																																			=
																																			((bool_t)
																																			0);
																																	}
																															}
																															if (BgL_test2405z00_4866)
																																{	/* Return/walk.scm 209 */
																																	obj_t
																																		BgL_bindingz00_1748;
																																	{	/* Return/walk.scm 209 */
																																		obj_t
																																			BgL_pairz00_2852;
																																		BgL_pairz00_2852
																																			=
																																			(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_1736)))->BgL_bindingsz00);
																																		BgL_bindingz00_1748
																																			=
																																			CAR
																																			(BgL_pairz00_2852);
																																	}
																																	{	/* Return/walk.scm 209 */
																																		obj_t
																																			BgL_nbodyz00_1749;
																																		{	/* Return/walk.scm 210 */
																																			BgL_nodez00_bglt
																																				BgL_arg1770z00_1758;
																																			obj_t
																																				BgL_arg1772z00_1759;
																																			BgL_arg1770z00_1758
																																				=
																																				(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_1736)))->BgL_bodyz00);
																																			BgL_arg1772z00_1759
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_bindingz00_1748));
																																			BgL_nbodyz00_1749
																																				=
																																				BGl_step6bze70ze7zzreturn_walkz00
																																				(BgL_arg1770z00_1758,
																																				((BgL_localz00_bglt) BgL_arg1772z00_1759), BgL_envz00_1738);
																																		}
																																		{	/* Return/walk.scm 210 */

																																			if (CBOOL
																																				(BgL_nbodyz00_1749))
																																				{	/* Return/walk.scm 212 */
																																					BgL_letzd2varzd2_bglt
																																						BgL_new1145z00_1751;
																																					{	/* Return/walk.scm 212 */
																																						BgL_letzd2varzd2_bglt
																																							BgL_new1152z00_1756;
																																						BgL_new1152z00_1756
																																							=
																																							(
																																							(BgL_letzd2varzd2_bglt)
																																							BOBJECT
																																							(GC_MALLOC
																																								(sizeof
																																									(struct
																																										BgL_letzd2varzd2_bgl))));
																																						{	/* Return/walk.scm 212 */
																																							long
																																								BgL_arg1768z00_1757;
																																							BgL_arg1768z00_1757
																																								=
																																								BGL_CLASS_NUM
																																								(BGl_letzd2varzd2zzast_nodez00);
																																							BGL_OBJECT_CLASS_NUM_SET
																																								(
																																								((BgL_objectz00_bglt) BgL_new1152z00_1756), BgL_arg1768z00_1757);
																																						}
																																						{	/* Return/walk.scm 212 */
																																							BgL_objectz00_bglt
																																								BgL_tmpz00_4892;
																																							BgL_tmpz00_4892
																																								=
																																								(
																																								(BgL_objectz00_bglt)
																																								BgL_new1152z00_1756);
																																							BGL_OBJECT_WIDENING_SET
																																								(BgL_tmpz00_4892,
																																								BFALSE);
																																						}
																																						((BgL_objectz00_bglt) BgL_new1152z00_1756);
																																						BgL_new1145z00_1751
																																							=
																																							BgL_new1152z00_1756;
																																					}
																																					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1145z00_1751)))->BgL_locz00) = ((obj_t) (((BgL_nodez00_bglt) COBJECT(BgL_nodez00_1736))->BgL_locz00)), BUNSPEC);
																																					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1145z00_1751)))->BgL_typez00) = ((BgL_typez00_bglt) (((BgL_nodez00_bglt) COBJECT(BgL_nodez00_1736))->BgL_typez00)), BUNSPEC);
																																					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1145z00_1751)))->BgL_sidezd2effectzd2) = ((obj_t) (((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_nodez00_1736)))->BgL_sidezd2effectzd2)), BUNSPEC);
																																					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1145z00_1751)))->BgL_keyz00) = ((obj_t) (((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_nodez00_1736)))->BgL_keyz00)), BUNSPEC);
																																					((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1145z00_1751))->BgL_bindingsz00) = ((obj_t) (((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_1736)))->BgL_bindingsz00)), BUNSPEC);
																																					((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1145z00_1751))->BgL_bodyz00) = ((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nbodyz00_1749)), BUNSPEC);
																																					((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1145z00_1751))->BgL_removablezf3zf3) = ((bool_t) (((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_1736)))->BgL_removablezf3zf3)), BUNSPEC);
																																					BgL_exitnodez00_1921
																																						=
																																						(
																																						(obj_t)
																																						BgL_new1145z00_1751);
																																				}
																																			else
																																				{	/* Return/walk.scm 211 */
																																					BgL_exitnodez00_1921
																																						=
																																						BFALSE;
																																				}
																																		}
																																	}
																																}
																															else
																																{	/* Return/walk.scm 208 */
																																	BgL_exitnodez00_1921
																																		= BFALSE;
																																}
																														}
																													else
																														{	/* Return/walk.scm 206 */
																															BgL_exitnodez00_1921
																																= BFALSE;
																														}
																												}
																											}
																											if (CBOOL
																												(BgL_exitnodez00_1921))
																												{	/* Return/walk.scm 295 */
																													obj_t
																														BgL_arg1962z00_1922;
																													BgL_arg1962z00_1922 =
																														CAR(((obj_t)
																															BgL_bindingz00_1919));
																													return
																														MAKE_YOUNG_PAIR
																														(BgL_arg1962z00_1922,
																														BgL_exitnodez00_1921);
																												}
																											else
																												{	/* Return/walk.scm 294 */
																													return BFALSE;
																												}
																										}
																									}
																								else
																									{	/* Return/walk.scm 291 */
																										return BFALSE;
																									}
																							}
																						else
																							{	/* Return/walk.scm 289 */
																								return BFALSE;
																							}
																					}
																				}
																			}
																		else
																			{	/* Return/walk.scm 315 */
																				return BFALSE;
																			}
																	}
																}
															}
														else
															{	/* Return/walk.scm 312 */
																return BFALSE;
															}
													}
												else
													{	/* Return/walk.scm 309 */
														return BFALSE;
													}
											}
										else
											{	/* Return/walk.scm 307 */
												return BFALSE;
											}
									}
								}
						}
					else
						{	/* Return/walk.scm 320 */
							return BFALSE;
						}
				}
			}
		}

	}



/* step8~0 */
	obj_t BGl_step8ze70ze7zzreturn_walkz00(BgL_nodez00_bglt BgL_nodez00_1603,
		BgL_localz00_bglt BgL_resz00_1604)
	{
		{	/* Return/walk.scm 162 */
			{	/* Return/walk.scm 149 */
				bool_t BgL_test2409z00_4926;

				{	/* Return/walk.scm 149 */
					obj_t BgL_classz00_2487;

					BgL_classz00_2487 = BGl_varz00zzast_nodez00;
					{	/* Return/walk.scm 149 */
						BgL_objectz00_bglt BgL_arg1858z00_2489;

						{	/* Return/walk.scm 149 */
							obj_t BgL_tmpz00_4927;

							BgL_tmpz00_4927 = ((obj_t) BgL_nodez00_1603);
							BgL_arg1858z00_2489 = (BgL_objectz00_bglt) (BgL_tmpz00_4927);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Return/walk.scm 149 */
								long BgL_idxz00_2495;

								BgL_idxz00_2495 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2489);
								BgL_test2409z00_4926 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2495 + 2L)) == BgL_classz00_2487);
							}
						else
							{	/* Return/walk.scm 149 */
								bool_t BgL_res2173z00_2520;

								{	/* Return/walk.scm 149 */
									obj_t BgL_oclassz00_2503;

									{	/* Return/walk.scm 149 */
										obj_t BgL_arg1866z00_2511;
										long BgL_arg1867z00_2512;

										BgL_arg1866z00_2511 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Return/walk.scm 149 */
											long BgL_arg1869z00_2513;

											BgL_arg1869z00_2513 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2489);
											BgL_arg1867z00_2512 = (BgL_arg1869z00_2513 - OBJECT_TYPE);
										}
										BgL_oclassz00_2503 =
											VECTOR_REF(BgL_arg1866z00_2511, BgL_arg1867z00_2512);
									}
									{	/* Return/walk.scm 149 */
										bool_t BgL__ortest_1115z00_2504;

										BgL__ortest_1115z00_2504 =
											(BgL_classz00_2487 == BgL_oclassz00_2503);
										if (BgL__ortest_1115z00_2504)
											{	/* Return/walk.scm 149 */
												BgL_res2173z00_2520 = BgL__ortest_1115z00_2504;
											}
										else
											{	/* Return/walk.scm 149 */
												long BgL_odepthz00_2505;

												{	/* Return/walk.scm 149 */
													obj_t BgL_arg1855z00_2506;

													BgL_arg1855z00_2506 = (BgL_oclassz00_2503);
													BgL_odepthz00_2505 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_2506);
												}
												if ((2L < BgL_odepthz00_2505))
													{	/* Return/walk.scm 149 */
														obj_t BgL_arg1853z00_2508;

														{	/* Return/walk.scm 149 */
															obj_t BgL_arg1854z00_2509;

															BgL_arg1854z00_2509 = (BgL_oclassz00_2503);
															BgL_arg1853z00_2508 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2509,
																2L);
														}
														BgL_res2173z00_2520 =
															(BgL_arg1853z00_2508 == BgL_classz00_2487);
													}
												else
													{	/* Return/walk.scm 149 */
														BgL_res2173z00_2520 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test2409z00_4926 = BgL_res2173z00_2520;
							}
					}
				}
				if (BgL_test2409z00_4926)
					{	/* Return/walk.scm 149 */
						if (
							(((obj_t)
									(((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt) BgL_nodez00_1603)))->
										BgL_variablez00)) == ((obj_t) BgL_resz00_1604)))
							{	/* Return/walk.scm 151 */
								return ((obj_t) BgL_nodez00_1603);
							}
						else
							{	/* Return/walk.scm 151 */
								return BFALSE;
							}
					}
				else
					{	/* Return/walk.scm 153 */
						bool_t BgL_test2414z00_4956;

						{	/* Return/walk.scm 153 */
							obj_t BgL_classz00_2521;

							BgL_classz00_2521 = BGl_appz00zzast_nodez00;
							{	/* Return/walk.scm 153 */
								BgL_objectz00_bglt BgL_arg1858z00_2523;

								{	/* Return/walk.scm 153 */
									obj_t BgL_tmpz00_4957;

									BgL_tmpz00_4957 = ((obj_t) BgL_nodez00_1603);
									BgL_arg1858z00_2523 = (BgL_objectz00_bglt) (BgL_tmpz00_4957);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Return/walk.scm 153 */
										long BgL_idxz00_2529;

										BgL_idxz00_2529 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2523);
										BgL_test2414z00_4956 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2529 + 3L)) == BgL_classz00_2521);
									}
								else
									{	/* Return/walk.scm 153 */
										bool_t BgL_res2174z00_2554;

										{	/* Return/walk.scm 153 */
											obj_t BgL_oclassz00_2537;

											{	/* Return/walk.scm 153 */
												obj_t BgL_arg1866z00_2545;
												long BgL_arg1867z00_2546;

												BgL_arg1866z00_2545 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Return/walk.scm 153 */
													long BgL_arg1869z00_2547;

													BgL_arg1869z00_2547 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2523);
													BgL_arg1867z00_2546 =
														(BgL_arg1869z00_2547 - OBJECT_TYPE);
												}
												BgL_oclassz00_2537 =
													VECTOR_REF(BgL_arg1866z00_2545, BgL_arg1867z00_2546);
											}
											{	/* Return/walk.scm 153 */
												bool_t BgL__ortest_1115z00_2538;

												BgL__ortest_1115z00_2538 =
													(BgL_classz00_2521 == BgL_oclassz00_2537);
												if (BgL__ortest_1115z00_2538)
													{	/* Return/walk.scm 153 */
														BgL_res2174z00_2554 = BgL__ortest_1115z00_2538;
													}
												else
													{	/* Return/walk.scm 153 */
														long BgL_odepthz00_2539;

														{	/* Return/walk.scm 153 */
															obj_t BgL_arg1855z00_2540;

															BgL_arg1855z00_2540 = (BgL_oclassz00_2537);
															BgL_odepthz00_2539 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_2540);
														}
														if ((3L < BgL_odepthz00_2539))
															{	/* Return/walk.scm 153 */
																obj_t BgL_arg1853z00_2542;

																{	/* Return/walk.scm 153 */
																	obj_t BgL_arg1854z00_2543;

																	BgL_arg1854z00_2543 = (BgL_oclassz00_2537);
																	BgL_arg1853z00_2542 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2543,
																		3L);
																}
																BgL_res2174z00_2554 =
																	(BgL_arg1853z00_2542 == BgL_classz00_2521);
															}
														else
															{	/* Return/walk.scm 153 */
																BgL_res2174z00_2554 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2414z00_4956 = BgL_res2174z00_2554;
									}
							}
						}
						if (BgL_test2414z00_4956)
							{	/* Return/walk.scm 155 */
								bool_t BgL_test2418z00_4979;

								{
									obj_t BgL_l1320z00_1625;

									{	/* Return/walk.scm 155 */
										obj_t BgL_tmpz00_4980;

										BgL_l1320z00_1625 =
											(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_nodez00_1603)))->BgL_argsz00);
									BgL_zc3z04anonymousza31537ze3z87_1626:
										if (NULLP(BgL_l1320z00_1625))
											{	/* Return/walk.scm 155 */
												BgL_tmpz00_4980 = BFALSE;
											}
										else
											{	/* Return/walk.scm 155 */
												obj_t BgL__ortest_1323z00_1628;

												BgL__ortest_1323z00_1628 =
													BGl_step8ze70ze7zzreturn_walkz00(
													((BgL_nodez00_bglt)
														CAR(((obj_t) BgL_l1320z00_1625))), BgL_resz00_1604);
												if (CBOOL(BgL__ortest_1323z00_1628))
													{	/* Return/walk.scm 155 */
														BgL_tmpz00_4980 = BgL__ortest_1323z00_1628;
													}
												else
													{
														obj_t BgL_l1320z00_4989;

														BgL_l1320z00_4989 =
															CDR(((obj_t) BgL_l1320z00_1625));
														BgL_l1320z00_1625 = BgL_l1320z00_4989;
														goto BgL_zc3z04anonymousza31537ze3z87_1626;
													}
											}
										BgL_test2418z00_4979 = CBOOL(BgL_tmpz00_4980);
									}
								}
								if (BgL_test2418z00_4979)
									{	/* Return/walk.scm 155 */
										return ((obj_t) BgL_nodez00_1603);
									}
								else
									{	/* Return/walk.scm 155 */
										return BFALSE;
									}
							}
						else
							{	/* Return/walk.scm 157 */
								bool_t BgL_test2421z00_4996;

								{	/* Return/walk.scm 157 */
									obj_t BgL_classz00_2557;

									BgL_classz00_2557 = BGl_castz00zzast_nodez00;
									{	/* Return/walk.scm 157 */
										BgL_objectz00_bglt BgL_arg1858z00_2559;

										{	/* Return/walk.scm 157 */
											obj_t BgL_tmpz00_4997;

											BgL_tmpz00_4997 = ((obj_t) BgL_nodez00_1603);
											BgL_arg1858z00_2559 =
												(BgL_objectz00_bglt) (BgL_tmpz00_4997);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Return/walk.scm 157 */
												long BgL_idxz00_2565;

												BgL_idxz00_2565 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2559);
												BgL_test2421z00_4996 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2565 + 2L)) == BgL_classz00_2557);
											}
										else
											{	/* Return/walk.scm 157 */
												bool_t BgL_res2175z00_2590;

												{	/* Return/walk.scm 157 */
													obj_t BgL_oclassz00_2573;

													{	/* Return/walk.scm 157 */
														obj_t BgL_arg1866z00_2581;
														long BgL_arg1867z00_2582;

														BgL_arg1866z00_2581 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Return/walk.scm 157 */
															long BgL_arg1869z00_2583;

															BgL_arg1869z00_2583 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2559);
															BgL_arg1867z00_2582 =
																(BgL_arg1869z00_2583 - OBJECT_TYPE);
														}
														BgL_oclassz00_2573 =
															VECTOR_REF(BgL_arg1866z00_2581,
															BgL_arg1867z00_2582);
													}
													{	/* Return/walk.scm 157 */
														bool_t BgL__ortest_1115z00_2574;

														BgL__ortest_1115z00_2574 =
															(BgL_classz00_2557 == BgL_oclassz00_2573);
														if (BgL__ortest_1115z00_2574)
															{	/* Return/walk.scm 157 */
																BgL_res2175z00_2590 = BgL__ortest_1115z00_2574;
															}
														else
															{	/* Return/walk.scm 157 */
																long BgL_odepthz00_2575;

																{	/* Return/walk.scm 157 */
																	obj_t BgL_arg1855z00_2576;

																	BgL_arg1855z00_2576 = (BgL_oclassz00_2573);
																	BgL_odepthz00_2575 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_2576);
																}
																if ((2L < BgL_odepthz00_2575))
																	{	/* Return/walk.scm 157 */
																		obj_t BgL_arg1853z00_2578;

																		{	/* Return/walk.scm 157 */
																			obj_t BgL_arg1854z00_2579;

																			BgL_arg1854z00_2579 =
																				(BgL_oclassz00_2573);
																			BgL_arg1853z00_2578 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_2579, 2L);
																		}
																		BgL_res2175z00_2590 =
																			(BgL_arg1853z00_2578 ==
																			BgL_classz00_2557);
																	}
																else
																	{	/* Return/walk.scm 157 */
																		BgL_res2175z00_2590 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2421z00_4996 = BgL_res2175z00_2590;
											}
									}
								}
								if (BgL_test2421z00_4996)
									{	/* Return/walk.scm 157 */
										if (CBOOL(BGl_step8ze70ze7zzreturn_walkz00(
													(((BgL_castz00_bglt) COBJECT(
																((BgL_castz00_bglt) BgL_nodez00_1603)))->
														BgL_argz00), BgL_resz00_1604)))
											{	/* Return/walk.scm 159 */
												return ((obj_t) BgL_nodez00_1603);
											}
										else
											{	/* Return/walk.scm 159 */
												return BFALSE;
											}
									}
								else
									{	/* Return/walk.scm 157 */
										return BFALSE;
									}
							}
					}
			}
		}

	}



/* step6~0 */
	obj_t BGl_step6ze70ze7zzreturn_walkz00(BgL_nodez00_bglt BgL_nodez00_1673,
		BgL_localz00_bglt BgL_varz00_1674)
	{
		{	/* Return/walk.scm 186 */
			{
				BgL_nodez00_bglt BgL_nodez00_1637;

				{	/* Return/walk.scm 182 */
					bool_t BgL_test2426z00_5025;

					{	/* Return/walk.scm 182 */
						obj_t BgL_classz00_2696;

						BgL_classz00_2696 = BGl_sequencez00zzast_nodez00;
						{	/* Return/walk.scm 182 */
							BgL_objectz00_bglt BgL_arg1858z00_2698;

							{	/* Return/walk.scm 182 */
								obj_t BgL_tmpz00_5026;

								BgL_tmpz00_5026 = ((obj_t) BgL_nodez00_1673);
								BgL_arg1858z00_2698 = (BgL_objectz00_bglt) (BgL_tmpz00_5026);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Return/walk.scm 182 */
									long BgL_idxz00_2704;

									BgL_idxz00_2704 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2698);
									BgL_test2426z00_5025 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2704 + 3L)) == BgL_classz00_2696);
								}
							else
								{	/* Return/walk.scm 182 */
									bool_t BgL_res2179z00_2729;

									{	/* Return/walk.scm 182 */
										obj_t BgL_oclassz00_2712;

										{	/* Return/walk.scm 182 */
											obj_t BgL_arg1866z00_2720;
											long BgL_arg1867z00_2721;

											BgL_arg1866z00_2720 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Return/walk.scm 182 */
												long BgL_arg1869z00_2722;

												BgL_arg1869z00_2722 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2698);
												BgL_arg1867z00_2721 =
													(BgL_arg1869z00_2722 - OBJECT_TYPE);
											}
											BgL_oclassz00_2712 =
												VECTOR_REF(BgL_arg1866z00_2720, BgL_arg1867z00_2721);
										}
										{	/* Return/walk.scm 182 */
											bool_t BgL__ortest_1115z00_2713;

											BgL__ortest_1115z00_2713 =
												(BgL_classz00_2696 == BgL_oclassz00_2712);
											if (BgL__ortest_1115z00_2713)
												{	/* Return/walk.scm 182 */
													BgL_res2179z00_2729 = BgL__ortest_1115z00_2713;
												}
											else
												{	/* Return/walk.scm 182 */
													long BgL_odepthz00_2714;

													{	/* Return/walk.scm 182 */
														obj_t BgL_arg1855z00_2715;

														BgL_arg1855z00_2715 = (BgL_oclassz00_2712);
														BgL_odepthz00_2714 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_2715);
													}
													if ((3L < BgL_odepthz00_2714))
														{	/* Return/walk.scm 182 */
															obj_t BgL_arg1853z00_2717;

															{	/* Return/walk.scm 182 */
																obj_t BgL_arg1854z00_2718;

																BgL_arg1854z00_2718 = (BgL_oclassz00_2712);
																BgL_arg1853z00_2717 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2718,
																	3L);
															}
															BgL_res2179z00_2729 =
																(BgL_arg1853z00_2717 == BgL_classz00_2696);
														}
													else
														{	/* Return/walk.scm 182 */
															BgL_res2179z00_2729 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2426z00_5025 = BgL_res2179z00_2729;
								}
						}
					}
					if (BgL_test2426z00_5025)
						{	/* Return/walk.scm 182 */
							if (
								(bgl_list_length(
										(((BgL_sequencez00_bglt) COBJECT(
													((BgL_sequencez00_bglt) BgL_nodez00_1673)))->
											BgL_nodesz00)) == 2L))
								{	/* Return/walk.scm 185 */
									bool_t BgL_test2431z00_5053;

									{	/* Return/walk.scm 185 */
										obj_t BgL_pairz00_2731;

										BgL_pairz00_2731 =
											(((BgL_sequencez00_bglt) COBJECT(
													((BgL_sequencez00_bglt) BgL_nodez00_1673)))->
											BgL_nodesz00);
										BgL_nodez00_1637 =
											((BgL_nodez00_bglt) CAR(BgL_pairz00_2731));
									}
									{	/* Return/walk.scm 165 */
										bool_t BgL_test2432z00_5054;

										{	/* Return/walk.scm 165 */
											obj_t BgL_classz00_2591;

											BgL_classz00_2591 = BGl_appz00zzast_nodez00;
											{	/* Return/walk.scm 165 */
												BgL_objectz00_bglt BgL_arg1858z00_2593;

												{	/* Return/walk.scm 165 */
													obj_t BgL_tmpz00_5055;

													BgL_tmpz00_5055 = ((obj_t) BgL_nodez00_1637);
													BgL_arg1858z00_2593 =
														(BgL_objectz00_bglt) (BgL_tmpz00_5055);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Return/walk.scm 165 */
														long BgL_idxz00_2599;

														BgL_idxz00_2599 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2593);
														BgL_test2432z00_5054 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2599 + 3L)) == BgL_classz00_2591);
													}
												else
													{	/* Return/walk.scm 165 */
														bool_t BgL_res2176z00_2624;

														{	/* Return/walk.scm 165 */
															obj_t BgL_oclassz00_2607;

															{	/* Return/walk.scm 165 */
																obj_t BgL_arg1866z00_2615;
																long BgL_arg1867z00_2616;

																BgL_arg1866z00_2615 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Return/walk.scm 165 */
																	long BgL_arg1869z00_2617;

																	BgL_arg1869z00_2617 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2593);
																	BgL_arg1867z00_2616 =
																		(BgL_arg1869z00_2617 - OBJECT_TYPE);
																}
																BgL_oclassz00_2607 =
																	VECTOR_REF(BgL_arg1866z00_2615,
																	BgL_arg1867z00_2616);
															}
															{	/* Return/walk.scm 165 */
																bool_t BgL__ortest_1115z00_2608;

																BgL__ortest_1115z00_2608 =
																	(BgL_classz00_2591 == BgL_oclassz00_2607);
																if (BgL__ortest_1115z00_2608)
																	{	/* Return/walk.scm 165 */
																		BgL_res2176z00_2624 =
																			BgL__ortest_1115z00_2608;
																	}
																else
																	{	/* Return/walk.scm 165 */
																		long BgL_odepthz00_2609;

																		{	/* Return/walk.scm 165 */
																			obj_t BgL_arg1855z00_2610;

																			BgL_arg1855z00_2610 =
																				(BgL_oclassz00_2607);
																			BgL_odepthz00_2609 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_2610);
																		}
																		if ((3L < BgL_odepthz00_2609))
																			{	/* Return/walk.scm 165 */
																				obj_t BgL_arg1853z00_2612;

																				{	/* Return/walk.scm 165 */
																					obj_t BgL_arg1854z00_2613;

																					BgL_arg1854z00_2613 =
																						(BgL_oclassz00_2607);
																					BgL_arg1853z00_2612 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_2613, 3L);
																				}
																				BgL_res2176z00_2624 =
																					(BgL_arg1853z00_2612 ==
																					BgL_classz00_2591);
																			}
																		else
																			{	/* Return/walk.scm 165 */
																				BgL_res2176z00_2624 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2432z00_5054 = BgL_res2176z00_2624;
													}
											}
										}
										if (BgL_test2432z00_5054)
											{	/* Return/walk.scm 165 */
												if (NULLP(
														(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_1637)))->
															BgL_argsz00)))
													{	/* Return/walk.scm 168 */
														BgL_varz00_bglt BgL_i1129z00_1643;

														BgL_i1129z00_1643 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_1637)))->
															BgL_funz00);
														{	/* Return/walk.scm 169 */
															obj_t BgL_arg1560z00_1644;

															BgL_arg1560z00_1644 =
																((obj_t)
																(((BgL_varz00_bglt)
																		COBJECT(BgL_i1129z00_1643))->
																	BgL_variablez00));
															BgL_test2431z00_5053 =
																(BgL_arg1560z00_1644 ==
																BGl_za2popzd2exitz12za2zc0zzreturn_walkz00);
														}
													}
												else
													{	/* Return/walk.scm 167 */
														BgL_test2431z00_5053 = ((bool_t) 0);
													}
											}
										else
											{	/* Return/walk.scm 165 */
												BgL_test2431z00_5053 = ((bool_t) 0);
											}
									}
									if (BgL_test2431z00_5053)
										{	/* Return/walk.scm 186 */
											obj_t BgL_arg1648z00_1684;

											{	/* Return/walk.scm 186 */
												obj_t BgL_pairz00_2732;

												BgL_pairz00_2732 =
													(((BgL_sequencez00_bglt) COBJECT(
															((BgL_sequencez00_bglt) BgL_nodez00_1673)))->
													BgL_nodesz00);
												BgL_arg1648z00_1684 = CAR(CDR(BgL_pairz00_2732));
											}
											BGL_TAIL return
												BGl_step8ze70ze7zzreturn_walkz00(
												((BgL_nodez00_bglt) BgL_arg1648z00_1684),
												BgL_varz00_1674);
										}
									else
										{	/* Return/walk.scm 185 */
											return BFALSE;
										}
								}
							else
								{	/* Return/walk.scm 184 */
									return BFALSE;
								}
						}
					else
						{	/* Return/walk.scm 182 */
							return BFALSE;
						}
				}
			}
		}

	}



/* step6b~0 */
	obj_t BGl_step6bze70ze7zzreturn_walkz00(BgL_nodez00_bglt BgL_nodez00_1690,
		BgL_localz00_bglt BgL_varz00_1691, obj_t BgL_envz00_1692)
	{
		{	/* Return/walk.scm 193 */
			{
				BgL_nodez00_bglt BgL_nodez00_1646;
				obj_t BgL_envz00_1647;

				{	/* Return/walk.scm 189 */
					bool_t BgL_test2437z00_5096;

					{	/* Return/walk.scm 189 */
						obj_t BgL_classz00_2736;

						BgL_classz00_2736 = BGl_sequencez00zzast_nodez00;
						{	/* Return/walk.scm 189 */
							BgL_objectz00_bglt BgL_arg1858z00_2738;

							{	/* Return/walk.scm 189 */
								obj_t BgL_tmpz00_5097;

								BgL_tmpz00_5097 = ((obj_t) BgL_nodez00_1690);
								BgL_arg1858z00_2738 = (BgL_objectz00_bglt) (BgL_tmpz00_5097);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Return/walk.scm 189 */
									long BgL_idxz00_2744;

									BgL_idxz00_2744 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2738);
									BgL_test2437z00_5096 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2744 + 3L)) == BgL_classz00_2736);
								}
							else
								{	/* Return/walk.scm 189 */
									bool_t BgL_res2180z00_2769;

									{	/* Return/walk.scm 189 */
										obj_t BgL_oclassz00_2752;

										{	/* Return/walk.scm 189 */
											obj_t BgL_arg1866z00_2760;
											long BgL_arg1867z00_2761;

											BgL_arg1866z00_2760 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Return/walk.scm 189 */
												long BgL_arg1869z00_2762;

												BgL_arg1869z00_2762 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2738);
												BgL_arg1867z00_2761 =
													(BgL_arg1869z00_2762 - OBJECT_TYPE);
											}
											BgL_oclassz00_2752 =
												VECTOR_REF(BgL_arg1866z00_2760, BgL_arg1867z00_2761);
										}
										{	/* Return/walk.scm 189 */
											bool_t BgL__ortest_1115z00_2753;

											BgL__ortest_1115z00_2753 =
												(BgL_classz00_2736 == BgL_oclassz00_2752);
											if (BgL__ortest_1115z00_2753)
												{	/* Return/walk.scm 189 */
													BgL_res2180z00_2769 = BgL__ortest_1115z00_2753;
												}
											else
												{	/* Return/walk.scm 189 */
													long BgL_odepthz00_2754;

													{	/* Return/walk.scm 189 */
														obj_t BgL_arg1855z00_2755;

														BgL_arg1855z00_2755 = (BgL_oclassz00_2752);
														BgL_odepthz00_2754 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_2755);
													}
													if ((3L < BgL_odepthz00_2754))
														{	/* Return/walk.scm 189 */
															obj_t BgL_arg1853z00_2757;

															{	/* Return/walk.scm 189 */
																obj_t BgL_arg1854z00_2758;

																BgL_arg1854z00_2758 = (BgL_oclassz00_2752);
																BgL_arg1853z00_2757 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2758,
																	3L);
															}
															BgL_res2180z00_2769 =
																(BgL_arg1853z00_2757 == BgL_classz00_2736);
														}
													else
														{	/* Return/walk.scm 189 */
															BgL_res2180z00_2769 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2437z00_5096 = BgL_res2180z00_2769;
								}
						}
					}
					if (BgL_test2437z00_5096)
						{	/* Return/walk.scm 189 */
							if (
								(bgl_list_length(
										(((BgL_sequencez00_bglt) COBJECT(
													((BgL_sequencez00_bglt) BgL_nodez00_1690)))->
											BgL_nodesz00)) == 2L))
								{	/* Return/walk.scm 192 */
									bool_t BgL_test2442z00_5124;

									{	/* Return/walk.scm 192 */
										obj_t BgL_pairz00_2771;

										BgL_pairz00_2771 =
											(((BgL_sequencez00_bglt) COBJECT(
													((BgL_sequencez00_bglt) BgL_nodez00_1690)))->
											BgL_nodesz00);
										BgL_nodez00_1646 =
											((BgL_nodez00_bglt) CAR(BgL_pairz00_2771));
									}
									BgL_envz00_1647 = BgL_envz00_1692;
									{	/* Return/walk.scm 172 */
										bool_t BgL_test2443z00_5125;

										{	/* Return/walk.scm 172 */
											obj_t BgL_classz00_2625;

											BgL_classz00_2625 = BGl_appz00zzast_nodez00;
											{	/* Return/walk.scm 172 */
												BgL_objectz00_bglt BgL_arg1858z00_2627;

												{	/* Return/walk.scm 172 */
													obj_t BgL_tmpz00_5126;

													BgL_tmpz00_5126 = ((obj_t) BgL_nodez00_1646);
													BgL_arg1858z00_2627 =
														(BgL_objectz00_bglt) (BgL_tmpz00_5126);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Return/walk.scm 172 */
														long BgL_idxz00_2633;

														BgL_idxz00_2633 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2627);
														BgL_test2443z00_5125 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2633 + 3L)) == BgL_classz00_2625);
													}
												else
													{	/* Return/walk.scm 172 */
														bool_t BgL_res2177z00_2658;

														{	/* Return/walk.scm 172 */
															obj_t BgL_oclassz00_2641;

															{	/* Return/walk.scm 172 */
																obj_t BgL_arg1866z00_2649;
																long BgL_arg1867z00_2650;

																BgL_arg1866z00_2649 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Return/walk.scm 172 */
																	long BgL_arg1869z00_2651;

																	BgL_arg1869z00_2651 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2627);
																	BgL_arg1867z00_2650 =
																		(BgL_arg1869z00_2651 - OBJECT_TYPE);
																}
																BgL_oclassz00_2641 =
																	VECTOR_REF(BgL_arg1866z00_2649,
																	BgL_arg1867z00_2650);
															}
															{	/* Return/walk.scm 172 */
																bool_t BgL__ortest_1115z00_2642;

																BgL__ortest_1115z00_2642 =
																	(BgL_classz00_2625 == BgL_oclassz00_2641);
																if (BgL__ortest_1115z00_2642)
																	{	/* Return/walk.scm 172 */
																		BgL_res2177z00_2658 =
																			BgL__ortest_1115z00_2642;
																	}
																else
																	{	/* Return/walk.scm 172 */
																		long BgL_odepthz00_2643;

																		{	/* Return/walk.scm 172 */
																			obj_t BgL_arg1855z00_2644;

																			BgL_arg1855z00_2644 =
																				(BgL_oclassz00_2641);
																			BgL_odepthz00_2643 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_2644);
																		}
																		if ((3L < BgL_odepthz00_2643))
																			{	/* Return/walk.scm 172 */
																				obj_t BgL_arg1853z00_2646;

																				{	/* Return/walk.scm 172 */
																					obj_t BgL_arg1854z00_2647;

																					BgL_arg1854z00_2647 =
																						(BgL_oclassz00_2641);
																					BgL_arg1853z00_2646 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_2647, 3L);
																				}
																				BgL_res2177z00_2658 =
																					(BgL_arg1853z00_2646 ==
																					BgL_classz00_2625);
																			}
																		else
																			{	/* Return/walk.scm 172 */
																				BgL_res2177z00_2658 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2443z00_5125 = BgL_res2177z00_2658;
													}
											}
										}
										if (BgL_test2443z00_5125)
											{	/* Return/walk.scm 174 */
												bool_t BgL_test2447z00_5148;

												{	/* Return/walk.scm 174 */
													bool_t BgL_test2448z00_5149;

													{	/* Return/walk.scm 174 */
														obj_t BgL_tmpz00_5150;

														BgL_tmpz00_5150 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_1646)))->
															BgL_argsz00);
														BgL_test2448z00_5149 = PAIRP(BgL_tmpz00_5150);
													}
													if (BgL_test2448z00_5149)
														{	/* Return/walk.scm 174 */
															obj_t BgL_tmpz00_5154;

															{	/* Return/walk.scm 174 */
																obj_t BgL_pairz00_2659;

																BgL_pairz00_2659 =
																	(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_nodez00_1646)))->
																	BgL_argsz00);
																BgL_tmpz00_5154 = CDR(BgL_pairz00_2659);
															}
															BgL_test2447z00_5148 = NULLP(BgL_tmpz00_5154);
														}
													else
														{	/* Return/walk.scm 174 */
															BgL_test2447z00_5148 = ((bool_t) 0);
														}
												}
												if (BgL_test2447z00_5148)
													{	/* Return/walk.scm 175 */
														BgL_varz00_bglt BgL_i1131z00_1657;

														BgL_i1131z00_1657 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_1646)))->
															BgL_funz00);
														{	/* Return/walk.scm 176 */
															bool_t BgL_test2449z00_5161;

															{	/* Return/walk.scm 176 */
																obj_t BgL_arg1625z00_1668;

																BgL_arg1625z00_1668 =
																	((obj_t)
																	(((BgL_varz00_bglt)
																			COBJECT(BgL_i1131z00_1657))->
																		BgL_variablez00));
																BgL_test2449z00_5161 =
																	(BgL_arg1625z00_1668 ==
																	BGl_za2envzd2popzd2exitz12za2z12zzreturn_walkz00);
															}
															if (BgL_test2449z00_5161)
																{	/* Return/walk.scm 177 */
																	bool_t BgL_test2450z00_5165;

																	{	/* Return/walk.scm 177 */
																		obj_t BgL_arg1611z00_1666;

																		{	/* Return/walk.scm 177 */
																			obj_t BgL_pairz00_2660;

																			BgL_pairz00_2660 =
																				(((BgL_appz00_bglt) COBJECT(
																						((BgL_appz00_bglt)
																							BgL_nodez00_1646)))->BgL_argsz00);
																			BgL_arg1611z00_1666 =
																				CAR(BgL_pairz00_2660);
																		}
																		{	/* Return/walk.scm 177 */
																			obj_t BgL_classz00_2661;

																			BgL_classz00_2661 =
																				BGl_varz00zzast_nodez00;
																			if (BGL_OBJECTP(BgL_arg1611z00_1666))
																				{	/* Return/walk.scm 177 */
																					BgL_objectz00_bglt
																						BgL_arg1858z00_2663;
																					BgL_arg1858z00_2663 =
																						(BgL_objectz00_bglt)
																						(BgL_arg1611z00_1666);
																					if (BGL_CONDEXPAND_ISA_ARCH64())
																						{	/* Return/walk.scm 177 */
																							long BgL_idxz00_2669;

																							BgL_idxz00_2669 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1858z00_2663);
																							BgL_test2450z00_5165 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_2669 + 2L)) ==
																								BgL_classz00_2661);
																						}
																					else
																						{	/* Return/walk.scm 177 */
																							bool_t BgL_res2178z00_2694;

																							{	/* Return/walk.scm 177 */
																								obj_t BgL_oclassz00_2677;

																								{	/* Return/walk.scm 177 */
																									obj_t BgL_arg1866z00_2685;
																									long BgL_arg1867z00_2686;

																									BgL_arg1866z00_2685 =
																										(BGl_za2classesza2z00zz__objectz00);
																									{	/* Return/walk.scm 177 */
																										long BgL_arg1869z00_2687;

																										BgL_arg1869z00_2687 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1858z00_2663);
																										BgL_arg1867z00_2686 =
																											(BgL_arg1869z00_2687 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_2677 =
																										VECTOR_REF
																										(BgL_arg1866z00_2685,
																										BgL_arg1867z00_2686);
																								}
																								{	/* Return/walk.scm 177 */
																									bool_t
																										BgL__ortest_1115z00_2678;
																									BgL__ortest_1115z00_2678 =
																										(BgL_classz00_2661 ==
																										BgL_oclassz00_2677);
																									if (BgL__ortest_1115z00_2678)
																										{	/* Return/walk.scm 177 */
																											BgL_res2178z00_2694 =
																												BgL__ortest_1115z00_2678;
																										}
																									else
																										{	/* Return/walk.scm 177 */
																											long BgL_odepthz00_2679;

																											{	/* Return/walk.scm 177 */
																												obj_t
																													BgL_arg1855z00_2680;
																												BgL_arg1855z00_2680 =
																													(BgL_oclassz00_2677);
																												BgL_odepthz00_2679 =
																													BGL_CLASS_DEPTH
																													(BgL_arg1855z00_2680);
																											}
																											if (
																												(2L <
																													BgL_odepthz00_2679))
																												{	/* Return/walk.scm 177 */
																													obj_t
																														BgL_arg1853z00_2682;
																													{	/* Return/walk.scm 177 */
																														obj_t
																															BgL_arg1854z00_2683;
																														BgL_arg1854z00_2683
																															=
																															(BgL_oclassz00_2677);
																														BgL_arg1853z00_2682
																															=
																															BGL_CLASS_ANCESTORS_REF
																															(BgL_arg1854z00_2683,
																															2L);
																													}
																													BgL_res2178z00_2694 =
																														(BgL_arg1853z00_2682
																														==
																														BgL_classz00_2661);
																												}
																											else
																												{	/* Return/walk.scm 177 */
																													BgL_res2178z00_2694 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_test2450z00_5165 =
																								BgL_res2178z00_2694;
																						}
																				}
																			else
																				{	/* Return/walk.scm 177 */
																					BgL_test2450z00_5165 = ((bool_t) 0);
																				}
																		}
																	}
																	if (BgL_test2450z00_5165)
																		{	/* Return/walk.scm 179 */
																			obj_t BgL_tmpz00_5191;

																			{
																				BgL_variablez00_bglt BgL_auxz00_5192;

																				{
																					BgL_varz00_bglt BgL_auxz00_5193;

																					{	/* Return/walk.scm 178 */
																						obj_t BgL_pairz00_2695;

																						BgL_pairz00_2695 =
																							(((BgL_appz00_bglt) COBJECT(
																									((BgL_appz00_bglt)
																										BgL_nodez00_1646)))->
																							BgL_argsz00);
																						BgL_auxz00_5193 =
																							((BgL_varz00_bglt)
																							CAR(BgL_pairz00_2695));
																					}
																					BgL_auxz00_5192 =
																						(((BgL_varz00_bglt)
																							COBJECT(BgL_auxz00_5193))->
																						BgL_variablez00);
																				}
																				BgL_tmpz00_5191 =
																					((obj_t) BgL_auxz00_5192);
																			}
																			BgL_test2442z00_5124 =
																				(BgL_tmpz00_5191 == BgL_envz00_1647);
																		}
																	else
																		{	/* Return/walk.scm 177 */
																			BgL_test2442z00_5124 = ((bool_t) 0);
																		}
																}
															else
																{	/* Return/walk.scm 176 */
																	BgL_test2442z00_5124 = ((bool_t) 0);
																}
														}
													}
												else
													{	/* Return/walk.scm 174 */
														BgL_test2442z00_5124 = ((bool_t) 0);
													}
											}
										else
											{	/* Return/walk.scm 172 */
												BgL_test2442z00_5124 = ((bool_t) 0);
											}
									}
									if (BgL_test2442z00_5124)
										{	/* Return/walk.scm 193 */
											obj_t BgL_arg1677z00_1702;

											{	/* Return/walk.scm 193 */
												obj_t BgL_pairz00_2772;

												BgL_pairz00_2772 =
													(((BgL_sequencez00_bglt) COBJECT(
															((BgL_sequencez00_bglt) BgL_nodez00_1690)))->
													BgL_nodesz00);
												BgL_arg1677z00_1702 = CAR(CDR(BgL_pairz00_2772));
											}
											return
												BGl_step8ze70ze7zzreturn_walkz00(
												((BgL_nodez00_bglt) BgL_arg1677z00_1702),
												BgL_varz00_1691);
										}
									else
										{	/* Return/walk.scm 192 */
											return BFALSE;
										}
								}
							else
								{	/* Return/walk.scm 191 */
									return BFALSE;
								}
						}
					else
						{	/* Return/walk.scm 189 */
							return BFALSE;
						}
				}
			}
		}

	}



/* is-unwind-until? */
	BGL_EXPORTED_DEF bool_t
		BGl_iszd2unwindzd2untilzf3zf3zzreturn_walkz00(BgL_variablez00_bglt
		BgL_vz00_20)
	{
		{	/* Return/walk.scm 328 */
			return
				(
				((obj_t) BgL_vz00_20) ==
				BGl_za2unwindzd2untilz12za2zc0zzreturn_walkz00);
		}

	}



/* &is-unwind-until? */
	obj_t BGl_z62iszd2unwindzd2untilzf3z91zzreturn_walkz00(obj_t BgL_envz00_3732,
		obj_t BgL_vz00_3733)
	{
		{	/* Return/walk.scm 328 */
			return
				BBOOL(BGl_iszd2unwindzd2untilzf3zf3zzreturn_walkz00(
					((BgL_variablez00_bglt) BgL_vz00_3733)));
		}

	}



/* is-get-exitd-top? */
	BGL_EXPORTED_DEF bool_t
		BGl_iszd2getzd2exitdzd2topzf3z21zzreturn_walkz00(BgL_variablez00_bglt
		BgL_vz00_21)
	{
		{	/* Return/walk.scm 334 */
			return
				(
				((obj_t) BgL_vz00_21) ==
				BGl_za2getzd2exitdzd2topza2z00zzreturn_walkz00);
		}

	}



/* &is-get-exitd-top? */
	obj_t BGl_z62iszd2getzd2exitdzd2topzf3z43zzreturn_walkz00(obj_t
		BgL_envz00_3734, obj_t BgL_vz00_3735)
	{
		{	/* Return/walk.scm 334 */
			return
				BBOOL(BGl_iszd2getzd2exitdzd2topzf3z21zzreturn_walkz00(
					((BgL_variablez00_bglt) BgL_vz00_3735)));
		}

	}



/* is-exit-return? */
	BGL_EXPORTED_DEF bool_t
		BGl_iszd2exitzd2returnzf3zf3zzreturn_walkz00(BgL_nodez00_bglt
		BgL_nodez00_22, BgL_localz00_bglt BgL_exitvarz00_23)
	{
		{	/* Return/walk.scm 342 */
			return
				CBOOL(BGl_zc3z04exitza32012ze3ze70z60zzreturn_walkz00(BgL_nodez00_22,
					BgL_exitvarz00_23));
		}

	}



/* <@exit:2012>~0 */
	obj_t BGl_zc3z04exitza32012ze3ze70z60zzreturn_walkz00(BgL_nodez00_bglt
		BgL_nodez00_3790, BgL_localz00_bglt BgL_exitvarz00_3789)
	{
		{	/* Return/walk.scm 343 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1179z00_1999;

			if (SET_EXIT(BgL_an_exit1179z00_1999))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if (SIGSETJMP_SAVESIGS == 0)
				 // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
				 // bgl_restore_signal_handlers();
#endif

					BgL_an_exit1179z00_1999 = (void *) jmpbuf;
					{	/* Return/walk.scm 343 */
						obj_t BgL_env1183z00_2000;

						BgL_env1183z00_2000 = BGL_CURRENT_DYNAMIC_ENV();
						PUSH_ENV_EXIT(BgL_env1183z00_2000, BgL_an_exit1179z00_1999, 1L);
						{	/* Return/walk.scm 343 */
							obj_t BgL_an_exitd1180z00_2001;

							BgL_an_exitd1180z00_2001 =
								BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1183z00_2000);
							{	/* Return/walk.scm 343 */
								obj_t BgL_abortz00_3736;

								BgL_abortz00_3736 =
									MAKE_FX_PROCEDURE(BGl_z62abortz62zzreturn_walkz00,
									(int) (1L), (int) (1L));
								PROCEDURE_SET(BgL_abortz00_3736,
									(int) (0L), BgL_an_exitd1180z00_2001);
								{	/* Return/walk.scm 343 */
									obj_t BgL_res1182z00_2004;

									{	/* Return/walk.scm 344 */
										obj_t BgL_arg2013z00_2005;

										{	/* Return/walk.scm 344 */
											obj_t BgL_list2014z00_2006;

											BgL_list2014z00_2006 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_exitvarz00_3789), BNIL);
											BgL_arg2013z00_2005 = BgL_list2014z00_2006;
										}
										BGl_iszd2returnzf3z21zzreturn_walkz00(BgL_nodez00_3790,
											BgL_arg2013z00_2005, BgL_abortz00_3736);
									}
									BgL_res1182z00_2004 = BTRUE;
									POP_ENV_EXIT(BgL_env1183z00_2000);
									return BgL_res1182z00_2004;
								}
							}
						}
					}
				}
		}

	}



/* &is-exit-return? */
	obj_t BGl_z62iszd2exitzd2returnzf3z91zzreturn_walkz00(obj_t BgL_envz00_3737,
		obj_t BgL_nodez00_3738, obj_t BgL_exitvarz00_3739)
	{
		{	/* Return/walk.scm 342 */
			return
				BBOOL(BGl_iszd2exitzd2returnzf3zf3zzreturn_walkz00(
					((BgL_nodez00_bglt) BgL_nodez00_3738),
					((BgL_localz00_bglt) BgL_exitvarz00_3739)));
		}

	}



/* &abort */
	obj_t BGl_z62abortz62zzreturn_walkz00(obj_t BgL_envz00_3740,
		obj_t BgL_val1181z00_3742)
	{
		{	/* Return/walk.scm 343 */
			return
				unwind_stack_until(PROCEDURE_REF(BgL_envz00_3740,
					(int) (0L)), BFALSE, BgL_val1181z00_3742, BFALSE, BFALSE);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzreturn_walkz00(void)
	{
		{	/* Return/walk.scm 16 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreturn_walkz00(void)
	{
		{	/* Return/walk.scm 16 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_iszd2returnzf3zd2envzf3zzreturn_walkz00,
				BGl_proc2227z00zzreturn_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2228z00zzreturn_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_returnz12zd2envzc0zzreturn_walkz00,
				BGl_proc2229z00zzreturn_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2230z00zzreturn_walkz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_returnzd2gotozd2funsz12zd2envzc0zzreturn_walkz00,
				BGl_proc2231z00zzreturn_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2232z00zzreturn_walkz00);
		}

	}



/* &return-goto-funs!1340 */
	obj_t BGl_z62returnzd2gotozd2funsz121340z70zzreturn_walkz00(obj_t
		BgL_envz00_3756, obj_t BgL_nodez00_3757)
	{
		{	/* Return/walk.scm 435 */
			return
				((obj_t)
				BGl_walk0z12z12zzast_walkz00(
					((BgL_nodez00_bglt) BgL_nodez00_3757),
					BGl_returnzd2gotozd2funsz12zd2envzc0zzreturn_walkz00));
		}

	}



/* &return!1336 */
	obj_t BGl_z62returnz121336z70zzreturn_walkz00(obj_t BgL_envz00_3758,
		obj_t BgL_nodez00_3759, obj_t BgL_exitvarz00_3760, obj_t BgL_rblockz00_3761)
	{
		{	/* Return/walk.scm 409 */
			{
				BgL_nodez00_bglt BgL_auxz00_5250;

				{

					BgL_auxz00_5250 =
						BGl_walk2z12z12zzast_walkz00(
						((BgL_nodez00_bglt) BgL_nodez00_3759),
						BGl_returnz12zd2envzc0zzreturn_walkz00,
						((obj_t) ((BgL_localz00_bglt) BgL_exitvarz00_3760)),
						((obj_t) ((BgL_retblockz00_bglt) BgL_rblockz00_3761)));
				}
				return ((obj_t) BgL_auxz00_5250);
			}
		}

	}



/* &is-return?1327 */
	obj_t BGl_z62iszd2returnzf31327z43zzreturn_walkz00(obj_t BgL_envz00_3762,
		obj_t BgL_nodez00_3763, obj_t BgL_exitvarz00_3764, obj_t BgL_abortz00_3765)
	{
		{	/* Return/walk.scm 350 */
			{

				return
					BGl_walk2z00zzast_walkz00(
					((BgL_nodez00_bglt) BgL_nodez00_3763),
					BGl_iszd2returnzf3zd2envzf3zzreturn_walkz00,
					((obj_t) BgL_exitvarz00_3764), BgL_abortz00_3765);
			}
		}

	}



/* is-return? */
	obj_t BGl_iszd2returnzf3z21zzreturn_walkz00(BgL_nodez00_bglt BgL_nodez00_24,
		obj_t BgL_exitvarz00_25, obj_t BgL_abortz00_26)
	{
		{	/* Return/walk.scm 350 */
			{	/* Return/walk.scm 350 */
				obj_t BgL_method1328z00_2064;

				{	/* Return/walk.scm 350 */
					obj_t BgL_res2204z00_3498;

					{	/* Return/walk.scm 350 */
						long BgL_objzd2classzd2numz00_3469;

						BgL_objzd2classzd2numz00_3469 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_24));
						{	/* Return/walk.scm 350 */
							obj_t BgL_arg1862z00_3470;

							BgL_arg1862z00_3470 =
								PROCEDURE_REF(BGl_iszd2returnzf3zd2envzf3zzreturn_walkz00,
								(int) (1L));
							{	/* Return/walk.scm 350 */
								int BgL_offsetz00_3473;

								BgL_offsetz00_3473 = (int) (BgL_objzd2classzd2numz00_3469);
								{	/* Return/walk.scm 350 */
									long BgL_offsetz00_3474;

									BgL_offsetz00_3474 =
										((long) (BgL_offsetz00_3473) - OBJECT_TYPE);
									{	/* Return/walk.scm 350 */
										long BgL_modz00_3475;

										BgL_modz00_3475 =
											(BgL_offsetz00_3474 >> (int) ((long) ((int) (4L))));
										{	/* Return/walk.scm 350 */
											long BgL_restz00_3477;

											BgL_restz00_3477 =
												(BgL_offsetz00_3474 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Return/walk.scm 350 */

												{	/* Return/walk.scm 350 */
													obj_t BgL_bucketz00_3479;

													BgL_bucketz00_3479 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_3470), BgL_modz00_3475);
													BgL_res2204z00_3498 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3479), BgL_restz00_3477);
					}}}}}}}}
					BgL_method1328z00_2064 = BgL_res2204z00_3498;
				}
				return
					BGL_PROCEDURE_CALL3(BgL_method1328z00_2064,
					((obj_t) BgL_nodez00_24), BgL_exitvarz00_25, BgL_abortz00_26);
			}
		}

	}



/* &is-return? */
	obj_t BGl_z62iszd2returnzf3z43zzreturn_walkz00(obj_t BgL_envz00_3752,
		obj_t BgL_nodez00_3753, obj_t BgL_exitvarz00_3754, obj_t BgL_abortz00_3755)
	{
		{	/* Return/walk.scm 350 */
			return
				BGl_iszd2returnzf3z21zzreturn_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3753), BgL_exitvarz00_3754,
				BgL_abortz00_3755);
		}

	}



/* return! */
	BgL_nodez00_bglt BGl_returnz12z12zzreturn_walkz00(BgL_nodez00_bglt
		BgL_nodez00_36, BgL_localz00_bglt BgL_exitvarz00_37,
		BgL_retblockz00_bglt BgL_rblockz00_38)
	{
		{	/* Return/walk.scm 409 */
			{	/* Return/walk.scm 409 */
				obj_t BgL_method1337z00_2065;

				{	/* Return/walk.scm 409 */
					obj_t BgL_res2209z00_3529;

					{	/* Return/walk.scm 409 */
						long BgL_objzd2classzd2numz00_3500;

						BgL_objzd2classzd2numz00_3500 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_36));
						{	/* Return/walk.scm 409 */
							obj_t BgL_arg1862z00_3501;

							BgL_arg1862z00_3501 =
								PROCEDURE_REF(BGl_returnz12zd2envzc0zzreturn_walkz00,
								(int) (1L));
							{	/* Return/walk.scm 409 */
								int BgL_offsetz00_3504;

								BgL_offsetz00_3504 = (int) (BgL_objzd2classzd2numz00_3500);
								{	/* Return/walk.scm 409 */
									long BgL_offsetz00_3505;

									BgL_offsetz00_3505 =
										((long) (BgL_offsetz00_3504) - OBJECT_TYPE);
									{	/* Return/walk.scm 409 */
										long BgL_modz00_3506;

										BgL_modz00_3506 =
											(BgL_offsetz00_3505 >> (int) ((long) ((int) (4L))));
										{	/* Return/walk.scm 409 */
											long BgL_restz00_3508;

											BgL_restz00_3508 =
												(BgL_offsetz00_3505 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Return/walk.scm 409 */

												{	/* Return/walk.scm 409 */
													obj_t BgL_bucketz00_3510;

													BgL_bucketz00_3510 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_3501), BgL_modz00_3506);
													BgL_res2209z00_3529 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3510), BgL_restz00_3508);
					}}}}}}}}
					BgL_method1337z00_2065 = BgL_res2209z00_3529;
				}
				return
					((BgL_nodez00_bglt)
					BGL_PROCEDURE_CALL3(BgL_method1337z00_2065,
						((obj_t) BgL_nodez00_36),
						((obj_t) BgL_exitvarz00_37), ((obj_t) BgL_rblockz00_38)));
			}
		}

	}



/* &return! */
	BgL_nodez00_bglt BGl_z62returnz12z70zzreturn_walkz00(obj_t BgL_envz00_3747,
		obj_t BgL_nodez00_3748, obj_t BgL_exitvarz00_3749, obj_t BgL_rblockz00_3750)
	{
		{	/* Return/walk.scm 409 */
			return
				BGl_returnz12z12zzreturn_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3748),
				((BgL_localz00_bglt) BgL_exitvarz00_3749),
				((BgL_retblockz00_bglt) BgL_rblockz00_3750));
		}

	}



/* return-goto-funs! */
	BgL_nodez00_bglt
		BGl_returnzd2gotozd2funsz12z12zzreturn_walkz00(BgL_nodez00_bglt
		BgL_nodez00_42)
	{
		{	/* Return/walk.scm 435 */
			{	/* Return/walk.scm 435 */
				obj_t BgL_method1341z00_2066;

				{	/* Return/walk.scm 435 */
					obj_t BgL_res2214z00_3560;

					{	/* Return/walk.scm 435 */
						long BgL_objzd2classzd2numz00_3531;

						BgL_objzd2classzd2numz00_3531 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_42));
						{	/* Return/walk.scm 435 */
							obj_t BgL_arg1862z00_3532;

							BgL_arg1862z00_3532 =
								PROCEDURE_REF
								(BGl_returnzd2gotozd2funsz12zd2envzc0zzreturn_walkz00,
								(int) (1L));
							{	/* Return/walk.scm 435 */
								int BgL_offsetz00_3535;

								BgL_offsetz00_3535 = (int) (BgL_objzd2classzd2numz00_3531);
								{	/* Return/walk.scm 435 */
									long BgL_offsetz00_3536;

									BgL_offsetz00_3536 =
										((long) (BgL_offsetz00_3535) - OBJECT_TYPE);
									{	/* Return/walk.scm 435 */
										long BgL_modz00_3537;

										BgL_modz00_3537 =
											(BgL_offsetz00_3536 >> (int) ((long) ((int) (4L))));
										{	/* Return/walk.scm 435 */
											long BgL_restz00_3539;

											BgL_restz00_3539 =
												(BgL_offsetz00_3536 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Return/walk.scm 435 */

												{	/* Return/walk.scm 435 */
													obj_t BgL_bucketz00_3541;

													BgL_bucketz00_3541 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_3532), BgL_modz00_3537);
													BgL_res2214z00_3560 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3541), BgL_restz00_3539);
					}}}}}}}}
					BgL_method1341z00_2066 = BgL_res2214z00_3560;
				}
				return
					((BgL_nodez00_bglt)
					BGL_PROCEDURE_CALL1(BgL_method1341z00_2066,
						((obj_t) BgL_nodez00_42)));
			}
		}

	}



/* &return-goto-funs! */
	BgL_nodez00_bglt BGl_z62returnzd2gotozd2funsz12z70zzreturn_walkz00(obj_t
		BgL_envz00_3744, obj_t BgL_nodez00_3745)
	{
		{	/* Return/walk.scm 435 */
			return
				BGl_returnzd2gotozd2funsz12z12zzreturn_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3745));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreturn_walkz00(void)
	{
		{	/* Return/walk.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_iszd2returnzf3zd2envzf3zzreturn_walkz00, BGl_varz00zzast_nodez00,
				BGl_proc2233z00zzreturn_walkz00, BGl_string2234z00zzreturn_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_iszd2returnzf3zd2envzf3zzreturn_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2235z00zzreturn_walkz00,
				BGl_string2234z00zzreturn_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_iszd2returnzf3zd2envzf3zzreturn_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc2236z00zzreturn_walkz00, BGl_string2234z00zzreturn_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_returnz12zd2envzc0zzreturn_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc2237z00zzreturn_walkz00, BGl_string2238z00zzreturn_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_returnzd2gotozd2funsz12zd2envzc0zzreturn_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2239z00zzreturn_walkz00,
				BGl_string2240z00zzreturn_walkz00);
		}

	}



/* &return-goto-funs!-le1343 */
	BgL_nodez00_bglt
		BGl_z62returnzd2gotozd2funsz12zd2le1343za2zzreturn_walkz00(obj_t
		BgL_envz00_3771, obj_t BgL_nodez00_3772)
	{
		{	/* Return/walk.scm 441 */
			{	/* Return/walk.scm 443 */
				obj_t BgL_g1326z00_3812;

				BgL_g1326z00_3812 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_3772)))->BgL_localsz00);
				{
					obj_t BgL_l1324z00_3814;

					BgL_l1324z00_3814 = BgL_g1326z00_3812;
				BgL_zc3z04anonymousza32107ze3z87_3813:
					if (PAIRP(BgL_l1324z00_3814))
						{	/* Return/walk.scm 443 */
							BGl_returnzd2funz12zc0zzreturn_walkz00(CAR(BgL_l1324z00_3814));
							{
								obj_t BgL_l1324z00_5378;

								BgL_l1324z00_5378 = CDR(BgL_l1324z00_3814);
								BgL_l1324z00_3814 = BgL_l1324z00_5378;
								goto BgL_zc3z04anonymousza32107ze3z87_3813;
							}
						}
					else
						{	/* Return/walk.scm 443 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5380;

				{	/* Return/walk.scm 444 */
					BgL_nodez00_bglt BgL_arg2111z00_3815;

					BgL_arg2111z00_3815 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_3772)))->BgL_bodyz00);
					BgL_auxz00_5380 =
						BGl_returnzd2gotozd2funsz12z12zzreturn_walkz00(BgL_arg2111z00_3815);
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_3772)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5380), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_3772));
		}

	}



/* &return!-app1339 */
	BgL_nodez00_bglt BGl_z62returnz12zd2app1339za2zzreturn_walkz00(obj_t
		BgL_envz00_3773, obj_t BgL_nodez00_3774, obj_t BgL_exitvarz00_3775,
		obj_t BgL_rblockz00_3776)
	{
		{	/* Return/walk.scm 415 */
			{

				{	/* Return/walk.scm 417 */
					BgL_varz00_bglt BgL_i1196z00_3820;

					BgL_i1196z00_3820 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_3774)))->BgL_funz00);
					{	/* Return/walk.scm 418 */
						bool_t BgL_test2456z00_5390;

						{	/* Return/walk.scm 418 */
							obj_t BgL_arg2103z00_3821;

							BgL_arg2103z00_3821 =
								((obj_t)
								(((BgL_varz00_bglt) COBJECT(BgL_i1196z00_3820))->
									BgL_variablez00));
							BgL_test2456z00_5390 =
								(BgL_arg2103z00_3821 ==
								BGl_za2unwindzd2untilz12za2zc0zzreturn_walkz00);
						}
						if (BgL_test2456z00_5390)
							{	/* Return/walk.scm 420 */
								bool_t BgL_test2457z00_5394;

								{	/* Return/walk.scm 420 */
									obj_t BgL_arg2101z00_3822;

									BgL_arg2101z00_3822 =
										CAR(
										(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_nodez00_3774)))->BgL_argsz00));
									{	/* Return/walk.scm 420 */
										obj_t BgL_classz00_3823;

										BgL_classz00_3823 = BGl_varz00zzast_nodez00;
										if (BGL_OBJECTP(BgL_arg2101z00_3822))
											{	/* Return/walk.scm 420 */
												BgL_objectz00_bglt BgL_arg1858z00_3824;

												BgL_arg1858z00_3824 =
													(BgL_objectz00_bglt) (BgL_arg2101z00_3822);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Return/walk.scm 420 */
														long BgL_idxz00_3825;

														BgL_idxz00_3825 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3824);
														BgL_test2457z00_5394 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3825 + 2L)) == BgL_classz00_3823);
													}
												else
													{	/* Return/walk.scm 420 */
														bool_t BgL_res2217z00_3828;

														{	/* Return/walk.scm 420 */
															obj_t BgL_oclassz00_3829;

															{	/* Return/walk.scm 420 */
																obj_t BgL_arg1866z00_3830;
																long BgL_arg1867z00_3831;

																BgL_arg1866z00_3830 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Return/walk.scm 420 */
																	long BgL_arg1869z00_3832;

																	BgL_arg1869z00_3832 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3824);
																	BgL_arg1867z00_3831 =
																		(BgL_arg1869z00_3832 - OBJECT_TYPE);
																}
																BgL_oclassz00_3829 =
																	VECTOR_REF(BgL_arg1866z00_3830,
																	BgL_arg1867z00_3831);
															}
															{	/* Return/walk.scm 420 */
																bool_t BgL__ortest_1115z00_3833;

																BgL__ortest_1115z00_3833 =
																	(BgL_classz00_3823 == BgL_oclassz00_3829);
																if (BgL__ortest_1115z00_3833)
																	{	/* Return/walk.scm 420 */
																		BgL_res2217z00_3828 =
																			BgL__ortest_1115z00_3833;
																	}
																else
																	{	/* Return/walk.scm 420 */
																		long BgL_odepthz00_3834;

																		{	/* Return/walk.scm 420 */
																			obj_t BgL_arg1855z00_3835;

																			BgL_arg1855z00_3835 =
																				(BgL_oclassz00_3829);
																			BgL_odepthz00_3834 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_3835);
																		}
																		if ((2L < BgL_odepthz00_3834))
																			{	/* Return/walk.scm 420 */
																				obj_t BgL_arg1853z00_3836;

																				{	/* Return/walk.scm 420 */
																					obj_t BgL_arg1854z00_3837;

																					BgL_arg1854z00_3837 =
																						(BgL_oclassz00_3829);
																					BgL_arg1853z00_3836 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_3837, 2L);
																				}
																				BgL_res2217z00_3828 =
																					(BgL_arg1853z00_3836 ==
																					BgL_classz00_3823);
																			}
																		else
																			{	/* Return/walk.scm 420 */
																				BgL_res2217z00_3828 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2457z00_5394 = BgL_res2217z00_3828;
													}
											}
										else
											{	/* Return/walk.scm 420 */
												BgL_test2457z00_5394 = ((bool_t) 0);
											}
									}
								}
								if (BgL_test2457z00_5394)
									{	/* Return/walk.scm 421 */
										BgL_varz00_bglt BgL_i1197z00_3838;

										{	/* Return/walk.scm 421 */
											obj_t BgL_pairz00_3839;

											BgL_pairz00_3839 =
												(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_nodez00_3774)))->
												BgL_argsz00);
											BgL_i1197z00_3838 =
												((BgL_varz00_bglt) CAR(BgL_pairz00_3839));
										}
										if (
											(((obj_t)
													(((BgL_varz00_bglt) COBJECT(BgL_i1197z00_3838))->
														BgL_variablez00)) ==
												((obj_t) ((BgL_localz00_bglt) BgL_exitvarz00_3775))))
											{	/* Return/walk.scm 423 */
												BgL_returnz00_bglt BgL_new1199z00_3840;

												{	/* Return/walk.scm 424 */
													BgL_returnz00_bglt BgL_new1198z00_3841;

													BgL_new1198z00_3841 =
														((BgL_returnz00_bglt)
														BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_returnz00_bgl))));
													{	/* Return/walk.scm 424 */
														long BgL_arg2098z00_3842;

														BgL_arg2098z00_3842 =
															BGL_CLASS_NUM(BGl_returnz00zzast_nodez00);
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1198z00_3841),
															BgL_arg2098z00_3842);
													}
													{	/* Return/walk.scm 424 */
														BgL_objectz00_bglt BgL_tmpz00_5434;

														BgL_tmpz00_5434 =
															((BgL_objectz00_bglt) BgL_new1198z00_3841);
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5434, BFALSE);
													}
													((BgL_objectz00_bglt) BgL_new1198z00_3841);
													BgL_new1199z00_3840 = BgL_new1198z00_3841;
												}
												((((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_new1199z00_3840)))->
														BgL_locz00) =
													((obj_t) (((BgL_nodez00_bglt)
																COBJECT(((BgL_nodez00_bglt) ((BgL_appz00_bglt)
																			BgL_nodez00_3774))))->BgL_locz00)),
													BUNSPEC);
												((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																	BgL_new1199z00_3840)))->BgL_typez00) =
													((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																COBJECT(((BgL_nodez00_bglt) (
																			(BgL_retblockz00_bglt)
																			BgL_rblockz00_3776))))->BgL_typez00)),
													BUNSPEC);
												((((BgL_returnz00_bglt) COBJECT(BgL_new1199z00_3840))->
														BgL_blockz00) =
													((BgL_retblockz00_bglt) ((BgL_retblockz00_bglt)
															BgL_rblockz00_3776)), BUNSPEC);
												{
													BgL_nodez00_bglt BgL_auxz00_5450;

													{	/* Return/walk.scm 427 */
														obj_t BgL_pairz00_3843;

														BgL_pairz00_3843 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_3774)))->
															BgL_argsz00);
														{	/* Return/walk.scm 427 */
															obj_t BgL_pairz00_3844;

															{	/* Return/walk.scm 427 */
																obj_t BgL_pairz00_3845;

																BgL_pairz00_3845 = CDR(BgL_pairz00_3843);
																BgL_pairz00_3844 = CDR(BgL_pairz00_3845);
															}
															BgL_auxz00_5450 =
																((BgL_nodez00_bglt) CAR(BgL_pairz00_3844));
													}}
													((((BgL_returnz00_bglt)
																COBJECT(BgL_new1199z00_3840))->BgL_valuez00) =
														((BgL_nodez00_bglt) BgL_auxz00_5450), BUNSPEC);
												}
												return ((BgL_nodez00_bglt) BgL_new1199z00_3840);
											}
										else
											{	/* Return/walk.scm 422 */
											BgL_callzd2defaultzd2walkerz00_3819:
												return
													BGl_walk2z12z12zzast_walkz00(
													((BgL_nodez00_bglt)
														((BgL_appz00_bglt) BgL_nodez00_3774)),
													BGl_returnz12zd2envzc0zzreturn_walkz00,
													((obj_t) ((BgL_localz00_bglt) BgL_exitvarz00_3775)),
													((obj_t) ((BgL_retblockz00_bglt)
															BgL_rblockz00_3776)));
											}
									}
								else
									{	/* Return/walk.scm 420 */
										goto BgL_callzd2defaultzd2walkerz00_3819;
									}
							}
						else
							{	/* Return/walk.scm 418 */
								goto BgL_callzd2defaultzd2walkerz00_3819;
							}
					}
				}
			}
		}

	}



/* &is-return?-app1335 */
	obj_t BGl_z62iszd2returnzf3zd2app1335z91zzreturn_walkz00(obj_t
		BgL_envz00_3777, obj_t BgL_nodez00_3778, obj_t BgL_exitvarz00_3779,
		obj_t BgL_abortz00_3780)
	{
		{	/* Return/walk.scm 388 */
			{

				{	/* Return/walk.scm 390 */
					BgL_varz00_bglt BgL_i1190z00_3848;

					BgL_i1190z00_3848 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_3778)))->BgL_funz00);
					{	/* Return/walk.scm 392 */
						bool_t BgL_test2463z00_5468;

						{	/* Return/walk.scm 392 */
							obj_t BgL_arg2086z00_3849;

							BgL_arg2086z00_3849 =
								((obj_t)
								(((BgL_varz00_bglt) COBJECT(BgL_i1190z00_3848))->
									BgL_variablez00));
							BgL_test2463z00_5468 =
								(BgL_arg2086z00_3849 ==
								BGl_za2unwindzd2untilz12za2zc0zzreturn_walkz00);
						}
						if (BgL_test2463z00_5468)
							{	/* Return/walk.scm 393 */
								bool_t BgL_test2464z00_5472;

								{	/* Return/walk.scm 393 */
									obj_t BgL_arg2074z00_3850;

									BgL_arg2074z00_3850 =
										CAR(
										(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_nodez00_3778)))->BgL_argsz00));
									{	/* Return/walk.scm 393 */
										obj_t BgL_classz00_3851;

										BgL_classz00_3851 = BGl_varz00zzast_nodez00;
										if (BGL_OBJECTP(BgL_arg2074z00_3850))
											{	/* Return/walk.scm 393 */
												BgL_objectz00_bglt BgL_arg1858z00_3852;

												BgL_arg1858z00_3852 =
													(BgL_objectz00_bglt) (BgL_arg2074z00_3850);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Return/walk.scm 393 */
														long BgL_idxz00_3853;

														BgL_idxz00_3853 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3852);
														BgL_test2464z00_5472 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3853 + 2L)) == BgL_classz00_3851);
													}
												else
													{	/* Return/walk.scm 393 */
														bool_t BgL_res2216z00_3856;

														{	/* Return/walk.scm 393 */
															obj_t BgL_oclassz00_3857;

															{	/* Return/walk.scm 393 */
																obj_t BgL_arg1866z00_3858;
																long BgL_arg1867z00_3859;

																BgL_arg1866z00_3858 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Return/walk.scm 393 */
																	long BgL_arg1869z00_3860;

																	BgL_arg1869z00_3860 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3852);
																	BgL_arg1867z00_3859 =
																		(BgL_arg1869z00_3860 - OBJECT_TYPE);
																}
																BgL_oclassz00_3857 =
																	VECTOR_REF(BgL_arg1866z00_3858,
																	BgL_arg1867z00_3859);
															}
															{	/* Return/walk.scm 393 */
																bool_t BgL__ortest_1115z00_3861;

																BgL__ortest_1115z00_3861 =
																	(BgL_classz00_3851 == BgL_oclassz00_3857);
																if (BgL__ortest_1115z00_3861)
																	{	/* Return/walk.scm 393 */
																		BgL_res2216z00_3856 =
																			BgL__ortest_1115z00_3861;
																	}
																else
																	{	/* Return/walk.scm 393 */
																		long BgL_odepthz00_3862;

																		{	/* Return/walk.scm 393 */
																			obj_t BgL_arg1855z00_3863;

																			BgL_arg1855z00_3863 =
																				(BgL_oclassz00_3857);
																			BgL_odepthz00_3862 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_3863);
																		}
																		if ((2L < BgL_odepthz00_3862))
																			{	/* Return/walk.scm 393 */
																				obj_t BgL_arg1853z00_3864;

																				{	/* Return/walk.scm 393 */
																					obj_t BgL_arg1854z00_3865;

																					BgL_arg1854z00_3865 =
																						(BgL_oclassz00_3857);
																					BgL_arg1853z00_3864 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_3865, 2L);
																				}
																				BgL_res2216z00_3856 =
																					(BgL_arg1853z00_3864 ==
																					BgL_classz00_3851);
																			}
																		else
																			{	/* Return/walk.scm 393 */
																				BgL_res2216z00_3856 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2464z00_5472 = BgL_res2216z00_3856;
													}
											}
										else
											{	/* Return/walk.scm 393 */
												BgL_test2464z00_5472 = ((bool_t) 0);
											}
									}
								}
								if (BgL_test2464z00_5472)
									{	/* Return/walk.scm 394 */
										BgL_varz00_bglt BgL_i1191z00_3866;

										{	/* Return/walk.scm 394 */
											obj_t BgL_pairz00_3867;

											BgL_pairz00_3867 =
												(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_nodez00_3778)))->
												BgL_argsz00);
											BgL_i1191z00_3866 =
												((BgL_varz00_bglt) CAR(BgL_pairz00_3867));
										}
										{	/* Return/walk.scm 395 */
											obj_t BgL__ortest_1192z00_3868;

											if (PAIRP(BgL_exitvarz00_3779))
												{	/* Return/walk.scm 395 */
													BgL__ortest_1192z00_3868 =
														BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
														((obj_t)
															(((BgL_varz00_bglt) COBJECT(BgL_i1191z00_3866))->
																BgL_variablez00)), BgL_exitvarz00_3779);
												}
											else
												{	/* Return/walk.scm 395 */
													BgL__ortest_1192z00_3868 = BFALSE;
												}
											if (CBOOL(BgL__ortest_1192z00_3868))
												{	/* Return/walk.scm 395 */
													return BgL__ortest_1192z00_3868;
												}
											else
												{	/* Return/walk.scm 396 */
													obj_t BgL_arg2070z00_3869;

													BgL_arg2070z00_3869 =
														CAR(
														(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_3778)))->
															BgL_argsz00));
													return
														BGl_iszd2returnzf3z21zzreturn_walkz00((
															(BgL_nodez00_bglt) BgL_arg2070z00_3869),
														BgL_exitvarz00_3779, BgL_abortz00_3780);
												}
										}
									}
								else
									{	/* Return/walk.scm 393 */
									BgL_callzd2defaultzd2walkerz00_3847:
										return
											BGl_walk2z00zzast_walkz00(
											((BgL_nodez00_bglt)
												((BgL_appz00_bglt) BgL_nodez00_3778)),
											BGl_iszd2returnzf3zd2envzf3zzreturn_walkz00,
											BgL_exitvarz00_3779, BgL_abortz00_3780);
									}
							}
						else
							{	/* Return/walk.scm 398 */
								bool_t BgL_test2471z00_5517;

								{	/* Return/walk.scm 398 */
									bool_t BgL_test2472z00_5518;

									{	/* Return/walk.scm 398 */
										obj_t BgL_arg2085z00_3870;

										BgL_arg2085z00_3870 =
											((obj_t)
											(((BgL_varz00_bglt) COBJECT(BgL_i1190z00_3848))->
												BgL_variablez00));
										BgL_test2472z00_5518 =
											(BgL_arg2085z00_3870 ==
											BGl_za2getzd2exitdzd2topza2z00zzreturn_walkz00);
									}
									if (BgL_test2472z00_5518)
										{	/* Return/walk.scm 398 */
											BgL_test2471z00_5517 = ((bool_t) 1);
										}
									else
										{	/* Return/walk.scm 399 */
											obj_t BgL_arg2084z00_3871;

											BgL_arg2084z00_3871 =
												((obj_t)
												(((BgL_varz00_bglt) COBJECT(BgL_i1190z00_3848))->
													BgL_variablez00));
											BgL_test2471z00_5517 =
												(BgL_arg2084z00_3871 ==
												BGl_za2envzd2getzd2exitdzd2topza2zd2zzreturn_walkz00);
										}
								}
								if (BgL_test2471z00_5517)
									{	/* Return/walk.scm 400 */
										obj_t BgL__ortest_1194z00_3872;

										BgL__ortest_1194z00_3872 =
											BGl_za2optimzd2returnzd2gotozf3za2zf3zzengine_paramz00;
										if (CBOOL(BgL__ortest_1194z00_3872))
											{	/* Return/walk.scm 400 */
												return BgL__ortest_1194z00_3872;
											}
										else
											{	/* Return/walk.scm 400 */
												return BGL_PROCEDURE_CALL1(BgL_abortz00_3780, BFALSE);
											}
									}
								else
									{	/* Return/walk.scm 401 */
										bool_t BgL_test2474z00_5531;

										{	/* Return/walk.scm 401 */
											obj_t BgL_arg2083z00_3873;

											BgL_arg2083z00_3873 =
												((obj_t)
												(((BgL_varz00_bglt) COBJECT(BgL_i1190z00_3848))->
													BgL_variablez00));
											BgL_test2474z00_5531 =
												(BgL_arg2083z00_3873 ==
												BGl_za2exitdzd2protectzd2setz12za2z12zzreturn_walkz00);
										}
										if (BgL_test2474z00_5531)
											{	/* Return/walk.scm 401 */
												return BGL_PROCEDURE_CALL1(BgL_abortz00_3780, BFALSE);
											}
										else
											{	/* Return/walk.scm 401 */
												goto BgL_callzd2defaultzd2walkerz00_3847;
											}
									}
							}
					}
				}
			}
		}

	}



/* &is-return?-let-var1333 */
	obj_t BGl_z62iszd2returnzf3zd2letzd2var1333z43zzreturn_walkz00(obj_t
		BgL_envz00_3781, obj_t BgL_nodez00_3782, obj_t BgL_exitvarz00_3783,
		obj_t BgL_abortz00_3784)
	{
		{	/* Return/walk.scm 364 */
			{

				if (CBOOL(BGl_za2optimzd2returnzd2gotozf3za2zf3zzengine_paramz00))
					{	/* Return/walk.scm 369 */
						bool_t BgL_test2476z00_5541;

						{	/* Return/walk.scm 369 */
							bool_t BgL_test2477z00_5542;

							{	/* Return/walk.scm 369 */
								obj_t BgL_tmpz00_5543;

								BgL_tmpz00_5543 =
									(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_nodez00_3782)))->
									BgL_bindingsz00);
								BgL_test2477z00_5542 = PAIRP(BgL_tmpz00_5543);
							}
							if (BgL_test2477z00_5542)
								{	/* Return/walk.scm 369 */
									BgL_test2476z00_5541 =
										NULLP(CDR(
											(((BgL_letzd2varzd2_bglt) COBJECT(
														((BgL_letzd2varzd2_bglt) BgL_nodez00_3782)))->
												BgL_bindingsz00)));
								}
							else
								{	/* Return/walk.scm 369 */
									BgL_test2476z00_5541 = ((bool_t) 0);
								}
						}
						if (BgL_test2476z00_5541)
							{	/* Return/walk.scm 370 */
								obj_t BgL_bnodez00_3876;

								{	/* Return/walk.scm 370 */
									obj_t BgL_pairz00_3877;

									BgL_pairz00_3877 =
										(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_nodez00_3782)))->
										BgL_bindingsz00);
									BgL_bnodez00_3876 = CDR(CAR(BgL_pairz00_3877));
								}
								{	/* Return/walk.scm 371 */
									bool_t BgL_test2478z00_5555;

									{	/* Return/walk.scm 371 */
										obj_t BgL_classz00_3878;

										BgL_classz00_3878 = BGl_appz00zzast_nodez00;
										if (BGL_OBJECTP(BgL_bnodez00_3876))
											{	/* Return/walk.scm 371 */
												BgL_objectz00_bglt BgL_arg1858z00_3879;

												BgL_arg1858z00_3879 =
													(BgL_objectz00_bglt) (BgL_bnodez00_3876);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Return/walk.scm 371 */
														long BgL_idxz00_3880;

														BgL_idxz00_3880 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3879);
														BgL_test2478z00_5555 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3880 + 3L)) == BgL_classz00_3878);
													}
												else
													{	/* Return/walk.scm 371 */
														bool_t BgL_res2215z00_3883;

														{	/* Return/walk.scm 371 */
															obj_t BgL_oclassz00_3884;

															{	/* Return/walk.scm 371 */
																obj_t BgL_arg1866z00_3885;
																long BgL_arg1867z00_3886;

																BgL_arg1866z00_3885 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Return/walk.scm 371 */
																	long BgL_arg1869z00_3887;

																	BgL_arg1869z00_3887 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3879);
																	BgL_arg1867z00_3886 =
																		(BgL_arg1869z00_3887 - OBJECT_TYPE);
																}
																BgL_oclassz00_3884 =
																	VECTOR_REF(BgL_arg1866z00_3885,
																	BgL_arg1867z00_3886);
															}
															{	/* Return/walk.scm 371 */
																bool_t BgL__ortest_1115z00_3888;

																BgL__ortest_1115z00_3888 =
																	(BgL_classz00_3878 == BgL_oclassz00_3884);
																if (BgL__ortest_1115z00_3888)
																	{	/* Return/walk.scm 371 */
																		BgL_res2215z00_3883 =
																			BgL__ortest_1115z00_3888;
																	}
																else
																	{	/* Return/walk.scm 371 */
																		long BgL_odepthz00_3889;

																		{	/* Return/walk.scm 371 */
																			obj_t BgL_arg1855z00_3890;

																			BgL_arg1855z00_3890 =
																				(BgL_oclassz00_3884);
																			BgL_odepthz00_3889 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_3890);
																		}
																		if ((3L < BgL_odepthz00_3889))
																			{	/* Return/walk.scm 371 */
																				obj_t BgL_arg1853z00_3891;

																				{	/* Return/walk.scm 371 */
																					obj_t BgL_arg1854z00_3892;

																					BgL_arg1854z00_3892 =
																						(BgL_oclassz00_3884);
																					BgL_arg1853z00_3891 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_3892, 3L);
																				}
																				BgL_res2215z00_3883 =
																					(BgL_arg1853z00_3891 ==
																					BgL_classz00_3878);
																			}
																		else
																			{	/* Return/walk.scm 371 */
																				BgL_res2215z00_3883 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2478z00_5555 = BgL_res2215z00_3883;
													}
											}
										else
											{	/* Return/walk.scm 371 */
												BgL_test2478z00_5555 = ((bool_t) 0);
											}
									}
									if (BgL_test2478z00_5555)
										{	/* Return/walk.scm 373 */
											BgL_varz00_bglt BgL_i1188z00_3893;

											BgL_i1188z00_3893 =
												(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_bnodez00_3876)))->
												BgL_funz00);
											{	/* Return/walk.scm 375 */
												bool_t BgL_test2483z00_5580;

												{	/* Return/walk.scm 375 */
													obj_t BgL_arg2056z00_3894;

													BgL_arg2056z00_3894 =
														((obj_t)
														(((BgL_varz00_bglt) COBJECT(BgL_i1188z00_3893))->
															BgL_variablez00));
													BgL_test2483z00_5580 =
														(BgL_arg2056z00_3894 ==
														BGl_za2envzd2getzd2exitdzd2topza2zd2zzreturn_walkz00);
												}
												if (BgL_test2483z00_5580)
													{	/* Return/walk.scm 376 */
														BgL_nodez00_bglt BgL_arg2044z00_3895;
														obj_t BgL_arg2045z00_3896;

														BgL_arg2044z00_3895 =
															(((BgL_letzd2varzd2_bglt) COBJECT(
																	((BgL_letzd2varzd2_bglt) BgL_nodez00_3782)))->
															BgL_bodyz00);
														{	/* Return/walk.scm 376 */
															obj_t BgL_arg2046z00_3897;

															{	/* Return/walk.scm 376 */
																obj_t BgL_pairz00_3898;

																BgL_pairz00_3898 =
																	(((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				BgL_nodez00_3782)))->BgL_bindingsz00);
																BgL_arg2046z00_3897 =
																	CAR(CAR(BgL_pairz00_3898));
															}
															BgL_arg2045z00_3896 =
																MAKE_YOUNG_PAIR(BgL_arg2046z00_3897,
																BgL_exitvarz00_3783);
														}
														return
															BGl_iszd2returnzf3z21zzreturn_walkz00
															(BgL_arg2044z00_3895, BgL_arg2045z00_3896,
															BgL_abortz00_3784);
													}
												else
													{	/* Return/walk.scm 377 */
														bool_t BgL_test2484z00_5592;

														{	/* Return/walk.scm 377 */
															obj_t BgL_arg2055z00_3899;

															BgL_arg2055z00_3899 =
																((obj_t)
																(((BgL_varz00_bglt)
																		COBJECT(BgL_i1188z00_3893))->
																	BgL_variablez00));
															BgL_test2484z00_5592 =
																(BgL_arg2055z00_3899 ==
																BGl_za2getzd2exitdzd2topza2z00zzreturn_walkz00);
														}
														if (BgL_test2484z00_5592)
															{	/* Return/walk.scm 378 */
																BgL_nodez00_bglt BgL_arg2051z00_3900;
																obj_t BgL_arg2052z00_3901;

																BgL_arg2051z00_3900 =
																	(((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				BgL_nodez00_3782)))->BgL_bodyz00);
																BgL_arg2052z00_3901 =
																	MAKE_YOUNG_PAIR(CAR((((BgL_letzd2varzd2_bglt)
																				COBJECT(((BgL_letzd2varzd2_bglt)
																						BgL_nodez00_3782)))->
																			BgL_bindingsz00)), BgL_exitvarz00_3783);
																return
																	BGl_iszd2returnzf3z21zzreturn_walkz00
																	(BgL_arg2051z00_3900, BgL_arg2052z00_3901,
																	BgL_abortz00_3784);
															}
														else
															{	/* Return/walk.scm 377 */
															BgL_callzd2defaultzd2walkerz00_3875:
																return
																	BGl_walk2z00zzast_walkz00(
																	((BgL_nodez00_bglt)
																		((BgL_letzd2varzd2_bglt) BgL_nodez00_3782)),
																	BGl_iszd2returnzf3zd2envzf3zzreturn_walkz00,
																	BgL_exitvarz00_3783, BgL_abortz00_3784);
															}
													}
											}
										}
									else
										{	/* Return/walk.scm 371 */
											goto BgL_callzd2defaultzd2walkerz00_3875;
										}
								}
							}
						else
							{	/* Return/walk.scm 369 */
								goto BgL_callzd2defaultzd2walkerz00_3875;
							}
					}
				else
					{	/* Return/walk.scm 367 */
						goto BgL_callzd2defaultzd2walkerz00_3875;
					}
			}
		}

	}



/* &is-return?-var1331 */
	obj_t BGl_z62iszd2returnzf3zd2var1331z91zzreturn_walkz00(obj_t
		BgL_envz00_3785, obj_t BgL_nodez00_3786, obj_t BgL_exitvarz00_3787,
		obj_t BgL_abortz00_3788)
	{
		{	/* Return/walk.scm 356 */
			if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
						((obj_t)
							(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_nodez00_3786)))->BgL_variablez00)),
						BgL_exitvarz00_3787)))
				{	/* Return/walk.scm 358 */
					return BGL_PROCEDURE_CALL1(BgL_abortz00_3788, BFALSE);
				}
			else
				{	/* Return/walk.scm 358 */
					return BFALSE;
				}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreturn_walkz00(void)
	{
		{	/* Return/walk.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string2241z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2241z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(373082237L,
				BSTRING_TO_STRING(BGl_string2241z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2241z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2241z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2241z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2241z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(462333240L,
				BSTRING_TO_STRING(BGl_string2241z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2241z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(174885617L,
				BSTRING_TO_STRING(BGl_string2241z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(315247917L,
				BSTRING_TO_STRING(BGl_string2241z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string2241z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(163122759L,
				BSTRING_TO_STRING(BGl_string2241z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(135263837L,
				BSTRING_TO_STRING(BGl_string2241z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(189769752L,
				BSTRING_TO_STRING(BGl_string2241z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(271707717L,
				BSTRING_TO_STRING(BGl_string2241z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zzast_walkz00(343174225L,
				BSTRING_TO_STRING(BGl_string2241z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string2241z00zzreturn_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string2241z00zzreturn_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
