/*===========================================================================*/
/*   (SawBbv/bbv-merge.scm)                                                  */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent SawBbv/bbv-merge.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_BgL_SAW_BBVzd2MERGEzd2_TYPE_DEFINITIONS
#define BGL_BgL_SAW_BBVzd2MERGEzd2_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_debugnamez00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;

	typedef struct BgL_rtl_regzf2razf2_bgl
	{
		int BgL_numz00;
		obj_t BgL_colorz00;
		obj_t BgL_coalescez00;
		int BgL_occurrencesz00;
		obj_t BgL_interferez00;
		obj_t BgL_interfere2z00;
	}                      *BgL_rtl_regzf2razf2_bglt;

	typedef struct BgL_regsetz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_lengthz00;
		int BgL_msiza7eza7;
		obj_t BgL_regvz00;
		obj_t BgL_reglz00;
		obj_t BgL_stringz00;
	}                *BgL_regsetz00_bglt;

	typedef struct BgL_rtl_inszf2bbvzf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_outz00;
		obj_t BgL_inz00;
		struct BgL_bbvzd2ctxzd2_bgl *BgL_ctxz00;
		obj_t BgL_z52hashz52;
	}                       *BgL_rtl_inszf2bbvzf2_bglt;

	typedef struct BgL_blockvz00_bgl
	{
		obj_t BgL_versionsz00;
		obj_t BgL_genericz00;
		long BgL_z52markz52;
		obj_t BgL_mergez00;
	}                *BgL_blockvz00_bglt;

	typedef struct BgL_blocksz00_bgl
	{
		long BgL_z52markz52;
		obj_t BgL_z52hashz52;
		obj_t BgL_z52blacklistz52;
		struct BgL_bbvzd2ctxzd2_bgl *BgL_ctxz00;
		struct BgL_blockz00_bgl *BgL_parentz00;
		long BgL_gccntz00;
		long BgL_gcmarkz00;
		obj_t BgL_mblockz00;
		obj_t BgL_creatorz00;
		obj_t BgL_mergesz00;
		bool_t BgL_asleepz00;
	}                *BgL_blocksz00_bglt;

	typedef struct BgL_bbvzd2queuezd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_blocksz00;
		obj_t BgL_lastz00;
	}                     *BgL_bbvzd2queuezd2_bglt;

	typedef struct BgL_bbvzd2ctxzd2_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_idz00;
		obj_t BgL_entriesz00;
	}                   *BgL_bbvzd2ctxzd2_bglt;

	typedef struct BgL_bbvzd2ctxentryzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_rtl_regz00_bgl *BgL_regz00;
		obj_t BgL_typesz00;
		bool_t BgL_polarityz00;
		long BgL_countz00;
		obj_t BgL_valuez00;
		obj_t BgL_aliasesz00;
		obj_t BgL_initvalz00;
	}                        *BgL_bbvzd2ctxentryzd2_bglt;

	typedef struct BgL_bbvzd2rangezd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_loz00;
		obj_t BgL_upz00;
	}                     *BgL_bbvzd2rangezd2_bglt;

	typedef struct BgL_bbvzd2vlenzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_vecz00;
		int BgL_offsetz00;
	}                    *BgL_bbvzd2vlenzd2_bglt;


#endif													// BGL_BgL_SAW_BBVzd2MERGEzd2_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t
		BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2ctxzd2setz12ze0zzsaw_bbvzd2mergezd2(BgL_rtl_insz00_bglt,
		BgL_bbvzd2ctxzd2_bglt);
	static BgL_blockz00_bglt BGl_z62blockSzd2parentzb0zzsaw_bbvzd2mergezd2(obj_t,
		obj_t);
	extern obj_t BGl_rtl_insz00zzsaw_defsz00;
	static obj_t BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_bbvzd2mergezd2(obj_t,
		obj_t);
	BGL_IMPORT obj_t
		BGl_callzd2withzd2inputzd2stringzd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2;
	BGL_EXPORTED_DECL bool_t
		BGl_bbvzd2ctxentryzd2polarityz00zzsaw_bbvzd2mergezd2
		(BgL_bbvzd2ctxentryzd2_bglt);
	static BgL_bbvzd2ctxzd2_bglt
		BGl_mergezd2ctxzd2zzsaw_bbvzd2mergezd2(BgL_bbvzd2ctxzd2_bglt,
		BgL_bbvzd2ctxzd2_bglt);
	BGL_EXPORTED_DECL BgL_blockz00_bglt
		BGl_blockVzd2nilzd2zzsaw_bbvzd2mergezd2(void);
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2firstzd2zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt);
	static obj_t BGl_z62blockVzd2firstzb0zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2defz20zzsaw_bbvzd2mergezd2(BgL_rtl_insz00_bglt);
	extern obj_t BGl_bbvzd2ctxzd2getz00zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt,
		BgL_rtl_regz00_bglt);
	static obj_t BGl_z62rtl_inszf2bbvzd2defz42zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_z62blockSzd2asleepzb0zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_bbvzd2mergezd2 = BUNSPEC;
	static obj_t BGl_z62bbvzd2queuezd2lastz62zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	extern obj_t BGl_bbvzd2rangezd2zzsaw_bbvzd2rangezd2;
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2gccntzd2setz12z12zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt, long);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2coalescez20zzsaw_bbvzd2mergezd2(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62rtl_inszf2bbvzd2argsz42zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	static obj_t
		BGl_bbvzd2blockzd2mergezd2selectzd2strategyzd2siza7ez75zzsaw_bbvzd2mergezd2
		(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2keyz20zzsaw_bbvzd2mergezd2(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_bbvzd2ctxentryzd2typesz00zzsaw_bbvzd2mergezd2
		(BgL_bbvzd2ctxentryzd2_bglt);
	extern obj_t BGl_za2bignumza2z00zztype_cachez00;
	static BgL_blockz00_bglt BGl_z62blockVzd2nilzb0zzsaw_bbvzd2mergezd2(obj_t);
	BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2argszd2setz12ze0zzsaw_bbvzd2mergezd2
		(BgL_rtl_insz00_bglt, obj_t);
	static obj_t BGl_z62blockSzd2z52hashze2zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	static obj_t
		BGl_z62rtl_inszf2bbvzd2z52hashzd2setz12zd0zzsaw_bbvzd2mergezd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62bbvzd2ctxzf3z43zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_blockSzd2z52markz80zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62blockVzd2z52markze2zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	static obj_t BGl_z62blockVzd2versionszd2setz12z70zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62blockSzd2succszd2setz12z70zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62bbvzd2ctxentryzf3z43zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	static obj_t BGl_z62regsetzd2stringzd2setz12z70zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL int
		BGl_blockVzd2labelzd2zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt);
	static obj_t BGl_z62bbvzd2ctxentryzd2initvalz62zzsaw_bbvzd2mergezd2(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_regsetz00_bglt
		BGl_makezd2regsetzd2zzsaw_bbvzd2mergezd2(int, int, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_bbvzd2mergezd2
		(BgL_rtl_regz00_bglt, obj_t);
	static obj_t BGl_za2ADNsza2z00zzsaw_bbvzd2mergezd2 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2gcmarkzd2setz12z12zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt,
		long);
	BGL_IMPORT obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
	extern obj_t BGl_bbvzd2vlenzd2zzsaw_bbvzd2rangezd2;
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt
		BGl_makezd2rtl_regzf2raz20zzsaw_bbvzd2mergezd2(BgL_typez00_bglt, obj_t,
		obj_t, obj_t, obj_t, obj_t, int, obj_t, obj_t, int, obj_t, obj_t);
	static obj_t BGl_z62rtl_inszf2bbvzd2z52spillz10zzsaw_bbvzd2mergezd2(obj_t,
		obj_t);
	static BgL_rtl_regz00_bglt
		BGl_z62makezd2rtl_regzf2raz42zzsaw_bbvzd2mergezd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62blockVzd2mergezb0zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	static BgL_bbvzd2ctxzd2_bglt
		BGl_z62makezd2bbvzd2ctxz62zzsaw_bbvzd2mergezd2(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2inz20zzsaw_bbvzd2mergezd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62blockSzd2predszd2setz12z70zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_inszf2bbvzd2outzd2setz12z82zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_everyz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzsaw_bbvzd2mergezd2(void);
	static obj_t BGl_z62bbvzd2ctxentryzd2polarityz62zzsaw_bbvzd2mergezd2(obj_t,
		obj_t);
	static obj_t BGl_z62blockVzd2succszd2setz12z70zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_bbvzd2blockzd2mergezd2selectzd2strategyzd2distancezd2zzsaw_bbvzd2mergezd2
		(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2z52spillzd2setz12zb2zzsaw_bbvzd2mergezd2
		(BgL_rtl_insz00_bglt, obj_t);
	BGL_EXPORTED_DECL int
		BGl_rtl_regzf2razd2occurrencesz20zzsaw_bbvzd2mergezd2(BgL_rtl_regz00_bglt);
	static obj_t BGl_za2ADNtza2z00zzsaw_bbvzd2mergezd2 = BUNSPEC;
	static obj_t BGl_z62regsetzd2lengthzb0zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockVzd2versionszd2setz12z12zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt,
		obj_t);
	static obj_t BGl_z62bbvzd2ctxentryzd2countz62zzsaw_bbvzd2mergezd2(obj_t,
		obj_t);
	static obj_t BGl_z62regsetzd2reglzb0zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_getenvz00zz__osz00(obj_t);
	static obj_t BGl_z62blockSzd2labelzd2setz12z70zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62blockVzd2predszd2setz12z70zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_bbvzd2ctxentryzd2initvalz00zzsaw_bbvzd2mergezd2
		(BgL_bbvzd2ctxentryzd2_bglt);
	static obj_t BGl_z62blockVzd2genericzb0zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	static obj_t BGl_z62regsetzd2regvzb0zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	static long
		BGl_entryzd2siza7ez75zzsaw_bbvzd2mergezd2(BgL_bbvzd2ctxentryzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2z52hashz72zzsaw_bbvzd2mergezd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_genericzd2initzd2zzsaw_bbvzd2mergezd2(void);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2namez20zzsaw_bbvzd2mergezd2(BgL_rtl_regz00_bglt);
	static BgL_bbvzd2queuezd2_bglt
		BGl_z62bbvzd2queuezd2nilz62zzsaw_bbvzd2mergezd2(obj_t);
	static obj_t BGl_z62blockSzf3z91zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2outzd2setz12ze0zzsaw_bbvzd2mergezd2(BgL_rtl_insz00_bglt,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2namez42zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	static BgL_rtl_regz00_bglt
		BGl_z62rtl_regzf2razd2nilz42zzsaw_bbvzd2mergezd2(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32040ze3ze5zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62blockVzd2labelzd2setz12z70zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interfere2z20zzsaw_bbvzd2mergezd2(BgL_rtl_regz00_bglt);
	static obj_t BGl_objectzd2initzd2zzsaw_bbvzd2mergezd2(void);
	static obj_t BGl_z62rtl_inszf2bbvzd2funzd2setz12z82zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62blockSzd2z52markzd2setz12z22zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t
		BGl_z62rtl_inszf2bbvzd2argszd2setz12z82zzsaw_bbvzd2mergezd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62blockSzd2gcmarkzb0zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	static obj_t BGl_typeszd2intersectionze70z35zzsaw_bbvzd2mergezd2(obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_bignum_mul(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32203ze3ze5zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2hardwarez20zzsaw_bbvzd2mergezd2(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_bbvzd2queuezd2lastz00zzsaw_bbvzd2mergezd2(BgL_bbvzd2queuezd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2mergeszd2zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_blockzd2distze70z35zzsaw_bbvzd2mergezd2(obj_t);
	static obj_t BGl_z62blockVzd2z52markzd2setz12z22zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_bbvzd2mergezd2(BgL_rtl_regz00_bglt,
		obj_t);
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2outz20zzsaw_bbvzd2mergezd2(BgL_rtl_insz00_bglt);
	extern obj_t BGl_regsetz00zzsaw_regsetz00;
	static obj_t BGl_z62blockSzd2predszb0zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	static obj_t BGl_z62rtl_inszf2bbvzd2outz42zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	extern obj_t BGl_rtl_regz00zzsaw_defsz00;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2funzd2setz12ze0zzsaw_bbvzd2mergezd2(BgL_rtl_insz00_bglt,
		BgL_rtl_funz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_bbvzd2queuezd2blocksz00zzsaw_bbvzd2mergezd2(BgL_bbvzd2queuezd2_bglt);
	static obj_t BGl_z62blockVzd2mergezd2setz12z70zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62blockSzd2mblockzd2setz12z70zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_inszf2bbvzf3z01zzsaw_bbvzd2mergezd2(obj_t);
	static obj_t BGl_z62blockSzd2asleepzd2setz12z70zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_ctxzd2scoreze70z35zzsaw_bbvzd2mergezd2(BgL_bbvzd2ctxzd2_bglt);
	static obj_t BGl_z62blockVzf3z91zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	static obj_t
		BGl_ctxzd2scoreze71z35zzsaw_bbvzd2mergezd2(BgL_bbvzd2ctxzd2_bglt);
	BGL_IMPORT obj_t bgl_bignum_add(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_bbvzd2queuezf3z21zzsaw_bbvzd2mergezd2(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2z52hashzd2setz12z40zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt,
		obj_t);
	static obj_t BGl_z62regsetzf3z91zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_bbvzd2ctxentryzd2valuez00zzsaw_bbvzd2mergezd2
		(BgL_bbvzd2ctxentryzd2_bglt);
	static BgL_bbvzd2ctxentryzd2_bglt
		BGl_z62makezd2bbvzd2ctxentryz62zzsaw_bbvzd2mergezd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_bbvzd2ctxzd2_bglt
		BGl_blockSzd2ctxzd2zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t
		BGl_z62bbvzd2ctxentryzd2countzd2setz12za2zzsaw_bbvzd2mergezd2(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2succszd2zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32117ze3ze5zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62blockVzd2succszb0zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2interfere2z42zzsaw_bbvzd2mergezd2(obj_t,
		obj_t);
	static obj_t BGl_appendzd221011zd2zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzsaw_bbvzd2mergezd2(void);
	static obj_t BGl_z62blockSzd2mblockzb0zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	static obj_t BGl_z62blockVzd2genericzd2setz12z70zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockVzd2genericzd2zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt);
	extern obj_t BGl_maxrvz00zzsaw_bbvzd2rangezd2(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_bbvzd2blockzd2mergez00zzsaw_bbvzd2mergezd2(obj_t);
	BGL_EXPORTED_DECL long
		BGl_bbvzd2ctxzd2idz00zzsaw_bbvzd2mergezd2(BgL_bbvzd2ctxzd2_bglt);
	static obj_t BGl_z62bbvzd2queuezf3z43zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	static obj_t BGl_z62bbvzd2blockzd2mergez62zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_blockz00_bglt
		BGl_blockSzd2parentzd2zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt);
	BGL_EXPORTED_DECL BgL_bbvzd2ctxentryzd2_bglt
		BGl_bbvzd2ctxentryzd2nilz00zzsaw_bbvzd2mergezd2(void);
	static obj_t
		BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	static BgL_regsetz00_bglt BGl_z62makezd2regsetzb0zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_bbvzd2ctxzd2_bglt BGl_z62blockSzd2ctxzb0zzsaw_bbvzd2mergezd2(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_regzf2razd2typez20zzsaw_bbvzd2mergezd2(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt
		BGl_rtl_regzf2razd2nilz20zzsaw_bbvzd2mergezd2(void);
	extern obj_t BGl_zd3rvzd3zzsaw_bbvzd2rangezd2(obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62rtl_regzf2razd2typez42zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_blockz00_bglt
		BGl_makezd2blockSzd2zzsaw_bbvzd2mergezd2(int, obj_t, obj_t, obj_t, long,
		obj_t, obj_t, BgL_bbvzd2ctxzd2_bglt, BgL_blockz00_bglt, long, long, obj_t,
		obj_t, obj_t, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_bbvzd2ctxzd2idzd2setz12zc0zzsaw_bbvzd2mergezd2(BgL_bbvzd2ctxzd2_bglt,
		long);
	extern obj_t BGl_za2bbvzd2mergezd2strategyza2z00zzsaw_bbvzd2configzd2;
	static obj_t BGl_listzd2eqzf3ze70zc6zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockVzd2predszd2zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt);
	BGL_EXPORTED_DECL BgL_blockz00_bglt
		BGl_makezd2blockVzd2zzsaw_bbvzd2mergezd2(int, obj_t, obj_t, obj_t, obj_t,
		obj_t, long, obj_t);
	static obj_t BGl_z62bbvzd2ctxzd2idzd2setz12za2zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_bbvzd2queuezd2blockszd2setz12zc0zzsaw_bbvzd2mergezd2
		(BgL_bbvzd2queuezd2_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_bbvzd2ctxzf3z21zzsaw_bbvzd2mergezd2(obj_t);
	extern obj_t BGl_za2realza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2destzd2setz12ze0zzsaw_bbvzd2mergezd2
		(BgL_rtl_insz00_bglt, obj_t);
	static BgL_bbvzd2queuezd2_bglt
		BGl_z62makezd2bbvzd2queuez62zzsaw_bbvzd2mergezd2(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2z52blacklistzd2setz12z40zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_blockSzd2asleepzd2zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt);
	static obj_t BGl_z62bbvzd2ctxzd2idz62zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_bbvzd2mergezd2(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62blockSzd2gccntzd2setz12z70zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62bbvzd2ctxentryzd2aliasesz62zzsaw_bbvzd2mergezd2(obj_t,
		obj_t);
	static obj_t BGl_allze70ze7zzsaw_bbvzd2mergezd2(obj_t);
	static obj_t BGl_allze71ze7zzsaw_bbvzd2mergezd2(obj_t);
	BGL_IMPORT obj_t bgl_long_to_bignum(long);
	static obj_t BGl_allze72ze7zzsaw_bbvzd2mergezd2(obj_t);
	BGL_IMPORT obj_t BGl_zb2zb2zz__r4_numbers_6_5z00(obj_t);
	static obj_t
		BGl_z62bbvzd2ctxentryzd2initvalzd2setz12za2zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2varz42zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	static obj_t BGl_rangezd2wideningzd2zzsaw_bbvzd2mergezd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62regsetzd2stringzb0zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	static obj_t BGl_z62blockSzd2firstzb0zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_blockSzd2gccntzd2zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt);
	static obj_t BGl_z62bbvzd2queuezd2blocksz62zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	BGL_EXPORTED_DECL int
		BGl_regsetzd2msiza7ez75zzsaw_bbvzd2mergezd2(BgL_regsetz00_bglt);
	static obj_t BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_bbvzd2mergezd2(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_bbvzd2ctxzd2_bglt
		BGl_rtl_inszf2bbvzd2ctxz20zzsaw_bbvzd2mergezd2(BgL_rtl_insz00_bglt);
	static BgL_bbvzd2ctxzd2_bglt
		BGl_z62rtl_inszf2bbvzd2ctxz42zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_bbvzd2ctxentryzf3z21zzsaw_bbvzd2mergezd2(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2z52blacklistz80zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_minrvz00zzsaw_bbvzd2rangezd2(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt
		BGl_bbvzd2ctxentryzd2regz00zzsaw_bbvzd2mergezd2(BgL_bbvzd2ctxentryzd2_bglt);
	extern obj_t BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2;
	static obj_t
		BGl_z62bbvzd2ctxentryzd2aliaseszd2setz12za2zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_bbvzd2ctxentryzd2aliasesz00zzsaw_bbvzd2mergezd2
		(BgL_bbvzd2ctxentryzd2_bglt);
	static obj_t BGl_z62rtl_inszf2bbvzd2defzd2setz12z82zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_entryzd2scoreze70z35zzsaw_bbvzd2mergezd2(BgL_bbvzd2ctxentryzd2_bglt);
	static obj_t
		BGl_entryzd2scoreze71z35zzsaw_bbvzd2mergezd2(BgL_bbvzd2ctxentryzd2_bglt);
	static long
		BGl_entryzd2scoreze72z35zzsaw_bbvzd2mergezd2(BgL_bbvzd2ctxentryzd2_bglt);
	static long
		BGl_entryzd2scoreze73z35zzsaw_bbvzd2mergezd2(BgL_bbvzd2ctxentryzd2_bglt);
	static obj_t
		BGl_entryzd2scoreze74z35zzsaw_bbvzd2mergezd2(BgL_bbvzd2ctxentryzd2_bglt);
	static obj_t BGl_z62zc3z04anonymousza32260ze3ze5zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2firstzd2setz12z12zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt,
		obj_t);
	static obj_t BGl_z62blockSzd2mergeszd2setz12z70zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_vectorzd2copy3zd2zz__r4_vectors_6_8z00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT long BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(long, long);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_EXPORTED_DECL BgL_rtl_insz00_bglt
		BGl_makezd2rtl_inszf2bbvz20zzsaw_bbvzd2mergezd2(obj_t, obj_t, obj_t,
		BgL_rtl_funz00_bglt, obj_t, obj_t, obj_t, obj_t, BgL_bbvzd2ctxzd2_bglt,
		obj_t);
	static obj_t
		BGl_z62bbvzd2queuezd2blockszd2setz12za2zzsaw_bbvzd2mergezd2(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	static obj_t BGl_z62regsetzd2lengthzd2setz12z70zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL int
		BGl_regsetzd2lengthzd2zzsaw_bbvzd2mergezd2(BgL_regsetz00_bglt);
	static obj_t
		BGl_bbvzd2blockzd2mergezd2selectzd2strategyzd2adnzd2zzsaw_bbvzd2mergezd2
		(obj_t);
	extern obj_t BGl_blockSz00zzsaw_bbvzd2typeszd2;
	static obj_t BGl_z62blockSzd2z52markze2zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	static obj_t BGl_z62blockSzd2creatorzb0zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	static obj_t
		BGl_z62rtl_inszf2bbvzd2destzd2setz12z82zzsaw_bbvzd2mergezd2(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_blockVz00zzsaw_bbvzd2typeszd2;
	static obj_t
		BGl_bbvzd2blockzd2mergezd2selectzd2strategyzd2samepositivezd2zzsaw_bbvzd2mergezd2
		(obj_t);
	static obj_t
		BGl_bbvzd2blockzd2mergezd2selectzd2strategyzd2anynegativezd2zzsaw_bbvzd2mergezd2
		(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockVzd2versionszd2zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2stringzd2setz12z12zzsaw_bbvzd2mergezd2(BgL_regsetz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
	BGL_EXPORTED_DECL int
		BGl_blockSzd2labelzd2zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32350ze3ze5zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62bbvzd2queuezd2lastzd2setz12za2zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62blockVzd2versionszb0zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockVzd2firstzd2setz12z12zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32229ze3ze5zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62blockVzd2labelzb0zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	static obj_t BGl_zc3z04anonymousza32480ze3ze70z60zzsaw_bbvzd2mergezd2(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2z52spillz72zzsaw_bbvzd2mergezd2(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2defzd2setz12ze0zzsaw_bbvzd2mergezd2(BgL_rtl_insz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_bbvzd2queuezd2_bglt
		BGl_bbvzd2queuezd2nilz00zzsaw_bbvzd2mergezd2(void);
	static BgL_bbvzd2ctxentryzd2_bglt
		BGl_z62bbvzd2ctxentryzd2nilz62zzsaw_bbvzd2mergezd2(obj_t);
	static obj_t BGl_z62rtl_inszf2bbvzd2z52hashz10zzsaw_bbvzd2mergezd2(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_bbvzd2ctxentryzd2initvalzd2setz12zc0zzsaw_bbvzd2mergezd2
		(BgL_bbvzd2ctxentryzd2_bglt, obj_t);
	BGL_IMPORT obj_t bgl_list_ref(obj_t, long);
	static obj_t BGl_z62zc3z04anonymousza32432ze3ze5zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32173ze3ze5zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2numz42zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockVzd2firstzd2zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt);
	BGL_EXPORTED_DECL BgL_bbvzd2queuezd2_bglt
		BGl_makezd2bbvzd2queuez00zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_bbvzd2mergezd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2specializa7ez75(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2configzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2costzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2rangezd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2utilszd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2typeszd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_regsetz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__configurez00(long,
		char *);
	BGL_EXPORTED_DECL long
		BGl_bbvzd2ctxentryzd2countz00zzsaw_bbvzd2mergezd2
		(BgL_bbvzd2ctxentryzd2_bglt);
	BGL_EXPORTED_DECL long
		BGl_blockSzd2gcmarkzd2zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_blockVzd2genericzd2setz12z12zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_bbvzd2ctxzd2_bglt
		BGl_bbvzd2ctxzd2nilz00zzsaw_bbvzd2mergezd2(void);
	BGL_IMPORT obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
	static obj_t BGl_za2ADNcza2z00zzsaw_bbvzd2mergezd2 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_bbvzd2ctxentryzd2aliaseszd2setz12zc0zzsaw_bbvzd2mergezd2
		(BgL_bbvzd2ctxentryzd2_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2colorz20zzsaw_bbvzd2mergezd2(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2varz20zzsaw_bbvzd2mergezd2(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL BgL_blockz00_bglt
		BGl_blockSzd2nilzd2zzsaw_bbvzd2mergezd2(void);
	static BgL_blockz00_bglt BGl_z62makezd2blockSzb0zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62bbvzd2ctxentryzd2typesz62zzsaw_bbvzd2mergezd2(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_regzf2razf3z01zzsaw_bbvzd2mergezd2(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32337ze3ze5zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	static BgL_blockz00_bglt BGl_z62makezd2blockVzb0zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2z52hashz80zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt);
	static long BGl_typezd2siza7eze70z92zzsaw_bbvzd2mergezd2(obj_t);
	static obj_t
		BGl_z62rtl_inszf2bbvzd2z52spillzd2setz12zd0zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_blockVzd2z52markz80zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt);
	static obj_t
		BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_inszf2bbvzd2inzd2setz12z82zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_inszf2bbvzd2loczd2setz12z82zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62blockSzd2z52hashzd2setz12z22zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_bbvzd2mergezd2
		(BgL_rtl_regz00_bglt, obj_t);
	static obj_t BGl_cnstzd2initzd2zzsaw_bbvzd2mergezd2(void);
	static BgL_rtl_regz00_bglt
		BGl_z62bbvzd2ctxentryzd2regz62zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_funz00_bglt
		BGl_rtl_inszf2bbvzd2funz20zzsaw_bbvzd2mergezd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_bbvzd2mergezd2(void);
	BGL_EXPORTED_DECL bool_t BGl_blockSzf3zf3zzsaw_bbvzd2mergezd2(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockVzd2mergezd2zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt);
	static obj_t BGl_z62blockSzd2gcmarkzd2setz12z70zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	static BgL_rtl_funz00_bglt
		BGl_z62rtl_inszf2bbvzd2funz42zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_bbvzd2ctxzd2_bglt
		BGl_makezd2bbvzd2ctxz00zzsaw_bbvzd2mergezd2(long, obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_bbvzd2mergezd2(void);
	extern obj_t BGl_bbvzd2queuezd2zzsaw_bbvzd2typeszd2;
	static obj_t BGl_gczd2rootszd2initz00zzsaw_bbvzd2mergezd2(void);
	static obj_t BGl_blockzd2siza7ez75zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt);
	static BgL_blockz00_bglt BGl_z62blockSzd2nilzb0zzsaw_bbvzd2mergezd2(obj_t);
	static BgL_rtl_insz00_bglt
		BGl_z62makezd2rtl_inszf2bbvz42zzsaw_bbvzd2mergezd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2creatorzd2zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2mblockzd2setz12z12zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2asleepzd2setz12z12zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2destz20zzsaw_bbvzd2mergezd2(BgL_rtl_insz00_bglt);
	static obj_t
		BGl_bbvzd2blockzd2mergezd2selectzd2strategyzd2nearnegativezd2zzsaw_bbvzd2mergezd2
		(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2mblockzd2zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2succszd2setz12z12zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt,
		obj_t);
	static obj_t
		BGl_z62blockSzd2z52blacklistzd2setz12z22zzsaw_bbvzd2mergezd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_inszf2bbvzf3z63zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2loczd2setz12ze0zzsaw_bbvzd2mergezd2(BgL_rtl_insz00_bglt,
		obj_t);
	static obj_t
		BGl_bbvzd2blockzd2mergezd2selectzd2strategyzd2nearobjzd2zzsaw_bbvzd2mergezd2
		(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31910ze3ze5zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_bbvzd2mergezd2
		(BgL_rtl_regz00_bglt, int);
	BGL_IMPORT obj_t BGl_bigloozd2configzd2zz__configurez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2predszd2setz12z12zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockVzd2succszd2setz12z12zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL int
		BGl_rtl_regzf2razd2numz20zzsaw_bbvzd2mergezd2(BgL_rtl_regz00_bglt);
	static obj_t
		BGl_bbvzd2blockzd2mergezd2selectzd2strategyzd2firstzd2zzsaw_bbvzd2mergezd2
		(obj_t);
	static obj_t BGl_z62blockSzd2succszb0zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2z52hashzd2setz12zb2zzsaw_bbvzd2mergezd2
		(BgL_rtl_insz00_bglt, obj_t);
	extern bool_t
		BGl_bbvzd2ctxzd2equalzf3zf3zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt,
		BgL_bbvzd2ctxzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_bbvzd2mergezd2
		(BgL_rtl_regz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_blockVzf3zf3zzsaw_bbvzd2mergezd2(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2labelzd2setz12z12zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt, int);
	BGL_EXPORTED_DECL obj_t
		BGl_blockVzd2predszd2setz12z12zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_bbvzd2queuezd2lastzd2setz12zc0zzsaw_bbvzd2mergezd2
		(BgL_bbvzd2queuezd2_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_regsetzf3zf3zzsaw_bbvzd2mergezd2(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_insz00_bglt
		BGl_rtl_inszf2bbvzd2nilz20zzsaw_bbvzd2mergezd2(void);
	BGL_EXPORTED_DECL obj_t
		BGl_bbvzd2ctxentryzd2countzd2setz12zc0zzsaw_bbvzd2mergezd2
		(BgL_bbvzd2ctxentryzd2_bglt, long);
	static BgL_rtl_insz00_bglt
		BGl_z62rtl_inszf2bbvzd2nilz42zzsaw_bbvzd2mergezd2(obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_bbvzd2mergezd2(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_bbvzd2mergezd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2colorz42zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2coalescez42zzsaw_bbvzd2mergezd2(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockVzd2labelzd2setz12z12zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt, int);
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2predszd2zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2stringzd2zzsaw_bbvzd2mergezd2(BgL_regsetz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32391ze3ze5zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62blockVzd2predszb0zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2z52markzd2setz12z40zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt,
		long);
	static obj_t BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2bintza2z00zztype_cachez00;
	static BgL_bbvzd2ctxzd2_bglt
		BGl_z62bbvzd2ctxzd2nilz62zzsaw_bbvzd2mergezd2(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_bbvzd2mergezd2
		(BgL_rtl_regz00_bglt, obj_t);
	static obj_t BGl_z62blockSzd2z52blacklistze2zzsaw_bbvzd2mergezd2(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2locz20zzsaw_bbvzd2mergezd2(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_bbvzd2mergezd2
		(BgL_rtl_regz00_bglt, obj_t);
	static obj_t BGl_z62blockSzd2mergeszb0zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	static obj_t BGl_z62rtl_inszf2bbvzd2locz42zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	static obj_t BGl_z62bbvzd2ctxentryzd2valuez62zzsaw_bbvzd2mergezd2(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockVzd2z52markzd2setz12z40zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt,
		long);
	BGL_EXPORTED_DECL BgL_regsetz00_bglt
		BGl_regsetzd2nilzd2zzsaw_bbvzd2mergezd2(void);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2argsz20zzsaw_bbvzd2mergezd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62rtl_regzf2razd2interferez42zzsaw_bbvzd2mergezd2(obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2keyz42zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockVzd2succszd2zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt);
	extern obj_t BGl_rtl_regzf2razf2zzsaw_regsetz00;
	static obj_t BGl_z62blockSzd2firstzd2setz12z70zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razf3z63zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockVzd2mergezd2setz12z12zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_bbvzd2mergezd2(BgL_rtl_regz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62bbvzd2ctxzd2entrieszd2setz12za2zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_bbvzd2ctxzd2entriesz00zzsaw_bbvzd2mergezd2(BgL_bbvzd2ctxzd2_bglt);
	static obj_t BGl_z62blockSzd2gccntzb0zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2reglzd2zzsaw_bbvzd2mergezd2(BgL_regsetz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2inzd2setz12ze0zzsaw_bbvzd2mergezd2(BgL_rtl_insz00_bglt,
		obj_t);
	static obj_t BGl_z62bbvzd2ctxzd2entriesz62zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	static obj_t BGl_z62regsetzd2msiza7ez17zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	static obj_t BGl_z62rtl_inszf2bbvzd2destz42zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2regvzd2zzsaw_bbvzd2mergezd2(BgL_regsetz00_bglt);
	BGL_EXPORTED_DECL BgL_bbvzd2ctxentryzd2_bglt
		BGl_makezd2bbvzd2ctxentryz00zzsaw_bbvzd2mergezd2(BgL_rtl_regz00_bglt, obj_t,
		bool_t, long, obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62blockVzd2firstzd2setz12z70zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_inszf2bbvzd2ctxzd2setz12z82zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	static BgL_regsetz00_bglt BGl_z62regsetzd2nilzb0zzsaw_bbvzd2mergezd2(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interferez20zzsaw_bbvzd2mergezd2(BgL_rtl_regz00_bglt);
	extern obj_t BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2;
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2mergeszd2setz12z12zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt,
		obj_t);
	static obj_t
		BGl_bbvzd2blockzd2mergezd2selectzd2strategyzd2randomzd2zzsaw_bbvzd2mergezd2
		(obj_t);
	extern obj_t BGl_blockz00zzsaw_defsz00;
	BGL_IMPORT bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62rtl_inszf2bbvzd2inz42zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	static obj_t
		BGl_bbvzd2blockzd2mergezd2selectzd2strategyzd2scoreza2z70zzsaw_bbvzd2mergezd2
		(obj_t);
	static obj_t
		BGl_bbvzd2blockzd2mergezd2selectzd2strategyzd2scorezb2z60zzsaw_bbvzd2mergezd2
		(obj_t);
	extern BgL_bbvzd2rangezd2_bglt
		BGl_fixnumzd2rangezd2zzsaw_bbvzd2rangezd2(void);
	static obj_t
		BGl_bbvzd2blockzd2mergezd2selectzd2strategyzd2scorezd2z00zzsaw_bbvzd2mergezd2
		(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2lengthzd2setz12z12zzsaw_bbvzd2mergezd2(BgL_regsetz00_bglt,
		int);
	static obj_t BGl_z62zc3z04anonymousza32492ze3ze5zzsaw_bbvzd2mergezd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_bbvzd2blockzd2mergezd2selectzd2strategyzd2score2zd2zzsaw_bbvzd2mergezd2
		(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_bbvzd2ctxzd2entrieszd2setz12zc0zzsaw_bbvzd2mergezd2
		(BgL_bbvzd2ctxzd2_bglt, obj_t);
	static obj_t BGl_bbvzd2blockzd2mergezd2selectzd2zzsaw_bbvzd2mergezd2(obj_t);
	static BgL_bbvzd2ctxentryzd2_bglt
		BGl_mergezd2ctxentryzd2zzsaw_bbvzd2mergezd2(BgL_bbvzd2ctxentryzd2_bglt,
		BgL_bbvzd2ctxentryzd2_bglt);
	static obj_t BGl_z62blockSzd2labelzb0zzsaw_bbvzd2mergezd2(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2hardwarez42zzsaw_bbvzd2mergezd2(obj_t,
		obj_t);
	static obj_t __cnst[14];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2asleepzd2envz00zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blocksza7d2asle3254z00,
		BGl_z62blockSzd2asleepzb0zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2z52hashzd2setz12zd2envz92zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blocksza7d2za752h3255za7,
		BGl_z62blockSzd2z52hashzd2setz12z22zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2queuezd2nilzd2envzd2zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762bbvza7d2queueza7d3256za7,
		BGl_z62bbvzd2queuezd2nilz62zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2namezd2envzf2zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762rtl_regza7f2raza73257za7,
		BGl_z62rtl_regzf2razd2namez42zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2argszd2setz12zd2envz32zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762rtl_insza7f2bbv3258z00,
		BGl_z62rtl_inszf2bbvzd2argszd2setz12z82zzsaw_bbvzd2mergezd2, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2creatorzd2envz00zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blocksza7d2crea3259z00,
		BGl_z62blockSzd2creatorzb0zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2mblockzd2envz00zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blocksza7d2mblo3260z00,
		BGl_z62blockSzd2mblockzb0zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2nilzd2envz00zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762regsetza7d2nilza73261za7,
		BGl_z62regsetzd2nilzb0zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2predszd2setz12zd2envzc0zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blocksza7d2pred3262z00,
		BGl_z62blockSzd2predszd2setz12z70zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2inzd2envzf2zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762rtl_insza7f2bbv3263z00,
		BGl_z62rtl_inszf2bbvzd2inz42zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxentryzd2polarityzd2envzd2zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762bbvza7d2ctxentr3264z00,
		BGl_z62bbvzd2ctxentryzd2polarityz62zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2firstzd2setz12zd2envzc0zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blocksza7d2firs3265z00,
		BGl_z62blockSzd2firstzd2setz12z70zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_blockVzd2nilzd2envz00zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blockvza7d2nilza73266za7,
		BGl_z62blockVzd2nilzb0zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2z52hashzd2envz52zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blocksza7d2za752h3267za7,
		BGl_z62blockSzd2z52hashze2zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2queuezd2blockszd2envzd2zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762bbvza7d2queueza7d3268za7,
		BGl_z62bbvzd2queuezd2blocksz62zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	BGL_IMPORT obj_t BGl_portzd2ze3sexpzd2listzd2envz31zz__readerz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2typezd2setz12zd2envz32zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762rtl_regza7f2raza73269za7,
		BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2inzd2setz12zd2envz32zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762rtl_insza7f2bbv3270z00,
		BGl_z62rtl_inszf2bbvzd2inzd2setz12z82zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interferezd2envzf2zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762rtl_regza7f2raza73271za7,
		BGl_z62rtl_regzf2razd2interferez42zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockVzd2genericzd2setz12zd2envzc0zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blockvza7d2gene3272z00,
		BGl_z62blockVzd2genericzd2setz12z70zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3233z00zzsaw_bbvzd2mergezd2,
		BgL_bgl_string3233za700za7za7s3273za7, "bbv-block-merge-select", 22);
	      DEFINE_STRING(BGl_string3234z00zzsaw_bbvzd2mergezd2,
		BgL_bgl_string3234za700za7za7s3274za7, "strategy not implemented", 24);
	      DEFINE_STRING(BGl_string3235z00zzsaw_bbvzd2mergezd2,
		BgL_bgl_string3235za700za7za7s3275za7, "BIGLOOBBVADN", 12);
	      DEFINE_STRING(BGl_string3236z00zzsaw_bbvzd2mergezd2,
		BgL_bgl_string3236za700za7za7s3276za7,
		"bbv-block-merge-select-strategy-adn", 35);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2blockzd2mergezd2envzd2zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762bbvza7d2blockza7d3277za7,
		BGl_z62bbvzd2blockzd2mergez62zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3237z00zzsaw_bbvzd2mergezd2,
		BgL_bgl_string3237za700za7za7s3278za7, "wrong adn", 9);
	      DEFINE_STRING(BGl_string3238z00zzsaw_bbvzd2mergezd2,
		BgL_bgl_string3238za700za7za7s3279za7, "not adn provided", 16);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2onexprzf3zd2setz12zd2envzc1zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762rtl_regza7f2raza73280za7,
		BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_bbvzd2mergezd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2occurrenceszd2setz12zd2envz32zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762rtl_regza7f2raza73281za7,
		BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_bbvzd2mergezd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2ctxzd2setz12zd2envz32zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762rtl_insza7f2bbv3282z00,
		BGl_z62rtl_inszf2bbvzd2ctxzd2setz12z82zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2colorzd2envzf2zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762rtl_regza7f2raza73283za7,
		BGl_z62rtl_regzf2razd2colorz42zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3239z00zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762za7c3za704anonymo3284za7,
		BGl_z62zc3z04anonymousza31910ze3ze5zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2z52hashzd2setz12zd2envz60zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762rtl_insza7f2bbv3285z00,
		BGl_z62rtl_inszf2bbvzd2z52hashzd2setz12zd0zzsaw_bbvzd2mergezd2, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interferezd2setz12zd2envz32zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762rtl_regza7f2raza73286za7,
		BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_bbvzd2mergezd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockVzd2versionszd2setz12zd2envzc0zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blockvza7d2vers3287z00,
		BGl_z62blockVzd2versionszd2setz12z70zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3240z00zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762za7c3za704anonymo3288za7,
		BGl_z62zc3z04anonymousza32040ze3ze5zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3241z00zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762za7c3za704anonymo3289za7,
		BGl_z62zc3z04anonymousza32117ze3ze5zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3242z00zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762za7c3za704anonymo3290za7,
		BGl_z62zc3z04anonymousza32203ze3ze5zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3243z00zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762za7c3za704anonymo3291za7,
		BGl_z62zc3z04anonymousza32173ze3ze5zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3244z00zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762za7c3za704anonymo3292za7,
		BGl_z62zc3z04anonymousza32260ze3ze5zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2regvzd2envz00zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762regsetza7d2regv3293z00,
		BGl_z62regsetzd2regvzb0zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3251z00zzsaw_bbvzd2mergezd2,
		BgL_bgl_string3251za700za7za7s3294za7, "saw_bbv-merge", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3245z00zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762za7c3za704anonymo3295za7,
		BGl_z62zc3z04anonymousza32229ze3ze5zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3252z00zzsaw_bbvzd2mergezd2,
		BgL_bgl_string3252za700za7za7s3296za7,
		"_ int-size first random distance size anynegative nearnegative nearobj score2 score- score+ score* adn ",
		103);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3246z00zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762za7c3za704anonymo3297za7,
		BGl_z62zc3z04anonymousza32337ze3ze5zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3247z00zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762za7c3za704anonymo3298za7,
		BGl_z62zc3z04anonymousza32350ze3ze5zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3248z00zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762za7c3za704anonymo3299za7,
		BGl_z62zc3z04anonymousza32391ze3ze5zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3249z00zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762za7c3za704anonymo3300za7,
		BGl_z62zc3z04anonymousza32432ze3ze5zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2bbvzd2ctxentryzd2envzd2zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762makeza7d2bbvza7d23301za7,
		BGl_z62makezd2bbvzd2ctxentryz62zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2nilzd2envzf2zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762rtl_insza7f2bbv3302z00,
		BGl_z62rtl_inszf2bbvzd2nilz42zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_blockSzf3zd2envz21zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blocksza7f3za791za73303z00,
		BGl_z62blockSzf3z91zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxentryzd2initvalzd2setz12zd2envz12zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762bbvza7d2ctxentr3304z00,
		BGl_z62bbvzd2ctxentryzd2initvalzd2setz12za2zzsaw_bbvzd2mergezd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3250z00zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762za7c3za704anonymo3305za7,
		BGl_z62zc3z04anonymousza32492ze3ze5zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxentryzd2typeszd2envzd2zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762bbvza7d2ctxentr3306z00,
		BGl_z62bbvzd2ctxentryzd2typesz62zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2lengthzd2setz12zd2envzc0zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762regsetza7d2leng3307z00,
		BGl_z62regsetzd2lengthzd2setz12z70zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_blockVzd2firstzd2envz00zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blockvza7d2firs3308z00,
		BGl_z62blockVzd2firstzb0zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2mblockzd2setz12zd2envzc0zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blocksza7d2mblo3309z00,
		BGl_z62blockSzd2mblockzd2setz12z70zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxentryzd2countzd2envzd2zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762bbvza7d2ctxentr3310z00,
		BGl_z62bbvzd2ctxentryzd2countz62zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2msiza7ezd2envza7zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762regsetza7d2msiza73311za7,
		BGl_z62regsetzd2msiza7ez17zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxzd2nilzd2envzd2zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762bbvza7d2ctxza7d2n3312za7,
		BGl_z62bbvzd2ctxzd2nilz62zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxentryzf3zd2envzf3zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762bbvza7d2ctxentr3313z00,
		BGl_z62bbvzd2ctxentryzf3z43zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_bbvzd2ctxzd2idzd2envzd2zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762bbvza7d2ctxza7d2i3314za7,
		BGl_z62bbvzd2ctxzd2idz62zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxentryzd2aliaseszd2envzd2zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762bbvza7d2ctxentr3315z00,
		BGl_z62bbvzd2ctxentryzd2aliasesz62zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxentryzd2nilzd2envzd2zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762bbvza7d2ctxentr3316z00,
		BGl_z62bbvzd2ctxentryzd2nilz62zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2gcmarkzd2setz12zd2envzc0zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blocksza7d2gcma3317z00,
		BGl_z62blockSzd2gcmarkzd2setz12z70zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2typezd2envzf2zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762rtl_regza7f2raza73318za7,
		BGl_z62rtl_regzf2razd2typez42zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2varzd2setz12zd2envz32zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762rtl_regza7f2raza73319za7,
		BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2outzd2envzf2zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762rtl_insza7f2bbv3320z00,
		BGl_z62rtl_inszf2bbvzd2outz42zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_blockSzd2nilzd2envz00zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blocksza7d2nilza73321za7,
		BGl_z62blockSzd2nilzb0zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2rtl_inszf2bbvzd2envzf2zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762makeza7d2rtl_in3322z00,
		BGl_z62makezd2rtl_inszf2bbvz42zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_blockSzd2firstzd2envz00zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blocksza7d2firs3323z00,
		BGl_z62blockSzd2firstzb0zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2occurrenceszd2envzf2zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762rtl_regza7f2raza73324za7,
		BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockVzd2z52markzd2envz52zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blockvza7d2za752m3325za7,
		BGl_z62blockVzd2z52markze2zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2labelzd2setz12zd2envzc0zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blocksza7d2labe3326z00,
		BGl_z62blockSzd2labelzd2setz12z70zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockVzd2versionszd2envz00zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blockvza7d2vers3327z00,
		BGl_z62blockVzd2versionszb0zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2z52hashzd2envza0zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762rtl_insza7f2bbv3328z00,
		BGl_z62rtl_inszf2bbvzd2z52hashz10zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_blockVzd2mergezd2envz00zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blockvza7d2merg3329z00,
		BGl_z62blockVzd2mergezb0zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	BGL_IMPORT obj_t BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2z52markzd2setz12zd2envz92zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blocksza7d2za752m3330za7,
		BGl_z62blockSzd2z52markzd2setz12z22zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2bbvzd2queuezd2envzd2zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762makeza7d2bbvza7d23331za7,
		BGl_z62makezd2bbvzd2queuez62zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2z52markzd2envz52zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blocksza7d2za752m3332za7,
		BGl_z62blockSzd2z52markze2zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2ctxzd2envzf2zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762rtl_insza7f2bbv3333z00,
		BGl_z62rtl_inszf2bbvzd2ctxz42zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2succszd2setz12zd2envzc0zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blocksza7d2succ3334z00,
		BGl_z62blockSzd2succszd2setz12z70zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2nilzd2envzf2zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762rtl_regza7f2raza73335za7,
		BGl_z62rtl_regzf2razd2nilz42zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2varzd2envzf2zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762rtl_regza7f2raza73336za7,
		BGl_z62rtl_regzf2razd2varz42zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2blockSzd2envz00zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762makeza7d2blocks3337z00,
		BGl_z62makezd2blockSzb0zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 15);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2numzd2envzf2zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762rtl_regza7f2raza73338za7,
		BGl_z62rtl_regzf2razd2numz42zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2queuezd2blockszd2setz12zd2envz12zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762bbvza7d2queueza7d3339za7,
		BGl_z62bbvzd2queuezd2blockszd2setz12za2zzsaw_bbvzd2mergezd2, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxzd2entrieszd2envzd2zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762bbvza7d2ctxza7d2e3340za7,
		BGl_z62bbvzd2ctxzd2entriesz62zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockVzd2predszd2setz12zd2envzc0zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blockvza7d2pred3341z00,
		BGl_z62blockVzd2predszd2setz12z70zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2stringzd2setz12zd2envzc0zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762regsetza7d2stri3342z00,
		BGl_z62regsetzd2stringzd2setz12z70zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockVzd2firstzd2setz12zd2envzc0zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blockvza7d2firs3343z00,
		BGl_z62blockVzd2firstzd2setz12z70zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxentryzd2valuezd2envzd2zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762bbvza7d2ctxentr3344z00,
		BGl_z62bbvzd2ctxentryzd2valuez62zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2gccntzd2setz12zd2envzc0zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blocksza7d2gccn3345z00,
		BGl_z62blockSzd2gccntzd2setz12z70zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2colorzd2setz12zd2envz32zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762rtl_regza7f2raza73346za7,
		BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_bbvzd2mergezd2, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2onexprzf3zd2envz01zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762rtl_regza7f2raza73347za7,
		BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_blockSzd2ctxzd2envz00zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blocksza7d2ctxza73348za7,
		BGl_z62blockSzd2ctxzb0zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2outzd2setz12zd2envz32zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762rtl_insza7f2bbv3349z00,
		BGl_z62rtl_inszf2bbvzd2outzd2setz12z82zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2stringzd2envz00zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762regsetza7d2stri3350z00,
		BGl_z62regsetzd2stringzb0zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2asleepzd2setz12zd2envzc0zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blocksza7d2asle3351z00,
		BGl_z62blockSzd2asleepzd2setz12z70zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2gcmarkzd2envz00zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blocksza7d2gcma3352z00,
		BGl_z62blockSzd2gcmarkzb0zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2z52blacklistzd2envz52zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blocksza7d2za752b3353za7,
		BGl_z62blockSzd2z52blacklistze2zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interfere2zd2setz12zd2envz32zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762rtl_regza7f2raza73354za7,
		BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_bbvzd2mergezd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2rtl_regzf2razd2envzf2zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762makeza7d2rtl_re3355z00,
		BGl_z62makezd2rtl_regzf2raz42zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 12);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2argszd2envzf2zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762rtl_insza7f2bbv3356z00,
		BGl_z62rtl_inszf2bbvzd2argsz42zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxzd2idzd2setz12zd2envz12zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762bbvza7d2ctxza7d2i3357za7,
		BGl_z62bbvzd2ctxzd2idzd2setz12za2zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razf3zd2envzd3zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762rtl_regza7f2raza73358za7,
		BGl_z62rtl_regzf2razf3z63zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2z52spillzd2setz12zd2envz60zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762rtl_insza7f2bbv3359z00,
		BGl_z62rtl_inszf2bbvzd2z52spillzd2setz12zd0zzsaw_bbvzd2mergezd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2lengthzd2envz00zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762regsetza7d2leng3360z00,
		BGl_z62regsetzd2lengthzb0zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzf3zd2envzd3zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762rtl_insza7f2bbv3361z00,
		BGl_z62rtl_inszf2bbvzf3z63zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2queuezd2lastzd2setz12zd2envz12zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762bbvza7d2queueza7d3362za7,
		BGl_z62bbvzd2queuezd2lastzd2setz12za2zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_bbvzd2queuezf3zd2envzf3zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762bbvza7d2queueza7f3363za7,
		BGl_z62bbvzd2queuezf3z43zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxentryzd2initvalzd2envzd2zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762bbvza7d2ctxentr3364z00,
		BGl_z62bbvzd2ctxentryzd2initvalz62zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2coalescezd2envzf2zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762rtl_regza7f2raza73365za7,
		BGl_z62rtl_regzf2razd2coalescez42zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interfere2zd2envzf2zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762rtl_regza7f2raza73366za7,
		BGl_z62rtl_regzf2razd2interfere2z42zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_blockSzd2gccntzd2envz00zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blocksza7d2gccn3367z00,
		BGl_z62blockSzd2gccntzb0zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockVzd2genericzd2envz00zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blockvza7d2gene3368z00,
		BGl_z62blockVzd2genericzb0zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2hardwarezd2envzf2zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762rtl_regza7f2raza73369za7,
		BGl_z62rtl_regzf2razd2hardwarez42zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2loczd2envzf2zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762rtl_insza7f2bbv3370z00,
		BGl_z62rtl_inszf2bbvzd2locz42zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxentryzd2aliaseszd2setz12zd2envz12zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762bbvza7d2ctxentr3371z00,
		BGl_z62bbvzd2ctxentryzd2aliaseszd2setz12za2zzsaw_bbvzd2mergezd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2regsetzd2envz00zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762makeza7d2regset3372z00,
		BGl_z62makezd2regsetzb0zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_blockVzd2succszd2envz00zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blockvza7d2succ3373z00,
		BGl_z62blockVzd2succszb0zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2funzd2setz12zd2envz32zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762rtl_insza7f2bbv3374z00,
		BGl_z62rtl_inszf2bbvzd2funzd2setz12z82zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2destzd2setz12zd2envz32zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762rtl_insza7f2bbv3375z00,
		BGl_z62rtl_inszf2bbvzd2destzd2setz12z82zzsaw_bbvzd2mergezd2, 0L, BUNSPEC,
		2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_blockVzf3zd2envz21zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blockvza7f3za791za73376z00,
		BGl_z62blockVzf3z91zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2z52blacklistzd2setz12zd2envz92zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blocksza7d2za752b3377za7,
		BGl_z62blockSzd2z52blacklistzd2setz12z22zzsaw_bbvzd2mergezd2, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxentryzd2countzd2setz12zd2envz12zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762bbvza7d2ctxentr3378z00,
		BGl_z62bbvzd2ctxentryzd2countzd2setz12za2zzsaw_bbvzd2mergezd2, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2z52spillzd2envza0zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762rtl_insza7f2bbv3379z00,
		BGl_z62rtl_inszf2bbvzd2z52spillz10zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2defzd2setz12zd2envz32zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762rtl_insza7f2bbv3380z00,
		BGl_z62rtl_inszf2bbvzd2defzd2setz12z82zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2bbvzd2ctxzd2envzd2zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762makeza7d2bbvza7d23381za7,
		BGl_z62makezd2bbvzd2ctxz62zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockVzd2labelzd2setz12zd2envzc0zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blockvza7d2labe3382z00,
		BGl_z62blockVzd2labelzd2setz12z70zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_blockSzd2succszd2envz00zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blocksza7d2succ3383z00,
		BGl_z62blockSzd2succszb0zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxzd2entrieszd2setz12zd2envz12zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762bbvza7d2ctxza7d2e3384za7,
		BGl_z62bbvzd2ctxzd2entrieszd2setz12za2zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2destzd2envzf2zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762rtl_insza7f2bbv3385z00,
		BGl_z62rtl_inszf2bbvzd2destz42zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2loczd2setz12zd2envz32zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762rtl_insza7f2bbv3386z00,
		BGl_z62rtl_inszf2bbvzd2loczd2setz12z82zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2queuezd2lastzd2envzd2zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762bbvza7d2queueza7d3387za7,
		BGl_z62bbvzd2queuezd2lastz62zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_blockVzd2labelzd2envz00zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blockvza7d2labe3388z00,
		BGl_z62blockVzd2labelzb0zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxentryzd2regzd2envzd2zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762bbvza7d2ctxentr3389z00,
		BGl_z62bbvzd2ctxentryzd2regz62zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockVzd2z52markzd2setz12zd2envz92zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blockvza7d2za752m3390za7,
		BGl_z62blockVzd2z52markzd2setz12z22zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockVzd2succszd2setz12zd2envzc0zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blockvza7d2succ3391z00,
		BGl_z62blockVzd2succszd2setz12z70zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_blockVzd2predszd2envz00zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blockvza7d2pred3392z00,
		BGl_z62blockVzd2predszb0zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2blockVzd2envz00zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762makeza7d2blockv3393z00,
		BGl_z62makezd2blockVzb0zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockVzd2mergezd2setz12zd2envzc0zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blockvza7d2merg3394z00,
		BGl_z62blockVzd2mergezd2setz12z70zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzf3zd2envz21zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762regsetza7f3za791za73395z00,
		BGl_z62regsetzf3z91zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_blockSzd2labelzd2envz00zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blocksza7d2labe3396z00,
		BGl_z62blockSzd2labelzb0zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2funzd2envzf2zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762rtl_insza7f2bbv3397z00,
		BGl_z62rtl_inszf2bbvzd2funz42zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2keyzd2envzf2zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762rtl_regza7f2raza73398za7,
		BGl_z62rtl_regzf2razd2keyz42zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2mergeszd2setz12zd2envzc0zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blocksza7d2merg3399z00,
		BGl_z62blockSzd2mergeszd2setz12z70zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_blockSzd2predszd2envz00zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blocksza7d2pred3400z00,
		BGl_z62blockSzd2predszb0zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2mergeszd2envz00zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blocksza7d2merg3401z00,
		BGl_z62blockSzd2mergeszb0zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2parentzd2envz00zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762blocksza7d2pare3402z00,
		BGl_z62blockSzd2parentzb0zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2coalescezd2setz12zd2envz32zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762rtl_regza7f2raza73403za7,
		BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_bbvzd2mergezd2, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_bbvzd2ctxzf3zd2envzf3zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762bbvza7d2ctxza7f3za73404z00,
		BGl_z62bbvzd2ctxzf3z43zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2defzd2envzf2zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762rtl_insza7f2bbv3405z00,
		BGl_z62rtl_inszf2bbvzd2defz42zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2reglzd2envz00zzsaw_bbvzd2mergezd2,
		BgL_bgl_za762regsetza7d2regl3406z00,
		BGl_z62regsetzd2reglzb0zzsaw_bbvzd2mergezd2, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzsaw_bbvzd2mergezd2));
		     ADD_ROOT((void *) (&BGl_za2ADNsza2z00zzsaw_bbvzd2mergezd2));
		     ADD_ROOT((void *) (&BGl_za2ADNtza2z00zzsaw_bbvzd2mergezd2));
		     ADD_ROOT((void *) (&BGl_za2ADNcza2z00zzsaw_bbvzd2mergezd2));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzsaw_bbvzd2mergezd2(long
		BgL_checksumz00_6708, char *BgL_fromz00_6709)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_bbvzd2mergezd2))
				{
					BGl_requirezd2initializa7ationz75zzsaw_bbvzd2mergezd2 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_bbvzd2mergezd2();
					BGl_libraryzd2moduleszd2initz00zzsaw_bbvzd2mergezd2();
					BGl_cnstzd2initzd2zzsaw_bbvzd2mergezd2();
					BGl_importedzd2moduleszd2initz00zzsaw_bbvzd2mergezd2();
					return BGl_toplevelzd2initzd2zzsaw_bbvzd2mergezd2();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_bbvzd2mergezd2(void)
	{
		{	/* SawBbv/bbv-merge.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"saw_bbv-merge");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "saw_bbv-merge");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"saw_bbv-merge");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "saw_bbv-merge");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"saw_bbv-merge");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"saw_bbv-merge");
			BGl_modulezd2initializa7ationz75zz__osz00(0L, "saw_bbv-merge");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L,
				"saw_bbv-merge");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "saw_bbv-merge");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"saw_bbv-merge");
			BGl_modulezd2initializa7ationz75zz__configurez00(0L, "saw_bbv-merge");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "saw_bbv-merge");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"saw_bbv-merge");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(0L,
				"saw_bbv-merge");
			BGl_modulezd2initializa7ationz75zz__bignumz00(0L, "saw_bbv-merge");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(0L,
				"saw_bbv-merge");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_bbvzd2mergezd2(void)
	{
		{	/* SawBbv/bbv-merge.scm 15 */
			{	/* SawBbv/bbv-merge.scm 15 */
				obj_t BgL_cportz00_6520;

				{	/* SawBbv/bbv-merge.scm 15 */
					obj_t BgL_stringz00_6527;

					BgL_stringz00_6527 = BGl_string3252z00zzsaw_bbvzd2mergezd2;
					{	/* SawBbv/bbv-merge.scm 15 */
						obj_t BgL_startz00_6528;

						BgL_startz00_6528 = BINT(0L);
						{	/* SawBbv/bbv-merge.scm 15 */
							obj_t BgL_endz00_6529;

							BgL_endz00_6529 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_6527)));
							{	/* SawBbv/bbv-merge.scm 15 */

								BgL_cportz00_6520 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_6527, BgL_startz00_6528, BgL_endz00_6529);
				}}}}
				{
					long BgL_iz00_6521;

					BgL_iz00_6521 = 13L;
				BgL_loopz00_6522:
					if ((BgL_iz00_6521 == (-1L)))
						{	/* SawBbv/bbv-merge.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* SawBbv/bbv-merge.scm 15 */
							{	/* SawBbv/bbv-merge.scm 15 */
								obj_t BgL_arg3253z00_6523;

								{	/* SawBbv/bbv-merge.scm 15 */

									{	/* SawBbv/bbv-merge.scm 15 */
										obj_t BgL_locationz00_6525;

										BgL_locationz00_6525 = BBOOL(((bool_t) 0));
										{	/* SawBbv/bbv-merge.scm 15 */

											BgL_arg3253z00_6523 =
												BGl_readz00zz__readerz00(BgL_cportz00_6520,
												BgL_locationz00_6525);
										}
									}
								}
								{	/* SawBbv/bbv-merge.scm 15 */
									int BgL_tmpz00_6743;

									BgL_tmpz00_6743 = (int) (BgL_iz00_6521);
									CNST_TABLE_SET(BgL_tmpz00_6743, BgL_arg3253z00_6523);
							}}
							{	/* SawBbv/bbv-merge.scm 15 */
								int BgL_auxz00_6526;

								BgL_auxz00_6526 = (int) ((BgL_iz00_6521 - 1L));
								{
									long BgL_iz00_6748;

									BgL_iz00_6748 = (long) (BgL_auxz00_6526);
									BgL_iz00_6521 = BgL_iz00_6748;
									goto BgL_loopz00_6522;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_bbvzd2mergezd2(void)
	{
		{	/* SawBbv/bbv-merge.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_bbvzd2mergezd2(void)
	{
		{	/* SawBbv/bbv-merge.scm 15 */
			BGl_za2ADNcza2z00zzsaw_bbvzd2mergezd2 = BFALSE;
			BGl_za2ADNtza2z00zzsaw_bbvzd2mergezd2 = BFALSE;
			return (BGl_za2ADNsza2z00zzsaw_bbvzd2mergezd2 = BFALSE, BUNSPEC);
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzsaw_bbvzd2mergezd2(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_2173;

					BgL_headz00_2173 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_2174;
						obj_t BgL_tailz00_2175;

						BgL_prevz00_2174 = BgL_headz00_2173;
						BgL_tailz00_2175 = BgL_l1z00_1;
					BgL_loopz00_2176:
						if (PAIRP(BgL_tailz00_2175))
							{
								obj_t BgL_newzd2prevzd2_2178;

								BgL_newzd2prevzd2_2178 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_2175), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_2174, BgL_newzd2prevzd2_2178);
								{
									obj_t BgL_tailz00_6760;
									obj_t BgL_prevz00_6759;

									BgL_prevz00_6759 = BgL_newzd2prevzd2_2178;
									BgL_tailz00_6760 = CDR(BgL_tailz00_2175);
									BgL_tailz00_2175 = BgL_tailz00_6760;
									BgL_prevz00_2174 = BgL_prevz00_6759;
									goto BgL_loopz00_2176;
								}
							}
						else
							{
								BNIL;
							}
						return CDR(BgL_headz00_2173);
					}
				}
		}

	}



/* make-rtl_reg/ra */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt
		BGl_makezd2rtl_regzf2raz20zzsaw_bbvzd2mergezd2(BgL_typez00_bglt
		BgL_type1179z00_3, obj_t BgL_var1180z00_4, obj_t BgL_onexprzf31181zf3_5,
		obj_t BgL_name1182z00_6, obj_t BgL_key1183z00_7,
		obj_t BgL_hardware1184z00_8, int BgL_num1185z00_9,
		obj_t BgL_color1186z00_10, obj_t BgL_coalesce1187z00_11,
		int BgL_occurrences1188z00_12, obj_t BgL_interfere1189z00_13,
		obj_t BgL_interfere21190z00_14)
	{
		{	/* SawMill/regset.sch 55 */
			{	/* SawMill/regset.sch 55 */
				BgL_rtl_regz00_bglt BgL_new1166z00_6531;

				{	/* SawMill/regset.sch 55 */
					BgL_rtl_regz00_bglt BgL_tmp1164z00_6532;
					BgL_rtl_regzf2razf2_bglt BgL_wide1165z00_6533;

					{
						BgL_rtl_regz00_bglt BgL_auxz00_6763;

						{	/* SawMill/regset.sch 55 */
							BgL_rtl_regz00_bglt BgL_new1163z00_6534;

							BgL_new1163z00_6534 =
								((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_regz00_bgl))));
							{	/* SawMill/regset.sch 55 */
								long BgL_arg1847z00_6535;

								BgL_arg1847z00_6535 =
									BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1163z00_6534),
									BgL_arg1847z00_6535);
							}
							{	/* SawMill/regset.sch 55 */
								BgL_objectz00_bglt BgL_tmpz00_6768;

								BgL_tmpz00_6768 = ((BgL_objectz00_bglt) BgL_new1163z00_6534);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6768, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1163z00_6534);
							BgL_auxz00_6763 = BgL_new1163z00_6534;
						}
						BgL_tmp1164z00_6532 = ((BgL_rtl_regz00_bglt) BgL_auxz00_6763);
					}
					BgL_wide1165z00_6533 =
						((BgL_rtl_regzf2razf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_regzf2razf2_bgl))));
					{	/* SawMill/regset.sch 55 */
						obj_t BgL_auxz00_6776;
						BgL_objectz00_bglt BgL_tmpz00_6774;

						BgL_auxz00_6776 = ((obj_t) BgL_wide1165z00_6533);
						BgL_tmpz00_6774 = ((BgL_objectz00_bglt) BgL_tmp1164z00_6532);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6774, BgL_auxz00_6776);
					}
					((BgL_objectz00_bglt) BgL_tmp1164z00_6532);
					{	/* SawMill/regset.sch 55 */
						long BgL_arg1845z00_6536;

						BgL_arg1845z00_6536 =
							BGL_CLASS_NUM(BGl_rtl_regzf2razf2zzsaw_regsetz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1164z00_6532), BgL_arg1845z00_6536);
					}
					BgL_new1166z00_6531 = ((BgL_rtl_regz00_bglt) BgL_tmp1164z00_6532);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt) BgL_new1166z00_6531)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1179z00_3), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1166z00_6531)))->BgL_varz00) =
					((obj_t) BgL_var1180z00_4), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1166z00_6531)))->BgL_onexprzf3zf3) =
					((obj_t) BgL_onexprzf31181zf3_5), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1166z00_6531)))->BgL_namez00) =
					((obj_t) BgL_name1182z00_6), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1166z00_6531)))->BgL_keyz00) =
					((obj_t) BgL_key1183z00_7), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1166z00_6531)))->BgL_debugnamez00) =
					((obj_t) BFALSE), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1166z00_6531)))->BgL_hardwarez00) =
					((obj_t) BgL_hardware1184z00_8), BUNSPEC);
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_6798;

					{
						obj_t BgL_auxz00_6799;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_6800;

							BgL_tmpz00_6800 = ((BgL_objectz00_bglt) BgL_new1166z00_6531);
							BgL_auxz00_6799 = BGL_OBJECT_WIDENING(BgL_tmpz00_6800);
						}
						BgL_auxz00_6798 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_6799);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_6798))->BgL_numz00) =
						((int) BgL_num1185z00_9), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_6805;

					{
						obj_t BgL_auxz00_6806;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_6807;

							BgL_tmpz00_6807 = ((BgL_objectz00_bglt) BgL_new1166z00_6531);
							BgL_auxz00_6806 = BGL_OBJECT_WIDENING(BgL_tmpz00_6807);
						}
						BgL_auxz00_6805 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_6806);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_6805))->
							BgL_colorz00) = ((obj_t) BgL_color1186z00_10), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_6812;

					{
						obj_t BgL_auxz00_6813;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_6814;

							BgL_tmpz00_6814 = ((BgL_objectz00_bglt) BgL_new1166z00_6531);
							BgL_auxz00_6813 = BGL_OBJECT_WIDENING(BgL_tmpz00_6814);
						}
						BgL_auxz00_6812 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_6813);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_6812))->
							BgL_coalescez00) = ((obj_t) BgL_coalesce1187z00_11), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_6819;

					{
						obj_t BgL_auxz00_6820;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_6821;

							BgL_tmpz00_6821 = ((BgL_objectz00_bglt) BgL_new1166z00_6531);
							BgL_auxz00_6820 = BGL_OBJECT_WIDENING(BgL_tmpz00_6821);
						}
						BgL_auxz00_6819 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_6820);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_6819))->
							BgL_occurrencesz00) = ((int) BgL_occurrences1188z00_12), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_6826;

					{
						obj_t BgL_auxz00_6827;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_6828;

							BgL_tmpz00_6828 = ((BgL_objectz00_bglt) BgL_new1166z00_6531);
							BgL_auxz00_6827 = BGL_OBJECT_WIDENING(BgL_tmpz00_6828);
						}
						BgL_auxz00_6826 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_6827);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_6826))->
							BgL_interferez00) = ((obj_t) BgL_interfere1189z00_13), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_6833;

					{
						obj_t BgL_auxz00_6834;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_6835;

							BgL_tmpz00_6835 = ((BgL_objectz00_bglt) BgL_new1166z00_6531);
							BgL_auxz00_6834 = BGL_OBJECT_WIDENING(BgL_tmpz00_6835);
						}
						BgL_auxz00_6833 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_6834);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_6833))->
							BgL_interfere2z00) = ((obj_t) BgL_interfere21190z00_14), BUNSPEC);
				}
				return BgL_new1166z00_6531;
			}
		}

	}



/* &make-rtl_reg/ra */
	BgL_rtl_regz00_bglt BGl_z62makezd2rtl_regzf2raz42zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6107, obj_t BgL_type1179z00_6108, obj_t BgL_var1180z00_6109,
		obj_t BgL_onexprzf31181zf3_6110, obj_t BgL_name1182z00_6111,
		obj_t BgL_key1183z00_6112, obj_t BgL_hardware1184z00_6113,
		obj_t BgL_num1185z00_6114, obj_t BgL_color1186z00_6115,
		obj_t BgL_coalesce1187z00_6116, obj_t BgL_occurrences1188z00_6117,
		obj_t BgL_interfere1189z00_6118, obj_t BgL_interfere21190z00_6119)
	{
		{	/* SawMill/regset.sch 55 */
			return
				BGl_makezd2rtl_regzf2raz20zzsaw_bbvzd2mergezd2(
				((BgL_typez00_bglt) BgL_type1179z00_6108), BgL_var1180z00_6109,
				BgL_onexprzf31181zf3_6110, BgL_name1182z00_6111, BgL_key1183z00_6112,
				BgL_hardware1184z00_6113, CINT(BgL_num1185z00_6114),
				BgL_color1186z00_6115, BgL_coalesce1187z00_6116,
				CINT(BgL_occurrences1188z00_6117), BgL_interfere1189z00_6118,
				BgL_interfere21190z00_6119);
		}

	}



/* rtl_reg/ra? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_regzf2razf3z01zzsaw_bbvzd2mergezd2(obj_t
		BgL_objz00_15)
	{
		{	/* SawMill/regset.sch 56 */
			{	/* SawMill/regset.sch 56 */
				obj_t BgL_classz00_6537;

				BgL_classz00_6537 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
				if (BGL_OBJECTP(BgL_objz00_15))
					{	/* SawMill/regset.sch 56 */
						BgL_objectz00_bglt BgL_arg1858z00_6538;

						BgL_arg1858z00_6538 = (BgL_objectz00_bglt) (BgL_objz00_15);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/regset.sch 56 */
								long BgL_idxz00_6539;

								BgL_idxz00_6539 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6538);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_6539 + 2L)) == BgL_classz00_6537);
							}
						else
							{	/* SawMill/regset.sch 56 */
								bool_t BgL_res3206z00_6542;

								{	/* SawMill/regset.sch 56 */
									obj_t BgL_oclassz00_6543;

									{	/* SawMill/regset.sch 56 */
										obj_t BgL_arg1866z00_6544;
										long BgL_arg1867z00_6545;

										BgL_arg1866z00_6544 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/regset.sch 56 */
											long BgL_arg1869z00_6546;

											BgL_arg1869z00_6546 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6538);
											BgL_arg1867z00_6545 = (BgL_arg1869z00_6546 - OBJECT_TYPE);
										}
										BgL_oclassz00_6543 =
											VECTOR_REF(BgL_arg1866z00_6544, BgL_arg1867z00_6545);
									}
									{	/* SawMill/regset.sch 56 */
										bool_t BgL__ortest_1115z00_6547;

										BgL__ortest_1115z00_6547 =
											(BgL_classz00_6537 == BgL_oclassz00_6543);
										if (BgL__ortest_1115z00_6547)
											{	/* SawMill/regset.sch 56 */
												BgL_res3206z00_6542 = BgL__ortest_1115z00_6547;
											}
										else
											{	/* SawMill/regset.sch 56 */
												long BgL_odepthz00_6548;

												{	/* SawMill/regset.sch 56 */
													obj_t BgL_arg1855z00_6549;

													BgL_arg1855z00_6549 = (BgL_oclassz00_6543);
													BgL_odepthz00_6548 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_6549);
												}
												if ((2L < BgL_odepthz00_6548))
													{	/* SawMill/regset.sch 56 */
														obj_t BgL_arg1853z00_6550;

														{	/* SawMill/regset.sch 56 */
															obj_t BgL_arg1854z00_6551;

															BgL_arg1854z00_6551 = (BgL_oclassz00_6543);
															BgL_arg1853z00_6550 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_6551,
																2L);
														}
														BgL_res3206z00_6542 =
															(BgL_arg1853z00_6550 == BgL_classz00_6537);
													}
												else
													{	/* SawMill/regset.sch 56 */
														BgL_res3206z00_6542 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3206z00_6542;
							}
					}
				else
					{	/* SawMill/regset.sch 56 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_reg/ra? */
	obj_t BGl_z62rtl_regzf2razf3z63zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6120,
		obj_t BgL_objz00_6121)
	{
		{	/* SawMill/regset.sch 56 */
			return BBOOL(BGl_rtl_regzf2razf3z01zzsaw_bbvzd2mergezd2(BgL_objz00_6121));
		}

	}



/* rtl_reg/ra-nil */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt
		BGl_rtl_regzf2razd2nilz20zzsaw_bbvzd2mergezd2(void)
	{
		{	/* SawMill/regset.sch 57 */
			{	/* SawMill/regset.sch 57 */
				obj_t BgL_classz00_4454;

				BgL_classz00_4454 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
				{	/* SawMill/regset.sch 57 */
					obj_t BgL__ortest_1117z00_4455;

					BgL__ortest_1117z00_4455 = BGL_CLASS_NIL(BgL_classz00_4454);
					if (CBOOL(BgL__ortest_1117z00_4455))
						{	/* SawMill/regset.sch 57 */
							return ((BgL_rtl_regz00_bglt) BgL__ortest_1117z00_4455);
						}
					else
						{	/* SawMill/regset.sch 57 */
							return
								((BgL_rtl_regz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4454));
						}
				}
			}
		}

	}



/* &rtl_reg/ra-nil */
	BgL_rtl_regz00_bglt BGl_z62rtl_regzf2razd2nilz42zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6122)
	{
		{	/* SawMill/regset.sch 57 */
			return BGl_rtl_regzf2razd2nilz20zzsaw_bbvzd2mergezd2();
		}

	}



/* rtl_reg/ra-interfere2 */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interfere2z20zzsaw_bbvzd2mergezd2(BgL_rtl_regz00_bglt
		BgL_oz00_16)
	{
		{	/* SawMill/regset.sch 58 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_6875;

				{
					obj_t BgL_auxz00_6876;

					{	/* SawMill/regset.sch 58 */
						BgL_objectz00_bglt BgL_tmpz00_6877;

						BgL_tmpz00_6877 = ((BgL_objectz00_bglt) BgL_oz00_16);
						BgL_auxz00_6876 = BGL_OBJECT_WIDENING(BgL_tmpz00_6877);
					}
					BgL_auxz00_6875 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_6876);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_6875))->
					BgL_interfere2z00);
			}
		}

	}



/* &rtl_reg/ra-interfere2 */
	obj_t BGl_z62rtl_regzf2razd2interfere2z42zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6123, obj_t BgL_oz00_6124)
	{
		{	/* SawMill/regset.sch 58 */
			return
				BGl_rtl_regzf2razd2interfere2z20zzsaw_bbvzd2mergezd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_6124));
		}

	}



/* rtl_reg/ra-interfere2-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_bbvzd2mergezd2
		(BgL_rtl_regz00_bglt BgL_oz00_17, obj_t BgL_vz00_18)
	{
		{	/* SawMill/regset.sch 59 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_6884;

				{
					obj_t BgL_auxz00_6885;

					{	/* SawMill/regset.sch 59 */
						BgL_objectz00_bglt BgL_tmpz00_6886;

						BgL_tmpz00_6886 = ((BgL_objectz00_bglt) BgL_oz00_17);
						BgL_auxz00_6885 = BGL_OBJECT_WIDENING(BgL_tmpz00_6886);
					}
					BgL_auxz00_6884 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_6885);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_6884))->
						BgL_interfere2z00) = ((obj_t) BgL_vz00_18), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-interfere2-set! */
	obj_t BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6125, obj_t BgL_oz00_6126, obj_t BgL_vz00_6127)
	{
		{	/* SawMill/regset.sch 59 */
			return
				BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_bbvzd2mergezd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_6126), BgL_vz00_6127);
		}

	}



/* rtl_reg/ra-interfere */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interferez20zzsaw_bbvzd2mergezd2(BgL_rtl_regz00_bglt
		BgL_oz00_19)
	{
		{	/* SawMill/regset.sch 60 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_6893;

				{
					obj_t BgL_auxz00_6894;

					{	/* SawMill/regset.sch 60 */
						BgL_objectz00_bglt BgL_tmpz00_6895;

						BgL_tmpz00_6895 = ((BgL_objectz00_bglt) BgL_oz00_19);
						BgL_auxz00_6894 = BGL_OBJECT_WIDENING(BgL_tmpz00_6895);
					}
					BgL_auxz00_6893 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_6894);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_6893))->
					BgL_interferez00);
			}
		}

	}



/* &rtl_reg/ra-interfere */
	obj_t BGl_z62rtl_regzf2razd2interferez42zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6128, obj_t BgL_oz00_6129)
	{
		{	/* SawMill/regset.sch 60 */
			return
				BGl_rtl_regzf2razd2interferez20zzsaw_bbvzd2mergezd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_6129));
		}

	}



/* rtl_reg/ra-interfere-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_bbvzd2mergezd2
		(BgL_rtl_regz00_bglt BgL_oz00_20, obj_t BgL_vz00_21)
	{
		{	/* SawMill/regset.sch 61 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_6902;

				{
					obj_t BgL_auxz00_6903;

					{	/* SawMill/regset.sch 61 */
						BgL_objectz00_bglt BgL_tmpz00_6904;

						BgL_tmpz00_6904 = ((BgL_objectz00_bglt) BgL_oz00_20);
						BgL_auxz00_6903 = BGL_OBJECT_WIDENING(BgL_tmpz00_6904);
					}
					BgL_auxz00_6902 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_6903);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_6902))->
						BgL_interferez00) = ((obj_t) BgL_vz00_21), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-interfere-set! */
	obj_t BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6130, obj_t BgL_oz00_6131, obj_t BgL_vz00_6132)
	{
		{	/* SawMill/regset.sch 61 */
			return
				BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_bbvzd2mergezd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_6131), BgL_vz00_6132);
		}

	}



/* rtl_reg/ra-occurrences */
	BGL_EXPORTED_DEF int
		BGl_rtl_regzf2razd2occurrencesz20zzsaw_bbvzd2mergezd2(BgL_rtl_regz00_bglt
		BgL_oz00_22)
	{
		{	/* SawMill/regset.sch 62 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_6911;

				{
					obj_t BgL_auxz00_6912;

					{	/* SawMill/regset.sch 62 */
						BgL_objectz00_bglt BgL_tmpz00_6913;

						BgL_tmpz00_6913 = ((BgL_objectz00_bglt) BgL_oz00_22);
						BgL_auxz00_6912 = BGL_OBJECT_WIDENING(BgL_tmpz00_6913);
					}
					BgL_auxz00_6911 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_6912);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_6911))->
					BgL_occurrencesz00);
			}
		}

	}



/* &rtl_reg/ra-occurrences */
	obj_t BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6133, obj_t BgL_oz00_6134)
	{
		{	/* SawMill/regset.sch 62 */
			return
				BINT(BGl_rtl_regzf2razd2occurrencesz20zzsaw_bbvzd2mergezd2(
					((BgL_rtl_regz00_bglt) BgL_oz00_6134)));
		}

	}



/* rtl_reg/ra-occurrences-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_bbvzd2mergezd2
		(BgL_rtl_regz00_bglt BgL_oz00_23, int BgL_vz00_24)
	{
		{	/* SawMill/regset.sch 63 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_6921;

				{
					obj_t BgL_auxz00_6922;

					{	/* SawMill/regset.sch 63 */
						BgL_objectz00_bglt BgL_tmpz00_6923;

						BgL_tmpz00_6923 = ((BgL_objectz00_bglt) BgL_oz00_23);
						BgL_auxz00_6922 = BGL_OBJECT_WIDENING(BgL_tmpz00_6923);
					}
					BgL_auxz00_6921 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_6922);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_6921))->
						BgL_occurrencesz00) = ((int) BgL_vz00_24), BUNSPEC);
		}}

	}



/* &rtl_reg/ra-occurrences-set! */
	obj_t BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6135, obj_t BgL_oz00_6136, obj_t BgL_vz00_6137)
	{
		{	/* SawMill/regset.sch 63 */
			return
				BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_bbvzd2mergezd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_6136), CINT(BgL_vz00_6137));
		}

	}



/* rtl_reg/ra-coalesce */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2coalescez20zzsaw_bbvzd2mergezd2(BgL_rtl_regz00_bglt
		BgL_oz00_25)
	{
		{	/* SawMill/regset.sch 64 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_6931;

				{
					obj_t BgL_auxz00_6932;

					{	/* SawMill/regset.sch 64 */
						BgL_objectz00_bglt BgL_tmpz00_6933;

						BgL_tmpz00_6933 = ((BgL_objectz00_bglt) BgL_oz00_25);
						BgL_auxz00_6932 = BGL_OBJECT_WIDENING(BgL_tmpz00_6933);
					}
					BgL_auxz00_6931 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_6932);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_6931))->
					BgL_coalescez00);
			}
		}

	}



/* &rtl_reg/ra-coalesce */
	obj_t BGl_z62rtl_regzf2razd2coalescez42zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6138, obj_t BgL_oz00_6139)
	{
		{	/* SawMill/regset.sch 64 */
			return
				BGl_rtl_regzf2razd2coalescez20zzsaw_bbvzd2mergezd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_6139));
		}

	}



/* rtl_reg/ra-coalesce-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_bbvzd2mergezd2
		(BgL_rtl_regz00_bglt BgL_oz00_26, obj_t BgL_vz00_27)
	{
		{	/* SawMill/regset.sch 65 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_6940;

				{
					obj_t BgL_auxz00_6941;

					{	/* SawMill/regset.sch 65 */
						BgL_objectz00_bglt BgL_tmpz00_6942;

						BgL_tmpz00_6942 = ((BgL_objectz00_bglt) BgL_oz00_26);
						BgL_auxz00_6941 = BGL_OBJECT_WIDENING(BgL_tmpz00_6942);
					}
					BgL_auxz00_6940 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_6941);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_6940))->
						BgL_coalescez00) = ((obj_t) BgL_vz00_27), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-coalesce-set! */
	obj_t BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6140, obj_t BgL_oz00_6141, obj_t BgL_vz00_6142)
	{
		{	/* SawMill/regset.sch 65 */
			return
				BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_bbvzd2mergezd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_6141), BgL_vz00_6142);
		}

	}



/* rtl_reg/ra-color */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2colorz20zzsaw_bbvzd2mergezd2(BgL_rtl_regz00_bglt
		BgL_oz00_28)
	{
		{	/* SawMill/regset.sch 66 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_6949;

				{
					obj_t BgL_auxz00_6950;

					{	/* SawMill/regset.sch 66 */
						BgL_objectz00_bglt BgL_tmpz00_6951;

						BgL_tmpz00_6951 = ((BgL_objectz00_bglt) BgL_oz00_28);
						BgL_auxz00_6950 = BGL_OBJECT_WIDENING(BgL_tmpz00_6951);
					}
					BgL_auxz00_6949 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_6950);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_6949))->BgL_colorz00);
			}
		}

	}



/* &rtl_reg/ra-color */
	obj_t BGl_z62rtl_regzf2razd2colorz42zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6143, obj_t BgL_oz00_6144)
	{
		{	/* SawMill/regset.sch 66 */
			return
				BGl_rtl_regzf2razd2colorz20zzsaw_bbvzd2mergezd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_6144));
		}

	}



/* rtl_reg/ra-color-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_bbvzd2mergezd2(BgL_rtl_regz00_bglt
		BgL_oz00_29, obj_t BgL_vz00_30)
	{
		{	/* SawMill/regset.sch 67 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_6958;

				{
					obj_t BgL_auxz00_6959;

					{	/* SawMill/regset.sch 67 */
						BgL_objectz00_bglt BgL_tmpz00_6960;

						BgL_tmpz00_6960 = ((BgL_objectz00_bglt) BgL_oz00_29);
						BgL_auxz00_6959 = BGL_OBJECT_WIDENING(BgL_tmpz00_6960);
					}
					BgL_auxz00_6958 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_6959);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_6958))->
						BgL_colorz00) = ((obj_t) BgL_vz00_30), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-color-set! */
	obj_t BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6145, obj_t BgL_oz00_6146, obj_t BgL_vz00_6147)
	{
		{	/* SawMill/regset.sch 67 */
			return
				BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_bbvzd2mergezd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_6146), BgL_vz00_6147);
		}

	}



/* rtl_reg/ra-num */
	BGL_EXPORTED_DEF int
		BGl_rtl_regzf2razd2numz20zzsaw_bbvzd2mergezd2(BgL_rtl_regz00_bglt
		BgL_oz00_31)
	{
		{	/* SawMill/regset.sch 68 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_6967;

				{
					obj_t BgL_auxz00_6968;

					{	/* SawMill/regset.sch 68 */
						BgL_objectz00_bglt BgL_tmpz00_6969;

						BgL_tmpz00_6969 = ((BgL_objectz00_bglt) BgL_oz00_31);
						BgL_auxz00_6968 = BGL_OBJECT_WIDENING(BgL_tmpz00_6969);
					}
					BgL_auxz00_6967 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_6968);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_6967))->BgL_numz00);
			}
		}

	}



/* &rtl_reg/ra-num */
	obj_t BGl_z62rtl_regzf2razd2numz42zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6148,
		obj_t BgL_oz00_6149)
	{
		{	/* SawMill/regset.sch 68 */
			return
				BINT(BGl_rtl_regzf2razd2numz20zzsaw_bbvzd2mergezd2(
					((BgL_rtl_regz00_bglt) BgL_oz00_6149)));
		}

	}



/* rtl_reg/ra-hardware */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2hardwarez20zzsaw_bbvzd2mergezd2(BgL_rtl_regz00_bglt
		BgL_oz00_34)
	{
		{	/* SawMill/regset.sch 70 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_34)))->BgL_hardwarez00);
		}

	}



/* &rtl_reg/ra-hardware */
	obj_t BGl_z62rtl_regzf2razd2hardwarez42zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6150, obj_t BgL_oz00_6151)
	{
		{	/* SawMill/regset.sch 70 */
			return
				BGl_rtl_regzf2razd2hardwarez20zzsaw_bbvzd2mergezd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_6151));
		}

	}



/* rtl_reg/ra-key */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2keyz20zzsaw_bbvzd2mergezd2(BgL_rtl_regz00_bglt
		BgL_oz00_37)
	{
		{	/* SawMill/regset.sch 72 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_37)))->BgL_keyz00);
		}

	}



/* &rtl_reg/ra-key */
	obj_t BGl_z62rtl_regzf2razd2keyz42zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6152,
		obj_t BgL_oz00_6153)
	{
		{	/* SawMill/regset.sch 72 */
			return
				BGl_rtl_regzf2razd2keyz20zzsaw_bbvzd2mergezd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_6153));
		}

	}



/* rtl_reg/ra-name */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2namez20zzsaw_bbvzd2mergezd2(BgL_rtl_regz00_bglt
		BgL_oz00_40)
	{
		{	/* SawMill/regset.sch 74 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_40)))->BgL_namez00);
		}

	}



/* &rtl_reg/ra-name */
	obj_t BGl_z62rtl_regzf2razd2namez42zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6154,
		obj_t BgL_oz00_6155)
	{
		{	/* SawMill/regset.sch 74 */
			return
				BGl_rtl_regzf2razd2namez20zzsaw_bbvzd2mergezd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_6155));
		}

	}



/* rtl_reg/ra-onexpr? */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_bbvzd2mergezd2(BgL_rtl_regz00_bglt
		BgL_oz00_43)
	{
		{	/* SawMill/regset.sch 76 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_43)))->BgL_onexprzf3zf3);
		}

	}



/* &rtl_reg/ra-onexpr? */
	obj_t BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6156, obj_t BgL_oz00_6157)
	{
		{	/* SawMill/regset.sch 76 */
			return
				BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_bbvzd2mergezd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_6157));
		}

	}



/* rtl_reg/ra-onexpr?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_bbvzd2mergezd2
		(BgL_rtl_regz00_bglt BgL_oz00_44, obj_t BgL_vz00_45)
	{
		{	/* SawMill/regset.sch 77 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_44)))->BgL_onexprzf3zf3) =
				((obj_t) BgL_vz00_45), BUNSPEC);
		}

	}



/* &rtl_reg/ra-onexpr?-set! */
	obj_t BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6158, obj_t BgL_oz00_6159, obj_t BgL_vz00_6160)
	{
		{	/* SawMill/regset.sch 77 */
			return
				BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_bbvzd2mergezd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_6159), BgL_vz00_6160);
		}

	}



/* rtl_reg/ra-var */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2varz20zzsaw_bbvzd2mergezd2(BgL_rtl_regz00_bglt
		BgL_oz00_46)
	{
		{	/* SawMill/regset.sch 78 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_46)))->BgL_varz00);
		}

	}



/* &rtl_reg/ra-var */
	obj_t BGl_z62rtl_regzf2razd2varz42zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6161,
		obj_t BgL_oz00_6162)
	{
		{	/* SawMill/regset.sch 78 */
			return
				BGl_rtl_regzf2razd2varz20zzsaw_bbvzd2mergezd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_6162));
		}

	}



/* rtl_reg/ra-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_bbvzd2mergezd2(BgL_rtl_regz00_bglt
		BgL_oz00_47, obj_t BgL_vz00_48)
	{
		{	/* SawMill/regset.sch 79 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_47)))->BgL_varz00) =
				((obj_t) BgL_vz00_48), BUNSPEC);
		}

	}



/* &rtl_reg/ra-var-set! */
	obj_t BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6163, obj_t BgL_oz00_6164, obj_t BgL_vz00_6165)
	{
		{	/* SawMill/regset.sch 79 */
			return
				BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_bbvzd2mergezd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_6164), BgL_vz00_6165);
		}

	}



/* rtl_reg/ra-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_regzf2razd2typez20zzsaw_bbvzd2mergezd2(BgL_rtl_regz00_bglt
		BgL_oz00_49)
	{
		{	/* SawMill/regset.sch 80 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_49)))->BgL_typez00);
		}

	}



/* &rtl_reg/ra-type */
	BgL_typez00_bglt BGl_z62rtl_regzf2razd2typez42zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6166, obj_t BgL_oz00_6167)
	{
		{	/* SawMill/regset.sch 80 */
			return
				BGl_rtl_regzf2razd2typez20zzsaw_bbvzd2mergezd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_6167));
		}

	}



/* rtl_reg/ra-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_bbvzd2mergezd2(BgL_rtl_regz00_bglt
		BgL_oz00_50, BgL_typez00_bglt BgL_vz00_51)
	{
		{	/* SawMill/regset.sch 81 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_50)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_51), BUNSPEC);
		}

	}



/* &rtl_reg/ra-type-set! */
	obj_t BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6168, obj_t BgL_oz00_6169, obj_t BgL_vz00_6170)
	{
		{	/* SawMill/regset.sch 81 */
			return
				BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_bbvzd2mergezd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_6169),
				((BgL_typez00_bglt) BgL_vz00_6170));
		}

	}



/* make-regset */
	BGL_EXPORTED_DEF BgL_regsetz00_bglt
		BGl_makezd2regsetzd2zzsaw_bbvzd2mergezd2(int BgL_length1172z00_52,
		int BgL_msiza7e1173za7_53, obj_t BgL_regv1174z00_54,
		obj_t BgL_regl1175z00_55, obj_t BgL_string1176z00_56)
	{
		{	/* SawMill/regset.sch 84 */
			{	/* SawMill/regset.sch 84 */
				BgL_regsetz00_bglt BgL_new1168z00_6552;

				{	/* SawMill/regset.sch 84 */
					BgL_regsetz00_bglt BgL_new1167z00_6553;

					BgL_new1167z00_6553 =
						((BgL_regsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_regsetz00_bgl))));
					{	/* SawMill/regset.sch 84 */
						long BgL_arg1848z00_6554;

						BgL_arg1848z00_6554 = BGL_CLASS_NUM(BGl_regsetz00zzsaw_regsetz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1167z00_6553), BgL_arg1848z00_6554);
					}
					BgL_new1168z00_6552 = BgL_new1167z00_6553;
				}
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1168z00_6552))->BgL_lengthz00) =
					((int) BgL_length1172z00_52), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1168z00_6552))->BgL_msiza7eza7) =
					((int) BgL_msiza7e1173za7_53), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1168z00_6552))->BgL_regvz00) =
					((obj_t) BgL_regv1174z00_54), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1168z00_6552))->BgL_reglz00) =
					((obj_t) BgL_regl1175z00_55), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1168z00_6552))->BgL_stringz00) =
					((obj_t) BgL_string1176z00_56), BUNSPEC);
				return BgL_new1168z00_6552;
			}
		}

	}



/* &make-regset */
	BgL_regsetz00_bglt BGl_z62makezd2regsetzb0zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6171, obj_t BgL_length1172z00_6172,
		obj_t BgL_msiza7e1173za7_6173, obj_t BgL_regv1174z00_6174,
		obj_t BgL_regl1175z00_6175, obj_t BgL_string1176z00_6176)
	{
		{	/* SawMill/regset.sch 84 */
			return
				BGl_makezd2regsetzd2zzsaw_bbvzd2mergezd2(CINT(BgL_length1172z00_6172),
				CINT(BgL_msiza7e1173za7_6173), BgL_regv1174z00_6174,
				BgL_regl1175z00_6175, BgL_string1176z00_6176);
		}

	}



/* regset? */
	BGL_EXPORTED_DEF bool_t BGl_regsetzf3zf3zzsaw_bbvzd2mergezd2(obj_t
		BgL_objz00_57)
	{
		{	/* SawMill/regset.sch 85 */
			{	/* SawMill/regset.sch 85 */
				obj_t BgL_classz00_6555;

				BgL_classz00_6555 = BGl_regsetz00zzsaw_regsetz00;
				if (BGL_OBJECTP(BgL_objz00_57))
					{	/* SawMill/regset.sch 85 */
						BgL_objectz00_bglt BgL_arg1858z00_6556;

						BgL_arg1858z00_6556 = (BgL_objectz00_bglt) (BgL_objz00_57);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/regset.sch 85 */
								long BgL_idxz00_6557;

								BgL_idxz00_6557 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6556);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_6557 + 1L)) == BgL_classz00_6555);
							}
						else
							{	/* SawMill/regset.sch 85 */
								bool_t BgL_res3207z00_6560;

								{	/* SawMill/regset.sch 85 */
									obj_t BgL_oclassz00_6561;

									{	/* SawMill/regset.sch 85 */
										obj_t BgL_arg1866z00_6562;
										long BgL_arg1867z00_6563;

										BgL_arg1866z00_6562 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/regset.sch 85 */
											long BgL_arg1869z00_6564;

											BgL_arg1869z00_6564 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6556);
											BgL_arg1867z00_6563 = (BgL_arg1869z00_6564 - OBJECT_TYPE);
										}
										BgL_oclassz00_6561 =
											VECTOR_REF(BgL_arg1866z00_6562, BgL_arg1867z00_6563);
									}
									{	/* SawMill/regset.sch 85 */
										bool_t BgL__ortest_1115z00_6565;

										BgL__ortest_1115z00_6565 =
											(BgL_classz00_6555 == BgL_oclassz00_6561);
										if (BgL__ortest_1115z00_6565)
											{	/* SawMill/regset.sch 85 */
												BgL_res3207z00_6560 = BgL__ortest_1115z00_6565;
											}
										else
											{	/* SawMill/regset.sch 85 */
												long BgL_odepthz00_6566;

												{	/* SawMill/regset.sch 85 */
													obj_t BgL_arg1855z00_6567;

													BgL_arg1855z00_6567 = (BgL_oclassz00_6561);
													BgL_odepthz00_6566 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_6567);
												}
												if ((1L < BgL_odepthz00_6566))
													{	/* SawMill/regset.sch 85 */
														obj_t BgL_arg1853z00_6568;

														{	/* SawMill/regset.sch 85 */
															obj_t BgL_arg1854z00_6569;

															BgL_arg1854z00_6569 = (BgL_oclassz00_6561);
															BgL_arg1853z00_6568 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_6569,
																1L);
														}
														BgL_res3207z00_6560 =
															(BgL_arg1853z00_6568 == BgL_classz00_6555);
													}
												else
													{	/* SawMill/regset.sch 85 */
														BgL_res3207z00_6560 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3207z00_6560;
							}
					}
				else
					{	/* SawMill/regset.sch 85 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &regset? */
	obj_t BGl_z62regsetzf3z91zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6177,
		obj_t BgL_objz00_6178)
	{
		{	/* SawMill/regset.sch 85 */
			return BBOOL(BGl_regsetzf3zf3zzsaw_bbvzd2mergezd2(BgL_objz00_6178));
		}

	}



/* regset-nil */
	BGL_EXPORTED_DEF BgL_regsetz00_bglt
		BGl_regsetzd2nilzd2zzsaw_bbvzd2mergezd2(void)
	{
		{	/* SawMill/regset.sch 86 */
			{	/* SawMill/regset.sch 86 */
				obj_t BgL_classz00_4507;

				BgL_classz00_4507 = BGl_regsetz00zzsaw_regsetz00;
				{	/* SawMill/regset.sch 86 */
					obj_t BgL__ortest_1117z00_4508;

					BgL__ortest_1117z00_4508 = BGL_CLASS_NIL(BgL_classz00_4507);
					if (CBOOL(BgL__ortest_1117z00_4508))
						{	/* SawMill/regset.sch 86 */
							return ((BgL_regsetz00_bglt) BgL__ortest_1117z00_4508);
						}
					else
						{	/* SawMill/regset.sch 86 */
							return
								((BgL_regsetz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4507));
						}
				}
			}
		}

	}



/* &regset-nil */
	BgL_regsetz00_bglt BGl_z62regsetzd2nilzb0zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6179)
	{
		{	/* SawMill/regset.sch 86 */
			return BGl_regsetzd2nilzd2zzsaw_bbvzd2mergezd2();
		}

	}



/* regset-string */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2stringzd2zzsaw_bbvzd2mergezd2(BgL_regsetz00_bglt BgL_oz00_58)
	{
		{	/* SawMill/regset.sch 87 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_58))->BgL_stringz00);
		}

	}



/* &regset-string */
	obj_t BGl_z62regsetzd2stringzb0zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6180,
		obj_t BgL_oz00_6181)
	{
		{	/* SawMill/regset.sch 87 */
			return
				BGl_regsetzd2stringzd2zzsaw_bbvzd2mergezd2(
				((BgL_regsetz00_bglt) BgL_oz00_6181));
		}

	}



/* regset-string-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2stringzd2setz12z12zzsaw_bbvzd2mergezd2(BgL_regsetz00_bglt
		BgL_oz00_59, obj_t BgL_vz00_60)
	{
		{	/* SawMill/regset.sch 88 */
			return
				((((BgL_regsetz00_bglt) COBJECT(BgL_oz00_59))->BgL_stringz00) =
				((obj_t) BgL_vz00_60), BUNSPEC);
		}

	}



/* &regset-string-set! */
	obj_t BGl_z62regsetzd2stringzd2setz12z70zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6182, obj_t BgL_oz00_6183, obj_t BgL_vz00_6184)
	{
		{	/* SawMill/regset.sch 88 */
			return
				BGl_regsetzd2stringzd2setz12z12zzsaw_bbvzd2mergezd2(
				((BgL_regsetz00_bglt) BgL_oz00_6183), BgL_vz00_6184);
		}

	}



/* regset-regl */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2reglzd2zzsaw_bbvzd2mergezd2(BgL_regsetz00_bglt BgL_oz00_61)
	{
		{	/* SawMill/regset.sch 89 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_61))->BgL_reglz00);
		}

	}



/* &regset-regl */
	obj_t BGl_z62regsetzd2reglzb0zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6185,
		obj_t BgL_oz00_6186)
	{
		{	/* SawMill/regset.sch 89 */
			return
				BGl_regsetzd2reglzd2zzsaw_bbvzd2mergezd2(
				((BgL_regsetz00_bglt) BgL_oz00_6186));
		}

	}



/* regset-regv */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2regvzd2zzsaw_bbvzd2mergezd2(BgL_regsetz00_bglt BgL_oz00_64)
	{
		{	/* SawMill/regset.sch 91 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_64))->BgL_regvz00);
		}

	}



/* &regset-regv */
	obj_t BGl_z62regsetzd2regvzb0zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6187,
		obj_t BgL_oz00_6188)
	{
		{	/* SawMill/regset.sch 91 */
			return
				BGl_regsetzd2regvzd2zzsaw_bbvzd2mergezd2(
				((BgL_regsetz00_bglt) BgL_oz00_6188));
		}

	}



/* regset-msize */
	BGL_EXPORTED_DEF int
		BGl_regsetzd2msiza7ez75zzsaw_bbvzd2mergezd2(BgL_regsetz00_bglt BgL_oz00_67)
	{
		{	/* SawMill/regset.sch 93 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_67))->BgL_msiza7eza7);
		}

	}



/* &regset-msize */
	obj_t BGl_z62regsetzd2msiza7ez17zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6189,
		obj_t BgL_oz00_6190)
	{
		{	/* SawMill/regset.sch 93 */
			return
				BINT(BGl_regsetzd2msiza7ez75zzsaw_bbvzd2mergezd2(
					((BgL_regsetz00_bglt) BgL_oz00_6190)));
		}

	}



/* regset-length */
	BGL_EXPORTED_DEF int
		BGl_regsetzd2lengthzd2zzsaw_bbvzd2mergezd2(BgL_regsetz00_bglt BgL_oz00_70)
	{
		{	/* SawMill/regset.sch 95 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_70))->BgL_lengthz00);
		}

	}



/* &regset-length */
	obj_t BGl_z62regsetzd2lengthzb0zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6191,
		obj_t BgL_oz00_6192)
	{
		{	/* SawMill/regset.sch 95 */
			return
				BINT(BGl_regsetzd2lengthzd2zzsaw_bbvzd2mergezd2(
					((BgL_regsetz00_bglt) BgL_oz00_6192)));
		}

	}



/* regset-length-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2lengthzd2setz12z12zzsaw_bbvzd2mergezd2(BgL_regsetz00_bglt
		BgL_oz00_71, int BgL_vz00_72)
	{
		{	/* SawMill/regset.sch 96 */
			return
				((((BgL_regsetz00_bglt) COBJECT(BgL_oz00_71))->BgL_lengthz00) =
				((int) BgL_vz00_72), BUNSPEC);
		}

	}



/* &regset-length-set! */
	obj_t BGl_z62regsetzd2lengthzd2setz12z70zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6193, obj_t BgL_oz00_6194, obj_t BgL_vz00_6195)
	{
		{	/* SawMill/regset.sch 96 */
			return
				BGl_regsetzd2lengthzd2setz12z12zzsaw_bbvzd2mergezd2(
				((BgL_regsetz00_bglt) BgL_oz00_6194), CINT(BgL_vz00_6195));
		}

	}



/* make-rtl_ins/bbv */
	BGL_EXPORTED_DEF BgL_rtl_insz00_bglt
		BGl_makezd2rtl_inszf2bbvz20zzsaw_bbvzd2mergezd2(obj_t BgL_loc1264z00_73,
		obj_t BgL_z52spill1265z52_74, obj_t BgL_dest1266z00_75,
		BgL_rtl_funz00_bglt BgL_fun1267z00_76, obj_t BgL_args1268z00_77,
		obj_t BgL_def1269z00_78, obj_t BgL_out1270z00_79, obj_t BgL_in1271z00_80,
		BgL_bbvzd2ctxzd2_bglt BgL_ctx1272z00_81, obj_t BgL_z52hash1273z52_82)
	{
		{	/* SawBbv/bbv-types.sch 137 */
			{	/* SawBbv/bbv-types.sch 137 */
				BgL_rtl_insz00_bglt BgL_new1172z00_6570;

				{	/* SawBbv/bbv-types.sch 137 */
					BgL_rtl_insz00_bglt BgL_tmp1170z00_6571;
					BgL_rtl_inszf2bbvzf2_bglt BgL_wide1171z00_6572;

					{
						BgL_rtl_insz00_bglt BgL_auxz00_7081;

						{	/* SawBbv/bbv-types.sch 137 */
							BgL_rtl_insz00_bglt BgL_new1169z00_6573;

							BgL_new1169z00_6573 =
								((BgL_rtl_insz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_insz00_bgl))));
							{	/* SawBbv/bbv-types.sch 137 */
								long BgL_arg1852z00_6574;

								BgL_arg1852z00_6574 =
									BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1169z00_6573),
									BgL_arg1852z00_6574);
							}
							{	/* SawBbv/bbv-types.sch 137 */
								BgL_objectz00_bglt BgL_tmpz00_7086;

								BgL_tmpz00_7086 = ((BgL_objectz00_bglt) BgL_new1169z00_6573);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7086, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1169z00_6573);
							BgL_auxz00_7081 = BgL_new1169z00_6573;
						}
						BgL_tmp1170z00_6571 = ((BgL_rtl_insz00_bglt) BgL_auxz00_7081);
					}
					BgL_wide1171z00_6572 =
						((BgL_rtl_inszf2bbvzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_inszf2bbvzf2_bgl))));
					{	/* SawBbv/bbv-types.sch 137 */
						obj_t BgL_auxz00_7094;
						BgL_objectz00_bglt BgL_tmpz00_7092;

						BgL_auxz00_7094 = ((obj_t) BgL_wide1171z00_6572);
						BgL_tmpz00_7092 = ((BgL_objectz00_bglt) BgL_tmp1170z00_6571);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7092, BgL_auxz00_7094);
					}
					((BgL_objectz00_bglt) BgL_tmp1170z00_6571);
					{	/* SawBbv/bbv-types.sch 137 */
						long BgL_arg1851z00_6575;

						BgL_arg1851z00_6575 =
							BGL_CLASS_NUM(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1170z00_6571), BgL_arg1851z00_6575);
					}
					BgL_new1172z00_6570 = ((BgL_rtl_insz00_bglt) BgL_tmp1170z00_6571);
				}
				((((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_new1172z00_6570)))->BgL_locz00) =
					((obj_t) BgL_loc1264z00_73), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1172z00_6570)))->BgL_z52spillz52) =
					((obj_t) BgL_z52spill1265z52_74), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1172z00_6570)))->BgL_destz00) =
					((obj_t) BgL_dest1266z00_75), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1172z00_6570)))->BgL_funz00) =
					((BgL_rtl_funz00_bglt) BgL_fun1267z00_76), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1172z00_6570)))->BgL_argsz00) =
					((obj_t) BgL_args1268z00_77), BUNSPEC);
				{
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7112;

					{
						obj_t BgL_auxz00_7113;

						{	/* SawBbv/bbv-types.sch 137 */
							BgL_objectz00_bglt BgL_tmpz00_7114;

							BgL_tmpz00_7114 = ((BgL_objectz00_bglt) BgL_new1172z00_6570);
							BgL_auxz00_7113 = BGL_OBJECT_WIDENING(BgL_tmpz00_7114);
						}
						BgL_auxz00_7112 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_7113);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_7112))->
							BgL_defz00) = ((obj_t) BgL_def1269z00_78), BUNSPEC);
				}
				{
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7119;

					{
						obj_t BgL_auxz00_7120;

						{	/* SawBbv/bbv-types.sch 137 */
							BgL_objectz00_bglt BgL_tmpz00_7121;

							BgL_tmpz00_7121 = ((BgL_objectz00_bglt) BgL_new1172z00_6570);
							BgL_auxz00_7120 = BGL_OBJECT_WIDENING(BgL_tmpz00_7121);
						}
						BgL_auxz00_7119 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_7120);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_7119))->
							BgL_outz00) = ((obj_t) BgL_out1270z00_79), BUNSPEC);
				}
				{
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7126;

					{
						obj_t BgL_auxz00_7127;

						{	/* SawBbv/bbv-types.sch 137 */
							BgL_objectz00_bglt BgL_tmpz00_7128;

							BgL_tmpz00_7128 = ((BgL_objectz00_bglt) BgL_new1172z00_6570);
							BgL_auxz00_7127 = BGL_OBJECT_WIDENING(BgL_tmpz00_7128);
						}
						BgL_auxz00_7126 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_7127);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_7126))->BgL_inz00) =
						((obj_t) BgL_in1271z00_80), BUNSPEC);
				}
				{
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7133;

					{
						obj_t BgL_auxz00_7134;

						{	/* SawBbv/bbv-types.sch 137 */
							BgL_objectz00_bglt BgL_tmpz00_7135;

							BgL_tmpz00_7135 = ((BgL_objectz00_bglt) BgL_new1172z00_6570);
							BgL_auxz00_7134 = BGL_OBJECT_WIDENING(BgL_tmpz00_7135);
						}
						BgL_auxz00_7133 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_7134);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_7133))->
							BgL_ctxz00) =
						((BgL_bbvzd2ctxzd2_bglt) BgL_ctx1272z00_81), BUNSPEC);
				}
				{
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7140;

					{
						obj_t BgL_auxz00_7141;

						{	/* SawBbv/bbv-types.sch 137 */
							BgL_objectz00_bglt BgL_tmpz00_7142;

							BgL_tmpz00_7142 = ((BgL_objectz00_bglt) BgL_new1172z00_6570);
							BgL_auxz00_7141 = BGL_OBJECT_WIDENING(BgL_tmpz00_7142);
						}
						BgL_auxz00_7140 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_7141);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_7140))->
							BgL_z52hashz52) = ((obj_t) BgL_z52hash1273z52_82), BUNSPEC);
				}
				return BgL_new1172z00_6570;
			}
		}

	}



/* &make-rtl_ins/bbv */
	BgL_rtl_insz00_bglt BGl_z62makezd2rtl_inszf2bbvz42zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6196, obj_t BgL_loc1264z00_6197, obj_t BgL_z52spill1265z52_6198,
		obj_t BgL_dest1266z00_6199, obj_t BgL_fun1267z00_6200,
		obj_t BgL_args1268z00_6201, obj_t BgL_def1269z00_6202,
		obj_t BgL_out1270z00_6203, obj_t BgL_in1271z00_6204,
		obj_t BgL_ctx1272z00_6205, obj_t BgL_z52hash1273z52_6206)
	{
		{	/* SawBbv/bbv-types.sch 137 */
			return
				BGl_makezd2rtl_inszf2bbvz20zzsaw_bbvzd2mergezd2(BgL_loc1264z00_6197,
				BgL_z52spill1265z52_6198, BgL_dest1266z00_6199,
				((BgL_rtl_funz00_bglt) BgL_fun1267z00_6200), BgL_args1268z00_6201,
				BgL_def1269z00_6202, BgL_out1270z00_6203, BgL_in1271z00_6204,
				((BgL_bbvzd2ctxzd2_bglt) BgL_ctx1272z00_6205), BgL_z52hash1273z52_6206);
		}

	}



/* rtl_ins/bbv? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_inszf2bbvzf3z01zzsaw_bbvzd2mergezd2(obj_t
		BgL_objz00_83)
	{
		{	/* SawBbv/bbv-types.sch 138 */
			{	/* SawBbv/bbv-types.sch 138 */
				obj_t BgL_classz00_6576;

				BgL_classz00_6576 = BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2;
				if (BGL_OBJECTP(BgL_objz00_83))
					{	/* SawBbv/bbv-types.sch 138 */
						BgL_objectz00_bglt BgL_arg1858z00_6577;

						BgL_arg1858z00_6577 = (BgL_objectz00_bglt) (BgL_objz00_83);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawBbv/bbv-types.sch 138 */
								long BgL_idxz00_6578;

								BgL_idxz00_6578 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6577);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_6578 + 2L)) == BgL_classz00_6576);
							}
						else
							{	/* SawBbv/bbv-types.sch 138 */
								bool_t BgL_res3208z00_6581;

								{	/* SawBbv/bbv-types.sch 138 */
									obj_t BgL_oclassz00_6582;

									{	/* SawBbv/bbv-types.sch 138 */
										obj_t BgL_arg1866z00_6583;
										long BgL_arg1867z00_6584;

										BgL_arg1866z00_6583 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawBbv/bbv-types.sch 138 */
											long BgL_arg1869z00_6585;

											BgL_arg1869z00_6585 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6577);
											BgL_arg1867z00_6584 = (BgL_arg1869z00_6585 - OBJECT_TYPE);
										}
										BgL_oclassz00_6582 =
											VECTOR_REF(BgL_arg1866z00_6583, BgL_arg1867z00_6584);
									}
									{	/* SawBbv/bbv-types.sch 138 */
										bool_t BgL__ortest_1115z00_6586;

										BgL__ortest_1115z00_6586 =
											(BgL_classz00_6576 == BgL_oclassz00_6582);
										if (BgL__ortest_1115z00_6586)
											{	/* SawBbv/bbv-types.sch 138 */
												BgL_res3208z00_6581 = BgL__ortest_1115z00_6586;
											}
										else
											{	/* SawBbv/bbv-types.sch 138 */
												long BgL_odepthz00_6587;

												{	/* SawBbv/bbv-types.sch 138 */
													obj_t BgL_arg1855z00_6588;

													BgL_arg1855z00_6588 = (BgL_oclassz00_6582);
													BgL_odepthz00_6587 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_6588);
												}
												if ((2L < BgL_odepthz00_6587))
													{	/* SawBbv/bbv-types.sch 138 */
														obj_t BgL_arg1853z00_6589;

														{	/* SawBbv/bbv-types.sch 138 */
															obj_t BgL_arg1854z00_6590;

															BgL_arg1854z00_6590 = (BgL_oclassz00_6582);
															BgL_arg1853z00_6589 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_6590,
																2L);
														}
														BgL_res3208z00_6581 =
															(BgL_arg1853z00_6589 == BgL_classz00_6576);
													}
												else
													{	/* SawBbv/bbv-types.sch 138 */
														BgL_res3208z00_6581 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3208z00_6581;
							}
					}
				else
					{	/* SawBbv/bbv-types.sch 138 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_ins/bbv? */
	obj_t BGl_z62rtl_inszf2bbvzf3z63zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6207,
		obj_t BgL_objz00_6208)
	{
		{	/* SawBbv/bbv-types.sch 138 */
			return
				BBOOL(BGl_rtl_inszf2bbvzf3z01zzsaw_bbvzd2mergezd2(BgL_objz00_6208));
		}

	}



/* rtl_ins/bbv-nil */
	BGL_EXPORTED_DEF BgL_rtl_insz00_bglt
		BGl_rtl_inszf2bbvzd2nilz20zzsaw_bbvzd2mergezd2(void)
	{
		{	/* SawBbv/bbv-types.sch 139 */
			{	/* SawBbv/bbv-types.sch 139 */
				obj_t BgL_classz00_4562;

				BgL_classz00_4562 = BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2;
				{	/* SawBbv/bbv-types.sch 139 */
					obj_t BgL__ortest_1117z00_4563;

					BgL__ortest_1117z00_4563 = BGL_CLASS_NIL(BgL_classz00_4562);
					if (CBOOL(BgL__ortest_1117z00_4563))
						{	/* SawBbv/bbv-types.sch 139 */
							return ((BgL_rtl_insz00_bglt) BgL__ortest_1117z00_4563);
						}
					else
						{	/* SawBbv/bbv-types.sch 139 */
							return
								((BgL_rtl_insz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4562));
						}
				}
			}
		}

	}



/* &rtl_ins/bbv-nil */
	BgL_rtl_insz00_bglt BGl_z62rtl_inszf2bbvzd2nilz42zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6209)
	{
		{	/* SawBbv/bbv-types.sch 139 */
			return BGl_rtl_inszf2bbvzd2nilz20zzsaw_bbvzd2mergezd2();
		}

	}



/* rtl_ins/bbv-%hash */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2z52hashz72zzsaw_bbvzd2mergezd2(BgL_rtl_insz00_bglt
		BgL_oz00_84)
	{
		{	/* SawBbv/bbv-types.sch 140 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7181;

				{
					obj_t BgL_auxz00_7182;

					{	/* SawBbv/bbv-types.sch 140 */
						BgL_objectz00_bglt BgL_tmpz00_7183;

						BgL_tmpz00_7183 = ((BgL_objectz00_bglt) BgL_oz00_84);
						BgL_auxz00_7182 = BGL_OBJECT_WIDENING(BgL_tmpz00_7183);
					}
					BgL_auxz00_7181 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_7182);
				}
				return
					(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_7181))->
					BgL_z52hashz52);
			}
		}

	}



/* &rtl_ins/bbv-%hash */
	obj_t BGl_z62rtl_inszf2bbvzd2z52hashz10zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6210, obj_t BgL_oz00_6211)
	{
		{	/* SawBbv/bbv-types.sch 140 */
			return
				BGl_rtl_inszf2bbvzd2z52hashz72zzsaw_bbvzd2mergezd2(
				((BgL_rtl_insz00_bglt) BgL_oz00_6211));
		}

	}



/* rtl_ins/bbv-%hash-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2z52hashzd2setz12zb2zzsaw_bbvzd2mergezd2
		(BgL_rtl_insz00_bglt BgL_oz00_85, obj_t BgL_vz00_86)
	{
		{	/* SawBbv/bbv-types.sch 141 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7190;

				{
					obj_t BgL_auxz00_7191;

					{	/* SawBbv/bbv-types.sch 141 */
						BgL_objectz00_bglt BgL_tmpz00_7192;

						BgL_tmpz00_7192 = ((BgL_objectz00_bglt) BgL_oz00_85);
						BgL_auxz00_7191 = BGL_OBJECT_WIDENING(BgL_tmpz00_7192);
					}
					BgL_auxz00_7190 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_7191);
				}
				return
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_7190))->
						BgL_z52hashz52) = ((obj_t) BgL_vz00_86), BUNSPEC);
			}
		}

	}



/* &rtl_ins/bbv-%hash-set! */
	obj_t BGl_z62rtl_inszf2bbvzd2z52hashzd2setz12zd0zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6212, obj_t BgL_oz00_6213, obj_t BgL_vz00_6214)
	{
		{	/* SawBbv/bbv-types.sch 141 */
			return
				BGl_rtl_inszf2bbvzd2z52hashzd2setz12zb2zzsaw_bbvzd2mergezd2(
				((BgL_rtl_insz00_bglt) BgL_oz00_6213), BgL_vz00_6214);
		}

	}



/* rtl_ins/bbv-ctx */
	BGL_EXPORTED_DEF BgL_bbvzd2ctxzd2_bglt
		BGl_rtl_inszf2bbvzd2ctxz20zzsaw_bbvzd2mergezd2(BgL_rtl_insz00_bglt
		BgL_oz00_87)
	{
		{	/* SawBbv/bbv-types.sch 142 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7199;

				{
					obj_t BgL_auxz00_7200;

					{	/* SawBbv/bbv-types.sch 142 */
						BgL_objectz00_bglt BgL_tmpz00_7201;

						BgL_tmpz00_7201 = ((BgL_objectz00_bglt) BgL_oz00_87);
						BgL_auxz00_7200 = BGL_OBJECT_WIDENING(BgL_tmpz00_7201);
					}
					BgL_auxz00_7199 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_7200);
				}
				return
					(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_7199))->BgL_ctxz00);
			}
		}

	}



/* &rtl_ins/bbv-ctx */
	BgL_bbvzd2ctxzd2_bglt BGl_z62rtl_inszf2bbvzd2ctxz42zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6215, obj_t BgL_oz00_6216)
	{
		{	/* SawBbv/bbv-types.sch 142 */
			return
				BGl_rtl_inszf2bbvzd2ctxz20zzsaw_bbvzd2mergezd2(
				((BgL_rtl_insz00_bglt) BgL_oz00_6216));
		}

	}



/* rtl_ins/bbv-ctx-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2ctxzd2setz12ze0zzsaw_bbvzd2mergezd2(BgL_rtl_insz00_bglt
		BgL_oz00_88, BgL_bbvzd2ctxzd2_bglt BgL_vz00_89)
	{
		{	/* SawBbv/bbv-types.sch 143 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7208;

				{
					obj_t BgL_auxz00_7209;

					{	/* SawBbv/bbv-types.sch 143 */
						BgL_objectz00_bglt BgL_tmpz00_7210;

						BgL_tmpz00_7210 = ((BgL_objectz00_bglt) BgL_oz00_88);
						BgL_auxz00_7209 = BGL_OBJECT_WIDENING(BgL_tmpz00_7210);
					}
					BgL_auxz00_7208 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_7209);
				}
				return
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_7208))->
						BgL_ctxz00) = ((BgL_bbvzd2ctxzd2_bglt) BgL_vz00_89), BUNSPEC);
			}
		}

	}



/* &rtl_ins/bbv-ctx-set! */
	obj_t BGl_z62rtl_inszf2bbvzd2ctxzd2setz12z82zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6217, obj_t BgL_oz00_6218, obj_t BgL_vz00_6219)
	{
		{	/* SawBbv/bbv-types.sch 143 */
			return
				BGl_rtl_inszf2bbvzd2ctxzd2setz12ze0zzsaw_bbvzd2mergezd2(
				((BgL_rtl_insz00_bglt) BgL_oz00_6218),
				((BgL_bbvzd2ctxzd2_bglt) BgL_vz00_6219));
		}

	}



/* rtl_ins/bbv-in */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2inz20zzsaw_bbvzd2mergezd2(BgL_rtl_insz00_bglt
		BgL_oz00_90)
	{
		{	/* SawBbv/bbv-types.sch 144 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7218;

				{
					obj_t BgL_auxz00_7219;

					{	/* SawBbv/bbv-types.sch 144 */
						BgL_objectz00_bglt BgL_tmpz00_7220;

						BgL_tmpz00_7220 = ((BgL_objectz00_bglt) BgL_oz00_90);
						BgL_auxz00_7219 = BGL_OBJECT_WIDENING(BgL_tmpz00_7220);
					}
					BgL_auxz00_7218 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_7219);
				}
				return
					(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_7218))->BgL_inz00);
			}
		}

	}



/* &rtl_ins/bbv-in */
	obj_t BGl_z62rtl_inszf2bbvzd2inz42zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6220,
		obj_t BgL_oz00_6221)
	{
		{	/* SawBbv/bbv-types.sch 144 */
			return
				BGl_rtl_inszf2bbvzd2inz20zzsaw_bbvzd2mergezd2(
				((BgL_rtl_insz00_bglt) BgL_oz00_6221));
		}

	}



/* rtl_ins/bbv-in-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2inzd2setz12ze0zzsaw_bbvzd2mergezd2(BgL_rtl_insz00_bglt
		BgL_oz00_91, obj_t BgL_vz00_92)
	{
		{	/* SawBbv/bbv-types.sch 145 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7227;

				{
					obj_t BgL_auxz00_7228;

					{	/* SawBbv/bbv-types.sch 145 */
						BgL_objectz00_bglt BgL_tmpz00_7229;

						BgL_tmpz00_7229 = ((BgL_objectz00_bglt) BgL_oz00_91);
						BgL_auxz00_7228 = BGL_OBJECT_WIDENING(BgL_tmpz00_7229);
					}
					BgL_auxz00_7227 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_7228);
				}
				return
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_7227))->BgL_inz00) =
					((obj_t) BgL_vz00_92), BUNSPEC);
			}
		}

	}



/* &rtl_ins/bbv-in-set! */
	obj_t BGl_z62rtl_inszf2bbvzd2inzd2setz12z82zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6222, obj_t BgL_oz00_6223, obj_t BgL_vz00_6224)
	{
		{	/* SawBbv/bbv-types.sch 145 */
			return
				BGl_rtl_inszf2bbvzd2inzd2setz12ze0zzsaw_bbvzd2mergezd2(
				((BgL_rtl_insz00_bglt) BgL_oz00_6223), BgL_vz00_6224);
		}

	}



/* rtl_ins/bbv-out */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2outz20zzsaw_bbvzd2mergezd2(BgL_rtl_insz00_bglt
		BgL_oz00_93)
	{
		{	/* SawBbv/bbv-types.sch 146 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7236;

				{
					obj_t BgL_auxz00_7237;

					{	/* SawBbv/bbv-types.sch 146 */
						BgL_objectz00_bglt BgL_tmpz00_7238;

						BgL_tmpz00_7238 = ((BgL_objectz00_bglt) BgL_oz00_93);
						BgL_auxz00_7237 = BGL_OBJECT_WIDENING(BgL_tmpz00_7238);
					}
					BgL_auxz00_7236 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_7237);
				}
				return
					(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_7236))->BgL_outz00);
			}
		}

	}



/* &rtl_ins/bbv-out */
	obj_t BGl_z62rtl_inszf2bbvzd2outz42zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6225,
		obj_t BgL_oz00_6226)
	{
		{	/* SawBbv/bbv-types.sch 146 */
			return
				BGl_rtl_inszf2bbvzd2outz20zzsaw_bbvzd2mergezd2(
				((BgL_rtl_insz00_bglt) BgL_oz00_6226));
		}

	}



/* rtl_ins/bbv-out-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2outzd2setz12ze0zzsaw_bbvzd2mergezd2(BgL_rtl_insz00_bglt
		BgL_oz00_94, obj_t BgL_vz00_95)
	{
		{	/* SawBbv/bbv-types.sch 147 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7245;

				{
					obj_t BgL_auxz00_7246;

					{	/* SawBbv/bbv-types.sch 147 */
						BgL_objectz00_bglt BgL_tmpz00_7247;

						BgL_tmpz00_7247 = ((BgL_objectz00_bglt) BgL_oz00_94);
						BgL_auxz00_7246 = BGL_OBJECT_WIDENING(BgL_tmpz00_7247);
					}
					BgL_auxz00_7245 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_7246);
				}
				return
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_7245))->
						BgL_outz00) = ((obj_t) BgL_vz00_95), BUNSPEC);
			}
		}

	}



/* &rtl_ins/bbv-out-set! */
	obj_t BGl_z62rtl_inszf2bbvzd2outzd2setz12z82zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6227, obj_t BgL_oz00_6228, obj_t BgL_vz00_6229)
	{
		{	/* SawBbv/bbv-types.sch 147 */
			return
				BGl_rtl_inszf2bbvzd2outzd2setz12ze0zzsaw_bbvzd2mergezd2(
				((BgL_rtl_insz00_bglt) BgL_oz00_6228), BgL_vz00_6229);
		}

	}



/* rtl_ins/bbv-def */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2defz20zzsaw_bbvzd2mergezd2(BgL_rtl_insz00_bglt
		BgL_oz00_96)
	{
		{	/* SawBbv/bbv-types.sch 148 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7254;

				{
					obj_t BgL_auxz00_7255;

					{	/* SawBbv/bbv-types.sch 148 */
						BgL_objectz00_bglt BgL_tmpz00_7256;

						BgL_tmpz00_7256 = ((BgL_objectz00_bglt) BgL_oz00_96);
						BgL_auxz00_7255 = BGL_OBJECT_WIDENING(BgL_tmpz00_7256);
					}
					BgL_auxz00_7254 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_7255);
				}
				return
					(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_7254))->BgL_defz00);
			}
		}

	}



/* &rtl_ins/bbv-def */
	obj_t BGl_z62rtl_inszf2bbvzd2defz42zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6230,
		obj_t BgL_oz00_6231)
	{
		{	/* SawBbv/bbv-types.sch 148 */
			return
				BGl_rtl_inszf2bbvzd2defz20zzsaw_bbvzd2mergezd2(
				((BgL_rtl_insz00_bglt) BgL_oz00_6231));
		}

	}



/* rtl_ins/bbv-def-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2defzd2setz12ze0zzsaw_bbvzd2mergezd2(BgL_rtl_insz00_bglt
		BgL_oz00_97, obj_t BgL_vz00_98)
	{
		{	/* SawBbv/bbv-types.sch 149 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7263;

				{
					obj_t BgL_auxz00_7264;

					{	/* SawBbv/bbv-types.sch 149 */
						BgL_objectz00_bglt BgL_tmpz00_7265;

						BgL_tmpz00_7265 = ((BgL_objectz00_bglt) BgL_oz00_97);
						BgL_auxz00_7264 = BGL_OBJECT_WIDENING(BgL_tmpz00_7265);
					}
					BgL_auxz00_7263 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_7264);
				}
				return
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_7263))->
						BgL_defz00) = ((obj_t) BgL_vz00_98), BUNSPEC);
			}
		}

	}



/* &rtl_ins/bbv-def-set! */
	obj_t BGl_z62rtl_inszf2bbvzd2defzd2setz12z82zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6232, obj_t BgL_oz00_6233, obj_t BgL_vz00_6234)
	{
		{	/* SawBbv/bbv-types.sch 149 */
			return
				BGl_rtl_inszf2bbvzd2defzd2setz12ze0zzsaw_bbvzd2mergezd2(
				((BgL_rtl_insz00_bglt) BgL_oz00_6233), BgL_vz00_6234);
		}

	}



/* rtl_ins/bbv-args */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2argsz20zzsaw_bbvzd2mergezd2(BgL_rtl_insz00_bglt
		BgL_oz00_99)
	{
		{	/* SawBbv/bbv-types.sch 150 */
			return
				(((BgL_rtl_insz00_bglt) COBJECT(
						((BgL_rtl_insz00_bglt) BgL_oz00_99)))->BgL_argsz00);
		}

	}



/* &rtl_ins/bbv-args */
	obj_t BGl_z62rtl_inszf2bbvzd2argsz42zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6235, obj_t BgL_oz00_6236)
	{
		{	/* SawBbv/bbv-types.sch 150 */
			return
				BGl_rtl_inszf2bbvzd2argsz20zzsaw_bbvzd2mergezd2(
				((BgL_rtl_insz00_bglt) BgL_oz00_6236));
		}

	}



/* rtl_ins/bbv-args-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2argszd2setz12ze0zzsaw_bbvzd2mergezd2(BgL_rtl_insz00_bglt
		BgL_oz00_100, obj_t BgL_vz00_101)
	{
		{	/* SawBbv/bbv-types.sch 151 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_oz00_100)))->BgL_argsz00) =
				((obj_t) BgL_vz00_101), BUNSPEC);
		}

	}



/* &rtl_ins/bbv-args-set! */
	obj_t BGl_z62rtl_inszf2bbvzd2argszd2setz12z82zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6237, obj_t BgL_oz00_6238, obj_t BgL_vz00_6239)
	{
		{	/* SawBbv/bbv-types.sch 151 */
			return
				BGl_rtl_inszf2bbvzd2argszd2setz12ze0zzsaw_bbvzd2mergezd2(
				((BgL_rtl_insz00_bglt) BgL_oz00_6238), BgL_vz00_6239);
		}

	}



/* rtl_ins/bbv-fun */
	BGL_EXPORTED_DEF BgL_rtl_funz00_bglt
		BGl_rtl_inszf2bbvzd2funz20zzsaw_bbvzd2mergezd2(BgL_rtl_insz00_bglt
		BgL_oz00_102)
	{
		{	/* SawBbv/bbv-types.sch 152 */
			return
				(((BgL_rtl_insz00_bglt) COBJECT(
						((BgL_rtl_insz00_bglt) BgL_oz00_102)))->BgL_funz00);
		}

	}



/* &rtl_ins/bbv-fun */
	BgL_rtl_funz00_bglt BGl_z62rtl_inszf2bbvzd2funz42zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6240, obj_t BgL_oz00_6241)
	{
		{	/* SawBbv/bbv-types.sch 152 */
			return
				BGl_rtl_inszf2bbvzd2funz20zzsaw_bbvzd2mergezd2(
				((BgL_rtl_insz00_bglt) BgL_oz00_6241));
		}

	}



/* rtl_ins/bbv-fun-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2funzd2setz12ze0zzsaw_bbvzd2mergezd2(BgL_rtl_insz00_bglt
		BgL_oz00_103, BgL_rtl_funz00_bglt BgL_vz00_104)
	{
		{	/* SawBbv/bbv-types.sch 153 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_oz00_103)))->BgL_funz00) =
				((BgL_rtl_funz00_bglt) BgL_vz00_104), BUNSPEC);
		}

	}



/* &rtl_ins/bbv-fun-set! */
	obj_t BGl_z62rtl_inszf2bbvzd2funzd2setz12z82zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6242, obj_t BgL_oz00_6243, obj_t BgL_vz00_6244)
	{
		{	/* SawBbv/bbv-types.sch 153 */
			return
				BGl_rtl_inszf2bbvzd2funzd2setz12ze0zzsaw_bbvzd2mergezd2(
				((BgL_rtl_insz00_bglt) BgL_oz00_6243),
				((BgL_rtl_funz00_bglt) BgL_vz00_6244));
		}

	}



/* rtl_ins/bbv-dest */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2destz20zzsaw_bbvzd2mergezd2(BgL_rtl_insz00_bglt
		BgL_oz00_105)
	{
		{	/* SawBbv/bbv-types.sch 154 */
			return
				(((BgL_rtl_insz00_bglt) COBJECT(
						((BgL_rtl_insz00_bglt) BgL_oz00_105)))->BgL_destz00);
		}

	}



/* &rtl_ins/bbv-dest */
	obj_t BGl_z62rtl_inszf2bbvzd2destz42zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6245, obj_t BgL_oz00_6246)
	{
		{	/* SawBbv/bbv-types.sch 154 */
			return
				BGl_rtl_inszf2bbvzd2destz20zzsaw_bbvzd2mergezd2(
				((BgL_rtl_insz00_bglt) BgL_oz00_6246));
		}

	}



/* rtl_ins/bbv-dest-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2destzd2setz12ze0zzsaw_bbvzd2mergezd2(BgL_rtl_insz00_bglt
		BgL_oz00_106, obj_t BgL_vz00_107)
	{
		{	/* SawBbv/bbv-types.sch 155 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_oz00_106)))->BgL_destz00) =
				((obj_t) BgL_vz00_107), BUNSPEC);
		}

	}



/* &rtl_ins/bbv-dest-set! */
	obj_t BGl_z62rtl_inszf2bbvzd2destzd2setz12z82zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6247, obj_t BgL_oz00_6248, obj_t BgL_vz00_6249)
	{
		{	/* SawBbv/bbv-types.sch 155 */
			return
				BGl_rtl_inszf2bbvzd2destzd2setz12ze0zzsaw_bbvzd2mergezd2(
				((BgL_rtl_insz00_bglt) BgL_oz00_6248), BgL_vz00_6249);
		}

	}



/* rtl_ins/bbv-%spill */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2z52spillz72zzsaw_bbvzd2mergezd2(BgL_rtl_insz00_bglt
		BgL_oz00_108)
	{
		{	/* SawBbv/bbv-types.sch 156 */
			return
				(((BgL_rtl_insz00_bglt) COBJECT(
						((BgL_rtl_insz00_bglt) BgL_oz00_108)))->BgL_z52spillz52);
		}

	}



/* &rtl_ins/bbv-%spill */
	obj_t BGl_z62rtl_inszf2bbvzd2z52spillz10zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6250, obj_t BgL_oz00_6251)
	{
		{	/* SawBbv/bbv-types.sch 156 */
			return
				BGl_rtl_inszf2bbvzd2z52spillz72zzsaw_bbvzd2mergezd2(
				((BgL_rtl_insz00_bglt) BgL_oz00_6251));
		}

	}



/* rtl_ins/bbv-%spill-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2z52spillzd2setz12zb2zzsaw_bbvzd2mergezd2
		(BgL_rtl_insz00_bglt BgL_oz00_109, obj_t BgL_vz00_110)
	{
		{	/* SawBbv/bbv-types.sch 157 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_oz00_109)))->BgL_z52spillz52) =
				((obj_t) BgL_vz00_110), BUNSPEC);
		}

	}



/* &rtl_ins/bbv-%spill-set! */
	obj_t BGl_z62rtl_inszf2bbvzd2z52spillzd2setz12zd0zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6252, obj_t BgL_oz00_6253, obj_t BgL_vz00_6254)
	{
		{	/* SawBbv/bbv-types.sch 157 */
			return
				BGl_rtl_inszf2bbvzd2z52spillzd2setz12zb2zzsaw_bbvzd2mergezd2(
				((BgL_rtl_insz00_bglt) BgL_oz00_6253), BgL_vz00_6254);
		}

	}



/* rtl_ins/bbv-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2locz20zzsaw_bbvzd2mergezd2(BgL_rtl_insz00_bglt
		BgL_oz00_111)
	{
		{	/* SawBbv/bbv-types.sch 158 */
			return
				(((BgL_rtl_insz00_bglt) COBJECT(
						((BgL_rtl_insz00_bglt) BgL_oz00_111)))->BgL_locz00);
		}

	}



/* &rtl_ins/bbv-loc */
	obj_t BGl_z62rtl_inszf2bbvzd2locz42zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6255,
		obj_t BgL_oz00_6256)
	{
		{	/* SawBbv/bbv-types.sch 158 */
			return
				BGl_rtl_inszf2bbvzd2locz20zzsaw_bbvzd2mergezd2(
				((BgL_rtl_insz00_bglt) BgL_oz00_6256));
		}

	}



/* rtl_ins/bbv-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2loczd2setz12ze0zzsaw_bbvzd2mergezd2(BgL_rtl_insz00_bglt
		BgL_oz00_112, obj_t BgL_vz00_113)
	{
		{	/* SawBbv/bbv-types.sch 159 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_oz00_112)))->BgL_locz00) =
				((obj_t) BgL_vz00_113), BUNSPEC);
		}

	}



/* &rtl_ins/bbv-loc-set! */
	obj_t BGl_z62rtl_inszf2bbvzd2loczd2setz12z82zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6257, obj_t BgL_oz00_6258, obj_t BgL_vz00_6259)
	{
		{	/* SawBbv/bbv-types.sch 159 */
			return
				BGl_rtl_inszf2bbvzd2loczd2setz12ze0zzsaw_bbvzd2mergezd2(
				((BgL_rtl_insz00_bglt) BgL_oz00_6258), BgL_vz00_6259);
		}

	}



/* make-blockV */
	BGL_EXPORTED_DEF BgL_blockz00_bglt
		BGl_makezd2blockVzd2zzsaw_bbvzd2mergezd2(int BgL_label1255z00_114,
		obj_t BgL_preds1256z00_115, obj_t BgL_succs1257z00_116,
		obj_t BgL_first1258z00_117, obj_t BgL_versions1259z00_118,
		obj_t BgL_generic1260z00_119, long BgL_z52mark1261z52_120,
		obj_t BgL_merge1262z00_121)
	{
		{	/* SawBbv/bbv-types.sch 162 */
			{	/* SawBbv/bbv-types.sch 162 */
				BgL_blockz00_bglt BgL_new1176z00_6591;

				{	/* SawBbv/bbv-types.sch 162 */
					BgL_blockz00_bglt BgL_tmp1174z00_6592;
					BgL_blockvz00_bglt BgL_wide1175z00_6593;

					{
						BgL_blockz00_bglt BgL_auxz00_7313;

						{	/* SawBbv/bbv-types.sch 162 */
							BgL_blockz00_bglt BgL_new1173z00_6594;

							BgL_new1173z00_6594 =
								((BgL_blockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_blockz00_bgl))));
							{	/* SawBbv/bbv-types.sch 162 */
								long BgL_arg1857z00_6595;

								BgL_arg1857z00_6595 = BGL_CLASS_NUM(BGl_blockz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1173z00_6594),
									BgL_arg1857z00_6595);
							}
							{	/* SawBbv/bbv-types.sch 162 */
								BgL_objectz00_bglt BgL_tmpz00_7318;

								BgL_tmpz00_7318 = ((BgL_objectz00_bglt) BgL_new1173z00_6594);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7318, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1173z00_6594);
							BgL_auxz00_7313 = BgL_new1173z00_6594;
						}
						BgL_tmp1174z00_6592 = ((BgL_blockz00_bglt) BgL_auxz00_7313);
					}
					BgL_wide1175z00_6593 =
						((BgL_blockvz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_blockvz00_bgl))));
					{	/* SawBbv/bbv-types.sch 162 */
						obj_t BgL_auxz00_7326;
						BgL_objectz00_bglt BgL_tmpz00_7324;

						BgL_auxz00_7326 = ((obj_t) BgL_wide1175z00_6593);
						BgL_tmpz00_7324 = ((BgL_objectz00_bglt) BgL_tmp1174z00_6592);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7324, BgL_auxz00_7326);
					}
					((BgL_objectz00_bglt) BgL_tmp1174z00_6592);
					{	/* SawBbv/bbv-types.sch 162 */
						long BgL_arg1856z00_6596;

						BgL_arg1856z00_6596 =
							BGL_CLASS_NUM(BGl_blockVz00zzsaw_bbvzd2typeszd2);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1174z00_6592), BgL_arg1856z00_6596);
					}
					BgL_new1176z00_6591 = ((BgL_blockz00_bglt) BgL_tmp1174z00_6592);
				}
				((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_new1176z00_6591)))->BgL_labelz00) =
					((int) BgL_label1255z00_114), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
									BgL_new1176z00_6591)))->BgL_predsz00) =
					((obj_t) BgL_preds1256z00_115), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
									BgL_new1176z00_6591)))->BgL_succsz00) =
					((obj_t) BgL_succs1257z00_116), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
									BgL_new1176z00_6591)))->BgL_firstz00) =
					((obj_t) BgL_first1258z00_117), BUNSPEC);
				{
					BgL_blockvz00_bglt BgL_auxz00_7342;

					{
						obj_t BgL_auxz00_7343;

						{	/* SawBbv/bbv-types.sch 162 */
							BgL_objectz00_bglt BgL_tmpz00_7344;

							BgL_tmpz00_7344 = ((BgL_objectz00_bglt) BgL_new1176z00_6591);
							BgL_auxz00_7343 = BGL_OBJECT_WIDENING(BgL_tmpz00_7344);
						}
						BgL_auxz00_7342 = ((BgL_blockvz00_bglt) BgL_auxz00_7343);
					}
					((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_7342))->BgL_versionsz00) =
						((obj_t) BgL_versions1259z00_118), BUNSPEC);
				}
				{
					BgL_blockvz00_bglt BgL_auxz00_7349;

					{
						obj_t BgL_auxz00_7350;

						{	/* SawBbv/bbv-types.sch 162 */
							BgL_objectz00_bglt BgL_tmpz00_7351;

							BgL_tmpz00_7351 = ((BgL_objectz00_bglt) BgL_new1176z00_6591);
							BgL_auxz00_7350 = BGL_OBJECT_WIDENING(BgL_tmpz00_7351);
						}
						BgL_auxz00_7349 = ((BgL_blockvz00_bglt) BgL_auxz00_7350);
					}
					((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_7349))->BgL_genericz00) =
						((obj_t) BgL_generic1260z00_119), BUNSPEC);
				}
				{
					BgL_blockvz00_bglt BgL_auxz00_7356;

					{
						obj_t BgL_auxz00_7357;

						{	/* SawBbv/bbv-types.sch 162 */
							BgL_objectz00_bglt BgL_tmpz00_7358;

							BgL_tmpz00_7358 = ((BgL_objectz00_bglt) BgL_new1176z00_6591);
							BgL_auxz00_7357 = BGL_OBJECT_WIDENING(BgL_tmpz00_7358);
						}
						BgL_auxz00_7356 = ((BgL_blockvz00_bglt) BgL_auxz00_7357);
					}
					((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_7356))->BgL_z52markz52) =
						((long) BgL_z52mark1261z52_120), BUNSPEC);
				}
				{
					BgL_blockvz00_bglt BgL_auxz00_7363;

					{
						obj_t BgL_auxz00_7364;

						{	/* SawBbv/bbv-types.sch 162 */
							BgL_objectz00_bglt BgL_tmpz00_7365;

							BgL_tmpz00_7365 = ((BgL_objectz00_bglt) BgL_new1176z00_6591);
							BgL_auxz00_7364 = BGL_OBJECT_WIDENING(BgL_tmpz00_7365);
						}
						BgL_auxz00_7363 = ((BgL_blockvz00_bglt) BgL_auxz00_7364);
					}
					((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_7363))->BgL_mergez00) =
						((obj_t) BgL_merge1262z00_121), BUNSPEC);
				}
				return BgL_new1176z00_6591;
			}
		}

	}



/* &make-blockV */
	BgL_blockz00_bglt BGl_z62makezd2blockVzb0zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6260, obj_t BgL_label1255z00_6261, obj_t BgL_preds1256z00_6262,
		obj_t BgL_succs1257z00_6263, obj_t BgL_first1258z00_6264,
		obj_t BgL_versions1259z00_6265, obj_t BgL_generic1260z00_6266,
		obj_t BgL_z52mark1261z52_6267, obj_t BgL_merge1262z00_6268)
	{
		{	/* SawBbv/bbv-types.sch 162 */
			return
				BGl_makezd2blockVzd2zzsaw_bbvzd2mergezd2(CINT(BgL_label1255z00_6261),
				BgL_preds1256z00_6262, BgL_succs1257z00_6263, BgL_first1258z00_6264,
				BgL_versions1259z00_6265, BgL_generic1260z00_6266,
				(long) CINT(BgL_z52mark1261z52_6267), BgL_merge1262z00_6268);
		}

	}



/* blockV? */
	BGL_EXPORTED_DEF bool_t BGl_blockVzf3zf3zzsaw_bbvzd2mergezd2(obj_t
		BgL_objz00_122)
	{
		{	/* SawBbv/bbv-types.sch 163 */
			{	/* SawBbv/bbv-types.sch 163 */
				obj_t BgL_classz00_6597;

				BgL_classz00_6597 = BGl_blockVz00zzsaw_bbvzd2typeszd2;
				if (BGL_OBJECTP(BgL_objz00_122))
					{	/* SawBbv/bbv-types.sch 163 */
						BgL_objectz00_bglt BgL_arg1858z00_6598;

						BgL_arg1858z00_6598 = (BgL_objectz00_bglt) (BgL_objz00_122);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawBbv/bbv-types.sch 163 */
								long BgL_idxz00_6599;

								BgL_idxz00_6599 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6598);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_6599 + 2L)) == BgL_classz00_6597);
							}
						else
							{	/* SawBbv/bbv-types.sch 163 */
								bool_t BgL_res3209z00_6602;

								{	/* SawBbv/bbv-types.sch 163 */
									obj_t BgL_oclassz00_6603;

									{	/* SawBbv/bbv-types.sch 163 */
										obj_t BgL_arg1866z00_6604;
										long BgL_arg1867z00_6605;

										BgL_arg1866z00_6604 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawBbv/bbv-types.sch 163 */
											long BgL_arg1869z00_6606;

											BgL_arg1869z00_6606 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6598);
											BgL_arg1867z00_6605 = (BgL_arg1869z00_6606 - OBJECT_TYPE);
										}
										BgL_oclassz00_6603 =
											VECTOR_REF(BgL_arg1866z00_6604, BgL_arg1867z00_6605);
									}
									{	/* SawBbv/bbv-types.sch 163 */
										bool_t BgL__ortest_1115z00_6607;

										BgL__ortest_1115z00_6607 =
											(BgL_classz00_6597 == BgL_oclassz00_6603);
										if (BgL__ortest_1115z00_6607)
											{	/* SawBbv/bbv-types.sch 163 */
												BgL_res3209z00_6602 = BgL__ortest_1115z00_6607;
											}
										else
											{	/* SawBbv/bbv-types.sch 163 */
												long BgL_odepthz00_6608;

												{	/* SawBbv/bbv-types.sch 163 */
													obj_t BgL_arg1855z00_6609;

													BgL_arg1855z00_6609 = (BgL_oclassz00_6603);
													BgL_odepthz00_6608 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_6609);
												}
												if ((2L < BgL_odepthz00_6608))
													{	/* SawBbv/bbv-types.sch 163 */
														obj_t BgL_arg1853z00_6610;

														{	/* SawBbv/bbv-types.sch 163 */
															obj_t BgL_arg1854z00_6611;

															BgL_arg1854z00_6611 = (BgL_oclassz00_6603);
															BgL_arg1853z00_6610 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_6611,
																2L);
														}
														BgL_res3209z00_6602 =
															(BgL_arg1853z00_6610 == BgL_classz00_6597);
													}
												else
													{	/* SawBbv/bbv-types.sch 163 */
														BgL_res3209z00_6602 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3209z00_6602;
							}
					}
				else
					{	/* SawBbv/bbv-types.sch 163 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &blockV? */
	obj_t BGl_z62blockVzf3z91zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6269,
		obj_t BgL_objz00_6270)
	{
		{	/* SawBbv/bbv-types.sch 163 */
			return BBOOL(BGl_blockVzf3zf3zzsaw_bbvzd2mergezd2(BgL_objz00_6270));
		}

	}



/* blockV-nil */
	BGL_EXPORTED_DEF BgL_blockz00_bglt
		BGl_blockVzd2nilzd2zzsaw_bbvzd2mergezd2(void)
	{
		{	/* SawBbv/bbv-types.sch 164 */
			{	/* SawBbv/bbv-types.sch 164 */
				obj_t BgL_classz00_4626;

				BgL_classz00_4626 = BGl_blockVz00zzsaw_bbvzd2typeszd2;
				{	/* SawBbv/bbv-types.sch 164 */
					obj_t BgL__ortest_1117z00_4627;

					BgL__ortest_1117z00_4627 = BGL_CLASS_NIL(BgL_classz00_4626);
					if (CBOOL(BgL__ortest_1117z00_4627))
						{	/* SawBbv/bbv-types.sch 164 */
							return ((BgL_blockz00_bglt) BgL__ortest_1117z00_4627);
						}
					else
						{	/* SawBbv/bbv-types.sch 164 */
							return
								((BgL_blockz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4626));
						}
				}
			}
		}

	}



/* &blockV-nil */
	BgL_blockz00_bglt BGl_z62blockVzd2nilzb0zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6271)
	{
		{	/* SawBbv/bbv-types.sch 164 */
			return BGl_blockVzd2nilzd2zzsaw_bbvzd2mergezd2();
		}

	}



/* blockV-merge */
	BGL_EXPORTED_DEF obj_t
		BGl_blockVzd2mergezd2zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt BgL_oz00_123)
	{
		{	/* SawBbv/bbv-types.sch 165 */
			{
				BgL_blockvz00_bglt BgL_auxz00_7404;

				{
					obj_t BgL_auxz00_7405;

					{	/* SawBbv/bbv-types.sch 165 */
						BgL_objectz00_bglt BgL_tmpz00_7406;

						BgL_tmpz00_7406 = ((BgL_objectz00_bglt) BgL_oz00_123);
						BgL_auxz00_7405 = BGL_OBJECT_WIDENING(BgL_tmpz00_7406);
					}
					BgL_auxz00_7404 = ((BgL_blockvz00_bglt) BgL_auxz00_7405);
				}
				return (((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_7404))->BgL_mergez00);
			}
		}

	}



/* &blockV-merge */
	obj_t BGl_z62blockVzd2mergezb0zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6272,
		obj_t BgL_oz00_6273)
	{
		{	/* SawBbv/bbv-types.sch 165 */
			return
				BGl_blockVzd2mergezd2zzsaw_bbvzd2mergezd2(
				((BgL_blockz00_bglt) BgL_oz00_6273));
		}

	}



/* blockV-merge-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockVzd2mergezd2setz12z12zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt
		BgL_oz00_124, obj_t BgL_vz00_125)
	{
		{	/* SawBbv/bbv-types.sch 166 */
			{
				BgL_blockvz00_bglt BgL_auxz00_7413;

				{
					obj_t BgL_auxz00_7414;

					{	/* SawBbv/bbv-types.sch 166 */
						BgL_objectz00_bglt BgL_tmpz00_7415;

						BgL_tmpz00_7415 = ((BgL_objectz00_bglt) BgL_oz00_124);
						BgL_auxz00_7414 = BGL_OBJECT_WIDENING(BgL_tmpz00_7415);
					}
					BgL_auxz00_7413 = ((BgL_blockvz00_bglt) BgL_auxz00_7414);
				}
				return
					((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_7413))->BgL_mergez00) =
					((obj_t) BgL_vz00_125), BUNSPEC);
			}
		}

	}



/* &blockV-merge-set! */
	obj_t BGl_z62blockVzd2mergezd2setz12z70zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6274, obj_t BgL_oz00_6275, obj_t BgL_vz00_6276)
	{
		{	/* SawBbv/bbv-types.sch 166 */
			return
				BGl_blockVzd2mergezd2setz12z12zzsaw_bbvzd2mergezd2(
				((BgL_blockz00_bglt) BgL_oz00_6275), BgL_vz00_6276);
		}

	}



/* blockV-%mark */
	BGL_EXPORTED_DEF long
		BGl_blockVzd2z52markz80zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt BgL_oz00_126)
	{
		{	/* SawBbv/bbv-types.sch 167 */
			{
				BgL_blockvz00_bglt BgL_auxz00_7422;

				{
					obj_t BgL_auxz00_7423;

					{	/* SawBbv/bbv-types.sch 167 */
						BgL_objectz00_bglt BgL_tmpz00_7424;

						BgL_tmpz00_7424 = ((BgL_objectz00_bglt) BgL_oz00_126);
						BgL_auxz00_7423 = BGL_OBJECT_WIDENING(BgL_tmpz00_7424);
					}
					BgL_auxz00_7422 = ((BgL_blockvz00_bglt) BgL_auxz00_7423);
				}
				return
					(((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_7422))->BgL_z52markz52);
			}
		}

	}



/* &blockV-%mark */
	obj_t BGl_z62blockVzd2z52markze2zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6277,
		obj_t BgL_oz00_6278)
	{
		{	/* SawBbv/bbv-types.sch 167 */
			return
				BINT(BGl_blockVzd2z52markz80zzsaw_bbvzd2mergezd2(
					((BgL_blockz00_bglt) BgL_oz00_6278)));
		}

	}



/* blockV-%mark-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockVzd2z52markzd2setz12z40zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt
		BgL_oz00_127, long BgL_vz00_128)
	{
		{	/* SawBbv/bbv-types.sch 168 */
			{
				BgL_blockvz00_bglt BgL_auxz00_7432;

				{
					obj_t BgL_auxz00_7433;

					{	/* SawBbv/bbv-types.sch 168 */
						BgL_objectz00_bglt BgL_tmpz00_7434;

						BgL_tmpz00_7434 = ((BgL_objectz00_bglt) BgL_oz00_127);
						BgL_auxz00_7433 = BGL_OBJECT_WIDENING(BgL_tmpz00_7434);
					}
					BgL_auxz00_7432 = ((BgL_blockvz00_bglt) BgL_auxz00_7433);
				}
				return
					((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_7432))->BgL_z52markz52) =
					((long) BgL_vz00_128), BUNSPEC);
		}}

	}



/* &blockV-%mark-set! */
	obj_t BGl_z62blockVzd2z52markzd2setz12z22zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6279, obj_t BgL_oz00_6280, obj_t BgL_vz00_6281)
	{
		{	/* SawBbv/bbv-types.sch 168 */
			return
				BGl_blockVzd2z52markzd2setz12z40zzsaw_bbvzd2mergezd2(
				((BgL_blockz00_bglt) BgL_oz00_6280), (long) CINT(BgL_vz00_6281));
		}

	}



/* blockV-generic */
	BGL_EXPORTED_DEF obj_t
		BGl_blockVzd2genericzd2zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt BgL_oz00_129)
	{
		{	/* SawBbv/bbv-types.sch 169 */
			{
				BgL_blockvz00_bglt BgL_auxz00_7442;

				{
					obj_t BgL_auxz00_7443;

					{	/* SawBbv/bbv-types.sch 169 */
						BgL_objectz00_bglt BgL_tmpz00_7444;

						BgL_tmpz00_7444 = ((BgL_objectz00_bglt) BgL_oz00_129);
						BgL_auxz00_7443 = BGL_OBJECT_WIDENING(BgL_tmpz00_7444);
					}
					BgL_auxz00_7442 = ((BgL_blockvz00_bglt) BgL_auxz00_7443);
				}
				return
					(((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_7442))->BgL_genericz00);
			}
		}

	}



/* &blockV-generic */
	obj_t BGl_z62blockVzd2genericzb0zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6282,
		obj_t BgL_oz00_6283)
	{
		{	/* SawBbv/bbv-types.sch 169 */
			return
				BGl_blockVzd2genericzd2zzsaw_bbvzd2mergezd2(
				((BgL_blockz00_bglt) BgL_oz00_6283));
		}

	}



/* blockV-generic-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockVzd2genericzd2setz12z12zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt
		BgL_oz00_130, obj_t BgL_vz00_131)
	{
		{	/* SawBbv/bbv-types.sch 170 */
			{
				BgL_blockvz00_bglt BgL_auxz00_7451;

				{
					obj_t BgL_auxz00_7452;

					{	/* SawBbv/bbv-types.sch 170 */
						BgL_objectz00_bglt BgL_tmpz00_7453;

						BgL_tmpz00_7453 = ((BgL_objectz00_bglt) BgL_oz00_130);
						BgL_auxz00_7452 = BGL_OBJECT_WIDENING(BgL_tmpz00_7453);
					}
					BgL_auxz00_7451 = ((BgL_blockvz00_bglt) BgL_auxz00_7452);
				}
				return
					((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_7451))->BgL_genericz00) =
					((obj_t) BgL_vz00_131), BUNSPEC);
			}
		}

	}



/* &blockV-generic-set! */
	obj_t BGl_z62blockVzd2genericzd2setz12z70zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6284, obj_t BgL_oz00_6285, obj_t BgL_vz00_6286)
	{
		{	/* SawBbv/bbv-types.sch 170 */
			return
				BGl_blockVzd2genericzd2setz12z12zzsaw_bbvzd2mergezd2(
				((BgL_blockz00_bglt) BgL_oz00_6285), BgL_vz00_6286);
		}

	}



/* blockV-versions */
	BGL_EXPORTED_DEF obj_t
		BGl_blockVzd2versionszd2zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt BgL_oz00_132)
	{
		{	/* SawBbv/bbv-types.sch 171 */
			{
				BgL_blockvz00_bglt BgL_auxz00_7460;

				{
					obj_t BgL_auxz00_7461;

					{	/* SawBbv/bbv-types.sch 171 */
						BgL_objectz00_bglt BgL_tmpz00_7462;

						BgL_tmpz00_7462 = ((BgL_objectz00_bglt) BgL_oz00_132);
						BgL_auxz00_7461 = BGL_OBJECT_WIDENING(BgL_tmpz00_7462);
					}
					BgL_auxz00_7460 = ((BgL_blockvz00_bglt) BgL_auxz00_7461);
				}
				return
					(((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_7460))->BgL_versionsz00);
			}
		}

	}



/* &blockV-versions */
	obj_t BGl_z62blockVzd2versionszb0zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6287,
		obj_t BgL_oz00_6288)
	{
		{	/* SawBbv/bbv-types.sch 171 */
			return
				BGl_blockVzd2versionszd2zzsaw_bbvzd2mergezd2(
				((BgL_blockz00_bglt) BgL_oz00_6288));
		}

	}



/* blockV-versions-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockVzd2versionszd2setz12z12zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt
		BgL_oz00_133, obj_t BgL_vz00_134)
	{
		{	/* SawBbv/bbv-types.sch 172 */
			{
				BgL_blockvz00_bglt BgL_auxz00_7469;

				{
					obj_t BgL_auxz00_7470;

					{	/* SawBbv/bbv-types.sch 172 */
						BgL_objectz00_bglt BgL_tmpz00_7471;

						BgL_tmpz00_7471 = ((BgL_objectz00_bglt) BgL_oz00_133);
						BgL_auxz00_7470 = BGL_OBJECT_WIDENING(BgL_tmpz00_7471);
					}
					BgL_auxz00_7469 = ((BgL_blockvz00_bglt) BgL_auxz00_7470);
				}
				return
					((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_7469))->BgL_versionsz00) =
					((obj_t) BgL_vz00_134), BUNSPEC);
			}
		}

	}



/* &blockV-versions-set! */
	obj_t BGl_z62blockVzd2versionszd2setz12z70zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6289, obj_t BgL_oz00_6290, obj_t BgL_vz00_6291)
	{
		{	/* SawBbv/bbv-types.sch 172 */
			return
				BGl_blockVzd2versionszd2setz12z12zzsaw_bbvzd2mergezd2(
				((BgL_blockz00_bglt) BgL_oz00_6290), BgL_vz00_6291);
		}

	}



/* blockV-first */
	BGL_EXPORTED_DEF obj_t
		BGl_blockVzd2firstzd2zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt BgL_oz00_135)
	{
		{	/* SawBbv/bbv-types.sch 173 */
			return
				(((BgL_blockz00_bglt) COBJECT(
						((BgL_blockz00_bglt) BgL_oz00_135)))->BgL_firstz00);
		}

	}



/* &blockV-first */
	obj_t BGl_z62blockVzd2firstzb0zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6292,
		obj_t BgL_oz00_6293)
	{
		{	/* SawBbv/bbv-types.sch 173 */
			return
				BGl_blockVzd2firstzd2zzsaw_bbvzd2mergezd2(
				((BgL_blockz00_bglt) BgL_oz00_6293));
		}

	}



/* blockV-first-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockVzd2firstzd2setz12z12zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt
		BgL_oz00_136, obj_t BgL_vz00_137)
	{
		{	/* SawBbv/bbv-types.sch 174 */
			return
				((((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_136)))->BgL_firstz00) =
				((obj_t) BgL_vz00_137), BUNSPEC);
		}

	}



/* &blockV-first-set! */
	obj_t BGl_z62blockVzd2firstzd2setz12z70zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6294, obj_t BgL_oz00_6295, obj_t BgL_vz00_6296)
	{
		{	/* SawBbv/bbv-types.sch 174 */
			return
				BGl_blockVzd2firstzd2setz12z12zzsaw_bbvzd2mergezd2(
				((BgL_blockz00_bglt) BgL_oz00_6295), BgL_vz00_6296);
		}

	}



/* blockV-succs */
	BGL_EXPORTED_DEF obj_t
		BGl_blockVzd2succszd2zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt BgL_oz00_138)
	{
		{	/* SawBbv/bbv-types.sch 175 */
			return
				(((BgL_blockz00_bglt) COBJECT(
						((BgL_blockz00_bglt) BgL_oz00_138)))->BgL_succsz00);
		}

	}



/* &blockV-succs */
	obj_t BGl_z62blockVzd2succszb0zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6297,
		obj_t BgL_oz00_6298)
	{
		{	/* SawBbv/bbv-types.sch 175 */
			return
				BGl_blockVzd2succszd2zzsaw_bbvzd2mergezd2(
				((BgL_blockz00_bglt) BgL_oz00_6298));
		}

	}



/* blockV-succs-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockVzd2succszd2setz12z12zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt
		BgL_oz00_139, obj_t BgL_vz00_140)
	{
		{	/* SawBbv/bbv-types.sch 176 */
			return
				((((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_139)))->BgL_succsz00) =
				((obj_t) BgL_vz00_140), BUNSPEC);
		}

	}



/* &blockV-succs-set! */
	obj_t BGl_z62blockVzd2succszd2setz12z70zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6299, obj_t BgL_oz00_6300, obj_t BgL_vz00_6301)
	{
		{	/* SawBbv/bbv-types.sch 176 */
			return
				BGl_blockVzd2succszd2setz12z12zzsaw_bbvzd2mergezd2(
				((BgL_blockz00_bglt) BgL_oz00_6300), BgL_vz00_6301);
		}

	}



/* blockV-preds */
	BGL_EXPORTED_DEF obj_t
		BGl_blockVzd2predszd2zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt BgL_oz00_141)
	{
		{	/* SawBbv/bbv-types.sch 177 */
			return
				(((BgL_blockz00_bglt) COBJECT(
						((BgL_blockz00_bglt) BgL_oz00_141)))->BgL_predsz00);
		}

	}



/* &blockV-preds */
	obj_t BGl_z62blockVzd2predszb0zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6302,
		obj_t BgL_oz00_6303)
	{
		{	/* SawBbv/bbv-types.sch 177 */
			return
				BGl_blockVzd2predszd2zzsaw_bbvzd2mergezd2(
				((BgL_blockz00_bglt) BgL_oz00_6303));
		}

	}



/* blockV-preds-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockVzd2predszd2setz12z12zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt
		BgL_oz00_142, obj_t BgL_vz00_143)
	{
		{	/* SawBbv/bbv-types.sch 178 */
			return
				((((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_142)))->BgL_predsz00) =
				((obj_t) BgL_vz00_143), BUNSPEC);
		}

	}



/* &blockV-preds-set! */
	obj_t BGl_z62blockVzd2predszd2setz12z70zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6304, obj_t BgL_oz00_6305, obj_t BgL_vz00_6306)
	{
		{	/* SawBbv/bbv-types.sch 178 */
			return
				BGl_blockVzd2predszd2setz12z12zzsaw_bbvzd2mergezd2(
				((BgL_blockz00_bglt) BgL_oz00_6305), BgL_vz00_6306);
		}

	}



/* blockV-label */
	BGL_EXPORTED_DEF int
		BGl_blockVzd2labelzd2zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt BgL_oz00_144)
	{
		{	/* SawBbv/bbv-types.sch 179 */
			return
				(((BgL_blockz00_bglt) COBJECT(
						((BgL_blockz00_bglt) BgL_oz00_144)))->BgL_labelz00);
		}

	}



/* &blockV-label */
	obj_t BGl_z62blockVzd2labelzb0zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6307,
		obj_t BgL_oz00_6308)
	{
		{	/* SawBbv/bbv-types.sch 179 */
			return
				BINT(BGl_blockVzd2labelzd2zzsaw_bbvzd2mergezd2(
					((BgL_blockz00_bglt) BgL_oz00_6308)));
		}

	}



/* blockV-label-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockVzd2labelzd2setz12z12zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt
		BgL_oz00_145, int BgL_vz00_146)
	{
		{	/* SawBbv/bbv-types.sch 180 */
			return
				((((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_145)))->BgL_labelz00) =
				((int) BgL_vz00_146), BUNSPEC);
		}

	}



/* &blockV-label-set! */
	obj_t BGl_z62blockVzd2labelzd2setz12z70zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6309, obj_t BgL_oz00_6310, obj_t BgL_vz00_6311)
	{
		{	/* SawBbv/bbv-types.sch 180 */
			return
				BGl_blockVzd2labelzd2setz12z12zzsaw_bbvzd2mergezd2(
				((BgL_blockz00_bglt) BgL_oz00_6310), CINT(BgL_vz00_6311));
		}

	}



/* make-blockS */
	BGL_EXPORTED_DEF BgL_blockz00_bglt
		BGl_makezd2blockSzd2zzsaw_bbvzd2mergezd2(int BgL_label1239z00_147,
		obj_t BgL_preds1240z00_148, obj_t BgL_succs1241z00_149,
		obj_t BgL_first1242z00_150, long BgL_z52mark1243z52_151,
		obj_t BgL_z52hash1244z52_152, obj_t BgL_z52blacklist1245z52_153,
		BgL_bbvzd2ctxzd2_bglt BgL_ctx1246z00_154,
		BgL_blockz00_bglt BgL_parent1247z00_155, long BgL_gccnt1248z00_156,
		long BgL_gcmark1249z00_157, obj_t BgL_mblock1250z00_158,
		obj_t BgL_creator1251z00_159, obj_t BgL_merges1252z00_160,
		bool_t BgL_asleep1253z00_161)
	{
		{	/* SawBbv/bbv-types.sch 183 */
			{	/* SawBbv/bbv-types.sch 183 */
				BgL_blockz00_bglt BgL_new1181z00_6612;

				{	/* SawBbv/bbv-types.sch 183 */
					BgL_blockz00_bglt BgL_tmp1179z00_6613;
					BgL_blocksz00_bglt BgL_wide1180z00_6614;

					{
						BgL_blockz00_bglt BgL_auxz00_7512;

						{	/* SawBbv/bbv-types.sch 183 */
							BgL_blockz00_bglt BgL_new1178z00_6615;

							BgL_new1178z00_6615 =
								((BgL_blockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_blockz00_bgl))));
							{	/* SawBbv/bbv-types.sch 183 */
								long BgL_arg1865z00_6616;

								BgL_arg1865z00_6616 = BGL_CLASS_NUM(BGl_blockz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1178z00_6615),
									BgL_arg1865z00_6616);
							}
							{	/* SawBbv/bbv-types.sch 183 */
								BgL_objectz00_bglt BgL_tmpz00_7517;

								BgL_tmpz00_7517 = ((BgL_objectz00_bglt) BgL_new1178z00_6615);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7517, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1178z00_6615);
							BgL_auxz00_7512 = BgL_new1178z00_6615;
						}
						BgL_tmp1179z00_6613 = ((BgL_blockz00_bglt) BgL_auxz00_7512);
					}
					BgL_wide1180z00_6614 =
						((BgL_blocksz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_blocksz00_bgl))));
					{	/* SawBbv/bbv-types.sch 183 */
						obj_t BgL_auxz00_7525;
						BgL_objectz00_bglt BgL_tmpz00_7523;

						BgL_auxz00_7525 = ((obj_t) BgL_wide1180z00_6614);
						BgL_tmpz00_7523 = ((BgL_objectz00_bglt) BgL_tmp1179z00_6613);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7523, BgL_auxz00_7525);
					}
					((BgL_objectz00_bglt) BgL_tmp1179z00_6613);
					{	/* SawBbv/bbv-types.sch 183 */
						long BgL_arg1859z00_6617;

						BgL_arg1859z00_6617 =
							BGL_CLASS_NUM(BGl_blockSz00zzsaw_bbvzd2typeszd2);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1179z00_6613), BgL_arg1859z00_6617);
					}
					BgL_new1181z00_6612 = ((BgL_blockz00_bglt) BgL_tmp1179z00_6613);
				}
				((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_new1181z00_6612)))->BgL_labelz00) =
					((int) BgL_label1239z00_147), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
									BgL_new1181z00_6612)))->BgL_predsz00) =
					((obj_t) BgL_preds1240z00_148), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
									BgL_new1181z00_6612)))->BgL_succsz00) =
					((obj_t) BgL_succs1241z00_149), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
									BgL_new1181z00_6612)))->BgL_firstz00) =
					((obj_t) BgL_first1242z00_150), BUNSPEC);
				{
					BgL_blocksz00_bglt BgL_auxz00_7541;

					{
						obj_t BgL_auxz00_7542;

						{	/* SawBbv/bbv-types.sch 183 */
							BgL_objectz00_bglt BgL_tmpz00_7543;

							BgL_tmpz00_7543 = ((BgL_objectz00_bglt) BgL_new1181z00_6612);
							BgL_auxz00_7542 = BGL_OBJECT_WIDENING(BgL_tmpz00_7543);
						}
						BgL_auxz00_7541 = ((BgL_blocksz00_bglt) BgL_auxz00_7542);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_7541))->BgL_z52markz52) =
						((long) BgL_z52mark1243z52_151), BUNSPEC);
				}
				{
					BgL_blocksz00_bglt BgL_auxz00_7548;

					{
						obj_t BgL_auxz00_7549;

						{	/* SawBbv/bbv-types.sch 183 */
							BgL_objectz00_bglt BgL_tmpz00_7550;

							BgL_tmpz00_7550 = ((BgL_objectz00_bglt) BgL_new1181z00_6612);
							BgL_auxz00_7549 = BGL_OBJECT_WIDENING(BgL_tmpz00_7550);
						}
						BgL_auxz00_7548 = ((BgL_blocksz00_bglt) BgL_auxz00_7549);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_7548))->BgL_z52hashz52) =
						((obj_t) BgL_z52hash1244z52_152), BUNSPEC);
				}
				{
					BgL_blocksz00_bglt BgL_auxz00_7555;

					{
						obj_t BgL_auxz00_7556;

						{	/* SawBbv/bbv-types.sch 183 */
							BgL_objectz00_bglt BgL_tmpz00_7557;

							BgL_tmpz00_7557 = ((BgL_objectz00_bglt) BgL_new1181z00_6612);
							BgL_auxz00_7556 = BGL_OBJECT_WIDENING(BgL_tmpz00_7557);
						}
						BgL_auxz00_7555 = ((BgL_blocksz00_bglt) BgL_auxz00_7556);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_7555))->
							BgL_z52blacklistz52) =
						((obj_t) BgL_z52blacklist1245z52_153), BUNSPEC);
				}
				{
					BgL_blocksz00_bglt BgL_auxz00_7562;

					{
						obj_t BgL_auxz00_7563;

						{	/* SawBbv/bbv-types.sch 183 */
							BgL_objectz00_bglt BgL_tmpz00_7564;

							BgL_tmpz00_7564 = ((BgL_objectz00_bglt) BgL_new1181z00_6612);
							BgL_auxz00_7563 = BGL_OBJECT_WIDENING(BgL_tmpz00_7564);
						}
						BgL_auxz00_7562 = ((BgL_blocksz00_bglt) BgL_auxz00_7563);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_7562))->BgL_ctxz00) =
						((BgL_bbvzd2ctxzd2_bglt) BgL_ctx1246z00_154), BUNSPEC);
				}
				{
					BgL_blocksz00_bglt BgL_auxz00_7569;

					{
						obj_t BgL_auxz00_7570;

						{	/* SawBbv/bbv-types.sch 183 */
							BgL_objectz00_bglt BgL_tmpz00_7571;

							BgL_tmpz00_7571 = ((BgL_objectz00_bglt) BgL_new1181z00_6612);
							BgL_auxz00_7570 = BGL_OBJECT_WIDENING(BgL_tmpz00_7571);
						}
						BgL_auxz00_7569 = ((BgL_blocksz00_bglt) BgL_auxz00_7570);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_7569))->BgL_parentz00) =
						((BgL_blockz00_bglt) BgL_parent1247z00_155), BUNSPEC);
				}
				{
					BgL_blocksz00_bglt BgL_auxz00_7576;

					{
						obj_t BgL_auxz00_7577;

						{	/* SawBbv/bbv-types.sch 183 */
							BgL_objectz00_bglt BgL_tmpz00_7578;

							BgL_tmpz00_7578 = ((BgL_objectz00_bglt) BgL_new1181z00_6612);
							BgL_auxz00_7577 = BGL_OBJECT_WIDENING(BgL_tmpz00_7578);
						}
						BgL_auxz00_7576 = ((BgL_blocksz00_bglt) BgL_auxz00_7577);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_7576))->BgL_gccntz00) =
						((long) BgL_gccnt1248z00_156), BUNSPEC);
				}
				{
					BgL_blocksz00_bglt BgL_auxz00_7583;

					{
						obj_t BgL_auxz00_7584;

						{	/* SawBbv/bbv-types.sch 183 */
							BgL_objectz00_bglt BgL_tmpz00_7585;

							BgL_tmpz00_7585 = ((BgL_objectz00_bglt) BgL_new1181z00_6612);
							BgL_auxz00_7584 = BGL_OBJECT_WIDENING(BgL_tmpz00_7585);
						}
						BgL_auxz00_7583 = ((BgL_blocksz00_bglt) BgL_auxz00_7584);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_7583))->BgL_gcmarkz00) =
						((long) BgL_gcmark1249z00_157), BUNSPEC);
				}
				{
					BgL_blocksz00_bglt BgL_auxz00_7590;

					{
						obj_t BgL_auxz00_7591;

						{	/* SawBbv/bbv-types.sch 183 */
							BgL_objectz00_bglt BgL_tmpz00_7592;

							BgL_tmpz00_7592 = ((BgL_objectz00_bglt) BgL_new1181z00_6612);
							BgL_auxz00_7591 = BGL_OBJECT_WIDENING(BgL_tmpz00_7592);
						}
						BgL_auxz00_7590 = ((BgL_blocksz00_bglt) BgL_auxz00_7591);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_7590))->BgL_mblockz00) =
						((obj_t) BgL_mblock1250z00_158), BUNSPEC);
				}
				{
					BgL_blocksz00_bglt BgL_auxz00_7597;

					{
						obj_t BgL_auxz00_7598;

						{	/* SawBbv/bbv-types.sch 183 */
							BgL_objectz00_bglt BgL_tmpz00_7599;

							BgL_tmpz00_7599 = ((BgL_objectz00_bglt) BgL_new1181z00_6612);
							BgL_auxz00_7598 = BGL_OBJECT_WIDENING(BgL_tmpz00_7599);
						}
						BgL_auxz00_7597 = ((BgL_blocksz00_bglt) BgL_auxz00_7598);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_7597))->BgL_creatorz00) =
						((obj_t) BgL_creator1251z00_159), BUNSPEC);
				}
				{
					BgL_blocksz00_bglt BgL_auxz00_7604;

					{
						obj_t BgL_auxz00_7605;

						{	/* SawBbv/bbv-types.sch 183 */
							BgL_objectz00_bglt BgL_tmpz00_7606;

							BgL_tmpz00_7606 = ((BgL_objectz00_bglt) BgL_new1181z00_6612);
							BgL_auxz00_7605 = BGL_OBJECT_WIDENING(BgL_tmpz00_7606);
						}
						BgL_auxz00_7604 = ((BgL_blocksz00_bglt) BgL_auxz00_7605);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_7604))->BgL_mergesz00) =
						((obj_t) BgL_merges1252z00_160), BUNSPEC);
				}
				{
					BgL_blocksz00_bglt BgL_auxz00_7611;

					{
						obj_t BgL_auxz00_7612;

						{	/* SawBbv/bbv-types.sch 183 */
							BgL_objectz00_bglt BgL_tmpz00_7613;

							BgL_tmpz00_7613 = ((BgL_objectz00_bglt) BgL_new1181z00_6612);
							BgL_auxz00_7612 = BGL_OBJECT_WIDENING(BgL_tmpz00_7613);
						}
						BgL_auxz00_7611 = ((BgL_blocksz00_bglt) BgL_auxz00_7612);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_7611))->BgL_asleepz00) =
						((bool_t) BgL_asleep1253z00_161), BUNSPEC);
				}
				return BgL_new1181z00_6612;
			}
		}

	}



/* &make-blockS */
	BgL_blockz00_bglt BGl_z62makezd2blockSzb0zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6312, obj_t BgL_label1239z00_6313, obj_t BgL_preds1240z00_6314,
		obj_t BgL_succs1241z00_6315, obj_t BgL_first1242z00_6316,
		obj_t BgL_z52mark1243z52_6317, obj_t BgL_z52hash1244z52_6318,
		obj_t BgL_z52blacklist1245z52_6319, obj_t BgL_ctx1246z00_6320,
		obj_t BgL_parent1247z00_6321, obj_t BgL_gccnt1248z00_6322,
		obj_t BgL_gcmark1249z00_6323, obj_t BgL_mblock1250z00_6324,
		obj_t BgL_creator1251z00_6325, obj_t BgL_merges1252z00_6326,
		obj_t BgL_asleep1253z00_6327)
	{
		{	/* SawBbv/bbv-types.sch 183 */
			return
				BGl_makezd2blockSzd2zzsaw_bbvzd2mergezd2(CINT(BgL_label1239z00_6313),
				BgL_preds1240z00_6314, BgL_succs1241z00_6315, BgL_first1242z00_6316,
				(long) CINT(BgL_z52mark1243z52_6317), BgL_z52hash1244z52_6318,
				BgL_z52blacklist1245z52_6319,
				((BgL_bbvzd2ctxzd2_bglt) BgL_ctx1246z00_6320),
				((BgL_blockz00_bglt) BgL_parent1247z00_6321),
				(long) CINT(BgL_gccnt1248z00_6322), (long) CINT(BgL_gcmark1249z00_6323),
				BgL_mblock1250z00_6324, BgL_creator1251z00_6325, BgL_merges1252z00_6326,
				CBOOL(BgL_asleep1253z00_6327));
		}

	}



/* blockS? */
	BGL_EXPORTED_DEF bool_t BGl_blockSzf3zf3zzsaw_bbvzd2mergezd2(obj_t
		BgL_objz00_162)
	{
		{	/* SawBbv/bbv-types.sch 184 */
			{	/* SawBbv/bbv-types.sch 184 */
				obj_t BgL_classz00_6618;

				BgL_classz00_6618 = BGl_blockSz00zzsaw_bbvzd2typeszd2;
				if (BGL_OBJECTP(BgL_objz00_162))
					{	/* SawBbv/bbv-types.sch 184 */
						BgL_objectz00_bglt BgL_arg1858z00_6619;

						BgL_arg1858z00_6619 = (BgL_objectz00_bglt) (BgL_objz00_162);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawBbv/bbv-types.sch 184 */
								long BgL_idxz00_6620;

								BgL_idxz00_6620 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6619);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_6620 + 2L)) == BgL_classz00_6618);
							}
						else
							{	/* SawBbv/bbv-types.sch 184 */
								bool_t BgL_res3210z00_6623;

								{	/* SawBbv/bbv-types.sch 184 */
									obj_t BgL_oclassz00_6624;

									{	/* SawBbv/bbv-types.sch 184 */
										obj_t BgL_arg1866z00_6625;
										long BgL_arg1867z00_6626;

										BgL_arg1866z00_6625 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawBbv/bbv-types.sch 184 */
											long BgL_arg1869z00_6627;

											BgL_arg1869z00_6627 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6619);
											BgL_arg1867z00_6626 = (BgL_arg1869z00_6627 - OBJECT_TYPE);
										}
										BgL_oclassz00_6624 =
											VECTOR_REF(BgL_arg1866z00_6625, BgL_arg1867z00_6626);
									}
									{	/* SawBbv/bbv-types.sch 184 */
										bool_t BgL__ortest_1115z00_6628;

										BgL__ortest_1115z00_6628 =
											(BgL_classz00_6618 == BgL_oclassz00_6624);
										if (BgL__ortest_1115z00_6628)
											{	/* SawBbv/bbv-types.sch 184 */
												BgL_res3210z00_6623 = BgL__ortest_1115z00_6628;
											}
										else
											{	/* SawBbv/bbv-types.sch 184 */
												long BgL_odepthz00_6629;

												{	/* SawBbv/bbv-types.sch 184 */
													obj_t BgL_arg1855z00_6630;

													BgL_arg1855z00_6630 = (BgL_oclassz00_6624);
													BgL_odepthz00_6629 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_6630);
												}
												if ((2L < BgL_odepthz00_6629))
													{	/* SawBbv/bbv-types.sch 184 */
														obj_t BgL_arg1853z00_6631;

														{	/* SawBbv/bbv-types.sch 184 */
															obj_t BgL_arg1854z00_6632;

															BgL_arg1854z00_6632 = (BgL_oclassz00_6624);
															BgL_arg1853z00_6631 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_6632,
																2L);
														}
														BgL_res3210z00_6623 =
															(BgL_arg1853z00_6631 == BgL_classz00_6618);
													}
												else
													{	/* SawBbv/bbv-types.sch 184 */
														BgL_res3210z00_6623 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3210z00_6623;
							}
					}
				else
					{	/* SawBbv/bbv-types.sch 184 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &blockS? */
	obj_t BGl_z62blockSzf3z91zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6328,
		obj_t BgL_objz00_6329)
	{
		{	/* SawBbv/bbv-types.sch 184 */
			return BBOOL(BGl_blockSzf3zf3zzsaw_bbvzd2mergezd2(BgL_objz00_6329));
		}

	}



/* blockS-nil */
	BGL_EXPORTED_DEF BgL_blockz00_bglt
		BGl_blockSzd2nilzd2zzsaw_bbvzd2mergezd2(void)
	{
		{	/* SawBbv/bbv-types.sch 185 */
			{	/* SawBbv/bbv-types.sch 185 */
				obj_t BgL_classz00_4695;

				BgL_classz00_4695 = BGl_blockSz00zzsaw_bbvzd2typeszd2;
				{	/* SawBbv/bbv-types.sch 185 */
					obj_t BgL__ortest_1117z00_4696;

					BgL__ortest_1117z00_4696 = BGL_CLASS_NIL(BgL_classz00_4695);
					if (CBOOL(BgL__ortest_1117z00_4696))
						{	/* SawBbv/bbv-types.sch 185 */
							return ((BgL_blockz00_bglt) BgL__ortest_1117z00_4696);
						}
					else
						{	/* SawBbv/bbv-types.sch 185 */
							return
								((BgL_blockz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4695));
						}
				}
			}
		}

	}



/* &blockS-nil */
	BgL_blockz00_bglt BGl_z62blockSzd2nilzb0zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6330)
	{
		{	/* SawBbv/bbv-types.sch 185 */
			return BGl_blockSzd2nilzd2zzsaw_bbvzd2mergezd2();
		}

	}



/* blockS-asleep */
	BGL_EXPORTED_DEF bool_t
		BGl_blockSzd2asleepzd2zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt BgL_oz00_163)
	{
		{	/* SawBbv/bbv-types.sch 186 */
			{
				BgL_blocksz00_bglt BgL_auxz00_7657;

				{
					obj_t BgL_auxz00_7658;

					{	/* SawBbv/bbv-types.sch 186 */
						BgL_objectz00_bglt BgL_tmpz00_7659;

						BgL_tmpz00_7659 = ((BgL_objectz00_bglt) BgL_oz00_163);
						BgL_auxz00_7658 = BGL_OBJECT_WIDENING(BgL_tmpz00_7659);
					}
					BgL_auxz00_7657 = ((BgL_blocksz00_bglt) BgL_auxz00_7658);
				}
				return (((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_7657))->BgL_asleepz00);
			}
		}

	}



/* &blockS-asleep */
	obj_t BGl_z62blockSzd2asleepzb0zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6331,
		obj_t BgL_oz00_6332)
	{
		{	/* SawBbv/bbv-types.sch 186 */
			return
				BBOOL(BGl_blockSzd2asleepzd2zzsaw_bbvzd2mergezd2(
					((BgL_blockz00_bglt) BgL_oz00_6332)));
		}

	}



/* blockS-asleep-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2asleepzd2setz12z12zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt
		BgL_oz00_164, bool_t BgL_vz00_165)
	{
		{	/* SawBbv/bbv-types.sch 187 */
			{
				BgL_blocksz00_bglt BgL_auxz00_7667;

				{
					obj_t BgL_auxz00_7668;

					{	/* SawBbv/bbv-types.sch 187 */
						BgL_objectz00_bglt BgL_tmpz00_7669;

						BgL_tmpz00_7669 = ((BgL_objectz00_bglt) BgL_oz00_164);
						BgL_auxz00_7668 = BGL_OBJECT_WIDENING(BgL_tmpz00_7669);
					}
					BgL_auxz00_7667 = ((BgL_blocksz00_bglt) BgL_auxz00_7668);
				}
				return
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_7667))->BgL_asleepz00) =
					((bool_t) BgL_vz00_165), BUNSPEC);
			}
		}

	}



/* &blockS-asleep-set! */
	obj_t BGl_z62blockSzd2asleepzd2setz12z70zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6333, obj_t BgL_oz00_6334, obj_t BgL_vz00_6335)
	{
		{	/* SawBbv/bbv-types.sch 187 */
			return
				BGl_blockSzd2asleepzd2setz12z12zzsaw_bbvzd2mergezd2(
				((BgL_blockz00_bglt) BgL_oz00_6334), CBOOL(BgL_vz00_6335));
		}

	}



/* blockS-merges */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2mergeszd2zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt BgL_oz00_166)
	{
		{	/* SawBbv/bbv-types.sch 188 */
			{
				BgL_blocksz00_bglt BgL_auxz00_7677;

				{
					obj_t BgL_auxz00_7678;

					{	/* SawBbv/bbv-types.sch 188 */
						BgL_objectz00_bglt BgL_tmpz00_7679;

						BgL_tmpz00_7679 = ((BgL_objectz00_bglt) BgL_oz00_166);
						BgL_auxz00_7678 = BGL_OBJECT_WIDENING(BgL_tmpz00_7679);
					}
					BgL_auxz00_7677 = ((BgL_blocksz00_bglt) BgL_auxz00_7678);
				}
				return (((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_7677))->BgL_mergesz00);
			}
		}

	}



/* &blockS-merges */
	obj_t BGl_z62blockSzd2mergeszb0zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6336,
		obj_t BgL_oz00_6337)
	{
		{	/* SawBbv/bbv-types.sch 188 */
			return
				BGl_blockSzd2mergeszd2zzsaw_bbvzd2mergezd2(
				((BgL_blockz00_bglt) BgL_oz00_6337));
		}

	}



/* blockS-merges-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2mergeszd2setz12z12zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt
		BgL_oz00_167, obj_t BgL_vz00_168)
	{
		{	/* SawBbv/bbv-types.sch 189 */
			{
				BgL_blocksz00_bglt BgL_auxz00_7686;

				{
					obj_t BgL_auxz00_7687;

					{	/* SawBbv/bbv-types.sch 189 */
						BgL_objectz00_bglt BgL_tmpz00_7688;

						BgL_tmpz00_7688 = ((BgL_objectz00_bglt) BgL_oz00_167);
						BgL_auxz00_7687 = BGL_OBJECT_WIDENING(BgL_tmpz00_7688);
					}
					BgL_auxz00_7686 = ((BgL_blocksz00_bglt) BgL_auxz00_7687);
				}
				return
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_7686))->BgL_mergesz00) =
					((obj_t) BgL_vz00_168), BUNSPEC);
			}
		}

	}



/* &blockS-merges-set! */
	obj_t BGl_z62blockSzd2mergeszd2setz12z70zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6338, obj_t BgL_oz00_6339, obj_t BgL_vz00_6340)
	{
		{	/* SawBbv/bbv-types.sch 189 */
			return
				BGl_blockSzd2mergeszd2setz12z12zzsaw_bbvzd2mergezd2(
				((BgL_blockz00_bglt) BgL_oz00_6339), BgL_vz00_6340);
		}

	}



/* blockS-creator */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2creatorzd2zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt BgL_oz00_169)
	{
		{	/* SawBbv/bbv-types.sch 190 */
			{
				BgL_blocksz00_bglt BgL_auxz00_7695;

				{
					obj_t BgL_auxz00_7696;

					{	/* SawBbv/bbv-types.sch 190 */
						BgL_objectz00_bglt BgL_tmpz00_7697;

						BgL_tmpz00_7697 = ((BgL_objectz00_bglt) BgL_oz00_169);
						BgL_auxz00_7696 = BGL_OBJECT_WIDENING(BgL_tmpz00_7697);
					}
					BgL_auxz00_7695 = ((BgL_blocksz00_bglt) BgL_auxz00_7696);
				}
				return
					(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_7695))->BgL_creatorz00);
			}
		}

	}



/* &blockS-creator */
	obj_t BGl_z62blockSzd2creatorzb0zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6341,
		obj_t BgL_oz00_6342)
	{
		{	/* SawBbv/bbv-types.sch 190 */
			return
				BGl_blockSzd2creatorzd2zzsaw_bbvzd2mergezd2(
				((BgL_blockz00_bglt) BgL_oz00_6342));
		}

	}



/* blockS-mblock */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2mblockzd2zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt BgL_oz00_172)
	{
		{	/* SawBbv/bbv-types.sch 192 */
			{
				BgL_blocksz00_bglt BgL_auxz00_7704;

				{
					obj_t BgL_auxz00_7705;

					{	/* SawBbv/bbv-types.sch 192 */
						BgL_objectz00_bglt BgL_tmpz00_7706;

						BgL_tmpz00_7706 = ((BgL_objectz00_bglt) BgL_oz00_172);
						BgL_auxz00_7705 = BGL_OBJECT_WIDENING(BgL_tmpz00_7706);
					}
					BgL_auxz00_7704 = ((BgL_blocksz00_bglt) BgL_auxz00_7705);
				}
				return (((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_7704))->BgL_mblockz00);
			}
		}

	}



/* &blockS-mblock */
	obj_t BGl_z62blockSzd2mblockzb0zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6343,
		obj_t BgL_oz00_6344)
	{
		{	/* SawBbv/bbv-types.sch 192 */
			return
				BGl_blockSzd2mblockzd2zzsaw_bbvzd2mergezd2(
				((BgL_blockz00_bglt) BgL_oz00_6344));
		}

	}



/* blockS-mblock-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2mblockzd2setz12z12zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt
		BgL_oz00_173, obj_t BgL_vz00_174)
	{
		{	/* SawBbv/bbv-types.sch 193 */
			{
				BgL_blocksz00_bglt BgL_auxz00_7713;

				{
					obj_t BgL_auxz00_7714;

					{	/* SawBbv/bbv-types.sch 193 */
						BgL_objectz00_bglt BgL_tmpz00_7715;

						BgL_tmpz00_7715 = ((BgL_objectz00_bglt) BgL_oz00_173);
						BgL_auxz00_7714 = BGL_OBJECT_WIDENING(BgL_tmpz00_7715);
					}
					BgL_auxz00_7713 = ((BgL_blocksz00_bglt) BgL_auxz00_7714);
				}
				return
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_7713))->BgL_mblockz00) =
					((obj_t) BgL_vz00_174), BUNSPEC);
			}
		}

	}



/* &blockS-mblock-set! */
	obj_t BGl_z62blockSzd2mblockzd2setz12z70zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6345, obj_t BgL_oz00_6346, obj_t BgL_vz00_6347)
	{
		{	/* SawBbv/bbv-types.sch 193 */
			return
				BGl_blockSzd2mblockzd2setz12z12zzsaw_bbvzd2mergezd2(
				((BgL_blockz00_bglt) BgL_oz00_6346), BgL_vz00_6347);
		}

	}



/* blockS-gcmark */
	BGL_EXPORTED_DEF long
		BGl_blockSzd2gcmarkzd2zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt BgL_oz00_175)
	{
		{	/* SawBbv/bbv-types.sch 194 */
			{
				BgL_blocksz00_bglt BgL_auxz00_7722;

				{
					obj_t BgL_auxz00_7723;

					{	/* SawBbv/bbv-types.sch 194 */
						BgL_objectz00_bglt BgL_tmpz00_7724;

						BgL_tmpz00_7724 = ((BgL_objectz00_bglt) BgL_oz00_175);
						BgL_auxz00_7723 = BGL_OBJECT_WIDENING(BgL_tmpz00_7724);
					}
					BgL_auxz00_7722 = ((BgL_blocksz00_bglt) BgL_auxz00_7723);
				}
				return (((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_7722))->BgL_gcmarkz00);
			}
		}

	}



/* &blockS-gcmark */
	obj_t BGl_z62blockSzd2gcmarkzb0zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6348,
		obj_t BgL_oz00_6349)
	{
		{	/* SawBbv/bbv-types.sch 194 */
			return
				BINT(BGl_blockSzd2gcmarkzd2zzsaw_bbvzd2mergezd2(
					((BgL_blockz00_bglt) BgL_oz00_6349)));
		}

	}



/* blockS-gcmark-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2gcmarkzd2setz12z12zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt
		BgL_oz00_176, long BgL_vz00_177)
	{
		{	/* SawBbv/bbv-types.sch 195 */
			{
				BgL_blocksz00_bglt BgL_auxz00_7732;

				{
					obj_t BgL_auxz00_7733;

					{	/* SawBbv/bbv-types.sch 195 */
						BgL_objectz00_bglt BgL_tmpz00_7734;

						BgL_tmpz00_7734 = ((BgL_objectz00_bglt) BgL_oz00_176);
						BgL_auxz00_7733 = BGL_OBJECT_WIDENING(BgL_tmpz00_7734);
					}
					BgL_auxz00_7732 = ((BgL_blocksz00_bglt) BgL_auxz00_7733);
				}
				return
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_7732))->BgL_gcmarkz00) =
					((long) BgL_vz00_177), BUNSPEC);
		}}

	}



/* &blockS-gcmark-set! */
	obj_t BGl_z62blockSzd2gcmarkzd2setz12z70zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6350, obj_t BgL_oz00_6351, obj_t BgL_vz00_6352)
	{
		{	/* SawBbv/bbv-types.sch 195 */
			return
				BGl_blockSzd2gcmarkzd2setz12z12zzsaw_bbvzd2mergezd2(
				((BgL_blockz00_bglt) BgL_oz00_6351), (long) CINT(BgL_vz00_6352));
		}

	}



/* blockS-gccnt */
	BGL_EXPORTED_DEF long
		BGl_blockSzd2gccntzd2zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt BgL_oz00_178)
	{
		{	/* SawBbv/bbv-types.sch 196 */
			{
				BgL_blocksz00_bglt BgL_auxz00_7742;

				{
					obj_t BgL_auxz00_7743;

					{	/* SawBbv/bbv-types.sch 196 */
						BgL_objectz00_bglt BgL_tmpz00_7744;

						BgL_tmpz00_7744 = ((BgL_objectz00_bglt) BgL_oz00_178);
						BgL_auxz00_7743 = BGL_OBJECT_WIDENING(BgL_tmpz00_7744);
					}
					BgL_auxz00_7742 = ((BgL_blocksz00_bglt) BgL_auxz00_7743);
				}
				return (((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_7742))->BgL_gccntz00);
			}
		}

	}



/* &blockS-gccnt */
	obj_t BGl_z62blockSzd2gccntzb0zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6353,
		obj_t BgL_oz00_6354)
	{
		{	/* SawBbv/bbv-types.sch 196 */
			return
				BINT(BGl_blockSzd2gccntzd2zzsaw_bbvzd2mergezd2(
					((BgL_blockz00_bglt) BgL_oz00_6354)));
		}

	}



/* blockS-gccnt-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2gccntzd2setz12z12zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt
		BgL_oz00_179, long BgL_vz00_180)
	{
		{	/* SawBbv/bbv-types.sch 197 */
			{
				BgL_blocksz00_bglt BgL_auxz00_7752;

				{
					obj_t BgL_auxz00_7753;

					{	/* SawBbv/bbv-types.sch 197 */
						BgL_objectz00_bglt BgL_tmpz00_7754;

						BgL_tmpz00_7754 = ((BgL_objectz00_bglt) BgL_oz00_179);
						BgL_auxz00_7753 = BGL_OBJECT_WIDENING(BgL_tmpz00_7754);
					}
					BgL_auxz00_7752 = ((BgL_blocksz00_bglt) BgL_auxz00_7753);
				}
				return
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_7752))->BgL_gccntz00) =
					((long) BgL_vz00_180), BUNSPEC);
		}}

	}



/* &blockS-gccnt-set! */
	obj_t BGl_z62blockSzd2gccntzd2setz12z70zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6355, obj_t BgL_oz00_6356, obj_t BgL_vz00_6357)
	{
		{	/* SawBbv/bbv-types.sch 197 */
			return
				BGl_blockSzd2gccntzd2setz12z12zzsaw_bbvzd2mergezd2(
				((BgL_blockz00_bglt) BgL_oz00_6356), (long) CINT(BgL_vz00_6357));
		}

	}



/* blockS-parent */
	BGL_EXPORTED_DEF BgL_blockz00_bglt
		BGl_blockSzd2parentzd2zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt BgL_oz00_181)
	{
		{	/* SawBbv/bbv-types.sch 198 */
			{
				BgL_blocksz00_bglt BgL_auxz00_7762;

				{
					obj_t BgL_auxz00_7763;

					{	/* SawBbv/bbv-types.sch 198 */
						BgL_objectz00_bglt BgL_tmpz00_7764;

						BgL_tmpz00_7764 = ((BgL_objectz00_bglt) BgL_oz00_181);
						BgL_auxz00_7763 = BGL_OBJECT_WIDENING(BgL_tmpz00_7764);
					}
					BgL_auxz00_7762 = ((BgL_blocksz00_bglt) BgL_auxz00_7763);
				}
				return (((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_7762))->BgL_parentz00);
			}
		}

	}



/* &blockS-parent */
	BgL_blockz00_bglt BGl_z62blockSzd2parentzb0zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6358, obj_t BgL_oz00_6359)
	{
		{	/* SawBbv/bbv-types.sch 198 */
			return
				BGl_blockSzd2parentzd2zzsaw_bbvzd2mergezd2(
				((BgL_blockz00_bglt) BgL_oz00_6359));
		}

	}



/* blockS-ctx */
	BGL_EXPORTED_DEF BgL_bbvzd2ctxzd2_bglt
		BGl_blockSzd2ctxzd2zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt BgL_oz00_184)
	{
		{	/* SawBbv/bbv-types.sch 200 */
			{
				BgL_blocksz00_bglt BgL_auxz00_7771;

				{
					obj_t BgL_auxz00_7772;

					{	/* SawBbv/bbv-types.sch 200 */
						BgL_objectz00_bglt BgL_tmpz00_7773;

						BgL_tmpz00_7773 = ((BgL_objectz00_bglt) BgL_oz00_184);
						BgL_auxz00_7772 = BGL_OBJECT_WIDENING(BgL_tmpz00_7773);
					}
					BgL_auxz00_7771 = ((BgL_blocksz00_bglt) BgL_auxz00_7772);
				}
				return (((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_7771))->BgL_ctxz00);
			}
		}

	}



/* &blockS-ctx */
	BgL_bbvzd2ctxzd2_bglt BGl_z62blockSzd2ctxzb0zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6360, obj_t BgL_oz00_6361)
	{
		{	/* SawBbv/bbv-types.sch 200 */
			return
				BGl_blockSzd2ctxzd2zzsaw_bbvzd2mergezd2(
				((BgL_blockz00_bglt) BgL_oz00_6361));
		}

	}



/* blockS-%blacklist */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2z52blacklistz80zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt
		BgL_oz00_187)
	{
		{	/* SawBbv/bbv-types.sch 202 */
			{
				BgL_blocksz00_bglt BgL_auxz00_7780;

				{
					obj_t BgL_auxz00_7781;

					{	/* SawBbv/bbv-types.sch 202 */
						BgL_objectz00_bglt BgL_tmpz00_7782;

						BgL_tmpz00_7782 = ((BgL_objectz00_bglt) BgL_oz00_187);
						BgL_auxz00_7781 = BGL_OBJECT_WIDENING(BgL_tmpz00_7782);
					}
					BgL_auxz00_7780 = ((BgL_blocksz00_bglt) BgL_auxz00_7781);
				}
				return
					(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_7780))->
					BgL_z52blacklistz52);
			}
		}

	}



/* &blockS-%blacklist */
	obj_t BGl_z62blockSzd2z52blacklistze2zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6362, obj_t BgL_oz00_6363)
	{
		{	/* SawBbv/bbv-types.sch 202 */
			return
				BGl_blockSzd2z52blacklistz80zzsaw_bbvzd2mergezd2(
				((BgL_blockz00_bglt) BgL_oz00_6363));
		}

	}



/* blockS-%blacklist-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2z52blacklistzd2setz12z40zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt
		BgL_oz00_188, obj_t BgL_vz00_189)
	{
		{	/* SawBbv/bbv-types.sch 203 */
			{
				BgL_blocksz00_bglt BgL_auxz00_7789;

				{
					obj_t BgL_auxz00_7790;

					{	/* SawBbv/bbv-types.sch 203 */
						BgL_objectz00_bglt BgL_tmpz00_7791;

						BgL_tmpz00_7791 = ((BgL_objectz00_bglt) BgL_oz00_188);
						BgL_auxz00_7790 = BGL_OBJECT_WIDENING(BgL_tmpz00_7791);
					}
					BgL_auxz00_7789 = ((BgL_blocksz00_bglt) BgL_auxz00_7790);
				}
				return
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_7789))->
						BgL_z52blacklistz52) = ((obj_t) BgL_vz00_189), BUNSPEC);
			}
		}

	}



/* &blockS-%blacklist-set! */
	obj_t BGl_z62blockSzd2z52blacklistzd2setz12z22zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6364, obj_t BgL_oz00_6365, obj_t BgL_vz00_6366)
	{
		{	/* SawBbv/bbv-types.sch 203 */
			return
				BGl_blockSzd2z52blacklistzd2setz12z40zzsaw_bbvzd2mergezd2(
				((BgL_blockz00_bglt) BgL_oz00_6365), BgL_vz00_6366);
		}

	}



/* blockS-%hash */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2z52hashz80zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt BgL_oz00_190)
	{
		{	/* SawBbv/bbv-types.sch 204 */
			{
				BgL_blocksz00_bglt BgL_auxz00_7798;

				{
					obj_t BgL_auxz00_7799;

					{	/* SawBbv/bbv-types.sch 204 */
						BgL_objectz00_bglt BgL_tmpz00_7800;

						BgL_tmpz00_7800 = ((BgL_objectz00_bglt) BgL_oz00_190);
						BgL_auxz00_7799 = BGL_OBJECT_WIDENING(BgL_tmpz00_7800);
					}
					BgL_auxz00_7798 = ((BgL_blocksz00_bglt) BgL_auxz00_7799);
				}
				return
					(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_7798))->BgL_z52hashz52);
			}
		}

	}



/* &blockS-%hash */
	obj_t BGl_z62blockSzd2z52hashze2zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6367,
		obj_t BgL_oz00_6368)
	{
		{	/* SawBbv/bbv-types.sch 204 */
			return
				BGl_blockSzd2z52hashz80zzsaw_bbvzd2mergezd2(
				((BgL_blockz00_bglt) BgL_oz00_6368));
		}

	}



/* blockS-%hash-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2z52hashzd2setz12z40zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt
		BgL_oz00_191, obj_t BgL_vz00_192)
	{
		{	/* SawBbv/bbv-types.sch 205 */
			{
				BgL_blocksz00_bglt BgL_auxz00_7807;

				{
					obj_t BgL_auxz00_7808;

					{	/* SawBbv/bbv-types.sch 205 */
						BgL_objectz00_bglt BgL_tmpz00_7809;

						BgL_tmpz00_7809 = ((BgL_objectz00_bglt) BgL_oz00_191);
						BgL_auxz00_7808 = BGL_OBJECT_WIDENING(BgL_tmpz00_7809);
					}
					BgL_auxz00_7807 = ((BgL_blocksz00_bglt) BgL_auxz00_7808);
				}
				return
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_7807))->BgL_z52hashz52) =
					((obj_t) BgL_vz00_192), BUNSPEC);
			}
		}

	}



/* &blockS-%hash-set! */
	obj_t BGl_z62blockSzd2z52hashzd2setz12z22zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6369, obj_t BgL_oz00_6370, obj_t BgL_vz00_6371)
	{
		{	/* SawBbv/bbv-types.sch 205 */
			return
				BGl_blockSzd2z52hashzd2setz12z40zzsaw_bbvzd2mergezd2(
				((BgL_blockz00_bglt) BgL_oz00_6370), BgL_vz00_6371);
		}

	}



/* blockS-%mark */
	BGL_EXPORTED_DEF long
		BGl_blockSzd2z52markz80zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt BgL_oz00_193)
	{
		{	/* SawBbv/bbv-types.sch 206 */
			{
				BgL_blocksz00_bglt BgL_auxz00_7816;

				{
					obj_t BgL_auxz00_7817;

					{	/* SawBbv/bbv-types.sch 206 */
						BgL_objectz00_bglt BgL_tmpz00_7818;

						BgL_tmpz00_7818 = ((BgL_objectz00_bglt) BgL_oz00_193);
						BgL_auxz00_7817 = BGL_OBJECT_WIDENING(BgL_tmpz00_7818);
					}
					BgL_auxz00_7816 = ((BgL_blocksz00_bglt) BgL_auxz00_7817);
				}
				return
					(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_7816))->BgL_z52markz52);
			}
		}

	}



/* &blockS-%mark */
	obj_t BGl_z62blockSzd2z52markze2zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6372,
		obj_t BgL_oz00_6373)
	{
		{	/* SawBbv/bbv-types.sch 206 */
			return
				BINT(BGl_blockSzd2z52markz80zzsaw_bbvzd2mergezd2(
					((BgL_blockz00_bglt) BgL_oz00_6373)));
		}

	}



/* blockS-%mark-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2z52markzd2setz12z40zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt
		BgL_oz00_194, long BgL_vz00_195)
	{
		{	/* SawBbv/bbv-types.sch 207 */
			{
				BgL_blocksz00_bglt BgL_auxz00_7826;

				{
					obj_t BgL_auxz00_7827;

					{	/* SawBbv/bbv-types.sch 207 */
						BgL_objectz00_bglt BgL_tmpz00_7828;

						BgL_tmpz00_7828 = ((BgL_objectz00_bglt) BgL_oz00_194);
						BgL_auxz00_7827 = BGL_OBJECT_WIDENING(BgL_tmpz00_7828);
					}
					BgL_auxz00_7826 = ((BgL_blocksz00_bglt) BgL_auxz00_7827);
				}
				return
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_7826))->BgL_z52markz52) =
					((long) BgL_vz00_195), BUNSPEC);
		}}

	}



/* &blockS-%mark-set! */
	obj_t BGl_z62blockSzd2z52markzd2setz12z22zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6374, obj_t BgL_oz00_6375, obj_t BgL_vz00_6376)
	{
		{	/* SawBbv/bbv-types.sch 207 */
			return
				BGl_blockSzd2z52markzd2setz12z40zzsaw_bbvzd2mergezd2(
				((BgL_blockz00_bglt) BgL_oz00_6375), (long) CINT(BgL_vz00_6376));
		}

	}



/* blockS-first */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2firstzd2zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt BgL_oz00_196)
	{
		{	/* SawBbv/bbv-types.sch 208 */
			return
				(((BgL_blockz00_bglt) COBJECT(
						((BgL_blockz00_bglt) BgL_oz00_196)))->BgL_firstz00);
		}

	}



/* &blockS-first */
	obj_t BGl_z62blockSzd2firstzb0zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6377,
		obj_t BgL_oz00_6378)
	{
		{	/* SawBbv/bbv-types.sch 208 */
			return
				BGl_blockSzd2firstzd2zzsaw_bbvzd2mergezd2(
				((BgL_blockz00_bglt) BgL_oz00_6378));
		}

	}



/* blockS-first-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2firstzd2setz12z12zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt
		BgL_oz00_197, obj_t BgL_vz00_198)
	{
		{	/* SawBbv/bbv-types.sch 209 */
			return
				((((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_197)))->BgL_firstz00) =
				((obj_t) BgL_vz00_198), BUNSPEC);
		}

	}



/* &blockS-first-set! */
	obj_t BGl_z62blockSzd2firstzd2setz12z70zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6379, obj_t BgL_oz00_6380, obj_t BgL_vz00_6381)
	{
		{	/* SawBbv/bbv-types.sch 209 */
			return
				BGl_blockSzd2firstzd2setz12z12zzsaw_bbvzd2mergezd2(
				((BgL_blockz00_bglt) BgL_oz00_6380), BgL_vz00_6381);
		}

	}



/* blockS-succs */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2succszd2zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt BgL_oz00_199)
	{
		{	/* SawBbv/bbv-types.sch 210 */
			return
				(((BgL_blockz00_bglt) COBJECT(
						((BgL_blockz00_bglt) BgL_oz00_199)))->BgL_succsz00);
		}

	}



/* &blockS-succs */
	obj_t BGl_z62blockSzd2succszb0zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6382,
		obj_t BgL_oz00_6383)
	{
		{	/* SawBbv/bbv-types.sch 210 */
			return
				BGl_blockSzd2succszd2zzsaw_bbvzd2mergezd2(
				((BgL_blockz00_bglt) BgL_oz00_6383));
		}

	}



/* blockS-succs-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2succszd2setz12z12zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt
		BgL_oz00_200, obj_t BgL_vz00_201)
	{
		{	/* SawBbv/bbv-types.sch 211 */
			return
				((((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_200)))->BgL_succsz00) =
				((obj_t) BgL_vz00_201), BUNSPEC);
		}

	}



/* &blockS-succs-set! */
	obj_t BGl_z62blockSzd2succszd2setz12z70zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6384, obj_t BgL_oz00_6385, obj_t BgL_vz00_6386)
	{
		{	/* SawBbv/bbv-types.sch 211 */
			return
				BGl_blockSzd2succszd2setz12z12zzsaw_bbvzd2mergezd2(
				((BgL_blockz00_bglt) BgL_oz00_6385), BgL_vz00_6386);
		}

	}



/* blockS-preds */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2predszd2zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt BgL_oz00_202)
	{
		{	/* SawBbv/bbv-types.sch 212 */
			return
				(((BgL_blockz00_bglt) COBJECT(
						((BgL_blockz00_bglt) BgL_oz00_202)))->BgL_predsz00);
		}

	}



/* &blockS-preds */
	obj_t BGl_z62blockSzd2predszb0zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6387,
		obj_t BgL_oz00_6388)
	{
		{	/* SawBbv/bbv-types.sch 212 */
			return
				BGl_blockSzd2predszd2zzsaw_bbvzd2mergezd2(
				((BgL_blockz00_bglt) BgL_oz00_6388));
		}

	}



/* blockS-preds-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2predszd2setz12z12zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt
		BgL_oz00_203, obj_t BgL_vz00_204)
	{
		{	/* SawBbv/bbv-types.sch 213 */
			return
				((((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_203)))->BgL_predsz00) =
				((obj_t) BgL_vz00_204), BUNSPEC);
		}

	}



/* &blockS-preds-set! */
	obj_t BGl_z62blockSzd2predszd2setz12z70zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6389, obj_t BgL_oz00_6390, obj_t BgL_vz00_6391)
	{
		{	/* SawBbv/bbv-types.sch 213 */
			return
				BGl_blockSzd2predszd2setz12z12zzsaw_bbvzd2mergezd2(
				((BgL_blockz00_bglt) BgL_oz00_6390), BgL_vz00_6391);
		}

	}



/* blockS-label */
	BGL_EXPORTED_DEF int
		BGl_blockSzd2labelzd2zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt BgL_oz00_205)
	{
		{	/* SawBbv/bbv-types.sch 214 */
			return
				(((BgL_blockz00_bglt) COBJECT(
						((BgL_blockz00_bglt) BgL_oz00_205)))->BgL_labelz00);
		}

	}



/* &blockS-label */
	obj_t BGl_z62blockSzd2labelzb0zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6392,
		obj_t BgL_oz00_6393)
	{
		{	/* SawBbv/bbv-types.sch 214 */
			return
				BINT(BGl_blockSzd2labelzd2zzsaw_bbvzd2mergezd2(
					((BgL_blockz00_bglt) BgL_oz00_6393)));
		}

	}



/* blockS-label-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2labelzd2setz12z12zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt
		BgL_oz00_206, int BgL_vz00_207)
	{
		{	/* SawBbv/bbv-types.sch 215 */
			return
				((((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_206)))->BgL_labelz00) =
				((int) BgL_vz00_207), BUNSPEC);
		}

	}



/* &blockS-label-set! */
	obj_t BGl_z62blockSzd2labelzd2setz12z70zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6394, obj_t BgL_oz00_6395, obj_t BgL_vz00_6396)
	{
		{	/* SawBbv/bbv-types.sch 215 */
			return
				BGl_blockSzd2labelzd2setz12z12zzsaw_bbvzd2mergezd2(
				((BgL_blockz00_bglt) BgL_oz00_6395), CINT(BgL_vz00_6396));
		}

	}



/* make-bbv-queue */
	BGL_EXPORTED_DEF BgL_bbvzd2queuezd2_bglt
		BGl_makezd2bbvzd2queuez00zzsaw_bbvzd2mergezd2(obj_t BgL_blocks1236z00_208,
		obj_t BgL_last1237z00_209)
	{
		{	/* SawBbv/bbv-types.sch 218 */
			{	/* SawBbv/bbv-types.sch 218 */
				BgL_bbvzd2queuezd2_bglt BgL_new1183z00_6633;

				{	/* SawBbv/bbv-types.sch 218 */
					BgL_bbvzd2queuezd2_bglt BgL_new1182z00_6634;

					BgL_new1182z00_6634 =
						((BgL_bbvzd2queuezd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_bbvzd2queuezd2_bgl))));
					{	/* SawBbv/bbv-types.sch 218 */
						long BgL_arg1872z00_6635;

						BgL_arg1872z00_6635 =
							BGL_CLASS_NUM(BGl_bbvzd2queuezd2zzsaw_bbvzd2typeszd2);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1182z00_6634), BgL_arg1872z00_6635);
					}
					BgL_new1183z00_6633 = BgL_new1182z00_6634;
				}
				((((BgL_bbvzd2queuezd2_bglt) COBJECT(BgL_new1183z00_6633))->
						BgL_blocksz00) = ((obj_t) BgL_blocks1236z00_208), BUNSPEC);
				((((BgL_bbvzd2queuezd2_bglt) COBJECT(BgL_new1183z00_6633))->
						BgL_lastz00) = ((obj_t) BgL_last1237z00_209), BUNSPEC);
				return BgL_new1183z00_6633;
			}
		}

	}



/* &make-bbv-queue */
	BgL_bbvzd2queuezd2_bglt BGl_z62makezd2bbvzd2queuez62zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6397, obj_t BgL_blocks1236z00_6398, obj_t BgL_last1237z00_6399)
	{
		{	/* SawBbv/bbv-types.sch 218 */
			return
				BGl_makezd2bbvzd2queuez00zzsaw_bbvzd2mergezd2(BgL_blocks1236z00_6398,
				BgL_last1237z00_6399);
		}

	}



/* bbv-queue? */
	BGL_EXPORTED_DEF bool_t BGl_bbvzd2queuezf3z21zzsaw_bbvzd2mergezd2(obj_t
		BgL_objz00_210)
	{
		{	/* SawBbv/bbv-types.sch 219 */
			{	/* SawBbv/bbv-types.sch 219 */
				obj_t BgL_classz00_6636;

				BgL_classz00_6636 = BGl_bbvzd2queuezd2zzsaw_bbvzd2typeszd2;
				if (BGL_OBJECTP(BgL_objz00_210))
					{	/* SawBbv/bbv-types.sch 219 */
						BgL_objectz00_bglt BgL_arg1858z00_6637;

						BgL_arg1858z00_6637 = (BgL_objectz00_bglt) (BgL_objz00_210);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawBbv/bbv-types.sch 219 */
								long BgL_idxz00_6638;

								BgL_idxz00_6638 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6637);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_6638 + 1L)) == BgL_classz00_6636);
							}
						else
							{	/* SawBbv/bbv-types.sch 219 */
								bool_t BgL_res3211z00_6641;

								{	/* SawBbv/bbv-types.sch 219 */
									obj_t BgL_oclassz00_6642;

									{	/* SawBbv/bbv-types.sch 219 */
										obj_t BgL_arg1866z00_6643;
										long BgL_arg1867z00_6644;

										BgL_arg1866z00_6643 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawBbv/bbv-types.sch 219 */
											long BgL_arg1869z00_6645;

											BgL_arg1869z00_6645 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6637);
											BgL_arg1867z00_6644 = (BgL_arg1869z00_6645 - OBJECT_TYPE);
										}
										BgL_oclassz00_6642 =
											VECTOR_REF(BgL_arg1866z00_6643, BgL_arg1867z00_6644);
									}
									{	/* SawBbv/bbv-types.sch 219 */
										bool_t BgL__ortest_1115z00_6646;

										BgL__ortest_1115z00_6646 =
											(BgL_classz00_6636 == BgL_oclassz00_6642);
										if (BgL__ortest_1115z00_6646)
											{	/* SawBbv/bbv-types.sch 219 */
												BgL_res3211z00_6641 = BgL__ortest_1115z00_6646;
											}
										else
											{	/* SawBbv/bbv-types.sch 219 */
												long BgL_odepthz00_6647;

												{	/* SawBbv/bbv-types.sch 219 */
													obj_t BgL_arg1855z00_6648;

													BgL_arg1855z00_6648 = (BgL_oclassz00_6642);
													BgL_odepthz00_6647 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_6648);
												}
												if ((1L < BgL_odepthz00_6647))
													{	/* SawBbv/bbv-types.sch 219 */
														obj_t BgL_arg1853z00_6649;

														{	/* SawBbv/bbv-types.sch 219 */
															obj_t BgL_arg1854z00_6650;

															BgL_arg1854z00_6650 = (BgL_oclassz00_6642);
															BgL_arg1853z00_6649 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_6650,
																1L);
														}
														BgL_res3211z00_6641 =
															(BgL_arg1853z00_6649 == BgL_classz00_6636);
													}
												else
													{	/* SawBbv/bbv-types.sch 219 */
														BgL_res3211z00_6641 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3211z00_6641;
							}
					}
				else
					{	/* SawBbv/bbv-types.sch 219 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &bbv-queue? */
	obj_t BGl_z62bbvzd2queuezf3z43zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6400,
		obj_t BgL_objz00_6401)
	{
		{	/* SawBbv/bbv-types.sch 219 */
			return BBOOL(BGl_bbvzd2queuezf3z21zzsaw_bbvzd2mergezd2(BgL_objz00_6401));
		}

	}



/* bbv-queue-nil */
	BGL_EXPORTED_DEF BgL_bbvzd2queuezd2_bglt
		BGl_bbvzd2queuezd2nilz00zzsaw_bbvzd2mergezd2(void)
	{
		{	/* SawBbv/bbv-types.sch 220 */
			{	/* SawBbv/bbv-types.sch 220 */
				obj_t BgL_classz00_4756;

				BgL_classz00_4756 = BGl_bbvzd2queuezd2zzsaw_bbvzd2typeszd2;
				{	/* SawBbv/bbv-types.sch 220 */
					obj_t BgL__ortest_1117z00_4757;

					BgL__ortest_1117z00_4757 = BGL_CLASS_NIL(BgL_classz00_4756);
					if (CBOOL(BgL__ortest_1117z00_4757))
						{	/* SawBbv/bbv-types.sch 220 */
							return ((BgL_bbvzd2queuezd2_bglt) BgL__ortest_1117z00_4757);
						}
					else
						{	/* SawBbv/bbv-types.sch 220 */
							return
								((BgL_bbvzd2queuezd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4756));
						}
				}
			}
		}

	}



/* &bbv-queue-nil */
	BgL_bbvzd2queuezd2_bglt BGl_z62bbvzd2queuezd2nilz62zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6402)
	{
		{	/* SawBbv/bbv-types.sch 220 */
			return BGl_bbvzd2queuezd2nilz00zzsaw_bbvzd2mergezd2();
		}

	}



/* bbv-queue-last */
	BGL_EXPORTED_DEF obj_t
		BGl_bbvzd2queuezd2lastz00zzsaw_bbvzd2mergezd2(BgL_bbvzd2queuezd2_bglt
		BgL_oz00_211)
	{
		{	/* SawBbv/bbv-types.sch 221 */
			return (((BgL_bbvzd2queuezd2_bglt) COBJECT(BgL_oz00_211))->BgL_lastz00);
		}

	}



/* &bbv-queue-last */
	obj_t BGl_z62bbvzd2queuezd2lastz62zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6403,
		obj_t BgL_oz00_6404)
	{
		{	/* SawBbv/bbv-types.sch 221 */
			return
				BGl_bbvzd2queuezd2lastz00zzsaw_bbvzd2mergezd2(
				((BgL_bbvzd2queuezd2_bglt) BgL_oz00_6404));
		}

	}



/* bbv-queue-last-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_bbvzd2queuezd2lastzd2setz12zc0zzsaw_bbvzd2mergezd2
		(BgL_bbvzd2queuezd2_bglt BgL_oz00_212, obj_t BgL_vz00_213)
	{
		{	/* SawBbv/bbv-types.sch 222 */
			return
				((((BgL_bbvzd2queuezd2_bglt) COBJECT(BgL_oz00_212))->BgL_lastz00) =
				((obj_t) BgL_vz00_213), BUNSPEC);
		}

	}



/* &bbv-queue-last-set! */
	obj_t BGl_z62bbvzd2queuezd2lastzd2setz12za2zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6405, obj_t BgL_oz00_6406, obj_t BgL_vz00_6407)
	{
		{	/* SawBbv/bbv-types.sch 222 */
			return
				BGl_bbvzd2queuezd2lastzd2setz12zc0zzsaw_bbvzd2mergezd2(
				((BgL_bbvzd2queuezd2_bglt) BgL_oz00_6406), BgL_vz00_6407);
		}

	}



/* bbv-queue-blocks */
	BGL_EXPORTED_DEF obj_t
		BGl_bbvzd2queuezd2blocksz00zzsaw_bbvzd2mergezd2(BgL_bbvzd2queuezd2_bglt
		BgL_oz00_214)
	{
		{	/* SawBbv/bbv-types.sch 223 */
			return (((BgL_bbvzd2queuezd2_bglt) COBJECT(BgL_oz00_214))->BgL_blocksz00);
		}

	}



/* &bbv-queue-blocks */
	obj_t BGl_z62bbvzd2queuezd2blocksz62zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6408, obj_t BgL_oz00_6409)
	{
		{	/* SawBbv/bbv-types.sch 223 */
			return
				BGl_bbvzd2queuezd2blocksz00zzsaw_bbvzd2mergezd2(
				((BgL_bbvzd2queuezd2_bglt) BgL_oz00_6409));
		}

	}



/* bbv-queue-blocks-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_bbvzd2queuezd2blockszd2setz12zc0zzsaw_bbvzd2mergezd2
		(BgL_bbvzd2queuezd2_bglt BgL_oz00_215, obj_t BgL_vz00_216)
	{
		{	/* SawBbv/bbv-types.sch 224 */
			return
				((((BgL_bbvzd2queuezd2_bglt) COBJECT(BgL_oz00_215))->BgL_blocksz00) =
				((obj_t) BgL_vz00_216), BUNSPEC);
		}

	}



/* &bbv-queue-blocks-set! */
	obj_t BGl_z62bbvzd2queuezd2blockszd2setz12za2zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6410, obj_t BgL_oz00_6411, obj_t BgL_vz00_6412)
	{
		{	/* SawBbv/bbv-types.sch 224 */
			return
				BGl_bbvzd2queuezd2blockszd2setz12zc0zzsaw_bbvzd2mergezd2(
				((BgL_bbvzd2queuezd2_bglt) BgL_oz00_6411), BgL_vz00_6412);
		}

	}



/* make-bbv-ctx */
	BGL_EXPORTED_DEF BgL_bbvzd2ctxzd2_bglt
		BGl_makezd2bbvzd2ctxz00zzsaw_bbvzd2mergezd2(long BgL_id1233z00_217,
		obj_t BgL_entries1234z00_218)
	{
		{	/* SawBbv/bbv-types.sch 227 */
			{	/* SawBbv/bbv-types.sch 227 */
				BgL_bbvzd2ctxzd2_bglt BgL_new1187z00_6651;

				{	/* SawBbv/bbv-types.sch 227 */
					BgL_bbvzd2ctxzd2_bglt BgL_new1186z00_6652;

					BgL_new1186z00_6652 =
						((BgL_bbvzd2ctxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_bbvzd2ctxzd2_bgl))));
					{	/* SawBbv/bbv-types.sch 227 */
						long BgL_arg1876z00_6653;

						BgL_arg1876z00_6653 =
							BGL_CLASS_NUM(BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1186z00_6652), BgL_arg1876z00_6653);
					}
					BgL_new1187z00_6651 = BgL_new1186z00_6652;
				}
				((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_new1187z00_6651))->BgL_idz00) =
					((long) BgL_id1233z00_217), BUNSPEC);
				((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_new1187z00_6651))->
						BgL_entriesz00) = ((obj_t) BgL_entries1234z00_218), BUNSPEC);
				{	/* SawBbv/bbv-types.sch 227 */
					obj_t BgL_fun1873z00_6654;

					BgL_fun1873z00_6654 =
						BGl_classzd2constructorzd2zz__objectz00
						(BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
					BGL_PROCEDURE_CALL1(BgL_fun1873z00_6654,
						((obj_t) BgL_new1187z00_6651));
				}
				return BgL_new1187z00_6651;
			}
		}

	}



/* &make-bbv-ctx */
	BgL_bbvzd2ctxzd2_bglt BGl_z62makezd2bbvzd2ctxz62zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6413, obj_t BgL_id1233z00_6414, obj_t BgL_entries1234z00_6415)
	{
		{	/* SawBbv/bbv-types.sch 227 */
			return
				BGl_makezd2bbvzd2ctxz00zzsaw_bbvzd2mergezd2(
				(long) CINT(BgL_id1233z00_6414), BgL_entries1234z00_6415);
		}

	}



/* bbv-ctx? */
	BGL_EXPORTED_DEF bool_t BGl_bbvzd2ctxzf3z21zzsaw_bbvzd2mergezd2(obj_t
		BgL_objz00_219)
	{
		{	/* SawBbv/bbv-types.sch 228 */
			{	/* SawBbv/bbv-types.sch 228 */
				obj_t BgL_classz00_6655;

				BgL_classz00_6655 = BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2;
				if (BGL_OBJECTP(BgL_objz00_219))
					{	/* SawBbv/bbv-types.sch 228 */
						BgL_objectz00_bglt BgL_arg1858z00_6656;

						BgL_arg1858z00_6656 = (BgL_objectz00_bglt) (BgL_objz00_219);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawBbv/bbv-types.sch 228 */
								long BgL_idxz00_6657;

								BgL_idxz00_6657 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6656);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_6657 + 1L)) == BgL_classz00_6655);
							}
						else
							{	/* SawBbv/bbv-types.sch 228 */
								bool_t BgL_res3212z00_6660;

								{	/* SawBbv/bbv-types.sch 228 */
									obj_t BgL_oclassz00_6661;

									{	/* SawBbv/bbv-types.sch 228 */
										obj_t BgL_arg1866z00_6662;
										long BgL_arg1867z00_6663;

										BgL_arg1866z00_6662 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawBbv/bbv-types.sch 228 */
											long BgL_arg1869z00_6664;

											BgL_arg1869z00_6664 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6656);
											BgL_arg1867z00_6663 = (BgL_arg1869z00_6664 - OBJECT_TYPE);
										}
										BgL_oclassz00_6661 =
											VECTOR_REF(BgL_arg1866z00_6662, BgL_arg1867z00_6663);
									}
									{	/* SawBbv/bbv-types.sch 228 */
										bool_t BgL__ortest_1115z00_6665;

										BgL__ortest_1115z00_6665 =
											(BgL_classz00_6655 == BgL_oclassz00_6661);
										if (BgL__ortest_1115z00_6665)
											{	/* SawBbv/bbv-types.sch 228 */
												BgL_res3212z00_6660 = BgL__ortest_1115z00_6665;
											}
										else
											{	/* SawBbv/bbv-types.sch 228 */
												long BgL_odepthz00_6666;

												{	/* SawBbv/bbv-types.sch 228 */
													obj_t BgL_arg1855z00_6667;

													BgL_arg1855z00_6667 = (BgL_oclassz00_6661);
													BgL_odepthz00_6666 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_6667);
												}
												if ((1L < BgL_odepthz00_6666))
													{	/* SawBbv/bbv-types.sch 228 */
														obj_t BgL_arg1853z00_6668;

														{	/* SawBbv/bbv-types.sch 228 */
															obj_t BgL_arg1854z00_6669;

															BgL_arg1854z00_6669 = (BgL_oclassz00_6661);
															BgL_arg1853z00_6668 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_6669,
																1L);
														}
														BgL_res3212z00_6660 =
															(BgL_arg1853z00_6668 == BgL_classz00_6655);
													}
												else
													{	/* SawBbv/bbv-types.sch 228 */
														BgL_res3212z00_6660 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3212z00_6660;
							}
					}
				else
					{	/* SawBbv/bbv-types.sch 228 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &bbv-ctx? */
	obj_t BGl_z62bbvzd2ctxzf3z43zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6416,
		obj_t BgL_objz00_6417)
	{
		{	/* SawBbv/bbv-types.sch 228 */
			return BBOOL(BGl_bbvzd2ctxzf3z21zzsaw_bbvzd2mergezd2(BgL_objz00_6417));
		}

	}



/* bbv-ctx-nil */
	BGL_EXPORTED_DEF BgL_bbvzd2ctxzd2_bglt
		BGl_bbvzd2ctxzd2nilz00zzsaw_bbvzd2mergezd2(void)
	{
		{	/* SawBbv/bbv-types.sch 229 */
			{	/* SawBbv/bbv-types.sch 229 */
				obj_t BgL_classz00_4799;

				BgL_classz00_4799 = BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2;
				{	/* SawBbv/bbv-types.sch 229 */
					obj_t BgL__ortest_1117z00_4800;

					BgL__ortest_1117z00_4800 = BGL_CLASS_NIL(BgL_classz00_4799);
					if (CBOOL(BgL__ortest_1117z00_4800))
						{	/* SawBbv/bbv-types.sch 229 */
							return ((BgL_bbvzd2ctxzd2_bglt) BgL__ortest_1117z00_4800);
						}
					else
						{	/* SawBbv/bbv-types.sch 229 */
							return
								((BgL_bbvzd2ctxzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4799));
						}
				}
			}
		}

	}



/* &bbv-ctx-nil */
	BgL_bbvzd2ctxzd2_bglt BGl_z62bbvzd2ctxzd2nilz62zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6418)
	{
		{	/* SawBbv/bbv-types.sch 229 */
			return BGl_bbvzd2ctxzd2nilz00zzsaw_bbvzd2mergezd2();
		}

	}



/* bbv-ctx-entries */
	BGL_EXPORTED_DEF obj_t
		BGl_bbvzd2ctxzd2entriesz00zzsaw_bbvzd2mergezd2(BgL_bbvzd2ctxzd2_bglt
		BgL_oz00_220)
	{
		{	/* SawBbv/bbv-types.sch 230 */
			return (((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_oz00_220))->BgL_entriesz00);
		}

	}



/* &bbv-ctx-entries */
	obj_t BGl_z62bbvzd2ctxzd2entriesz62zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6419,
		obj_t BgL_oz00_6420)
	{
		{	/* SawBbv/bbv-types.sch 230 */
			return
				BGl_bbvzd2ctxzd2entriesz00zzsaw_bbvzd2mergezd2(
				((BgL_bbvzd2ctxzd2_bglt) BgL_oz00_6420));
		}

	}



/* bbv-ctx-entries-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_bbvzd2ctxzd2entrieszd2setz12zc0zzsaw_bbvzd2mergezd2
		(BgL_bbvzd2ctxzd2_bglt BgL_oz00_221, obj_t BgL_vz00_222)
	{
		{	/* SawBbv/bbv-types.sch 231 */
			return
				((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_oz00_221))->BgL_entriesz00) =
				((obj_t) BgL_vz00_222), BUNSPEC);
		}

	}



/* &bbv-ctx-entries-set! */
	obj_t BGl_z62bbvzd2ctxzd2entrieszd2setz12za2zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6421, obj_t BgL_oz00_6422, obj_t BgL_vz00_6423)
	{
		{	/* SawBbv/bbv-types.sch 231 */
			return
				BGl_bbvzd2ctxzd2entrieszd2setz12zc0zzsaw_bbvzd2mergezd2(
				((BgL_bbvzd2ctxzd2_bglt) BgL_oz00_6422), BgL_vz00_6423);
		}

	}



/* bbv-ctx-id */
	BGL_EXPORTED_DEF long
		BGl_bbvzd2ctxzd2idz00zzsaw_bbvzd2mergezd2(BgL_bbvzd2ctxzd2_bglt
		BgL_oz00_223)
	{
		{	/* SawBbv/bbv-types.sch 232 */
			return (((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_oz00_223))->BgL_idz00);
		}

	}



/* &bbv-ctx-id */
	obj_t BGl_z62bbvzd2ctxzd2idz62zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6424,
		obj_t BgL_oz00_6425)
	{
		{	/* SawBbv/bbv-types.sch 232 */
			return
				BINT(BGl_bbvzd2ctxzd2idz00zzsaw_bbvzd2mergezd2(
					((BgL_bbvzd2ctxzd2_bglt) BgL_oz00_6425)));
		}

	}



/* bbv-ctx-id-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_bbvzd2ctxzd2idzd2setz12zc0zzsaw_bbvzd2mergezd2(BgL_bbvzd2ctxzd2_bglt
		BgL_oz00_224, long BgL_vz00_225)
	{
		{	/* SawBbv/bbv-types.sch 233 */
			return
				((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_oz00_224))->BgL_idz00) =
				((long) BgL_vz00_225), BUNSPEC);
		}

	}



/* &bbv-ctx-id-set! */
	obj_t BGl_z62bbvzd2ctxzd2idzd2setz12za2zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6426, obj_t BgL_oz00_6427, obj_t BgL_vz00_6428)
	{
		{	/* SawBbv/bbv-types.sch 233 */
			return
				BGl_bbvzd2ctxzd2idzd2setz12zc0zzsaw_bbvzd2mergezd2(
				((BgL_bbvzd2ctxzd2_bglt) BgL_oz00_6427), (long) CINT(BgL_vz00_6428));
		}

	}



/* make-bbv-ctxentry */
	BGL_EXPORTED_DEF BgL_bbvzd2ctxentryzd2_bglt
		BGl_makezd2bbvzd2ctxentryz00zzsaw_bbvzd2mergezd2(BgL_rtl_regz00_bglt
		BgL_reg1225z00_226, obj_t BgL_types1226z00_227,
		bool_t BgL_polarity1227z00_228, long BgL_count1228z00_229,
		obj_t BgL_value1229z00_230, obj_t BgL_aliases1230z00_231,
		obj_t BgL_initval1231z00_232)
	{
		{	/* SawBbv/bbv-types.sch 236 */
			{	/* SawBbv/bbv-types.sch 236 */
				BgL_bbvzd2ctxentryzd2_bglt BgL_new1189z00_6670;

				{	/* SawBbv/bbv-types.sch 236 */
					BgL_bbvzd2ctxentryzd2_bglt BgL_new1188z00_6671;

					BgL_new1188z00_6671 =
						((BgL_bbvzd2ctxentryzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_bbvzd2ctxentryzd2_bgl))));
					{	/* SawBbv/bbv-types.sch 236 */
						long BgL_arg1878z00_6672;

						BgL_arg1878z00_6672 =
							BGL_CLASS_NUM(BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1188z00_6671), BgL_arg1878z00_6672);
					}
					BgL_new1189z00_6670 = BgL_new1188z00_6671;
				}
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1189z00_6670))->
						BgL_regz00) = ((BgL_rtl_regz00_bglt) BgL_reg1225z00_226), BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1189z00_6670))->
						BgL_typesz00) = ((obj_t) BgL_types1226z00_227), BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1189z00_6670))->
						BgL_polarityz00) = ((bool_t) BgL_polarity1227z00_228), BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1189z00_6670))->
						BgL_countz00) = ((long) BgL_count1228z00_229), BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1189z00_6670))->
						BgL_valuez00) = ((obj_t) BgL_value1229z00_230), BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1189z00_6670))->
						BgL_aliasesz00) = ((obj_t) BgL_aliases1230z00_231), BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1189z00_6670))->
						BgL_initvalz00) = ((obj_t) BgL_initval1231z00_232), BUNSPEC);
				return BgL_new1189z00_6670;
			}
		}

	}



/* &make-bbv-ctxentry */
	BgL_bbvzd2ctxentryzd2_bglt
		BGl_z62makezd2bbvzd2ctxentryz62zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6429,
		obj_t BgL_reg1225z00_6430, obj_t BgL_types1226z00_6431,
		obj_t BgL_polarity1227z00_6432, obj_t BgL_count1228z00_6433,
		obj_t BgL_value1229z00_6434, obj_t BgL_aliases1230z00_6435,
		obj_t BgL_initval1231z00_6436)
	{
		{	/* SawBbv/bbv-types.sch 236 */
			return
				BGl_makezd2bbvzd2ctxentryz00zzsaw_bbvzd2mergezd2(
				((BgL_rtl_regz00_bglt) BgL_reg1225z00_6430), BgL_types1226z00_6431,
				CBOOL(BgL_polarity1227z00_6432),
				(long) CINT(BgL_count1228z00_6433), BgL_value1229z00_6434,
				BgL_aliases1230z00_6435, BgL_initval1231z00_6436);
		}

	}



/* bbv-ctxentry? */
	BGL_EXPORTED_DEF bool_t BGl_bbvzd2ctxentryzf3z21zzsaw_bbvzd2mergezd2(obj_t
		BgL_objz00_233)
	{
		{	/* SawBbv/bbv-types.sch 237 */
			{	/* SawBbv/bbv-types.sch 237 */
				obj_t BgL_classz00_6673;

				BgL_classz00_6673 = BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2;
				if (BGL_OBJECTP(BgL_objz00_233))
					{	/* SawBbv/bbv-types.sch 237 */
						BgL_objectz00_bglt BgL_arg1858z00_6674;

						BgL_arg1858z00_6674 = (BgL_objectz00_bglt) (BgL_objz00_233);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawBbv/bbv-types.sch 237 */
								long BgL_idxz00_6675;

								BgL_idxz00_6675 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6674);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_6675 + 1L)) == BgL_classz00_6673);
							}
						else
							{	/* SawBbv/bbv-types.sch 237 */
								bool_t BgL_res3213z00_6678;

								{	/* SawBbv/bbv-types.sch 237 */
									obj_t BgL_oclassz00_6679;

									{	/* SawBbv/bbv-types.sch 237 */
										obj_t BgL_arg1866z00_6680;
										long BgL_arg1867z00_6681;

										BgL_arg1866z00_6680 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawBbv/bbv-types.sch 237 */
											long BgL_arg1869z00_6682;

											BgL_arg1869z00_6682 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6674);
											BgL_arg1867z00_6681 = (BgL_arg1869z00_6682 - OBJECT_TYPE);
										}
										BgL_oclassz00_6679 =
											VECTOR_REF(BgL_arg1866z00_6680, BgL_arg1867z00_6681);
									}
									{	/* SawBbv/bbv-types.sch 237 */
										bool_t BgL__ortest_1115z00_6683;

										BgL__ortest_1115z00_6683 =
											(BgL_classz00_6673 == BgL_oclassz00_6679);
										if (BgL__ortest_1115z00_6683)
											{	/* SawBbv/bbv-types.sch 237 */
												BgL_res3213z00_6678 = BgL__ortest_1115z00_6683;
											}
										else
											{	/* SawBbv/bbv-types.sch 237 */
												long BgL_odepthz00_6684;

												{	/* SawBbv/bbv-types.sch 237 */
													obj_t BgL_arg1855z00_6685;

													BgL_arg1855z00_6685 = (BgL_oclassz00_6679);
													BgL_odepthz00_6684 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_6685);
												}
												if ((1L < BgL_odepthz00_6684))
													{	/* SawBbv/bbv-types.sch 237 */
														obj_t BgL_arg1853z00_6686;

														{	/* SawBbv/bbv-types.sch 237 */
															obj_t BgL_arg1854z00_6687;

															BgL_arg1854z00_6687 = (BgL_oclassz00_6679);
															BgL_arg1853z00_6686 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_6687,
																1L);
														}
														BgL_res3213z00_6678 =
															(BgL_arg1853z00_6686 == BgL_classz00_6673);
													}
												else
													{	/* SawBbv/bbv-types.sch 237 */
														BgL_res3213z00_6678 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3213z00_6678;
							}
					}
				else
					{	/* SawBbv/bbv-types.sch 237 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &bbv-ctxentry? */
	obj_t BGl_z62bbvzd2ctxentryzf3z43zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6437,
		obj_t BgL_objz00_6438)
	{
		{	/* SawBbv/bbv-types.sch 237 */
			return
				BBOOL(BGl_bbvzd2ctxentryzf3z21zzsaw_bbvzd2mergezd2(BgL_objz00_6438));
		}

	}



/* bbv-ctxentry-nil */
	BGL_EXPORTED_DEF BgL_bbvzd2ctxentryzd2_bglt
		BGl_bbvzd2ctxentryzd2nilz00zzsaw_bbvzd2mergezd2(void)
	{
		{	/* SawBbv/bbv-types.sch 238 */
			{	/* SawBbv/bbv-types.sch 238 */
				obj_t BgL_classz00_4841;

				BgL_classz00_4841 = BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2;
				{	/* SawBbv/bbv-types.sch 238 */
					obj_t BgL__ortest_1117z00_4842;

					BgL__ortest_1117z00_4842 = BGL_CLASS_NIL(BgL_classz00_4841);
					if (CBOOL(BgL__ortest_1117z00_4842))
						{	/* SawBbv/bbv-types.sch 238 */
							return ((BgL_bbvzd2ctxentryzd2_bglt) BgL__ortest_1117z00_4842);
						}
					else
						{	/* SawBbv/bbv-types.sch 238 */
							return
								((BgL_bbvzd2ctxentryzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4841));
						}
				}
			}
		}

	}



/* &bbv-ctxentry-nil */
	BgL_bbvzd2ctxentryzd2_bglt
		BGl_z62bbvzd2ctxentryzd2nilz62zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6439)
	{
		{	/* SawBbv/bbv-types.sch 238 */
			return BGl_bbvzd2ctxentryzd2nilz00zzsaw_bbvzd2mergezd2();
		}

	}



/* bbv-ctxentry-initval */
	BGL_EXPORTED_DEF obj_t
		BGl_bbvzd2ctxentryzd2initvalz00zzsaw_bbvzd2mergezd2
		(BgL_bbvzd2ctxentryzd2_bglt BgL_oz00_234)
	{
		{	/* SawBbv/bbv-types.sch 239 */
			return
				(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_oz00_234))->BgL_initvalz00);
		}

	}



/* &bbv-ctxentry-initval */
	obj_t BGl_z62bbvzd2ctxentryzd2initvalz62zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6440, obj_t BgL_oz00_6441)
	{
		{	/* SawBbv/bbv-types.sch 239 */
			return
				BGl_bbvzd2ctxentryzd2initvalz00zzsaw_bbvzd2mergezd2(
				((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_6441));
		}

	}



/* bbv-ctxentry-initval-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_bbvzd2ctxentryzd2initvalzd2setz12zc0zzsaw_bbvzd2mergezd2
		(BgL_bbvzd2ctxentryzd2_bglt BgL_oz00_235, obj_t BgL_vz00_236)
	{
		{	/* SawBbv/bbv-types.sch 240 */
			return
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_oz00_235))->
					BgL_initvalz00) = ((obj_t) BgL_vz00_236), BUNSPEC);
		}

	}



/* &bbv-ctxentry-initval-set! */
	obj_t BGl_z62bbvzd2ctxentryzd2initvalzd2setz12za2zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6442, obj_t BgL_oz00_6443, obj_t BgL_vz00_6444)
	{
		{	/* SawBbv/bbv-types.sch 240 */
			return
				BGl_bbvzd2ctxentryzd2initvalzd2setz12zc0zzsaw_bbvzd2mergezd2(
				((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_6443), BgL_vz00_6444);
		}

	}



/* bbv-ctxentry-aliases */
	BGL_EXPORTED_DEF obj_t
		BGl_bbvzd2ctxentryzd2aliasesz00zzsaw_bbvzd2mergezd2
		(BgL_bbvzd2ctxentryzd2_bglt BgL_oz00_237)
	{
		{	/* SawBbv/bbv-types.sch 241 */
			return
				(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_oz00_237))->BgL_aliasesz00);
		}

	}



/* &bbv-ctxentry-aliases */
	obj_t BGl_z62bbvzd2ctxentryzd2aliasesz62zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6445, obj_t BgL_oz00_6446)
	{
		{	/* SawBbv/bbv-types.sch 241 */
			return
				BGl_bbvzd2ctxentryzd2aliasesz00zzsaw_bbvzd2mergezd2(
				((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_6446));
		}

	}



/* bbv-ctxentry-aliases-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_bbvzd2ctxentryzd2aliaseszd2setz12zc0zzsaw_bbvzd2mergezd2
		(BgL_bbvzd2ctxentryzd2_bglt BgL_oz00_238, obj_t BgL_vz00_239)
	{
		{	/* SawBbv/bbv-types.sch 242 */
			return
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_oz00_238))->
					BgL_aliasesz00) = ((obj_t) BgL_vz00_239), BUNSPEC);
		}

	}



/* &bbv-ctxentry-aliases-set! */
	obj_t BGl_z62bbvzd2ctxentryzd2aliaseszd2setz12za2zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6447, obj_t BgL_oz00_6448, obj_t BgL_vz00_6449)
	{
		{	/* SawBbv/bbv-types.sch 242 */
			return
				BGl_bbvzd2ctxentryzd2aliaseszd2setz12zc0zzsaw_bbvzd2mergezd2(
				((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_6448), BgL_vz00_6449);
		}

	}



/* bbv-ctxentry-value */
	BGL_EXPORTED_DEF obj_t
		BGl_bbvzd2ctxentryzd2valuez00zzsaw_bbvzd2mergezd2(BgL_bbvzd2ctxentryzd2_bglt
		BgL_oz00_240)
	{
		{	/* SawBbv/bbv-types.sch 243 */
			return
				(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_oz00_240))->BgL_valuez00);
		}

	}



/* &bbv-ctxentry-value */
	obj_t BGl_z62bbvzd2ctxentryzd2valuez62zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6450, obj_t BgL_oz00_6451)
	{
		{	/* SawBbv/bbv-types.sch 243 */
			return
				BGl_bbvzd2ctxentryzd2valuez00zzsaw_bbvzd2mergezd2(
				((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_6451));
		}

	}



/* bbv-ctxentry-count */
	BGL_EXPORTED_DEF long
		BGl_bbvzd2ctxentryzd2countz00zzsaw_bbvzd2mergezd2(BgL_bbvzd2ctxentryzd2_bglt
		BgL_oz00_243)
	{
		{	/* SawBbv/bbv-types.sch 245 */
			return
				(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_oz00_243))->BgL_countz00);
		}

	}



/* &bbv-ctxentry-count */
	obj_t BGl_z62bbvzd2ctxentryzd2countz62zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6452, obj_t BgL_oz00_6453)
	{
		{	/* SawBbv/bbv-types.sch 245 */
			return
				BINT(BGl_bbvzd2ctxentryzd2countz00zzsaw_bbvzd2mergezd2(
					((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_6453)));
		}

	}



/* bbv-ctxentry-count-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_bbvzd2ctxentryzd2countzd2setz12zc0zzsaw_bbvzd2mergezd2
		(BgL_bbvzd2ctxentryzd2_bglt BgL_oz00_244, long BgL_vz00_245)
	{
		{	/* SawBbv/bbv-types.sch 246 */
			return
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_oz00_244))->BgL_countz00) =
				((long) BgL_vz00_245), BUNSPEC);
		}

	}



/* &bbv-ctxentry-count-set! */
	obj_t BGl_z62bbvzd2ctxentryzd2countzd2setz12za2zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6454, obj_t BgL_oz00_6455, obj_t BgL_vz00_6456)
	{
		{	/* SawBbv/bbv-types.sch 246 */
			return
				BGl_bbvzd2ctxentryzd2countzd2setz12zc0zzsaw_bbvzd2mergezd2(
				((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_6455),
				(long) CINT(BgL_vz00_6456));
		}

	}



/* bbv-ctxentry-polarity */
	BGL_EXPORTED_DEF bool_t
		BGl_bbvzd2ctxentryzd2polarityz00zzsaw_bbvzd2mergezd2
		(BgL_bbvzd2ctxentryzd2_bglt BgL_oz00_246)
	{
		{	/* SawBbv/bbv-types.sch 247 */
			return
				(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_oz00_246))->BgL_polarityz00);
		}

	}



/* &bbv-ctxentry-polarity */
	obj_t BGl_z62bbvzd2ctxentryzd2polarityz62zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6457, obj_t BgL_oz00_6458)
	{
		{	/* SawBbv/bbv-types.sch 247 */
			return
				BBOOL(BGl_bbvzd2ctxentryzd2polarityz00zzsaw_bbvzd2mergezd2(
					((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_6458)));
		}

	}



/* bbv-ctxentry-types */
	BGL_EXPORTED_DEF obj_t
		BGl_bbvzd2ctxentryzd2typesz00zzsaw_bbvzd2mergezd2(BgL_bbvzd2ctxentryzd2_bglt
		BgL_oz00_249)
	{
		{	/* SawBbv/bbv-types.sch 249 */
			return
				(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_oz00_249))->BgL_typesz00);
		}

	}



/* &bbv-ctxentry-types */
	obj_t BGl_z62bbvzd2ctxentryzd2typesz62zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6459, obj_t BgL_oz00_6460)
	{
		{	/* SawBbv/bbv-types.sch 249 */
			return
				BGl_bbvzd2ctxentryzd2typesz00zzsaw_bbvzd2mergezd2(
				((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_6460));
		}

	}



/* bbv-ctxentry-reg */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt
		BGl_bbvzd2ctxentryzd2regz00zzsaw_bbvzd2mergezd2(BgL_bbvzd2ctxentryzd2_bglt
		BgL_oz00_252)
	{
		{	/* SawBbv/bbv-types.sch 251 */
			return (((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_oz00_252))->BgL_regz00);
		}

	}



/* &bbv-ctxentry-reg */
	BgL_rtl_regz00_bglt BGl_z62bbvzd2ctxentryzd2regz62zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6461, obj_t BgL_oz00_6462)
	{
		{	/* SawBbv/bbv-types.sch 251 */
			return
				BGl_bbvzd2ctxentryzd2regz00zzsaw_bbvzd2mergezd2(
				((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_6462));
		}

	}



/* bbv-block-merge */
	BGL_EXPORTED_DEF obj_t BGl_bbvzd2blockzd2mergez00zzsaw_bbvzd2mergezd2(obj_t
		BgL_bsz00_255)
	{
		{	/* SawBbv/bbv-merge.scm 48 */
			{	/* SawBbv/bbv-merge.scm 56 */
				obj_t BgL_bs1z00_2218;

				BgL_bs1z00_2218 =
					BGl_bbvzd2blockzd2mergezd2selectzd2zzsaw_bbvzd2mergezd2
					(BgL_bsz00_255);
				{	/* SawBbv/bbv-merge.scm 57 */
					obj_t BgL_bs2z00_2219;

					{	/* SawBbv/bbv-merge.scm 58 */
						obj_t BgL_tmpz00_4843;

						{	/* SawBbv/bbv-merge.scm 58 */
							int BgL_tmpz00_8059;

							BgL_tmpz00_8059 = (int) (1L);
							BgL_tmpz00_4843 = BGL_MVALUES_VAL(BgL_tmpz00_8059);
						}
						{	/* SawBbv/bbv-merge.scm 58 */
							int BgL_tmpz00_8062;

							BgL_tmpz00_8062 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_8062, BUNSPEC);
						}
						BgL_bs2z00_2219 = BgL_tmpz00_4843;
					}
					{	/* SawBbv/bbv-merge.scm 62 */
						BgL_bbvzd2ctxzd2_bglt BgL_mctxz00_2222;

						{	/* SawBbv/bbv-merge.scm 62 */
							BgL_bbvzd2ctxzd2_bglt BgL_arg1882z00_2226;
							BgL_bbvzd2ctxzd2_bglt BgL_arg1884z00_2227;

							{
								BgL_blocksz00_bglt BgL_auxz00_8065;

								{
									obj_t BgL_auxz00_8066;

									{	/* SawBbv/bbv-merge.scm 62 */
										BgL_objectz00_bglt BgL_tmpz00_8067;

										BgL_tmpz00_8067 =
											((BgL_objectz00_bglt)
											((BgL_blockz00_bglt) BgL_bs1z00_2218));
										BgL_auxz00_8066 = BGL_OBJECT_WIDENING(BgL_tmpz00_8067);
									}
									BgL_auxz00_8065 = ((BgL_blocksz00_bglt) BgL_auxz00_8066);
								}
								BgL_arg1882z00_2226 =
									(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_8065))->BgL_ctxz00);
							}
							{
								BgL_blocksz00_bglt BgL_auxz00_8073;

								{
									obj_t BgL_auxz00_8074;

									{	/* SawBbv/bbv-merge.scm 62 */
										BgL_objectz00_bglt BgL_tmpz00_8075;

										BgL_tmpz00_8075 =
											((BgL_objectz00_bglt)
											((BgL_blockz00_bglt) BgL_bs2z00_2219));
										BgL_auxz00_8074 = BGL_OBJECT_WIDENING(BgL_tmpz00_8075);
									}
									BgL_auxz00_8073 = ((BgL_blocksz00_bglt) BgL_auxz00_8074);
								}
								BgL_arg1884z00_2227 =
									(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_8073))->BgL_ctxz00);
							}
							BgL_mctxz00_2222 =
								BGl_mergezd2ctxzd2zzsaw_bbvzd2mergezd2(BgL_arg1882z00_2226,
								BgL_arg1884z00_2227);
						}
						{	/* SawBbv/bbv-merge.scm 64 */
							int BgL_tmpz00_8082;

							BgL_tmpz00_8082 = (int) (3L);
							BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8082);
						}
						{	/* SawBbv/bbv-merge.scm 64 */
							int BgL_tmpz00_8085;

							BgL_tmpz00_8085 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_8085, BgL_bs2z00_2219);
						}
						{	/* SawBbv/bbv-merge.scm 64 */
							obj_t BgL_auxz00_8090;
							int BgL_tmpz00_8088;

							BgL_auxz00_8090 = ((obj_t) BgL_mctxz00_2222);
							BgL_tmpz00_8088 = (int) (2L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_8088, BgL_auxz00_8090);
						}
						return BgL_bs1z00_2218;
					}
				}
			}
		}

	}



/* &bbv-block-merge */
	obj_t BGl_z62bbvzd2blockzd2mergez62zzsaw_bbvzd2mergezd2(obj_t BgL_envz00_6463,
		obj_t BgL_bsz00_6464)
	{
		{	/* SawBbv/bbv-merge.scm 48 */
			return BGl_bbvzd2blockzd2mergez00zzsaw_bbvzd2mergezd2(BgL_bsz00_6464);
		}

	}



/* bbv-block-merge-select */
	obj_t BGl_bbvzd2blockzd2mergezd2selectzd2zzsaw_bbvzd2mergezd2(obj_t
		BgL_bsz00_256)
	{
		{	/* SawBbv/bbv-merge.scm 71 */
			{	/* SawBbv/bbv-merge.scm 72 */
				bool_t BgL_test3451z00_8094;

				if (NULLP(BgL_bsz00_256))
					{	/* SawBbv/bbv-merge.scm 72 */
						BgL_test3451z00_8094 = ((bool_t) 0);
					}
				else
					{	/* SawBbv/bbv-merge.scm 72 */
						bool_t BgL_test3453z00_8097;

						{	/* SawBbv/bbv-merge.scm 72 */
							obj_t BgL_tmpz00_8098;

							BgL_tmpz00_8098 = CDR(BgL_bsz00_256);
							BgL_test3453z00_8097 = PAIRP(BgL_tmpz00_8098);
						}
						if (BgL_test3453z00_8097)
							{	/* SawBbv/bbv-merge.scm 72 */
								BgL_test3451z00_8094 = NULLP(CDR(CDR(BgL_bsz00_256)));
							}
						else
							{	/* SawBbv/bbv-merge.scm 72 */
								BgL_test3451z00_8094 = ((bool_t) 0);
							}
					}
				if (BgL_test3451z00_8094)
					{	/* SawBbv/bbv-merge.scm 75 */
						obj_t BgL_val0_1525z00_2234;
						obj_t BgL_val1_1526z00_2235;

						BgL_val0_1525z00_2234 = CAR(((obj_t) BgL_bsz00_256));
						{	/* SawBbv/bbv-merge.scm 75 */
							obj_t BgL_pairz00_4855;

							BgL_pairz00_4855 = CDR(((obj_t) BgL_bsz00_256));
							BgL_val1_1526z00_2235 = CAR(BgL_pairz00_4855);
						}
						{	/* SawBbv/bbv-merge.scm 75 */
							int BgL_tmpz00_8109;

							BgL_tmpz00_8109 = (int) (2L);
							BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8109);
						}
						{	/* SawBbv/bbv-merge.scm 75 */
							int BgL_tmpz00_8112;

							BgL_tmpz00_8112 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_8112, BgL_val1_1526z00_2235);
						}
						return BgL_val0_1525z00_2234;
					}
				else
					{	/* SawBbv/bbv-merge.scm 76 */
						obj_t BgL_casezd2valuezd2_2236;

						BgL_casezd2valuezd2_2236 =
							BGl_za2bbvzd2mergezd2strategyza2z00zzsaw_bbvzd2configzd2;
						if ((BgL_casezd2valuezd2_2236 == ((obj_t) CNST_TABLE_REF(0))))
							{	/* SawBbv/bbv-merge.scm 76 */
								return
									BGl_bbvzd2blockzd2mergezd2selectzd2strategyzd2adnzd2zzsaw_bbvzd2mergezd2
									(BgL_bsz00_256);
							}
						else
							{	/* SawBbv/bbv-merge.scm 76 */
								if ((BgL_casezd2valuezd2_2236 == ((obj_t) CNST_TABLE_REF(1))))
									{	/* SawBbv/bbv-merge.scm 76 */
										return
											BGl_bbvzd2blockzd2mergezd2selectzd2strategyzd2scoreza2z70zzsaw_bbvzd2mergezd2
											(BgL_bsz00_256);
									}
								else
									{	/* SawBbv/bbv-merge.scm 76 */
										if (
											(BgL_casezd2valuezd2_2236 == ((obj_t) CNST_TABLE_REF(2))))
											{	/* SawBbv/bbv-merge.scm 76 */
												return
													BGl_bbvzd2blockzd2mergezd2selectzd2strategyzd2scorezb2z60zzsaw_bbvzd2mergezd2
													(BgL_bsz00_256);
											}
										else
											{	/* SawBbv/bbv-merge.scm 76 */
												if (
													(BgL_casezd2valuezd2_2236 ==
														((obj_t) CNST_TABLE_REF(3))))
													{	/* SawBbv/bbv-merge.scm 76 */
														return
															BGl_bbvzd2blockzd2mergezd2selectzd2strategyzd2scorezd2z00zzsaw_bbvzd2mergezd2
															(BgL_bsz00_256);
													}
												else
													{	/* SawBbv/bbv-merge.scm 76 */
														if (
															(BgL_casezd2valuezd2_2236 ==
																((obj_t) CNST_TABLE_REF(4))))
															{	/* SawBbv/bbv-merge.scm 76 */
																return
																	BGl_bbvzd2blockzd2mergezd2selectzd2strategyzd2score2zd2zzsaw_bbvzd2mergezd2
																	(BgL_bsz00_256);
															}
														else
															{	/* SawBbv/bbv-merge.scm 76 */
																if (
																	(BgL_casezd2valuezd2_2236 ==
																		((obj_t) CNST_TABLE_REF(5))))
																	{	/* SawBbv/bbv-merge.scm 76 */
																		return
																			BGl_bbvzd2blockzd2mergezd2selectzd2strategyzd2nearobjzd2zzsaw_bbvzd2mergezd2
																			(BgL_bsz00_256);
																	}
																else
																	{	/* SawBbv/bbv-merge.scm 76 */
																		if (
																			(BgL_casezd2valuezd2_2236 ==
																				((obj_t) CNST_TABLE_REF(6))))
																			{	/* SawBbv/bbv-merge.scm 76 */
																				return
																					BGl_bbvzd2blockzd2mergezd2selectzd2strategyzd2nearnegativezd2zzsaw_bbvzd2mergezd2
																					(BgL_bsz00_256);
																			}
																		else
																			{	/* SawBbv/bbv-merge.scm 76 */
																				if (
																					(BgL_casezd2valuezd2_2236 ==
																						((obj_t) CNST_TABLE_REF(7))))
																					{	/* SawBbv/bbv-merge.scm 76 */
																						return
																							BGl_bbvzd2blockzd2mergezd2selectzd2strategyzd2anynegativezd2zzsaw_bbvzd2mergezd2
																							(BgL_bsz00_256);
																					}
																				else
																					{	/* SawBbv/bbv-merge.scm 76 */
																						if (
																							(BgL_casezd2valuezd2_2236 ==
																								((obj_t) CNST_TABLE_REF(8))))
																							{	/* SawBbv/bbv-merge.scm 76 */
																								return
																									BGl_bbvzd2blockzd2mergezd2selectzd2strategyzd2siza7ez75zzsaw_bbvzd2mergezd2
																									(BgL_bsz00_256);
																							}
																						else
																							{	/* SawBbv/bbv-merge.scm 76 */
																								if (
																									(BgL_casezd2valuezd2_2236 ==
																										((obj_t)
																											CNST_TABLE_REF(9))))
																									{	/* SawBbv/bbv-merge.scm 76 */
																										return
																											BGl_bbvzd2blockzd2mergezd2selectzd2strategyzd2distancezd2zzsaw_bbvzd2mergezd2
																											(BgL_bsz00_256);
																									}
																								else
																									{	/* SawBbv/bbv-merge.scm 76 */
																										if (
																											(BgL_casezd2valuezd2_2236
																												==
																												((obj_t)
																													CNST_TABLE_REF(10))))
																											{	/* SawBbv/bbv-merge.scm 76 */
																												return
																													BGl_bbvzd2blockzd2mergezd2selectzd2strategyzd2randomzd2zzsaw_bbvzd2mergezd2
																													(BgL_bsz00_256);
																											}
																										else
																											{	/* SawBbv/bbv-merge.scm 76 */
																												if (
																													(BgL_casezd2valuezd2_2236
																														==
																														((obj_t)
																															CNST_TABLE_REF
																															(11))))
																													{	/* SawBbv/bbv-merge.scm 76 */
																														return
																															BGl_bbvzd2blockzd2mergezd2selectzd2strategyzd2firstzd2zzsaw_bbvzd2mergezd2
																															(BgL_bsz00_256);
																													}
																												else
																													{	/* SawBbv/bbv-merge.scm 76 */
																														return
																															BGl_errorz00zz__errorz00
																															(BGl_string3233z00zzsaw_bbvzd2mergezd2,
																															BGl_string3234z00zzsaw_bbvzd2mergezd2,
																															BGl_za2bbvzd2mergezd2strategyza2z00zzsaw_bbvzd2configzd2);
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
					}
			}
		}

	}



/* bbv-block-merge-select-strategy-adn */
	obj_t
		BGl_bbvzd2blockzd2mergezd2selectzd2strategyzd2adnzd2zzsaw_bbvzd2mergezd2
		(obj_t BgL_bsz00_257)
	{
		{	/* SawBbv/bbv-merge.scm 101 */
			{

				if (CBOOL(BGl_za2ADNcza2z00zzsaw_bbvzd2mergezd2))
					{	/* SawBbv/bbv-merge.scm 135 */
						BFALSE;
					}
				else
					{	/* SawBbv/bbv-merge.scm 136 */
						obj_t BgL_sz00_2447;

						BgL_sz00_2447 =
							BGl_getenvz00zz__osz00(BGl_string3235z00zzsaw_bbvzd2mergezd2);
						if (STRINGP(BgL_sz00_2447))
							{	/* SawBbv/bbv-merge.scm 138 */
								obj_t BgL_vz00_2449;

								{	/* SawBbv/bbv-merge.scm 138 */
									obj_t BgL_arg2028z00_2465;

									{	/* SawBbv/bbv-merge.scm 138 */
										obj_t BgL_l1539z00_2466;

										BgL_l1539z00_2466 =
											BGl_callzd2withzd2inputzd2stringzd2zz__r4_ports_6_10_1z00
											(BgL_sz00_2447,
											BGl_portzd2ze3sexpzd2listzd2envz31zz__readerz00);
										if (NULLP(BgL_l1539z00_2466))
											{	/* SawBbv/bbv-merge.scm 138 */
												BgL_arg2028z00_2465 = BNIL;
											}
										else
											{	/* SawBbv/bbv-merge.scm 138 */
												obj_t BgL_head1541z00_2468;

												BgL_head1541z00_2468 = MAKE_YOUNG_PAIR(BNIL, BNIL);
												{
													obj_t BgL_l1539z00_2470;
													obj_t BgL_tail1542z00_2471;

													BgL_l1539z00_2470 = BgL_l1539z00_2466;
													BgL_tail1542z00_2471 = BgL_head1541z00_2468;
												BgL_zc3z04anonymousza32030ze3z87_2472:
													if (NULLP(BgL_l1539z00_2470))
														{	/* SawBbv/bbv-merge.scm 138 */
															BgL_arg2028z00_2465 = CDR(BgL_head1541z00_2468);
														}
													else
														{	/* SawBbv/bbv-merge.scm 138 */
															obj_t BgL_newtail1543z00_2474;

															{	/* SawBbv/bbv-merge.scm 138 */
																obj_t BgL_arg2033z00_2476;

																{	/* SawBbv/bbv-merge.scm 138 */
																	obj_t BgL_xz00_2477;

																	BgL_xz00_2477 =
																		CAR(((obj_t) BgL_l1539z00_2470));
																	if (INTEGERP(BgL_xz00_2477))
																		{	/* SawBbv/bbv-merge.scm 140 */
																			BgL_arg2033z00_2476 =
																				DOUBLE_TO_REAL(
																				(double) ((long) CINT(BgL_xz00_2477)));
																		}
																	else
																		{	/* SawBbv/bbv-merge.scm 140 */
																			if (REALP(BgL_xz00_2477))
																				{	/* SawBbv/bbv-merge.scm 141 */
																					BgL_arg2033z00_2476 = BgL_xz00_2477;
																				}
																			else
																				{	/* SawBbv/bbv-merge.scm 141 */
																					BgL_arg2033z00_2476 =
																						BGl_errorz00zz__errorz00
																						(BGl_string3236z00zzsaw_bbvzd2mergezd2,
																						BGl_string3237z00zzsaw_bbvzd2mergezd2,
																						BgL_sz00_2447);
																				}
																		}
																}
																BgL_newtail1543z00_2474 =
																	MAKE_YOUNG_PAIR(BgL_arg2033z00_2476, BNIL);
															}
															SET_CDR(BgL_tail1542z00_2471,
																BgL_newtail1543z00_2474);
															{	/* SawBbv/bbv-merge.scm 138 */
																obj_t BgL_arg2032z00_2475;

																BgL_arg2032z00_2475 =
																	CDR(((obj_t) BgL_l1539z00_2470));
																{
																	obj_t BgL_tail1542z00_8203;
																	obj_t BgL_l1539z00_8202;

																	BgL_l1539z00_8202 = BgL_arg2032z00_2475;
																	BgL_tail1542z00_8203 =
																		BgL_newtail1543z00_2474;
																	BgL_tail1542z00_2471 = BgL_tail1542z00_8203;
																	BgL_l1539z00_2470 = BgL_l1539z00_8202;
																	goto BgL_zc3z04anonymousza32030ze3z87_2472;
																}
															}
														}
												}
											}
									}
									BgL_vz00_2449 =
										BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00
										(BgL_arg2028z00_2465);
								}
								{	/* SawBbv/bbv-merge.scm 146 */

									{	/* SawBbv/bbv-merge.scm 147 */
										bool_t BgL_test3472z00_8205;

										if ((VECTOR_LENGTH(BgL_vz00_2449) < 6L))
											{	/* SawBbv/bbv-merge.scm 147 */
												BgL_test3472z00_8205 = ((bool_t) 1);
											}
										else
											{	/* SawBbv/bbv-merge.scm 147 */
												bool_t BgL_test3474z00_8209;

												{	/* SawBbv/bbv-merge.scm 147 */
													long BgL_arg2027z00_2464;

													{	/* SawBbv/bbv-merge.scm 147 */
														long BgL_n1z00_4943;
														long BgL_n2z00_4944;

														BgL_n1z00_4943 = VECTOR_LENGTH(BgL_vz00_2449);
														BgL_n2z00_4944 = 3L;
														{	/* SawBbv/bbv-merge.scm 147 */
															bool_t BgL_test3475z00_8211;

															{	/* SawBbv/bbv-merge.scm 147 */
																long BgL_arg1375z00_4946;

																BgL_arg1375z00_4946 =
																	(((BgL_n1z00_4943) | (BgL_n2z00_4944)) &
																	-2147483648);
																BgL_test3475z00_8211 =
																	(BgL_arg1375z00_4946 == 0L);
															}
															if (BgL_test3475z00_8211)
																{	/* SawBbv/bbv-merge.scm 147 */
																	int32_t BgL_arg1372z00_4947;

																	{	/* SawBbv/bbv-merge.scm 147 */
																		int32_t BgL_arg1373z00_4948;
																		int32_t BgL_arg1374z00_4949;

																		BgL_arg1373z00_4948 =
																			(int32_t) (BgL_n1z00_4943);
																		BgL_arg1374z00_4949 =
																			(int32_t) (BgL_n2z00_4944);
																		BgL_arg1372z00_4947 =
																			(BgL_arg1373z00_4948 %
																			BgL_arg1374z00_4949);
																	}
																	{	/* SawBbv/bbv-merge.scm 147 */
																		long BgL_arg1477z00_4954;

																		BgL_arg1477z00_4954 =
																			(long) (BgL_arg1372z00_4947);
																		BgL_arg2027z00_2464 =
																			(long) (BgL_arg1477z00_4954);
																}}
															else
																{	/* SawBbv/bbv-merge.scm 147 */
																	BgL_arg2027z00_2464 =
																		(BgL_n1z00_4943 % BgL_n2z00_4944);
																}
														}
													}
													BgL_test3474z00_8209 = (BgL_arg2027z00_2464 == 0L);
												}
												if (BgL_test3474z00_8209)
													{	/* SawBbv/bbv-merge.scm 147 */
														BgL_test3472z00_8205 = ((bool_t) 0);
													}
												else
													{	/* SawBbv/bbv-merge.scm 147 */
														BgL_test3472z00_8205 = ((bool_t) 1);
													}
											}
										if (BgL_test3472z00_8205)
											{	/* SawBbv/bbv-merge.scm 147 */
												BGl_errorz00zz__errorz00
													(BGl_string3236z00zzsaw_bbvzd2mergezd2,
													BGl_string3237z00zzsaw_bbvzd2mergezd2, BgL_sz00_2447);
											}
										else
											{	/* SawBbv/bbv-merge.scm 147 */
												{	/* SawBbv/bbv-merge.scm 151 */
													long BgL_arg2021z00_2456;

													BgL_arg2021z00_2456 =
														(VECTOR_LENGTH(BgL_vz00_2449) / 3L);
													BGl_za2ADNcza2z00zzsaw_bbvzd2mergezd2 =
														BGl_vectorzd2copy3zd2zz__r4_vectors_6_8z00
														(BgL_vz00_2449, BINT(0L),
														BINT(BgL_arg2021z00_2456));
												}
												{	/* SawBbv/bbv-merge.scm 152 */
													long BgL_arg2022z00_2457;
													long BgL_arg2023z00_2458;

													BgL_arg2022z00_2457 =
														(VECTOR_LENGTH(BgL_vz00_2449) / 3L);
													BgL_arg2023z00_2458 =
														(2L * (VECTOR_LENGTH(BgL_vz00_2449) / 3L));
													BGl_za2ADNtza2z00zzsaw_bbvzd2mergezd2 =
														BGl_vectorzd2copy3zd2zz__r4_vectors_6_8z00
														(BgL_vz00_2449, BINT(BgL_arg2022z00_2457),
														BINT(BgL_arg2023z00_2458));
												}
												{	/* SawBbv/bbv-merge.scm 153 */
													long BgL_arg2025z00_2460;

													BgL_arg2025z00_2460 =
														(2L * (VECTOR_LENGTH(BgL_vz00_2449) / 3L));
													BGl_za2ADNsza2z00zzsaw_bbvzd2mergezd2 =
														BGl_vectorzd2copy3zd2zz__r4_vectors_6_8z00
														(BgL_vz00_2449, BINT(BgL_arg2025z00_2460),
														BINT(VECTOR_LENGTH(BgL_vz00_2449)));
												} BUNSPEC;
							}}}}
						else
							{	/* SawBbv/bbv-merge.scm 137 */
								BGl_errorz00zz__errorz00(BGl_string3236z00zzsaw_bbvzd2mergezd2,
									BGl_string3238z00zzsaw_bbvzd2mergezd2,
									BGl_string3235z00zzsaw_bbvzd2mergezd2);
							}
					}
				{	/* SawBbv/bbv-merge.scm 172 */
					obj_t BgL_cxz00_2266;

					{	/* SawBbv/bbv-merge.scm 172 */
						obj_t BgL_head1548z00_2348;

						{	/* SawBbv/bbv-merge.scm 172 */
							BgL_bbvzd2ctxzd2_bglt BgL_arg1957z00_2360;

							{	/* SawBbv/bbv-merge.scm 172 */
								BgL_blockz00_bglt BgL_oz00_4966;

								BgL_oz00_4966 = ((BgL_blockz00_bglt) CAR(BgL_bsz00_257));
								{
									BgL_blocksz00_bglt BgL_auxz00_8245;

									{
										obj_t BgL_auxz00_8246;

										{	/* SawBbv/bbv-merge.scm 172 */
											BgL_objectz00_bglt BgL_tmpz00_8247;

											BgL_tmpz00_8247 = ((BgL_objectz00_bglt) BgL_oz00_4966);
											BgL_auxz00_8246 = BGL_OBJECT_WIDENING(BgL_tmpz00_8247);
										}
										BgL_auxz00_8245 = ((BgL_blocksz00_bglt) BgL_auxz00_8246);
									}
									BgL_arg1957z00_2360 =
										(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_8245))->
										BgL_ctxz00);
								}
							}
							BgL_head1548z00_2348 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_arg1957z00_2360), BNIL);
						}
						{	/* SawBbv/bbv-merge.scm 172 */
							obj_t BgL_g1551z00_2349;

							BgL_g1551z00_2349 = CDR(BgL_bsz00_257);
							{
								obj_t BgL_l1546z00_2351;
								obj_t BgL_tail1549z00_2352;

								BgL_l1546z00_2351 = BgL_g1551z00_2349;
								BgL_tail1549z00_2352 = BgL_head1548z00_2348;
							BgL_zc3z04anonymousza31952ze3z87_2353:
								if (NULLP(BgL_l1546z00_2351))
									{	/* SawBbv/bbv-merge.scm 172 */
										BgL_cxz00_2266 = BgL_head1548z00_2348;
									}
								else
									{	/* SawBbv/bbv-merge.scm 172 */
										obj_t BgL_newtail1550z00_2355;

										{	/* SawBbv/bbv-merge.scm 172 */
											BgL_bbvzd2ctxzd2_bglt BgL_arg1955z00_2357;

											{	/* SawBbv/bbv-merge.scm 172 */
												BgL_blockz00_bglt BgL_oz00_4970;

												BgL_oz00_4970 =
													((BgL_blockz00_bglt)
													CAR(((obj_t) BgL_l1546z00_2351)));
												{
													BgL_blocksz00_bglt BgL_auxz00_8260;

													{
														obj_t BgL_auxz00_8261;

														{	/* SawBbv/bbv-merge.scm 172 */
															BgL_objectz00_bglt BgL_tmpz00_8262;

															BgL_tmpz00_8262 =
																((BgL_objectz00_bglt) BgL_oz00_4970);
															BgL_auxz00_8261 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_8262);
														}
														BgL_auxz00_8260 =
															((BgL_blocksz00_bglt) BgL_auxz00_8261);
													}
													BgL_arg1955z00_2357 =
														(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_8260))->
														BgL_ctxz00);
												}
											}
											BgL_newtail1550z00_2355 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg1955z00_2357), BNIL);
										}
										SET_CDR(BgL_tail1549z00_2352, BgL_newtail1550z00_2355);
										{	/* SawBbv/bbv-merge.scm 172 */
											obj_t BgL_arg1954z00_2356;

											BgL_arg1954z00_2356 = CDR(((obj_t) BgL_l1546z00_2351));
											{
												obj_t BgL_tail1549z00_8273;
												obj_t BgL_l1546z00_8272;

												BgL_l1546z00_8272 = BgL_arg1954z00_2356;
												BgL_tail1549z00_8273 = BgL_newtail1550z00_2355;
												BgL_tail1549z00_2352 = BgL_tail1549z00_8273;
												BgL_l1546z00_2351 = BgL_l1546z00_8272;
												goto BgL_zc3z04anonymousza31952ze3z87_2353;
											}
										}
									}
							}
						}
					}
					{	/* SawBbv/bbv-merge.scm 172 */
						obj_t BgL_ccz00_2267;

						BgL_ccz00_2267 = BGl_allze72ze7zzsaw_bbvzd2mergezd2(BgL_bsz00_257);
						{	/* SawBbv/bbv-merge.scm 173 */
							obj_t BgL_ccsz00_2268;

							if (NULLP(BgL_ccz00_2267))
								{	/* SawBbv/bbv-merge.scm 174 */
									BgL_ccsz00_2268 = BNIL;
								}
							else
								{	/* SawBbv/bbv-merge.scm 174 */
									obj_t BgL_head1565z00_2282;

									BgL_head1565z00_2282 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									{
										obj_t BgL_l1563z00_2284;
										obj_t BgL_tail1566z00_2285;

										BgL_l1563z00_2284 = BgL_ccz00_2267;
										BgL_tail1566z00_2285 = BgL_head1565z00_2282;
									BgL_zc3z04anonymousza31914ze3z87_2286:
										if (NULLP(BgL_l1563z00_2284))
											{	/* SawBbv/bbv-merge.scm 174 */
												BgL_ccsz00_2268 = CDR(BgL_head1565z00_2282);
											}
										else
											{	/* SawBbv/bbv-merge.scm 174 */
												obj_t BgL_newtail1567z00_2288;

												{	/* SawBbv/bbv-merge.scm 174 */
													obj_t BgL_arg1917z00_2290;

													{	/* SawBbv/bbv-merge.scm 174 */
														obj_t BgL_cz00_2291;

														BgL_cz00_2291 = CAR(((obj_t) BgL_l1563z00_2284));
														{	/* SawBbv/bbv-merge.scm 175 */
															BgL_blockz00_bglt BgL_i1199z00_2292;

															BgL_i1199z00_2292 =
																((BgL_blockz00_bglt)
																CAR(((obj_t) BgL_cz00_2291)));
															{	/* SawBbv/bbv-merge.scm 176 */
																BgL_blockz00_bglt BgL_i1200z00_2293;

																BgL_i1200z00_2293 =
																	((BgL_blockz00_bglt)
																	CDR(((obj_t) BgL_cz00_2291)));
																{	/* SawBbv/bbv-merge.scm 177 */
																	BgL_bbvzd2ctxzd2_bglt BgL_nxz00_2294;

																	{	/* SawBbv/bbv-merge.scm 177 */
																		BgL_bbvzd2ctxzd2_bglt BgL_arg1948z00_2343;
																		BgL_bbvzd2ctxzd2_bglt BgL_arg1950z00_2344;

																		{
																			BgL_blocksz00_bglt BgL_auxz00_8289;

																			{
																				obj_t BgL_auxz00_8290;

																				{	/* SawBbv/bbv-merge.scm 177 */
																					BgL_objectz00_bglt BgL_tmpz00_8291;

																					BgL_tmpz00_8291 =
																						((BgL_objectz00_bglt)
																						BgL_i1199z00_2292);
																					BgL_auxz00_8290 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_8291);
																				}
																				BgL_auxz00_8289 =
																					((BgL_blocksz00_bglt)
																					BgL_auxz00_8290);
																			}
																			BgL_arg1948z00_2343 =
																				(((BgL_blocksz00_bglt)
																					COBJECT(BgL_auxz00_8289))->
																				BgL_ctxz00);
																		}
																		{
																			BgL_blocksz00_bglt BgL_auxz00_8296;

																			{
																				obj_t BgL_auxz00_8297;

																				{	/* SawBbv/bbv-merge.scm 177 */
																					BgL_objectz00_bglt BgL_tmpz00_8298;

																					BgL_tmpz00_8298 =
																						((BgL_objectz00_bglt)
																						BgL_i1200z00_2293);
																					BgL_auxz00_8297 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_8298);
																				}
																				BgL_auxz00_8296 =
																					((BgL_blocksz00_bglt)
																					BgL_auxz00_8297);
																			}
																			BgL_arg1950z00_2344 =
																				(((BgL_blocksz00_bglt)
																					COBJECT(BgL_auxz00_8296))->
																				BgL_ctxz00);
																		}
																		BgL_nxz00_2294 =
																			BGl_mergezd2ctxzd2zzsaw_bbvzd2mergezd2
																			(BgL_arg1948z00_2343,
																			BgL_arg1950z00_2344);
																	}
																	{	/* SawBbv/bbv-merge.scm 177 */
																		obj_t BgL_scorez00_2295;

																		{	/* SawBbv/bbv-merge.scm 178 */
																			obj_t BgL_runner1947z00_2342;

																			{	/* SawBbv/bbv-merge.scm 179 */
																				obj_t BgL_l1557z00_2296;

																				{	/* SawBbv/bbv-merge.scm 180 */
																					obj_t BgL_hook1556z00_2312;

																					BgL_hook1556z00_2312 =
																						MAKE_YOUNG_PAIR(BFALSE, BNIL);
																					{
																						obj_t BgL_l1553z00_2314;
																						obj_t BgL_h1554z00_2315;

																						BgL_l1553z00_2314 = BgL_cxz00_2266;
																						BgL_h1554z00_2315 =
																							BgL_hook1556z00_2312;
																					BgL_zc3z04anonymousza31927ze3z87_2316:
																						if (NULLP
																							(BgL_l1553z00_2314))
																							{	/* SawBbv/bbv-merge.scm 180 */
																								BgL_l1557z00_2296 =
																									CDR(BgL_hook1556z00_2312);
																							}
																						else
																							{	/* SawBbv/bbv-merge.scm 180 */
																								bool_t BgL_test3480z00_8308;

																								{	/* SawBbv/bbv-merge.scm 181 */
																									obj_t BgL_xz00_2335;

																									BgL_xz00_2335 =
																										CAR(
																										((obj_t)
																											BgL_l1553z00_2314));
																									{	/* SawBbv/bbv-merge.scm 181 */
																										bool_t BgL_test3481z00_8311;

																										{	/* SawBbv/bbv-merge.scm 181 */
																											bool_t
																												BgL_test3482z00_8312;
																											{	/* SawBbv/bbv-merge.scm 181 */
																												obj_t
																													BgL_arg1946z00_2340;
																												{
																													BgL_bbvzd2ctxzd2_bglt
																														BgL_auxz00_8313;
																													{
																														BgL_blocksz00_bglt
																															BgL_auxz00_8314;
																														{
																															obj_t
																																BgL_auxz00_8315;
																															{	/* SawBbv/bbv-merge.scm 181 */
																																BgL_objectz00_bglt
																																	BgL_tmpz00_8316;
																																BgL_tmpz00_8316
																																	=
																																	(
																																	(BgL_objectz00_bglt)
																																	BgL_i1199z00_2292);
																																BgL_auxz00_8315
																																	=
																																	BGL_OBJECT_WIDENING
																																	(BgL_tmpz00_8316);
																															}
																															BgL_auxz00_8314 =
																																(
																																(BgL_blocksz00_bglt)
																																BgL_auxz00_8315);
																														}
																														BgL_auxz00_8313 =
																															(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_8314))->BgL_ctxz00);
																													}
																													BgL_arg1946z00_2340 =
																														((obj_t)
																														BgL_auxz00_8313);
																												}
																												BgL_test3482z00_8312 =
																													(BgL_xz00_2335 ==
																													BgL_arg1946z00_2340);
																											}
																											if (BgL_test3482z00_8312)
																												{	/* SawBbv/bbv-merge.scm 181 */
																													BgL_test3481z00_8311 =
																														((bool_t) 1);
																												}
																											else
																												{	/* SawBbv/bbv-merge.scm 182 */
																													bool_t
																														BgL_test3483z00_8323;
																													{	/* SawBbv/bbv-merge.scm 182 */
																														obj_t
																															BgL_arg1945z00_2339;
																														{
																															BgL_bbvzd2ctxzd2_bglt
																																BgL_auxz00_8324;
																															{
																																BgL_blocksz00_bglt
																																	BgL_auxz00_8325;
																																{
																																	obj_t
																																		BgL_auxz00_8326;
																																	{	/* SawBbv/bbv-merge.scm 182 */
																																		BgL_objectz00_bglt
																																			BgL_tmpz00_8327;
																																		BgL_tmpz00_8327
																																			=
																																			(
																																			(BgL_objectz00_bglt)
																																			BgL_i1200z00_2293);
																																		BgL_auxz00_8326
																																			=
																																			BGL_OBJECT_WIDENING
																																			(BgL_tmpz00_8327);
																																	}
																																	BgL_auxz00_8325
																																		=
																																		(
																																		(BgL_blocksz00_bglt)
																																		BgL_auxz00_8326);
																																}
																																BgL_auxz00_8324
																																	=
																																	(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_8325))->BgL_ctxz00);
																															}
																															BgL_arg1945z00_2339
																																=
																																((obj_t)
																																BgL_auxz00_8324);
																														}
																														BgL_test3483z00_8323
																															=
																															(BgL_xz00_2335 ==
																															BgL_arg1945z00_2339);
																													}
																													if (BgL_test3483z00_8323)
																														{	/* SawBbv/bbv-merge.scm 182 */
																															BgL_test3481z00_8311
																																= ((bool_t) 1);
																														}
																													else
																														{	/* SawBbv/bbv-merge.scm 182 */
																															BgL_test3481z00_8311
																																=
																																BGl_bbvzd2ctxzd2equalzf3zf3zzsaw_bbvzd2typeszd2
																																(((BgL_bbvzd2ctxzd2_bglt) BgL_xz00_2335), BgL_nxz00_2294);
																														}
																												}
																										}
																										if (BgL_test3481z00_8311)
																											{	/* SawBbv/bbv-merge.scm 181 */
																												BgL_test3480z00_8308 =
																													((bool_t) 0);
																											}
																										else
																											{	/* SawBbv/bbv-merge.scm 181 */
																												BgL_test3480z00_8308 =
																													((bool_t) 1);
																											}
																									}
																								}
																								if (BgL_test3480z00_8308)
																									{	/* SawBbv/bbv-merge.scm 180 */
																										obj_t BgL_nh1555z00_2331;

																										{	/* SawBbv/bbv-merge.scm 180 */
																											obj_t BgL_arg1943z00_2333;

																											BgL_arg1943z00_2333 =
																												CAR(
																												((obj_t)
																													BgL_l1553z00_2314));
																											BgL_nh1555z00_2331 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1943z00_2333,
																												BNIL);
																										}
																										SET_CDR(BgL_h1554z00_2315,
																											BgL_nh1555z00_2331);
																										{	/* SawBbv/bbv-merge.scm 180 */
																											obj_t BgL_arg1942z00_2332;

																											BgL_arg1942z00_2332 =
																												CDR(
																												((obj_t)
																													BgL_l1553z00_2314));
																											{
																												obj_t BgL_h1554z00_8343;
																												obj_t BgL_l1553z00_8342;

																												BgL_l1553z00_8342 =
																													BgL_arg1942z00_2332;
																												BgL_h1554z00_8343 =
																													BgL_nh1555z00_2331;
																												BgL_h1554z00_2315 =
																													BgL_h1554z00_8343;
																												BgL_l1553z00_2314 =
																													BgL_l1553z00_8342;
																												goto
																													BgL_zc3z04anonymousza31927ze3z87_2316;
																											}
																										}
																									}
																								else
																									{	/* SawBbv/bbv-merge.scm 180 */
																										obj_t BgL_arg1944z00_2334;

																										BgL_arg1944z00_2334 =
																											CDR(
																											((obj_t)
																												BgL_l1553z00_2314));
																										{
																											obj_t BgL_l1553z00_8346;

																											BgL_l1553z00_8346 =
																												BgL_arg1944z00_2334;
																											BgL_l1553z00_2314 =
																												BgL_l1553z00_8346;
																											goto
																												BgL_zc3z04anonymousza31927ze3z87_2316;
																										}
																									}
																							}
																					}
																				}
																				if (NULLP(BgL_l1557z00_2296))
																					{	/* SawBbv/bbv-merge.scm 179 */
																						BgL_runner1947z00_2342 = BNIL;
																					}
																				else
																					{	/* SawBbv/bbv-merge.scm 179 */
																						obj_t BgL_head1559z00_2298;

																						{	/* SawBbv/bbv-merge.scm 179 */
																							obj_t BgL_arg1924z00_2310;

																							{	/* SawBbv/bbv-merge.scm 179 */
																								obj_t BgL_arg1926z00_2311;

																								BgL_arg1926z00_2311 =
																									CAR(
																									((obj_t) BgL_l1557z00_2296));
																								BgL_arg1924z00_2310 =
																									BGl_ctxzd2scoreze71z35zzsaw_bbvzd2mergezd2
																									(((BgL_bbvzd2ctxzd2_bglt)
																										BgL_arg1926z00_2311));
																							}
																							BgL_head1559z00_2298 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1924z00_2310, BNIL);
																						}
																						{	/* SawBbv/bbv-merge.scm 179 */
																							obj_t BgL_g1562z00_2299;

																							BgL_g1562z00_2299 =
																								CDR(
																								((obj_t) BgL_l1557z00_2296));
																							{
																								obj_t BgL_l1557z00_2301;
																								obj_t BgL_tail1560z00_2302;

																								BgL_l1557z00_2301 =
																									BgL_g1562z00_2299;
																								BgL_tail1560z00_2302 =
																									BgL_head1559z00_2298;
																							BgL_zc3z04anonymousza31919ze3z87_2303:
																								if (NULLP
																									(BgL_l1557z00_2301))
																									{	/* SawBbv/bbv-merge.scm 179 */
																										BgL_runner1947z00_2342 =
																											BgL_head1559z00_2298;
																									}
																								else
																									{	/* SawBbv/bbv-merge.scm 179 */
																										obj_t
																											BgL_newtail1561z00_2305;
																										{	/* SawBbv/bbv-merge.scm 179 */
																											obj_t BgL_arg1922z00_2307;

																											{	/* SawBbv/bbv-merge.scm 179 */
																												obj_t
																													BgL_arg1923z00_2308;
																												BgL_arg1923z00_2308 =
																													CAR(((obj_t)
																														BgL_l1557z00_2301));
																												BgL_arg1922z00_2307 =
																													BGl_ctxzd2scoreze71z35zzsaw_bbvzd2mergezd2
																													(((BgL_bbvzd2ctxzd2_bglt) BgL_arg1923z00_2308));
																											}
																											BgL_newtail1561z00_2305 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1922z00_2307,
																												BNIL);
																										}
																										SET_CDR
																											(BgL_tail1560z00_2302,
																											BgL_newtail1561z00_2305);
																										{	/* SawBbv/bbv-merge.scm 179 */
																											obj_t BgL_arg1921z00_2306;

																											BgL_arg1921z00_2306 =
																												CDR(
																												((obj_t)
																													BgL_l1557z00_2301));
																											{
																												obj_t
																													BgL_tail1560z00_8367;
																												obj_t BgL_l1557z00_8366;

																												BgL_l1557z00_8366 =
																													BgL_arg1921z00_2306;
																												BgL_tail1560z00_8367 =
																													BgL_newtail1561z00_2305;
																												BgL_tail1560z00_2302 =
																													BgL_tail1560z00_8367;
																												BgL_l1557z00_2301 =
																													BgL_l1557z00_8366;
																												goto
																													BgL_zc3z04anonymousza31919ze3z87_2303;
																											}
																										}
																									}
																							}
																						}
																					}
																			}
																			BgL_scorez00_2295 =
																				BGl_zb2zb2zz__r4_numbers_6_5z00
																				(BgL_runner1947z00_2342);
																		}
																		{	/* SawBbv/bbv-merge.scm 178 */

																			BgL_arg1917z00_2290 =
																				MAKE_YOUNG_PAIR(BgL_scorez00_2295,
																				BgL_cz00_2291);
																		}
																	}
																}
															}
														}
													}
													BgL_newtail1567z00_2288 =
														MAKE_YOUNG_PAIR(BgL_arg1917z00_2290, BNIL);
												}
												SET_CDR(BgL_tail1566z00_2285, BgL_newtail1567z00_2288);
												{	/* SawBbv/bbv-merge.scm 174 */
													obj_t BgL_arg1916z00_2289;

													BgL_arg1916z00_2289 =
														CDR(((obj_t) BgL_l1563z00_2284));
													{
														obj_t BgL_tail1566z00_8375;
														obj_t BgL_l1563z00_8374;

														BgL_l1563z00_8374 = BgL_arg1916z00_2289;
														BgL_tail1566z00_8375 = BgL_newtail1567z00_2288;
														BgL_tail1566z00_2285 = BgL_tail1566z00_8375;
														BgL_l1563z00_2284 = BgL_l1563z00_8374;
														goto BgL_zc3z04anonymousza31914ze3z87_2286;
													}
												}
											}
									}
								}
							{	/* SawBbv/bbv-merge.scm 174 */
								obj_t BgL_sccsz00_2269;

								BgL_sccsz00_2269 =
									BGl_sortz00zz__r4_vectors_6_8z00
									(BGl_proc3239z00zzsaw_bbvzd2mergezd2, BgL_ccsz00_2268);
								{	/* SawBbv/bbv-merge.scm 187 */
									obj_t BgL_pairz00_2270;

									{	/* SawBbv/bbv-merge.scm 190 */
										obj_t BgL_pairz00_5004;

										BgL_pairz00_5004 = CAR(((obj_t) BgL_sccsz00_2269));
										BgL_pairz00_2270 = CDR(BgL_pairz00_5004);
									}
									{	/* SawBbv/bbv-merge.scm 190 */

										{	/* SawBbv/bbv-merge.scm 194 */
											obj_t BgL_val0_1568z00_2271;
											obj_t BgL_val1_1569z00_2272;

											BgL_val0_1568z00_2271 = CAR(((obj_t) BgL_pairz00_2270));
											BgL_val1_1569z00_2272 = CDR(((obj_t) BgL_pairz00_2270));
											{	/* SawBbv/bbv-merge.scm 194 */
												int BgL_tmpz00_8384;

												BgL_tmpz00_8384 = (int) (2L);
												BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8384);
											}
											{	/* SawBbv/bbv-merge.scm 194 */
												int BgL_tmpz00_8387;

												BgL_tmpz00_8387 = (int) (1L);
												BGL_MVALUES_VAL_SET(BgL_tmpz00_8387,
													BgL_val1_1569z00_2272);
											}
											return BgL_val0_1568z00_2271;
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* entry-score~4 */
	obj_t BGl_entryzd2scoreze74z35zzsaw_bbvzd2mergezd2(BgL_bbvzd2ctxentryzd2_bglt
		BgL_ez00_2362)
	{
		{	/* SawBbv/bbv-merge.scm 118 */
			{	/* SawBbv/bbv-merge.scm 105 */
				double BgL_tz00_2365;
				double BgL_cz00_2366;
				double BgL_sz00_2367;
				long BgL_lz00_2368;

				if (
					(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_ez00_2362))->
						BgL_polarityz00))
					{	/* SawBbv/bbv-merge.scm 105 */
						BgL_tz00_2365 = ((double) 10.0);
					}
				else
					{	/* SawBbv/bbv-merge.scm 105 */
						BgL_tz00_2365 = ((double) 1.0);
					}
				BgL_cz00_2366 =
					(double) (
					(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_ez00_2362))->
						BgL_countz00));
				BgL_sz00_2367 =
					(double) (BGl_entryzd2siza7ez75zzsaw_bbvzd2mergezd2(BgL_ez00_2362));
				BgL_lz00_2368 = VECTOR_LENGTH(BGl_za2ADNcza2z00zzsaw_bbvzd2mergezd2);
				{	/* SawBbv/bbv-merge.scm 109 */
					obj_t BgL_g1193z00_2369;
					obj_t BgL_g1194z00_2370;
					obj_t BgL_g1195z00_2371;

					BgL_g1193z00_2369 =
						VECTOR_REF(BGl_za2ADNcza2z00zzsaw_bbvzd2mergezd2, 0L);
					BgL_g1194z00_2370 =
						VECTOR_REF(BGl_za2ADNtza2z00zzsaw_bbvzd2mergezd2, 0L);
					BgL_g1195z00_2371 =
						VECTOR_REF(BGl_za2ADNsza2z00zzsaw_bbvzd2mergezd2, 0L);
					{
						long BgL_iz00_2373;
						obj_t BgL_csz00_2374;
						obj_t BgL_tsz00_2375;
						obj_t BgL_ssz00_2376;

						BgL_iz00_2373 = 1L;
						BgL_csz00_2374 = BgL_g1193z00_2369;
						BgL_tsz00_2375 = BgL_g1194z00_2370;
						BgL_ssz00_2376 = BgL_g1195z00_2371;
					BgL_zc3z04anonymousza31962ze3z87_2377:
						if ((BgL_iz00_2373 == BgL_lz00_2368))
							{	/* SawBbv/bbv-merge.scm 114 */
								obj_t BgL_b1527z00_2379;

								{	/* SawBbv/bbv-merge.scm 114 */
									bool_t BgL_test3488z00_8402;

									if (INTEGERP(BgL_tsz00_2375))
										{	/* SawBbv/bbv-merge.scm 114 */
											BgL_test3488z00_8402 = INTEGERP(BgL_ssz00_2376);
										}
									else
										{	/* SawBbv/bbv-merge.scm 114 */
											BgL_test3488z00_8402 = ((bool_t) 0);
										}
									if (BgL_test3488z00_8402)
										{	/* SawBbv/bbv-merge.scm 114 */
											obj_t BgL_tmpz00_4878;

											BgL_tmpz00_4878 = BINT(0L);
											if (BGL_ADDFX_OV(BgL_tsz00_2375, BgL_ssz00_2376,
													BgL_tmpz00_4878))
												{	/* SawBbv/bbv-merge.scm 114 */
													BgL_b1527z00_2379 =
														bgl_bignum_add(bgl_long_to_bignum(
															(long) CINT(BgL_tsz00_2375)),
														bgl_long_to_bignum((long) CINT(BgL_ssz00_2376)));
												}
											else
												{	/* SawBbv/bbv-merge.scm 114 */
													BgL_b1527z00_2379 = BgL_tmpz00_4878;
												}
										}
									else
										{	/* SawBbv/bbv-merge.scm 114 */
											BgL_b1527z00_2379 =
												BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_tsz00_2375,
												BgL_ssz00_2376);
										}
								}
								{	/* SawBbv/bbv-merge.scm 114 */
									bool_t BgL_test3491z00_8415;

									if (INTEGERP(BgL_csz00_2374))
										{	/* SawBbv/bbv-merge.scm 114 */
											BgL_test3491z00_8415 = INTEGERP(BgL_b1527z00_2379);
										}
									else
										{	/* SawBbv/bbv-merge.scm 114 */
											BgL_test3491z00_8415 = ((bool_t) 0);
										}
									if (BgL_test3491z00_8415)
										{	/* SawBbv/bbv-merge.scm 114 */
											obj_t BgL_tmpz00_4888;

											BgL_tmpz00_4888 = BINT(0L);
											if (BGL_ADDFX_OV(BgL_csz00_2374, BgL_b1527z00_2379,
													BgL_tmpz00_4888))
												{	/* SawBbv/bbv-merge.scm 114 */
													return
														bgl_bignum_add(bgl_long_to_bignum(
															(long) CINT(BgL_csz00_2374)),
														bgl_long_to_bignum((long) CINT(BgL_b1527z00_2379)));
												}
											else
												{	/* SawBbv/bbv-merge.scm 114 */
													return BgL_tmpz00_4888;
												}
										}
									else
										{	/* SawBbv/bbv-merge.scm 114 */
											return
												BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_csz00_2374,
												BgL_b1527z00_2379);
										}
								}
							}
						else
							{	/* SawBbv/bbv-merge.scm 115 */
								long BgL_arg1966z00_2382;
								double BgL_arg1967z00_2383;
								double BgL_arg1968z00_2384;
								double BgL_arg1969z00_2385;

								BgL_arg1966z00_2382 = (BgL_iz00_2373 + 1L);
								{	/* SawBbv/bbv-merge.scm 116 */
									double BgL_arg1970z00_2386;

									{	/* SawBbv/bbv-merge.scm 116 */
										double BgL_arg1971z00_2387;
										obj_t BgL_arg1972z00_2388;

										{	/* SawBbv/bbv-merge.scm 116 */
											double BgL_arg1973z00_2389;

											BgL_arg1973z00_2389 = (double) (BgL_iz00_2373);
											BgL_arg1971z00_2387 =
												pow(BgL_cz00_2366, BgL_arg1973z00_2389);
										}
										BgL_arg1972z00_2388 =
											VECTOR_REF(BGl_za2ADNcza2z00zzsaw_bbvzd2mergezd2,
											BgL_iz00_2373);
										BgL_arg1970z00_2386 =
											(BgL_arg1971z00_2387 *
											REAL_TO_DOUBLE(BgL_arg1972z00_2388));
									}
									BgL_arg1967z00_2383 =
										(BgL_arg1970z00_2386 + REAL_TO_DOUBLE(BgL_csz00_2374));
								}
								{	/* SawBbv/bbv-merge.scm 117 */
									double BgL_arg1974z00_2390;

									{	/* SawBbv/bbv-merge.scm 117 */
										double BgL_arg1975z00_2391;
										obj_t BgL_arg1976z00_2392;

										{	/* SawBbv/bbv-merge.scm 117 */
											double BgL_arg1978z00_2393;

											BgL_arg1978z00_2393 = (double) (BgL_iz00_2373);
											BgL_arg1975z00_2391 =
												pow(BgL_tz00_2365, BgL_arg1978z00_2393);
										}
										BgL_arg1976z00_2392 =
											VECTOR_REF(BGl_za2ADNtza2z00zzsaw_bbvzd2mergezd2,
											BgL_iz00_2373);
										BgL_arg1974z00_2390 =
											(BgL_arg1975z00_2391 *
											REAL_TO_DOUBLE(BgL_arg1976z00_2392));
									}
									BgL_arg1968z00_2384 =
										(BgL_arg1974z00_2390 + REAL_TO_DOUBLE(BgL_tsz00_2375));
								}
								{	/* SawBbv/bbv-merge.scm 118 */
									double BgL_arg1979z00_2394;

									{	/* SawBbv/bbv-merge.scm 118 */
										double BgL_arg1980z00_2395;
										obj_t BgL_arg1981z00_2396;

										{	/* SawBbv/bbv-merge.scm 118 */
											double BgL_arg1982z00_2397;

											BgL_arg1982z00_2397 = (double) (BgL_iz00_2373);
											BgL_arg1980z00_2395 =
												pow(BgL_sz00_2367, BgL_arg1982z00_2397);
										}
										BgL_arg1981z00_2396 =
											VECTOR_REF(BGl_za2ADNsza2z00zzsaw_bbvzd2mergezd2,
											BgL_iz00_2373);
										BgL_arg1979z00_2394 =
											(BgL_arg1980z00_2395 *
											REAL_TO_DOUBLE(BgL_arg1981z00_2396));
									}
									BgL_arg1969z00_2385 =
										(BgL_arg1979z00_2394 + REAL_TO_DOUBLE(BgL_ssz00_2376));
								}
								{
									obj_t BgL_ssz00_8455;
									obj_t BgL_tsz00_8453;
									obj_t BgL_csz00_8451;
									long BgL_iz00_8450;

									BgL_iz00_8450 = BgL_arg1966z00_2382;
									BgL_csz00_8451 = DOUBLE_TO_REAL(BgL_arg1967z00_2383);
									BgL_tsz00_8453 = DOUBLE_TO_REAL(BgL_arg1968z00_2384);
									BgL_ssz00_8455 = DOUBLE_TO_REAL(BgL_arg1969z00_2385);
									BgL_ssz00_2376 = BgL_ssz00_8455;
									BgL_tsz00_2375 = BgL_tsz00_8453;
									BgL_csz00_2374 = BgL_csz00_8451;
									BgL_iz00_2373 = BgL_iz00_8450;
									goto BgL_zc3z04anonymousza31962ze3z87_2377;
								}
							}
					}
				}
			}
		}

	}



/* all~2 */
	obj_t BGl_allze72ze7zzsaw_bbvzd2mergezd2(obj_t BgL_lz00_2426)
	{
		{	/* SawBbv/bbv-merge.scm 132 */
			if (NULLP(BgL_lz00_2426))
				{	/* SawBbv/bbv-merge.scm 129 */
					return BNIL;
				}
			else
				{	/* SawBbv/bbv-merge.scm 131 */
					obj_t BgL_arg2004z00_2429;
					obj_t BgL_arg2005z00_2430;

					{	/* SawBbv/bbv-merge.scm 131 */
						obj_t BgL_l1534z00_2431;

						BgL_l1534z00_2431 = CDR(((obj_t) BgL_lz00_2426));
						if (NULLP(BgL_l1534z00_2431))
							{	/* SawBbv/bbv-merge.scm 131 */
								BgL_arg2004z00_2429 = BNIL;
							}
						else
							{	/* SawBbv/bbv-merge.scm 131 */
								obj_t BgL_head1536z00_2433;

								BgL_head1536z00_2433 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1534z00_2435;
									obj_t BgL_tail1537z00_2436;

									BgL_l1534z00_2435 = BgL_l1534z00_2431;
									BgL_tail1537z00_2436 = BgL_head1536z00_2433;
								BgL_zc3z04anonymousza32007ze3z87_2437:
									if (NULLP(BgL_l1534z00_2435))
										{	/* SawBbv/bbv-merge.scm 131 */
											BgL_arg2004z00_2429 = CDR(BgL_head1536z00_2433);
										}
									else
										{	/* SawBbv/bbv-merge.scm 131 */
											obj_t BgL_newtail1538z00_2439;

											{	/* SawBbv/bbv-merge.scm 131 */
												obj_t BgL_arg2010z00_2441;

												{	/* SawBbv/bbv-merge.scm 131 */
													obj_t BgL_ez00_2442;

													BgL_ez00_2442 = CAR(((obj_t) BgL_l1534z00_2435));
													{	/* SawBbv/bbv-merge.scm 131 */
														obj_t BgL_arg2011z00_2443;

														BgL_arg2011z00_2443 = CAR(((obj_t) BgL_lz00_2426));
														BgL_arg2010z00_2441 =
															MAKE_YOUNG_PAIR(BgL_arg2011z00_2443,
															BgL_ez00_2442);
													}
												}
												BgL_newtail1538z00_2439 =
													MAKE_YOUNG_PAIR(BgL_arg2010z00_2441, BNIL);
											}
											SET_CDR(BgL_tail1537z00_2436, BgL_newtail1538z00_2439);
											{	/* SawBbv/bbv-merge.scm 131 */
												obj_t BgL_arg2009z00_2440;

												BgL_arg2009z00_2440 = CDR(((obj_t) BgL_l1534z00_2435));
												{
													obj_t BgL_tail1537z00_8477;
													obj_t BgL_l1534z00_8476;

													BgL_l1534z00_8476 = BgL_arg2009z00_2440;
													BgL_tail1537z00_8477 = BgL_newtail1538z00_2439;
													BgL_tail1537z00_2436 = BgL_tail1537z00_8477;
													BgL_l1534z00_2435 = BgL_l1534z00_8476;
													goto BgL_zc3z04anonymousza32007ze3z87_2437;
												}
											}
										}
								}
							}
					}
					{	/* SawBbv/bbv-merge.scm 132 */
						obj_t BgL_arg2012z00_2445;

						BgL_arg2012z00_2445 = CDR(((obj_t) BgL_lz00_2426));
						BgL_arg2005z00_2430 =
							BGl_allze72ze7zzsaw_bbvzd2mergezd2(BgL_arg2012z00_2445);
					}
					return
						BGl_appendzd221011zd2zzsaw_bbvzd2mergezd2(BgL_arg2004z00_2429,
						BgL_arg2005z00_2430);
				}
		}

	}



/* ctx-score~1 */
	obj_t BGl_ctxzd2scoreze71z35zzsaw_bbvzd2mergezd2(BgL_bbvzd2ctxzd2_bglt
		BgL_ctxz00_2402)
	{
		{	/* SawBbv/bbv-merge.scm 122 */
			{	/* SawBbv/bbv-merge.scm 122 */
				obj_t BgL_runner1999z00_2421;

				{	/* SawBbv/bbv-merge.scm 122 */
					obj_t BgL_l1528z00_2405;

					BgL_l1528z00_2405 =
						(((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_ctxz00_2402))->
						BgL_entriesz00);
					if (NULLP(BgL_l1528z00_2405))
						{	/* SawBbv/bbv-merge.scm 122 */
							BgL_runner1999z00_2421 = BNIL;
						}
					else
						{	/* SawBbv/bbv-merge.scm 122 */
							obj_t BgL_head1530z00_2407;

							{	/* SawBbv/bbv-merge.scm 122 */
								obj_t BgL_arg1995z00_2419;

								{	/* SawBbv/bbv-merge.scm 122 */
									obj_t BgL_arg1998z00_2420;

									BgL_arg1998z00_2420 = CAR(BgL_l1528z00_2405);
									BgL_arg1995z00_2419 =
										BGl_entryzd2scoreze74z35zzsaw_bbvzd2mergezd2(
										((BgL_bbvzd2ctxentryzd2_bglt) BgL_arg1998z00_2420));
								}
								BgL_head1530z00_2407 =
									MAKE_YOUNG_PAIR(BgL_arg1995z00_2419, BNIL);
							}
							{	/* SawBbv/bbv-merge.scm 122 */
								obj_t BgL_g1533z00_2408;

								BgL_g1533z00_2408 = CDR(BgL_l1528z00_2405);
								{
									obj_t BgL_l1528z00_2410;
									obj_t BgL_tail1531z00_2411;

									BgL_l1528z00_2410 = BgL_g1533z00_2408;
									BgL_tail1531z00_2411 = BgL_head1530z00_2407;
								BgL_zc3z04anonymousza31988ze3z87_2412:
									if (NULLP(BgL_l1528z00_2410))
										{	/* SawBbv/bbv-merge.scm 122 */
											BgL_runner1999z00_2421 = BgL_head1530z00_2407;
										}
									else
										{	/* SawBbv/bbv-merge.scm 122 */
											obj_t BgL_newtail1532z00_2414;

											{	/* SawBbv/bbv-merge.scm 122 */
												obj_t BgL_arg1991z00_2416;

												{	/* SawBbv/bbv-merge.scm 122 */
													obj_t BgL_arg1994z00_2417;

													BgL_arg1994z00_2417 =
														CAR(((obj_t) BgL_l1528z00_2410));
													BgL_arg1991z00_2416 =
														BGl_entryzd2scoreze74z35zzsaw_bbvzd2mergezd2(
														((BgL_bbvzd2ctxentryzd2_bglt) BgL_arg1994z00_2417));
												}
												BgL_newtail1532z00_2414 =
													MAKE_YOUNG_PAIR(BgL_arg1991z00_2416, BNIL);
											}
											SET_CDR(BgL_tail1531z00_2411, BgL_newtail1532z00_2414);
											{	/* SawBbv/bbv-merge.scm 122 */
												obj_t BgL_arg1990z00_2415;

												BgL_arg1990z00_2415 = CDR(((obj_t) BgL_l1528z00_2410));
												{
													obj_t BgL_tail1531z00_8501;
													obj_t BgL_l1528z00_8500;

													BgL_l1528z00_8500 = BgL_arg1990z00_2415;
													BgL_tail1531z00_8501 = BgL_newtail1532z00_2414;
													BgL_tail1531z00_2411 = BgL_tail1531z00_8501;
													BgL_l1528z00_2410 = BgL_l1528z00_8500;
													goto BgL_zc3z04anonymousza31988ze3z87_2412;
												}
											}
										}
								}
							}
						}
				}
				return BGl_zb2zb2zz__r4_numbers_6_5z00(BgL_runner1999z00_2421);
			}
		}

	}



/* &<@anonymous:1910> */
	obj_t BGl_z62zc3z04anonymousza31910ze3ze5zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6466, obj_t BgL_xz00_6467, obj_t BgL_yz00_6468)
	{
		{	/* SawBbv/bbv-merge.scm 187 */
			return
				BBOOL(
				(REAL_TO_DOUBLE(CAR(
							((obj_t) BgL_xz00_6467))) >=
					REAL_TO_DOUBLE(CAR(((obj_t) BgL_yz00_6468)))));
		}

	}



/* bbv-block-merge-select-strategy-score* */
	obj_t
		BGl_bbvzd2blockzd2mergezd2selectzd2strategyzd2scoreza2z70zzsaw_bbvzd2mergezd2
		(obj_t BgL_bsz00_258)
	{
		{	/* SawBbv/bbv-merge.scm 202 */
			{	/* SawBbv/bbv-merge.scm 232 */
				obj_t BgL_ccz00_2498;

				BgL_ccz00_2498 = BGl_allze71ze7zzsaw_bbvzd2mergezd2(BgL_bsz00_258);
				{	/* SawBbv/bbv-merge.scm 232 */
					obj_t BgL_cxz00_2499;

					{	/* SawBbv/bbv-merge.scm 233 */
						obj_t BgL_head1585z00_2580;

						{	/* SawBbv/bbv-merge.scm 233 */
							BgL_bbvzd2ctxzd2_bglt BgL_arg2083z00_2592;

							{	/* SawBbv/bbv-merge.scm 233 */
								BgL_blockz00_bglt BgL_oz00_5022;

								BgL_oz00_5022 = ((BgL_blockz00_bglt) CAR(BgL_bsz00_258));
								{
									BgL_blocksz00_bglt BgL_auxz00_8514;

									{
										obj_t BgL_auxz00_8515;

										{	/* SawBbv/bbv-merge.scm 233 */
											BgL_objectz00_bglt BgL_tmpz00_8516;

											BgL_tmpz00_8516 = ((BgL_objectz00_bglt) BgL_oz00_5022);
											BgL_auxz00_8515 = BGL_OBJECT_WIDENING(BgL_tmpz00_8516);
										}
										BgL_auxz00_8514 = ((BgL_blocksz00_bglt) BgL_auxz00_8515);
									}
									BgL_arg2083z00_2592 =
										(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_8514))->
										BgL_ctxz00);
								}
							}
							BgL_head1585z00_2580 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_arg2083z00_2592), BNIL);
						}
						{	/* SawBbv/bbv-merge.scm 233 */
							obj_t BgL_g1588z00_2581;

							BgL_g1588z00_2581 = CDR(BgL_bsz00_258);
							{
								obj_t BgL_l1583z00_2583;
								obj_t BgL_tail1586z00_2584;

								BgL_l1583z00_2583 = BgL_g1588z00_2581;
								BgL_tail1586z00_2584 = BgL_head1585z00_2580;
							BgL_zc3z04anonymousza32078ze3z87_2585:
								if (NULLP(BgL_l1583z00_2583))
									{	/* SawBbv/bbv-merge.scm 233 */
										BgL_cxz00_2499 = BgL_head1585z00_2580;
									}
								else
									{	/* SawBbv/bbv-merge.scm 233 */
										obj_t BgL_newtail1587z00_2587;

										{	/* SawBbv/bbv-merge.scm 233 */
											BgL_bbvzd2ctxzd2_bglt BgL_arg2081z00_2589;

											{	/* SawBbv/bbv-merge.scm 233 */
												BgL_blockz00_bglt BgL_oz00_5026;

												BgL_oz00_5026 =
													((BgL_blockz00_bglt)
													CAR(((obj_t) BgL_l1583z00_2583)));
												{
													BgL_blocksz00_bglt BgL_auxz00_8529;

													{
														obj_t BgL_auxz00_8530;

														{	/* SawBbv/bbv-merge.scm 233 */
															BgL_objectz00_bglt BgL_tmpz00_8531;

															BgL_tmpz00_8531 =
																((BgL_objectz00_bglt) BgL_oz00_5026);
															BgL_auxz00_8530 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_8531);
														}
														BgL_auxz00_8529 =
															((BgL_blocksz00_bglt) BgL_auxz00_8530);
													}
													BgL_arg2081z00_2589 =
														(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_8529))->
														BgL_ctxz00);
												}
											}
											BgL_newtail1587z00_2587 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg2081z00_2589), BNIL);
										}
										SET_CDR(BgL_tail1586z00_2584, BgL_newtail1587z00_2587);
										{	/* SawBbv/bbv-merge.scm 233 */
											obj_t BgL_arg2080z00_2588;

											BgL_arg2080z00_2588 = CDR(((obj_t) BgL_l1583z00_2583));
											{
												obj_t BgL_tail1586z00_8542;
												obj_t BgL_l1583z00_8541;

												BgL_l1583z00_8541 = BgL_arg2080z00_2588;
												BgL_tail1586z00_8542 = BgL_newtail1587z00_2587;
												BgL_tail1586z00_2584 = BgL_tail1586z00_8542;
												BgL_l1583z00_2583 = BgL_l1583z00_8541;
												goto BgL_zc3z04anonymousza32078ze3z87_2585;
											}
										}
									}
							}
						}
					}
					{	/* SawBbv/bbv-merge.scm 233 */
						obj_t BgL_ccsz00_2500;

						if (NULLP(BgL_ccz00_2498))
							{	/* SawBbv/bbv-merge.scm 234 */
								BgL_ccsz00_2500 = BNIL;
							}
						else
							{	/* SawBbv/bbv-merge.scm 234 */
								obj_t BgL_head1602z00_2514;

								BgL_head1602z00_2514 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1600z00_2516;
									obj_t BgL_tail1603z00_2517;

									BgL_l1600z00_2516 = BgL_ccz00_2498;
									BgL_tail1603z00_2517 = BgL_head1602z00_2514;
								BgL_zc3z04anonymousza32044ze3z87_2518:
									if (NULLP(BgL_l1600z00_2516))
										{	/* SawBbv/bbv-merge.scm 234 */
											BgL_ccsz00_2500 = CDR(BgL_head1602z00_2514);
										}
									else
										{	/* SawBbv/bbv-merge.scm 234 */
											obj_t BgL_newtail1604z00_2520;

											{	/* SawBbv/bbv-merge.scm 234 */
												obj_t BgL_arg2047z00_2522;

												{	/* SawBbv/bbv-merge.scm 234 */
													obj_t BgL_cz00_2523;

													BgL_cz00_2523 = CAR(((obj_t) BgL_l1600z00_2516));
													{	/* SawBbv/bbv-merge.scm 235 */
														BgL_blockz00_bglt BgL_i1205z00_2524;

														BgL_i1205z00_2524 =
															((BgL_blockz00_bglt)
															CAR(((obj_t) BgL_cz00_2523)));
														{	/* SawBbv/bbv-merge.scm 236 */
															BgL_blockz00_bglt BgL_i1206z00_2525;

															BgL_i1206z00_2525 =
																((BgL_blockz00_bglt)
																CDR(((obj_t) BgL_cz00_2523)));
															{	/* SawBbv/bbv-merge.scm 237 */
																BgL_bbvzd2ctxzd2_bglt BgL_nxz00_2526;

																{	/* SawBbv/bbv-merge.scm 237 */
																	BgL_bbvzd2ctxzd2_bglt BgL_arg2075z00_2575;
																	BgL_bbvzd2ctxzd2_bglt BgL_arg2076z00_2576;

																	{
																		BgL_blocksz00_bglt BgL_auxz00_8557;

																		{
																			obj_t BgL_auxz00_8558;

																			{	/* SawBbv/bbv-merge.scm 237 */
																				BgL_objectz00_bglt BgL_tmpz00_8559;

																				BgL_tmpz00_8559 =
																					((BgL_objectz00_bglt)
																					BgL_i1205z00_2524);
																				BgL_auxz00_8558 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_8559);
																			}
																			BgL_auxz00_8557 =
																				((BgL_blocksz00_bglt) BgL_auxz00_8558);
																		}
																		BgL_arg2075z00_2575 =
																			(((BgL_blocksz00_bglt)
																				COBJECT(BgL_auxz00_8557))->BgL_ctxz00);
																	}
																	{
																		BgL_blocksz00_bglt BgL_auxz00_8564;

																		{
																			obj_t BgL_auxz00_8565;

																			{	/* SawBbv/bbv-merge.scm 237 */
																				BgL_objectz00_bglt BgL_tmpz00_8566;

																				BgL_tmpz00_8566 =
																					((BgL_objectz00_bglt)
																					BgL_i1206z00_2525);
																				BgL_auxz00_8565 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_8566);
																			}
																			BgL_auxz00_8564 =
																				((BgL_blocksz00_bglt) BgL_auxz00_8565);
																		}
																		BgL_arg2076z00_2576 =
																			(((BgL_blocksz00_bglt)
																				COBJECT(BgL_auxz00_8564))->BgL_ctxz00);
																	}
																	BgL_nxz00_2526 =
																		BGl_mergezd2ctxzd2zzsaw_bbvzd2mergezd2
																		(BgL_arg2075z00_2575, BgL_arg2076z00_2576);
																}
																{	/* SawBbv/bbv-merge.scm 237 */
																	obj_t BgL_scorez00_2527;

																	{	/* SawBbv/bbv-merge.scm 238 */
																		obj_t BgL_runner2074z00_2574;

																		{	/* SawBbv/bbv-merge.scm 239 */
																			obj_t BgL_l1594z00_2528;

																			{	/* SawBbv/bbv-merge.scm 240 */
																				obj_t BgL_hook1593z00_2544;

																				BgL_hook1593z00_2544 =
																					MAKE_YOUNG_PAIR(BFALSE, BNIL);
																				{
																					obj_t BgL_l1590z00_2546;
																					obj_t BgL_h1591z00_2547;

																					BgL_l1590z00_2546 = BgL_cxz00_2499;
																					BgL_h1591z00_2547 =
																						BgL_hook1593z00_2544;
																				BgL_zc3z04anonymousza32056ze3z87_2548:
																					if (NULLP(BgL_l1590z00_2546))
																						{	/* SawBbv/bbv-merge.scm 240 */
																							BgL_l1594z00_2528 =
																								CDR(BgL_hook1593z00_2544);
																						}
																					else
																						{	/* SawBbv/bbv-merge.scm 240 */
																							bool_t BgL_test3503z00_8576;

																							{	/* SawBbv/bbv-merge.scm 241 */
																								obj_t BgL_xz00_2567;

																								BgL_xz00_2567 =
																									CAR(
																									((obj_t) BgL_l1590z00_2546));
																								{	/* SawBbv/bbv-merge.scm 241 */
																									bool_t BgL_test3504z00_8579;

																									{	/* SawBbv/bbv-merge.scm 241 */
																										bool_t BgL_test3505z00_8580;

																										{	/* SawBbv/bbv-merge.scm 241 */
																											obj_t BgL_arg2073z00_2572;

																											{
																												BgL_bbvzd2ctxzd2_bglt
																													BgL_auxz00_8581;
																												{
																													BgL_blocksz00_bglt
																														BgL_auxz00_8582;
																													{
																														obj_t
																															BgL_auxz00_8583;
																														{	/* SawBbv/bbv-merge.scm 241 */
																															BgL_objectz00_bglt
																																BgL_tmpz00_8584;
																															BgL_tmpz00_8584 =
																																(
																																(BgL_objectz00_bglt)
																																BgL_i1205z00_2524);
																															BgL_auxz00_8583 =
																																BGL_OBJECT_WIDENING
																																(BgL_tmpz00_8584);
																														}
																														BgL_auxz00_8582 =
																															(
																															(BgL_blocksz00_bglt)
																															BgL_auxz00_8583);
																													}
																													BgL_auxz00_8581 =
																														(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_8582))->BgL_ctxz00);
																												}
																												BgL_arg2073z00_2572 =
																													((obj_t)
																													BgL_auxz00_8581);
																											}
																											BgL_test3505z00_8580 =
																												(BgL_xz00_2567 ==
																												BgL_arg2073z00_2572);
																										}
																										if (BgL_test3505z00_8580)
																											{	/* SawBbv/bbv-merge.scm 241 */
																												BgL_test3504z00_8579 =
																													((bool_t) 1);
																											}
																										else
																											{	/* SawBbv/bbv-merge.scm 242 */
																												bool_t
																													BgL_test3506z00_8591;
																												{	/* SawBbv/bbv-merge.scm 242 */
																													obj_t
																														BgL_arg2072z00_2571;
																													{
																														BgL_bbvzd2ctxzd2_bglt
																															BgL_auxz00_8592;
																														{
																															BgL_blocksz00_bglt
																																BgL_auxz00_8593;
																															{
																																obj_t
																																	BgL_auxz00_8594;
																																{	/* SawBbv/bbv-merge.scm 242 */
																																	BgL_objectz00_bglt
																																		BgL_tmpz00_8595;
																																	BgL_tmpz00_8595
																																		=
																																		(
																																		(BgL_objectz00_bglt)
																																		BgL_i1206z00_2525);
																																	BgL_auxz00_8594
																																		=
																																		BGL_OBJECT_WIDENING
																																		(BgL_tmpz00_8595);
																																}
																																BgL_auxz00_8593
																																	=
																																	(
																																	(BgL_blocksz00_bglt)
																																	BgL_auxz00_8594);
																															}
																															BgL_auxz00_8592 =
																																(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_8593))->BgL_ctxz00);
																														}
																														BgL_arg2072z00_2571
																															=
																															((obj_t)
																															BgL_auxz00_8592);
																													}
																													BgL_test3506z00_8591 =
																														(BgL_xz00_2567 ==
																														BgL_arg2072z00_2571);
																												}
																												if (BgL_test3506z00_8591)
																													{	/* SawBbv/bbv-merge.scm 242 */
																														BgL_test3504z00_8579
																															= ((bool_t) 1);
																													}
																												else
																													{	/* SawBbv/bbv-merge.scm 242 */
																														BgL_test3504z00_8579
																															=
																															BGl_bbvzd2ctxzd2equalzf3zf3zzsaw_bbvzd2typeszd2
																															(((BgL_bbvzd2ctxzd2_bglt) BgL_xz00_2567), BgL_nxz00_2526);
																													}
																											}
																									}
																									if (BgL_test3504z00_8579)
																										{	/* SawBbv/bbv-merge.scm 241 */
																											BgL_test3503z00_8576 =
																												((bool_t) 0);
																										}
																									else
																										{	/* SawBbv/bbv-merge.scm 241 */
																											BgL_test3503z00_8576 =
																												((bool_t) 1);
																										}
																								}
																							}
																							if (BgL_test3503z00_8576)
																								{	/* SawBbv/bbv-merge.scm 240 */
																									obj_t BgL_nh1592z00_2563;

																									{	/* SawBbv/bbv-merge.scm 240 */
																										obj_t BgL_arg2070z00_2565;

																										BgL_arg2070z00_2565 =
																											CAR(
																											((obj_t)
																												BgL_l1590z00_2546));
																										BgL_nh1592z00_2563 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg2070z00_2565,
																											BNIL);
																									}
																									SET_CDR(BgL_h1591z00_2547,
																										BgL_nh1592z00_2563);
																									{	/* SawBbv/bbv-merge.scm 240 */
																										obj_t BgL_arg2069z00_2564;

																										BgL_arg2069z00_2564 =
																											CDR(
																											((obj_t)
																												BgL_l1590z00_2546));
																										{
																											obj_t BgL_h1591z00_8611;
																											obj_t BgL_l1590z00_8610;

																											BgL_l1590z00_8610 =
																												BgL_arg2069z00_2564;
																											BgL_h1591z00_8611 =
																												BgL_nh1592z00_2563;
																											BgL_h1591z00_2547 =
																												BgL_h1591z00_8611;
																											BgL_l1590z00_2546 =
																												BgL_l1590z00_8610;
																											goto
																												BgL_zc3z04anonymousza32056ze3z87_2548;
																										}
																									}
																								}
																							else
																								{	/* SawBbv/bbv-merge.scm 240 */
																									obj_t BgL_arg2071z00_2566;

																									BgL_arg2071z00_2566 =
																										CDR(
																										((obj_t)
																											BgL_l1590z00_2546));
																									{
																										obj_t BgL_l1590z00_8614;

																										BgL_l1590z00_8614 =
																											BgL_arg2071z00_2566;
																										BgL_l1590z00_2546 =
																											BgL_l1590z00_8614;
																										goto
																											BgL_zc3z04anonymousza32056ze3z87_2548;
																									}
																								}
																						}
																				}
																			}
																			if (NULLP(BgL_l1594z00_2528))
																				{	/* SawBbv/bbv-merge.scm 239 */
																					BgL_runner2074z00_2574 = BNIL;
																				}
																			else
																				{	/* SawBbv/bbv-merge.scm 239 */
																					obj_t BgL_head1596z00_2530;

																					{	/* SawBbv/bbv-merge.scm 239 */
																						obj_t BgL_arg2054z00_2542;

																						{	/* SawBbv/bbv-merge.scm 239 */
																							obj_t BgL_arg2055z00_2543;

																							BgL_arg2055z00_2543 =
																								CAR(
																								((obj_t) BgL_l1594z00_2528));
																							BgL_arg2054z00_2542 =
																								BGl_ctxzd2scoreze70z35zzsaw_bbvzd2mergezd2
																								(((BgL_bbvzd2ctxzd2_bglt)
																									BgL_arg2055z00_2543));
																						}
																						BgL_head1596z00_2530 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg2054z00_2542, BNIL);
																					}
																					{	/* SawBbv/bbv-merge.scm 239 */
																						obj_t BgL_g1599z00_2531;

																						BgL_g1599z00_2531 =
																							CDR(((obj_t) BgL_l1594z00_2528));
																						{
																							obj_t BgL_l1594z00_2533;
																							obj_t BgL_tail1597z00_2534;

																							BgL_l1594z00_2533 =
																								BgL_g1599z00_2531;
																							BgL_tail1597z00_2534 =
																								BgL_head1596z00_2530;
																						BgL_zc3z04anonymousza32049ze3z87_2535:
																							if (NULLP
																								(BgL_l1594z00_2533))
																								{	/* SawBbv/bbv-merge.scm 239 */
																									BgL_runner2074z00_2574 =
																										BgL_head1596z00_2530;
																								}
																							else
																								{	/* SawBbv/bbv-merge.scm 239 */
																									obj_t BgL_newtail1598z00_2537;

																									{	/* SawBbv/bbv-merge.scm 239 */
																										obj_t BgL_arg2052z00_2539;

																										{	/* SawBbv/bbv-merge.scm 239 */
																											obj_t BgL_arg2053z00_2540;

																											BgL_arg2053z00_2540 =
																												CAR(
																												((obj_t)
																													BgL_l1594z00_2533));
																											BgL_arg2052z00_2539 =
																												BGl_ctxzd2scoreze70z35zzsaw_bbvzd2mergezd2
																												(((BgL_bbvzd2ctxzd2_bglt) BgL_arg2053z00_2540));
																										}
																										BgL_newtail1598z00_2537 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg2052z00_2539,
																											BNIL);
																									}
																									SET_CDR(BgL_tail1597z00_2534,
																										BgL_newtail1598z00_2537);
																									{	/* SawBbv/bbv-merge.scm 239 */
																										obj_t BgL_arg2051z00_2538;

																										BgL_arg2051z00_2538 =
																											CDR(
																											((obj_t)
																												BgL_l1594z00_2533));
																										{
																											obj_t
																												BgL_tail1597z00_8635;
																											obj_t BgL_l1594z00_8634;

																											BgL_l1594z00_8634 =
																												BgL_arg2051z00_2538;
																											BgL_tail1597z00_8635 =
																												BgL_newtail1598z00_2537;
																											BgL_tail1597z00_2534 =
																												BgL_tail1597z00_8635;
																											BgL_l1594z00_2533 =
																												BgL_l1594z00_8634;
																											goto
																												BgL_zc3z04anonymousza32049ze3z87_2535;
																										}
																									}
																								}
																						}
																					}
																				}
																		}
																		BgL_scorez00_2527 =
																			BGl_zb2zb2zz__r4_numbers_6_5z00
																			(BgL_runner2074z00_2574);
																	}
																	{	/* SawBbv/bbv-merge.scm 238 */

																		BgL_arg2047z00_2522 =
																			MAKE_YOUNG_PAIR(BgL_scorez00_2527,
																			BgL_cz00_2523);
																	}
																}
															}
														}
													}
												}
												BgL_newtail1604z00_2520 =
													MAKE_YOUNG_PAIR(BgL_arg2047z00_2522, BNIL);
											}
											SET_CDR(BgL_tail1603z00_2517, BgL_newtail1604z00_2520);
											{	/* SawBbv/bbv-merge.scm 234 */
												obj_t BgL_arg2046z00_2521;

												BgL_arg2046z00_2521 = CDR(((obj_t) BgL_l1600z00_2516));
												{
													obj_t BgL_tail1603z00_8643;
													obj_t BgL_l1600z00_8642;

													BgL_l1600z00_8642 = BgL_arg2046z00_2521;
													BgL_tail1603z00_8643 = BgL_newtail1604z00_2520;
													BgL_tail1603z00_2517 = BgL_tail1603z00_8643;
													BgL_l1600z00_2516 = BgL_l1600z00_8642;
													goto BgL_zc3z04anonymousza32044ze3z87_2518;
												}
											}
										}
								}
							}
						{	/* SawBbv/bbv-merge.scm 234 */
							obj_t BgL_sccsz00_2501;

							BgL_sccsz00_2501 =
								BGl_sortz00zz__r4_vectors_6_8z00
								(BGl_proc3240z00zzsaw_bbvzd2mergezd2, BgL_ccsz00_2500);
							{	/* SawBbv/bbv-merge.scm 247 */
								obj_t BgL_pairz00_2502;

								{	/* SawBbv/bbv-merge.scm 250 */
									obj_t BgL_pairz00_5060;

									BgL_pairz00_5060 = CAR(((obj_t) BgL_sccsz00_2501));
									BgL_pairz00_2502 = CDR(BgL_pairz00_5060);
								}
								{	/* SawBbv/bbv-merge.scm 250 */

									{	/* SawBbv/bbv-merge.scm 254 */
										obj_t BgL_val0_1605z00_2503;
										obj_t BgL_val1_1606z00_2504;

										BgL_val0_1605z00_2503 = CAR(((obj_t) BgL_pairz00_2502));
										BgL_val1_1606z00_2504 = CDR(((obj_t) BgL_pairz00_2502));
										{	/* SawBbv/bbv-merge.scm 254 */
											int BgL_tmpz00_8652;

											BgL_tmpz00_8652 = (int) (2L);
											BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8652);
										}
										{	/* SawBbv/bbv-merge.scm 254 */
											int BgL_tmpz00_8655;

											BgL_tmpz00_8655 = (int) (1L);
											BGL_MVALUES_VAL_SET(BgL_tmpz00_8655,
												BgL_val1_1606z00_2504);
										}
										return BgL_val0_1605z00_2503;
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* entry-score~3 */
	long BGl_entryzd2scoreze73z35zzsaw_bbvzd2mergezd2(BgL_bbvzd2ctxentryzd2_bglt
		BgL_ez00_2594)
	{
		{	/* SawBbv/bbv-merge.scm 209 */
			if (
				(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_ez00_2594))->
					BgL_polarityz00))
				{	/* SawBbv/bbv-merge.scm 208 */
					bool_t BgL_test3510z00_8660;

					{	/* SawBbv/bbv-merge.scm 208 */
						obj_t BgL_arg2089z00_2600;

						BgL_arg2089z00_2600 =
							(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_ez00_2594))->
							BgL_typesz00);
						BgL_test3510z00_8660 =
							CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
							(BGl_za2objza2z00zztype_cachez00, BgL_arg2089z00_2600));
					}
					if (BgL_test3510z00_8660)
						{	/* SawBbv/bbv-merge.scm 208 */
							return 0L;
						}
					else
						{	/* SawBbv/bbv-merge.scm 208 */
							return
								(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_ez00_2594))->
								BgL_countz00);
						}
				}
			else
				{	/* SawBbv/bbv-merge.scm 207 */
					return 1L;
				}
		}

	}



/* all~1 */
	obj_t BGl_allze71ze7zzsaw_bbvzd2mergezd2(obj_t BgL_lz00_2625)
	{
		{	/* SawBbv/bbv-merge.scm 223 */
			if (NULLP(BgL_lz00_2625))
				{	/* SawBbv/bbv-merge.scm 220 */
					return BNIL;
				}
			else
				{	/* SawBbv/bbv-merge.scm 222 */
					obj_t BgL_arg2104z00_2628;
					obj_t BgL_arg2105z00_2629;

					{	/* SawBbv/bbv-merge.scm 222 */
						obj_t BgL_l1576z00_2630;

						BgL_l1576z00_2630 = CDR(((obj_t) BgL_lz00_2625));
						if (NULLP(BgL_l1576z00_2630))
							{	/* SawBbv/bbv-merge.scm 222 */
								BgL_arg2104z00_2628 = BNIL;
							}
						else
							{	/* SawBbv/bbv-merge.scm 222 */
								obj_t BgL_head1578z00_2632;

								BgL_head1578z00_2632 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1576z00_2634;
									obj_t BgL_tail1579z00_2635;

									BgL_l1576z00_2634 = BgL_l1576z00_2630;
									BgL_tail1579z00_2635 = BgL_head1578z00_2632;
								BgL_zc3z04anonymousza32107ze3z87_2636:
									if (NULLP(BgL_l1576z00_2634))
										{	/* SawBbv/bbv-merge.scm 222 */
											BgL_arg2104z00_2628 = CDR(BgL_head1578z00_2632);
										}
									else
										{	/* SawBbv/bbv-merge.scm 222 */
											obj_t BgL_newtail1580z00_2638;

											{	/* SawBbv/bbv-merge.scm 222 */
												obj_t BgL_arg2110z00_2640;

												{	/* SawBbv/bbv-merge.scm 222 */
													obj_t BgL_ez00_2641;

													BgL_ez00_2641 = CAR(((obj_t) BgL_l1576z00_2634));
													{	/* SawBbv/bbv-merge.scm 222 */
														obj_t BgL_arg2111z00_2642;

														BgL_arg2111z00_2642 = CAR(((obj_t) BgL_lz00_2625));
														BgL_arg2110z00_2640 =
															MAKE_YOUNG_PAIR(BgL_arg2111z00_2642,
															BgL_ez00_2641);
													}
												}
												BgL_newtail1580z00_2638 =
													MAKE_YOUNG_PAIR(BgL_arg2110z00_2640, BNIL);
											}
											SET_CDR(BgL_tail1579z00_2635, BgL_newtail1580z00_2638);
											{	/* SawBbv/bbv-merge.scm 222 */
												obj_t BgL_arg2109z00_2639;

												BgL_arg2109z00_2639 = CDR(((obj_t) BgL_l1576z00_2634));
												{
													obj_t BgL_tail1579z00_8685;
													obj_t BgL_l1576z00_8684;

													BgL_l1576z00_8684 = BgL_arg2109z00_2639;
													BgL_tail1579z00_8685 = BgL_newtail1580z00_2638;
													BgL_tail1579z00_2635 = BgL_tail1579z00_8685;
													BgL_l1576z00_2634 = BgL_l1576z00_8684;
													goto BgL_zc3z04anonymousza32107ze3z87_2636;
												}
											}
										}
								}
							}
					}
					{	/* SawBbv/bbv-merge.scm 223 */
						obj_t BgL_arg2112z00_2644;

						BgL_arg2112z00_2644 = CDR(((obj_t) BgL_lz00_2625));
						BgL_arg2105z00_2629 =
							BGl_allze71ze7zzsaw_bbvzd2mergezd2(BgL_arg2112z00_2644);
					}
					return
						BGl_appendzd221011zd2zzsaw_bbvzd2mergezd2(BgL_arg2104z00_2628,
						BgL_arg2105z00_2629);
				}
		}

	}



/* ctx-score~0 */
	obj_t BGl_ctxzd2scoreze70z35zzsaw_bbvzd2mergezd2(BgL_bbvzd2ctxzd2_bglt
		BgL_ctxz00_2601)
	{
		{	/* SawBbv/bbv-merge.scm 213 */
			{	/* SawBbv/bbv-merge.scm 213 */
				obj_t BgL_runner2099z00_2620;

				{	/* SawBbv/bbv-merge.scm 213 */
					obj_t BgL_l1570z00_2604;

					BgL_l1570z00_2604 =
						(((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_ctxz00_2601))->
						BgL_entriesz00);
					if (NULLP(BgL_l1570z00_2604))
						{	/* SawBbv/bbv-merge.scm 213 */
							BgL_runner2099z00_2620 = BNIL;
						}
					else
						{	/* SawBbv/bbv-merge.scm 213 */
							obj_t BgL_head1572z00_2606;

							{	/* SawBbv/bbv-merge.scm 213 */
								long BgL_arg2097z00_2618;

								BgL_arg2097z00_2618 =
									BGl_entryzd2scoreze73z35zzsaw_bbvzd2mergezd2(
									((BgL_bbvzd2ctxentryzd2_bglt) CAR(BgL_l1570z00_2604)));
								BgL_head1572z00_2606 =
									MAKE_YOUNG_PAIR(BINT(BgL_arg2097z00_2618), BNIL);
							}
							{	/* SawBbv/bbv-merge.scm 213 */
								obj_t BgL_g1575z00_2607;

								BgL_g1575z00_2607 = CDR(BgL_l1570z00_2604);
								{
									obj_t BgL_l1570z00_2609;
									obj_t BgL_tail1573z00_2610;

									BgL_l1570z00_2609 = BgL_g1575z00_2607;
									BgL_tail1573z00_2610 = BgL_head1572z00_2606;
								BgL_zc3z04anonymousza32092ze3z87_2611:
									if (NULLP(BgL_l1570z00_2609))
										{	/* SawBbv/bbv-merge.scm 213 */
											BgL_runner2099z00_2620 = BgL_head1572z00_2606;
										}
									else
										{	/* SawBbv/bbv-merge.scm 213 */
											obj_t BgL_newtail1574z00_2613;

											{	/* SawBbv/bbv-merge.scm 213 */
												long BgL_arg2095z00_2615;

												BgL_arg2095z00_2615 =
													BGl_entryzd2scoreze73z35zzsaw_bbvzd2mergezd2(
													((BgL_bbvzd2ctxentryzd2_bglt)
														CAR(((obj_t) BgL_l1570z00_2609))));
												BgL_newtail1574z00_2613 =
													MAKE_YOUNG_PAIR(BINT(BgL_arg2095z00_2615), BNIL);
											}
											SET_CDR(BgL_tail1573z00_2610, BgL_newtail1574z00_2613);
											{	/* SawBbv/bbv-merge.scm 213 */
												obj_t BgL_arg2094z00_2614;

												BgL_arg2094z00_2614 = CDR(((obj_t) BgL_l1570z00_2609));
												{
													obj_t BgL_tail1573z00_8711;
													obj_t BgL_l1570z00_8710;

													BgL_l1570z00_8710 = BgL_arg2094z00_2614;
													BgL_tail1573z00_8711 = BgL_newtail1574z00_2613;
													BgL_tail1573z00_2610 = BgL_tail1573z00_8711;
													BgL_l1570z00_2609 = BgL_l1570z00_8710;
													goto BgL_zc3z04anonymousza32092ze3z87_2611;
												}
											}
										}
								}
							}
						}
				}
				return BGl_zb2zb2zz__r4_numbers_6_5z00(BgL_runner2099z00_2620);
			}
		}

	}



/* &<@anonymous:2040> */
	obj_t BGl_z62zc3z04anonymousza32040ze3ze5zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6473, obj_t BgL_xz00_6474, obj_t BgL_yz00_6475)
	{
		{	/* SawBbv/bbv-merge.scm 247 */
			return
				BBOOL(
				((long) CINT(CAR(
							((obj_t) BgL_xz00_6474))) >=
					(long) CINT(CAR(((obj_t) BgL_yz00_6475)))));
		}

	}



/* bbv-block-merge-select-strategy-score+ */
	obj_t
		BGl_bbvzd2blockzd2mergezd2selectzd2strategyzd2scorezb2z60zzsaw_bbvzd2mergezd2
		(obj_t BgL_bsz00_259)
	{
		{	/* SawBbv/bbv-merge.scm 261 */
			{
				BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_2700;

				{	/* SawBbv/bbv-merge.scm 291 */
					obj_t BgL_ccz00_2661;

					BgL_ccz00_2661 = BGl_allze70ze7zzsaw_bbvzd2mergezd2(BgL_bsz00_259);
					{	/* SawBbv/bbv-merge.scm 291 */
						obj_t BgL_ccsz00_2662;

						if (NULLP(BgL_ccz00_2661))
							{	/* SawBbv/bbv-merge.scm 292 */
								BgL_ccsz00_2662 = BNIL;
							}
						else
							{	/* SawBbv/bbv-merge.scm 292 */
								obj_t BgL_head1622z00_2676;

								BgL_head1622z00_2676 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1620z00_2678;
									obj_t BgL_tail1623z00_2679;

									BgL_l1620z00_2678 = BgL_ccz00_2661;
									BgL_tail1623z00_2679 = BgL_head1622z00_2676;
								BgL_zc3z04anonymousza32121ze3z87_2680:
									if (NULLP(BgL_l1620z00_2678))
										{	/* SawBbv/bbv-merge.scm 292 */
											BgL_ccsz00_2662 = CDR(BgL_head1622z00_2676);
										}
									else
										{	/* SawBbv/bbv-merge.scm 292 */
											obj_t BgL_newtail1624z00_2682;

											{	/* SawBbv/bbv-merge.scm 292 */
												obj_t BgL_arg2124z00_2684;

												{	/* SawBbv/bbv-merge.scm 292 */
													obj_t BgL_cz00_2685;

													BgL_cz00_2685 = CAR(((obj_t) BgL_l1620z00_2678));
													{	/* SawBbv/bbv-merge.scm 293 */
														BgL_blockz00_bglt BgL_i1211z00_2686;

														BgL_i1211z00_2686 =
															((BgL_blockz00_bglt)
															CAR(((obj_t) BgL_cz00_2685)));
														{	/* SawBbv/bbv-merge.scm 294 */
															BgL_blockz00_bglt BgL_i1212z00_2687;

															BgL_i1212z00_2687 =
																((BgL_blockz00_bglt)
																CDR(((obj_t) BgL_cz00_2685)));
															{	/* SawBbv/bbv-merge.scm 295 */
																BgL_bbvzd2ctxzd2_bglt BgL_nxz00_2688;

																{	/* SawBbv/bbv-merge.scm 295 */
																	BgL_bbvzd2ctxzd2_bglt BgL_arg2125z00_2690;
																	BgL_bbvzd2ctxzd2_bglt BgL_arg2126z00_2691;

																	{
																		BgL_blocksz00_bglt BgL_auxz00_8736;

																		{
																			obj_t BgL_auxz00_8737;

																			{	/* SawBbv/bbv-merge.scm 295 */
																				BgL_objectz00_bglt BgL_tmpz00_8738;

																				BgL_tmpz00_8738 =
																					((BgL_objectz00_bglt)
																					BgL_i1211z00_2686);
																				BgL_auxz00_8737 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_8738);
																			}
																			BgL_auxz00_8736 =
																				((BgL_blocksz00_bglt) BgL_auxz00_8737);
																		}
																		BgL_arg2125z00_2690 =
																			(((BgL_blocksz00_bglt)
																				COBJECT(BgL_auxz00_8736))->BgL_ctxz00);
																	}
																	{
																		BgL_blocksz00_bglt BgL_auxz00_8743;

																		{
																			obj_t BgL_auxz00_8744;

																			{	/* SawBbv/bbv-merge.scm 295 */
																				BgL_objectz00_bglt BgL_tmpz00_8745;

																				BgL_tmpz00_8745 =
																					((BgL_objectz00_bglt)
																					BgL_i1212z00_2687);
																				BgL_auxz00_8744 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_8745);
																			}
																			BgL_auxz00_8743 =
																				((BgL_blocksz00_bglt) BgL_auxz00_8744);
																		}
																		BgL_arg2126z00_2691 =
																			(((BgL_blocksz00_bglt)
																				COBJECT(BgL_auxz00_8743))->BgL_ctxz00);
																	}
																	BgL_nxz00_2688 =
																		BGl_mergezd2ctxzd2zzsaw_bbvzd2mergezd2
																		(BgL_arg2125z00_2690, BgL_arg2126z00_2691);
																}
																{	/* SawBbv/bbv-merge.scm 295 */
																	obj_t BgL_scorez00_2689;

																	BgL_ctxz00_2700 = BgL_nxz00_2688;
																	{	/* SawBbv/bbv-merge.scm 272 */
																		obj_t BgL_runner2141z00_2719;

																		{	/* SawBbv/bbv-merge.scm 272 */
																			obj_t BgL_l1607z00_2703;

																			BgL_l1607z00_2703 =
																				(((BgL_bbvzd2ctxzd2_bglt)
																					COBJECT(BgL_ctxz00_2700))->
																				BgL_entriesz00);
																			if (NULLP(BgL_l1607z00_2703))
																				{	/* SawBbv/bbv-merge.scm 272 */
																					BgL_runner2141z00_2719 = BNIL;
																				}
																			else
																				{	/* SawBbv/bbv-merge.scm 272 */
																					obj_t BgL_head1609z00_2705;

																					{	/* SawBbv/bbv-merge.scm 272 */
																						long BgL_arg2139z00_2717;

																						BgL_arg2139z00_2717 =
																							BGl_entryzd2scoreze72z35zzsaw_bbvzd2mergezd2
																							(((BgL_bbvzd2ctxentryzd2_bglt)
																								CAR(BgL_l1607z00_2703)));
																						BgL_head1609z00_2705 =
																							MAKE_YOUNG_PAIR(BINT
																							(BgL_arg2139z00_2717), BNIL);
																					}
																					{	/* SawBbv/bbv-merge.scm 272 */
																						obj_t BgL_g1612z00_2706;

																						BgL_g1612z00_2706 =
																							CDR(BgL_l1607z00_2703);
																						{
																							obj_t BgL_l1607z00_2708;
																							obj_t BgL_tail1610z00_2709;

																							BgL_l1607z00_2708 =
																								BgL_g1612z00_2706;
																							BgL_tail1610z00_2709 =
																								BgL_head1609z00_2705;
																						BgL_zc3z04anonymousza32134ze3z87_2710:
																							if (NULLP
																								(BgL_l1607z00_2708))
																								{	/* SawBbv/bbv-merge.scm 272 */
																									BgL_runner2141z00_2719 =
																										BgL_head1609z00_2705;
																								}
																							else
																								{	/* SawBbv/bbv-merge.scm 272 */
																									obj_t BgL_newtail1611z00_2712;

																									{	/* SawBbv/bbv-merge.scm 272 */
																										long BgL_arg2137z00_2714;

																										BgL_arg2137z00_2714 =
																											BGl_entryzd2scoreze72z35zzsaw_bbvzd2mergezd2
																											(((BgL_bbvzd2ctxentryzd2_bglt) CAR(((obj_t) BgL_l1607z00_2708))));
																										BgL_newtail1611z00_2712 =
																											MAKE_YOUNG_PAIR(BINT
																											(BgL_arg2137z00_2714),
																											BNIL);
																									}
																									SET_CDR(BgL_tail1610z00_2709,
																										BgL_newtail1611z00_2712);
																									{	/* SawBbv/bbv-merge.scm 272 */
																										obj_t BgL_arg2136z00_2713;

																										BgL_arg2136z00_2713 =
																											CDR(
																											((obj_t)
																												BgL_l1607z00_2708));
																										{
																											obj_t
																												BgL_tail1610z00_8772;
																											obj_t BgL_l1607z00_8771;

																											BgL_l1607z00_8771 =
																												BgL_arg2136z00_2713;
																											BgL_tail1610z00_8772 =
																												BgL_newtail1611z00_2712;
																											BgL_tail1610z00_2709 =
																												BgL_tail1610z00_8772;
																											BgL_l1607z00_2708 =
																												BgL_l1607z00_8771;
																											goto
																												BgL_zc3z04anonymousza32134ze3z87_2710;
																										}
																									}
																								}
																						}
																					}
																				}
																		}
																		BgL_scorez00_2689 =
																			BGl_zb2zb2zz__r4_numbers_6_5z00
																			(BgL_runner2141z00_2719);
																	}
																	{	/* SawBbv/bbv-merge.scm 296 */

																		BgL_arg2124z00_2684 =
																			MAKE_YOUNG_PAIR(BgL_scorez00_2689,
																			BgL_cz00_2685);
																	}
																}
															}
														}
													}
												}
												BgL_newtail1624z00_2682 =
													MAKE_YOUNG_PAIR(BgL_arg2124z00_2684, BNIL);
											}
											SET_CDR(BgL_tail1623z00_2679, BgL_newtail1624z00_2682);
											{	/* SawBbv/bbv-merge.scm 292 */
												obj_t BgL_arg2123z00_2683;

												BgL_arg2123z00_2683 = CDR(((obj_t) BgL_l1620z00_2678));
												{
													obj_t BgL_tail1623z00_8780;
													obj_t BgL_l1620z00_8779;

													BgL_l1620z00_8779 = BgL_arg2123z00_2683;
													BgL_tail1623z00_8780 = BgL_newtail1624z00_2682;
													BgL_tail1623z00_2679 = BgL_tail1623z00_8780;
													BgL_l1620z00_2678 = BgL_l1620z00_8779;
													goto BgL_zc3z04anonymousza32121ze3z87_2680;
												}
											}
										}
								}
							}
						{	/* SawBbv/bbv-merge.scm 292 */
							obj_t BgL_sccsz00_2663;

							BgL_sccsz00_2663 =
								BGl_sortz00zz__r4_vectors_6_8z00
								(BGl_proc3241z00zzsaw_bbvzd2mergezd2, BgL_ccsz00_2662);
							{	/* SawBbv/bbv-merge.scm 299 */
								obj_t BgL_pairz00_2664;

								{	/* SawBbv/bbv-merge.scm 302 */
									obj_t BgL_pairz00_5094;

									BgL_pairz00_5094 = CAR(((obj_t) BgL_sccsz00_2663));
									BgL_pairz00_2664 = CDR(BgL_pairz00_5094);
								}
								{	/* SawBbv/bbv-merge.scm 302 */

									{	/* SawBbv/bbv-merge.scm 306 */
										obj_t BgL_val0_1625z00_2665;
										obj_t BgL_val1_1626z00_2666;

										BgL_val0_1625z00_2665 = CAR(((obj_t) BgL_pairz00_2664));
										BgL_val1_1626z00_2666 = CDR(((obj_t) BgL_pairz00_2664));
										{	/* SawBbv/bbv-merge.scm 306 */
											int BgL_tmpz00_8789;

											BgL_tmpz00_8789 = (int) (2L);
											BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8789);
										}
										{	/* SawBbv/bbv-merge.scm 306 */
											int BgL_tmpz00_8792;

											BgL_tmpz00_8792 = (int) (1L);
											BGL_MVALUES_VAL_SET(BgL_tmpz00_8792,
												BgL_val1_1626z00_2666);
										}
										return BgL_val0_1625z00_2665;
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* entry-score~2 */
	long BGl_entryzd2scoreze72z35zzsaw_bbvzd2mergezd2(BgL_bbvzd2ctxentryzd2_bglt
		BgL_ez00_2693)
	{
		{	/* SawBbv/bbv-merge.scm 268 */
			if (
				(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_ez00_2693))->
					BgL_polarityz00))
				{	/* SawBbv/bbv-merge.scm 267 */
					bool_t BgL_test3521z00_8797;

					{	/* SawBbv/bbv-merge.scm 267 */
						obj_t BgL_arg2131z00_2699;

						BgL_arg2131z00_2699 =
							(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_ez00_2693))->
							BgL_typesz00);
						BgL_test3521z00_8797 =
							CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
							(BGl_za2objza2z00zztype_cachez00, BgL_arg2131z00_2699));
					}
					if (BgL_test3521z00_8797)
						{	/* SawBbv/bbv-merge.scm 267 */
							return 0L;
						}
					else
						{	/* SawBbv/bbv-merge.scm 267 */
							return
								(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_ez00_2693))->
								BgL_countz00);
						}
				}
			else
				{	/* SawBbv/bbv-merge.scm 266 */
					return 1L;
				}
		}

	}



/* all~0 */
	obj_t BGl_allze70ze7zzsaw_bbvzd2mergezd2(obj_t BgL_lz00_2724)
	{
		{	/* SawBbv/bbv-merge.scm 282 */
			if (NULLP(BgL_lz00_2724))
				{	/* SawBbv/bbv-merge.scm 279 */
					return BNIL;
				}
			else
				{	/* SawBbv/bbv-merge.scm 281 */
					obj_t BgL_arg2146z00_2727;
					obj_t BgL_arg2147z00_2728;

					{	/* SawBbv/bbv-merge.scm 281 */
						obj_t BgL_l1613z00_2729;

						BgL_l1613z00_2729 = CDR(((obj_t) BgL_lz00_2724));
						if (NULLP(BgL_l1613z00_2729))
							{	/* SawBbv/bbv-merge.scm 281 */
								BgL_arg2146z00_2727 = BNIL;
							}
						else
							{	/* SawBbv/bbv-merge.scm 281 */
								obj_t BgL_head1615z00_2731;

								BgL_head1615z00_2731 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1613z00_2733;
									obj_t BgL_tail1616z00_2734;

									BgL_l1613z00_2733 = BgL_l1613z00_2729;
									BgL_tail1616z00_2734 = BgL_head1615z00_2731;
								BgL_zc3z04anonymousza32149ze3z87_2735:
									if (NULLP(BgL_l1613z00_2733))
										{	/* SawBbv/bbv-merge.scm 281 */
											BgL_arg2146z00_2727 = CDR(BgL_head1615z00_2731);
										}
									else
										{	/* SawBbv/bbv-merge.scm 281 */
											obj_t BgL_newtail1617z00_2737;

											{	/* SawBbv/bbv-merge.scm 281 */
												obj_t BgL_arg2152z00_2739;

												{	/* SawBbv/bbv-merge.scm 281 */
													obj_t BgL_ez00_2740;

													BgL_ez00_2740 = CAR(((obj_t) BgL_l1613z00_2733));
													{	/* SawBbv/bbv-merge.scm 281 */
														obj_t BgL_arg2153z00_2741;

														BgL_arg2153z00_2741 = CAR(((obj_t) BgL_lz00_2724));
														BgL_arg2152z00_2739 =
															MAKE_YOUNG_PAIR(BgL_arg2153z00_2741,
															BgL_ez00_2740);
													}
												}
												BgL_newtail1617z00_2737 =
													MAKE_YOUNG_PAIR(BgL_arg2152z00_2739, BNIL);
											}
											SET_CDR(BgL_tail1616z00_2734, BgL_newtail1617z00_2737);
											{	/* SawBbv/bbv-merge.scm 281 */
												obj_t BgL_arg2151z00_2738;

												BgL_arg2151z00_2738 = CDR(((obj_t) BgL_l1613z00_2733));
												{
													obj_t BgL_tail1616z00_8822;
													obj_t BgL_l1613z00_8821;

													BgL_l1613z00_8821 = BgL_arg2151z00_2738;
													BgL_tail1616z00_8822 = BgL_newtail1617z00_2737;
													BgL_tail1616z00_2734 = BgL_tail1616z00_8822;
													BgL_l1613z00_2733 = BgL_l1613z00_8821;
													goto BgL_zc3z04anonymousza32149ze3z87_2735;
												}
											}
										}
								}
							}
					}
					{	/* SawBbv/bbv-merge.scm 282 */
						obj_t BgL_arg2154z00_2743;

						BgL_arg2154z00_2743 = CDR(((obj_t) BgL_lz00_2724));
						BgL_arg2147z00_2728 =
							BGl_allze70ze7zzsaw_bbvzd2mergezd2(BgL_arg2154z00_2743);
					}
					return
						BGl_appendzd221011zd2zzsaw_bbvzd2mergezd2(BgL_arg2146z00_2727,
						BgL_arg2147z00_2728);
				}
		}

	}



/* &<@anonymous:2117> */
	obj_t BGl_z62zc3z04anonymousza32117ze3ze5zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6477, obj_t BgL_xz00_6478, obj_t BgL_yz00_6479)
	{
		{	/* SawBbv/bbv-merge.scm 299 */
			return
				BBOOL(
				((long) CINT(CAR(
							((obj_t) BgL_xz00_6478))) >=
					(long) CINT(CAR(((obj_t) BgL_yz00_6479)))));
		}

	}



/* bbv-block-merge-select-strategy-score- */
	obj_t
		BGl_bbvzd2blockzd2mergezd2selectzd2strategyzd2scorezd2z00zzsaw_bbvzd2mergezd2
		(obj_t BgL_bsz00_260)
	{
		{	/* SawBbv/bbv-merge.scm 311 */
			{
				obj_t BgL_xz00_2780;
				obj_t BgL_yz00_2781;
				BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_2813;
				obj_t BgL_bsz00_2837;

				{
					obj_t BgL_pbsz00_2755;

					BgL_pbsz00_2755 = BgL_bsz00_260;
				BgL_zc3z04anonymousza32155ze3z87_2756:
					if (NULLP(BgL_pbsz00_2755))
						{	/* SawBbv/bbv-merge.scm 363 */
							BgL_bsz00_2837 = BgL_bsz00_260;
							{	/* SawBbv/bbv-merge.scm 348 */
								obj_t BgL_bsz00_2839;

								{	/* SawBbv/bbv-merge.scm 348 */
									obj_t BgL_arg2202z00_2851;

									{	/* SawBbv/bbv-merge.scm 350 */
										obj_t BgL_head1639z00_2860;

										BgL_head1639z00_2860 = MAKE_YOUNG_PAIR(BNIL, BNIL);
										{
											obj_t BgL_l1637z00_2862;
											obj_t BgL_tail1640z00_2863;

											BgL_l1637z00_2862 = BgL_bsz00_2837;
											BgL_tail1640z00_2863 = BgL_head1639z00_2860;
										BgL_zc3z04anonymousza32206ze3z87_2864:
											if (NULLP(BgL_l1637z00_2862))
												{	/* SawBbv/bbv-merge.scm 350 */
													BgL_arg2202z00_2851 = CDR(BgL_head1639z00_2860);
												}
											else
												{	/* SawBbv/bbv-merge.scm 350 */
													obj_t BgL_newtail1641z00_2866;

													{	/* SawBbv/bbv-merge.scm 350 */
														obj_t BgL_arg2209z00_2868;

														{	/* SawBbv/bbv-merge.scm 350 */
															obj_t BgL_bz00_2869;

															BgL_bz00_2869 = CAR(((obj_t) BgL_l1637z00_2862));
															{	/* SawBbv/bbv-merge.scm 350 */
																obj_t BgL_arg2210z00_2870;

																{	/* SawBbv/bbv-merge.scm 345 */
																	BgL_bbvzd2ctxzd2_bglt BgL_arg2196z00_5125;

																	{
																		BgL_blocksz00_bglt BgL_auxz00_8843;

																		{
																			obj_t BgL_auxz00_8844;

																			{	/* SawBbv/bbv-merge.scm 345 */
																				BgL_objectz00_bglt BgL_tmpz00_8845;

																				BgL_tmpz00_8845 =
																					((BgL_objectz00_bglt)
																					((BgL_blockz00_bglt) BgL_bz00_2869));
																				BgL_auxz00_8844 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_8845);
																			}
																			BgL_auxz00_8843 =
																				((BgL_blocksz00_bglt) BgL_auxz00_8844);
																		}
																		BgL_arg2196z00_5125 =
																			(((BgL_blocksz00_bglt)
																				COBJECT(BgL_auxz00_8843))->BgL_ctxz00);
																	}
																	BgL_ctxz00_2813 = BgL_arg2196z00_5125;
																	{	/* SawBbv/bbv-merge.scm 341 */
																		obj_t BgL_runner2194z00_2832;

																		{	/* SawBbv/bbv-merge.scm 341 */
																			obj_t BgL_l1629z00_2816;

																			BgL_l1629z00_2816 =
																				(((BgL_bbvzd2ctxzd2_bglt)
																					COBJECT(BgL_ctxz00_2813))->
																				BgL_entriesz00);
																			if (NULLP(BgL_l1629z00_2816))
																				{	/* SawBbv/bbv-merge.scm 341 */
																					BgL_runner2194z00_2832 = BNIL;
																				}
																			else
																				{	/* SawBbv/bbv-merge.scm 341 */
																					obj_t BgL_head1631z00_2818;

																					{	/* SawBbv/bbv-merge.scm 341 */
																						obj_t BgL_arg2192z00_2830;

																						{	/* SawBbv/bbv-merge.scm 341 */
																							obj_t BgL_arg2193z00_2831;

																							BgL_arg2193z00_2831 =
																								CAR(BgL_l1629z00_2816);
																							BgL_arg2192z00_2830 =
																								BGl_entryzd2scoreze71z35zzsaw_bbvzd2mergezd2
																								(((BgL_bbvzd2ctxentryzd2_bglt)
																									BgL_arg2193z00_2831));
																						}
																						BgL_head1631z00_2818 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg2192z00_2830, BNIL);
																					}
																					{	/* SawBbv/bbv-merge.scm 341 */
																						obj_t BgL_g1634z00_2819;

																						BgL_g1634z00_2819 =
																							CDR(BgL_l1629z00_2816);
																						{
																							obj_t BgL_l1629z00_2821;
																							obj_t BgL_tail1632z00_2822;

																							BgL_l1629z00_2821 =
																								BgL_g1634z00_2819;
																							BgL_tail1632z00_2822 =
																								BgL_head1631z00_2818;
																						BgL_zc3z04anonymousza32187ze3z87_2823:
																							if (NULLP
																								(BgL_l1629z00_2821))
																								{	/* SawBbv/bbv-merge.scm 341 */
																									BgL_runner2194z00_2832 =
																										BgL_head1631z00_2818;
																								}
																							else
																								{	/* SawBbv/bbv-merge.scm 341 */
																									obj_t BgL_newtail1633z00_2825;

																									{	/* SawBbv/bbv-merge.scm 341 */
																										obj_t BgL_arg2190z00_2827;

																										{	/* SawBbv/bbv-merge.scm 341 */
																											obj_t BgL_arg2191z00_2828;

																											BgL_arg2191z00_2828 =
																												CAR(
																												((obj_t)
																													BgL_l1629z00_2821));
																											BgL_arg2190z00_2827 =
																												BGl_entryzd2scoreze71z35zzsaw_bbvzd2mergezd2
																												(((BgL_bbvzd2ctxentryzd2_bglt) BgL_arg2191z00_2828));
																										}
																										BgL_newtail1633z00_2825 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg2190z00_2827,
																											BNIL);
																									}
																									SET_CDR(BgL_tail1632z00_2822,
																										BgL_newtail1633z00_2825);
																									{	/* SawBbv/bbv-merge.scm 341 */
																										obj_t BgL_arg2189z00_2826;

																										BgL_arg2189z00_2826 =
																											CDR(
																											((obj_t)
																												BgL_l1629z00_2821));
																										{
																											obj_t
																												BgL_tail1632z00_8870;
																											obj_t BgL_l1629z00_8869;

																											BgL_l1629z00_8869 =
																												BgL_arg2189z00_2826;
																											BgL_tail1632z00_8870 =
																												BgL_newtail1633z00_2825;
																											BgL_tail1632z00_2822 =
																												BgL_tail1632z00_8870;
																											BgL_l1629z00_2821 =
																												BgL_l1629z00_8869;
																											goto
																												BgL_zc3z04anonymousza32187ze3z87_2823;
																										}
																									}
																								}
																						}
																					}
																				}
																		}
																		BgL_arg2210z00_2870 =
																			BGl_zb2zb2zz__r4_numbers_6_5z00
																			(BgL_runner2194z00_2832);
																	}
																}
																BgL_arg2209z00_2868 =
																	MAKE_YOUNG_PAIR(BgL_arg2210z00_2870,
																	BgL_bz00_2869);
															}
														}
														BgL_newtail1641z00_2866 =
															MAKE_YOUNG_PAIR(BgL_arg2209z00_2868, BNIL);
													}
													SET_CDR(BgL_tail1640z00_2863,
														BgL_newtail1641z00_2866);
													{	/* SawBbv/bbv-merge.scm 350 */
														obj_t BgL_arg2208z00_2867;

														BgL_arg2208z00_2867 =
															CDR(((obj_t) BgL_l1637z00_2862));
														{
															obj_t BgL_tail1640z00_8878;
															obj_t BgL_l1637z00_8877;

															BgL_l1637z00_8877 = BgL_arg2208z00_2867;
															BgL_tail1640z00_8878 = BgL_newtail1641z00_2866;
															BgL_tail1640z00_2863 = BgL_tail1640z00_8878;
															BgL_l1637z00_2862 = BgL_l1637z00_8877;
															goto BgL_zc3z04anonymousza32206ze3z87_2864;
														}
													}
												}
										}
									}
									BgL_bsz00_2839 =
										BGl_sortz00zz__r4_vectors_6_8z00
										(BGl_proc3242z00zzsaw_bbvzd2mergezd2, BgL_arg2202z00_2851);
								}
								{	/* SawBbv/bbv-merge.scm 359 */
									obj_t BgL_val0_1644z00_2848;
									obj_t BgL_val1_1645z00_2849;

									{	/* SawBbv/bbv-merge.scm 359 */
										obj_t BgL_pairz00_5139;

										BgL_pairz00_5139 = CAR(((obj_t) BgL_bsz00_2839));
										BgL_val0_1644z00_2848 = CDR(BgL_pairz00_5139);
									}
									{	/* SawBbv/bbv-merge.scm 359 */
										obj_t BgL_pairz00_5145;

										{	/* SawBbv/bbv-merge.scm 359 */
											obj_t BgL_pairz00_5144;

											BgL_pairz00_5144 = CDR(((obj_t) BgL_bsz00_2839));
											BgL_pairz00_5145 = CAR(BgL_pairz00_5144);
										}
										BgL_val1_1645z00_2849 = CDR(BgL_pairz00_5145);
									}
									{	/* SawBbv/bbv-merge.scm 359 */
										int BgL_tmpz00_8887;

										BgL_tmpz00_8887 = (int) (2L);
										BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8887);
									}
									{	/* SawBbv/bbv-merge.scm 359 */
										int BgL_tmpz00_8890;

										BgL_tmpz00_8890 = (int) (1L);
										BGL_MVALUES_VAL_SET(BgL_tmpz00_8890, BgL_val1_1645z00_2849);
									}
									return BgL_val0_1644z00_2848;
								}
							}
						}
					else
						{	/* SawBbv/bbv-merge.scm 365 */
							obj_t BgL_sbz00_2758;

							{	/* SawBbv/bbv-merge.scm 365 */
								obj_t BgL_g1648z00_2762;

								BgL_g1648z00_2762 = CDR(((obj_t) BgL_pbsz00_2755));
								{
									obj_t BgL_list1647z00_2764;

									BgL_list1647z00_2764 = BgL_g1648z00_2762;
								BgL_zc3z04anonymousza32158ze3z87_2765:
									if (PAIRP(BgL_list1647z00_2764))
										{	/* SawBbv/bbv-merge.scm 367 */
											bool_t BgL_test3530z00_8897;

											{	/* SawBbv/bbv-merge.scm 366 */
												obj_t BgL_bz00_2771;

												BgL_bz00_2771 = CAR(BgL_list1647z00_2764);
												{	/* SawBbv/bbv-merge.scm 366 */
													obj_t BgL_arg2163z00_2772;

													BgL_arg2163z00_2772 = CAR(((obj_t) BgL_pbsz00_2755));
													{	/* SawBbv/bbv-merge.scm 366 */
														obj_t BgL_tmpz00_8901;

														BgL_xz00_2780 = BgL_arg2163z00_2772;
														BgL_yz00_2781 = BgL_bz00_2771;
														{	/* SawBbv/bbv-merge.scm 319 */
															BgL_bbvzd2ctxzd2_bglt BgL_i1215z00_2785;

															{
																BgL_blocksz00_bglt BgL_auxz00_8902;

																{
																	obj_t BgL_auxz00_8903;

																	{	/* SawBbv/bbv-merge.scm 320 */
																		BgL_objectz00_bglt BgL_tmpz00_8904;

																		BgL_tmpz00_8904 =
																			((BgL_objectz00_bglt)
																			((BgL_blockz00_bglt) BgL_xz00_2780));
																		BgL_auxz00_8903 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_8904);
																	}
																	BgL_auxz00_8902 =
																		((BgL_blocksz00_bglt) BgL_auxz00_8903);
																}
																BgL_i1215z00_2785 =
																	(((BgL_blocksz00_bglt)
																		COBJECT(BgL_auxz00_8902))->BgL_ctxz00);
															}
															{	/* SawBbv/bbv-merge.scm 320 */
																BgL_bbvzd2ctxzd2_bglt BgL_i1216z00_2786;

																{
																	BgL_blocksz00_bglt BgL_auxz00_8910;

																	{
																		obj_t BgL_auxz00_8911;

																		{	/* SawBbv/bbv-merge.scm 321 */
																			BgL_objectz00_bglt BgL_tmpz00_8912;

																			BgL_tmpz00_8912 =
																				((BgL_objectz00_bglt)
																				((BgL_blockz00_bglt) BgL_yz00_2781));
																			BgL_auxz00_8911 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_8912);
																		}
																		BgL_auxz00_8910 =
																			((BgL_blocksz00_bglt) BgL_auxz00_8911);
																	}
																	BgL_i1216z00_2786 =
																		(((BgL_blocksz00_bglt)
																			COBJECT(BgL_auxz00_8910))->BgL_ctxz00);
																}
																{	/* SawBbv/bbv-merge.scm 321 */
																	obj_t BgL_arg2169z00_2788;
																	obj_t BgL_arg2170z00_2789;

																	BgL_arg2169z00_2788 =
																		(((BgL_bbvzd2ctxzd2_bglt)
																			COBJECT(BgL_i1215z00_2785))->
																		BgL_entriesz00);
																	BgL_arg2170z00_2789 =
																		(((BgL_bbvzd2ctxzd2_bglt)
																			COBJECT(BgL_i1216z00_2786))->
																		BgL_entriesz00);
																	{	/* SawBbv/bbv-merge.scm 321 */
																		obj_t BgL_list2171z00_2790;

																		{	/* SawBbv/bbv-merge.scm 321 */
																			obj_t BgL_arg2172z00_2791;

																			BgL_arg2172z00_2791 =
																				MAKE_YOUNG_PAIR(BgL_arg2170z00_2789,
																				BNIL);
																			BgL_list2171z00_2790 =
																				MAKE_YOUNG_PAIR(BgL_arg2169z00_2788,
																				BgL_arg2172z00_2791);
																		}
																		BgL_tmpz00_8901 =
																			BGl_everyz00zz__r4_pairs_and_lists_6_3z00
																			(BGl_proc3243z00zzsaw_bbvzd2mergezd2,
																			BgL_list2171z00_2790);
																	}
																}
															}
														}
														BgL_test3530z00_8897 = CBOOL(BgL_tmpz00_8901);
													}
												}
											}
											if (BgL_test3530z00_8897)
												{	/* SawBbv/bbv-merge.scm 367 */
													BgL_sbz00_2758 = CAR(BgL_list1647z00_2764);
												}
											else
												{
													obj_t BgL_list1647z00_8925;

													BgL_list1647z00_8925 = CDR(BgL_list1647z00_2764);
													BgL_list1647z00_2764 = BgL_list1647z00_8925;
													goto BgL_zc3z04anonymousza32158ze3z87_2765;
												}
										}
									else
										{	/* SawBbv/bbv-merge.scm 367 */
											BgL_sbz00_2758 = BFALSE;
										}
								}
							}
							if (CBOOL(BgL_sbz00_2758))
								{	/* SawBbv/bbv-merge.scm 373 */
									obj_t BgL_val0_1649z00_2759;

									BgL_val0_1649z00_2759 = CAR(((obj_t) BgL_pbsz00_2755));
									{	/* SawBbv/bbv-merge.scm 373 */
										int BgL_tmpz00_8931;

										BgL_tmpz00_8931 = (int) (2L);
										BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8931);
									}
									{	/* SawBbv/bbv-merge.scm 373 */
										int BgL_tmpz00_8934;

										BgL_tmpz00_8934 = (int) (1L);
										BGL_MVALUES_VAL_SET(BgL_tmpz00_8934, BgL_sbz00_2758);
									}
									return BgL_val0_1649z00_2759;
								}
							else
								{	/* SawBbv/bbv-merge.scm 374 */
									obj_t BgL_arg2157z00_2761;

									BgL_arg2157z00_2761 = CDR(((obj_t) BgL_pbsz00_2755));
									{
										obj_t BgL_pbsz00_8939;

										BgL_pbsz00_8939 = BgL_arg2157z00_2761;
										BgL_pbsz00_2755 = BgL_pbsz00_8939;
										goto BgL_zc3z04anonymousza32155ze3z87_2756;
									}
								}
						}
				}
			}
		}

	}



/* entry-score~1 */
	obj_t BGl_entryzd2scoreze71z35zzsaw_bbvzd2mergezd2(BgL_bbvzd2ctxentryzd2_bglt
		BgL_ez00_2803)
	{
		{	/* SawBbv/bbv-merge.scm 337 */
			if (
				(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_ez00_2803))->
					BgL_polarityz00))
				{	/* SawBbv/bbv-merge.scm 336 */
					bool_t BgL_test3533z00_8942;

					{	/* SawBbv/bbv-merge.scm 336 */
						obj_t BgL_arg2184z00_2812;

						BgL_arg2184z00_2812 =
							(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_ez00_2803))->
							BgL_typesz00);
						BgL_test3533z00_8942 =
							CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
							(BGl_za2objza2z00zztype_cachez00, BgL_arg2184z00_2812));
					}
					if (BgL_test3533z00_8942)
						{	/* SawBbv/bbv-merge.scm 336 */
							return BINT(0L);
						}
					else
						{	/* SawBbv/bbv-merge.scm 337 */
							long BgL_a1627z00_2809;

							BgL_a1627z00_2809 =
								(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_ez00_2803))->
								BgL_countz00);
							{	/* SawBbv/bbv-merge.scm 337 */
								long BgL_b1628z00_2810;

								BgL_b1628z00_2810 =
									(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_ez00_2803))->
									BgL_countz00);
								{	/* SawBbv/bbv-merge.scm 337 */

									{	/* SawBbv/bbv-merge.scm 337 */
										obj_t BgL_za71za7_5103;
										obj_t BgL_za72za7_5104;

										BgL_za71za7_5103 = BINT(BgL_a1627z00_2809);
										BgL_za72za7_5104 = BINT(BgL_b1628z00_2810);
										{	/* SawBbv/bbv-merge.scm 337 */
											obj_t BgL_tmpz00_5105;

											BgL_tmpz00_5105 = BINT(0L);
											if (BGL_MULFX_OV(BgL_za71za7_5103, BgL_za72za7_5104,
													BgL_tmpz00_5105))
												{	/* SawBbv/bbv-merge.scm 337 */
													return
														bgl_bignum_mul(bgl_long_to_bignum(
															(long) CINT(BgL_za71za7_5103)),
														bgl_long_to_bignum((long) CINT(BgL_za72za7_5104)));
												}
											else
												{	/* SawBbv/bbv-merge.scm 337 */
													return BgL_tmpz00_5105;
												}
										}
									}
								}
							}
						}
				}
			else
				{	/* SawBbv/bbv-merge.scm 335 */
					return BINT(1L);
				}
		}

	}



/* &<@anonymous:2203> */
	obj_t BGl_z62zc3z04anonymousza32203ze3ze5zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6485, obj_t BgL_xz00_6486, obj_t BgL_yz00_6487)
	{
		{	/* SawBbv/bbv-merge.scm 348 */
			{	/* SawBbv/bbv-merge.scm 349 */
				bool_t BgL_tmpz00_8960;

				{	/* SawBbv/bbv-merge.scm 349 */
					obj_t BgL_a1635z00_6688;

					BgL_a1635z00_6688 = CAR(((obj_t) BgL_xz00_6486));
					{	/* SawBbv/bbv-merge.scm 349 */
						obj_t BgL_b1636z00_6689;

						BgL_b1636z00_6689 = CAR(((obj_t) BgL_yz00_6487));
						{	/* SawBbv/bbv-merge.scm 349 */

							{	/* SawBbv/bbv-merge.scm 349 */
								bool_t BgL_test3535z00_8965;

								if (INTEGERP(BgL_a1635z00_6688))
									{	/* SawBbv/bbv-merge.scm 349 */
										BgL_test3535z00_8965 = INTEGERP(BgL_b1636z00_6689);
									}
								else
									{	/* SawBbv/bbv-merge.scm 349 */
										BgL_test3535z00_8965 = ((bool_t) 0);
									}
								if (BgL_test3535z00_8965)
									{	/* SawBbv/bbv-merge.scm 349 */
										BgL_tmpz00_8960 =
											(
											(long) CINT(BgL_a1635z00_6688) <=
											(long) CINT(BgL_b1636z00_6689));
									}
								else
									{	/* SawBbv/bbv-merge.scm 349 */
										BgL_tmpz00_8960 =
											BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BgL_a1635z00_6688,
											BgL_b1636z00_6689);
									}
							}
						}
					}
				}
				return BBOOL(BgL_tmpz00_8960);
			}
		}

	}



/* &<@anonymous:2173> */
	obj_t BGl_z62zc3z04anonymousza32173ze3ze5zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6488, obj_t BgL_exz00_6489, obj_t BgL_eyz00_6490)
	{
		{	/* SawBbv/bbv-merge.scm 321 */
			if (
				(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
							((BgL_bbvzd2ctxentryzd2_bglt) BgL_exz00_6489)))->BgL_polarityz00))
				{	/* SawBbv/bbv-merge.scm 327 */
					if (
						(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
									((BgL_bbvzd2ctxentryzd2_bglt) BgL_eyz00_6490)))->
							BgL_polarityz00))
						{	/* SawBbv/bbv-merge.scm 329 */
							obj_t BgL_arg2176z00_6690;
							obj_t BgL_arg2177z00_6691;

							BgL_arg2176z00_6690 =
								(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
										((BgL_bbvzd2ctxentryzd2_bglt) BgL_exz00_6489)))->
								BgL_typesz00);
							BgL_arg2177z00_6691 =
								(((BgL_bbvzd2ctxentryzd2_bglt)
									COBJECT(((BgL_bbvzd2ctxentryzd2_bglt) BgL_eyz00_6490)))->
								BgL_typesz00);
							{	/* SawBbv/bbv-merge.scm 314 */
								obj_t BgL_list2165z00_6692;

								{	/* SawBbv/bbv-merge.scm 314 */
									obj_t BgL_arg2166z00_6693;

									BgL_arg2166z00_6693 =
										MAKE_YOUNG_PAIR(BgL_arg2177z00_6691, BNIL);
									BgL_list2165z00_6692 =
										MAKE_YOUNG_PAIR(BgL_arg2176z00_6690, BgL_arg2166z00_6693);
								}
								return
									BGl_everyz00zz__r4_pairs_and_lists_6_3z00
									(BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00,
									BgL_list2165z00_6692);
							}
						}
					else
						{	/* SawBbv/bbv-merge.scm 328 */
							return BFALSE;
						}
				}
			else
				{	/* SawBbv/bbv-merge.scm 327 */
					if (
						(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
									((BgL_bbvzd2ctxentryzd2_bglt) BgL_eyz00_6490)))->
							BgL_polarityz00))
						{	/* SawBbv/bbv-merge.scm 327 */
							return BFALSE;
						}
					else
						{	/* SawBbv/bbv-merge.scm 327 */
							return BTRUE;
						}
				}
		}

	}



/* bbv-block-merge-select-strategy-score2 */
	obj_t
		BGl_bbvzd2blockzd2mergezd2selectzd2strategyzd2score2zd2zzsaw_bbvzd2mergezd2
		(obj_t BgL_bsz00_261)
	{
		{	/* SawBbv/bbv-merge.scm 379 */
			{
				obj_t BgL_xz00_2911;
				obj_t BgL_yz00_2912;
				BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_2944;
				obj_t BgL_bsz00_2968;

				{
					obj_t BgL_pbsz00_2886;

					BgL_pbsz00_2886 = BgL_bsz00_261;
				BgL_zc3z04anonymousza32211ze3z87_2887:
					if (NULLP(BgL_pbsz00_2886))
						{	/* SawBbv/bbv-merge.scm 431 */
							BgL_bsz00_2968 = BgL_bsz00_261;
							{	/* SawBbv/bbv-merge.scm 416 */
								obj_t BgL_bsz00_2970;

								{	/* SawBbv/bbv-merge.scm 416 */
									obj_t BgL_arg2259z00_2982;

									{	/* SawBbv/bbv-merge.scm 418 */
										obj_t BgL_head1663z00_2991;

										BgL_head1663z00_2991 = MAKE_YOUNG_PAIR(BNIL, BNIL);
										{
											obj_t BgL_l1661z00_2993;
											obj_t BgL_tail1664z00_2994;

											BgL_l1661z00_2993 = BgL_bsz00_2968;
											BgL_tail1664z00_2994 = BgL_head1663z00_2991;
										BgL_zc3z04anonymousza32263ze3z87_2995:
											if (NULLP(BgL_l1661z00_2993))
												{	/* SawBbv/bbv-merge.scm 418 */
													BgL_arg2259z00_2982 = CDR(BgL_head1663z00_2991);
												}
											else
												{	/* SawBbv/bbv-merge.scm 418 */
													obj_t BgL_newtail1665z00_2997;

													{	/* SawBbv/bbv-merge.scm 418 */
														obj_t BgL_arg2266z00_2999;

														{	/* SawBbv/bbv-merge.scm 418 */
															obj_t BgL_bz00_3000;

															BgL_bz00_3000 = CAR(((obj_t) BgL_l1661z00_2993));
															{	/* SawBbv/bbv-merge.scm 418 */
																obj_t BgL_arg2267z00_3001;

																{	/* SawBbv/bbv-merge.scm 413 */
																	BgL_bbvzd2ctxzd2_bglt BgL_arg2253z00_5181;

																	{
																		BgL_blocksz00_bglt BgL_auxz00_8998;

																		{
																			obj_t BgL_auxz00_8999;

																			{	/* SawBbv/bbv-merge.scm 413 */
																				BgL_objectz00_bglt BgL_tmpz00_9000;

																				BgL_tmpz00_9000 =
																					((BgL_objectz00_bglt)
																					((BgL_blockz00_bglt) BgL_bz00_3000));
																				BgL_auxz00_8999 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_9000);
																			}
																			BgL_auxz00_8998 =
																				((BgL_blocksz00_bglt) BgL_auxz00_8999);
																		}
																		BgL_arg2253z00_5181 =
																			(((BgL_blocksz00_bglt)
																				COBJECT(BgL_auxz00_8998))->BgL_ctxz00);
																	}
																	BgL_ctxz00_2944 = BgL_arg2253z00_5181;
																	{	/* SawBbv/bbv-merge.scm 409 */
																		obj_t BgL_runner2251z00_2963;

																		{	/* SawBbv/bbv-merge.scm 409 */
																			obj_t BgL_l1653z00_2947;

																			BgL_l1653z00_2947 =
																				(((BgL_bbvzd2ctxzd2_bglt)
																					COBJECT(BgL_ctxz00_2944))->
																				BgL_entriesz00);
																			if (NULLP(BgL_l1653z00_2947))
																				{	/* SawBbv/bbv-merge.scm 409 */
																					BgL_runner2251z00_2963 = BNIL;
																				}
																			else
																				{	/* SawBbv/bbv-merge.scm 409 */
																					obj_t BgL_head1655z00_2949;

																					{	/* SawBbv/bbv-merge.scm 409 */
																						obj_t BgL_arg2249z00_2961;

																						{	/* SawBbv/bbv-merge.scm 409 */
																							obj_t BgL_arg2250z00_2962;

																							BgL_arg2250z00_2962 =
																								CAR(BgL_l1653z00_2947);
																							BgL_arg2249z00_2961 =
																								BGl_entryzd2scoreze70z35zzsaw_bbvzd2mergezd2
																								(((BgL_bbvzd2ctxentryzd2_bglt)
																									BgL_arg2250z00_2962));
																						}
																						BgL_head1655z00_2949 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg2249z00_2961, BNIL);
																					}
																					{	/* SawBbv/bbv-merge.scm 409 */
																						obj_t BgL_g1658z00_2950;

																						BgL_g1658z00_2950 =
																							CDR(BgL_l1653z00_2947);
																						{
																							obj_t BgL_l1653z00_2952;
																							obj_t BgL_tail1656z00_2953;

																							BgL_l1653z00_2952 =
																								BgL_g1658z00_2950;
																							BgL_tail1656z00_2953 =
																								BgL_head1655z00_2949;
																						BgL_zc3z04anonymousza32244ze3z87_2954:
																							if (NULLP
																								(BgL_l1653z00_2952))
																								{	/* SawBbv/bbv-merge.scm 409 */
																									BgL_runner2251z00_2963 =
																										BgL_head1655z00_2949;
																								}
																							else
																								{	/* SawBbv/bbv-merge.scm 409 */
																									obj_t BgL_newtail1657z00_2956;

																									{	/* SawBbv/bbv-merge.scm 409 */
																										obj_t BgL_arg2247z00_2958;

																										{	/* SawBbv/bbv-merge.scm 409 */
																											obj_t BgL_arg2248z00_2959;

																											BgL_arg2248z00_2959 =
																												CAR(
																												((obj_t)
																													BgL_l1653z00_2952));
																											BgL_arg2247z00_2958 =
																												BGl_entryzd2scoreze70z35zzsaw_bbvzd2mergezd2
																												(((BgL_bbvzd2ctxentryzd2_bglt) BgL_arg2248z00_2959));
																										}
																										BgL_newtail1657z00_2956 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg2247z00_2958,
																											BNIL);
																									}
																									SET_CDR(BgL_tail1656z00_2953,
																										BgL_newtail1657z00_2956);
																									{	/* SawBbv/bbv-merge.scm 409 */
																										obj_t BgL_arg2246z00_2957;

																										BgL_arg2246z00_2957 =
																											CDR(
																											((obj_t)
																												BgL_l1653z00_2952));
																										{
																											obj_t
																												BgL_tail1656z00_9025;
																											obj_t BgL_l1653z00_9024;

																											BgL_l1653z00_9024 =
																												BgL_arg2246z00_2957;
																											BgL_tail1656z00_9025 =
																												BgL_newtail1657z00_2956;
																											BgL_tail1656z00_2953 =
																												BgL_tail1656z00_9025;
																											BgL_l1653z00_2952 =
																												BgL_l1653z00_9024;
																											goto
																												BgL_zc3z04anonymousza32244ze3z87_2954;
																										}
																									}
																								}
																						}
																					}
																				}
																		}
																		BgL_arg2267z00_3001 =
																			BGl_zb2zb2zz__r4_numbers_6_5z00
																			(BgL_runner2251z00_2963);
																	}
																}
																BgL_arg2266z00_2999 =
																	MAKE_YOUNG_PAIR(BgL_arg2267z00_3001,
																	BgL_bz00_3000);
															}
														}
														BgL_newtail1665z00_2997 =
															MAKE_YOUNG_PAIR(BgL_arg2266z00_2999, BNIL);
													}
													SET_CDR(BgL_tail1664z00_2994,
														BgL_newtail1665z00_2997);
													{	/* SawBbv/bbv-merge.scm 418 */
														obj_t BgL_arg2265z00_2998;

														BgL_arg2265z00_2998 =
															CDR(((obj_t) BgL_l1661z00_2993));
														{
															obj_t BgL_tail1664z00_9033;
															obj_t BgL_l1661z00_9032;

															BgL_l1661z00_9032 = BgL_arg2265z00_2998;
															BgL_tail1664z00_9033 = BgL_newtail1665z00_2997;
															BgL_tail1664z00_2994 = BgL_tail1664z00_9033;
															BgL_l1661z00_2993 = BgL_l1661z00_9032;
															goto BgL_zc3z04anonymousza32263ze3z87_2995;
														}
													}
												}
										}
									}
									BgL_bsz00_2970 =
										BGl_sortz00zz__r4_vectors_6_8z00
										(BGl_proc3244z00zzsaw_bbvzd2mergezd2, BgL_arg2259z00_2982);
								}
								{	/* SawBbv/bbv-merge.scm 427 */
									obj_t BgL_val0_1668z00_2979;
									obj_t BgL_val1_1669z00_2980;

									{	/* SawBbv/bbv-merge.scm 427 */
										obj_t BgL_pairz00_5195;

										BgL_pairz00_5195 = CAR(((obj_t) BgL_bsz00_2970));
										BgL_val0_1668z00_2979 = CDR(BgL_pairz00_5195);
									}
									{	/* SawBbv/bbv-merge.scm 427 */
										obj_t BgL_pairz00_5201;

										{	/* SawBbv/bbv-merge.scm 427 */
											obj_t BgL_pairz00_5200;

											BgL_pairz00_5200 = CDR(((obj_t) BgL_bsz00_2970));
											BgL_pairz00_5201 = CAR(BgL_pairz00_5200);
										}
										BgL_val1_1669z00_2980 = CDR(BgL_pairz00_5201);
									}
									{	/* SawBbv/bbv-merge.scm 427 */
										int BgL_tmpz00_9042;

										BgL_tmpz00_9042 = (int) (2L);
										BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9042);
									}
									{	/* SawBbv/bbv-merge.scm 427 */
										int BgL_tmpz00_9045;

										BgL_tmpz00_9045 = (int) (1L);
										BGL_MVALUES_VAL_SET(BgL_tmpz00_9045, BgL_val1_1669z00_2980);
									}
									return BgL_val0_1668z00_2979;
								}
							}
						}
					else
						{	/* SawBbv/bbv-merge.scm 433 */
							obj_t BgL_sbz00_2889;

							{	/* SawBbv/bbv-merge.scm 433 */
								obj_t BgL_g1672z00_2893;

								BgL_g1672z00_2893 = CDR(((obj_t) BgL_pbsz00_2886));
								{
									obj_t BgL_list1671z00_2895;

									BgL_list1671z00_2895 = BgL_g1672z00_2893;
								BgL_zc3z04anonymousza32214ze3z87_2896:
									if (PAIRP(BgL_list1671z00_2895))
										{	/* SawBbv/bbv-merge.scm 435 */
											bool_t BgL_test3545z00_9052;

											{	/* SawBbv/bbv-merge.scm 434 */
												obj_t BgL_bz00_2902;

												BgL_bz00_2902 = CAR(BgL_list1671z00_2895);
												{	/* SawBbv/bbv-merge.scm 434 */
													obj_t BgL_arg2219z00_2903;

													BgL_arg2219z00_2903 = CAR(((obj_t) BgL_pbsz00_2886));
													{	/* SawBbv/bbv-merge.scm 434 */
														obj_t BgL_tmpz00_9056;

														BgL_xz00_2911 = BgL_arg2219z00_2903;
														BgL_yz00_2912 = BgL_bz00_2902;
														{	/* SawBbv/bbv-merge.scm 387 */
															BgL_bbvzd2ctxzd2_bglt BgL_i1225z00_2916;

															{
																BgL_blocksz00_bglt BgL_auxz00_9057;

																{
																	obj_t BgL_auxz00_9058;

																	{	/* SawBbv/bbv-merge.scm 388 */
																		BgL_objectz00_bglt BgL_tmpz00_9059;

																		BgL_tmpz00_9059 =
																			((BgL_objectz00_bglt)
																			((BgL_blockz00_bglt) BgL_xz00_2911));
																		BgL_auxz00_9058 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_9059);
																	}
																	BgL_auxz00_9057 =
																		((BgL_blocksz00_bglt) BgL_auxz00_9058);
																}
																BgL_i1225z00_2916 =
																	(((BgL_blocksz00_bglt)
																		COBJECT(BgL_auxz00_9057))->BgL_ctxz00);
															}
															{	/* SawBbv/bbv-merge.scm 388 */
																BgL_bbvzd2ctxzd2_bglt BgL_i1226z00_2917;

																{
																	BgL_blocksz00_bglt BgL_auxz00_9065;

																	{
																		obj_t BgL_auxz00_9066;

																		{	/* SawBbv/bbv-merge.scm 389 */
																			BgL_objectz00_bglt BgL_tmpz00_9067;

																			BgL_tmpz00_9067 =
																				((BgL_objectz00_bglt)
																				((BgL_blockz00_bglt) BgL_yz00_2912));
																			BgL_auxz00_9066 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_9067);
																		}
																		BgL_auxz00_9065 =
																			((BgL_blocksz00_bglt) BgL_auxz00_9066);
																	}
																	BgL_i1226z00_2917 =
																		(((BgL_blocksz00_bglt)
																			COBJECT(BgL_auxz00_9065))->BgL_ctxz00);
																}
																{	/* SawBbv/bbv-merge.scm 389 */
																	obj_t BgL_arg2225z00_2919;
																	obj_t BgL_arg2226z00_2920;

																	BgL_arg2225z00_2919 =
																		(((BgL_bbvzd2ctxzd2_bglt)
																			COBJECT(BgL_i1225z00_2916))->
																		BgL_entriesz00);
																	BgL_arg2226z00_2920 =
																		(((BgL_bbvzd2ctxzd2_bglt)
																			COBJECT(BgL_i1226z00_2917))->
																		BgL_entriesz00);
																	{	/* SawBbv/bbv-merge.scm 389 */
																		obj_t BgL_list2227z00_2921;

																		{	/* SawBbv/bbv-merge.scm 389 */
																			obj_t BgL_arg2228z00_2922;

																			BgL_arg2228z00_2922 =
																				MAKE_YOUNG_PAIR(BgL_arg2226z00_2920,
																				BNIL);
																			BgL_list2227z00_2921 =
																				MAKE_YOUNG_PAIR(BgL_arg2225z00_2919,
																				BgL_arg2228z00_2922);
																		}
																		BgL_tmpz00_9056 =
																			BGl_everyz00zz__r4_pairs_and_lists_6_3z00
																			(BGl_proc3245z00zzsaw_bbvzd2mergezd2,
																			BgL_list2227z00_2921);
																	}
																}
															}
														}
														BgL_test3545z00_9052 = CBOOL(BgL_tmpz00_9056);
													}
												}
											}
											if (BgL_test3545z00_9052)
												{	/* SawBbv/bbv-merge.scm 435 */
													BgL_sbz00_2889 = CAR(BgL_list1671z00_2895);
												}
											else
												{
													obj_t BgL_list1671z00_9080;

													BgL_list1671z00_9080 = CDR(BgL_list1671z00_2895);
													BgL_list1671z00_2895 = BgL_list1671z00_9080;
													goto BgL_zc3z04anonymousza32214ze3z87_2896;
												}
										}
									else
										{	/* SawBbv/bbv-merge.scm 435 */
											BgL_sbz00_2889 = BFALSE;
										}
								}
							}
							if (CBOOL(BgL_sbz00_2889))
								{	/* SawBbv/bbv-merge.scm 441 */
									obj_t BgL_val0_1673z00_2890;

									BgL_val0_1673z00_2890 = CAR(((obj_t) BgL_pbsz00_2886));
									{	/* SawBbv/bbv-merge.scm 441 */
										int BgL_tmpz00_9086;

										BgL_tmpz00_9086 = (int) (2L);
										BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9086);
									}
									{	/* SawBbv/bbv-merge.scm 441 */
										int BgL_tmpz00_9089;

										BgL_tmpz00_9089 = (int) (1L);
										BGL_MVALUES_VAL_SET(BgL_tmpz00_9089, BgL_sbz00_2889);
									}
									return BgL_val0_1673z00_2890;
								}
							else
								{	/* SawBbv/bbv-merge.scm 442 */
									obj_t BgL_arg2213z00_2892;

									BgL_arg2213z00_2892 = CDR(((obj_t) BgL_pbsz00_2886));
									{
										obj_t BgL_pbsz00_9094;

										BgL_pbsz00_9094 = BgL_arg2213z00_2892;
										BgL_pbsz00_2886 = BgL_pbsz00_9094;
										goto BgL_zc3z04anonymousza32211ze3z87_2887;
									}
								}
						}
				}
			}
		}

	}



/* entry-score~0 */
	obj_t BGl_entryzd2scoreze70z35zzsaw_bbvzd2mergezd2(BgL_bbvzd2ctxentryzd2_bglt
		BgL_ez00_2934)
	{
		{	/* SawBbv/bbv-merge.scm 405 */
			if (
				(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_ez00_2934))->
					BgL_polarityz00))
				{	/* SawBbv/bbv-merge.scm 404 */
					bool_t BgL_test3548z00_9097;

					{	/* SawBbv/bbv-merge.scm 404 */
						obj_t BgL_arg2241z00_2943;

						BgL_arg2241z00_2943 =
							(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_ez00_2934))->
							BgL_typesz00);
						BgL_test3548z00_9097 =
							CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
							(BGl_za2objza2z00zztype_cachez00, BgL_arg2241z00_2943));
					}
					if (BgL_test3548z00_9097)
						{	/* SawBbv/bbv-merge.scm 404 */
							return BINT(0L);
						}
					else
						{	/* SawBbv/bbv-merge.scm 405 */
							long BgL_a1651z00_2940;

							BgL_a1651z00_2940 =
								(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_ez00_2934))->
								BgL_countz00);
							{	/* SawBbv/bbv-merge.scm 405 */
								long BgL_b1652z00_2941;

								BgL_b1652z00_2941 =
									(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_ez00_2934))->
									BgL_countz00);
								{	/* SawBbv/bbv-merge.scm 405 */

									{	/* SawBbv/bbv-merge.scm 405 */
										obj_t BgL_za71za7_5159;
										obj_t BgL_za72za7_5160;

										BgL_za71za7_5159 = BINT(BgL_a1651z00_2940);
										BgL_za72za7_5160 = BINT(BgL_b1652z00_2941);
										{	/* SawBbv/bbv-merge.scm 405 */
											obj_t BgL_tmpz00_5161;

											BgL_tmpz00_5161 = BINT(0L);
											if (BGL_MULFX_OV(BgL_za71za7_5159, BgL_za72za7_5160,
													BgL_tmpz00_5161))
												{	/* SawBbv/bbv-merge.scm 405 */
													return
														bgl_bignum_mul(bgl_long_to_bignum(
															(long) CINT(BgL_za71za7_5159)),
														bgl_long_to_bignum((long) CINT(BgL_za72za7_5160)));
												}
											else
												{	/* SawBbv/bbv-merge.scm 405 */
													return BgL_tmpz00_5161;
												}
										}
									}
								}
							}
						}
				}
			else
				{	/* SawBbv/bbv-merge.scm 403 */
					return BINT(1L);
				}
		}

	}



/* &<@anonymous:2260> */
	obj_t BGl_z62zc3z04anonymousza32260ze3ze5zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6493, obj_t BgL_xz00_6494, obj_t BgL_yz00_6495)
	{
		{	/* SawBbv/bbv-merge.scm 416 */
			{	/* SawBbv/bbv-merge.scm 417 */
				bool_t BgL_tmpz00_9115;

				{	/* SawBbv/bbv-merge.scm 417 */
					obj_t BgL_a1659z00_6694;

					BgL_a1659z00_6694 = CAR(((obj_t) BgL_xz00_6494));
					{	/* SawBbv/bbv-merge.scm 417 */
						obj_t BgL_b1660z00_6695;

						BgL_b1660z00_6695 = CAR(((obj_t) BgL_yz00_6495));
						{	/* SawBbv/bbv-merge.scm 417 */

							{	/* SawBbv/bbv-merge.scm 417 */
								bool_t BgL_test3550z00_9120;

								if (INTEGERP(BgL_a1659z00_6694))
									{	/* SawBbv/bbv-merge.scm 417 */
										BgL_test3550z00_9120 = INTEGERP(BgL_b1660z00_6695);
									}
								else
									{	/* SawBbv/bbv-merge.scm 417 */
										BgL_test3550z00_9120 = ((bool_t) 0);
									}
								if (BgL_test3550z00_9120)
									{	/* SawBbv/bbv-merge.scm 417 */
										BgL_tmpz00_9115 =
											(
											(long) CINT(BgL_a1659z00_6694) <=
											(long) CINT(BgL_b1660z00_6695));
									}
								else
									{	/* SawBbv/bbv-merge.scm 417 */
										BgL_tmpz00_9115 =
											BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BgL_a1659z00_6694,
											BgL_b1660z00_6695);
									}
							}
						}
					}
				}
				return BBOOL(BgL_tmpz00_9115);
			}
		}

	}



/* &<@anonymous:2229> */
	obj_t BGl_z62zc3z04anonymousza32229ze3ze5zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6496, obj_t BgL_exz00_6497, obj_t BgL_eyz00_6498)
	{
		{	/* SawBbv/bbv-merge.scm 389 */
			if (
				(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
							((BgL_bbvzd2ctxentryzd2_bglt) BgL_exz00_6497)))->BgL_polarityz00))
				{	/* SawBbv/bbv-merge.scm 395 */
					if (
						(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
									((BgL_bbvzd2ctxentryzd2_bglt) BgL_eyz00_6498)))->
							BgL_polarityz00))
						{	/* SawBbv/bbv-merge.scm 397 */
							obj_t BgL_arg2233z00_6696;
							obj_t BgL_arg2234z00_6697;

							BgL_arg2233z00_6696 =
								(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
										((BgL_bbvzd2ctxentryzd2_bglt) BgL_exz00_6497)))->
								BgL_typesz00);
							BgL_arg2234z00_6697 =
								(((BgL_bbvzd2ctxentryzd2_bglt)
									COBJECT(((BgL_bbvzd2ctxentryzd2_bglt) BgL_eyz00_6498)))->
								BgL_typesz00);
							{	/* SawBbv/bbv-merge.scm 382 */
								obj_t BgL_list2221z00_6698;

								{	/* SawBbv/bbv-merge.scm 382 */
									obj_t BgL_arg2222z00_6699;

									BgL_arg2222z00_6699 =
										MAKE_YOUNG_PAIR(BgL_arg2234z00_6697, BNIL);
									BgL_list2221z00_6698 =
										MAKE_YOUNG_PAIR(BgL_arg2233z00_6696, BgL_arg2222z00_6699);
								}
								return
									BGl_everyz00zz__r4_pairs_and_lists_6_3z00
									(BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00,
									BgL_list2221z00_6698);
							}
						}
					else
						{	/* SawBbv/bbv-merge.scm 396 */
							return BFALSE;
						}
				}
			else
				{	/* SawBbv/bbv-merge.scm 395 */
					if (
						(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
									((BgL_bbvzd2ctxentryzd2_bglt) BgL_eyz00_6498)))->
							BgL_polarityz00))
						{	/* SawBbv/bbv-merge.scm 395 */
							return BFALSE;
						}
					else
						{	/* SawBbv/bbv-merge.scm 395 */
							return BTRUE;
						}
				}
		}

	}



/* bbv-block-merge-select-strategy-nearobj */
	obj_t
		BGl_bbvzd2blockzd2mergezd2selectzd2strategyzd2nearobjzd2zzsaw_bbvzd2mergezd2
		(obj_t BgL_bsz00_262)
	{
		{	/* SawBbv/bbv-merge.scm 451 */
			{
				BgL_blockz00_bglt BgL_bz00_3085;
				BgL_blockz00_bglt BgL_bz00_3066;

				{	/* SawBbv/bbv-merge.scm 476 */
					obj_t BgL_bnbz00_3019;

					{	/* SawBbv/bbv-merge.scm 476 */
						obj_t BgL_hook1689z00_3052;

						BgL_hook1689z00_3052 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
						{
							obj_t BgL_l1686z00_3054;
							obj_t BgL_h1687z00_3055;

							BgL_l1686z00_3054 = BgL_bsz00_262;
							BgL_h1687z00_3055 = BgL_hook1689z00_3052;
						BgL_zc3z04anonymousza32289ze3z87_3056:
							if (NULLP(BgL_l1686z00_3054))
								{	/* SawBbv/bbv-merge.scm 476 */
									BgL_bnbz00_3019 = CDR(BgL_hook1689z00_3052);
								}
							else
								{	/* SawBbv/bbv-merge.scm 476 */
									bool_t BgL_test3556z00_9149;

									BgL_bz00_3066 =
										((BgL_blockz00_bglt) CAR(((obj_t) BgL_l1686z00_3054)));
									{	/* SawBbv/bbv-merge.scm 455 */
										BgL_bbvzd2ctxzd2_bglt BgL_i1234z00_3069;

										{
											BgL_blocksz00_bglt BgL_auxz00_9150;

											{
												obj_t BgL_auxz00_9151;

												{	/* SawBbv/bbv-merge.scm 456 */
													BgL_objectz00_bglt BgL_tmpz00_9152;

													BgL_tmpz00_9152 =
														((BgL_objectz00_bglt) BgL_bz00_3066);
													BgL_auxz00_9151 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_9152);
												}
												BgL_auxz00_9150 =
													((BgL_blocksz00_bglt) BgL_auxz00_9151);
											}
											BgL_i1234z00_3069 =
												(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_9150))->
												BgL_ctxz00);
										}
										{
											obj_t BgL_l1675z00_3072;

											BgL_l1675z00_3072 =
												(((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_i1234z00_3069))->
												BgL_entriesz00);
										BgL_zc3z04anonymousza32300ze3z87_3073:
											if (NULLP(BgL_l1675z00_3072))
												{	/* SawBbv/bbv-merge.scm 456 */
													BgL_test3556z00_9149 = ((bool_t) 1);
												}
											else
												{	/* SawBbv/bbv-merge.scm 456 */
													bool_t BgL_test3558z00_9159;

													{	/* SawBbv/bbv-merge.scm 457 */
														BgL_bbvzd2ctxentryzd2_bglt BgL_ez00_3078;

														BgL_ez00_3078 =
															((BgL_bbvzd2ctxentryzd2_bglt)
															CAR(((obj_t) BgL_l1675z00_3072)));
														{	/* SawBbv/bbv-merge.scm 458 */
															bool_t BgL__ortest_1236z00_3080;

															{	/* SawBbv/bbv-merge.scm 458 */
																obj_t BgL_arg2305z00_3082;

																BgL_arg2305z00_3082 =
																	CAR(
																	(((BgL_bbvzd2ctxentryzd2_bglt)
																			COBJECT(BgL_ez00_3078))->BgL_typesz00));
																BgL__ortest_1236z00_3080 =
																	(BgL_arg2305z00_3082 ==
																	BGl_za2objza2z00zztype_cachez00);
															}
															if (BgL__ortest_1236z00_3080)
																{	/* SawBbv/bbv-merge.scm 458 */
																	BgL_test3558z00_9159 =
																		BgL__ortest_1236z00_3080;
																}
															else
																{	/* SawBbv/bbv-merge.scm 458 */
																	if (
																		(((BgL_bbvzd2ctxentryzd2_bglt)
																				COBJECT(BgL_ez00_3078))->
																			BgL_polarityz00))
																		{	/* SawBbv/bbv-merge.scm 458 */
																			BgL_test3558z00_9159 = ((bool_t) 0);
																		}
																	else
																		{	/* SawBbv/bbv-merge.scm 458 */
																			BgL_test3558z00_9159 = ((bool_t) 1);
																		}
																}
														}
													}
													if (BgL_test3558z00_9159)
														{
															obj_t BgL_l1675z00_9169;

															BgL_l1675z00_9169 =
																CDR(((obj_t) BgL_l1675z00_3072));
															BgL_l1675z00_3072 = BgL_l1675z00_9169;
															goto BgL_zc3z04anonymousza32300ze3z87_3073;
														}
													else
														{	/* SawBbv/bbv-merge.scm 456 */
															BgL_test3556z00_9149 = ((bool_t) 0);
														}
												}
										}
									}
									if (BgL_test3556z00_9149)
										{	/* SawBbv/bbv-merge.scm 476 */
											obj_t BgL_nh1688z00_3060;

											{	/* SawBbv/bbv-merge.scm 476 */
												obj_t BgL_arg2294z00_3062;

												BgL_arg2294z00_3062 = CAR(((obj_t) BgL_l1686z00_3054));
												BgL_nh1688z00_3060 =
													MAKE_YOUNG_PAIR(BgL_arg2294z00_3062, BNIL);
											}
											SET_CDR(BgL_h1687z00_3055, BgL_nh1688z00_3060);
											{	/* SawBbv/bbv-merge.scm 476 */
												obj_t BgL_arg2293z00_3061;

												BgL_arg2293z00_3061 = CDR(((obj_t) BgL_l1686z00_3054));
												{
													obj_t BgL_h1687z00_9183;
													obj_t BgL_l1686z00_9182;

													BgL_l1686z00_9182 = BgL_arg2293z00_3061;
													BgL_h1687z00_9183 = BgL_nh1688z00_3060;
													BgL_h1687z00_3055 = BgL_h1687z00_9183;
													BgL_l1686z00_3054 = BgL_l1686z00_9182;
													goto BgL_zc3z04anonymousza32289ze3z87_3056;
												}
											}
										}
									else
										{	/* SawBbv/bbv-merge.scm 476 */
											obj_t BgL_arg2295z00_3063;

											BgL_arg2295z00_3063 = CDR(((obj_t) BgL_l1686z00_3054));
											{
												obj_t BgL_l1686z00_9186;

												BgL_l1686z00_9186 = BgL_arg2295z00_3063;
												BgL_l1686z00_3054 = BgL_l1686z00_9186;
												goto BgL_zc3z04anonymousza32289ze3z87_3056;
											}
										}
								}
						}
					}
					{	/* SawBbv/bbv-merge.scm 477 */
						bool_t BgL_test3561z00_9187;

						if (PAIRP(BgL_bnbz00_3019))
							{	/* SawBbv/bbv-merge.scm 477 */
								obj_t BgL_tmpz00_9190;

								BgL_tmpz00_9190 = CDR(BgL_bnbz00_3019);
								BgL_test3561z00_9187 = PAIRP(BgL_tmpz00_9190);
							}
						else
							{	/* SawBbv/bbv-merge.scm 477 */
								BgL_test3561z00_9187 = ((bool_t) 0);
							}
						if (BgL_test3561z00_9187)
							{	/* SawBbv/bbv-merge.scm 478 */
								obj_t BgL_fbz00_3023;

								{
									obj_t BgL_list1691z00_3042;

									BgL_list1691z00_3042 = BgL_bsz00_262;
								BgL_zc3z04anonymousza32282ze3z87_3043:
									if (PAIRP(BgL_list1691z00_3042))
										{	/* SawBbv/bbv-merge.scm 478 */
											bool_t BgL_test3564z00_9195;

											BgL_bz00_3085 =
												((BgL_blockz00_bglt) CAR(BgL_list1691z00_3042));
											{	/* SawBbv/bbv-merge.scm 463 */
												BgL_bbvzd2ctxzd2_bglt BgL_i1238z00_3088;

												{
													BgL_blocksz00_bglt BgL_auxz00_9196;

													{
														obj_t BgL_auxz00_9197;

														{	/* SawBbv/bbv-merge.scm 464 */
															BgL_objectz00_bglt BgL_tmpz00_9198;

															BgL_tmpz00_9198 =
																((BgL_objectz00_bglt) BgL_bz00_3085);
															BgL_auxz00_9197 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_9198);
														}
														BgL_auxz00_9196 =
															((BgL_blocksz00_bglt) BgL_auxz00_9197);
													}
													BgL_i1238z00_3088 =
														(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_9196))->
														BgL_ctxz00);
												}
												{
													obj_t BgL_l1679z00_3091;

													BgL_l1679z00_3091 =
														(((BgL_bbvzd2ctxzd2_bglt)
															COBJECT(BgL_i1238z00_3088))->BgL_entriesz00);
												BgL_zc3z04anonymousza32309ze3z87_3092:
													if (NULLP(BgL_l1679z00_3091))
														{	/* SawBbv/bbv-merge.scm 464 */
															BgL_test3564z00_9195 = ((bool_t) 1);
														}
													else
														{	/* SawBbv/bbv-merge.scm 464 */
															bool_t BgL_test3566z00_9205;

															{	/* SawBbv/bbv-merge.scm 465 */
																BgL_bbvzd2ctxentryzd2_bglt BgL_ez00_3097;

																BgL_ez00_3097 =
																	((BgL_bbvzd2ctxentryzd2_bglt)
																	CAR(((obj_t) BgL_l1679z00_3091)));
																{	/* SawBbv/bbv-merge.scm 466 */
																	obj_t BgL_arg2313z00_3099;

																	BgL_arg2313z00_3099 =
																		CAR(
																		(((BgL_bbvzd2ctxentryzd2_bglt)
																				COBJECT(BgL_ez00_3097))->BgL_typesz00));
																	BgL_test3566z00_9205 =
																		(BgL_arg2313z00_3099 ==
																		BGl_za2objza2z00zztype_cachez00);
																}
															}
															if (BgL_test3566z00_9205)
																{
																	obj_t BgL_l1679z00_9212;

																	BgL_l1679z00_9212 =
																		CDR(((obj_t) BgL_l1679z00_3091));
																	BgL_l1679z00_3091 = BgL_l1679z00_9212;
																	goto BgL_zc3z04anonymousza32309ze3z87_3092;
																}
															else
																{	/* SawBbv/bbv-merge.scm 464 */
																	BgL_test3564z00_9195 = ((bool_t) 0);
																}
														}
												}
											}
											if (BgL_test3564z00_9195)
												{	/* SawBbv/bbv-merge.scm 478 */
													BgL_fbz00_3023 = CAR(BgL_list1691z00_3042);
												}
											else
												{
													obj_t BgL_list1691z00_9219;

													BgL_list1691z00_9219 = CDR(BgL_list1691z00_3042);
													BgL_list1691z00_3042 = BgL_list1691z00_9219;
													goto BgL_zc3z04anonymousza32282ze3z87_3043;
												}
										}
									else
										{	/* SawBbv/bbv-merge.scm 478 */
											BgL_fbz00_3023 = BFALSE;
										}
								}
								if (CBOOL(BgL_fbz00_3023))
									{	/* SawBbv/bbv-merge.scm 481 */
										obj_t BgL_nfbz00_3024;

										{
											obj_t BgL_list1693z00_3028;

											BgL_list1693z00_3028 = BgL_bnbz00_3019;
										BgL_zc3z04anonymousza32274ze3z87_3029:
											if (PAIRP(BgL_list1693z00_3028))
												{	/* SawBbv/bbv-merge.scm 481 */
													bool_t BgL_test3569z00_9225;

													if ((CAR(BgL_list1693z00_3028) == BgL_fbz00_3023))
														{	/* SawBbv/bbv-merge.scm 481 */
															BgL_test3569z00_9225 = ((bool_t) 0);
														}
													else
														{	/* SawBbv/bbv-merge.scm 481 */
															BgL_test3569z00_9225 = ((bool_t) 1);
														}
													if (BgL_test3569z00_9225)
														{	/* SawBbv/bbv-merge.scm 481 */
															BgL_nfbz00_3024 = CAR(BgL_list1693z00_3028);
														}
													else
														{
															obj_t BgL_list1693z00_9230;

															BgL_list1693z00_9230 = CDR(BgL_list1693z00_3028);
															BgL_list1693z00_3028 = BgL_list1693z00_9230;
															goto BgL_zc3z04anonymousza32274ze3z87_3029;
														}
												}
											else
												{	/* SawBbv/bbv-merge.scm 481 */
													BgL_nfbz00_3024 = BFALSE;
												}
										}
										{	/* SawBbv/bbv-merge.scm 485 */
											int BgL_tmpz00_9232;

											BgL_tmpz00_9232 = (int) (2L);
											BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9232);
										}
										{	/* SawBbv/bbv-merge.scm 485 */
											int BgL_tmpz00_9235;

											BgL_tmpz00_9235 = (int) (1L);
											BGL_MVALUES_VAL_SET(BgL_tmpz00_9235, BgL_fbz00_3023);
										}
										return BgL_nfbz00_3024;
									}
								else
									{	/* SawBbv/bbv-merge.scm 486 */
										bool_t BgL_test3571z00_9238;

										{	/* SawBbv/bbv-merge.scm 486 */
											obj_t BgL_tmpz00_9239;

											BgL_tmpz00_9239 = CDR(BgL_bnbz00_3019);
											BgL_test3571z00_9238 = PAIRP(BgL_tmpz00_9239);
										}
										if (BgL_test3571z00_9238)
											{	/* SawBbv/bbv-merge.scm 490 */
												obj_t BgL_val0_1696z00_3038;
												obj_t BgL_val1_1697z00_3039;

												BgL_val0_1696z00_3038 = CAR(BgL_bnbz00_3019);
												BgL_val1_1697z00_3039 = CAR(CDR(BgL_bnbz00_3019));
												{	/* SawBbv/bbv-merge.scm 490 */
													int BgL_tmpz00_9245;

													BgL_tmpz00_9245 = (int) (2L);
													BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9245);
												}
												{	/* SawBbv/bbv-merge.scm 490 */
													int BgL_tmpz00_9248;

													BgL_tmpz00_9248 = (int) (1L);
													BGL_MVALUES_VAL_SET(BgL_tmpz00_9248,
														BgL_val1_1697z00_3039);
												}
												return BgL_val0_1696z00_3038;
											}
										else
											{	/* SawBbv/bbv-merge.scm 486 */
												BGL_TAIL return
													BGl_bbvzd2blockzd2mergezd2selectzd2strategyzd2samepositivezd2zzsaw_bbvzd2mergezd2
													(BgL_bsz00_262);
											}
									}
							}
						else
							{	/* SawBbv/bbv-merge.scm 477 */
								BGL_TAIL return
									BGl_bbvzd2blockzd2mergezd2selectzd2strategyzd2samepositivezd2zzsaw_bbvzd2mergezd2
									(BgL_bsz00_262);
							}
					}
				}
			}
		}

	}



/* bbv-block-merge-select-strategy-samepositive */
	obj_t
		BGl_bbvzd2blockzd2mergezd2selectzd2strategyzd2samepositivezd2zzsaw_bbvzd2mergezd2
		(obj_t BgL_bsz00_263)
	{
		{	/* SawBbv/bbv-merge.scm 501 */
			{
				obj_t BgL_xz00_3132;
				obj_t BgL_yz00_3133;

				{
					obj_t BgL_pbsz00_3107;

					BgL_pbsz00_3107 = BgL_bsz00_263;
				BgL_zc3z04anonymousza32315ze3z87_3108:
					if (NULLP(BgL_pbsz00_3107))
						{	/* SawBbv/bbv-merge.scm 524 */
							BGL_TAIL return
								BGl_bbvzd2blockzd2mergezd2selectzd2strategyzd2nearnegativezd2zzsaw_bbvzd2mergezd2
								(BgL_bsz00_263);
						}
					else
						{	/* SawBbv/bbv-merge.scm 526 */
							obj_t BgL_sbz00_3110;

							{	/* SawBbv/bbv-merge.scm 526 */
								obj_t BgL_g1700z00_3114;

								BgL_g1700z00_3114 = CDR(((obj_t) BgL_pbsz00_3107));
								{
									obj_t BgL_list1699z00_3116;

									BgL_list1699z00_3116 = BgL_g1700z00_3114;
								BgL_zc3z04anonymousza32319ze3z87_3117:
									if (PAIRP(BgL_list1699z00_3116))
										{	/* SawBbv/bbv-merge.scm 528 */
											bool_t BgL_test3574z00_9260;

											{	/* SawBbv/bbv-merge.scm 527 */
												obj_t BgL_bz00_3123;

												BgL_bz00_3123 = CAR(BgL_list1699z00_3116);
												{	/* SawBbv/bbv-merge.scm 527 */
													obj_t BgL_arg2324z00_3124;

													BgL_arg2324z00_3124 = CAR(((obj_t) BgL_pbsz00_3107));
													{	/* SawBbv/bbv-merge.scm 527 */
														obj_t BgL_tmpz00_9264;

														BgL_xz00_3132 = BgL_arg2324z00_3124;
														BgL_yz00_3133 = BgL_bz00_3123;
														{	/* SawBbv/bbv-merge.scm 509 */
															BgL_bbvzd2ctxzd2_bglt BgL_i1242z00_3137;

															{
																BgL_blocksz00_bglt BgL_auxz00_9265;

																{
																	obj_t BgL_auxz00_9266;

																	{	/* SawBbv/bbv-merge.scm 510 */
																		BgL_objectz00_bglt BgL_tmpz00_9267;

																		BgL_tmpz00_9267 =
																			((BgL_objectz00_bglt)
																			((BgL_blockz00_bglt) BgL_xz00_3132));
																		BgL_auxz00_9266 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_9267);
																	}
																	BgL_auxz00_9265 =
																		((BgL_blocksz00_bglt) BgL_auxz00_9266);
																}
																BgL_i1242z00_3137 =
																	(((BgL_blocksz00_bglt)
																		COBJECT(BgL_auxz00_9265))->BgL_ctxz00);
															}
															{	/* SawBbv/bbv-merge.scm 510 */
																BgL_bbvzd2ctxzd2_bglt BgL_i1243z00_3138;

																{
																	BgL_blocksz00_bglt BgL_auxz00_9273;

																	{
																		obj_t BgL_auxz00_9274;

																		{	/* SawBbv/bbv-merge.scm 511 */
																			BgL_objectz00_bglt BgL_tmpz00_9275;

																			BgL_tmpz00_9275 =
																				((BgL_objectz00_bglt)
																				((BgL_blockz00_bglt) BgL_yz00_3133));
																			BgL_auxz00_9274 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_9275);
																		}
																		BgL_auxz00_9273 =
																			((BgL_blocksz00_bglt) BgL_auxz00_9274);
																	}
																	BgL_i1243z00_3138 =
																		(((BgL_blocksz00_bglt)
																			COBJECT(BgL_auxz00_9273))->BgL_ctxz00);
																}
																{	/* SawBbv/bbv-merge.scm 511 */
																	obj_t BgL_arg2331z00_3140;
																	obj_t BgL_arg2334z00_3141;

																	BgL_arg2331z00_3140 =
																		(((BgL_bbvzd2ctxzd2_bglt)
																			COBJECT(BgL_i1242z00_3137))->
																		BgL_entriesz00);
																	BgL_arg2334z00_3141 =
																		(((BgL_bbvzd2ctxzd2_bglt)
																			COBJECT(BgL_i1243z00_3138))->
																		BgL_entriesz00);
																	{	/* SawBbv/bbv-merge.scm 511 */
																		obj_t BgL_list2335z00_3142;

																		{	/* SawBbv/bbv-merge.scm 511 */
																			obj_t BgL_arg2336z00_3143;

																			BgL_arg2336z00_3143 =
																				MAKE_YOUNG_PAIR(BgL_arg2334z00_3141,
																				BNIL);
																			BgL_list2335z00_3142 =
																				MAKE_YOUNG_PAIR(BgL_arg2331z00_3140,
																				BgL_arg2336z00_3143);
																		}
																		BgL_tmpz00_9264 =
																			BGl_everyz00zz__r4_pairs_and_lists_6_3z00
																			(BGl_proc3246z00zzsaw_bbvzd2mergezd2,
																			BgL_list2335z00_3142);
																	}
																}
															}
														}
														BgL_test3574z00_9260 = CBOOL(BgL_tmpz00_9264);
													}
												}
											}
											if (BgL_test3574z00_9260)
												{	/* SawBbv/bbv-merge.scm 528 */
													BgL_sbz00_3110 = CAR(BgL_list1699z00_3116);
												}
											else
												{
													obj_t BgL_list1699z00_9288;

													BgL_list1699z00_9288 = CDR(BgL_list1699z00_3116);
													BgL_list1699z00_3116 = BgL_list1699z00_9288;
													goto BgL_zc3z04anonymousza32319ze3z87_3117;
												}
										}
									else
										{	/* SawBbv/bbv-merge.scm 528 */
											BgL_sbz00_3110 = BFALSE;
										}
								}
							}
							if (CBOOL(BgL_sbz00_3110))
								{	/* SawBbv/bbv-merge.scm 534 */
									obj_t BgL_val0_1701z00_3111;

									BgL_val0_1701z00_3111 = CAR(((obj_t) BgL_pbsz00_3107));
									{	/* SawBbv/bbv-merge.scm 534 */
										int BgL_tmpz00_9294;

										BgL_tmpz00_9294 = (int) (2L);
										BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9294);
									}
									{	/* SawBbv/bbv-merge.scm 534 */
										int BgL_tmpz00_9297;

										BgL_tmpz00_9297 = (int) (1L);
										BGL_MVALUES_VAL_SET(BgL_tmpz00_9297, BgL_sbz00_3110);
									}
									return BgL_val0_1701z00_3111;
								}
							else
								{	/* SawBbv/bbv-merge.scm 535 */
									obj_t BgL_arg2318z00_3113;

									BgL_arg2318z00_3113 = CDR(((obj_t) BgL_pbsz00_3107));
									{
										obj_t BgL_pbsz00_9302;

										BgL_pbsz00_9302 = BgL_arg2318z00_3113;
										BgL_pbsz00_3107 = BgL_pbsz00_9302;
										goto BgL_zc3z04anonymousza32315ze3z87_3108;
									}
								}
						}
				}
			}
		}

	}



/* &<@anonymous:2337> */
	obj_t BGl_z62zc3z04anonymousza32337ze3ze5zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6500, obj_t BgL_exz00_6501, obj_t BgL_eyz00_6502)
	{
		{	/* SawBbv/bbv-merge.scm 511 */
			if (
				(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
							((BgL_bbvzd2ctxentryzd2_bglt) BgL_exz00_6501)))->BgL_polarityz00))
				{	/* SawBbv/bbv-merge.scm 517 */
					if (
						(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
									((BgL_bbvzd2ctxentryzd2_bglt) BgL_eyz00_6502)))->
							BgL_polarityz00))
						{	/* SawBbv/bbv-merge.scm 519 */
							obj_t BgL_arg2340z00_6700;
							obj_t BgL_arg2341z00_6701;

							BgL_arg2340z00_6700 =
								(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
										((BgL_bbvzd2ctxentryzd2_bglt) BgL_exz00_6501)))->
								BgL_typesz00);
							BgL_arg2341z00_6701 =
								(((BgL_bbvzd2ctxentryzd2_bglt)
									COBJECT(((BgL_bbvzd2ctxentryzd2_bglt) BgL_eyz00_6502)))->
								BgL_typesz00);
							{	/* SawBbv/bbv-merge.scm 504 */
								obj_t BgL_list2326z00_6702;

								{	/* SawBbv/bbv-merge.scm 504 */
									obj_t BgL_arg2327z00_6703;

									BgL_arg2327z00_6703 =
										MAKE_YOUNG_PAIR(BgL_arg2341z00_6701, BNIL);
									BgL_list2326z00_6702 =
										MAKE_YOUNG_PAIR(BgL_arg2340z00_6700, BgL_arg2327z00_6703);
								}
								return
									BGl_everyz00zz__r4_pairs_and_lists_6_3z00
									(BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00,
									BgL_list2326z00_6702);
							}
						}
					else
						{	/* SawBbv/bbv-merge.scm 518 */
							return BFALSE;
						}
				}
			else
				{	/* SawBbv/bbv-merge.scm 517 */
					if (
						(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
									((BgL_bbvzd2ctxentryzd2_bglt) BgL_eyz00_6502)))->
							BgL_polarityz00))
						{	/* SawBbv/bbv-merge.scm 517 */
							return BFALSE;
						}
					else
						{	/* SawBbv/bbv-merge.scm 517 */
							return BTRUE;
						}
				}
		}

	}



/* bbv-block-merge-select-strategy-nearnegative */
	obj_t
		BGl_bbvzd2blockzd2mergezd2selectzd2strategyzd2nearnegativezd2zzsaw_bbvzd2mergezd2
		(obj_t BgL_bsz00_264)
	{
		{	/* SawBbv/bbv-merge.scm 544 */
			{
				BgL_blockz00_bglt BgL_bz00_3205;

				{	/* SawBbv/bbv-merge.scm 563 */
					obj_t BgL_bnbz00_3159;

					{	/* SawBbv/bbv-merge.scm 563 */
						obj_t BgL_hook1715z00_3191;

						BgL_hook1715z00_3191 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
						{
							obj_t BgL_l1712z00_3193;
							obj_t BgL_h1713z00_3194;

							BgL_l1712z00_3193 = BgL_bsz00_264;
							BgL_h1713z00_3194 = BgL_hook1715z00_3191;
						BgL_zc3z04anonymousza32360ze3z87_3195:
							if (NULLP(BgL_l1712z00_3193))
								{	/* SawBbv/bbv-merge.scm 563 */
									BgL_bnbz00_3159 = CDR(BgL_hook1715z00_3191);
								}
							else
								{	/* SawBbv/bbv-merge.scm 563 */
									bool_t BgL_test3580z00_9323;

									BgL_bz00_3205 =
										((BgL_blockz00_bglt) CAR(((obj_t) BgL_l1712z00_3193)));
									{	/* SawBbv/bbv-merge.scm 548 */
										BgL_bbvzd2ctxzd2_bglt BgL_i1247z00_3208;

										{
											BgL_blocksz00_bglt BgL_auxz00_9324;

											{
												obj_t BgL_auxz00_9325;

												{	/* SawBbv/bbv-merge.scm 549 */
													BgL_objectz00_bglt BgL_tmpz00_9326;

													BgL_tmpz00_9326 =
														((BgL_objectz00_bglt) BgL_bz00_3205);
													BgL_auxz00_9325 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_9326);
												}
												BgL_auxz00_9324 =
													((BgL_blocksz00_bglt) BgL_auxz00_9325);
											}
											BgL_i1247z00_3208 =
												(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_9324))->
												BgL_ctxz00);
										}
										{
											obj_t BgL_l1703z00_3211;

											BgL_l1703z00_3211 =
												(((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_i1247z00_3208))->
												BgL_entriesz00);
										BgL_zc3z04anonymousza32371ze3z87_3212:
											if (NULLP(BgL_l1703z00_3211))
												{	/* SawBbv/bbv-merge.scm 549 */
													BgL_test3580z00_9323 = ((bool_t) 1);
												}
											else
												{	/* SawBbv/bbv-merge.scm 549 */
													bool_t BgL_test3582z00_9333;

													{	/* SawBbv/bbv-merge.scm 550 */
														BgL_bbvzd2ctxentryzd2_bglt BgL_ez00_3217;

														BgL_ez00_3217 =
															((BgL_bbvzd2ctxentryzd2_bglt)
															CAR(((obj_t) BgL_l1703z00_3211)));
														{	/* SawBbv/bbv-merge.scm 551 */
															bool_t BgL__ortest_1249z00_3219;

															{	/* SawBbv/bbv-merge.scm 551 */
																obj_t BgL_arg2375z00_3221;

																BgL_arg2375z00_3221 =
																	CAR(
																	(((BgL_bbvzd2ctxentryzd2_bglt)
																			COBJECT(BgL_ez00_3217))->BgL_typesz00));
																BgL__ortest_1249z00_3219 =
																	(BgL_arg2375z00_3221 ==
																	BGl_za2objza2z00zztype_cachez00);
															}
															if (BgL__ortest_1249z00_3219)
																{	/* SawBbv/bbv-merge.scm 551 */
																	BgL_test3582z00_9333 =
																		BgL__ortest_1249z00_3219;
																}
															else
																{	/* SawBbv/bbv-merge.scm 551 */
																	if (
																		(((BgL_bbvzd2ctxentryzd2_bglt)
																				COBJECT(BgL_ez00_3217))->
																			BgL_polarityz00))
																		{	/* SawBbv/bbv-merge.scm 551 */
																			BgL_test3582z00_9333 = ((bool_t) 0);
																		}
																	else
																		{	/* SawBbv/bbv-merge.scm 551 */
																			BgL_test3582z00_9333 = ((bool_t) 1);
																		}
																}
														}
													}
													if (BgL_test3582z00_9333)
														{
															obj_t BgL_l1703z00_9343;

															BgL_l1703z00_9343 =
																CDR(((obj_t) BgL_l1703z00_3211));
															BgL_l1703z00_3211 = BgL_l1703z00_9343;
															goto BgL_zc3z04anonymousza32371ze3z87_3212;
														}
													else
														{	/* SawBbv/bbv-merge.scm 549 */
															BgL_test3580z00_9323 = ((bool_t) 0);
														}
												}
										}
									}
									if (BgL_test3580z00_9323)
										{	/* SawBbv/bbv-merge.scm 563 */
											obj_t BgL_nh1714z00_3199;

											{	/* SawBbv/bbv-merge.scm 563 */
												obj_t BgL_arg2365z00_3201;

												BgL_arg2365z00_3201 = CAR(((obj_t) BgL_l1712z00_3193));
												BgL_nh1714z00_3199 =
													MAKE_YOUNG_PAIR(BgL_arg2365z00_3201, BNIL);
											}
											SET_CDR(BgL_h1713z00_3194, BgL_nh1714z00_3199);
											{	/* SawBbv/bbv-merge.scm 563 */
												obj_t BgL_arg2364z00_3200;

												BgL_arg2364z00_3200 = CDR(((obj_t) BgL_l1712z00_3193));
												{
													obj_t BgL_h1713z00_9357;
													obj_t BgL_l1712z00_9356;

													BgL_l1712z00_9356 = BgL_arg2364z00_3200;
													BgL_h1713z00_9357 = BgL_nh1714z00_3199;
													BgL_h1713z00_3194 = BgL_h1713z00_9357;
													BgL_l1712z00_3193 = BgL_l1712z00_9356;
													goto BgL_zc3z04anonymousza32360ze3z87_3195;
												}
											}
										}
									else
										{	/* SawBbv/bbv-merge.scm 563 */
											obj_t BgL_arg2366z00_3202;

											BgL_arg2366z00_3202 = CDR(((obj_t) BgL_l1712z00_3193));
											{
												obj_t BgL_l1712z00_9360;

												BgL_l1712z00_9360 = BgL_arg2366z00_3202;
												BgL_l1712z00_3193 = BgL_l1712z00_9360;
												goto BgL_zc3z04anonymousza32360ze3z87_3195;
											}
										}
								}
						}
					}
					{	/* SawBbv/bbv-merge.scm 564 */
						bool_t BgL_test3585z00_9361;

						if (PAIRP(BgL_bnbz00_3159))
							{	/* SawBbv/bbv-merge.scm 564 */
								obj_t BgL_tmpz00_9364;

								BgL_tmpz00_9364 = CDR(BgL_bnbz00_3159);
								BgL_test3585z00_9361 = PAIRP(BgL_tmpz00_9364);
							}
						else
							{	/* SawBbv/bbv-merge.scm 564 */
								BgL_test3585z00_9361 = ((bool_t) 0);
							}
						if (BgL_test3585z00_9361)
							{	/* SawBbv/bbv-merge.scm 565 */
								obj_t BgL_lstz00_3163;

								{	/* SawBbv/bbv-merge.scm 565 */
									obj_t BgL_arg2349z00_3167;

									{	/* SawBbv/bbv-merge.scm 567 */
										obj_t BgL_head1720z00_3176;

										BgL_head1720z00_3176 = MAKE_YOUNG_PAIR(BNIL, BNIL);
										{
											obj_t BgL_l1718z00_3178;
											obj_t BgL_tail1721z00_3179;

											BgL_l1718z00_3178 = BgL_bnbz00_3159;
											BgL_tail1721z00_3179 = BgL_head1720z00_3176;
										BgL_zc3z04anonymousza32353ze3z87_3180:
											if (NULLP(BgL_l1718z00_3178))
												{	/* SawBbv/bbv-merge.scm 567 */
													BgL_arg2349z00_3167 = CDR(BgL_head1720z00_3176);
												}
											else
												{	/* SawBbv/bbv-merge.scm 567 */
													obj_t BgL_newtail1722z00_3182;

													{	/* SawBbv/bbv-merge.scm 567 */
														obj_t BgL_arg2356z00_3184;

														{	/* SawBbv/bbv-merge.scm 567 */
															obj_t BgL_bz00_3185;

															BgL_bz00_3185 = CAR(((obj_t) BgL_l1718z00_3178));
															{	/* SawBbv/bbv-merge.scm 567 */
																obj_t BgL_arg2358z00_3186;

																BgL_arg2358z00_3186 =
																	BGl_blockzd2siza7ez75zzsaw_bbvzd2mergezd2(
																	((BgL_blockz00_bglt) BgL_bz00_3185));
																BgL_arg2356z00_3184 =
																	MAKE_YOUNG_PAIR(BgL_arg2358z00_3186,
																	BgL_bz00_3185);
															}
														}
														BgL_newtail1722z00_3182 =
															MAKE_YOUNG_PAIR(BgL_arg2356z00_3184, BNIL);
													}
													SET_CDR(BgL_tail1721z00_3179,
														BgL_newtail1722z00_3182);
													{	/* SawBbv/bbv-merge.scm 567 */
														obj_t BgL_arg2355z00_3183;

														BgL_arg2355z00_3183 =
															CDR(((obj_t) BgL_l1718z00_3178));
														{
															obj_t BgL_tail1721z00_9381;
															obj_t BgL_l1718z00_9380;

															BgL_l1718z00_9380 = BgL_arg2355z00_3183;
															BgL_tail1721z00_9381 = BgL_newtail1722z00_3182;
															BgL_tail1721z00_3179 = BgL_tail1721z00_9381;
															BgL_l1718z00_3178 = BgL_l1718z00_9380;
															goto BgL_zc3z04anonymousza32353ze3z87_3180;
														}
													}
												}
										}
									}
									BgL_lstz00_3163 =
										BGl_sortz00zz__r4_vectors_6_8z00
										(BGl_proc3247z00zzsaw_bbvzd2mergezd2, BgL_arg2349z00_3167);
								}
								{	/* SawBbv/bbv-merge.scm 571 */
									obj_t BgL_val0_1723z00_3164;
									obj_t BgL_val1_1724z00_3165;

									{	/* SawBbv/bbv-merge.scm 571 */
										obj_t BgL_pairz00_5273;

										BgL_pairz00_5273 = CAR(((obj_t) BgL_lstz00_3163));
										BgL_val0_1723z00_3164 = CDR(BgL_pairz00_5273);
									}
									{	/* SawBbv/bbv-merge.scm 571 */
										obj_t BgL_pairz00_5279;

										{	/* SawBbv/bbv-merge.scm 571 */
											obj_t BgL_pairz00_5278;

											BgL_pairz00_5278 = CDR(((obj_t) BgL_lstz00_3163));
											BgL_pairz00_5279 = CAR(BgL_pairz00_5278);
										}
										BgL_val1_1724z00_3165 = CDR(BgL_pairz00_5279);
									}
									{	/* SawBbv/bbv-merge.scm 571 */
										int BgL_tmpz00_9390;

										BgL_tmpz00_9390 = (int) (2L);
										BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9390);
									}
									{	/* SawBbv/bbv-merge.scm 571 */
										int BgL_tmpz00_9393;

										BgL_tmpz00_9393 = (int) (1L);
										BGL_MVALUES_VAL_SET(BgL_tmpz00_9393, BgL_val1_1724z00_3165);
									}
									return BgL_val0_1723z00_3164;
								}
							}
						else
							{	/* SawBbv/bbv-merge.scm 564 */
								BGL_TAIL return
									BGl_bbvzd2blockzd2mergezd2selectzd2strategyzd2anynegativezd2zzsaw_bbvzd2mergezd2
									(BgL_bsz00_264);
							}
					}
				}
			}
		}

	}



/* &<@anonymous:2350> */
	obj_t BGl_z62zc3z04anonymousza32350ze3ze5zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6504, obj_t BgL_xz00_6505, obj_t BgL_yz00_6506)
	{
		{	/* SawBbv/bbv-merge.scm 565 */
			{	/* SawBbv/bbv-merge.scm 566 */
				bool_t BgL_tmpz00_9397;

				{	/* SawBbv/bbv-merge.scm 566 */
					obj_t BgL_a1716z00_6704;

					BgL_a1716z00_6704 = CAR(((obj_t) BgL_xz00_6505));
					{	/* SawBbv/bbv-merge.scm 566 */
						obj_t BgL_b1717z00_6705;

						BgL_b1717z00_6705 = CAR(((obj_t) BgL_yz00_6506));
						{	/* SawBbv/bbv-merge.scm 566 */

							{	/* SawBbv/bbv-merge.scm 566 */
								bool_t BgL_test3588z00_9402;

								if (INTEGERP(BgL_a1716z00_6704))
									{	/* SawBbv/bbv-merge.scm 566 */
										BgL_test3588z00_9402 = INTEGERP(BgL_b1717z00_6705);
									}
								else
									{	/* SawBbv/bbv-merge.scm 566 */
										BgL_test3588z00_9402 = ((bool_t) 0);
									}
								if (BgL_test3588z00_9402)
									{	/* SawBbv/bbv-merge.scm 566 */
										BgL_tmpz00_9397 =
											(
											(long) CINT(BgL_a1716z00_6704) >=
											(long) CINT(BgL_b1717z00_6705));
									}
								else
									{	/* SawBbv/bbv-merge.scm 566 */
										BgL_tmpz00_9397 =
											BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_a1716z00_6704,
											BgL_b1717z00_6705);
									}
							}
						}
					}
				}
				return BBOOL(BgL_tmpz00_9397);
			}
		}

	}



/* bbv-block-merge-select-strategy-anynegative */
	obj_t
		BGl_bbvzd2blockzd2mergezd2selectzd2strategyzd2anynegativezd2zzsaw_bbvzd2mergezd2
		(obj_t BgL_bsz00_265)
	{
		{	/* SawBbv/bbv-merge.scm 579 */
			{
				BgL_blockz00_bglt BgL_bz00_3292;

				{	/* SawBbv/bbv-merge.scm 590 */
					obj_t BgL_bnbz00_3246;

					{	/* SawBbv/bbv-merge.scm 590 */
						obj_t BgL_hook1733z00_3278;

						BgL_hook1733z00_3278 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
						{
							obj_t BgL_l1730z00_3280;
							obj_t BgL_h1731z00_3281;

							BgL_l1730z00_3280 = BgL_bsz00_265;
							BgL_h1731z00_3281 = BgL_hook1733z00_3278;
						BgL_zc3z04anonymousza32402ze3z87_3282:
							if (NULLP(BgL_l1730z00_3280))
								{	/* SawBbv/bbv-merge.scm 590 */
									BgL_bnbz00_3246 = CDR(BgL_hook1733z00_3278);
								}
							else
								{	/* SawBbv/bbv-merge.scm 590 */
									bool_t BgL_test3591z00_9415;

									BgL_bz00_3292 =
										((BgL_blockz00_bglt) CAR(((obj_t) BgL_l1730z00_3280)));
									{	/* SawBbv/bbv-merge.scm 583 */
										BgL_bbvzd2ctxzd2_bglt BgL_i1255z00_3295;

										{
											BgL_blocksz00_bglt BgL_auxz00_9416;

											{
												obj_t BgL_auxz00_9417;

												{	/* SawBbv/bbv-merge.scm 584 */
													BgL_objectz00_bglt BgL_tmpz00_9418;

													BgL_tmpz00_9418 =
														((BgL_objectz00_bglt) BgL_bz00_3292);
													BgL_auxz00_9417 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_9418);
												}
												BgL_auxz00_9416 =
													((BgL_blocksz00_bglt) BgL_auxz00_9417);
											}
											BgL_i1255z00_3295 =
												(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_9416))->
												BgL_ctxz00);
										}
										{
											obj_t BgL_l1725z00_3298;

											BgL_l1725z00_3298 =
												(((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_i1255z00_3295))->
												BgL_entriesz00);
										BgL_zc3z04anonymousza32415ze3z87_3299:
											if (NULLP(BgL_l1725z00_3298))
												{	/* SawBbv/bbv-merge.scm 584 */
													BgL_test3591z00_9415 = ((bool_t) 0);
												}
											else
												{	/* SawBbv/bbv-merge.scm 585 */
													bool_t BgL__ortest_1728z00_3301;

													if (
														(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
																	((BgL_bbvzd2ctxentryzd2_bglt)
																		CAR(
																			((obj_t) BgL_l1725z00_3298)))))->
															BgL_polarityz00))
														{	/* SawBbv/bbv-merge.scm 586 */
															BgL__ortest_1728z00_3301 = ((bool_t) 0);
														}
													else
														{	/* SawBbv/bbv-merge.scm 586 */
															BgL__ortest_1728z00_3301 = ((bool_t) 1);
														}
													if (BgL__ortest_1728z00_3301)
														{	/* SawBbv/bbv-merge.scm 584 */
															BgL_test3591z00_9415 = BgL__ortest_1728z00_3301;
														}
													else
														{
															obj_t BgL_l1725z00_9431;

															BgL_l1725z00_9431 =
																CDR(((obj_t) BgL_l1725z00_3298));
															BgL_l1725z00_3298 = BgL_l1725z00_9431;
															goto BgL_zc3z04anonymousza32415ze3z87_3299;
														}
												}
										}
									}
									if (BgL_test3591z00_9415)
										{	/* SawBbv/bbv-merge.scm 590 */
											obj_t BgL_nh1732z00_3286;

											{	/* SawBbv/bbv-merge.scm 590 */
												obj_t BgL_arg2411z00_3288;

												BgL_arg2411z00_3288 = CAR(((obj_t) BgL_l1730z00_3280));
												BgL_nh1732z00_3286 =
													MAKE_YOUNG_PAIR(BgL_arg2411z00_3288, BNIL);
											}
											SET_CDR(BgL_h1731z00_3281, BgL_nh1732z00_3286);
											{	/* SawBbv/bbv-merge.scm 590 */
												obj_t BgL_arg2407z00_3287;

												BgL_arg2407z00_3287 = CDR(((obj_t) BgL_l1730z00_3280));
												{
													obj_t BgL_h1731z00_9445;
													obj_t BgL_l1730z00_9444;

													BgL_l1730z00_9444 = BgL_arg2407z00_3287;
													BgL_h1731z00_9445 = BgL_nh1732z00_3286;
													BgL_h1731z00_3281 = BgL_h1731z00_9445;
													BgL_l1730z00_3280 = BgL_l1730z00_9444;
													goto BgL_zc3z04anonymousza32402ze3z87_3282;
												}
											}
										}
									else
										{	/* SawBbv/bbv-merge.scm 590 */
											obj_t BgL_arg2412z00_3289;

											BgL_arg2412z00_3289 = CDR(((obj_t) BgL_l1730z00_3280));
											{
												obj_t BgL_l1730z00_9448;

												BgL_l1730z00_9448 = BgL_arg2412z00_3289;
												BgL_l1730z00_3280 = BgL_l1730z00_9448;
												goto BgL_zc3z04anonymousza32402ze3z87_3282;
											}
										}
								}
						}
					}
					{	/* SawBbv/bbv-merge.scm 591 */
						bool_t BgL_test3595z00_9449;

						if (PAIRP(BgL_bnbz00_3246))
							{	/* SawBbv/bbv-merge.scm 591 */
								obj_t BgL_tmpz00_9452;

								BgL_tmpz00_9452 = CDR(BgL_bnbz00_3246);
								BgL_test3595z00_9449 = PAIRP(BgL_tmpz00_9452);
							}
						else
							{	/* SawBbv/bbv-merge.scm 591 */
								BgL_test3595z00_9449 = ((bool_t) 0);
							}
						if (BgL_test3595z00_9449)
							{	/* SawBbv/bbv-merge.scm 592 */
								obj_t BgL_lstz00_3250;

								{	/* SawBbv/bbv-merge.scm 592 */
									obj_t BgL_arg2390z00_3254;

									{	/* SawBbv/bbv-merge.scm 594 */
										obj_t BgL_head1738z00_3263;

										BgL_head1738z00_3263 = MAKE_YOUNG_PAIR(BNIL, BNIL);
										{
											obj_t BgL_l1736z00_3265;
											obj_t BgL_tail1739z00_3266;

											BgL_l1736z00_3265 = BgL_bnbz00_3246;
											BgL_tail1739z00_3266 = BgL_head1738z00_3263;
										BgL_zc3z04anonymousza32394ze3z87_3267:
											if (NULLP(BgL_l1736z00_3265))
												{	/* SawBbv/bbv-merge.scm 594 */
													BgL_arg2390z00_3254 = CDR(BgL_head1738z00_3263);
												}
											else
												{	/* SawBbv/bbv-merge.scm 594 */
													obj_t BgL_newtail1740z00_3269;

													{	/* SawBbv/bbv-merge.scm 594 */
														obj_t BgL_arg2398z00_3271;

														{	/* SawBbv/bbv-merge.scm 594 */
															obj_t BgL_bz00_3272;

															BgL_bz00_3272 = CAR(((obj_t) BgL_l1736z00_3265));
															{	/* SawBbv/bbv-merge.scm 594 */
																obj_t BgL_arg2399z00_3273;

																BgL_arg2399z00_3273 =
																	BGl_blockzd2siza7ez75zzsaw_bbvzd2mergezd2(
																	((BgL_blockz00_bglt) BgL_bz00_3272));
																BgL_arg2398z00_3271 =
																	MAKE_YOUNG_PAIR(BgL_arg2399z00_3273,
																	BgL_bz00_3272);
															}
														}
														BgL_newtail1740z00_3269 =
															MAKE_YOUNG_PAIR(BgL_arg2398z00_3271, BNIL);
													}
													SET_CDR(BgL_tail1739z00_3266,
														BgL_newtail1740z00_3269);
													{	/* SawBbv/bbv-merge.scm 594 */
														obj_t BgL_arg2396z00_3270;

														BgL_arg2396z00_3270 =
															CDR(((obj_t) BgL_l1736z00_3265));
														{
															obj_t BgL_tail1739z00_9469;
															obj_t BgL_l1736z00_9468;

															BgL_l1736z00_9468 = BgL_arg2396z00_3270;
															BgL_tail1739z00_9469 = BgL_newtail1740z00_3269;
															BgL_tail1739z00_3266 = BgL_tail1739z00_9469;
															BgL_l1736z00_3265 = BgL_l1736z00_9468;
															goto BgL_zc3z04anonymousza32394ze3z87_3267;
														}
													}
												}
										}
									}
									BgL_lstz00_3250 =
										BGl_sortz00zz__r4_vectors_6_8z00
										(BGl_proc3248z00zzsaw_bbvzd2mergezd2, BgL_arg2390z00_3254);
								}
								{	/* SawBbv/bbv-merge.scm 598 */
									obj_t BgL_val0_1741z00_3251;
									obj_t BgL_val1_1742z00_3252;

									{	/* SawBbv/bbv-merge.scm 598 */
										obj_t BgL_pairz00_5301;

										BgL_pairz00_5301 = CAR(((obj_t) BgL_lstz00_3250));
										BgL_val0_1741z00_3251 = CDR(BgL_pairz00_5301);
									}
									{	/* SawBbv/bbv-merge.scm 598 */
										obj_t BgL_pairz00_5307;

										{	/* SawBbv/bbv-merge.scm 598 */
											obj_t BgL_pairz00_5306;

											BgL_pairz00_5306 = CDR(((obj_t) BgL_lstz00_3250));
											BgL_pairz00_5307 = CAR(BgL_pairz00_5306);
										}
										BgL_val1_1742z00_3252 = CDR(BgL_pairz00_5307);
									}
									{	/* SawBbv/bbv-merge.scm 598 */
										int BgL_tmpz00_9478;

										BgL_tmpz00_9478 = (int) (2L);
										BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9478);
									}
									{	/* SawBbv/bbv-merge.scm 598 */
										int BgL_tmpz00_9481;

										BgL_tmpz00_9481 = (int) (1L);
										BGL_MVALUES_VAL_SET(BgL_tmpz00_9481, BgL_val1_1742z00_3252);
									}
									return BgL_val0_1741z00_3251;
								}
							}
						else
							{	/* SawBbv/bbv-merge.scm 591 */
								BGL_TAIL return
									BGl_bbvzd2blockzd2mergezd2selectzd2strategyzd2siza7ez75zzsaw_bbvzd2mergezd2
									(BgL_bsz00_265);
							}
					}
				}
			}
		}

	}



/* &<@anonymous:2391> */
	obj_t BGl_z62zc3z04anonymousza32391ze3ze5zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6508, obj_t BgL_xz00_6509, obj_t BgL_yz00_6510)
	{
		{	/* SawBbv/bbv-merge.scm 592 */
			{	/* SawBbv/bbv-merge.scm 593 */
				bool_t BgL_tmpz00_9485;

				{	/* SawBbv/bbv-merge.scm 593 */
					obj_t BgL_a1734z00_6706;

					BgL_a1734z00_6706 = CAR(((obj_t) BgL_xz00_6509));
					{	/* SawBbv/bbv-merge.scm 593 */
						obj_t BgL_b1735z00_6707;

						BgL_b1735z00_6707 = CAR(((obj_t) BgL_yz00_6510));
						{	/* SawBbv/bbv-merge.scm 593 */

							{	/* SawBbv/bbv-merge.scm 593 */
								bool_t BgL_test3598z00_9490;

								if (INTEGERP(BgL_a1734z00_6706))
									{	/* SawBbv/bbv-merge.scm 593 */
										BgL_test3598z00_9490 = INTEGERP(BgL_b1735z00_6707);
									}
								else
									{	/* SawBbv/bbv-merge.scm 593 */
										BgL_test3598z00_9490 = ((bool_t) 0);
									}
								if (BgL_test3598z00_9490)
									{	/* SawBbv/bbv-merge.scm 593 */
										BgL_tmpz00_9485 =
											(
											(long) CINT(BgL_a1734z00_6706) >=
											(long) CINT(BgL_b1735z00_6707));
									}
								else
									{	/* SawBbv/bbv-merge.scm 593 */
										BgL_tmpz00_9485 =
											BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_a1734z00_6706,
											BgL_b1735z00_6707);
									}
							}
						}
					}
				}
				return BBOOL(BgL_tmpz00_9485);
			}
		}

	}



/* bbv-block-merge-select-strategy-size */
	obj_t
		BGl_bbvzd2blockzd2mergezd2selectzd2strategyzd2siza7ez75zzsaw_bbvzd2mergezd2
		(obj_t BgL_bsz00_266)
	{
		{	/* SawBbv/bbv-merge.scm 606 */
			{
				BgL_blockz00_bglt BgL_bz00_3371;

				{	/* SawBbv/bbv-merge.scm 619 */
					long BgL_maxsz00_3316;

					BgL_bz00_3371 = ((BgL_blockz00_bglt) CAR(BgL_bsz00_266));
					{	/* SawBbv/bbv-merge.scm 610 */
						BgL_bbvzd2ctxzd2_bglt BgL_i1258z00_3374;

						{
							BgL_blocksz00_bglt BgL_auxz00_9499;

							{
								obj_t BgL_auxz00_9500;

								{	/* SawBbv/bbv-merge.scm 611 */
									BgL_objectz00_bglt BgL_tmpz00_9501;

									BgL_tmpz00_9501 = ((BgL_objectz00_bglt) BgL_bz00_3371);
									BgL_auxz00_9500 = BGL_OBJECT_WIDENING(BgL_tmpz00_9501);
								}
								BgL_auxz00_9499 = ((BgL_blocksz00_bglt) BgL_auxz00_9500);
							}
							BgL_i1258z00_3374 =
								(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_9499))->BgL_ctxz00);
						}
						BgL_maxsz00_3316 =
							(100L *
							bgl_list_length(
								(((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_i1258z00_3374))->
									BgL_entriesz00)));
					}
					{	/* SawBbv/bbv-merge.scm 619 */
						obj_t BgL_bsza7za7_3317;

						{	/* SawBbv/bbv-merge.scm 620 */
							obj_t BgL_head1747z00_3358;

							BgL_head1747z00_3358 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1745z00_3360;
								obj_t BgL_tail1748z00_3361;

								BgL_l1745z00_3360 = BgL_bsz00_266;
								BgL_tail1748z00_3361 = BgL_head1747z00_3358;
							BgL_zc3z04anonymousza32453ze3z87_3362:
								if (NULLP(BgL_l1745z00_3360))
									{	/* SawBbv/bbv-merge.scm 620 */
										BgL_bsza7za7_3317 = CDR(BgL_head1747z00_3358);
									}
								else
									{	/* SawBbv/bbv-merge.scm 620 */
										obj_t BgL_newtail1749z00_3364;

										{	/* SawBbv/bbv-merge.scm 620 */
											obj_t BgL_arg2457z00_3366;

											{	/* SawBbv/bbv-merge.scm 620 */
												obj_t BgL_bz00_3367;

												BgL_bz00_3367 = CAR(((obj_t) BgL_l1745z00_3360));
												{	/* SawBbv/bbv-merge.scm 620 */
													obj_t BgL_arg2459z00_3368;

													BgL_arg2459z00_3368 =
														BGl_blockzd2siza7ez75zzsaw_bbvzd2mergezd2(
														((BgL_blockz00_bglt) BgL_bz00_3367));
													BgL_arg2457z00_3366 =
														MAKE_YOUNG_PAIR(BgL_arg2459z00_3368, BgL_bz00_3367);
												}
											}
											BgL_newtail1749z00_3364 =
												MAKE_YOUNG_PAIR(BgL_arg2457z00_3366, BNIL);
										}
										SET_CDR(BgL_tail1748z00_3361, BgL_newtail1749z00_3364);
										{	/* SawBbv/bbv-merge.scm 620 */
											obj_t BgL_arg2455z00_3365;

											BgL_arg2455z00_3365 = CDR(((obj_t) BgL_l1745z00_3360));
											{
												obj_t BgL_tail1748z00_9525;
												obj_t BgL_l1745z00_9524;

												BgL_l1745z00_9524 = BgL_arg2455z00_3365;
												BgL_tail1748z00_9525 = BgL_newtail1749z00_3364;
												BgL_tail1748z00_3361 = BgL_tail1748z00_9525;
												BgL_l1745z00_3360 = BgL_l1745z00_9524;
												goto BgL_zc3z04anonymousza32453ze3z87_3362;
											}
										}
									}
							}
						}
						{	/* SawBbv/bbv-merge.scm 620 */
							obj_t BgL_mbsza7za7_3318;

							{	/* SawBbv/bbv-merge.scm 621 */
								obj_t BgL_hook1754z00_3340;

								BgL_hook1754z00_3340 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
								{
									obj_t BgL_l1751z00_3342;
									obj_t BgL_h1752z00_3343;

									BgL_l1751z00_3342 = BgL_bsza7za7_3317;
									BgL_h1752z00_3343 = BgL_hook1754z00_3340;
								BgL_zc3z04anonymousza32440ze3z87_3344:
									if (NULLP(BgL_l1751z00_3342))
										{	/* SawBbv/bbv-merge.scm 621 */
											BgL_mbsza7za7_3318 = CDR(BgL_hook1754z00_3340);
										}
									else
										{	/* SawBbv/bbv-merge.scm 621 */
											bool_t BgL_test3602z00_9530;

											{	/* SawBbv/bbv-merge.scm 621 */
												long BgL_tmpz00_9531;

												{	/* SawBbv/bbv-merge.scm 621 */
													obj_t BgL_pairz00_5319;

													BgL_pairz00_5319 = CAR(((obj_t) BgL_l1751z00_3342));
													BgL_tmpz00_9531 = (long) CINT(CAR(BgL_pairz00_5319));
												}
												BgL_test3602z00_9530 =
													(BgL_tmpz00_9531 == BgL_maxsz00_3316);
											}
											if (BgL_test3602z00_9530)
												{	/* SawBbv/bbv-merge.scm 621 */
													obj_t BgL_nh1753z00_3349;

													{	/* SawBbv/bbv-merge.scm 621 */
														obj_t BgL_arg2449z00_3351;

														BgL_arg2449z00_3351 =
															CAR(((obj_t) BgL_l1751z00_3342));
														BgL_nh1753z00_3349 =
															MAKE_YOUNG_PAIR(BgL_arg2449z00_3351, BNIL);
													}
													SET_CDR(BgL_h1752z00_3343, BgL_nh1753z00_3349);
													{	/* SawBbv/bbv-merge.scm 621 */
														obj_t BgL_arg2448z00_3350;

														BgL_arg2448z00_3350 =
															CDR(((obj_t) BgL_l1751z00_3342));
														{
															obj_t BgL_h1752z00_9544;
															obj_t BgL_l1751z00_9543;

															BgL_l1751z00_9543 = BgL_arg2448z00_3350;
															BgL_h1752z00_9544 = BgL_nh1753z00_3349;
															BgL_h1752z00_3343 = BgL_h1752z00_9544;
															BgL_l1751z00_3342 = BgL_l1751z00_9543;
															goto BgL_zc3z04anonymousza32440ze3z87_3344;
														}
													}
												}
											else
												{	/* SawBbv/bbv-merge.scm 621 */
													obj_t BgL_arg2450z00_3352;

													BgL_arg2450z00_3352 =
														CDR(((obj_t) BgL_l1751z00_3342));
													{
														obj_t BgL_l1751z00_9547;

														BgL_l1751z00_9547 = BgL_arg2450z00_3352;
														BgL_l1751z00_3342 = BgL_l1751z00_9547;
														goto BgL_zc3z04anonymousza32440ze3z87_3344;
													}
												}
										}
								}
							}
							{	/* SawBbv/bbv-merge.scm 621 */

								{	/* SawBbv/bbv-merge.scm 622 */
									bool_t BgL_test3603z00_9548;

									if (PAIRP(BgL_mbsza7za7_3318))
										{	/* SawBbv/bbv-merge.scm 622 */
											obj_t BgL_tmpz00_9551;

											BgL_tmpz00_9551 = CDR(BgL_mbsza7za7_3318);
											BgL_test3603z00_9548 = PAIRP(BgL_tmpz00_9551);
										}
									else
										{	/* SawBbv/bbv-merge.scm 622 */
											BgL_test3603z00_9548 = ((bool_t) 0);
										}
									if (BgL_test3603z00_9548)
										{	/* SawBbv/bbv-merge.scm 628 */
											obj_t BgL_val0_1755z00_3322;
											obj_t BgL_val1_1756z00_3323;

											BgL_val0_1755z00_3322 = CDR(CAR(BgL_mbsza7za7_3318));
											BgL_val1_1756z00_3323 = CDR(CAR(CDR(BgL_mbsza7za7_3318)));
											{	/* SawBbv/bbv-merge.scm 628 */
												int BgL_tmpz00_9559;

												BgL_tmpz00_9559 = (int) (2L);
												BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9559);
											}
											{	/* SawBbv/bbv-merge.scm 628 */
												int BgL_tmpz00_9562;

												BgL_tmpz00_9562 = (int) (1L);
												BGL_MVALUES_VAL_SET(BgL_tmpz00_9562,
													BgL_val1_1756z00_3323);
											}
											return BgL_val0_1755z00_3322;
										}
									else
										{	/* SawBbv/bbv-merge.scm 630 */
											obj_t BgL_lz00_3326;

											BgL_lz00_3326 =
												BGl_sortz00zz__r4_vectors_6_8z00(BgL_bsza7za7_3317,
												BGl_proc3249z00zzsaw_bbvzd2mergezd2);
											{	/* SawBbv/bbv-merge.scm 634 */
												obj_t BgL_val0_1757z00_3327;
												obj_t BgL_val1_1758z00_3328;

												{	/* SawBbv/bbv-merge.scm 634 */
													obj_t BgL_pairz00_5341;

													BgL_pairz00_5341 = CAR(((obj_t) BgL_lz00_3326));
													BgL_val0_1757z00_3327 = CDR(BgL_pairz00_5341);
												}
												{	/* SawBbv/bbv-merge.scm 634 */
													obj_t BgL_pairz00_5346;

													{	/* SawBbv/bbv-merge.scm 634 */
														obj_t BgL_pairz00_5345;

														BgL_pairz00_5345 = CDR(((obj_t) BgL_lz00_3326));
														BgL_pairz00_5346 = CAR(BgL_pairz00_5345);
													}
													BgL_val1_1758z00_3328 = CDR(BgL_pairz00_5346);
												}
												{	/* SawBbv/bbv-merge.scm 634 */
													int BgL_tmpz00_9573;

													BgL_tmpz00_9573 = (int) (2L);
													BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9573);
												}
												{	/* SawBbv/bbv-merge.scm 634 */
													int BgL_tmpz00_9576;

													BgL_tmpz00_9576 = (int) (1L);
													BGL_MVALUES_VAL_SET(BgL_tmpz00_9576,
														BgL_val1_1758z00_3328);
												}
												return BgL_val0_1757z00_3327;
											}
										}
								}
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2432> */
	obj_t BGl_z62zc3z04anonymousza32432ze3ze5zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6512, obj_t BgL_xz00_6513, obj_t BgL_yz00_6514)
	{
		{	/* SawBbv/bbv-merge.scm 630 */
			return
				BBOOL(
				((long) CINT(CAR(
							((obj_t) BgL_xz00_6513))) <=
					(long) CINT(CAR(((obj_t) BgL_yz00_6514)))));
		}

	}



/* bbv-block-merge-select-strategy-distance */
	obj_t
		BGl_bbvzd2blockzd2mergezd2selectzd2strategyzd2distancezd2zzsaw_bbvzd2mergezd2
		(obj_t BgL_bsz00_267)
	{
		{	/* SawBbv/bbv-merge.scm 641 */
			{	/* SawBbv/bbv-merge.scm 693 */
				obj_t BgL_lz00_3381;

				{	/* SawBbv/bbv-merge.scm 693 */
					obj_t BgL_arg2469z00_3386;

					{	/* SawBbv/bbv-merge.scm 693 */
						obj_t BgL_l1779z00_3388;

						BgL_l1779z00_3388 =
							BGl_zc3z04anonymousza32480ze3ze70z60zzsaw_bbvzd2mergezd2
							(BgL_bsz00_267, BgL_bsz00_267);
						if (NULLP(BgL_l1779z00_3388))
							{	/* SawBbv/bbv-merge.scm 693 */
								BgL_arg2469z00_3386 = BNIL;
							}
						else
							{	/* SawBbv/bbv-merge.scm 693 */
								obj_t BgL_head1781z00_3390;

								{	/* SawBbv/bbv-merge.scm 693 */
									obj_t BgL_arg2478z00_3402;

									{	/* SawBbv/bbv-merge.scm 693 */
										obj_t BgL_arg2479z00_3403;

										BgL_arg2479z00_3403 = CAR(((obj_t) BgL_l1779z00_3388));
										BgL_arg2478z00_3402 =
											BGl_blockzd2distze70z35zzsaw_bbvzd2mergezd2
											(BgL_arg2479z00_3403);
									}
									BgL_head1781z00_3390 =
										MAKE_YOUNG_PAIR(BgL_arg2478z00_3402, BNIL);
								}
								{	/* SawBbv/bbv-merge.scm 693 */
									obj_t BgL_g1784z00_3391;

									BgL_g1784z00_3391 = CDR(((obj_t) BgL_l1779z00_3388));
									{
										obj_t BgL_l1779z00_3393;
										obj_t BgL_tail1782z00_3394;

										BgL_l1779z00_3393 = BgL_g1784z00_3391;
										BgL_tail1782z00_3394 = BgL_head1781z00_3390;
									BgL_zc3z04anonymousza32472ze3z87_3395:
										if (NULLP(BgL_l1779z00_3393))
											{	/* SawBbv/bbv-merge.scm 693 */
												BgL_arg2469z00_3386 = BgL_head1781z00_3390;
											}
										else
											{	/* SawBbv/bbv-merge.scm 693 */
												obj_t BgL_newtail1783z00_3397;

												{	/* SawBbv/bbv-merge.scm 693 */
													obj_t BgL_arg2476z00_3399;

													{	/* SawBbv/bbv-merge.scm 693 */
														obj_t BgL_arg2477z00_3400;

														BgL_arg2477z00_3400 =
															CAR(((obj_t) BgL_l1779z00_3393));
														BgL_arg2476z00_3399 =
															BGl_blockzd2distze70z35zzsaw_bbvzd2mergezd2
															(BgL_arg2477z00_3400);
													}
													BgL_newtail1783z00_3397 =
														MAKE_YOUNG_PAIR(BgL_arg2476z00_3399, BNIL);
												}
												SET_CDR(BgL_tail1782z00_3394, BgL_newtail1783z00_3397);
												{	/* SawBbv/bbv-merge.scm 693 */
													obj_t BgL_arg2474z00_3398;

													BgL_arg2474z00_3398 =
														CDR(((obj_t) BgL_l1779z00_3393));
													{
														obj_t BgL_tail1782z00_9606;
														obj_t BgL_l1779z00_9605;

														BgL_l1779z00_9605 = BgL_arg2474z00_3398;
														BgL_tail1782z00_9606 = BgL_newtail1783z00_3397;
														BgL_tail1782z00_3394 = BgL_tail1782z00_9606;
														BgL_l1779z00_3393 = BgL_l1779z00_9605;
														goto BgL_zc3z04anonymousza32472ze3z87_3395;
													}
												}
											}
									}
								}
							}
					}
					BgL_lz00_3381 =
						BGl_sortz00zz__r4_vectors_6_8z00(BgL_arg2469z00_3386,
						BGl_proc3250z00zzsaw_bbvzd2mergezd2);
				}
				{	/* SawBbv/bbv-merge.scm 701 */
					obj_t BgL_val0_1785z00_3382;
					obj_t BgL_val1_1786z00_3383;

					{	/* SawBbv/bbv-merge.scm 701 */
						obj_t BgL_pairz00_5520;

						{	/* SawBbv/bbv-merge.scm 701 */
							obj_t BgL_pairz00_5519;

							BgL_pairz00_5519 = CAR(((obj_t) BgL_lz00_3381));
							BgL_pairz00_5520 = CDR(BgL_pairz00_5519);
						}
						BgL_val0_1785z00_3382 = CAR(BgL_pairz00_5520);
					}
					{	/* SawBbv/bbv-merge.scm 701 */
						obj_t BgL_pairz00_5525;

						{	/* SawBbv/bbv-merge.scm 701 */
							obj_t BgL_pairz00_5524;

							BgL_pairz00_5524 = CAR(((obj_t) BgL_lz00_3381));
							BgL_pairz00_5525 = CDR(BgL_pairz00_5524);
						}
						BgL_val1_1786z00_3383 = CDR(BgL_pairz00_5525);
					}
					{	/* SawBbv/bbv-merge.scm 701 */
						int BgL_tmpz00_9616;

						BgL_tmpz00_9616 = (int) (2L);
						BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9616);
					}
					{	/* SawBbv/bbv-merge.scm 701 */
						int BgL_tmpz00_9619;

						BgL_tmpz00_9619 = (int) (1L);
						BGL_MVALUES_VAL_SET(BgL_tmpz00_9619, BgL_val1_1786z00_3383);
					}
					return BgL_val0_1785z00_3382;
				}
			}
		}

	}



/* <@anonymous:2480>~0 */
	obj_t BGl_zc3z04anonymousza32480ze3ze70z60zzsaw_bbvzd2mergezd2(obj_t
		BgL_bsz00_6519, obj_t BgL_l1778z00_3405)
	{
		{	/* SawBbv/bbv-merge.scm 694 */
			if (NULLP(BgL_l1778z00_3405))
				{	/* SawBbv/bbv-merge.scm 694 */
					return BNIL;
				}
			else
				{	/* SawBbv/bbv-merge.scm 695 */
					obj_t BgL_arg2482z00_3408;
					obj_t BgL_arg2485z00_3409;

					{	/* SawBbv/bbv-merge.scm 695 */
						obj_t BgL_xz00_3410;

						BgL_xz00_3410 = CAR(((obj_t) BgL_l1778z00_3405));
						{	/* SawBbv/bbv-merge.scm 695 */
							obj_t BgL_head1774z00_3413;

							BgL_head1774z00_3413 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1772z00_3415;
								obj_t BgL_tail1775z00_3416;

								BgL_l1772z00_3415 = BgL_bsz00_6519;
								BgL_tail1775z00_3416 = BgL_head1774z00_3413;
							BgL_zc3z04anonymousza32487ze3z87_3417:
								if (NULLP(BgL_l1772z00_3415))
									{	/* SawBbv/bbv-merge.scm 695 */
										BgL_arg2482z00_3408 = CDR(BgL_head1774z00_3413);
									}
								else
									{	/* SawBbv/bbv-merge.scm 695 */
										obj_t BgL_newtail1776z00_3419;

										{	/* SawBbv/bbv-merge.scm 695 */
											obj_t BgL_arg2490z00_3421;

											{	/* SawBbv/bbv-merge.scm 695 */
												obj_t BgL_yz00_3422;

												BgL_yz00_3422 = CAR(((obj_t) BgL_l1772z00_3415));
												BgL_arg2490z00_3421 =
													MAKE_YOUNG_PAIR(BgL_xz00_3410, BgL_yz00_3422);
											}
											BgL_newtail1776z00_3419 =
												MAKE_YOUNG_PAIR(BgL_arg2490z00_3421, BNIL);
										}
										SET_CDR(BgL_tail1775z00_3416, BgL_newtail1776z00_3419);
										{	/* SawBbv/bbv-merge.scm 695 */
											obj_t BgL_arg2489z00_3420;

											BgL_arg2489z00_3420 = CDR(((obj_t) BgL_l1772z00_3415));
											{
												obj_t BgL_tail1775z00_9638;
												obj_t BgL_l1772z00_9637;

												BgL_l1772z00_9637 = BgL_arg2489z00_3420;
												BgL_tail1775z00_9638 = BgL_newtail1776z00_3419;
												BgL_tail1775z00_3416 = BgL_tail1775z00_9638;
												BgL_l1772z00_3415 = BgL_l1772z00_9637;
												goto BgL_zc3z04anonymousza32487ze3z87_3417;
											}
										}
									}
							}
						}
					}
					{	/* SawBbv/bbv-merge.scm 694 */
						obj_t BgL_arg2491z00_3424;

						BgL_arg2491z00_3424 = CDR(((obj_t) BgL_l1778z00_3405));
						BgL_arg2485z00_3409 =
							BGl_zc3z04anonymousza32480ze3ze70z60zzsaw_bbvzd2mergezd2
							(BgL_bsz00_6519, BgL_arg2491z00_3424);
					}
					return bgl_append2(BgL_arg2482z00_3408, BgL_arg2485z00_3409);
				}
		}

	}



/* block-dist~0 */
	obj_t BGl_blockzd2distze70z35zzsaw_bbvzd2mergezd2(obj_t BgL_pz00_3574)
	{
		{	/* SawBbv/bbv-merge.scm 690 */
			{
				BgL_bbvzd2ctxentryzd2_bglt BgL_xz00_3432;
				BgL_bbvzd2ctxentryzd2_bglt BgL_yz00_3433;
				BgL_bbvzd2ctxzd2_bglt BgL_xctxz00_3553;
				BgL_bbvzd2ctxzd2_bglt BgL_yctxz00_3554;

				{	/* SawBbv/bbv-merge.scm 684 */
					obj_t BgL_xz00_3576;
					obj_t BgL_yz00_3577;

					BgL_xz00_3576 = CAR(BgL_pz00_3574);
					BgL_yz00_3577 = CDR(BgL_pz00_3574);
					if ((BgL_xz00_3576 == BgL_yz00_3577))
						{	/* SawBbv/bbv-merge.scm 686 */
							return MAKE_YOUNG_PAIR(BINT(BGL_LONG_MAX), BgL_pz00_3574);
						}
					else
						{	/* SawBbv/bbv-merge.scm 690 */
							obj_t BgL_arg2591z00_3581;

							{	/* SawBbv/bbv-merge.scm 690 */
								BgL_bbvzd2ctxzd2_bglt BgL_arg2593z00_3582;
								BgL_bbvzd2ctxzd2_bglt BgL_arg2594z00_3583;

								{
									BgL_blocksz00_bglt BgL_auxz00_9649;

									{
										obj_t BgL_auxz00_9650;

										{	/* SawBbv/bbv-merge.scm 690 */
											BgL_objectz00_bglt BgL_tmpz00_9651;

											BgL_tmpz00_9651 =
												((BgL_objectz00_bglt)
												((BgL_blockz00_bglt) BgL_xz00_3576));
											BgL_auxz00_9650 = BGL_OBJECT_WIDENING(BgL_tmpz00_9651);
										}
										BgL_auxz00_9649 = ((BgL_blocksz00_bglt) BgL_auxz00_9650);
									}
									BgL_arg2593z00_3582 =
										(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_9649))->
										BgL_ctxz00);
								}
								{
									BgL_blocksz00_bglt BgL_auxz00_9657;

									{
										obj_t BgL_auxz00_9658;

										{	/* SawBbv/bbv-merge.scm 690 */
											BgL_objectz00_bglt BgL_tmpz00_9659;

											BgL_tmpz00_9659 =
												((BgL_objectz00_bglt)
												((BgL_blockz00_bglt) BgL_yz00_3577));
											BgL_auxz00_9658 = BGL_OBJECT_WIDENING(BgL_tmpz00_9659);
										}
										BgL_auxz00_9657 = ((BgL_blocksz00_bglt) BgL_auxz00_9658);
									}
									BgL_arg2594z00_3583 =
										(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_9657))->
										BgL_ctxz00);
								}
								BgL_xctxz00_3553 = BgL_arg2593z00_3582;
								BgL_yctxz00_3554 = BgL_arg2594z00_3583;
								{	/* SawBbv/bbv-merge.scm 677 */
									obj_t BgL_runner2588z00_3573;

									{	/* SawBbv/bbv-merge.scm 678 */
										obj_t BgL_l1767z00_3557;

										BgL_l1767z00_3557 =
											(((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_xctxz00_3553))->
											BgL_entriesz00);
										if (NULLP(BgL_l1767z00_3557))
											{	/* SawBbv/bbv-merge.scm 678 */
												BgL_runner2588z00_3573 = BNIL;
											}
										else
											{	/* SawBbv/bbv-merge.scm 678 */
												obj_t BgL_head1769z00_3559;

												BgL_head1769z00_3559 = MAKE_YOUNG_PAIR(BNIL, BNIL);
												{
													obj_t BgL_l1767z00_3561;
													obj_t BgL_tail1770z00_3562;

													BgL_l1767z00_3561 = BgL_l1767z00_3557;
													BgL_tail1770z00_3562 = BgL_head1769z00_3559;
												BgL_zc3z04anonymousza32582ze3z87_3563:
													if (NULLP(BgL_l1767z00_3561))
														{	/* SawBbv/bbv-merge.scm 678 */
															BgL_runner2588z00_3573 =
																CDR(BgL_head1769z00_3559);
														}
													else
														{	/* SawBbv/bbv-merge.scm 678 */
															obj_t BgL_newtail1771z00_3565;

															{	/* SawBbv/bbv-merge.scm 678 */
																long BgL_arg2585z00_3567;

																{	/* SawBbv/bbv-merge.scm 678 */
																	obj_t BgL_ez00_3568;

																	BgL_ez00_3568 =
																		CAR(((obj_t) BgL_l1767z00_3561));
																	{	/* SawBbv/bbv-merge.scm 680 */
																		obj_t BgL_arg2586z00_3570;

																		{	/* SawBbv/bbv-merge.scm 680 */
																			BgL_rtl_regz00_bglt BgL_arg2587z00_3571;

																			BgL_arg2587z00_3571 =
																				(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
																						((BgL_bbvzd2ctxentryzd2_bglt)
																							BgL_ez00_3568)))->BgL_regz00);
																			BgL_arg2586z00_3570 =
																				BGl_bbvzd2ctxzd2getz00zzsaw_bbvzd2typeszd2
																				(BgL_yctxz00_3554, BgL_arg2587z00_3571);
																		}
																		BgL_xz00_3432 =
																			((BgL_bbvzd2ctxentryzd2_bglt)
																			BgL_ez00_3568);
																		BgL_yz00_3433 =
																			((BgL_bbvzd2ctxentryzd2_bglt)
																			BgL_arg2586z00_3570);
																		{	/* SawBbv/bbv-merge.scm 651 */
																			bool_t BgL_test3612z00_9677;

																			if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_xz00_3432))->BgL_typesz00), (((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_yz00_3433))->BgL_typesz00)))
																				{	/* SawBbv/bbv-merge.scm 651 */
																					BgL_test3612z00_9677 =
																						(BBOOL(
																							(((BgL_bbvzd2ctxentryzd2_bglt)
																									COBJECT(BgL_xz00_3432))->
																								BgL_polarityz00)) ==
																						BBOOL((((BgL_bbvzd2ctxentryzd2_bglt)
																									COBJECT(BgL_yz00_3433))->
																								BgL_polarityz00)));
																				}
																			else
																				{	/* SawBbv/bbv-merge.scm 651 */
																					BgL_test3612z00_9677 = ((bool_t) 0);
																				}
																			if (BgL_test3612z00_9677)
																				{	/* SawBbv/bbv-merge.scm 653 */
																					bool_t BgL_test3614z00_9687;

																					{	/* SawBbv/bbv-merge.scm 653 */
																						bool_t BgL_test3615z00_9688;

																						{	/* SawBbv/bbv-merge.scm 653 */
																							obj_t BgL_arg2538z00_3475;

																							BgL_arg2538z00_3475 =
																								(((BgL_bbvzd2ctxentryzd2_bglt)
																									COBJECT(BgL_xz00_3432))->
																								BgL_valuez00);
																							{	/* SawBbv/bbv-merge.scm 653 */
																								obj_t BgL_classz00_5347;

																								BgL_classz00_5347 =
																									BGl_bbvzd2rangezd2zzsaw_bbvzd2rangezd2;
																								if (BGL_OBJECTP
																									(BgL_arg2538z00_3475))
																									{	/* SawBbv/bbv-merge.scm 653 */
																										BgL_objectz00_bglt
																											BgL_arg1858z00_5349;
																										BgL_arg1858z00_5349 =
																											(BgL_objectz00_bglt)
																											(BgL_arg2538z00_3475);
																										if (BGL_CONDEXPAND_ISA_ARCH64())
																											{	/* SawBbv/bbv-merge.scm 653 */
																												long BgL_idxz00_5355;

																												BgL_idxz00_5355 =
																													BGL_OBJECT_INHERITANCE_NUM
																													(BgL_arg1858z00_5349);
																												BgL_test3615z00_9688 =
																													(VECTOR_REF
																													(BGl_za2inheritancesza2z00zz__objectz00,
																														(BgL_idxz00_5355 +
																															1L)) ==
																													BgL_classz00_5347);
																											}
																										else
																											{	/* SawBbv/bbv-merge.scm 653 */
																												bool_t
																													BgL_res3214z00_5380;
																												{	/* SawBbv/bbv-merge.scm 653 */
																													obj_t
																														BgL_oclassz00_5363;
																													{	/* SawBbv/bbv-merge.scm 653 */
																														obj_t
																															BgL_arg1866z00_5371;
																														long
																															BgL_arg1867z00_5372;
																														BgL_arg1866z00_5371
																															=
																															(BGl_za2classesza2z00zz__objectz00);
																														{	/* SawBbv/bbv-merge.scm 653 */
																															long
																																BgL_arg1869z00_5373;
																															BgL_arg1869z00_5373
																																=
																																BGL_OBJECT_CLASS_NUM
																																(BgL_arg1858z00_5349);
																															BgL_arg1867z00_5372
																																=
																																(BgL_arg1869z00_5373
																																- OBJECT_TYPE);
																														}
																														BgL_oclassz00_5363 =
																															VECTOR_REF
																															(BgL_arg1866z00_5371,
																															BgL_arg1867z00_5372);
																													}
																													{	/* SawBbv/bbv-merge.scm 653 */
																														bool_t
																															BgL__ortest_1115z00_5364;
																														BgL__ortest_1115z00_5364
																															=
																															(BgL_classz00_5347
																															==
																															BgL_oclassz00_5363);
																														if (BgL__ortest_1115z00_5364)
																															{	/* SawBbv/bbv-merge.scm 653 */
																																BgL_res3214z00_5380
																																	=
																																	BgL__ortest_1115z00_5364;
																															}
																														else
																															{	/* SawBbv/bbv-merge.scm 653 */
																																long
																																	BgL_odepthz00_5365;
																																{	/* SawBbv/bbv-merge.scm 653 */
																																	obj_t
																																		BgL_arg1855z00_5366;
																																	BgL_arg1855z00_5366
																																		=
																																		(BgL_oclassz00_5363);
																																	BgL_odepthz00_5365
																																		=
																																		BGL_CLASS_DEPTH
																																		(BgL_arg1855z00_5366);
																																}
																																if (
																																	(1L <
																																		BgL_odepthz00_5365))
																																	{	/* SawBbv/bbv-merge.scm 653 */
																																		obj_t
																																			BgL_arg1853z00_5368;
																																		{	/* SawBbv/bbv-merge.scm 653 */
																																			obj_t
																																				BgL_arg1854z00_5369;
																																			BgL_arg1854z00_5369
																																				=
																																				(BgL_oclassz00_5363);
																																			BgL_arg1853z00_5368
																																				=
																																				BGL_CLASS_ANCESTORS_REF
																																				(BgL_arg1854z00_5369,
																																				1L);
																																		}
																																		BgL_res3214z00_5380
																																			=
																																			(BgL_arg1853z00_5368
																																			==
																																			BgL_classz00_5347);
																																	}
																																else
																																	{	/* SawBbv/bbv-merge.scm 653 */
																																		BgL_res3214z00_5380
																																			=
																																			((bool_t)
																																			0);
																																	}
																															}
																													}
																												}
																												BgL_test3615z00_9688 =
																													BgL_res3214z00_5380;
																											}
																									}
																								else
																									{	/* SawBbv/bbv-merge.scm 653 */
																										BgL_test3615z00_9688 =
																											((bool_t) 0);
																									}
																							}
																						}
																						if (BgL_test3615z00_9688)
																							{	/* SawBbv/bbv-merge.scm 653 */
																								obj_t BgL_arg2537z00_3474;

																								BgL_arg2537z00_3474 =
																									(((BgL_bbvzd2ctxentryzd2_bglt)
																										COBJECT(BgL_yz00_3433))->
																									BgL_valuez00);
																								{	/* SawBbv/bbv-merge.scm 653 */
																									obj_t BgL_classz00_5381;

																									BgL_classz00_5381 =
																										BGl_bbvzd2rangezd2zzsaw_bbvzd2rangezd2;
																									if (BGL_OBJECTP
																										(BgL_arg2537z00_3474))
																										{	/* SawBbv/bbv-merge.scm 653 */
																											BgL_objectz00_bglt
																												BgL_arg1858z00_5383;
																											BgL_arg1858z00_5383 =
																												(BgL_objectz00_bglt)
																												(BgL_arg2537z00_3474);
																											if (BGL_CONDEXPAND_ISA_ARCH64())
																												{	/* SawBbv/bbv-merge.scm 653 */
																													long BgL_idxz00_5389;

																													BgL_idxz00_5389 =
																														BGL_OBJECT_INHERITANCE_NUM
																														(BgL_arg1858z00_5383);
																													BgL_test3614z00_9687 =
																														(VECTOR_REF
																														(BGl_za2inheritancesza2z00zz__objectz00,
																															(BgL_idxz00_5389 +
																																1L)) ==
																														BgL_classz00_5381);
																												}
																											else
																												{	/* SawBbv/bbv-merge.scm 653 */
																													bool_t
																														BgL_res3215z00_5414;
																													{	/* SawBbv/bbv-merge.scm 653 */
																														obj_t
																															BgL_oclassz00_5397;
																														{	/* SawBbv/bbv-merge.scm 653 */
																															obj_t
																																BgL_arg1866z00_5405;
																															long
																																BgL_arg1867z00_5406;
																															BgL_arg1866z00_5405
																																=
																																(BGl_za2classesza2z00zz__objectz00);
																															{	/* SawBbv/bbv-merge.scm 653 */
																																long
																																	BgL_arg1869z00_5407;
																																BgL_arg1869z00_5407
																																	=
																																	BGL_OBJECT_CLASS_NUM
																																	(BgL_arg1858z00_5383);
																																BgL_arg1867z00_5406
																																	=
																																	(BgL_arg1869z00_5407
																																	-
																																	OBJECT_TYPE);
																															}
																															BgL_oclassz00_5397
																																=
																																VECTOR_REF
																																(BgL_arg1866z00_5405,
																																BgL_arg1867z00_5406);
																														}
																														{	/* SawBbv/bbv-merge.scm 653 */
																															bool_t
																																BgL__ortest_1115z00_5398;
																															BgL__ortest_1115z00_5398
																																=
																																(BgL_classz00_5381
																																==
																																BgL_oclassz00_5397);
																															if (BgL__ortest_1115z00_5398)
																																{	/* SawBbv/bbv-merge.scm 653 */
																																	BgL_res3215z00_5414
																																		=
																																		BgL__ortest_1115z00_5398;
																																}
																															else
																																{	/* SawBbv/bbv-merge.scm 653 */
																																	long
																																		BgL_odepthz00_5399;
																																	{	/* SawBbv/bbv-merge.scm 653 */
																																		obj_t
																																			BgL_arg1855z00_5400;
																																		BgL_arg1855z00_5400
																																			=
																																			(BgL_oclassz00_5397);
																																		BgL_odepthz00_5399
																																			=
																																			BGL_CLASS_DEPTH
																																			(BgL_arg1855z00_5400);
																																	}
																																	if (
																																		(1L <
																																			BgL_odepthz00_5399))
																																		{	/* SawBbv/bbv-merge.scm 653 */
																																			obj_t
																																				BgL_arg1853z00_5402;
																																			{	/* SawBbv/bbv-merge.scm 653 */
																																				obj_t
																																					BgL_arg1854z00_5403;
																																				BgL_arg1854z00_5403
																																					=
																																					(BgL_oclassz00_5397);
																																				BgL_arg1853z00_5402
																																					=
																																					BGL_CLASS_ANCESTORS_REF
																																					(BgL_arg1854z00_5403,
																																					1L);
																																			}
																																			BgL_res3215z00_5414
																																				=
																																				(BgL_arg1853z00_5402
																																				==
																																				BgL_classz00_5381);
																																		}
																																	else
																																		{	/* SawBbv/bbv-merge.scm 653 */
																																			BgL_res3215z00_5414
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																														}
																													}
																													BgL_test3614z00_9687 =
																														BgL_res3215z00_5414;
																												}
																										}
																									else
																										{	/* SawBbv/bbv-merge.scm 653 */
																											BgL_test3614z00_9687 =
																												((bool_t) 0);
																										}
																								}
																							}
																						else
																							{	/* SawBbv/bbv-merge.scm 653 */
																								BgL_test3614z00_9687 =
																									((bool_t) 0);
																							}
																					}
																					if (BgL_test3614z00_9687)
																						{	/* SawBbv/bbv-merge.scm 654 */
																							BgL_bbvzd2rangezd2_bglt
																								BgL_i1261z00_3450;
																							BgL_i1261z00_3450 =
																								((BgL_bbvzd2rangezd2_bglt) ((
																										(BgL_bbvzd2ctxentryzd2_bglt)
																										COBJECT(BgL_xz00_3432))->
																									BgL_valuez00));
																							{	/* SawBbv/bbv-merge.scm 655 */
																								BgL_bbvzd2rangezd2_bglt
																									BgL_i1262z00_3451;
																								BgL_i1262z00_3451 =
																									((BgL_bbvzd2rangezd2_bglt) ((
																											(BgL_bbvzd2ctxentryzd2_bglt)
																											COBJECT(BgL_yz00_3433))->
																										BgL_valuez00));
																								{	/* SawBbv/bbv-merge.scm 656 */
																									bool_t BgL_test3624z00_9739;

																									if (
																										((long) CINT(
																												(((BgL_bbvzd2rangezd2_bglt) COBJECT(BgL_i1261z00_3450))->BgL_loz00)) == (long) CINT((((BgL_bbvzd2rangezd2_bglt) COBJECT(BgL_i1262z00_3451))->BgL_loz00))))
																										{	/* SawBbv/bbv-merge.scm 656 */
																											BgL_test3624z00_9739 =
																												(
																												(long) CINT(
																													(((BgL_bbvzd2rangezd2_bglt) COBJECT(BgL_i1261z00_3450))->BgL_upz00)) == (long) CINT((((BgL_bbvzd2rangezd2_bglt) COBJECT(BgL_i1262z00_3451))->BgL_upz00)));
																										}
																									else
																										{	/* SawBbv/bbv-merge.scm 656 */
																											BgL_test3624z00_9739 =
																												((bool_t) 0);
																										}
																									if (BgL_test3624z00_9739)
																										{	/* SawBbv/bbv-merge.scm 656 */
																											BgL_arg2585z00_3567 = 0L;
																										}
																									else
																										{	/* SawBbv/bbv-merge.scm 656 */
																											BgL_arg2585z00_3567 = 1L;
																										}
																								}
																							}
																						}
																					else
																						{	/* SawBbv/bbv-merge.scm 659 */
																							bool_t BgL_test3626z00_9751;

																							{	/* SawBbv/bbv-merge.scm 659 */
																								bool_t BgL_test3627z00_9752;

																								{	/* SawBbv/bbv-merge.scm 659 */
																									obj_t BgL_arg2536z00_3472;

																									BgL_arg2536z00_3472 =
																										(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_xz00_3432))->BgL_valuez00);
																									{	/* SawBbv/bbv-merge.scm 659 */
																										obj_t BgL_classz00_5419;

																										BgL_classz00_5419 =
																											BGl_bbvzd2rangezd2zzsaw_bbvzd2rangezd2;
																										if (BGL_OBJECTP
																											(BgL_arg2536z00_3472))
																											{	/* SawBbv/bbv-merge.scm 659 */
																												BgL_objectz00_bglt
																													BgL_arg1858z00_5421;
																												BgL_arg1858z00_5421 =
																													(BgL_objectz00_bglt)
																													(BgL_arg2536z00_3472);
																												if (BGL_CONDEXPAND_ISA_ARCH64())
																													{	/* SawBbv/bbv-merge.scm 659 */
																														long
																															BgL_idxz00_5427;
																														BgL_idxz00_5427 =
																															BGL_OBJECT_INHERITANCE_NUM
																															(BgL_arg1858z00_5421);
																														BgL_test3627z00_9752
																															=
																															(VECTOR_REF
																															(BGl_za2inheritancesza2z00zz__objectz00,
																																(BgL_idxz00_5427
																																	+ 1L)) ==
																															BgL_classz00_5419);
																													}
																												else
																													{	/* SawBbv/bbv-merge.scm 659 */
																														bool_t
																															BgL_res3216z00_5452;
																														{	/* SawBbv/bbv-merge.scm 659 */
																															obj_t
																																BgL_oclassz00_5435;
																															{	/* SawBbv/bbv-merge.scm 659 */
																																obj_t
																																	BgL_arg1866z00_5443;
																																long
																																	BgL_arg1867z00_5444;
																																BgL_arg1866z00_5443
																																	=
																																	(BGl_za2classesza2z00zz__objectz00);
																																{	/* SawBbv/bbv-merge.scm 659 */
																																	long
																																		BgL_arg1869z00_5445;
																																	BgL_arg1869z00_5445
																																		=
																																		BGL_OBJECT_CLASS_NUM
																																		(BgL_arg1858z00_5421);
																																	BgL_arg1867z00_5444
																																		=
																																		(BgL_arg1869z00_5445
																																		-
																																		OBJECT_TYPE);
																																}
																																BgL_oclassz00_5435
																																	=
																																	VECTOR_REF
																																	(BgL_arg1866z00_5443,
																																	BgL_arg1867z00_5444);
																															}
																															{	/* SawBbv/bbv-merge.scm 659 */
																																bool_t
																																	BgL__ortest_1115z00_5436;
																																BgL__ortest_1115z00_5436
																																	=
																																	(BgL_classz00_5419
																																	==
																																	BgL_oclassz00_5435);
																																if (BgL__ortest_1115z00_5436)
																																	{	/* SawBbv/bbv-merge.scm 659 */
																																		BgL_res3216z00_5452
																																			=
																																			BgL__ortest_1115z00_5436;
																																	}
																																else
																																	{	/* SawBbv/bbv-merge.scm 659 */
																																		long
																																			BgL_odepthz00_5437;
																																		{	/* SawBbv/bbv-merge.scm 659 */
																																			obj_t
																																				BgL_arg1855z00_5438;
																																			BgL_arg1855z00_5438
																																				=
																																				(BgL_oclassz00_5435);
																																			BgL_odepthz00_5437
																																				=
																																				BGL_CLASS_DEPTH
																																				(BgL_arg1855z00_5438);
																																		}
																																		if (
																																			(1L <
																																				BgL_odepthz00_5437))
																																			{	/* SawBbv/bbv-merge.scm 659 */
																																				obj_t
																																					BgL_arg1853z00_5440;
																																				{	/* SawBbv/bbv-merge.scm 659 */
																																					obj_t
																																						BgL_arg1854z00_5441;
																																					BgL_arg1854z00_5441
																																						=
																																						(BgL_oclassz00_5435);
																																					BgL_arg1853z00_5440
																																						=
																																						BGL_CLASS_ANCESTORS_REF
																																						(BgL_arg1854z00_5441,
																																						1L);
																																				}
																																				BgL_res3216z00_5452
																																					=
																																					(BgL_arg1853z00_5440
																																					==
																																					BgL_classz00_5419);
																																			}
																																		else
																																			{	/* SawBbv/bbv-merge.scm 659 */
																																				BgL_res3216z00_5452
																																					=
																																					(
																																					(bool_t)
																																					0);
																																			}
																																	}
																															}
																														}
																														BgL_test3627z00_9752
																															=
																															BgL_res3216z00_5452;
																													}
																											}
																										else
																											{	/* SawBbv/bbv-merge.scm 659 */
																												BgL_test3627z00_9752 =
																													((bool_t) 0);
																											}
																									}
																								}
																								if (BgL_test3627z00_9752)
																									{	/* SawBbv/bbv-merge.scm 659 */
																										BgL_test3626z00_9751 =
																											((bool_t) 1);
																									}
																								else
																									{	/* SawBbv/bbv-merge.scm 659 */
																										obj_t BgL_arg2535z00_3471;

																										BgL_arg2535z00_3471 =
																											(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_yz00_3433))->BgL_valuez00);
																										{	/* SawBbv/bbv-merge.scm 659 */
																											obj_t BgL_classz00_5453;

																											BgL_classz00_5453 =
																												BGl_bbvzd2rangezd2zzsaw_bbvzd2rangezd2;
																											if (BGL_OBJECTP
																												(BgL_arg2535z00_3471))
																												{	/* SawBbv/bbv-merge.scm 659 */
																													BgL_objectz00_bglt
																														BgL_arg1858z00_5455;
																													BgL_arg1858z00_5455 =
																														(BgL_objectz00_bglt)
																														(BgL_arg2535z00_3471);
																													if (BGL_CONDEXPAND_ISA_ARCH64())
																														{	/* SawBbv/bbv-merge.scm 659 */
																															long
																																BgL_idxz00_5461;
																															BgL_idxz00_5461 =
																																BGL_OBJECT_INHERITANCE_NUM
																																(BgL_arg1858z00_5455);
																															BgL_test3626z00_9751
																																=
																																(VECTOR_REF
																																(BGl_za2inheritancesza2z00zz__objectz00,
																																	(BgL_idxz00_5461
																																		+ 1L)) ==
																																BgL_classz00_5453);
																														}
																													else
																														{	/* SawBbv/bbv-merge.scm 659 */
																															bool_t
																																BgL_res3217z00_5486;
																															{	/* SawBbv/bbv-merge.scm 659 */
																																obj_t
																																	BgL_oclassz00_5469;
																																{	/* SawBbv/bbv-merge.scm 659 */
																																	obj_t
																																		BgL_arg1866z00_5477;
																																	long
																																		BgL_arg1867z00_5478;
																																	BgL_arg1866z00_5477
																																		=
																																		(BGl_za2classesza2z00zz__objectz00);
																																	{	/* SawBbv/bbv-merge.scm 659 */
																																		long
																																			BgL_arg1869z00_5479;
																																		BgL_arg1869z00_5479
																																			=
																																			BGL_OBJECT_CLASS_NUM
																																			(BgL_arg1858z00_5455);
																																		BgL_arg1867z00_5478
																																			=
																																			(BgL_arg1869z00_5479
																																			-
																																			OBJECT_TYPE);
																																	}
																																	BgL_oclassz00_5469
																																		=
																																		VECTOR_REF
																																		(BgL_arg1866z00_5477,
																																		BgL_arg1867z00_5478);
																																}
																																{	/* SawBbv/bbv-merge.scm 659 */
																																	bool_t
																																		BgL__ortest_1115z00_5470;
																																	BgL__ortest_1115z00_5470
																																		=
																																		(BgL_classz00_5453
																																		==
																																		BgL_oclassz00_5469);
																																	if (BgL__ortest_1115z00_5470)
																																		{	/* SawBbv/bbv-merge.scm 659 */
																																			BgL_res3217z00_5486
																																				=
																																				BgL__ortest_1115z00_5470;
																																		}
																																	else
																																		{	/* SawBbv/bbv-merge.scm 659 */
																																			long
																																				BgL_odepthz00_5471;
																																			{	/* SawBbv/bbv-merge.scm 659 */
																																				obj_t
																																					BgL_arg1855z00_5472;
																																				BgL_arg1855z00_5472
																																					=
																																					(BgL_oclassz00_5469);
																																				BgL_odepthz00_5471
																																					=
																																					BGL_CLASS_DEPTH
																																					(BgL_arg1855z00_5472);
																																			}
																																			if (
																																				(1L <
																																					BgL_odepthz00_5471))
																																				{	/* SawBbv/bbv-merge.scm 659 */
																																					obj_t
																																						BgL_arg1853z00_5474;
																																					{	/* SawBbv/bbv-merge.scm 659 */
																																						obj_t
																																							BgL_arg1854z00_5475;
																																						BgL_arg1854z00_5475
																																							=
																																							(BgL_oclassz00_5469);
																																						BgL_arg1853z00_5474
																																							=
																																							BGL_CLASS_ANCESTORS_REF
																																							(BgL_arg1854z00_5475,
																																							1L);
																																					}
																																					BgL_res3217z00_5486
																																						=
																																						(BgL_arg1853z00_5474
																																						==
																																						BgL_classz00_5453);
																																				}
																																			else
																																				{	/* SawBbv/bbv-merge.scm 659 */
																																					BgL_res3217z00_5486
																																						=
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																}
																															}
																															BgL_test3626z00_9751
																																=
																																BgL_res3217z00_5486;
																														}
																												}
																											else
																												{	/* SawBbv/bbv-merge.scm 659 */
																													BgL_test3626z00_9751 =
																														((bool_t) 0);
																												}
																										}
																									}
																							}
																							if (BgL_test3626z00_9751)
																								{	/* SawBbv/bbv-merge.scm 659 */
																									BgL_arg2585z00_3567 = 3L;
																								}
																							else
																								{	/* SawBbv/bbv-merge.scm 659 */
																									BgL_arg2585z00_3567 = 2L;
																								}
																						}
																				}
																			else
																				{	/* SawBbv/bbv-merge.scm 651 */
																					if (
																						(BBOOL(
																								(((BgL_bbvzd2ctxentryzd2_bglt)
																										COBJECT(BgL_xz00_3432))->
																									BgL_polarityz00)) ==
																							BBOOL(((
																										(BgL_bbvzd2ctxentryzd2_bglt)
																										COBJECT(BgL_yz00_3433))->
																									BgL_polarityz00))))
																						{	/* SawBbv/bbv-merge.scm 663 */
																							if (
																								(((BgL_bbvzd2ctxentryzd2_bglt)
																										COBJECT(BgL_xz00_3432))->
																									BgL_polarityz00))
																								{	/* SawBbv/bbv-merge.scm 670 */
																									bool_t BgL_test3638z00_9807;

																									{	/* SawBbv/bbv-merge.scm 670 */
																										bool_t BgL_test3639z00_9808;

																										{	/* SawBbv/bbv-merge.scm 670 */
																											obj_t BgL_arg2552z00_3487;

																											BgL_arg2552z00_3487 =
																												(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_xz00_3432))->BgL_typesz00);
																											BgL_test3639z00_9808 =
																												CBOOL
																												(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																												(BGl_za2objza2z00zztype_cachez00,
																													BgL_arg2552z00_3487));
																										}
																										if (BgL_test3639z00_9808)
																											{	/* SawBbv/bbv-merge.scm 670 */
																												BgL_test3638z00_9807 =
																													((bool_t) 1);
																											}
																										else
																											{	/* SawBbv/bbv-merge.scm 670 */
																												obj_t
																													BgL_arg2551z00_3486;
																												BgL_arg2551z00_3486 =
																													(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_yz00_3433))->BgL_typesz00);
																												BgL_test3638z00_9807 =
																													CBOOL
																													(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																													(BGl_za2objza2z00zztype_cachez00,
																														BgL_arg2551z00_3486));
																											}
																									}
																									if (BgL_test3638z00_9807)
																										{	/* SawBbv/bbv-merge.scm 670 */
																											BgL_arg2585z00_3567 = 4L;
																										}
																									else
																										{	/* SawBbv/bbv-merge.scm 670 */
																											BgL_arg2585z00_3567 = 11L;
																										}
																								}
																							else
																								{	/* SawBbv/bbv-merge.scm 666 */
																									bool_t BgL_test3640z00_9815;

																									{	/* SawBbv/bbv-merge.scm 666 */
																										bool_t BgL_test3641z00_9816;

																										{
																											obj_t BgL_l1759z00_3537;

																											BgL_l1759z00_3537 =
																												(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_xz00_3432))->BgL_typesz00);
																										BgL_zc3z04anonymousza32570ze3z87_3538:
																											if (NULLP
																												(BgL_l1759z00_3537))
																												{	/* SawBbv/bbv-merge.scm 666 */
																													BgL_test3641z00_9816 =
																														((bool_t) 1);
																												}
																											else
																												{	/* SawBbv/bbv-merge.scm 666 */
																													if (CBOOL
																														(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																															(CAR(((obj_t)
																																		BgL_l1759z00_3537)),
																																(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_yz00_3433))->BgL_typesz00))))
																														{
																															obj_t
																																BgL_l1759z00_9825;
																															BgL_l1759z00_9825
																																=
																																CDR(((obj_t)
																																	BgL_l1759z00_3537));
																															BgL_l1759z00_3537
																																=
																																BgL_l1759z00_9825;
																															goto
																																BgL_zc3z04anonymousza32570ze3z87_3538;
																														}
																													else
																														{	/* SawBbv/bbv-merge.scm 666 */
																															BgL_test3641z00_9816
																																= ((bool_t) 0);
																														}
																												}
																										}
																										if (BgL_test3641z00_9816)
																											{	/* SawBbv/bbv-merge.scm 666 */
																												BgL_test3640z00_9815 =
																													((bool_t) 1);
																											}
																										else
																											{
																												obj_t BgL_l1763z00_3526;

																												BgL_l1763z00_3526 =
																													(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_yz00_3433))->BgL_typesz00);
																											BgL_zc3z04anonymousza32566ze3z87_3527:
																												if (NULLP
																													(BgL_l1763z00_3526))
																													{	/* SawBbv/bbv-merge.scm 667 */
																														BgL_test3640z00_9815
																															= ((bool_t) 1);
																													}
																												else
																													{	/* SawBbv/bbv-merge.scm 667 */
																														if (CBOOL
																															(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																																(CAR(((obj_t)
																																			BgL_l1763z00_3526)),
																																	(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_xz00_3432))->BgL_typesz00))))
																															{
																																obj_t
																																	BgL_l1763z00_9837;
																																BgL_l1763z00_9837
																																	=
																																	CDR(((obj_t)
																																		BgL_l1763z00_3526));
																																BgL_l1763z00_3526
																																	=
																																	BgL_l1763z00_9837;
																																goto
																																	BgL_zc3z04anonymousza32566ze3z87_3527;
																															}
																														else
																															{	/* SawBbv/bbv-merge.scm 667 */
																																BgL_test3640z00_9815
																																	=
																																	((bool_t) 0);
																															}
																													}
																											}
																									}
																									if (BgL_test3640z00_9815)
																										{	/* SawBbv/bbv-merge.scm 666 */
																											BgL_arg2585z00_3567 = 4L;
																										}
																									else
																										{	/* SawBbv/bbv-merge.scm 666 */
																											BgL_arg2585z00_3567 = 5L;
																										}
																								}
																						}
																					else
																						{	/* SawBbv/bbv-merge.scm 663 */
																							BgL_arg2585z00_3567 = 10L;
																						}
																				}
																		}
																	}
																}
																BgL_newtail1771z00_3565 =
																	MAKE_YOUNG_PAIR(BINT(BgL_arg2585z00_3567),
																	BNIL);
															}
															SET_CDR(BgL_tail1770z00_3562,
																BgL_newtail1771z00_3565);
															{	/* SawBbv/bbv-merge.scm 678 */
																obj_t BgL_arg2584z00_3566;

																BgL_arg2584z00_3566 =
																	CDR(((obj_t) BgL_l1767z00_3561));
																{
																	obj_t BgL_tail1770z00_9849;
																	obj_t BgL_l1767z00_9848;

																	BgL_l1767z00_9848 = BgL_arg2584z00_3566;
																	BgL_tail1770z00_9849 =
																		BgL_newtail1771z00_3565;
																	BgL_tail1770z00_3562 = BgL_tail1770z00_9849;
																	BgL_l1767z00_3561 = BgL_l1767z00_9848;
																	goto BgL_zc3z04anonymousza32582ze3z87_3563;
																}
															}
														}
												}
											}
									}
									BgL_arg2591z00_3581 =
										BGl_zb2zb2zz__r4_numbers_6_5z00(BgL_runner2588z00_3573);
								}
							}
							return MAKE_YOUNG_PAIR(BgL_arg2591z00_3581, BgL_pz00_3574);
						}
				}
			}
		}

	}



/* &<@anonymous:2492> */
	obj_t BGl_z62zc3z04anonymousza32492ze3ze5zzsaw_bbvzd2mergezd2(obj_t
		BgL_envz00_6516, obj_t BgL_xz00_6517, obj_t BgL_yz00_6518)
	{
		{	/* SawBbv/bbv-merge.scm 697 */
			return
				BBOOL(
				((long) CINT(CAR(
							((obj_t) BgL_xz00_6517))) <=
					(long) CINT(CAR(((obj_t) BgL_yz00_6518)))));
		}

	}



/* bbv-block-merge-select-strategy-random */
	obj_t
		BGl_bbvzd2blockzd2mergezd2selectzd2strategyzd2randomzd2zzsaw_bbvzd2mergezd2
		(obj_t BgL_bsz00_268)
	{
		{	/* SawBbv/bbv-merge.scm 708 */
			{	/* SawBbv/bbv-merge.scm 710 */
				long BgL_lenz00_3587;

				BgL_lenz00_3587 = bgl_list_length(BgL_bsz00_268);
				{	/* SawBbv/bbv-merge.scm 710 */
					long BgL_xz00_3588;

					if ((BgL_lenz00_3587 == 0L))
						{	/* SawBbv/bbv-merge.scm 711 */
							BgL_xz00_3588 = 0L;
						}
					else
						{	/* SawBbv/bbv-merge.scm 711 */
							int BgL_arg1369z00_5528;

							BgL_arg1369z00_5528 = rand();
							BgL_xz00_3588 =
								BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(
								(long) (BgL_arg1369z00_5528), BgL_lenz00_3587);
						}
					{	/* SawBbv/bbv-merge.scm 711 */

						{

						BgL_zc3z04anonymousza32595ze3z87_3590:
							{	/* SawBbv/bbv-merge.scm 713 */
								long BgL_yz00_3591;

								if ((BgL_lenz00_3587 == 0L))
									{	/* SawBbv/bbv-merge.scm 713 */
										BgL_yz00_3591 = 0L;
									}
								else
									{	/* SawBbv/bbv-merge.scm 713 */
										int BgL_arg1369z00_5532;

										BgL_arg1369z00_5532 = rand();
										BgL_yz00_3591 =
											BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(
											(long) (BgL_arg1369z00_5532), BgL_lenz00_3587);
									}
								if ((BgL_xz00_3588 == BgL_yz00_3591))
									{	/* SawBbv/bbv-merge.scm 714 */
										goto BgL_zc3z04anonymousza32595ze3z87_3590;
									}
								else
									{	/* SawBbv/bbv-merge.scm 720 */
										obj_t BgL_val0_1787z00_3593;
										obj_t BgL_val1_1788z00_3594;

										BgL_val0_1787z00_3593 =
											bgl_list_ref(BgL_bsz00_268, BgL_xz00_3588);
										BgL_val1_1788z00_3594 =
											bgl_list_ref(BgL_bsz00_268, BgL_yz00_3591);
										{	/* SawBbv/bbv-merge.scm 720 */
											int BgL_tmpz00_9875;

											BgL_tmpz00_9875 = (int) (2L);
											BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9875);
										}
										{	/* SawBbv/bbv-merge.scm 720 */
											int BgL_tmpz00_9878;

											BgL_tmpz00_9878 = (int) (1L);
											BGL_MVALUES_VAL_SET(BgL_tmpz00_9878,
												BgL_val1_1788z00_3594);
										}
										return BgL_val0_1787z00_3593;
									}
							}
						}
					}
				}
			}
		}

	}



/* bbv-block-merge-select-strategy-first */
	obj_t
		BGl_bbvzd2blockzd2mergezd2selectzd2strategyzd2firstzd2zzsaw_bbvzd2mergezd2
		(obj_t BgL_bsz00_269)
	{
		{	/* SawBbv/bbv-merge.scm 727 */
			{	/* SawBbv/bbv-merge.scm 732 */
				obj_t BgL_val0_1789z00_3596;
				obj_t BgL_val1_1790z00_3597;

				BgL_val0_1789z00_3596 = CAR(BgL_bsz00_269);
				BgL_val1_1790z00_3597 = CAR(CDR(BgL_bsz00_269));
				{	/* SawBbv/bbv-merge.scm 732 */
					int BgL_tmpz00_9884;

					BgL_tmpz00_9884 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9884);
				}
				{	/* SawBbv/bbv-merge.scm 732 */
					int BgL_tmpz00_9887;

					BgL_tmpz00_9887 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_9887, BgL_val1_1790z00_3597);
				}
				return BgL_val0_1789z00_3596;
			}
		}

	}



/* merge-ctx */
	BgL_bbvzd2ctxzd2_bglt
		BGl_mergezd2ctxzd2zzsaw_bbvzd2mergezd2(BgL_bbvzd2ctxzd2_bglt
		BgL_ctx1z00_270, BgL_bbvzd2ctxzd2_bglt BgL_ctx2z00_271)
	{
		{	/* SawBbv/bbv-merge.scm 743 */
			{	/* SawBbv/bbv-merge.scm 745 */
				BgL_bbvzd2ctxzd2_bglt BgL_new1269z00_3599;

				{	/* SawBbv/bbv-merge.scm 745 */
					BgL_bbvzd2ctxzd2_bglt BgL_new1268z00_3617;

					BgL_new1268z00_3617 =
						((BgL_bbvzd2ctxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_bbvzd2ctxzd2_bgl))));
					{	/* SawBbv/bbv-merge.scm 745 */
						long BgL_arg2606z00_3618;

						BgL_arg2606z00_3618 =
							BGL_CLASS_NUM(BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1268z00_3617), BgL_arg2606z00_3618);
					}
					BgL_new1269z00_3599 = BgL_new1268z00_3617;
				}
				((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_new1269z00_3599))->BgL_idz00) =
					((long) (-1L)), BUNSPEC);
				{
					obj_t BgL_auxz00_9895;

					{	/* SawBbv/bbv-merge.scm 746 */
						obj_t BgL_l1791z00_3600;

						BgL_l1791z00_3600 =
							(((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_ctx1z00_270))->
							BgL_entriesz00);
						if (NULLP(BgL_l1791z00_3600))
							{	/* SawBbv/bbv-merge.scm 746 */
								BgL_auxz00_9895 = BNIL;
							}
						else
							{	/* SawBbv/bbv-merge.scm 746 */
								obj_t BgL_head1793z00_3602;

								BgL_head1793z00_3602 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1791z00_3604;
									obj_t BgL_tail1794z00_3605;

									BgL_l1791z00_3604 = BgL_l1791z00_3600;
									BgL_tail1794z00_3605 = BgL_head1793z00_3602;
								BgL_zc3z04anonymousza32598ze3z87_3606:
									if (NULLP(BgL_l1791z00_3604))
										{	/* SawBbv/bbv-merge.scm 746 */
											BgL_auxz00_9895 = CDR(BgL_head1793z00_3602);
										}
									else
										{	/* SawBbv/bbv-merge.scm 746 */
											obj_t BgL_newtail1795z00_3608;

											{	/* SawBbv/bbv-merge.scm 746 */
												BgL_bbvzd2ctxentryzd2_bglt BgL_arg2601z00_3610;

												{	/* SawBbv/bbv-merge.scm 746 */
													obj_t BgL_ez00_3611;

													BgL_ez00_3611 = CAR(((obj_t) BgL_l1791z00_3604));
													{	/* SawBbv/bbv-merge.scm 748 */
														obj_t BgL_arg2602z00_3613;

														{	/* SawBbv/bbv-merge.scm 748 */
															BgL_rtl_regz00_bglt BgL_arg2603z00_3614;

															BgL_arg2603z00_3614 =
																(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
																		((BgL_bbvzd2ctxentryzd2_bglt)
																			BgL_ez00_3611)))->BgL_regz00);
															BgL_arg2602z00_3613 =
																BGl_bbvzd2ctxzd2getz00zzsaw_bbvzd2typeszd2
																(BgL_ctx2z00_271, BgL_arg2603z00_3614);
														}
														BgL_arg2601z00_3610 =
															BGl_mergezd2ctxentryzd2zzsaw_bbvzd2mergezd2(
															((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_3611),
															((BgL_bbvzd2ctxentryzd2_bglt)
																BgL_arg2602z00_3613));
													}
												}
												BgL_newtail1795z00_3608 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg2601z00_3610), BNIL);
											}
											SET_CDR(BgL_tail1794z00_3605, BgL_newtail1795z00_3608);
											{	/* SawBbv/bbv-merge.scm 746 */
												obj_t BgL_arg2600z00_3609;

												BgL_arg2600z00_3609 = CDR(((obj_t) BgL_l1791z00_3604));
												{
													obj_t BgL_tail1794z00_9917;
													obj_t BgL_l1791z00_9916;

													BgL_l1791z00_9916 = BgL_arg2600z00_3609;
													BgL_tail1794z00_9917 = BgL_newtail1795z00_3608;
													BgL_tail1794z00_3605 = BgL_tail1794z00_9917;
													BgL_l1791z00_3604 = BgL_l1791z00_9916;
													goto BgL_zc3z04anonymousza32598ze3z87_3606;
												}
											}
										}
								}
							}
					}
					((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_new1269z00_3599))->
							BgL_entriesz00) = ((obj_t) BgL_auxz00_9895), BUNSPEC);
				}
				{	/* SawBbv/bbv-merge.scm 745 */
					obj_t BgL_fun2604z00_3616;

					BgL_fun2604z00_3616 =
						BGl_classzd2constructorzd2zz__objectz00
						(BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
					BGL_PROCEDURE_CALL1(BgL_fun2604z00_3616,
						((obj_t) BgL_new1269z00_3599));
				}
				return BgL_new1269z00_3599;
			}
		}

	}



/* merge-ctxentry */
	BgL_bbvzd2ctxentryzd2_bglt
		BGl_mergezd2ctxentryzd2zzsaw_bbvzd2mergezd2(BgL_bbvzd2ctxentryzd2_bglt
		BgL_e1z00_272, BgL_bbvzd2ctxentryzd2_bglt BgL_e2z00_273)
	{
		{	/* SawBbv/bbv-merge.scm 754 */
			{
				obj_t BgL_xz00_3706;
				obj_t BgL_yz00_3707;
				obj_t BgL_types1z00_3713;
				obj_t BgL_types2z00_3714;
				obj_t BgL_range1z00_3745;
				obj_t BgL_range2z00_3746;

				if (
					(BBOOL(
							(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_e1z00_272))->
								BgL_polarityz00)) ==
						BBOOL((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_e2z00_273))->
								BgL_polarityz00))))
					{	/* SawBbv/bbv-merge.scm 806 */
						if (
							(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_e1z00_272))->
								BgL_polarityz00))
							{	/* SawBbv/bbv-merge.scm 820 */
								bool_t BgL_test3653z00_9933;

								BgL_types1z00_3713 =
									(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_e1z00_272))->
									BgL_typesz00);
								BgL_types2z00_3714 =
									(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_e2z00_273))->
									BgL_typesz00);
								if ((bgl_list_length(BgL_types1z00_3713) ==
										bgl_list_length(BgL_types2z00_3714)))
									{
										obj_t BgL_l1796z00_3720;

										BgL_l1796z00_3720 = BgL_types1z00_3713;
									BgL_zc3z04anonymousza32707ze3z87_3721:
										if (NULLP(BgL_l1796z00_3720))
											{	/* SawBbv/bbv-merge.scm 763 */
												BgL_test3653z00_9933 = ((bool_t) 1);
											}
										else
											{	/* SawBbv/bbv-merge.scm 763 */
												bool_t BgL_test3656z00_9940;

												{	/* SawBbv/bbv-merge.scm 764 */
													obj_t BgL_tz00_3726;

													BgL_tz00_3726 = CAR(((obj_t) BgL_l1796z00_3720));
													{
														obj_t BgL_types2z00_3728;

														BgL_types2z00_3728 = BgL_types2z00_3714;
													BgL_zc3z04anonymousza32712ze3z87_3729:
														if (NULLP(BgL_types2z00_3728))
															{	/* SawBbv/bbv-merge.scm 766 */
																BgL_test3656z00_9940 = ((bool_t) 0);
															}
														else
															{	/* SawBbv/bbv-merge.scm 767 */
																bool_t BgL_test3658z00_9945;

																BgL_xz00_3706 = BgL_tz00_3726;
																BgL_yz00_3707 =
																	CAR(((obj_t) BgL_types2z00_3728));
																{	/* SawBbv/bbv-merge.scm 757 */
																	bool_t BgL__ortest_1271z00_3709;

																	BgL__ortest_1271z00_3709 =
																		(BgL_xz00_3706 == BgL_yz00_3707);
																	if (BgL__ortest_1271z00_3709)
																		{	/* SawBbv/bbv-merge.scm 757 */
																			BgL_test3658z00_9945 =
																				BgL__ortest_1271z00_3709;
																		}
																	else
																		{	/* SawBbv/bbv-merge.scm 758 */
																			bool_t BgL__ortest_1272z00_3710;

																			if (
																				(BgL_xz00_3706 ==
																					BGl_za2longza2z00zztype_cachez00))
																				{	/* SawBbv/bbv-merge.scm 758 */
																					BgL__ortest_1272z00_3710 =
																						(BgL_yz00_3707 ==
																						BGl_za2bintza2z00zztype_cachez00);
																				}
																			else
																				{	/* SawBbv/bbv-merge.scm 758 */
																					BgL__ortest_1272z00_3710 =
																						((bool_t) 0);
																				}
																			if (BgL__ortest_1272z00_3710)
																				{	/* SawBbv/bbv-merge.scm 758 */
																					BgL_test3658z00_9945 =
																						BgL__ortest_1272z00_3710;
																				}
																			else
																				{	/* SawBbv/bbv-merge.scm 758 */
																					if (
																						(BgL_xz00_3706 ==
																							BGl_za2bintza2z00zztype_cachez00))
																						{	/* SawBbv/bbv-merge.scm 759 */
																							BgL_test3658z00_9945 =
																								(BgL_yz00_3707 ==
																								BGl_za2longza2z00zztype_cachez00);
																						}
																					else
																						{	/* SawBbv/bbv-merge.scm 759 */
																							BgL_test3658z00_9945 =
																								((bool_t) 0);
																						}
																				}
																		}
																}
																if (BgL_test3658z00_9945)
																	{	/* SawBbv/bbv-merge.scm 767 */
																		BgL_test3656z00_9940 = ((bool_t) 1);
																	}
																else
																	{
																		obj_t BgL_types2z00_9957;

																		BgL_types2z00_9957 =
																			CDR(((obj_t) BgL_types2z00_3728));
																		BgL_types2z00_3728 = BgL_types2z00_9957;
																		goto BgL_zc3z04anonymousza32712ze3z87_3729;
																	}
															}
													}
												}
												if (BgL_test3656z00_9940)
													{
														obj_t BgL_l1796z00_9960;

														BgL_l1796z00_9960 =
															CDR(((obj_t) BgL_l1796z00_3720));
														BgL_l1796z00_3720 = BgL_l1796z00_9960;
														goto BgL_zc3z04anonymousza32707ze3z87_3721;
													}
												else
													{	/* SawBbv/bbv-merge.scm 763 */
														BgL_test3653z00_9933 = ((bool_t) 0);
													}
											}
									}
								else
									{	/* SawBbv/bbv-merge.scm 762 */
										BgL_test3653z00_9933 = ((bool_t) 0);
									}
								if (BgL_test3653z00_9933)
									{	/* SawBbv/bbv-merge.scm 831 */
										bool_t BgL_test3663z00_9965;

										{	/* SawBbv/bbv-merge.scm 831 */
											bool_t BgL_test3664z00_9966;

											{	/* SawBbv/bbv-merge.scm 831 */
												obj_t BgL_arg2655z00_3672;

												BgL_arg2655z00_3672 =
													(((BgL_bbvzd2ctxentryzd2_bglt)
														COBJECT(BgL_e1z00_272))->BgL_valuez00);
												{	/* SawBbv/bbv-merge.scm 831 */
													obj_t BgL_classz00_5579;

													BgL_classz00_5579 =
														BGl_bbvzd2rangezd2zzsaw_bbvzd2rangezd2;
													if (BGL_OBJECTP(BgL_arg2655z00_3672))
														{	/* SawBbv/bbv-merge.scm 831 */
															BgL_objectz00_bglt BgL_arg1858z00_5581;

															BgL_arg1858z00_5581 =
																(BgL_objectz00_bglt) (BgL_arg2655z00_3672);
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* SawBbv/bbv-merge.scm 831 */
																	long BgL_idxz00_5587;

																	BgL_idxz00_5587 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_5581);
																	BgL_test3664z00_9966 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_5587 + 1L)) ==
																		BgL_classz00_5579);
																}
															else
																{	/* SawBbv/bbv-merge.scm 831 */
																	bool_t BgL_res3220z00_5612;

																	{	/* SawBbv/bbv-merge.scm 831 */
																		obj_t BgL_oclassz00_5595;

																		{	/* SawBbv/bbv-merge.scm 831 */
																			obj_t BgL_arg1866z00_5603;
																			long BgL_arg1867z00_5604;

																			BgL_arg1866z00_5603 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* SawBbv/bbv-merge.scm 831 */
																				long BgL_arg1869z00_5605;

																				BgL_arg1869z00_5605 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_5581);
																				BgL_arg1867z00_5604 =
																					(BgL_arg1869z00_5605 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_5595 =
																				VECTOR_REF(BgL_arg1866z00_5603,
																				BgL_arg1867z00_5604);
																		}
																		{	/* SawBbv/bbv-merge.scm 831 */
																			bool_t BgL__ortest_1115z00_5596;

																			BgL__ortest_1115z00_5596 =
																				(BgL_classz00_5579 ==
																				BgL_oclassz00_5595);
																			if (BgL__ortest_1115z00_5596)
																				{	/* SawBbv/bbv-merge.scm 831 */
																					BgL_res3220z00_5612 =
																						BgL__ortest_1115z00_5596;
																				}
																			else
																				{	/* SawBbv/bbv-merge.scm 831 */
																					long BgL_odepthz00_5597;

																					{	/* SawBbv/bbv-merge.scm 831 */
																						obj_t BgL_arg1855z00_5598;

																						BgL_arg1855z00_5598 =
																							(BgL_oclassz00_5595);
																						BgL_odepthz00_5597 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_5598);
																					}
																					if ((1L < BgL_odepthz00_5597))
																						{	/* SawBbv/bbv-merge.scm 831 */
																							obj_t BgL_arg1853z00_5600;

																							{	/* SawBbv/bbv-merge.scm 831 */
																								obj_t BgL_arg1854z00_5601;

																								BgL_arg1854z00_5601 =
																									(BgL_oclassz00_5595);
																								BgL_arg1853z00_5600 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_5601, 1L);
																							}
																							BgL_res3220z00_5612 =
																								(BgL_arg1853z00_5600 ==
																								BgL_classz00_5579);
																						}
																					else
																						{	/* SawBbv/bbv-merge.scm 831 */
																							BgL_res3220z00_5612 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test3664z00_9966 = BgL_res3220z00_5612;
																}
														}
													else
														{	/* SawBbv/bbv-merge.scm 831 */
															BgL_test3664z00_9966 = ((bool_t) 0);
														}
												}
											}
											if (BgL_test3664z00_9966)
												{	/* SawBbv/bbv-merge.scm 831 */
													bool_t BgL_test3669z00_9990;

													{	/* SawBbv/bbv-merge.scm 831 */
														obj_t BgL_arg2652z00_3671;

														BgL_arg2652z00_3671 =
															(((BgL_bbvzd2ctxentryzd2_bglt)
																COBJECT(BgL_e2z00_273))->BgL_valuez00);
														{	/* SawBbv/bbv-merge.scm 831 */
															obj_t BgL_classz00_5613;

															BgL_classz00_5613 =
																BGl_bbvzd2rangezd2zzsaw_bbvzd2rangezd2;
															if (BGL_OBJECTP(BgL_arg2652z00_3671))
																{	/* SawBbv/bbv-merge.scm 831 */
																	BgL_objectz00_bglt BgL_arg1858z00_5615;

																	BgL_arg1858z00_5615 =
																		(BgL_objectz00_bglt) (BgL_arg2652z00_3671);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* SawBbv/bbv-merge.scm 831 */
																			long BgL_idxz00_5621;

																			BgL_idxz00_5621 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1858z00_5615);
																			BgL_test3669z00_9990 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_5621 + 1L)) ==
																				BgL_classz00_5613);
																		}
																	else
																		{	/* SawBbv/bbv-merge.scm 831 */
																			bool_t BgL_res3221z00_5646;

																			{	/* SawBbv/bbv-merge.scm 831 */
																				obj_t BgL_oclassz00_5629;

																				{	/* SawBbv/bbv-merge.scm 831 */
																					obj_t BgL_arg1866z00_5637;
																					long BgL_arg1867z00_5638;

																					BgL_arg1866z00_5637 =
																						(BGl_za2classesza2z00zz__objectz00);
																					{	/* SawBbv/bbv-merge.scm 831 */
																						long BgL_arg1869z00_5639;

																						BgL_arg1869z00_5639 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1858z00_5615);
																						BgL_arg1867z00_5638 =
																							(BgL_arg1869z00_5639 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_5629 =
																						VECTOR_REF(BgL_arg1866z00_5637,
																						BgL_arg1867z00_5638);
																				}
																				{	/* SawBbv/bbv-merge.scm 831 */
																					bool_t BgL__ortest_1115z00_5630;

																					BgL__ortest_1115z00_5630 =
																						(BgL_classz00_5613 ==
																						BgL_oclassz00_5629);
																					if (BgL__ortest_1115z00_5630)
																						{	/* SawBbv/bbv-merge.scm 831 */
																							BgL_res3221z00_5646 =
																								BgL__ortest_1115z00_5630;
																						}
																					else
																						{	/* SawBbv/bbv-merge.scm 831 */
																							long BgL_odepthz00_5631;

																							{	/* SawBbv/bbv-merge.scm 831 */
																								obj_t BgL_arg1855z00_5632;

																								BgL_arg1855z00_5632 =
																									(BgL_oclassz00_5629);
																								BgL_odepthz00_5631 =
																									BGL_CLASS_DEPTH
																									(BgL_arg1855z00_5632);
																							}
																							if ((1L < BgL_odepthz00_5631))
																								{	/* SawBbv/bbv-merge.scm 831 */
																									obj_t BgL_arg1853z00_5634;

																									{	/* SawBbv/bbv-merge.scm 831 */
																										obj_t BgL_arg1854z00_5635;

																										BgL_arg1854z00_5635 =
																											(BgL_oclassz00_5629);
																										BgL_arg1853z00_5634 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_arg1854z00_5635, 1L);
																									}
																									BgL_res3221z00_5646 =
																										(BgL_arg1853z00_5634 ==
																										BgL_classz00_5613);
																								}
																							else
																								{	/* SawBbv/bbv-merge.scm 831 */
																									BgL_res3221z00_5646 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test3669z00_9990 =
																				BgL_res3221z00_5646;
																		}
																}
															else
																{	/* SawBbv/bbv-merge.scm 831 */
																	BgL_test3669z00_9990 = ((bool_t) 0);
																}
														}
													}
													if (BgL_test3669z00_9990)
														{	/* SawBbv/bbv-merge.scm 831 */
															BgL_test3663z00_9965 = ((bool_t) 0);
														}
													else
														{	/* SawBbv/bbv-merge.scm 831 */
															BgL_test3663z00_9965 = ((bool_t) 1);
														}
												}
											else
												{	/* SawBbv/bbv-merge.scm 831 */
													BgL_test3663z00_9965 = ((bool_t) 1);
												}
										}
										if (BgL_test3663z00_9965)
											{	/* SawBbv/bbv-merge.scm 834 */
												BgL_bbvzd2ctxentryzd2_bglt BgL_new1291z00_3642;

												{	/* SawBbv/bbv-merge.scm 834 */
													BgL_bbvzd2ctxentryzd2_bglt BgL_new1294z00_3651;

													BgL_new1294z00_3651 =
														((BgL_bbvzd2ctxentryzd2_bglt)
														BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_bbvzd2ctxentryzd2_bgl))));
													{	/* SawBbv/bbv-merge.scm 834 */
														long BgL_arg2630z00_3652;

														BgL_arg2630z00_3652 =
															BGL_CLASS_NUM
															(BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2);
														BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																BgL_new1294z00_3651), BgL_arg2630z00_3652);
													}
													BgL_new1291z00_3642 = BgL_new1294z00_3651;
												}
												((((BgL_bbvzd2ctxentryzd2_bglt)
															COBJECT(BgL_new1291z00_3642))->BgL_regz00) =
													((BgL_rtl_regz00_bglt) (((BgL_bbvzd2ctxentryzd2_bglt)
																COBJECT(BgL_e1z00_272))->BgL_regz00)), BUNSPEC);
												((((BgL_bbvzd2ctxentryzd2_bglt)
															COBJECT(BgL_new1291z00_3642))->BgL_typesz00) =
													((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
																COBJECT(BgL_e1z00_272))->BgL_typesz00)),
													BUNSPEC);
												((((BgL_bbvzd2ctxentryzd2_bglt)
															COBJECT(BgL_new1291z00_3642))->BgL_polarityz00) =
													((bool_t) (((BgL_bbvzd2ctxentryzd2_bglt)
																COBJECT(BgL_e1z00_272))->BgL_polarityz00)),
													BUNSPEC);
												{
													long BgL_auxz00_10024;

													{	/* SawBbv/bbv-merge.scm 836 */
														long BgL_az00_3643;
														long BgL_bz00_3644;

														BgL_az00_3643 =
															(((BgL_bbvzd2ctxentryzd2_bglt)
																COBJECT(BgL_e1z00_272))->BgL_countz00);
														BgL_bz00_3644 =
															(((BgL_bbvzd2ctxentryzd2_bglt)
																COBJECT(BgL_e2z00_273))->BgL_countz00);
														if ((BgL_az00_3643 < BgL_bz00_3644))
															{	/* SawBbv/bbv-merge.scm 836 */
																BgL_auxz00_10024 = BgL_az00_3643;
															}
														else
															{	/* SawBbv/bbv-merge.scm 836 */
																BgL_auxz00_10024 = BgL_bz00_3644;
															}
													}
													((((BgL_bbvzd2ctxentryzd2_bglt)
																COBJECT(BgL_new1291z00_3642))->BgL_countz00) =
														((long) BgL_auxz00_10024), BUNSPEC);
												}
												((((BgL_bbvzd2ctxentryzd2_bglt)
															COBJECT(BgL_new1291z00_3642))->BgL_valuez00) =
													((obj_t) ((obj_t) CNST_TABLE_REF(13))), BUNSPEC);
												{
													obj_t BgL_auxz00_10033;

													{	/* SawBbv/bbv-merge.scm 835 */
														bool_t BgL_test3675z00_10034;

														{	/* SawBbv/bbv-merge.scm 835 */
															obj_t BgL_arg2628z00_3649;
															obj_t BgL_arg2629z00_3650;

															BgL_arg2628z00_3649 =
																(((BgL_bbvzd2ctxentryzd2_bglt)
																	COBJECT(BgL_e1z00_272))->BgL_aliasesz00);
															BgL_arg2629z00_3650 =
																(((BgL_bbvzd2ctxentryzd2_bglt)
																	COBJECT(BgL_e2z00_273))->BgL_aliasesz00);
															BgL_test3675z00_10034 =
																CBOOL
																(BGl_listzd2eqzf3ze70zc6zzsaw_bbvzd2mergezd2
																(BgL_arg2628z00_3649, BgL_arg2629z00_3650));
														}
														if (BgL_test3675z00_10034)
															{	/* SawBbv/bbv-merge.scm 835 */
																BgL_auxz00_10033 =
																	(((BgL_bbvzd2ctxentryzd2_bglt)
																		COBJECT(BgL_e1z00_272))->BgL_aliasesz00);
															}
														else
															{	/* SawBbv/bbv-merge.scm 835 */
																BgL_auxz00_10033 = BNIL;
															}
													}
													((((BgL_bbvzd2ctxentryzd2_bglt)
																COBJECT(BgL_new1291z00_3642))->BgL_aliasesz00) =
														((obj_t) BgL_auxz00_10033), BUNSPEC);
												}
												((((BgL_bbvzd2ctxentryzd2_bglt)
															COBJECT(BgL_new1291z00_3642))->BgL_initvalz00) =
													((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
																COBJECT(BgL_e1z00_272))->BgL_initvalz00)),
													BUNSPEC);
												return BgL_new1291z00_3642;
											}
										else
											{	/* SawBbv/bbv-merge.scm 839 */
												obj_t BgL_rangez00_3653;

												BgL_range1z00_3745 =
													(((BgL_bbvzd2ctxentryzd2_bglt)
														COBJECT(BgL_e1z00_272))->BgL_valuez00);
												BgL_range2z00_3746 =
													(((BgL_bbvzd2ctxentryzd2_bglt)
														COBJECT(BgL_e2z00_273))->BgL_valuez00);
												{	/* SawBbv/bbv-merge.scm 782 */
													obj_t BgL_arg2727z00_3750;
													obj_t BgL_arg2728z00_3751;
													obj_t BgL_arg2729z00_3752;

													{	/* SawBbv/bbv-merge.scm 782 */
														obj_t BgL_arg2730z00_3753;
														obj_t BgL_arg2731z00_3754;
														long BgL_arg2732z00_3755;

														BgL_arg2730z00_3753 =
															(((BgL_bbvzd2rangezd2_bglt) COBJECT(
																	((BgL_bbvzd2rangezd2_bglt)
																		BgL_range1z00_3745)))->BgL_loz00);
														BgL_arg2731z00_3754 =
															(((BgL_bbvzd2rangezd2_bglt)
																COBJECT(((BgL_bbvzd2rangezd2_bglt)
																		BgL_range2z00_3746)))->BgL_loz00);
														{	/* SawBbv/bbv-merge.scm 782 */
															long BgL_arg3011z00_5558;

															{	/* SawBbv/bbv-merge.scm 782 */
																long BgL_arg3012z00_5559;

																{	/* SawBbv/bbv-merge.scm 782 */
																	long BgL_arg3013z00_5560;

																	{	/* SawBbv/bbv-merge.scm 782 */
																		obj_t BgL_arg3015z00_5561;

																		BgL_arg3015z00_5561 =
																			BGl_bigloozd2configzd2zz__configurez00(
																			((obj_t) CNST_TABLE_REF(12)));
																		BgL_arg3013z00_5560 =
																			((long) CINT(BgL_arg3015z00_5561) - 2L);
																	}
																	BgL_arg3012z00_5559 =
																		(1L << (int) (BgL_arg3013z00_5560));
																}
																BgL_arg3011z00_5558 = NEG(BgL_arg3012z00_5559);
															}
															BgL_arg2732z00_3755 = (BgL_arg3011z00_5558 - 1L);
														}
														BgL_arg2727z00_3750 =
															BGl_minrvz00zzsaw_bbvzd2rangezd2
															(BgL_arg2730z00_3753, BgL_arg2731z00_3754,
															BINT(BgL_arg2732z00_3755));
													}
													{	/* SawBbv/bbv-merge.scm 783 */
														obj_t BgL_arg2733z00_3756;
														obj_t BgL_arg2734z00_3757;
														long BgL_arg2735z00_3758;

														BgL_arg2733z00_3756 =
															(((BgL_bbvzd2rangezd2_bglt) COBJECT(
																	((BgL_bbvzd2rangezd2_bglt)
																		BgL_range1z00_3745)))->BgL_upz00);
														BgL_arg2734z00_3757 =
															(((BgL_bbvzd2rangezd2_bglt)
																COBJECT(((BgL_bbvzd2rangezd2_bglt)
																		BgL_range2z00_3746)))->BgL_upz00);
														{	/* SawBbv/bbv-merge.scm 783 */
															long BgL_arg3013z00_5566;

															{	/* SawBbv/bbv-merge.scm 783 */
																obj_t BgL_arg3015z00_5567;

																BgL_arg3015z00_5567 =
																	BGl_bigloozd2configzd2zz__configurez00(
																	((obj_t) CNST_TABLE_REF(12)));
																BgL_arg3013z00_5566 =
																	((long) CINT(BgL_arg3015z00_5567) - 2L);
															}
															BgL_arg2735z00_3758 =
																(1L << (int) (BgL_arg3013z00_5566));
														}
														BgL_arg2728z00_3751 =
															BGl_maxrvz00zzsaw_bbvzd2rangezd2
															(BgL_arg2733z00_3756, BgL_arg2734z00_3757,
															BINT(BgL_arg2735z00_3758));
													}
													{	/* SawBbv/bbv-merge.scm 784 */
														obj_t BgL_list2736z00_3759;

														{	/* SawBbv/bbv-merge.scm 784 */
															obj_t BgL_arg2737z00_3760;

															BgL_arg2737z00_3760 =
																MAKE_YOUNG_PAIR(BgL_range2z00_3746, BNIL);
															BgL_list2736z00_3759 =
																MAKE_YOUNG_PAIR(BgL_range1z00_3745,
																BgL_arg2737z00_3760);
														}
														BgL_arg2729z00_3752 = BgL_list2736z00_3759;
													}
													BgL_rangez00_3653 =
														BGl_rangezd2wideningzd2zzsaw_bbvzd2mergezd2
														(BgL_arg2727z00_3750, BgL_arg2728z00_3751,
														BgL_arg2729z00_3752);
												}
												{	/* SawBbv/bbv-merge.scm 842 */
													BgL_bbvzd2ctxentryzd2_bglt BgL_new1295z00_3655;

													{	/* SawBbv/bbv-merge.scm 842 */
														BgL_bbvzd2ctxentryzd2_bglt BgL_new1298z00_3665;

														BgL_new1298z00_3665 =
															((BgL_bbvzd2ctxentryzd2_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_bbvzd2ctxentryzd2_bgl))));
														{	/* SawBbv/bbv-merge.scm 842 */
															long BgL_arg2643z00_3666;

															BgL_arg2643z00_3666 =
																BGL_CLASS_NUM
																(BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2);
															BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																	BgL_new1298z00_3665), BgL_arg2643z00_3666);
														}
														BgL_new1295z00_3655 = BgL_new1298z00_3665;
													}
													((((BgL_bbvzd2ctxentryzd2_bglt)
																COBJECT(BgL_new1295z00_3655))->BgL_regz00) =
														((BgL_rtl_regz00_bglt) ((
																	(BgL_bbvzd2ctxentryzd2_bglt)
																	COBJECT(BgL_e1z00_272))->BgL_regz00)),
														BUNSPEC);
													((((BgL_bbvzd2ctxentryzd2_bglt)
																COBJECT(BgL_new1295z00_3655))->BgL_typesz00) =
														((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
																	COBJECT(BgL_e1z00_272))->BgL_typesz00)),
														BUNSPEC);
													((((BgL_bbvzd2ctxentryzd2_bglt)
																COBJECT(BgL_new1295z00_3655))->
															BgL_polarityz00) =
														((bool_t) (((BgL_bbvzd2ctxentryzd2_bglt)
																	COBJECT(BgL_e1z00_272))->BgL_polarityz00)),
														BUNSPEC);
													{
														long BgL_auxz00_10086;

														{	/* SawBbv/bbv-merge.scm 844 */
															long BgL_az00_3656;
															long BgL_bz00_3657;

															BgL_az00_3656 =
																(((BgL_bbvzd2ctxentryzd2_bglt)
																	COBJECT(BgL_e1z00_272))->BgL_countz00);
															BgL_bz00_3657 =
																(((BgL_bbvzd2ctxentryzd2_bglt)
																	COBJECT(BgL_e2z00_273))->BgL_countz00);
															if ((BgL_az00_3656 < BgL_bz00_3657))
																{	/* SawBbv/bbv-merge.scm 844 */
																	BgL_auxz00_10086 = BgL_az00_3656;
																}
															else
																{	/* SawBbv/bbv-merge.scm 844 */
																	BgL_auxz00_10086 = BgL_bz00_3657;
																}
														}
														((((BgL_bbvzd2ctxentryzd2_bglt)
																	COBJECT(BgL_new1295z00_3655))->BgL_countz00) =
															((long) BgL_auxz00_10086), BUNSPEC);
													}
													{
														obj_t BgL_auxz00_10092;

														if (CBOOL(BgL_rangez00_3653))
															{	/* SawBbv/bbv-merge.scm 845 */
																BgL_auxz00_10092 = BgL_rangez00_3653;
															}
														else
															{	/* SawBbv/bbv-merge.scm 845 */
																BgL_auxz00_10092 =
																	((obj_t)
																	BGl_fixnumzd2rangezd2zzsaw_bbvzd2rangezd2());
															}
														((((BgL_bbvzd2ctxentryzd2_bglt)
																	COBJECT(BgL_new1295z00_3655))->BgL_valuez00) =
															((obj_t) BgL_auxz00_10092), BUNSPEC);
													}
													{
														obj_t BgL_auxz00_10098;

														{	/* SawBbv/bbv-merge.scm 843 */
															bool_t BgL_test3678z00_10099;

															{	/* SawBbv/bbv-merge.scm 843 */
																obj_t BgL_arg2636z00_3663;
																obj_t BgL_arg2640z00_3664;

																BgL_arg2636z00_3663 =
																	(((BgL_bbvzd2ctxentryzd2_bglt)
																		COBJECT(BgL_e1z00_272))->BgL_aliasesz00);
																BgL_arg2640z00_3664 =
																	(((BgL_bbvzd2ctxentryzd2_bglt)
																		COBJECT(BgL_e2z00_273))->BgL_aliasesz00);
																BgL_test3678z00_10099 =
																	CBOOL
																	(BGl_listzd2eqzf3ze70zc6zzsaw_bbvzd2mergezd2
																	(BgL_arg2636z00_3663, BgL_arg2640z00_3664));
															}
															if (BgL_test3678z00_10099)
																{	/* SawBbv/bbv-merge.scm 843 */
																	BgL_auxz00_10098 =
																		(((BgL_bbvzd2ctxentryzd2_bglt)
																			COBJECT(BgL_e1z00_272))->BgL_aliasesz00);
																}
															else
																{	/* SawBbv/bbv-merge.scm 843 */
																	BgL_auxz00_10098 = BNIL;
																}
														}
														((((BgL_bbvzd2ctxentryzd2_bglt)
																	COBJECT(BgL_new1295z00_3655))->
																BgL_aliasesz00) =
															((obj_t) BgL_auxz00_10098), BUNSPEC);
													}
													((((BgL_bbvzd2ctxentryzd2_bglt)
																COBJECT(BgL_new1295z00_3655))->BgL_initvalz00) =
														((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
																	COBJECT(BgL_e1z00_272))->BgL_initvalz00)),
														BUNSPEC);
													return BgL_new1295z00_3655;
												}
											}
									}
								else
									{	/* SawBbv/bbv-merge.scm 823 */
										obj_t BgL_tsz00_3673;

										BgL_tsz00_3673 =
											BGl_typeszd2intersectionze70z35zzsaw_bbvzd2mergezd2(
											(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_e1z00_272))->
												BgL_typesz00),
											(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_e2z00_273))->
												BgL_typesz00));
										if (NULLP(BgL_tsz00_3673))
											{	/* SawBbv/bbv-merge.scm 824 */
											BgL_zc3z04anonymousza32723ze3z87_3739:
												{	/* SawBbv/bbv-merge.scm 772 */
													BgL_bbvzd2ctxentryzd2_bglt BgL_new1275z00_3741;

													{	/* SawBbv/bbv-merge.scm 772 */
														BgL_bbvzd2ctxentryzd2_bglt BgL_new1278z00_3743;

														BgL_new1278z00_3743 =
															((BgL_bbvzd2ctxentryzd2_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_bbvzd2ctxentryzd2_bgl))));
														{	/* SawBbv/bbv-merge.scm 772 */
															long BgL_arg2725z00_3744;

															BgL_arg2725z00_3744 =
																BGL_CLASS_NUM
																(BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2);
															BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																	BgL_new1278z00_3743), BgL_arg2725z00_3744);
														}
														BgL_new1275z00_3741 = BgL_new1278z00_3743;
													}
													((((BgL_bbvzd2ctxentryzd2_bglt)
																COBJECT(BgL_new1275z00_3741))->BgL_regz00) =
														((BgL_rtl_regz00_bglt) ((
																	(BgL_bbvzd2ctxentryzd2_bglt)
																	COBJECT(BgL_e1z00_272))->BgL_regz00)),
														BUNSPEC);
													{
														obj_t BgL_auxz00_10119;

														{	/* SawBbv/bbv-merge.scm 773 */
															obj_t BgL_list2724z00_3742;

															BgL_list2724z00_3742 =
																MAKE_YOUNG_PAIR(BGl_za2objza2z00zztype_cachez00,
																BNIL);
															BgL_auxz00_10119 = BgL_list2724z00_3742;
														}
														((((BgL_bbvzd2ctxentryzd2_bglt)
																	COBJECT(BgL_new1275z00_3741))->BgL_typesz00) =
															((obj_t) BgL_auxz00_10119), BUNSPEC);
													}
													((((BgL_bbvzd2ctxentryzd2_bglt)
																COBJECT(BgL_new1275z00_3741))->
															BgL_polarityz00) =
														((bool_t) ((bool_t) 1)), BUNSPEC);
													((((BgL_bbvzd2ctxentryzd2_bglt)
																COBJECT(BgL_new1275z00_3741))->BgL_countz00) =
														((long) (((BgL_bbvzd2ctxentryzd2_bglt)
																	COBJECT(BgL_e1z00_272))->BgL_countz00)),
														BUNSPEC);
													((((BgL_bbvzd2ctxentryzd2_bglt)
																COBJECT(BgL_new1275z00_3741))->BgL_valuez00) =
														((obj_t) ((obj_t) CNST_TABLE_REF(13))), BUNSPEC);
													((((BgL_bbvzd2ctxentryzd2_bglt)
																COBJECT(BgL_new1275z00_3741))->BgL_aliasesz00) =
														((obj_t) BNIL), BUNSPEC);
													((((BgL_bbvzd2ctxentryzd2_bglt)
																COBJECT(BgL_new1275z00_3741))->BgL_initvalz00) =
														((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
																	COBJECT(BgL_e1z00_272))->BgL_initvalz00)),
														BUNSPEC);
													return BgL_new1275z00_3741;
												}
											}
										else
											{	/* SawBbv/bbv-merge.scm 826 */
												BgL_bbvzd2ctxentryzd2_bglt BgL_new1287z00_3676;

												{	/* SawBbv/bbv-merge.scm 826 */
													BgL_bbvzd2ctxentryzd2_bglt BgL_new1290z00_3685;

													BgL_new1290z00_3685 =
														((BgL_bbvzd2ctxentryzd2_bglt)
														BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_bbvzd2ctxentryzd2_bgl))));
													{	/* SawBbv/bbv-merge.scm 826 */
														long BgL_arg2665z00_3686;

														BgL_arg2665z00_3686 =
															BGL_CLASS_NUM
															(BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2);
														BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																BgL_new1290z00_3685), BgL_arg2665z00_3686);
													}
													BgL_new1287z00_3676 = BgL_new1290z00_3685;
												}
												((((BgL_bbvzd2ctxentryzd2_bglt)
															COBJECT(BgL_new1287z00_3676))->BgL_regz00) =
													((BgL_rtl_regz00_bglt) (((BgL_bbvzd2ctxentryzd2_bglt)
																COBJECT(BgL_e1z00_272))->BgL_regz00)), BUNSPEC);
												((((BgL_bbvzd2ctxentryzd2_bglt)
															COBJECT(BgL_new1287z00_3676))->BgL_typesz00) =
													((obj_t) BgL_tsz00_3673), BUNSPEC);
												((((BgL_bbvzd2ctxentryzd2_bglt)
															COBJECT(BgL_new1287z00_3676))->BgL_polarityz00) =
													((bool_t) (((BgL_bbvzd2ctxentryzd2_bglt)
																COBJECT(BgL_e1z00_272))->BgL_polarityz00)),
													BUNSPEC);
												{
													long BgL_auxz00_10140;

													{	/* SawBbv/bbv-merge.scm 829 */
														long BgL_az00_3677;
														long BgL_bz00_3678;

														BgL_az00_3677 =
															(((BgL_bbvzd2ctxentryzd2_bglt)
																COBJECT(BgL_e1z00_272))->BgL_countz00);
														BgL_bz00_3678 =
															(((BgL_bbvzd2ctxentryzd2_bglt)
																COBJECT(BgL_e2z00_273))->BgL_countz00);
														if ((BgL_az00_3677 < BgL_bz00_3678))
															{	/* SawBbv/bbv-merge.scm 829 */
																BgL_auxz00_10140 = BgL_az00_3677;
															}
														else
															{	/* SawBbv/bbv-merge.scm 829 */
																BgL_auxz00_10140 = BgL_bz00_3678;
															}
													}
													((((BgL_bbvzd2ctxentryzd2_bglt)
																COBJECT(BgL_new1287z00_3676))->BgL_countz00) =
														((long) BgL_auxz00_10140), BUNSPEC);
												}
												((((BgL_bbvzd2ctxentryzd2_bglt)
															COBJECT(BgL_new1287z00_3676))->BgL_valuez00) =
													((obj_t) ((obj_t) CNST_TABLE_REF(13))), BUNSPEC);
												{
													obj_t BgL_auxz00_10149;

													{	/* SawBbv/bbv-merge.scm 827 */
														bool_t BgL_test3681z00_10150;

														{	/* SawBbv/bbv-merge.scm 827 */
															obj_t BgL_arg2662z00_3683;
															obj_t BgL_arg2663z00_3684;

															BgL_arg2662z00_3683 =
																(((BgL_bbvzd2ctxentryzd2_bglt)
																	COBJECT(BgL_e1z00_272))->BgL_aliasesz00);
															BgL_arg2663z00_3684 =
																(((BgL_bbvzd2ctxentryzd2_bglt)
																	COBJECT(BgL_e2z00_273))->BgL_aliasesz00);
															BgL_test3681z00_10150 =
																CBOOL
																(BGl_listzd2eqzf3ze70zc6zzsaw_bbvzd2mergezd2
																(BgL_arg2662z00_3683, BgL_arg2663z00_3684));
														}
														if (BgL_test3681z00_10150)
															{	/* SawBbv/bbv-merge.scm 827 */
																BgL_auxz00_10149 =
																	(((BgL_bbvzd2ctxentryzd2_bglt)
																		COBJECT(BgL_e1z00_272))->BgL_aliasesz00);
															}
														else
															{	/* SawBbv/bbv-merge.scm 827 */
																BgL_auxz00_10149 = BNIL;
															}
													}
													((((BgL_bbvzd2ctxentryzd2_bglt)
																COBJECT(BgL_new1287z00_3676))->BgL_aliasesz00) =
														((obj_t) BgL_auxz00_10149), BUNSPEC);
												}
												((((BgL_bbvzd2ctxentryzd2_bglt)
															COBJECT(BgL_new1287z00_3676))->BgL_initvalz00) =
													((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
																COBJECT(BgL_e1z00_272))->BgL_initvalz00)),
													BUNSPEC);
												return BgL_new1287z00_3676;
											}
									}
							}
						else
							{	/* SawBbv/bbv-merge.scm 811 */
								obj_t BgL_tsz00_3691;

								BgL_tsz00_3691 =
									BGl_typeszd2intersectionze70z35zzsaw_bbvzd2mergezd2(
									(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_e1z00_272))->
										BgL_typesz00),
									(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_e2z00_273))->
										BgL_typesz00));
								if (NULLP(BgL_tsz00_3691))
									{	/* SawBbv/bbv-merge.scm 813 */
										goto BgL_zc3z04anonymousza32723ze3z87_3739;
									}
								else
									{	/* SawBbv/bbv-merge.scm 815 */
										BgL_bbvzd2ctxentryzd2_bglt BgL_new1283z00_3694;

										{	/* SawBbv/bbv-merge.scm 815 */
											BgL_bbvzd2ctxentryzd2_bglt BgL_new1286z00_3700;

											BgL_new1286z00_3700 =
												((BgL_bbvzd2ctxentryzd2_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_bbvzd2ctxentryzd2_bgl))));
											{	/* SawBbv/bbv-merge.scm 815 */
												long BgL_arg2680z00_3701;

												BgL_arg2680z00_3701 =
													BGL_CLASS_NUM
													(BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2);
												BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
														BgL_new1286z00_3700), BgL_arg2680z00_3701);
											}
											BgL_new1283z00_3694 = BgL_new1286z00_3700;
										}
										((((BgL_bbvzd2ctxentryzd2_bglt)
													COBJECT(BgL_new1283z00_3694))->BgL_regz00) =
											((BgL_rtl_regz00_bglt) (((BgL_bbvzd2ctxentryzd2_bglt)
														COBJECT(BgL_e1z00_272))->BgL_regz00)), BUNSPEC);
										((((BgL_bbvzd2ctxentryzd2_bglt)
													COBJECT(BgL_new1283z00_3694))->BgL_typesz00) =
											((obj_t) BgL_tsz00_3691), BUNSPEC);
										((((BgL_bbvzd2ctxentryzd2_bglt)
													COBJECT(BgL_new1283z00_3694))->BgL_polarityz00) =
											((bool_t) (((BgL_bbvzd2ctxentryzd2_bglt)
														COBJECT(BgL_e1z00_272))->BgL_polarityz00)),
											BUNSPEC);
										((((BgL_bbvzd2ctxentryzd2_bglt)
													COBJECT(BgL_new1283z00_3694))->BgL_countz00) =
											((long) 1L), BUNSPEC);
										((((BgL_bbvzd2ctxentryzd2_bglt)
													COBJECT(BgL_new1283z00_3694))->BgL_valuez00) =
											((obj_t) ((obj_t) CNST_TABLE_REF(13))), BUNSPEC);
										{
											obj_t BgL_auxz00_10177;

											{	/* SawBbv/bbv-merge.scm 816 */
												bool_t BgL_test3683z00_10178;

												{	/* SawBbv/bbv-merge.scm 816 */
													obj_t BgL_arg2676z00_3698;
													obj_t BgL_arg2679z00_3699;

													BgL_arg2676z00_3698 =
														(((BgL_bbvzd2ctxentryzd2_bglt)
															COBJECT(BgL_e1z00_272))->BgL_aliasesz00);
													BgL_arg2679z00_3699 =
														(((BgL_bbvzd2ctxentryzd2_bglt)
															COBJECT(BgL_e2z00_273))->BgL_aliasesz00);
													BgL_test3683z00_10178 =
														CBOOL(BGl_listzd2eqzf3ze70zc6zzsaw_bbvzd2mergezd2
														(BgL_arg2676z00_3698, BgL_arg2679z00_3699));
												}
												if (BgL_test3683z00_10178)
													{	/* SawBbv/bbv-merge.scm 816 */
														BgL_auxz00_10177 =
															(((BgL_bbvzd2ctxentryzd2_bglt)
																COBJECT(BgL_e1z00_272))->BgL_aliasesz00);
													}
												else
													{	/* SawBbv/bbv-merge.scm 816 */
														BgL_auxz00_10177 = BNIL;
													}
											}
											((((BgL_bbvzd2ctxentryzd2_bglt)
														COBJECT(BgL_new1283z00_3694))->BgL_aliasesz00) =
												((obj_t) BgL_auxz00_10177), BUNSPEC);
										}
										((((BgL_bbvzd2ctxentryzd2_bglt)
													COBJECT(BgL_new1283z00_3694))->BgL_initvalz00) =
											((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
														COBJECT(BgL_e1z00_272))->BgL_initvalz00)), BUNSPEC);
										return BgL_new1283z00_3694;
									}
							}
					}
				else
					{	/* SawBbv/bbv-merge.scm 806 */
						goto BgL_zc3z04anonymousza32723ze3z87_3739;
					}
			}
		}

	}



/* types-intersection~0 */
	obj_t BGl_typeszd2intersectionze70z35zzsaw_bbvzd2mergezd2(obj_t
		BgL_ts1z00_3761, obj_t BgL_ts2z00_3762)
	{
		{	/* SawBbv/bbv-merge.scm 788 */
			{	/* SawBbv/bbv-merge.scm 788 */
				obj_t BgL_hook1803z00_3764;

				BgL_hook1803z00_3764 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
				{
					obj_t BgL_l1800z00_3766;
					obj_t BgL_h1801z00_3767;

					BgL_l1800z00_3766 = BgL_ts1z00_3761;
					BgL_h1801z00_3767 = BgL_hook1803z00_3764;
				BgL_zc3z04anonymousza32739ze3z87_3768:
					if (NULLP(BgL_l1800z00_3766))
						{	/* SawBbv/bbv-merge.scm 788 */
							return CDR(BgL_hook1803z00_3764);
						}
					else
						{	/* SawBbv/bbv-merge.scm 788 */
							if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CAR(
											((obj_t) BgL_l1800z00_3766)), BgL_ts2z00_3762)))
								{	/* SawBbv/bbv-merge.scm 788 */
									obj_t BgL_nh1802z00_3772;

									{	/* SawBbv/bbv-merge.scm 788 */
										obj_t BgL_arg2743z00_3774;

										BgL_arg2743z00_3774 = CAR(((obj_t) BgL_l1800z00_3766));
										BgL_nh1802z00_3772 =
											MAKE_YOUNG_PAIR(BgL_arg2743z00_3774, BNIL);
									}
									SET_CDR(BgL_h1801z00_3767, BgL_nh1802z00_3772);
									{	/* SawBbv/bbv-merge.scm 788 */
										obj_t BgL_arg2742z00_3773;

										BgL_arg2742z00_3773 = CDR(((obj_t) BgL_l1800z00_3766));
										{
											obj_t BgL_h1801z00_10203;
											obj_t BgL_l1800z00_10202;

											BgL_l1800z00_10202 = BgL_arg2742z00_3773;
											BgL_h1801z00_10203 = BgL_nh1802z00_3772;
											BgL_h1801z00_3767 = BgL_h1801z00_10203;
											BgL_l1800z00_3766 = BgL_l1800z00_10202;
											goto BgL_zc3z04anonymousza32739ze3z87_3768;
										}
									}
								}
							else
								{	/* SawBbv/bbv-merge.scm 788 */
									obj_t BgL_arg2744z00_3775;

									BgL_arg2744z00_3775 = CDR(((obj_t) BgL_l1800z00_3766));
									{
										obj_t BgL_l1800z00_10206;

										BgL_l1800z00_10206 = BgL_arg2744z00_3775;
										BgL_l1800z00_3766 = BgL_l1800z00_10206;
										goto BgL_zc3z04anonymousza32739ze3z87_3768;
									}
								}
						}
				}
			}
		}

	}



/* list-eq?~0 */
	obj_t BGl_listzd2eqzf3ze70zc6zzsaw_bbvzd2mergezd2(obj_t BgL_l1z00_3778,
		obj_t BgL_l2z00_3779)
	{
		{	/* SawBbv/bbv-merge.scm 792 */
			if ((bgl_list_length(BgL_l1z00_3778) == bgl_list_length(BgL_l2z00_3779)))
				{	/* SawBbv/bbv-merge.scm 792 */
					obj_t BgL_list2752z00_3784;

					{	/* SawBbv/bbv-merge.scm 792 */
						obj_t BgL_arg2753z00_3785;

						BgL_arg2753z00_3785 = MAKE_YOUNG_PAIR(BgL_l2z00_3779, BNIL);
						BgL_list2752z00_3784 =
							MAKE_YOUNG_PAIR(BgL_l1z00_3778, BgL_arg2753z00_3785);
					}
					return
						BGl_everyz00zz__r4_pairs_and_lists_6_3z00
						(BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00, BgL_list2752z00_3784);
				}
			else
				{	/* SawBbv/bbv-merge.scm 791 */
					return BFALSE;
				}
		}

	}



/* range-widening */
	obj_t BGl_rangezd2wideningzd2zzsaw_bbvzd2mergezd2(obj_t BgL_lz00_274,
		obj_t BgL_uz00_275, obj_t BgL_rangesz00_276)
	{
		{	/* SawBbv/bbv-merge.scm 850 */
			{	/* SawBbv/bbv-merge.scm 850 */
				bool_t BgL_wideningz00_3794;

				BgL_wideningz00_3794 = ((bool_t) 0);
				{
					obj_t BgL_vz00_3941;
					obj_t BgL_vz00_3921;
					obj_t BgL_vz00_3916;
					obj_t BgL_vz00_3911;

					{	/* SawBbv/bbv-merge.scm 896 */
						obj_t BgL_nlz00_3800;
						obj_t BgL_nuz00_3801;

						{	/* SawBbv/bbv-merge.scm 896 */
							bool_t BgL_test3687z00_10214;

							{
								obj_t BgL_l1807z00_3875;

								BgL_l1807z00_3875 = BgL_rangesz00_276;
							BgL_zc3z04anonymousza32825ze3z87_3876:
								if (NULLP(BgL_l1807z00_3875))
									{	/* SawBbv/bbv-merge.scm 896 */
										BgL_test3687z00_10214 = ((bool_t) 1);
									}
								else
									{	/* SawBbv/bbv-merge.scm 896 */
										bool_t BgL_test3689z00_10217;

										{	/* SawBbv/bbv-merge.scm 897 */
											obj_t BgL_rz00_3881;

											BgL_rz00_3881 = CAR(((obj_t) BgL_l1807z00_3875));
											{	/* SawBbv/bbv-merge.scm 898 */
												obj_t BgL_arg2827z00_3883;

												{	/* SawBbv/bbv-merge.scm 898 */
													obj_t BgL_arg2828z00_3884;

													BgL_arg2828z00_3884 =
														(((BgL_bbvzd2rangezd2_bglt) COBJECT(
																((BgL_bbvzd2rangezd2_bglt) BgL_rz00_3881)))->
														BgL_loz00);
													BgL_arg2827z00_3883 =
														BGl_zd3rvzd3zzsaw_bbvzd2rangezd2(BgL_lz00_274,
														BgL_arg2828z00_3884);
												}
												BgL_test3689z00_10217 = (BgL_arg2827z00_3883 == BTRUE);
											}
										}
										if (BgL_test3689z00_10217)
											{	/* SawBbv/bbv-merge.scm 896 */
												obj_t BgL_arg2826z00_3880;

												BgL_arg2826z00_3880 = CDR(((obj_t) BgL_l1807z00_3875));
												{
													obj_t BgL_l1807z00_10226;

													BgL_l1807z00_10226 = BgL_arg2826z00_3880;
													BgL_l1807z00_3875 = BgL_l1807z00_10226;
													goto BgL_zc3z04anonymousza32825ze3z87_3876;
												}
											}
										else
											{	/* SawBbv/bbv-merge.scm 896 */
												BgL_test3687z00_10214 = ((bool_t) 0);
											}
									}
							}
							if (BgL_test3687z00_10214)
								{	/* SawBbv/bbv-merge.scm 896 */
									BgL_nlz00_3800 = BgL_lz00_274;
								}
							else
								{	/* SawBbv/bbv-merge.scm 896 */
									BgL_vz00_3921 = BgL_lz00_274;
									BgL_wideningz00_3794 = ((bool_t) 1);
									{	/* SawBbv/bbv-merge.scm 867 */
										bool_t BgL_test3690z00_10227;

										{	/* SawBbv/bbv-merge.scm 867 */
											obj_t BgL_classz00_5683;

											BgL_classz00_5683 = BGl_bbvzd2vlenzd2zzsaw_bbvzd2rangezd2;
											if (BGL_OBJECTP(BgL_vz00_3921))
												{	/* SawBbv/bbv-merge.scm 867 */
													BgL_objectz00_bglt BgL_arg1858z00_5685;

													BgL_arg1858z00_5685 =
														(BgL_objectz00_bglt) (BgL_vz00_3921);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* SawBbv/bbv-merge.scm 867 */
															long BgL_idxz00_5691;

															BgL_idxz00_5691 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5685);
															BgL_test3690z00_10227 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_5691 + 1L)) == BgL_classz00_5683);
														}
													else
														{	/* SawBbv/bbv-merge.scm 867 */
															bool_t BgL_res3222z00_5716;

															{	/* SawBbv/bbv-merge.scm 867 */
																obj_t BgL_oclassz00_5699;

																{	/* SawBbv/bbv-merge.scm 867 */
																	obj_t BgL_arg1866z00_5707;
																	long BgL_arg1867z00_5708;

																	BgL_arg1866z00_5707 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* SawBbv/bbv-merge.scm 867 */
																		long BgL_arg1869z00_5709;

																		BgL_arg1869z00_5709 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5685);
																		BgL_arg1867z00_5708 =
																			(BgL_arg1869z00_5709 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_5699 =
																		VECTOR_REF(BgL_arg1866z00_5707,
																		BgL_arg1867z00_5708);
																}
																{	/* SawBbv/bbv-merge.scm 867 */
																	bool_t BgL__ortest_1115z00_5700;

																	BgL__ortest_1115z00_5700 =
																		(BgL_classz00_5683 == BgL_oclassz00_5699);
																	if (BgL__ortest_1115z00_5700)
																		{	/* SawBbv/bbv-merge.scm 867 */
																			BgL_res3222z00_5716 =
																				BgL__ortest_1115z00_5700;
																		}
																	else
																		{	/* SawBbv/bbv-merge.scm 867 */
																			long BgL_odepthz00_5701;

																			{	/* SawBbv/bbv-merge.scm 867 */
																				obj_t BgL_arg1855z00_5702;

																				BgL_arg1855z00_5702 =
																					(BgL_oclassz00_5699);
																				BgL_odepthz00_5701 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_5702);
																			}
																			if ((1L < BgL_odepthz00_5701))
																				{	/* SawBbv/bbv-merge.scm 867 */
																					obj_t BgL_arg1853z00_5704;

																					{	/* SawBbv/bbv-merge.scm 867 */
																						obj_t BgL_arg1854z00_5705;

																						BgL_arg1854z00_5705 =
																							(BgL_oclassz00_5699);
																						BgL_arg1853z00_5704 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_5705, 1L);
																					}
																					BgL_res3222z00_5716 =
																						(BgL_arg1853z00_5704 ==
																						BgL_classz00_5683);
																				}
																			else
																				{	/* SawBbv/bbv-merge.scm 867 */
																					BgL_res3222z00_5716 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test3690z00_10227 = BgL_res3222z00_5716;
														}
												}
											else
												{	/* SawBbv/bbv-merge.scm 867 */
													BgL_test3690z00_10227 = ((bool_t) 0);
												}
										}
										if (BgL_test3690z00_10227)
											{	/* SawBbv/bbv-merge.scm 867 */
												BgL_vz00_3911 = BgL_vz00_3921;
												if (
													((long) (
															(((BgL_bbvzd2vlenzd2_bglt) COBJECT(
																		((BgL_bbvzd2vlenzd2_bglt) BgL_vz00_3911)))->
																BgL_offsetz00)) < (-10L)))
													{	/* SawBbv/bbv-merge.scm 856 */
														long BgL_arg3011z00_5668;

														{	/* SawBbv/bbv-merge.scm 856 */
															long BgL_arg3012z00_5669;

															{	/* SawBbv/bbv-merge.scm 856 */
																long BgL_arg3013z00_5670;

																{	/* SawBbv/bbv-merge.scm 856 */
																	obj_t BgL_arg3015z00_5671;

																	BgL_arg3015z00_5671 =
																		BGl_bigloozd2configzd2zz__configurez00(
																		((obj_t) CNST_TABLE_REF(12)));
																	BgL_arg3013z00_5670 =
																		((long) CINT(BgL_arg3015z00_5671) - 2L);
																}
																BgL_arg3012z00_5669 =
																	(1L << (int) (BgL_arg3013z00_5670));
															}
															BgL_arg3011z00_5668 = NEG(BgL_arg3012z00_5669);
														}
														BgL_nlz00_3800 = BINT((BgL_arg3011z00_5668 - 1L));
													}
												else
													{	/* SawBbv/bbv-merge.scm 855 */
														BgL_nlz00_3800 = BgL_vz00_3911;
													}
											}
										else
											{	/* SawBbv/bbv-merge.scm 867 */
												if (INTEGERP(BgL_vz00_3921))
													{	/* SawBbv/bbv-merge.scm 868 */
														if (((long) CINT(BgL_vz00_3921) > 1L))
															{	/* SawBbv/bbv-merge.scm 869 */
																BgL_nlz00_3800 =
																	BINT(((long) CINT(BgL_vz00_3921) / 2L));
															}
														else
															{	/* SawBbv/bbv-merge.scm 869 */
																if (((long) CINT(BgL_vz00_3921) == 1L))
																	{	/* SawBbv/bbv-merge.scm 870 */
																		BgL_nlz00_3800 = BINT(0L);
																	}
																else
																	{	/* SawBbv/bbv-merge.scm 870 */
																		if (((long) CINT(BgL_vz00_3921) == 0L))
																			{	/* SawBbv/bbv-merge.scm 871 */
																				BgL_nlz00_3800 = BgL_vz00_3921;
																			}
																		else
																			{	/* SawBbv/bbv-merge.scm 871 */
																				if (
																					((long) CINT(BgL_vz00_3921) > (-16L)))
																					{	/* SawBbv/bbv-merge.scm 872 */
																						BgL_nlz00_3800 =
																							BINT(
																							((long) CINT(BgL_vz00_3921) *
																								2L));
																					}
																				else
																					{	/* SawBbv/bbv-merge.scm 872 */
																						if (
																							((long) CINT(BgL_vz00_3921) >
																								(-255L)))
																							{	/* SawBbv/bbv-merge.scm 873 */
																								BgL_nlz00_3800 = BINT((-255L));
																							}
																						else
																							{	/* SawBbv/bbv-merge.scm 874 */
																								bool_t BgL_test3702z00_10290;

																								{	/* SawBbv/bbv-merge.scm 874 */
																									long BgL_arg2858z00_3934;

																									{	/* SawBbv/bbv-merge.scm 874 */
																										long BgL_arg2859z00_3935;

																										{	/* SawBbv/bbv-merge.scm 874 */
																											long BgL_arg3011z00_5724;

																											{	/* SawBbv/bbv-merge.scm 874 */
																												long
																													BgL_arg3012z00_5725;
																												{	/* SawBbv/bbv-merge.scm 874 */
																													long
																														BgL_arg3013z00_5726;
																													{	/* SawBbv/bbv-merge.scm 874 */
																														obj_t
																															BgL_arg3015z00_5727;
																														BgL_arg3015z00_5727
																															=
																															BGl_bigloozd2configzd2zz__configurez00
																															(((obj_t)
																																CNST_TABLE_REF
																																(12)));
																														BgL_arg3013z00_5726
																															=
																															((long)
																															CINT
																															(BgL_arg3015z00_5727)
																															- 2L);
																													}
																													BgL_arg3012z00_5725 =
																														(1L <<
																														(int)
																														(BgL_arg3013z00_5726));
																												}
																												BgL_arg3011z00_5724 =
																													NEG
																													(BgL_arg3012z00_5725);
																											}
																											BgL_arg2859z00_3935 =
																												(BgL_arg3011z00_5724 -
																												1L);
																										}
																										BgL_arg2858z00_3934 =
																											(BgL_arg2859z00_3935 +
																											1L);
																									}
																									BgL_test3702z00_10290 =
																										(
																										(long) CINT(BgL_vz00_3921)
																										>= BgL_arg2858z00_3934);
																								}
																								if (BgL_test3702z00_10290)
																									{	/* SawBbv/bbv-merge.scm 874 */
																										long BgL_arg2857z00_3933;

																										{	/* SawBbv/bbv-merge.scm 874 */
																											long BgL_arg3011z00_5735;

																											{	/* SawBbv/bbv-merge.scm 874 */
																												long
																													BgL_arg3012z00_5736;
																												{	/* SawBbv/bbv-merge.scm 874 */
																													long
																														BgL_arg3013z00_5737;
																													{	/* SawBbv/bbv-merge.scm 874 */
																														obj_t
																															BgL_arg3015z00_5738;
																														BgL_arg3015z00_5738
																															=
																															BGl_bigloozd2configzd2zz__configurez00
																															(((obj_t)
																																CNST_TABLE_REF
																																(12)));
																														BgL_arg3013z00_5737
																															=
																															((long)
																															CINT
																															(BgL_arg3015z00_5738)
																															- 2L);
																													}
																													BgL_arg3012z00_5736 =
																														(1L <<
																														(int)
																														(BgL_arg3013z00_5737));
																												}
																												BgL_arg3011z00_5735 =
																													NEG
																													(BgL_arg3012z00_5736);
																											}
																											BgL_arg2857z00_3933 =
																												(BgL_arg3011z00_5735 -
																												1L);
																										}
																										BgL_nlz00_3800 =
																											BINT(
																											(BgL_arg2857z00_3933 +
																												1L));
																									}
																								else
																									{	/* SawBbv/bbv-merge.scm 875 */
																										long BgL_arg3011z00_5744;

																										{	/* SawBbv/bbv-merge.scm 875 */
																											long BgL_arg3012z00_5745;

																											{	/* SawBbv/bbv-merge.scm 875 */
																												long
																													BgL_arg3013z00_5746;
																												{	/* SawBbv/bbv-merge.scm 875 */
																													obj_t
																														BgL_arg3015z00_5747;
																													BgL_arg3015z00_5747 =
																														BGl_bigloozd2configzd2zz__configurez00
																														(((obj_t)
																															CNST_TABLE_REF
																															(12)));
																													BgL_arg3013z00_5746 =
																														((long)
																														CINT
																														(BgL_arg3015z00_5747)
																														- 2L);
																												}
																												BgL_arg3012z00_5745 =
																													(1L <<
																													(int)
																													(BgL_arg3013z00_5746));
																											}
																											BgL_arg3011z00_5744 =
																												NEG
																												(BgL_arg3012z00_5745);
																										}
																										BgL_nlz00_3800 =
																											BINT(
																											(BgL_arg3011z00_5744 -
																												1L));
													}}}}}}}
												else
													{	/* SawBbv/bbv-merge.scm 868 */
														BgL_nlz00_3800 = BgL_vz00_3921;
													}
											}
									}
								}
						}
						{	/* SawBbv/bbv-merge.scm 902 */
							bool_t BgL_test3703z00_10324;

							{
								obj_t BgL_l1810z00_3900;

								BgL_l1810z00_3900 = BgL_rangesz00_276;
							BgL_zc3z04anonymousza32835ze3z87_3901:
								if (NULLP(BgL_l1810z00_3900))
									{	/* SawBbv/bbv-merge.scm 902 */
										BgL_test3703z00_10324 = ((bool_t) 1);
									}
								else
									{	/* SawBbv/bbv-merge.scm 902 */
										bool_t BgL_test3705z00_10327;

										{	/* SawBbv/bbv-merge.scm 903 */
											obj_t BgL_rz00_3906;

											BgL_rz00_3906 = CAR(((obj_t) BgL_l1810z00_3900));
											{	/* SawBbv/bbv-merge.scm 904 */
												obj_t BgL_arg2838z00_3908;

												{	/* SawBbv/bbv-merge.scm 904 */
													obj_t BgL_arg2839z00_3909;

													BgL_arg2839z00_3909 =
														(((BgL_bbvzd2rangezd2_bglt) COBJECT(
																((BgL_bbvzd2rangezd2_bglt) BgL_rz00_3906)))->
														BgL_upz00);
													BgL_arg2838z00_3908 =
														BGl_zd3rvzd3zzsaw_bbvzd2rangezd2(BgL_uz00_275,
														BgL_arg2839z00_3909);
												}
												BgL_test3705z00_10327 = (BgL_arg2838z00_3908 == BTRUE);
											}
										}
										if (BgL_test3705z00_10327)
											{	/* SawBbv/bbv-merge.scm 902 */
												obj_t BgL_arg2836z00_3905;

												BgL_arg2836z00_3905 = CDR(((obj_t) BgL_l1810z00_3900));
												{
													obj_t BgL_l1810z00_10336;

													BgL_l1810z00_10336 = BgL_arg2836z00_3905;
													BgL_l1810z00_3900 = BgL_l1810z00_10336;
													goto BgL_zc3z04anonymousza32835ze3z87_3901;
												}
											}
										else
											{	/* SawBbv/bbv-merge.scm 902 */
												BgL_test3703z00_10324 = ((bool_t) 0);
											}
									}
							}
							if (BgL_test3703z00_10324)
								{	/* SawBbv/bbv-merge.scm 902 */
									BgL_nuz00_3801 = BgL_uz00_275;
								}
							else
								{	/* SawBbv/bbv-merge.scm 902 */
									BgL_vz00_3941 = BgL_uz00_275;
									BgL_wideningz00_3794 = ((bool_t) 1);
									{	/* SawBbv/bbv-merge.scm 885 */
										bool_t BgL_test3706z00_10337;

										{	/* SawBbv/bbv-merge.scm 885 */
											obj_t BgL_classz00_5752;

											BgL_classz00_5752 = BGl_bbvzd2vlenzd2zzsaw_bbvzd2rangezd2;
											if (BGL_OBJECTP(BgL_vz00_3941))
												{	/* SawBbv/bbv-merge.scm 885 */
													BgL_objectz00_bglt BgL_arg1858z00_5754;

													BgL_arg1858z00_5754 =
														(BgL_objectz00_bglt) (BgL_vz00_3941);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* SawBbv/bbv-merge.scm 885 */
															long BgL_idxz00_5760;

															BgL_idxz00_5760 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5754);
															BgL_test3706z00_10337 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_5760 + 1L)) == BgL_classz00_5752);
														}
													else
														{	/* SawBbv/bbv-merge.scm 885 */
															bool_t BgL_res3223z00_5785;

															{	/* SawBbv/bbv-merge.scm 885 */
																obj_t BgL_oclassz00_5768;

																{	/* SawBbv/bbv-merge.scm 885 */
																	obj_t BgL_arg1866z00_5776;
																	long BgL_arg1867z00_5777;

																	BgL_arg1866z00_5776 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* SawBbv/bbv-merge.scm 885 */
																		long BgL_arg1869z00_5778;

																		BgL_arg1869z00_5778 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5754);
																		BgL_arg1867z00_5777 =
																			(BgL_arg1869z00_5778 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_5768 =
																		VECTOR_REF(BgL_arg1866z00_5776,
																		BgL_arg1867z00_5777);
																}
																{	/* SawBbv/bbv-merge.scm 885 */
																	bool_t BgL__ortest_1115z00_5769;

																	BgL__ortest_1115z00_5769 =
																		(BgL_classz00_5752 == BgL_oclassz00_5768);
																	if (BgL__ortest_1115z00_5769)
																		{	/* SawBbv/bbv-merge.scm 885 */
																			BgL_res3223z00_5785 =
																				BgL__ortest_1115z00_5769;
																		}
																	else
																		{	/* SawBbv/bbv-merge.scm 885 */
																			long BgL_odepthz00_5770;

																			{	/* SawBbv/bbv-merge.scm 885 */
																				obj_t BgL_arg1855z00_5771;

																				BgL_arg1855z00_5771 =
																					(BgL_oclassz00_5768);
																				BgL_odepthz00_5770 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_5771);
																			}
																			if ((1L < BgL_odepthz00_5770))
																				{	/* SawBbv/bbv-merge.scm 885 */
																					obj_t BgL_arg1853z00_5773;

																					{	/* SawBbv/bbv-merge.scm 885 */
																						obj_t BgL_arg1854z00_5774;

																						BgL_arg1854z00_5774 =
																							(BgL_oclassz00_5768);
																						BgL_arg1853z00_5773 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_5774, 1L);
																					}
																					BgL_res3223z00_5785 =
																						(BgL_arg1853z00_5773 ==
																						BgL_classz00_5752);
																				}
																			else
																				{	/* SawBbv/bbv-merge.scm 885 */
																					BgL_res3223z00_5785 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test3706z00_10337 = BgL_res3223z00_5785;
														}
												}
											else
												{	/* SawBbv/bbv-merge.scm 885 */
													BgL_test3706z00_10337 = ((bool_t) 0);
												}
										}
										if (BgL_test3706z00_10337)
											{	/* SawBbv/bbv-merge.scm 885 */
												BgL_vz00_3916 = BgL_vz00_3941;
												if (
													((long) (
															(((BgL_bbvzd2vlenzd2_bglt) COBJECT(
																		((BgL_bbvzd2vlenzd2_bglt) BgL_vz00_3916)))->
																BgL_offsetz00)) > 10L))
													{	/* SawBbv/bbv-merge.scm 861 */
														long BgL_arg3013z00_5679;

														{	/* SawBbv/bbv-merge.scm 861 */
															obj_t BgL_arg3015z00_5680;

															BgL_arg3015z00_5680 =
																BGl_bigloozd2configzd2zz__configurez00(
																((obj_t) CNST_TABLE_REF(12)));
															BgL_arg3013z00_5679 =
																((long) CINT(BgL_arg3015z00_5680) - 2L);
														}
														BgL_nuz00_3801 =
															BINT((1L << (int) (BgL_arg3013z00_5679)));
													}
												else
													{	/* SawBbv/bbv-merge.scm 860 */
														BgL_nuz00_3801 = BgL_vz00_3916;
													}
											}
										else
											{	/* SawBbv/bbv-merge.scm 885 */
												if (INTEGERP(BgL_vz00_3941))
													{	/* SawBbv/bbv-merge.scm 886 */
														if (((long) CINT(BgL_vz00_3941) < (-1L)))
															{	/* SawBbv/bbv-merge.scm 887 */
																BgL_nuz00_3801 =
																	BINT(((long) CINT(BgL_vz00_3941) / 2L));
															}
														else
															{	/* SawBbv/bbv-merge.scm 887 */
																if (((long) CINT(BgL_vz00_3941) == (-1L)))
																	{	/* SawBbv/bbv-merge.scm 888 */
																		BgL_nuz00_3801 = BINT(0L);
																	}
																else
																	{	/* SawBbv/bbv-merge.scm 888 */
																		if (((long) CINT(BgL_vz00_3941) == 0L))
																			{	/* SawBbv/bbv-merge.scm 889 */
																				BgL_nuz00_3801 = BgL_vz00_3941;
																			}
																		else
																			{	/* SawBbv/bbv-merge.scm 889 */
																				if (((long) CINT(BgL_vz00_3941) < 16L))
																					{	/* SawBbv/bbv-merge.scm 890 */
																						BgL_nuz00_3801 =
																							BINT(
																							((long) CINT(BgL_vz00_3941) *
																								2L));
																					}
																				else
																					{	/* SawBbv/bbv-merge.scm 890 */
																						if (
																							((long) CINT(BgL_vz00_3941) <
																								255L))
																							{	/* SawBbv/bbv-merge.scm 891 */
																								BgL_nuz00_3801 = BINT(255L);
																							}
																						else
																							{	/* SawBbv/bbv-merge.scm 891 */
																								if (
																									((long) CINT(BgL_vz00_3941) <
																										65535L))
																									{	/* SawBbv/bbv-merge.scm 892 */
																										BgL_nuz00_3801 =
																											BINT(65535L);
																									}
																								else
																									{	/* SawBbv/bbv-merge.scm 893 */
																										bool_t
																											BgL_test3719z00_10402;
																										{	/* SawBbv/bbv-merge.scm 893 */
																											long BgL_arg2887z00_3955;

																											{	/* SawBbv/bbv-merge.scm 893 */
																												long
																													BgL_arg2894z00_3956;
																												{	/* SawBbv/bbv-merge.scm 893 */
																													long
																														BgL_arg3013z00_5794;
																													{	/* SawBbv/bbv-merge.scm 893 */
																														obj_t
																															BgL_arg3015z00_5795;
																														BgL_arg3015z00_5795
																															=
																															BGl_bigloozd2configzd2zz__configurez00
																															(((obj_t)
																																CNST_TABLE_REF
																																(12)));
																														BgL_arg3013z00_5794
																															=
																															((long)
																															CINT
																															(BgL_arg3015z00_5795)
																															- 2L);
																													}
																													BgL_arg2894z00_3956 =
																														(1L <<
																														(int)
																														(BgL_arg3013z00_5794));
																												}
																												BgL_arg2887z00_3955 =
																													(BgL_arg2894z00_3956 -
																													1L);
																											}
																											BgL_test3719z00_10402 =
																												(
																												(long)
																												CINT(BgL_vz00_3941) <=
																												BgL_arg2887z00_3955);
																										}
																										if (BgL_test3719z00_10402)
																											{	/* SawBbv/bbv-merge.scm 893 */
																												long
																													BgL_arg2879z00_3954;
																												{	/* SawBbv/bbv-merge.scm 893 */
																													long
																														BgL_arg3013z00_5801;
																													{	/* SawBbv/bbv-merge.scm 893 */
																														obj_t
																															BgL_arg3015z00_5802;
																														BgL_arg3015z00_5802
																															=
																															BGl_bigloozd2configzd2zz__configurez00
																															(((obj_t)
																																CNST_TABLE_REF
																																(12)));
																														BgL_arg3013z00_5801
																															=
																															((long)
																															CINT
																															(BgL_arg3015z00_5802)
																															- 2L);
																													}
																													BgL_arg2879z00_3954 =
																														(1L <<
																														(int)
																														(BgL_arg3013z00_5801));
																												}
																												BgL_nuz00_3801 =
																													BINT(
																													(BgL_arg2879z00_3954 -
																														1L));
																											}
																										else
																											{	/* SawBbv/bbv-merge.scm 894 */
																												long
																													BgL_arg3013z00_5806;
																												{	/* SawBbv/bbv-merge.scm 894 */
																													obj_t
																														BgL_arg3015z00_5807;
																													BgL_arg3015z00_5807 =
																														BGl_bigloozd2configzd2zz__configurez00
																														(((obj_t)
																															CNST_TABLE_REF
																															(12)));
																													BgL_arg3013z00_5806 =
																														((long)
																														CINT
																														(BgL_arg3015z00_5807)
																														- 2L);
																												}
																												BgL_nuz00_3801 =
																													BINT(
																													(1L <<
																														(int)
																														(BgL_arg3013z00_5806)));
													}}}}}}}}
												else
													{	/* SawBbv/bbv-merge.scm 886 */
														BgL_nuz00_3801 = BgL_vz00_3941;
													}
											}
									}
								}
						}
						{	/* SawBbv/bbv-merge.scm 909 */
							bool_t BgL_test3720z00_10430;

							if (
								(BGl_zd3rvzd3zzsaw_bbvzd2rangezd2(BgL_nlz00_3800,
										BgL_lz00_274) == BTRUE))
								{	/* SawBbv/bbv-merge.scm 909 */
									if (
										(BGl_zd3rvzd3zzsaw_bbvzd2rangezd2(BgL_nuz00_3801,
												BgL_uz00_275) == BTRUE))
										{	/* SawBbv/bbv-merge.scm 909 */
											if (BgL_wideningz00_3794)
												{	/* SawBbv/bbv-merge.scm 909 */
													BgL_test3720z00_10430 = ((bool_t) 0);
												}
											else
												{	/* SawBbv/bbv-merge.scm 909 */
													BgL_test3720z00_10430 = ((bool_t) 1);
												}
										}
									else
										{	/* SawBbv/bbv-merge.scm 909 */
											BgL_test3720z00_10430 = ((bool_t) 0);
										}
								}
							else
								{	/* SawBbv/bbv-merge.scm 909 */
									BgL_test3720z00_10430 = ((bool_t) 0);
								}
							if (BgL_test3720z00_10430)
								{	/* SawBbv/bbv-merge.scm 909 */
									return CAR(((obj_t) BgL_rangesz00_276));
								}
							else
								{	/* SawBbv/bbv-merge.scm 911 */
									bool_t BgL_test3724z00_10440;

									{
										obj_t BgL_l1813z00_3839;

										BgL_l1813z00_3839 = BgL_rangesz00_276;
									BgL_zc3z04anonymousza32805ze3z87_3840:
										if (NULLP(BgL_l1813z00_3839))
											{	/* SawBbv/bbv-merge.scm 911 */
												BgL_test3724z00_10440 = ((bool_t) 1);
											}
										else
											{	/* SawBbv/bbv-merge.scm 911 */
												bool_t BgL_test3726z00_10443;

												{	/* SawBbv/bbv-merge.scm 912 */
													BgL_bbvzd2rangezd2_bglt BgL_i1302z00_3846;

													BgL_i1302z00_3846 =
														((BgL_bbvzd2rangezd2_bglt)
														CAR(((obj_t) BgL_rangesz00_276)));
													{	/* SawBbv/bbv-merge.scm 913 */
														BgL_bbvzd2rangezd2_bglt BgL_i1303z00_3847;

														BgL_i1303z00_3847 =
															((BgL_bbvzd2rangezd2_bglt)
															CAR(((obj_t) BgL_l1813z00_3839)));
														{	/* SawBbv/bbv-merge.scm 914 */
															bool_t BgL_test3727z00_10450;

															{	/* SawBbv/bbv-merge.scm 914 */
																obj_t BgL_arg2816z00_3855;

																BgL_arg2816z00_3855 =
																	(((BgL_bbvzd2rangezd2_bglt)
																		COBJECT(BgL_i1302z00_3846))->BgL_upz00);
																{	/* SawBbv/bbv-merge.scm 914 */
																	obj_t BgL_classz00_5817;

																	BgL_classz00_5817 =
																		BGl_bbvzd2vlenzd2zzsaw_bbvzd2rangezd2;
																	if (BGL_OBJECTP(BgL_arg2816z00_3855))
																		{	/* SawBbv/bbv-merge.scm 914 */
																			BgL_objectz00_bglt BgL_arg1858z00_5819;

																			BgL_arg1858z00_5819 =
																				(BgL_objectz00_bglt)
																				(BgL_arg2816z00_3855);
																			if (BGL_CONDEXPAND_ISA_ARCH64())
																				{	/* SawBbv/bbv-merge.scm 914 */
																					long BgL_idxz00_5825;

																					BgL_idxz00_5825 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1858z00_5819);
																					BgL_test3727z00_10450 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_5825 + 1L)) ==
																						BgL_classz00_5817);
																				}
																			else
																				{	/* SawBbv/bbv-merge.scm 914 */
																					bool_t BgL_res3224z00_5850;

																					{	/* SawBbv/bbv-merge.scm 914 */
																						obj_t BgL_oclassz00_5833;

																						{	/* SawBbv/bbv-merge.scm 914 */
																							obj_t BgL_arg1866z00_5841;
																							long BgL_arg1867z00_5842;

																							BgL_arg1866z00_5841 =
																								(BGl_za2classesza2z00zz__objectz00);
																							{	/* SawBbv/bbv-merge.scm 914 */
																								long BgL_arg1869z00_5843;

																								BgL_arg1869z00_5843 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1858z00_5819);
																								BgL_arg1867z00_5842 =
																									(BgL_arg1869z00_5843 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_5833 =
																								VECTOR_REF(BgL_arg1866z00_5841,
																								BgL_arg1867z00_5842);
																						}
																						{	/* SawBbv/bbv-merge.scm 914 */
																							bool_t BgL__ortest_1115z00_5834;

																							BgL__ortest_1115z00_5834 =
																								(BgL_classz00_5817 ==
																								BgL_oclassz00_5833);
																							if (BgL__ortest_1115z00_5834)
																								{	/* SawBbv/bbv-merge.scm 914 */
																									BgL_res3224z00_5850 =
																										BgL__ortest_1115z00_5834;
																								}
																							else
																								{	/* SawBbv/bbv-merge.scm 914 */
																									long BgL_odepthz00_5835;

																									{	/* SawBbv/bbv-merge.scm 914 */
																										obj_t BgL_arg1855z00_5836;

																										BgL_arg1855z00_5836 =
																											(BgL_oclassz00_5833);
																										BgL_odepthz00_5835 =
																											BGL_CLASS_DEPTH
																											(BgL_arg1855z00_5836);
																									}
																									if ((1L < BgL_odepthz00_5835))
																										{	/* SawBbv/bbv-merge.scm 914 */
																											obj_t BgL_arg1853z00_5838;

																											{	/* SawBbv/bbv-merge.scm 914 */
																												obj_t
																													BgL_arg1854z00_5839;
																												BgL_arg1854z00_5839 =
																													(BgL_oclassz00_5833);
																												BgL_arg1853z00_5838 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_arg1854z00_5839,
																													1L);
																											}
																											BgL_res3224z00_5850 =
																												(BgL_arg1853z00_5838 ==
																												BgL_classz00_5817);
																										}
																									else
																										{	/* SawBbv/bbv-merge.scm 914 */
																											BgL_res3224z00_5850 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_test3727z00_10450 =
																						BgL_res3224z00_5850;
																				}
																		}
																	else
																		{	/* SawBbv/bbv-merge.scm 914 */
																			BgL_test3727z00_10450 = ((bool_t) 0);
																		}
																}
															}
															if (BgL_test3727z00_10450)
																{	/* SawBbv/bbv-merge.scm 915 */
																	bool_t BgL_test3732z00_10474;

																	{	/* SawBbv/bbv-merge.scm 915 */
																		obj_t BgL_arg2815z00_3854;

																		BgL_arg2815z00_3854 =
																			(((BgL_bbvzd2rangezd2_bglt)
																				COBJECT(BgL_i1303z00_3847))->BgL_upz00);
																		{	/* SawBbv/bbv-merge.scm 915 */
																			obj_t BgL_classz00_5851;

																			BgL_classz00_5851 =
																				BGl_bbvzd2vlenzd2zzsaw_bbvzd2rangezd2;
																			if (BGL_OBJECTP(BgL_arg2815z00_3854))
																				{	/* SawBbv/bbv-merge.scm 915 */
																					BgL_objectz00_bglt
																						BgL_arg1858z00_5853;
																					BgL_arg1858z00_5853 =
																						(BgL_objectz00_bglt)
																						(BgL_arg2815z00_3854);
																					if (BGL_CONDEXPAND_ISA_ARCH64())
																						{	/* SawBbv/bbv-merge.scm 915 */
																							long BgL_idxz00_5859;

																							BgL_idxz00_5859 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1858z00_5853);
																							BgL_test3732z00_10474 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_5859 + 1L)) ==
																								BgL_classz00_5851);
																						}
																					else
																						{	/* SawBbv/bbv-merge.scm 915 */
																							bool_t BgL_res3225z00_5884;

																							{	/* SawBbv/bbv-merge.scm 915 */
																								obj_t BgL_oclassz00_5867;

																								{	/* SawBbv/bbv-merge.scm 915 */
																									obj_t BgL_arg1866z00_5875;
																									long BgL_arg1867z00_5876;

																									BgL_arg1866z00_5875 =
																										(BGl_za2classesza2z00zz__objectz00);
																									{	/* SawBbv/bbv-merge.scm 915 */
																										long BgL_arg1869z00_5877;

																										BgL_arg1869z00_5877 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1858z00_5853);
																										BgL_arg1867z00_5876 =
																											(BgL_arg1869z00_5877 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_5867 =
																										VECTOR_REF
																										(BgL_arg1866z00_5875,
																										BgL_arg1867z00_5876);
																								}
																								{	/* SawBbv/bbv-merge.scm 915 */
																									bool_t
																										BgL__ortest_1115z00_5868;
																									BgL__ortest_1115z00_5868 =
																										(BgL_classz00_5851 ==
																										BgL_oclassz00_5867);
																									if (BgL__ortest_1115z00_5868)
																										{	/* SawBbv/bbv-merge.scm 915 */
																											BgL_res3225z00_5884 =
																												BgL__ortest_1115z00_5868;
																										}
																									else
																										{	/* SawBbv/bbv-merge.scm 915 */
																											long BgL_odepthz00_5869;

																											{	/* SawBbv/bbv-merge.scm 915 */
																												obj_t
																													BgL_arg1855z00_5870;
																												BgL_arg1855z00_5870 =
																													(BgL_oclassz00_5867);
																												BgL_odepthz00_5869 =
																													BGL_CLASS_DEPTH
																													(BgL_arg1855z00_5870);
																											}
																											if (
																												(1L <
																													BgL_odepthz00_5869))
																												{	/* SawBbv/bbv-merge.scm 915 */
																													obj_t
																														BgL_arg1853z00_5872;
																													{	/* SawBbv/bbv-merge.scm 915 */
																														obj_t
																															BgL_arg1854z00_5873;
																														BgL_arg1854z00_5873
																															=
																															(BgL_oclassz00_5867);
																														BgL_arg1853z00_5872
																															=
																															BGL_CLASS_ANCESTORS_REF
																															(BgL_arg1854z00_5873,
																															1L);
																													}
																													BgL_res3225z00_5884 =
																														(BgL_arg1853z00_5872
																														==
																														BgL_classz00_5851);
																												}
																											else
																												{	/* SawBbv/bbv-merge.scm 915 */
																													BgL_res3225z00_5884 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_test3732z00_10474 =
																								BgL_res3225z00_5884;
																						}
																				}
																			else
																				{	/* SawBbv/bbv-merge.scm 915 */
																					BgL_test3732z00_10474 = ((bool_t) 0);
																				}
																		}
																	}
																	if (BgL_test3732z00_10474)
																		{	/* SawBbv/bbv-merge.scm 915 */
																			BgL_test3726z00_10443 =
																				(
																				(((BgL_bbvzd2vlenzd2_bglt) COBJECT(
																							((BgL_bbvzd2vlenzd2_bglt)
																								(((BgL_bbvzd2rangezd2_bglt)
																										COBJECT
																										(BgL_i1302z00_3846))->
																									BgL_upz00))))->BgL_vecz00) ==
																				(((BgL_bbvzd2vlenzd2_bglt)
																						COBJECT(((BgL_bbvzd2vlenzd2_bglt) ((
																										(BgL_bbvzd2rangezd2_bglt)
																										COBJECT
																										(BgL_i1303z00_3847))->
																									BgL_upz00))))->BgL_vecz00));
																		}
																	else
																		{	/* SawBbv/bbv-merge.scm 915 */
																			BgL_test3726z00_10443 = ((bool_t) 0);
																		}
																}
															else
																{	/* SawBbv/bbv-merge.scm 914 */
																	BgL_test3726z00_10443 = ((bool_t) 0);
																}
														}
													}
												}
												if (BgL_test3726z00_10443)
													{	/* SawBbv/bbv-merge.scm 911 */
														obj_t BgL_arg2806z00_3844;

														BgL_arg2806z00_3844 =
															CDR(((obj_t) BgL_l1813z00_3839));
														{
															obj_t BgL_l1813z00_10507;

															BgL_l1813z00_10507 = BgL_arg2806z00_3844;
															BgL_l1813z00_3839 = BgL_l1813z00_10507;
															goto BgL_zc3z04anonymousza32805ze3z87_3840;
														}
													}
												else
													{	/* SawBbv/bbv-merge.scm 911 */
														BgL_test3724z00_10440 = ((bool_t) 0);
													}
											}
									}
									if (BgL_test3724z00_10440)
										{	/* SawBbv/bbv-merge.scm 911 */
											if ((BgL_nuz00_3801 == BgL_uz00_275))
												{	/* SawBbv/bbv-merge.scm 920 */
													BgL_bbvzd2rangezd2_bglt BgL_new1308z00_3829;

													{	/* SawBbv/bbv-merge.scm 921 */
														BgL_bbvzd2rangezd2_bglt BgL_new1306z00_3830;

														BgL_new1306z00_3830 =
															((BgL_bbvzd2rangezd2_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_bbvzd2rangezd2_bgl))));
														{	/* SawBbv/bbv-merge.scm 921 */
															long BgL_arg2802z00_3831;

															BgL_arg2802z00_3831 =
																BGL_CLASS_NUM
																(BGl_bbvzd2rangezd2zzsaw_bbvzd2rangezd2);
															BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																	BgL_new1306z00_3830), BgL_arg2802z00_3831);
														}
														BgL_new1308z00_3829 = BgL_new1306z00_3830;
													}
													((((BgL_bbvzd2rangezd2_bglt)
																COBJECT(BgL_new1308z00_3829))->BgL_loz00) =
														((obj_t) BgL_nlz00_3800), BUNSPEC);
													((((BgL_bbvzd2rangezd2_bglt)
																COBJECT(BgL_new1308z00_3829))->BgL_upz00) =
														((obj_t) BgL_uz00_275), BUNSPEC);
													return ((obj_t) BgL_new1308z00_3829);
												}
											else
												{	/* SawBbv/bbv-merge.scm 923 */
													BgL_bbvzd2rangezd2_bglt BgL_new1310z00_3832;

													{	/* SawBbv/bbv-merge.scm 924 */
														BgL_bbvzd2rangezd2_bglt BgL_new1309z00_3833;

														BgL_new1309z00_3833 =
															((BgL_bbvzd2rangezd2_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_bbvzd2rangezd2_bgl))));
														{	/* SawBbv/bbv-merge.scm 924 */
															long BgL_arg2803z00_3834;

															BgL_arg2803z00_3834 =
																BGL_CLASS_NUM
																(BGl_bbvzd2rangezd2zzsaw_bbvzd2rangezd2);
															BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																	BgL_new1309z00_3833), BgL_arg2803z00_3834);
														}
														BgL_new1310z00_3832 = BgL_new1309z00_3833;
													}
													((((BgL_bbvzd2rangezd2_bglt)
																COBJECT(BgL_new1310z00_3832))->BgL_loz00) =
														((obj_t) BgL_lz00_274), BUNSPEC);
													((((BgL_bbvzd2rangezd2_bglt)
																COBJECT(BgL_new1310z00_3832))->BgL_upz00) =
														((obj_t) BgL_nuz00_3801), BUNSPEC);
													return ((obj_t) BgL_new1310z00_3832);
												}
										}
									else
										{	/* SawBbv/bbv-merge.scm 927 */
											BgL_bbvzd2rangezd2_bglt BgL_new1313z00_3835;

											{	/* SawBbv/bbv-merge.scm 928 */
												BgL_bbvzd2rangezd2_bglt BgL_new1312z00_3836;

												BgL_new1312z00_3836 =
													((BgL_bbvzd2rangezd2_bglt)
													BOBJECT(GC_MALLOC(sizeof(struct
																BgL_bbvzd2rangezd2_bgl))));
												{	/* SawBbv/bbv-merge.scm 928 */
													long BgL_arg2804z00_3837;

													BgL_arg2804z00_3837 =
														BGL_CLASS_NUM
														(BGl_bbvzd2rangezd2zzsaw_bbvzd2rangezd2);
													BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
															BgL_new1312z00_3836), BgL_arg2804z00_3837);
												}
												BgL_new1313z00_3835 = BgL_new1312z00_3836;
											}
											((((BgL_bbvzd2rangezd2_bglt)
														COBJECT(BgL_new1313z00_3835))->BgL_loz00) =
												((obj_t) BgL_nlz00_3800), BUNSPEC);
											((((BgL_bbvzd2rangezd2_bglt)
														COBJECT(BgL_new1313z00_3835))->BgL_upz00) =
												((obj_t) BgL_nuz00_3801), BUNSPEC);
											return ((obj_t) BgL_new1313z00_3835);
										}
								}
						}
					}
				}
			}
		}

	}



/* entry-size */
	long BGl_entryzd2siza7ez75zzsaw_bbvzd2mergezd2(BgL_bbvzd2ctxentryzd2_bglt
		BgL_ez00_277)
	{
		{	/* SawBbv/bbv-merge.scm 934 */
			{
				BgL_bbvzd2rangezd2_bglt BgL_rz00_4001;

				if (
					(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_ez00_277))->
						BgL_polarityz00))
					{	/* SawBbv/bbv-merge.scm 956 */
						bool_t BgL_test3739z00_10533;

						{	/* SawBbv/bbv-merge.scm 956 */
							obj_t BgL_arg2921z00_3994;

							BgL_arg2921z00_3994 =
								CAR(
								(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_ez00_277))->
									BgL_typesz00));
							BgL_test3739z00_10533 =
								(BgL_arg2921z00_3994 == BGl_za2objza2z00zztype_cachez00);
						}
						if (BgL_test3739z00_10533)
							{	/* SawBbv/bbv-merge.scm 956 */
								return 100L;
							}
						else
							{	/* SawBbv/bbv-merge.scm 957 */
								bool_t BgL_test3740z00_10537;

								{	/* SawBbv/bbv-merge.scm 957 */
									obj_t BgL_arg2920z00_3993;

									BgL_arg2920z00_3993 =
										(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_ez00_277))->
										BgL_valuez00);
									{	/* SawBbv/bbv-merge.scm 957 */
										obj_t BgL_classz00_5976;

										BgL_classz00_5976 = BGl_bbvzd2rangezd2zzsaw_bbvzd2rangezd2;
										if (BGL_OBJECTP(BgL_arg2920z00_3993))
											{	/* SawBbv/bbv-merge.scm 957 */
												BgL_objectz00_bglt BgL_arg1858z00_5978;

												BgL_arg1858z00_5978 =
													(BgL_objectz00_bglt) (BgL_arg2920z00_3993);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* SawBbv/bbv-merge.scm 957 */
														long BgL_idxz00_5984;

														BgL_idxz00_5984 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5978);
														BgL_test3740z00_10537 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_5984 + 1L)) == BgL_classz00_5976);
													}
												else
													{	/* SawBbv/bbv-merge.scm 957 */
														bool_t BgL_res3228z00_6009;

														{	/* SawBbv/bbv-merge.scm 957 */
															obj_t BgL_oclassz00_5992;

															{	/* SawBbv/bbv-merge.scm 957 */
																obj_t BgL_arg1866z00_6000;
																long BgL_arg1867z00_6001;

																BgL_arg1866z00_6000 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* SawBbv/bbv-merge.scm 957 */
																	long BgL_arg1869z00_6002;

																	BgL_arg1869z00_6002 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5978);
																	BgL_arg1867z00_6001 =
																		(BgL_arg1869z00_6002 - OBJECT_TYPE);
																}
																BgL_oclassz00_5992 =
																	VECTOR_REF(BgL_arg1866z00_6000,
																	BgL_arg1867z00_6001);
															}
															{	/* SawBbv/bbv-merge.scm 957 */
																bool_t BgL__ortest_1115z00_5993;

																BgL__ortest_1115z00_5993 =
																	(BgL_classz00_5976 == BgL_oclassz00_5992);
																if (BgL__ortest_1115z00_5993)
																	{	/* SawBbv/bbv-merge.scm 957 */
																		BgL_res3228z00_6009 =
																			BgL__ortest_1115z00_5993;
																	}
																else
																	{	/* SawBbv/bbv-merge.scm 957 */
																		long BgL_odepthz00_5994;

																		{	/* SawBbv/bbv-merge.scm 957 */
																			obj_t BgL_arg1855z00_5995;

																			BgL_arg1855z00_5995 =
																				(BgL_oclassz00_5992);
																			BgL_odepthz00_5994 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_5995);
																		}
																		if ((1L < BgL_odepthz00_5994))
																			{	/* SawBbv/bbv-merge.scm 957 */
																				obj_t BgL_arg1853z00_5997;

																				{	/* SawBbv/bbv-merge.scm 957 */
																					obj_t BgL_arg1854z00_5998;

																					BgL_arg1854z00_5998 =
																						(BgL_oclassz00_5992);
																					BgL_arg1853z00_5997 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_5998, 1L);
																				}
																				BgL_res3228z00_6009 =
																					(BgL_arg1853z00_5997 ==
																					BgL_classz00_5976);
																			}
																		else
																			{	/* SawBbv/bbv-merge.scm 957 */
																				BgL_res3228z00_6009 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test3740z00_10537 = BgL_res3228z00_6009;
													}
											}
										else
											{	/* SawBbv/bbv-merge.scm 957 */
												BgL_test3740z00_10537 = ((bool_t) 0);
											}
									}
								}
								if (BgL_test3740z00_10537)
									{	/* SawBbv/bbv-merge.scm 957 */
										BgL_rz00_4001 =
											((BgL_bbvzd2rangezd2_bglt)
											(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_ez00_277))->
												BgL_valuez00));
										{	/* SawBbv/bbv-merge.scm 939 */
											bool_t BgL_test3745z00_10561;

											{	/* SawBbv/bbv-merge.scm 939 */
												bool_t BgL_test3746z00_10562;

												{	/* SawBbv/bbv-merge.scm 939 */
													obj_t BgL_arg2993z00_4054;

													BgL_arg2993z00_4054 =
														(((BgL_bbvzd2rangezd2_bglt)
															COBJECT(BgL_rz00_4001))->BgL_loz00);
													{	/* SawBbv/bbv-merge.scm 939 */
														obj_t BgL_classz00_5899;

														BgL_classz00_5899 =
															BGl_bbvzd2vlenzd2zzsaw_bbvzd2rangezd2;
														if (BGL_OBJECTP(BgL_arg2993z00_4054))
															{	/* SawBbv/bbv-merge.scm 939 */
																BgL_objectz00_bglt BgL_arg1858z00_5901;

																BgL_arg1858z00_5901 =
																	(BgL_objectz00_bglt) (BgL_arg2993z00_4054);
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* SawBbv/bbv-merge.scm 939 */
																		long BgL_idxz00_5907;

																		BgL_idxz00_5907 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1858z00_5901);
																		BgL_test3746z00_10562 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_5907 + 1L)) ==
																			BgL_classz00_5899);
																	}
																else
																	{	/* SawBbv/bbv-merge.scm 939 */
																		bool_t BgL_res3226z00_5932;

																		{	/* SawBbv/bbv-merge.scm 939 */
																			obj_t BgL_oclassz00_5915;

																			{	/* SawBbv/bbv-merge.scm 939 */
																				obj_t BgL_arg1866z00_5923;
																				long BgL_arg1867z00_5924;

																				BgL_arg1866z00_5923 =
																					(BGl_za2classesza2z00zz__objectz00);
																				{	/* SawBbv/bbv-merge.scm 939 */
																					long BgL_arg1869z00_5925;

																					BgL_arg1869z00_5925 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1858z00_5901);
																					BgL_arg1867z00_5924 =
																						(BgL_arg1869z00_5925 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_5915 =
																					VECTOR_REF(BgL_arg1866z00_5923,
																					BgL_arg1867z00_5924);
																			}
																			{	/* SawBbv/bbv-merge.scm 939 */
																				bool_t BgL__ortest_1115z00_5916;

																				BgL__ortest_1115z00_5916 =
																					(BgL_classz00_5899 ==
																					BgL_oclassz00_5915);
																				if (BgL__ortest_1115z00_5916)
																					{	/* SawBbv/bbv-merge.scm 939 */
																						BgL_res3226z00_5932 =
																							BgL__ortest_1115z00_5916;
																					}
																				else
																					{	/* SawBbv/bbv-merge.scm 939 */
																						long BgL_odepthz00_5917;

																						{	/* SawBbv/bbv-merge.scm 939 */
																							obj_t BgL_arg1855z00_5918;

																							BgL_arg1855z00_5918 =
																								(BgL_oclassz00_5915);
																							BgL_odepthz00_5917 =
																								BGL_CLASS_DEPTH
																								(BgL_arg1855z00_5918);
																						}
																						if ((1L < BgL_odepthz00_5917))
																							{	/* SawBbv/bbv-merge.scm 939 */
																								obj_t BgL_arg1853z00_5920;

																								{	/* SawBbv/bbv-merge.scm 939 */
																									obj_t BgL_arg1854z00_5921;

																									BgL_arg1854z00_5921 =
																										(BgL_oclassz00_5915);
																									BgL_arg1853z00_5920 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_arg1854z00_5921, 1L);
																								}
																								BgL_res3226z00_5932 =
																									(BgL_arg1853z00_5920 ==
																									BgL_classz00_5899);
																							}
																						else
																							{	/* SawBbv/bbv-merge.scm 939 */
																								BgL_res3226z00_5932 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test3746z00_10562 = BgL_res3226z00_5932;
																	}
															}
														else
															{	/* SawBbv/bbv-merge.scm 939 */
																BgL_test3746z00_10562 = ((bool_t) 0);
															}
													}
												}
												if (BgL_test3746z00_10562)
													{	/* SawBbv/bbv-merge.scm 939 */
														obj_t BgL_arg2991z00_4053;

														BgL_arg2991z00_4053 =
															(((BgL_bbvzd2rangezd2_bglt)
																COBJECT(BgL_rz00_4001))->BgL_upz00);
														{	/* SawBbv/bbv-merge.scm 939 */
															obj_t BgL_classz00_5933;

															BgL_classz00_5933 =
																BGl_bbvzd2vlenzd2zzsaw_bbvzd2rangezd2;
															if (BGL_OBJECTP(BgL_arg2991z00_4053))
																{	/* SawBbv/bbv-merge.scm 939 */
																	BgL_objectz00_bglt BgL_arg1858z00_5935;

																	BgL_arg1858z00_5935 =
																		(BgL_objectz00_bglt) (BgL_arg2991z00_4053);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* SawBbv/bbv-merge.scm 939 */
																			long BgL_idxz00_5941;

																			BgL_idxz00_5941 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1858z00_5935);
																			BgL_test3745z00_10561 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_5941 + 1L)) ==
																				BgL_classz00_5933);
																		}
																	else
																		{	/* SawBbv/bbv-merge.scm 939 */
																			bool_t BgL_res3227z00_5966;

																			{	/* SawBbv/bbv-merge.scm 939 */
																				obj_t BgL_oclassz00_5949;

																				{	/* SawBbv/bbv-merge.scm 939 */
																					obj_t BgL_arg1866z00_5957;
																					long BgL_arg1867z00_5958;

																					BgL_arg1866z00_5957 =
																						(BGl_za2classesza2z00zz__objectz00);
																					{	/* SawBbv/bbv-merge.scm 939 */
																						long BgL_arg1869z00_5959;

																						BgL_arg1869z00_5959 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1858z00_5935);
																						BgL_arg1867z00_5958 =
																							(BgL_arg1869z00_5959 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_5949 =
																						VECTOR_REF(BgL_arg1866z00_5957,
																						BgL_arg1867z00_5958);
																				}
																				{	/* SawBbv/bbv-merge.scm 939 */
																					bool_t BgL__ortest_1115z00_5950;

																					BgL__ortest_1115z00_5950 =
																						(BgL_classz00_5933 ==
																						BgL_oclassz00_5949);
																					if (BgL__ortest_1115z00_5950)
																						{	/* SawBbv/bbv-merge.scm 939 */
																							BgL_res3227z00_5966 =
																								BgL__ortest_1115z00_5950;
																						}
																					else
																						{	/* SawBbv/bbv-merge.scm 939 */
																							long BgL_odepthz00_5951;

																							{	/* SawBbv/bbv-merge.scm 939 */
																								obj_t BgL_arg1855z00_5952;

																								BgL_arg1855z00_5952 =
																									(BgL_oclassz00_5949);
																								BgL_odepthz00_5951 =
																									BGL_CLASS_DEPTH
																									(BgL_arg1855z00_5952);
																							}
																							if ((1L < BgL_odepthz00_5951))
																								{	/* SawBbv/bbv-merge.scm 939 */
																									obj_t BgL_arg1853z00_5954;

																									{	/* SawBbv/bbv-merge.scm 939 */
																										obj_t BgL_arg1854z00_5955;

																										BgL_arg1854z00_5955 =
																											(BgL_oclassz00_5949);
																										BgL_arg1853z00_5954 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_arg1854z00_5955, 1L);
																									}
																									BgL_res3227z00_5966 =
																										(BgL_arg1853z00_5954 ==
																										BgL_classz00_5933);
																								}
																							else
																								{	/* SawBbv/bbv-merge.scm 939 */
																									BgL_res3227z00_5966 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test3745z00_10561 =
																				BgL_res3227z00_5966;
																		}
																}
															else
																{	/* SawBbv/bbv-merge.scm 939 */
																	BgL_test3745z00_10561 = ((bool_t) 0);
																}
														}
													}
												else
													{	/* SawBbv/bbv-merge.scm 939 */
														BgL_test3745z00_10561 = ((bool_t) 0);
													}
											}
											if (BgL_test3745z00_10561)
												{	/* SawBbv/bbv-merge.scm 939 */
													return 4L;
												}
											else
												{	/* SawBbv/bbv-merge.scm 940 */
													bool_t BgL_test3755z00_10609;

													if (INTEGERP(
															(((BgL_bbvzd2rangezd2_bglt)
																	COBJECT(BgL_rz00_4001))->BgL_loz00)))
														{	/* SawBbv/bbv-merge.scm 940 */
															if (INTEGERP(
																	(((BgL_bbvzd2rangezd2_bglt)
																			COBJECT(BgL_rz00_4001))->BgL_upz00)))
																{	/* SawBbv/bbv-merge.scm 940 */
																	BgL_test3755z00_10609 = ((bool_t) 0);
																}
															else
																{	/* SawBbv/bbv-merge.scm 940 */
																	BgL_test3755z00_10609 = ((bool_t) 1);
																}
														}
													else
														{	/* SawBbv/bbv-merge.scm 940 */
															BgL_test3755z00_10609 = ((bool_t) 1);
														}
													if (BgL_test3755z00_10609)
														{	/* SawBbv/bbv-merge.scm 940 */
															return 6L;
														}
													else
														{	/* SawBbv/bbv-merge.scm 941 */
															bool_t BgL_test3758z00_10616;

															if (
																((long) CINT(
																		(((BgL_bbvzd2rangezd2_bglt)
																				COBJECT(BgL_rz00_4001))->BgL_loz00)) >=
																	(-128L)))
																{	/* SawBbv/bbv-merge.scm 941 */
																	BgL_test3758z00_10616 =
																		(
																		(long) CINT(
																			(((BgL_bbvzd2rangezd2_bglt)
																					COBJECT(BgL_rz00_4001))->
																				BgL_upz00)) <= 127L);
																}
															else
																{	/* SawBbv/bbv-merge.scm 941 */
																	BgL_test3758z00_10616 = ((bool_t) 0);
																}
															if (BgL_test3758z00_10616)
																{	/* SawBbv/bbv-merge.scm 941 */
																	return 1L;
																}
															else
																{	/* SawBbv/bbv-merge.scm 942 */
																	bool_t BgL_test3760z00_10624;

																	if (
																		((long) CINT(
																				(((BgL_bbvzd2rangezd2_bglt)
																						COBJECT(BgL_rz00_4001))->
																					BgL_loz00)) >= 0L))
																		{	/* SawBbv/bbv-merge.scm 942 */
																			BgL_test3760z00_10624 =
																				(
																				(long) CINT(
																					(((BgL_bbvzd2rangezd2_bglt)
																							COBJECT(BgL_rz00_4001))->
																						BgL_upz00)) <= 255L);
																		}
																	else
																		{	/* SawBbv/bbv-merge.scm 942 */
																			BgL_test3760z00_10624 = ((bool_t) 0);
																		}
																	if (BgL_test3760z00_10624)
																		{	/* SawBbv/bbv-merge.scm 942 */
																			return 1L;
																		}
																	else
																		{	/* SawBbv/bbv-merge.scm 943 */
																			bool_t BgL_test3762z00_10632;

																			if (
																				((long) CINT(
																						(((BgL_bbvzd2rangezd2_bglt)
																								COBJECT(BgL_rz00_4001))->
																							BgL_loz00)) >= (-65536L)))
																				{	/* SawBbv/bbv-merge.scm 943 */
																					BgL_test3762z00_10632 =
																						(
																						(long) CINT(
																							(((BgL_bbvzd2rangezd2_bglt)
																									COBJECT(BgL_rz00_4001))->
																								BgL_upz00)) <= (-65535L));
																				}
																			else
																				{	/* SawBbv/bbv-merge.scm 943 */
																					BgL_test3762z00_10632 = ((bool_t) 0);
																				}
																			if (BgL_test3762z00_10632)
																				{	/* SawBbv/bbv-merge.scm 943 */
																					return 2L;
																				}
																			else
																				{	/* SawBbv/bbv-merge.scm 944 */
																					bool_t BgL_test3764z00_10640;

																					if (
																						((long) CINT(
																								(((BgL_bbvzd2rangezd2_bglt)
																										COBJECT(BgL_rz00_4001))->
																									BgL_loz00)) >= 0L))
																						{	/* SawBbv/bbv-merge.scm 944 */
																							BgL_test3764z00_10640 =
																								(
																								(long) CINT(
																									(((BgL_bbvzd2rangezd2_bglt)
																											COBJECT(BgL_rz00_4001))->
																										BgL_upz00)) <= 536870912L);
																						}
																					else
																						{	/* SawBbv/bbv-merge.scm 944 */
																							BgL_test3764z00_10640 =
																								((bool_t) 0);
																						}
																					if (BgL_test3764z00_10640)
																						{	/* SawBbv/bbv-merge.scm 944 */
																							return 3L;
																						}
																					else
																						{	/* SawBbv/bbv-merge.scm 944 */
																							return 5L;
																						}
																				}
																		}
																}
														}
												}
										}
									}
								else
									{	/* SawBbv/bbv-merge.scm 959 */
										obj_t BgL_arg2908z00_3974;

										{	/* SawBbv/bbv-merge.scm 959 */
											obj_t BgL_runner2917z00_3991;

											{	/* SawBbv/bbv-merge.scm 959 */
												obj_t BgL_l1816z00_3975;

												BgL_l1816z00_3975 =
													(((BgL_bbvzd2ctxentryzd2_bglt)
														COBJECT(BgL_ez00_277))->BgL_typesz00);
												{	/* SawBbv/bbv-merge.scm 959 */
													obj_t BgL_head1818z00_3977;

													{	/* SawBbv/bbv-merge.scm 959 */
														long BgL_arg2915z00_3989;

														BgL_arg2915z00_3989 =
															BGl_typezd2siza7eze70z92zzsaw_bbvzd2mergezd2(CAR
															(BgL_l1816z00_3975));
														BgL_head1818z00_3977 =
															MAKE_YOUNG_PAIR(BINT(BgL_arg2915z00_3989), BNIL);
													}
													{	/* SawBbv/bbv-merge.scm 959 */
														obj_t BgL_g1821z00_3978;

														BgL_g1821z00_3978 = CDR(BgL_l1816z00_3975);
														{
															obj_t BgL_l1816z00_3980;
															obj_t BgL_tail1819z00_3981;

															BgL_l1816z00_3980 = BgL_g1821z00_3978;
															BgL_tail1819z00_3981 = BgL_head1818z00_3977;
														BgL_zc3z04anonymousza32910ze3z87_3982:
															if (NULLP(BgL_l1816z00_3980))
																{	/* SawBbv/bbv-merge.scm 959 */
																	BgL_runner2917z00_3991 = BgL_head1818z00_3977;
																}
															else
																{	/* SawBbv/bbv-merge.scm 959 */
																	obj_t BgL_newtail1820z00_3984;

																	{	/* SawBbv/bbv-merge.scm 959 */
																		long BgL_arg2913z00_3986;

																		BgL_arg2913z00_3986 =
																			BGl_typezd2siza7eze70z92zzsaw_bbvzd2mergezd2
																			(CAR(((obj_t) BgL_l1816z00_3980)));
																		BgL_newtail1820z00_3984 =
																			MAKE_YOUNG_PAIR(BINT(BgL_arg2913z00_3986),
																			BNIL);
																	}
																	SET_CDR(BgL_tail1819z00_3981,
																		BgL_newtail1820z00_3984);
																	{	/* SawBbv/bbv-merge.scm 959 */
																		obj_t BgL_arg2912z00_3985;

																		BgL_arg2912z00_3985 =
																			CDR(((obj_t) BgL_l1816z00_3980));
																		{
																			obj_t BgL_tail1819z00_10667;
																			obj_t BgL_l1816z00_10666;

																			BgL_l1816z00_10666 = BgL_arg2912z00_3985;
																			BgL_tail1819z00_10667 =
																				BgL_newtail1820z00_3984;
																			BgL_tail1819z00_3981 =
																				BgL_tail1819z00_10667;
																			BgL_l1816z00_3980 = BgL_l1816z00_10666;
																			goto
																				BgL_zc3z04anonymousza32910ze3z87_3982;
																		}
																	}
																}
														}
													}
												}
											}
											BgL_arg2908z00_3974 =
												BGl_zb2zb2zz__r4_numbers_6_5z00(BgL_runner2917z00_3991);
										}
										return (10L * (long) CINT(BgL_arg2908z00_3974));
					}}}
				else
					{	/* SawBbv/bbv-merge.scm 955 */
						long BgL_bz00_3997;

						BgL_bz00_3997 =
							(10L *
							bgl_list_length(
								(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_ez00_277))->
									BgL_typesz00)));
						if ((10L < BgL_bz00_3997))
							{	/* SawBbv/bbv-merge.scm 955 */
								return 10L;
							}
						else
							{	/* SawBbv/bbv-merge.scm 955 */
								return BgL_bz00_3997;
							}
					}
			}
		}

	}



/* type-size~0 */
	long BGl_typezd2siza7eze70z92zzsaw_bbvzd2mergezd2(obj_t BgL_typez00_4055)
	{
		{	/* SawBbv/bbv-merge.scm 951 */
			if ((BgL_typez00_4055 == BGl_za2bignumza2z00zztype_cachez00))
				{	/* SawBbv/bbv-merge.scm 949 */
					return 1L;
				}
			else
				{	/* SawBbv/bbv-merge.scm 949 */
					if ((BgL_typez00_4055 == BGl_za2realza2z00zztype_cachez00))
						{	/* SawBbv/bbv-merge.scm 950 */
							return 2L;
						}
					else
						{	/* SawBbv/bbv-merge.scm 950 */
							return 3L;
						}
				}
		}

	}



/* block-size */
	obj_t BGl_blockzd2siza7ez75zzsaw_bbvzd2mergezd2(BgL_blockz00_bglt
		BgL_bz00_278)
	{
		{	/* SawBbv/bbv-merge.scm 964 */
			{	/* SawBbv/bbv-merge.scm 966 */
				BgL_bbvzd2ctxzd2_bglt BgL_i1317z00_4060;

				{
					BgL_blocksz00_bglt BgL_auxz00_10680;

					{
						obj_t BgL_auxz00_10681;

						{	/* SawBbv/bbv-merge.scm 967 */
							BgL_objectz00_bglt BgL_tmpz00_10682;

							BgL_tmpz00_10682 = ((BgL_objectz00_bglt) BgL_bz00_278);
							BgL_auxz00_10681 = BGL_OBJECT_WIDENING(BgL_tmpz00_10682);
						}
						BgL_auxz00_10680 = ((BgL_blocksz00_bglt) BgL_auxz00_10681);
					}
					BgL_i1317z00_4060 =
						(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_10680))->BgL_ctxz00);
				}
				{	/* SawBbv/bbv-merge.scm 967 */
					obj_t BgL_runner3010z00_4077;

					{	/* SawBbv/bbv-merge.scm 967 */
						obj_t BgL_l1822z00_4061;

						BgL_l1822z00_4061 =
							(((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_i1317z00_4060))->
							BgL_entriesz00);
						if (NULLP(BgL_l1822z00_4061))
							{	/* SawBbv/bbv-merge.scm 967 */
								BgL_runner3010z00_4077 = BNIL;
							}
						else
							{	/* SawBbv/bbv-merge.scm 967 */
								obj_t BgL_head1824z00_4063;

								{	/* SawBbv/bbv-merge.scm 967 */
									long BgL_arg3008z00_4075;

									{	/* SawBbv/bbv-merge.scm 967 */
										obj_t BgL_arg3009z00_4076;

										BgL_arg3009z00_4076 = CAR(BgL_l1822z00_4061);
										BgL_arg3008z00_4075 =
											BGl_entryzd2siza7ez75zzsaw_bbvzd2mergezd2(
											((BgL_bbvzd2ctxentryzd2_bglt) BgL_arg3009z00_4076));
									}
									BgL_head1824z00_4063 =
										MAKE_YOUNG_PAIR(BINT(BgL_arg3008z00_4075), BNIL);
								}
								{	/* SawBbv/bbv-merge.scm 967 */
									obj_t BgL_g1827z00_4064;

									BgL_g1827z00_4064 = CDR(BgL_l1822z00_4061);
									{
										obj_t BgL_l1822z00_4066;
										obj_t BgL_tail1825z00_4067;

										BgL_l1822z00_4066 = BgL_g1827z00_4064;
										BgL_tail1825z00_4067 = BgL_head1824z00_4063;
									BgL_zc3z04anonymousza32996ze3z87_4068:
										if (NULLP(BgL_l1822z00_4066))
											{	/* SawBbv/bbv-merge.scm 967 */
												BgL_runner3010z00_4077 = BgL_head1824z00_4063;
											}
										else
											{	/* SawBbv/bbv-merge.scm 967 */
												obj_t BgL_newtail1826z00_4070;

												{	/* SawBbv/bbv-merge.scm 967 */
													long BgL_arg3003z00_4072;

													{	/* SawBbv/bbv-merge.scm 967 */
														obj_t BgL_arg3004z00_4073;

														BgL_arg3004z00_4073 =
															CAR(((obj_t) BgL_l1822z00_4066));
														BgL_arg3003z00_4072 =
															BGl_entryzd2siza7ez75zzsaw_bbvzd2mergezd2(
															((BgL_bbvzd2ctxentryzd2_bglt)
																BgL_arg3004z00_4073));
													}
													BgL_newtail1826z00_4070 =
														MAKE_YOUNG_PAIR(BINT(BgL_arg3003z00_4072), BNIL);
												}
												SET_CDR(BgL_tail1825z00_4067, BgL_newtail1826z00_4070);
												{	/* SawBbv/bbv-merge.scm 967 */
													obj_t BgL_arg2999z00_4071;

													BgL_arg2999z00_4071 =
														CDR(((obj_t) BgL_l1822z00_4066));
													{
														obj_t BgL_tail1825z00_10708;
														obj_t BgL_l1822z00_10707;

														BgL_l1822z00_10707 = BgL_arg2999z00_4071;
														BgL_tail1825z00_10708 = BgL_newtail1826z00_4070;
														BgL_tail1825z00_4067 = BgL_tail1825z00_10708;
														BgL_l1822z00_4066 = BgL_l1822z00_10707;
														goto BgL_zc3z04anonymousza32996ze3z87_4068;
													}
												}
											}
									}
								}
							}
					}
					return BGl_zb2zb2zz__r4_numbers_6_5z00(BgL_runner3010z00_4077);
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_bbvzd2mergezd2(void)
	{
		{	/* SawBbv/bbv-merge.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_bbvzd2mergezd2(void)
	{
		{	/* SawBbv/bbv-merge.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_bbvzd2mergezd2(void)
	{
		{	/* SawBbv/bbv-merge.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_bbvzd2mergezd2(void)
	{
		{	/* SawBbv/bbv-merge.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string3251z00zzsaw_bbvzd2mergezd2));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string3251z00zzsaw_bbvzd2mergezd2));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string3251z00zzsaw_bbvzd2mergezd2));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string3251z00zzsaw_bbvzd2mergezd2));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string3251z00zzsaw_bbvzd2mergezd2));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string3251z00zzsaw_bbvzd2mergezd2));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string3251z00zzsaw_bbvzd2mergezd2));
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string3251z00zzsaw_bbvzd2mergezd2));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string3251z00zzsaw_bbvzd2mergezd2));
			BGl_modulezd2initializa7ationz75zzsaw_libz00(57049157L,
				BSTRING_TO_STRING(BGl_string3251z00zzsaw_bbvzd2mergezd2));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(404844772L,
				BSTRING_TO_STRING(BGl_string3251z00zzsaw_bbvzd2mergezd2));
			BGl_modulezd2initializa7ationz75zzsaw_regsetz00(358079690L,
				BSTRING_TO_STRING(BGl_string3251z00zzsaw_bbvzd2mergezd2));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2typeszd2(425659118L,
				BSTRING_TO_STRING(BGl_string3251z00zzsaw_bbvzd2mergezd2));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2utilszd2(221709922L,
				BSTRING_TO_STRING(BGl_string3251z00zzsaw_bbvzd2mergezd2));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2rangezd2(481635416L,
				BSTRING_TO_STRING(BGl_string3251z00zzsaw_bbvzd2mergezd2));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2costzd2(414627252L,
				BSTRING_TO_STRING(BGl_string3251z00zzsaw_bbvzd2mergezd2));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2configzd2(288263219L,
				BSTRING_TO_STRING(BGl_string3251z00zzsaw_bbvzd2mergezd2));
			return
				BGl_modulezd2initializa7ationz75zzsaw_bbvzd2specializa7ez75(506937389L,
				BSTRING_TO_STRING(BGl_string3251z00zzsaw_bbvzd2mergezd2));
		}

	}

#ifdef __cplusplus
}
#endif
