/*===========================================================================*/
/*   (SawBbv/bbv-specialize.scm)                                             */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent SawBbv/bbv-specialize.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_BgL_SAW_BBVzd2SPECIALIZEzd2_TYPE_DEFINITIONS
#define BGL_BgL_SAW_BBVzd2SPECIALIZEzd2_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_debugnamez00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                    *BgL_rtl_returnz00_bglt;

	typedef struct BgL_rtl_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_patternsz00;
	}                    *BgL_rtl_selectz00_bglt;

	typedef struct BgL_rtl_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_patternsz00;
		obj_t BgL_labelsz00;
	}                    *BgL_rtl_switchz00_bglt;

	typedef struct BgL_rtl_ifnez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifnez00_bglt;

	typedef struct BgL_rtl_goz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_toz00;
	}                *BgL_rtl_goz00_bglt;

	typedef struct BgL_rtl_nopz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_nopz00_bglt;

	typedef struct BgL_rtl_movz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_movz00_bglt;

	typedef struct BgL_rtl_loadiz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_atomz00_bgl *BgL_constantz00;
	}                   *BgL_rtl_loadiz00_bglt;

	typedef struct BgL_rtl_loadgz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                   *BgL_rtl_loadgz00_bglt;

	typedef struct BgL_rtl_callz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                  *BgL_rtl_callz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;

	typedef struct BgL_rtl_regzf2razf2_bgl
	{
		int BgL_numz00;
		obj_t BgL_colorz00;
		obj_t BgL_coalescez00;
		int BgL_occurrencesz00;
		obj_t BgL_interferez00;
		obj_t BgL_interfere2z00;
	}                      *BgL_rtl_regzf2razf2_bglt;

	typedef struct BgL_regsetz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_lengthz00;
		int BgL_msiza7eza7;
		obj_t BgL_regvz00;
		obj_t BgL_reglz00;
		obj_t BgL_stringz00;
	}                *BgL_regsetz00_bglt;

	typedef struct BgL_rtl_inszf2bbvzf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_outz00;
		obj_t BgL_inz00;
		struct BgL_bbvzd2ctxzd2_bgl *BgL_ctxz00;
		obj_t BgL_z52hashz52;
	}                       *BgL_rtl_inszf2bbvzf2_bglt;

	typedef struct BgL_blockvz00_bgl
	{
		obj_t BgL_versionsz00;
		obj_t BgL_genericz00;
		long BgL_z52markz52;
		obj_t BgL_mergez00;
	}                *BgL_blockvz00_bglt;

	typedef struct BgL_blocksz00_bgl
	{
		long BgL_z52markz52;
		obj_t BgL_z52hashz52;
		obj_t BgL_z52blacklistz52;
		struct BgL_bbvzd2ctxzd2_bgl *BgL_ctxz00;
		struct BgL_blockz00_bgl *BgL_parentz00;
		long BgL_gccntz00;
		long BgL_gcmarkz00;
		obj_t BgL_mblockz00;
		obj_t BgL_creatorz00;
		obj_t BgL_mergesz00;
		bool_t BgL_asleepz00;
	}                *BgL_blocksz00_bglt;

	typedef struct BgL_bbvzd2queuezd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_blocksz00;
		obj_t BgL_lastz00;
	}                     *BgL_bbvzd2queuezd2_bglt;

	typedef struct BgL_bbvzd2ctxzd2_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_idz00;
		obj_t BgL_entriesz00;
	}                   *BgL_bbvzd2ctxzd2_bglt;

	typedef struct BgL_bbvzd2ctxentryzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_rtl_regz00_bgl *BgL_regz00;
		obj_t BgL_typesz00;
		bool_t BgL_polarityz00;
		long BgL_countz00;
		obj_t BgL_valuez00;
		obj_t BgL_aliasesz00;
		obj_t BgL_initvalz00;
	}                        *BgL_bbvzd2ctxentryzd2_bglt;

	typedef struct BgL_bbvzd2rangezd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_loz00;
		obj_t BgL_upz00;
	}                     *BgL_bbvzd2rangezd2_bglt;


#endif													// BGL_BgL_SAW_BBVzd2SPECIALIZEzd2_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t
		BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_bbvzd2specializa7ez75
		(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2ctxzd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt, BgL_bbvzd2ctxzd2_bglt);
	static BgL_blockz00_bglt
		BGl_z62blockSzd2parentzb0zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	extern obj_t BGl_rtl_insz00zzsaw_defsz00;
	static obj_t
		BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	extern obj_t BGl_za2typezd2callza2zd2zzsaw_bbvzd2configzd2;
	static bool_t
		BGl_rtl_inszd2fxopzf3z21zzsaw_bbvzd2specializa7ez75(BgL_rtl_insz00_bglt);
	static BgL_rtl_insz00_bglt
		BGl_fxzd2ovzd2ze3fxze70z04zzsaw_bbvzd2specializa7ez75(BgL_globalz00_bglt,
		obj_t, obj_t, BgL_bbvzd2ctxzd2_bglt, BgL_bbvzd2ctxzd2_bglt);
	static obj_t
		BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2;
	extern obj_t BGl_za2zb2fxzd2safeza2z60zzsaw_bbvzd2cachezd2;
	BGL_EXPORTED_DECL bool_t
		BGl_bbvzd2ctxentryzd2polarityz00zzsaw_bbvzd2specializa7ez75
		(BgL_bbvzd2ctxentryzd2_bglt);
	static BgL_rtl_insz00_bglt
		BGl_specializa7ezd2fxcmpzf2callze70z60zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt, BgL_bbvzd2ctxzd2_bglt);
	BGL_EXPORTED_DECL BgL_blockz00_bglt
		BGl_blockVzd2nilzd2zzsaw_bbvzd2specializa7ez75(void);
	static BgL_blockz00_bglt
		BGl_bbvzd2blockzd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt,
		BgL_bbvzd2ctxzd2_bglt, BgL_bbvzd2queuezd2_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2firstzd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt);
	static obj_t BGl_commutezd2opze70z35zzsaw_bbvzd2specializa7ez75(obj_t);
	static obj_t BGl_fxcmpzd2opze70z35zzsaw_bbvzd2specializa7ez75(obj_t);
	static obj_t BGl_z62blockVzd2firstzb0zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2defz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_insz00_bglt);
	extern obj_t BGl_bbvzd2ctxzd2getz00zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt,
		BgL_rtl_regz00_bglt);
	static obj_t BGl_z62rtl_inszf2bbvzd2defz42zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static BgL_rtl_insz00_bglt
		BGl_2zd2ze3fxze70zd6zzsaw_bbvzd2specializa7ez75(BgL_globalz00_bglt,
		BgL_rtl_insz00_bglt, obj_t, BgL_bbvzd2ctxzd2_bglt);
	static obj_t
		BGl_rtl_inszd2typezd2zzsaw_bbvzd2specializa7ez75(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62blockSzd2asleepzb0zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_bbvzd2specializa7ez75 =
		BUNSPEC;
	static obj_t BGl_z62bbvzd2queuezd2lastz62zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	extern obj_t BGl_bbvzd2rangezd2zzsaw_bbvzd2rangezd2;
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2gccntzd2setz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt,
		long);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2coalescez20zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62rtl_inszf2bbvzd2argsz42zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	extern obj_t BGl_za2vectorza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2keyz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_regz00_bglt);
	static BgL_blockz00_bglt
		BGl_z62bbvzd2rootzd2blockz62zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_bbvzd2ctxentryzd2typesz00zzsaw_bbvzd2specializa7ez75
		(BgL_bbvzd2ctxentryzd2_bglt);
	extern bool_t
		BGl_rtl_inszd2ifeqzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
	extern obj_t BGl_za2maxzd2blockzd2mergezd2versionsza2zd2zzsaw_bbvzd2configzd2;
	static BgL_blockz00_bglt
		BGl_z62blockVzd2nilzb0zzsaw_bbvzd2specializa7ez75(obj_t);
	extern obj_t BGl_za2z42zd2fxzf2ovza2z62zzsaw_bbvzd2cachezd2;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2argszd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt, obj_t);
	static obj_t
		BGl_rtl_inszd2callzd2specializa7ezf3z54zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62blockSzd2z52hashze2zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	static obj_t
		BGl_z62rtl_inszf2bbvzd2z52hashzd2setz12zd0zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62bbvzd2ctxzf3z43zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	static BgL_blockz00_bglt
		BGl_livezd2blockSzd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt);
	extern obj_t BGl_za2stringzd2boundzd2checkza2z00zzsaw_bbvzd2cachezd2;
	BGL_EXPORTED_DECL long
		BGl_blockSzd2z52markz80zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62blockVzd2z52markze2zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	extern obj_t
		BGl_blockVzd2livezd2versionsz00zzsaw_bbvzd2typeszd2(BgL_blockz00_bglt);
	static obj_t
		BGl_z62blockVzd2versionszd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62blockSzd2succszd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62bbvzd2ctxentryzf3z43zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	static obj_t
		BGl_z62regsetzd2stringzd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t);
	static BgL_rtl_insz00_bglt
		BGl_duplicatezd2inszf2argsz20zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		BgL_bbvzd2ctxzd2_bglt);
	BGL_EXPORTED_DECL int
		BGl_blockVzd2labelzd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt);
	static obj_t
		BGl_z62bbvzd2ctxentryzd2initvalz62zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	extern obj_t BGl_bbvzd2gcz12zc0zzsaw_bbvzd2gczd2(BgL_blockz00_bglt);
	BGL_EXPORTED_DECL BgL_regsetz00_bglt
		BGl_makezd2regsetzd2zzsaw_bbvzd2specializa7ez75(int, int, obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62rtl_inszd2specializa7ezd2movzc5zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2gcmarkzd2setz12z12zzsaw_bbvzd2specializa7ez75
		(BgL_blockz00_bglt, long);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt
		BGl_makezd2rtl_regzf2raz20zzsaw_bbvzd2specializa7ez75(BgL_typez00_bglt,
		obj_t, obj_t, obj_t, obj_t, obj_t, int, obj_t, obj_t, int, obj_t, obj_t);
	static bool_t
		BGl_rtl_inszd2returnzd2specializa7ezf3z54zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt);
	static obj_t
		BGl_z62rtl_inszf2bbvzd2z52spillz10zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	static BgL_rtl_regz00_bglt
		BGl_z62makezd2rtl_regzf2raz42zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern bool_t
		BGl_rtl_inszd2callzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62blockVzd2mergezb0zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	static BgL_bbvzd2ctxzd2_bglt
		BGl_z62makezd2bbvzd2ctxz62zzsaw_bbvzd2specializa7ez75(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2inz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_insz00_bglt);
	static obj_t
		BGl_z62blockSzd2predszd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62rtl_inszf2bbvzd2outzd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtlzd2rangezd2zzsaw_bbvzd2rangezd2(obj_t,
		BgL_bbvzd2ctxzd2_bglt);
	static obj_t BGl_toplevelzd2initzd2zzsaw_bbvzd2specializa7ez75(void);
	static obj_t
		BGl_z62bbvzd2ctxentryzd2polarityz62zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	static obj_t
		BGl_z62blockVzd2succszd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2z52spillzd2setz12zb2zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt, obj_t);
	BGL_EXPORTED_DECL int
		BGl_rtl_regzf2razd2occurrencesz20zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt);
	extern obj_t BGl_za2z42zd2fxzf2wzd2ovza2zb0zzsaw_bbvzd2cachezd2;
	static obj_t BGl_z62regsetzd2lengthzb0zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockVzd2versionszd2setz12z12zzsaw_bbvzd2specializa7ez75
		(BgL_blockz00_bglt, obj_t);
	static obj_t
		BGl_z62bbvzd2ctxentryzd2countz62zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	static obj_t BGl_z62regsetzd2reglzb0zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	static obj_t
		BGl_z62blockSzd2labelzd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62blockVzd2predszd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_bbvzd2ctxentryzd2initvalz00zzsaw_bbvzd2specializa7ez75
		(BgL_bbvzd2ctxentryzd2_bglt);
	extern BgL_bbvzd2rangezd2_bglt BGl_vlenzd2rangezd2zzsaw_bbvzd2rangezd2(void);
	static obj_t BGl_z62blockVzd2genericzb0zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	static obj_t BGl_z62regsetzd2regvzb0zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	static BgL_blockz00_bglt
		BGl_newzd2blockSzd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt,
		BgL_bbvzd2ctxzd2_bglt, obj_t, long);
	static obj_t
		BGl_z62rtl_inszd2specializa7ezd2vlenzc5zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t
		BGl_rtl_inszd2switchzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2z52hashz72zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt);
	extern bool_t
		BGl_rtl_inszd2vlenzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_genericzd2initzd2zzsaw_bbvzd2specializa7ez75(void);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2namez20zzsaw_bbvzd2specializa7ez75(BgL_rtl_regz00_bglt);
	static obj_t
		BGl_z62rtl_inszd2specializa7ezd2fxcmpzc5zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_bbvzd2queuezd2_bglt
		BGl_z62bbvzd2queuezd2nilz62zzsaw_bbvzd2specializa7ez75(obj_t);
	static obj_t BGl_z62blockSzf3z91zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2outzd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt, obj_t);
	static obj_t
		BGl_z62rtl_inszd2specializa7ezd2returnzc5zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2namez42zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	static obj_t
		BGl_z62rtl_inszd2specializa7ezd2fxovopzc5zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_rtl_regz00_bglt
		BGl_z62rtl_regzf2razd2nilz42zzsaw_bbvzd2specializa7ez75(obj_t);
	static obj_t
		BGl_z62blockVzd2labelzd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interfere2z20zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt);
	static obj_t BGl_objectzd2initzd2zzsaw_bbvzd2specializa7ez75(void);
	static obj_t
		BGl_z62rtl_inszf2bbvzd2funzd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62blockSzd2z52markzd2setz12z22zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62rtl_inszf2bbvzd2argszd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	static obj_t BGl_z62blockSzd2gcmarkzb0zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	extern bool_t
		BGl_rtl_inszd2truezf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2hardwarez20zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_bbvzd2queuezd2lastz00zzsaw_bbvzd2specializa7ez75
		(BgL_bbvzd2queuezd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2mergeszd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt);
	extern BgL_bbvzd2rangezd2_bglt
		BGl_bbvzd2rangezd2mulz00zzsaw_bbvzd2rangezd2(BgL_bbvzd2rangezd2_bglt,
		BgL_bbvzd2rangezd2_bglt);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static obj_t
		BGl_z62blockVzd2z52markzd2setz12z22zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2maxzd2blockzd2limitza2z00zzsaw_bbvzd2configzd2;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_blockz00_bglt
		BGl_bbvzd2rootzd2blockz00zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt,
		BgL_bbvzd2ctxzd2_bglt);
	extern BgL_bbvzd2ctxzd2_bglt
		BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt,
		BgL_rtl_regz00_bglt, obj_t, bool_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	extern bool_t
		BGl_rtl_inszd2ifnezf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2outz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_insz00_bglt);
	extern obj_t BGl_regsetz00zzsaw_regsetz00;
	static obj_t BGl_z62blockSzd2predszb0zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_inszf2bbvzd2outz42zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	extern obj_t BGl_rtl_regz00zzsaw_defsz00;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2funzd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt, BgL_rtl_funz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_bbvzd2queuezd2blocksz00zzsaw_bbvzd2specializa7ez75
		(BgL_bbvzd2queuezd2_bglt);
	static obj_t
		BGl_z62blockVzd2mergezd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t);
	extern obj_t
		BGl_bbvzd2gczd2addzd2blockz12zc0zzsaw_bbvzd2gczd2(BgL_blockz00_bglt);
	static obj_t
		BGl_z62blockSzd2mblockzd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_rtl_movz00zzsaw_defsz00;
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszf2bbvzf3z01zzsaw_bbvzd2specializa7ez75(obj_t);
	static obj_t
		BGl_z62blockSzd2asleepzd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62blockVzf3z91zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	extern obj_t BGl_zc3zd3tyz10zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	extern bool_t BGl_regsetzd2removez12zc0zzsaw_regsetz00(BgL_regsetz00_bglt,
		BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_bbvzd2queuezf3z21zzsaw_bbvzd2specializa7ez75(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2z52hashzd2setz12z40zzsaw_bbvzd2specializa7ez75
		(BgL_blockz00_bglt, obj_t);
	static obj_t BGl_z62regsetzf3z91zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_bbvzd2ctxentryzd2valuez00zzsaw_bbvzd2specializa7ez75
		(BgL_bbvzd2ctxentryzd2_bglt);
	extern BgL_bbvzd2rangezd2_bglt
		BGl_bbvzd2rangezd2intersectionz00zzsaw_bbvzd2rangezd2
		(BgL_bbvzd2rangezd2_bglt, BgL_bbvzd2rangezd2_bglt);
	static BgL_bbvzd2ctxentryzd2_bglt
		BGl_z62makezd2bbvzd2ctxentryz62zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_bbvzd2ctxzd2_bglt
		BGl_blockSzd2ctxzd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt);
	static obj_t BGl_search2499ze70ze7zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2longzd2ze3bintza2z31zzsaw_bbvzd2cachezd2;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t
		BGl_z62bbvzd2ctxentryzd2countzd2setz12za2zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2;
	extern obj_t BGl_bbvzd2gczd2connectz12z12zzsaw_bbvzd2gczd2(BgL_blockz00_bglt,
		BgL_blockz00_bglt);
	extern BgL_blockz00_bglt
		BGl_bbvzd2queuezd2popz12z12zzsaw_bbvzd2typeszd2(BgL_bbvzd2queuezd2_bglt);
	extern obj_t BGl_assertzd2blockzd2zzsaw_bbvzd2debugzd2(BgL_blockz00_bglt,
		obj_t);
	extern obj_t
		BGl_rtl_callzd2predicatezd2zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2succszd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62blockVzd2succszb0zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2interfere2z42zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	extern obj_t BGl_rtl_nopz00zzsaw_defsz00;
	static obj_t BGl_methodzd2initzd2zzsaw_bbvzd2specializa7ez75(void);
	static obj_t BGl_z62blockSzd2mblockzb0zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	static obj_t
		BGl_z62blockVzd2genericzd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockVzd2genericzd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt);
	extern obj_t BGl_maxrvz00zzsaw_bbvzd2rangezd2(obj_t, obj_t, obj_t);
	extern bool_t
		BGl_rtl_inszd2loadgzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	extern obj_t BGl_bbvzd2blockzd2mergez00zzsaw_bbvzd2mergezd2(obj_t);
	BGL_EXPORTED_DECL long
		BGl_bbvzd2ctxzd2idz00zzsaw_bbvzd2specializa7ez75(BgL_bbvzd2ctxzd2_bglt);
	static obj_t BGl_z62bbvzd2queuezf3z43zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_blockz00_bglt
		BGl_blockSzd2parentzd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt);
	extern obj_t BGl_za2vectorzd2boundzd2checkza2z00zzsaw_bbvzd2cachezd2;
	BGL_EXPORTED_DECL BgL_bbvzd2ctxentryzd2_bglt
		BGl_bbvzd2ctxentryzd2nilz00zzsaw_bbvzd2specializa7ez75(void);
	static obj_t
		BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_bbvzd2specializa7ez75
		(obj_t, obj_t, obj_t);
	static BgL_regsetz00_bglt
		BGl_z62makezd2regsetzb0zzsaw_bbvzd2specializa7ez75(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_inszd2argsza2z70zzsaw_defsz00(BgL_rtl_insz00_bglt);
	static BgL_bbvzd2ctxzd2_bglt
		BGl_z62blockSzd2ctxzb0zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_regzf2razd2typez20zzsaw_bbvzd2specializa7ez75(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt
		BGl_rtl_regzf2razd2nilz20zzsaw_bbvzd2specializa7ez75(void);
	static BgL_typez00_bglt
		BGl_z62rtl_regzf2razd2typez42zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	extern bool_t BGl_blockzd2livezf3z21zzsaw_bbvzd2typeszd2(BgL_blockz00_bglt);
	BGL_EXPORTED_DECL BgL_blockz00_bglt
		BGl_makezd2blockSzd2zzsaw_bbvzd2specializa7ez75(int, obj_t, obj_t, obj_t,
		long, obj_t, obj_t, BgL_bbvzd2ctxzd2_bglt, BgL_blockz00_bglt, long, long,
		obj_t, obj_t, obj_t, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_bbvzd2ctxzd2idzd2setz12zc0zzsaw_bbvzd2specializa7ez75
		(BgL_bbvzd2ctxzd2_bglt, long);
	BGL_EXPORTED_DECL obj_t
		BGl_blockVzd2predszd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt);
	BGL_EXPORTED_DECL BgL_blockz00_bglt
		BGl_makezd2blockVzd2zzsaw_bbvzd2specializa7ez75(int, obj_t, obj_t, obj_t,
		obj_t, obj_t, long, obj_t);
	extern obj_t BGl_za2zc3fxza2zc3zzsaw_bbvzd2cachezd2;
	static obj_t
		BGl_z62bbvzd2ctxzd2idzd2setz12za2zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_bbvzd2queuezd2blockszd2setz12zc0zzsaw_bbvzd2specializa7ez75
		(BgL_bbvzd2queuezd2_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_bbvzd2ctxzf3z21zzsaw_bbvzd2specializa7ez75(obj_t);
	extern obj_t BGl_za2z42za2fxzf2wzd2ovza2zc0zzsaw_bbvzd2cachezd2;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2destzd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt, obj_t);
	static BgL_bbvzd2queuezd2_bglt
		BGl_z62makezd2bbvzd2queuez62zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t);
	extern bool_t
		BGl_rtl_inszd2strlenzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	extern obj_t BGl_rtl_switchz00zzsaw_defsz00;
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2z52blacklistzd2setz12z40zzsaw_bbvzd2specializa7ez75
		(BgL_blockz00_bglt, obj_t);
	static BgL_bbvzd2ctxzd2_bglt
		BGl_narrowingze70ze7zzsaw_bbvzd2specializa7ez75(BgL_rtl_regz00_bglt,
		BgL_bbvzd2rangezd2_bglt, BgL_bbvzd2rangezd2_bglt, obj_t,
		BgL_bbvzd2ctxzd2_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_blockSzd2asleepzd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt);
	extern obj_t
		BGl_blockzd2predszd2updatez12z12zzsaw_bbvzd2typeszd2(BgL_blockz00_bglt,
		obj_t);
	extern obj_t BGl_rtl_goz00zzsaw_defsz00;
	extern obj_t
		BGl_rtl_inszd2typecheckzd2zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t
		BGl_blockzd2mergez12zc0zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt,
		BgL_blockz00_bglt);
	extern bool_t
		BGl_rtl_inszd2loadizf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	extern obj_t BGl_rtl_ifnez00zzsaw_defsz00;
	static obj_t BGl_z62bbvzd2ctxzd2idz62zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt);
	static obj_t
		BGl_z62blockSzd2gccntzd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62bbvzd2ctxentryzd2aliasesz62zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	extern bool_t BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	extern obj_t
		BGl_bbvzd2queuezd2emptyzf3zf3zzsaw_bbvzd2typeszd2(BgL_bbvzd2queuezd2_bglt);
	static obj_t
		BGl_z62bbvzd2ctxentryzd2initvalzd2setz12za2zzsaw_bbvzd2specializa7ez75
		(obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2varz42zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	extern obj_t BGl_za22zb2za2zb2zzsaw_bbvzd2cachezd2;
	static obj_t BGl_z62regsetzd2stringzb0zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	extern bool_t
		BGl_bbvzd2rangezd2fixnumzf3zf3zzsaw_bbvzd2rangezd2(BgL_bbvzd2rangezd2_bglt);
	static obj_t BGl_z62blockSzd2firstzb0zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	BGL_EXPORTED_DECL long
		BGl_blockSzd2gccntzd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt);
	extern obj_t BGl_rtlzd2assertzd2fxcmpz00zzsaw_bbvzd2debugzd2(obj_t, obj_t,
		obj_t, bool_t, BgL_bbvzd2ctxzd2_bglt, obj_t, obj_t);
	static obj_t BGl_z62bbvzd2queuezd2blocksz62zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	BGL_EXPORTED_DECL int
		BGl_regsetzd2msiza7ez75zzsaw_bbvzd2specializa7ez75(BgL_regsetz00_bglt);
	static obj_t
		BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_bbvzd2ctxzd2_bglt
		BGl_rtl_inszf2bbvzd2ctxz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_insz00_bglt);
	static BgL_bbvzd2ctxzd2_bglt
		BGl_z62rtl_inszf2bbvzd2ctxz42zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_bbvzd2ctxentryzf3z21zzsaw_bbvzd2specializa7ez75(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2z52blacklistz80zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_minrvz00zzsaw_bbvzd2rangezd2(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_callz00zzsaw_defsz00;
	extern obj_t BGl_za2zd3fxza2zd3zzsaw_bbvzd2cachezd2;
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt
		BGl_bbvzd2ctxentryzd2regz00zzsaw_bbvzd2specializa7ez75
		(BgL_bbvzd2ctxentryzd2_bglt);
	extern obj_t BGl_replacezd2blockz12zc0zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt,
		BgL_blockz00_bglt, obj_t);
	extern obj_t BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2;
	static obj_t
		BGl_z62bbvzd2ctxentryzd2aliaseszd2setz12za2zzsaw_bbvzd2specializa7ez75
		(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_bbvzd2ctxentryzd2aliasesz00zzsaw_bbvzd2specializa7ez75
		(BgL_bbvzd2ctxentryzd2_bglt);
	static obj_t
		BGl_z62rtl_inszf2bbvzd2defzd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2zd2fxzd2safeza2z00zzsaw_bbvzd2cachezd2;
	extern obj_t BGl_za2zc3zd3fxza2z10zzsaw_bbvzd2cachezd2;
	extern obj_t
		BGl_rtlzd2assertzd2exprzd2typezd2zzsaw_bbvzd2debugzd2(BgL_rtl_regz00_bglt,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2firstzd2setz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt,
		obj_t);
	static obj_t
		BGl_z62blockSzd2mergeszd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_EXPORTED_DECL BgL_rtl_insz00_bglt
		BGl_makezd2rtl_inszf2bbvz20zzsaw_bbvzd2specializa7ez75(obj_t, obj_t, obj_t,
		BgL_rtl_funz00_bglt, obj_t, obj_t, obj_t, obj_t, BgL_bbvzd2ctxzd2_bglt,
		obj_t);
	extern obj_t BGl_za22zd2za2zd2zzsaw_bbvzd2cachezd2;
	extern obj_t BGl_za2z42za2fxzf2ovza2z12zzsaw_bbvzd2cachezd2;
	static obj_t
		BGl_z62bbvzd2queuezd2blockszd2setz12za2zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62regsetzd2lengthzd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL int
		BGl_regsetzd2lengthzd2zzsaw_bbvzd2specializa7ez75(BgL_regsetz00_bglt);
	extern obj_t BGl_blockSz00zzsaw_bbvzd2typeszd2;
	static obj_t BGl_z62blockSzd2z52markze2zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	static obj_t BGl_z62blockSzd2creatorzb0zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	static obj_t
		BGl_z62rtl_inszf2bbvzd2destzd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_blockVz00zzsaw_bbvzd2typeszd2;
	BGL_EXPORTED_DECL obj_t
		BGl_blockVzd2versionszd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2stringzd2setz12z12zzsaw_bbvzd2specializa7ez75
		(BgL_regsetz00_bglt, obj_t);
	extern obj_t BGl_za2bbvzd2optimzd2boundza2z00zzsaw_bbvzd2configzd2;
	BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
	BGL_EXPORTED_DECL int
		BGl_blockSzd2labelzd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt);
	static obj_t
		BGl_z62bbvzd2queuezd2lastzd2setz12za2zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62blockVzd2versionszb0zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockVzd2firstzd2setz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt,
		obj_t);
	static obj_t BGl_z62blockVzd2labelzb0zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	extern obj_t BGl_za2intzd2ze3longza2z31zzsaw_bbvzd2cachezd2;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2z52spillz72zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2defzd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_bbvzd2queuezd2_bglt
		BGl_bbvzd2queuezd2nilz00zzsaw_bbvzd2specializa7ez75(void);
	static BgL_bbvzd2ctxentryzd2_bglt
		BGl_z62bbvzd2ctxentryzd2nilz62zzsaw_bbvzd2specializa7ez75(obj_t);
	static obj_t
		BGl_z62rtl_inszf2bbvzd2z52hashz10zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	static obj_t BGl_inszd2specializa7ez12z67zzsaw_bbvzd2specializa7ez75(obj_t,
		BgL_blockz00_bglt, BgL_bbvzd2ctxzd2_bglt, BgL_bbvzd2queuezd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_bbvzd2ctxentryzd2initvalzd2setz12zc0zzsaw_bbvzd2specializa7ez75
		(BgL_bbvzd2ctxentryzd2_bglt, obj_t);
	extern obj_t BGl_extendzd2ctxza2z70zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt,
		obj_t, obj_t, bool_t, obj_t);
	extern obj_t BGl_za2ze3fxza2ze3zzsaw_bbvzd2cachezd2;
	extern obj_t BGl_rtl_returnz00zzsaw_defsz00;
	extern bool_t
		BGl_rtl_inszd2falsezf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62rtl_regzf2razd2numz42zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockVzd2firstzd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt);
	BGL_EXPORTED_DECL BgL_bbvzd2queuezd2_bglt
		BGl_makezd2bbvzd2queuez00zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_bbvzd2specializa7ez75(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2debugzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2gczd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2costzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2configzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2mergezd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2rangezd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2utilszd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2cachezd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2typeszd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_regutilsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_regsetz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__configurez00(long,
		char *);
	BGL_EXPORTED_DECL long
		BGl_bbvzd2ctxentryzd2countz00zzsaw_bbvzd2specializa7ez75
		(BgL_bbvzd2ctxentryzd2_bglt);
	BGL_EXPORTED_DECL long
		BGl_blockSzd2gcmarkzd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt);
	static bool_t
		BGl_rtl_inszd2fxcmpzf3z21zzsaw_bbvzd2specializa7ez75(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_blockVzd2genericzd2setz12z12zzsaw_bbvzd2specializa7ez75
		(BgL_blockz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_bbvzd2ctxzd2_bglt
		BGl_bbvzd2ctxzd2nilz00zzsaw_bbvzd2specializa7ez75(void);
	static obj_t
		BGl_z62rtl_inszd2specializa7ezd2vectorzd2boundzd2checkzc5zzsaw_bbvzd2specializa7ez75
		(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern bool_t BGl_globalzd2readzd2onlyzf3zf3zzast_varz00(BgL_globalz00_bglt);
	extern BgL_bbvzd2rangezd2_bglt
		BGl_bbvzd2rangezd2subz00zzsaw_bbvzd2rangezd2(BgL_bbvzd2rangezd2_bglt,
		BgL_bbvzd2rangezd2_bglt);
	static obj_t BGl_regze70ze7zzsaw_bbvzd2specializa7ez75(obj_t);
	extern obj_t
		BGl_bbvzd2rangezc3zd3zc2zzsaw_bbvzd2rangezd2(BgL_bbvzd2rangezd2_bglt,
		BgL_bbvzd2rangezd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_bbvzd2ctxentryzd2aliaseszd2setz12zc0zzsaw_bbvzd2specializa7ez75
		(BgL_bbvzd2ctxentryzd2_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2colorz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_regz00_bglt);
	static BgL_rtl_insz00_bglt
		BGl_fxzd2safezd2ze3fxze70z04zzsaw_bbvzd2specializa7ez75(BgL_globalz00_bglt,
		BgL_rtl_insz00_bglt, obj_t, BgL_bbvzd2ctxzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2varz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL BgL_blockz00_bglt
		BGl_blockSzd2nilzd2zzsaw_bbvzd2specializa7ez75(void);
	static BgL_blockz00_bglt
		BGl_z62makezd2blockSzb0zzsaw_bbvzd2specializa7ez75(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62bbvzd2ctxentryzd2typesz62zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_regzf2razf3z01zzsaw_bbvzd2specializa7ez75(obj_t);
	static BgL_blockz00_bglt
		BGl_z62makezd2blockVzb0zzsaw_bbvzd2specializa7ez75(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2z52hashz80zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt);
	extern obj_t BGl_rtl_loadgz00zzsaw_defsz00;
	extern obj_t BGl_za2z42zb2fxzf2wzd2ovza2zd0zzsaw_bbvzd2cachezd2;
	static obj_t
		BGl_z62rtl_inszf2bbvzd2z52spillzd2setz12zd0zzsaw_bbvzd2specializa7ez75
		(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_loadiz00zzsaw_defsz00;
	BGL_EXPORTED_DECL long
		BGl_blockVzd2z52markz80zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt);
	static obj_t
		BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_bbvzd2specializa7ez75
		(obj_t, obj_t, obj_t);
	extern BgL_bbvzd2ctxzd2_bglt
		BGl_aliaszd2ctxzd2zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt,
		BgL_rtl_regz00_bglt, BgL_rtl_regz00_bglt);
	static obj_t
		BGl_z62rtl_inszf2bbvzd2inzd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62rtl_inszd2specializa7ezd2loadgzc5zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62rtl_inszd2specializa7ezd2loadizc5zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62rtl_inszf2bbvzd2loczd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t);
	extern obj_t
		BGl_bbvzd2rangeze3zd3ze2zzsaw_bbvzd2rangezd2(BgL_bbvzd2rangezd2_bglt,
		BgL_bbvzd2rangezd2_bglt);
	static BgL_rtl_insz00_bglt
		BGl_rtl_inszd2specializa7ezd2vlenza7zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt, obj_t, obj_t, obj_t, BgL_bbvzd2queuezd2_bglt);
	extern obj_t BGl_bbvzd2gczd2initz12z12zzsaw_bbvzd2gczd2(BgL_blockz00_bglt);
	static obj_t
		BGl_z62blockSzd2z52hashzd2setz12z22zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt, obj_t);
	static obj_t BGl_cnstzd2initzd2zzsaw_bbvzd2specializa7ez75(void);
	static BgL_rtl_regz00_bglt
		BGl_z62bbvzd2ctxentryzd2regz62zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_funz00_bglt
		BGl_rtl_inszf2bbvzd2funz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_insz00_bglt);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_bbvzd2specializa7ez75(void);
	BGL_EXPORTED_DECL bool_t BGl_blockSzf3zf3zzsaw_bbvzd2specializa7ez75(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockVzd2mergezd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt);
	static obj_t
		BGl_z62blockSzd2gcmarkzd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t);
	static BgL_rtl_funz00_bglt
		BGl_z62rtl_inszf2bbvzd2funz42zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_bbvzd2ctxzd2_bglt
		BGl_makezd2bbvzd2ctxz00zzsaw_bbvzd2specializa7ez75(long, obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	static bool_t
		BGl_rtl_inszd2integerzf3ze70zc6zzsaw_bbvzd2specializa7ez75(obj_t);
	extern BgL_bbvzd2ctxzd2_bglt
		BGl_unaliaszd2ctxzd2zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt,
		BgL_rtl_regz00_bglt);
	static obj_t
		BGl_blockzd2mergezd2somez12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt,
		BgL_bbvzd2queuezd2_bglt);
	static obj_t
		BGl_importedzd2moduleszd2initz00zzsaw_bbvzd2specializa7ez75(void);
	extern obj_t BGl_bbvzd2queuezd2zzsaw_bbvzd2typeszd2;
	static obj_t BGl_gczd2rootszd2initz00zzsaw_bbvzd2specializa7ez75(void);
	extern BgL_regsetz00_bglt
		BGl_duplicatezd2regsetzd2zzsaw_regsetz00(BgL_regsetz00_bglt);
	static BgL_blockz00_bglt
		BGl_z62blockSzd2nilzb0zzsaw_bbvzd2specializa7ez75(obj_t);
	static BgL_rtl_insz00_bglt
		BGl_z62makezd2rtl_inszf2bbvz42zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_za2z42zb2fxzf2ovza2z02zzsaw_bbvzd2cachezd2;
	extern bool_t BGl_bbvzd2singletonzf3z21zzsaw_bbvzd2rangezd2(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2creatorzd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt);
	extern obj_t
		BGl_bbvzd2ctxzd2assocz00zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2mblockzd2setz12z12zzsaw_bbvzd2specializa7ez75
		(BgL_blockz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2asleepzd2setz12z12zzsaw_bbvzd2specializa7ez75
		(BgL_blockz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2destz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2mblockzd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt);
	static obj_t BGl_specializa7ezf2opze70zb2zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t, BgL_bbvzd2rangezd2_bglt, BgL_bbvzd2rangezd2_bglt,
		BgL_bbvzd2ctxzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2succszd2setz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt,
		obj_t);
	static obj_t
		BGl_z62blockSzd2z52blacklistzd2setz12z22zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_inszf2bbvzf3z63zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2loczd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt, obj_t);
	static BgL_rtl_insz00_bglt
		BGl_duplicatezd2inszd2zzsaw_bbvzd2specializa7ez75(BgL_rtl_insz00_bglt,
		BgL_bbvzd2ctxzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt, int);
	extern obj_t BGl_za2bintzd2ze3longza2z31zzsaw_bbvzd2cachezd2;
	extern obj_t BGl_za2subfxza2z00zzsaw_bbvzd2cachezd2;
	BGL_IMPORT obj_t BGl_bigloozd2configzd2zz__configurez00(obj_t);
	static obj_t
		BGl_z62rtl_inszd2specializa7ezd2fxopzc5zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_rtl_insz00_bglt
		BGl_rangezd2ze3loadiz31zzsaw_bbvzd2specializa7ez75(BgL_rtl_insz00_bglt,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2predszd2setz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockVzd2succszd2setz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt,
		obj_t);
	extern obj_t BGl_za2typezd2loadgza2zd2zzsaw_bbvzd2configzd2;
	extern obj_t BGl_za2ze3zd3fxza2z30zzsaw_bbvzd2cachezd2;
	BGL_EXPORTED_DECL int
		BGl_rtl_regzf2razd2numz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_regz00_bglt);
	static bool_t
		BGl_blockzd2needzd2mergezf3zf3zzsaw_bbvzd2specializa7ez75
		(BgL_blockz00_bglt);
	static obj_t BGl_z62blockSzd2succszb0zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2z52hashzd2setz12zb2zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt, obj_t);
	static obj_t BGl_inszd2updatez12zc0zzsaw_bbvzd2specializa7ez75(obj_t,
		BgL_blockz00_bglt, BgL_bbvzd2ctxzd2_bglt, BgL_bbvzd2queuezd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt, obj_t);
	extern obj_t BGl_za2zb2fxza2zb2zzsaw_bbvzd2cachezd2;
	BGL_EXPORTED_DECL bool_t BGl_blockVzf3zf3zzsaw_bbvzd2specializa7ez75(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2labelzd2setz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt,
		int);
	BGL_EXPORTED_DECL obj_t
		BGl_blockVzd2predszd2setz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_bbvzd2queuezd2lastzd2setz12zc0zzsaw_bbvzd2specializa7ez75
		(BgL_bbvzd2queuezd2_bglt, obj_t);
	extern BgL_bbvzd2ctxzd2_bglt
		BGl_bbvzd2ctxzd2filterzd2livezd2inzd2regszd2zzsaw_bbvzd2utilszd2
		(BgL_bbvzd2ctxzd2_bglt, BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_regsetzf3zf3zzsaw_bbvzd2specializa7ez75(obj_t);
	static bool_t
		BGl_rtl_inszd2vectorzd2boundzd2checkzf3z21zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt);
	static obj_t BGl_za2rootzd2blockza2zd2zzsaw_bbvzd2specializa7ez75 = BUNSPEC;
	extern bool_t
		BGl_bbvzd2queuezd2haszf3zf3zzsaw_bbvzd2typeszd2(BgL_bbvzd2queuezd2_bglt,
		BgL_blockz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_insz00_bglt
		BGl_rtl_inszf2bbvzd2nilz20zzsaw_bbvzd2specializa7ez75(void);
	BGL_EXPORTED_DECL obj_t
		BGl_bbvzd2ctxentryzd2countzd2setz12zc0zzsaw_bbvzd2specializa7ez75
		(BgL_bbvzd2ctxentryzd2_bglt, long);
	static BgL_rtl_insz00_bglt
		BGl_z62rtl_inszf2bbvzd2nilz42zzsaw_bbvzd2specializa7ez75(obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2colorz42zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2coalescez42zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockVzd2labelzd2setz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt,
		int);
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2predszd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt);
	extern BgL_bbvzd2ctxzd2_bglt
		BGl_bbvzd2ctxzd2extendzd2livezd2outzd2regszd2zzsaw_bbvzd2utilszd2
		(BgL_bbvzd2ctxzd2_bglt, BgL_rtl_insz00_bglt);
	extern obj_t BGl_za2typezd2loadiza2zd2zzsaw_bbvzd2configzd2;
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2stringzd2zzsaw_bbvzd2specializa7ez75(BgL_regsetz00_bglt);
	static obj_t BGl_z62blockVzd2predszb0zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2z52markzd2setz12z40zzsaw_bbvzd2specializa7ez75
		(BgL_blockz00_bglt, long);
	extern obj_t BGl_genlabelz00zzsaw_bbvzd2utilszd2(void);
	extern obj_t
		BGl_bbvzd2queuezd2pushz12z12zzsaw_bbvzd2typeszd2(BgL_bbvzd2queuezd2_bglt,
		BgL_blockz00_bglt);
	static obj_t
		BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t);
	extern BgL_bbvzd2rangezd2_bglt
		BGl_bbvzd2rangezd2ltz00zzsaw_bbvzd2rangezd2(BgL_bbvzd2rangezd2_bglt,
		BgL_bbvzd2rangezd2_bglt);
	extern obj_t BGl_za2bintza2z00zztype_cachez00;
	static BgL_blockz00_bglt
		BGl_blockzd2specializa7ez12z67zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt,
		BgL_bbvzd2queuezd2_bglt);
	extern bool_t
		BGl_rtl_inszd2fxovopzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static BgL_bbvzd2ctxzd2_bglt
		BGl_z62bbvzd2ctxzd2nilz62zzsaw_bbvzd2specializa7ez75(obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt, obj_t);
	static obj_t BGl_z62blockSzd2z52blacklistze2zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2locz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt, obj_t);
	static obj_t BGl_z62blockSzd2mergeszb0zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_inszf2bbvzd2locz42zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	static obj_t
		BGl_z62bbvzd2ctxentryzd2valuez62zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockVzd2z52markzd2setz12z40zzsaw_bbvzd2specializa7ez75
		(BgL_blockz00_bglt, long);
	BGL_EXPORTED_DECL BgL_regsetz00_bglt
		BGl_regsetzd2nilzd2zzsaw_bbvzd2specializa7ez75(void);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2argsz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_insz00_bglt);
	static bool_t
		BGl_rtl_inszd2typecheckzf3z21zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt);
	static obj_t BGl_loopze70ze7zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt,
		BgL_bbvzd2queuezd2_bglt, obj_t, obj_t, BgL_bbvzd2ctxzd2_bglt);
	static obj_t
		BGl_z62rtl_regzf2razd2interferez42zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2keyz42zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockVzd2succszd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt);
	extern obj_t
		BGl_bbvzd2rangezc3z11zzsaw_bbvzd2rangezd2(BgL_bbvzd2rangezd2_bglt,
		BgL_bbvzd2rangezd2_bglt);
	extern obj_t
		BGl_bbvzd2rangezd3z01zzsaw_bbvzd2rangezd2(BgL_bbvzd2rangezd2_bglt,
		BgL_bbvzd2rangezd2_bglt);
	extern obj_t BGl_rtl_regzf2razf2zzsaw_regsetz00;
	extern obj_t
		BGl_bbvzd2rangeze3z31zzsaw_bbvzd2rangezd2(BgL_bbvzd2rangezd2_bglt,
		BgL_bbvzd2rangezd2_bglt);
	static obj_t
		BGl_z62blockSzd2firstzd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razf3z63zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	static obj_t
		BGl_z62rtl_inszd2specializa7ezd2resolvedzd2ifnez17zzsaw_bbvzd2specializa7ez75
		(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockVzd2mergezd2setz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt,
		obj_t);
	extern bool_t
		BGl_rtl_inszd2movzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt, BgL_typez00_bglt);
	static obj_t
		BGl_z62bbvzd2ctxzd2entrieszd2setz12za2zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_bbvzd2ctxzd2entriesz00zzsaw_bbvzd2specializa7ez75
		(BgL_bbvzd2ctxzd2_bglt);
	static obj_t
		BGl_z62rtl_inszd2specializa7ezd2callzc5zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62blockSzd2gccntzb0zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2reglzd2zzsaw_bbvzd2specializa7ez75(BgL_regsetz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2inzd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt, obj_t);
	static obj_t BGl_z62bbvzd2ctxzd2entriesz62zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	static obj_t
		BGl_z62rtl_inszd2specializa7ezd2typecheckzc5zzsaw_bbvzd2specializa7ez75
		(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62regsetzd2msiza7ez17zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_inszf2bbvzd2destz42zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	extern BgL_bbvzd2rangezd2_bglt
		BGl_bbvzd2rangezd2addz00zzsaw_bbvzd2rangezd2(BgL_bbvzd2rangezd2_bglt,
		BgL_bbvzd2rangezd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2regvzd2zzsaw_bbvzd2specializa7ez75(BgL_regsetz00_bglt);
	extern obj_t BGl_za2bbvzd2assertza2zd2zzsaw_bbvzd2configzd2;
	BGL_EXPORTED_DECL BgL_bbvzd2ctxentryzd2_bglt
		BGl_makezd2bbvzd2ctxentryz00zzsaw_bbvzd2specializa7ez75(BgL_rtl_regz00_bglt,
		obj_t, bool_t, long, obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_bbvzd2specializa7ez75
		(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62blockVzd2firstzd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t);
	static BgL_blockz00_bglt
		BGl_blockzd2updatez12zc0zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt,
		BgL_bbvzd2queuezd2_bglt);
	static obj_t
		BGl_z62rtl_inszf2bbvzd2ctxzd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t);
	static BgL_regsetz00_bglt
		BGl_z62regsetzd2nilzb0zzsaw_bbvzd2specializa7ez75(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interferez20zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt);
	extern obj_t BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2;
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2mergeszd2setz12z12zzsaw_bbvzd2specializa7ez75
		(BgL_blockz00_bglt, obj_t);
	static obj_t BGl_connectz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt,
		BgL_rtl_insz00_bglt);
	extern obj_t
		BGl_rtlzd2assertzd2regzd2typezd2zzsaw_bbvzd2debugzd2(BgL_rtl_regz00_bglt,
		BgL_typez00_bglt, bool_t, BgL_bbvzd2ctxzd2_bglt, obj_t, obj_t);
	extern obj_t BGl_blockz00zzsaw_defsz00;
	static obj_t BGl_z62rtl_inszf2bbvzd2inz42zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	extern BgL_bbvzd2rangezd2_bglt
		BGl_fixnumzd2rangezd2zzsaw_bbvzd2rangezd2(void);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2lengthzd2setz12z12zzsaw_bbvzd2specializa7ez75
		(BgL_regsetz00_bglt, int);
	BGL_EXPORTED_DECL obj_t
		BGl_bbvzd2ctxzd2entrieszd2setz12zc0zzsaw_bbvzd2specializa7ez75
		(BgL_bbvzd2ctxzd2_bglt, obj_t);
	static bool_t
		BGl_rtl_inszd2resolvedzd2ifnezf3zf3zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt);
	extern obj_t BGl_za2addfxza2z00zzsaw_bbvzd2cachezd2;
	extern bool_t
		BGl_rtl_inszd2lastzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_minzd2valueze70z35zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	extern obj_t BGl_za2zd2fxza2zd2zzsaw_bbvzd2cachezd2;
	static obj_t
		BGl_rtl_inszd2specializa7erz75zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt);
	extern BgL_bbvzd2rangezd2_bglt
		BGl_fixnumzd2ze3rangez31zzsaw_bbvzd2rangezd2(long);
	extern obj_t
		BGl_extendzd2ctxzf2entryza2z82zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt,
		obj_t);
	static obj_t BGl_z62blockSzd2labelzb0zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2hardwarez42zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	static obj_t __cnst[12];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2asleepzd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2asle4223z00,
		BGl_z62blockSzd2asleepzb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2z52hashzd2setz12zd2envz92zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2za752h4224za7,
		BGl_z62blockSzd2z52hashzd2setz12z22zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		2);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_rtl_inszd2specializa7ezd2vlenzd2envz75zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7d2spe4225z00,
		BGl_z62rtl_inszd2specializa7ezd2vlenzc5zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2queuezd2nilzd2envzd2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762bbvza7d2queueza7d4226za7,
		BGl_z62bbvzd2queuezd2nilz62zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_rtl_inszd2specializa7ezd2returnzd2envz75zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7d2spe4227z00,
		BGl_z62rtl_inszd2specializa7ezd2returnzc5zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2namezd2envzf2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_regza7f2raza74228za7,
		BGl_z62rtl_regzf2razd2namez42zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2argszd2setz12zd2envz32zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7f2bbv4229z00,
		BGl_z62rtl_inszf2bbvzd2argszd2setz12z82zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2creatorzd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2crea4230z00,
		BGl_z62blockSzd2creatorzb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2mblockzd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2mblo4231z00,
		BGl_z62blockSzd2mblockzb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2nilzd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762regsetza7d2nilza74232za7,
		BGl_z62regsetzd2nilzb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2predszd2setz12zd2envzc0zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2pred4233z00,
		BGl_z62blockSzd2predszd2setz12z70zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2inzd2envzf2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7f2bbv4234z00,
		BGl_z62rtl_inszf2bbvzd2inz42zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxentryzd2polarityzd2envzd2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762bbvza7d2ctxentr4235z00,
		BGl_z62bbvzd2ctxentryzd2polarityz62zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2firstzd2setz12zd2envzc0zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2firs4236z00,
		BGl_z62blockSzd2firstzd2setz12z70zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockVzd2nilzd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blockvza7d2nilza74237za7,
		BGl_z62blockVzd2nilzb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2z52hashzd2envz52zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2za752h4238za7,
		BGl_z62blockSzd2z52hashze2zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2queuezd2blockszd2envzd2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762bbvza7d2queueza7d4239za7,
		BGl_z62bbvzd2queuezd2blocksz62zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2typezd2setz12zd2envz32zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_regza7f2raza74240za7,
		BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2inzd2setz12zd2envz32zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7f2bbv4241z00,
		BGl_z62rtl_inszf2bbvzd2inzd2setz12z82zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 2);
	extern obj_t BGl_bbvzd2rangezd2gtzd2envzd2zzsaw_bbvzd2rangezd2;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interferezd2envzf2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_regza7f2raza74242za7,
		BGl_z62rtl_regzf2razd2interferez42zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_rtl_inszd2specializa7ezd2typecheckzd2envz75zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7d2spe4243z00,
		BGl_z62rtl_inszd2specializa7ezd2typecheckzc5zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockVzd2genericzd2setz12zd2envzc0zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blockvza7d2gene4244z00,
		BGl_z62blockVzd2genericzd2setz12z70zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string4200z00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_string4200za700za7za7s4245za7, "block-specialize!", 17);
	      DEFINE_STRING(BGl_string4201z00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_string4201za700za7za7s4246za7, "block-merge-some!", 17);
	      DEFINE_STRING(BGl_string4202z00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_string4202za700za7za7s4247za7, "block-merge!", 12);
	      DEFINE_STRING(BGl_string4203z00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_string4203za700za7za7s4248za7, "block-merge!.bs", 15);
	      DEFINE_STRING(BGl_string4204z00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_string4204za700za7za7s4249za7, "block-merge!.mbs", 16);
	      DEFINE_STRING(BGl_string4205z00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_string4205za700za7za7s4250za7, "bbv", 3);
	      DEFINE_STRING(BGl_string4206z00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_string4206za700za7za7s4251za7,
		"should not be here, all ifeq should have been removed", 53);
	      DEFINE_STRING(BGl_string4207z00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_string4207za700za7za7s4252za7, "bbv-block", 9);
	      DEFINE_STRING(BGl_string4208z00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_string4208za700za7za7s4253za7, "BBV-ASSERT-FAILURE:TYPECHECK-", 29);
	      DEFINE_STRING(BGl_string4209z00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_string4209za700za7za7s4254za7, "BBV-ASSERT-FAILURE:TYPECHECK+", 29);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2onexprzf3zd2setz12zd2envzc1zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_regza7f2raza74255za7,
		BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2occurrenceszd2setz12zd2envz32zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_regza7f2raza74256za7,
		BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_bbvzd2specializa7ez75,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2ctxzd2setz12zd2envz32zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7f2bbv4257z00,
		BGl_z62rtl_inszf2bbvzd2ctxzd2setz12z82zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2colorzd2envzf2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_regza7f2raza74258za7,
		BGl_z62rtl_regzf2razd2colorz42zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string4210z00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_string4210za700za7za7s4259za7, "rtl_ins-specialize-typecheck", 28);
	      DEFINE_STRING(BGl_string4211z00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_string4211za700za7za7s4260za7, "should not be here", 18);
	      DEFINE_STRING(BGl_string4212z00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_string4212za700za7za7s4261za7, "BBV-ASSERT-FAILURE:FXCMP-", 25);
	      DEFINE_STRING(BGl_string4213z00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_string4213za700za7za7s4262za7, "BBV-ASSERT-FAILURE:FXCMP+", 25);
	      DEFINE_STRING(BGl_string4214z00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_string4214za700za7za7s4263za7, "rtl_ins-specialize-fxcmp", 24);
	      DEFINE_STRING(BGl_string4215z00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_string4215za700za7za7s4264za7, "Should not be here", 18);
	      DEFINE_STRING(BGl_string4216z00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_string4216za700za7za7s4265za7, "fxovop-ctx", 10);
	      DEFINE_STRING(BGl_string4217z00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_string4217za700za7za7s4266za7, "wrong operator", 14);
	      DEFINE_STRING(BGl_string4218z00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_string4218za700za7za7s4267za7, "fx/ov", 5);
	      DEFINE_STRING(BGl_string4219z00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_string4219za700za7za7s4268za7, "unknown op", 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2z52hashzd2setz12zd2envz60zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7f2bbv4269z00,
		BGl_z62rtl_inszf2bbvzd2z52hashzd2setz12zd0zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interferezd2setz12zd2envz32zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_regza7f2raza74270za7,
		BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockVzd2versionszd2setz12zd2envzc0zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blockvza7d2vers4271z00,
		BGl_z62blockVzd2versionszd2setz12z70zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4220z00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_string4220za700za7za7s4272za7, "saw_bbv-specialize", 18);
	      DEFINE_STRING(BGl_string4221z00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_string4221za700za7za7s4273za7,
		"int-size != = >= <= > < _ number :gccnt :creator root ", 54);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2regvzd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762regsetza7d2regv4274z00,
		BGl_z62regsetzd2regvzb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2bbvzd2ctxentryzd2envzd2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762makeza7d2bbvza7d24275za7,
		BGl_z62makezd2bbvzd2ctxentryz62zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2nilzd2envzf2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7f2bbv4276z00,
		BGl_z62rtl_inszf2bbvzd2nilz42zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzf3zd2envz21zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7f3za791za74277z00,
		BGl_z62blockSzf3z91zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_rtl_inszd2specializa7ezd2fxovopzd2envz75zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7d2spe4278z00,
		BGl_z62rtl_inszd2specializa7ezd2fxovopzc5zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxentryzd2initvalzd2setz12zd2envz12zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762bbvza7d2ctxentr4279z00,
		BGl_z62bbvzd2ctxentryzd2initvalzd2setz12za2zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxentryzd2typeszd2envzd2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762bbvza7d2ctxentr4280z00,
		BGl_z62bbvzd2ctxentryzd2typesz62zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2lengthzd2setz12zd2envzc0zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762regsetza7d2leng4281z00,
		BGl_z62regsetzd2lengthzd2setz12z70zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockVzd2firstzd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blockvza7d2firs4282z00,
		BGl_z62blockVzd2firstzb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2mblockzd2setz12zd2envzc0zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2mblo4283z00,
		BGl_z62blockSzd2mblockzd2setz12z70zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxentryzd2countzd2envzd2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762bbvza7d2ctxentr4284z00,
		BGl_z62bbvzd2ctxentryzd2countz62zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2msiza7ezd2envza7zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762regsetza7d2msiza74285za7,
		BGl_z62regsetzd2msiza7ez17zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxzd2nilzd2envzd2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762bbvza7d2ctxza7d2n4286za7,
		BGl_z62bbvzd2ctxzd2nilz62zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxentryzf3zd2envzf3zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762bbvza7d2ctxentr4287z00,
		BGl_z62bbvzd2ctxentryzf3z43zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxzd2idzd2envzd2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762bbvza7d2ctxza7d2i4288za7,
		BGl_z62bbvzd2ctxzd2idz62zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxentryzd2aliaseszd2envzd2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762bbvza7d2ctxentr4289z00,
		BGl_z62bbvzd2ctxentryzd2aliasesz62zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxentryzd2nilzd2envzd2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762bbvza7d2ctxentr4290z00,
		BGl_z62bbvzd2ctxentryzd2nilz62zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2gcmarkzd2setz12zd2envzc0zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2gcma4291z00,
		BGl_z62blockSzd2gcmarkzd2setz12z70zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2typezd2envzf2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_regza7f2raza74292za7,
		BGl_z62rtl_regzf2razd2typez42zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2varzd2setz12zd2envz32zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_regza7f2raza74293za7,
		BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2outzd2envzf2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7f2bbv4294z00,
		BGl_z62rtl_inszf2bbvzd2outz42zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2nilzd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2nilza74295za7,
		BGl_z62blockSzd2nilzb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2rtl_inszf2bbvzd2envzf2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762makeza7d2rtl_in4296z00,
		BGl_z62makezd2rtl_inszf2bbvz42zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2firstzd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2firs4297z00,
		BGl_z62blockSzd2firstzb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2occurrenceszd2envzf2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_regza7f2raza74298za7,
		BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockVzd2z52markzd2envz52zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blockvza7d2za752m4299za7,
		BGl_z62blockVzd2z52markze2zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	extern obj_t BGl_bbvzd2rangezd2neqzd2envzd2zzsaw_bbvzd2rangezd2;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2labelzd2setz12zd2envzc0zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2labe4300z00,
		BGl_z62blockSzd2labelzd2setz12z70zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockVzd2versionszd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blockvza7d2vers4301z00,
		BGl_z62blockVzd2versionszb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2z52hashzd2envza0zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7f2bbv4302z00,
		BGl_z62rtl_inszf2bbvzd2z52hashz10zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockVzd2mergezd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blockvza7d2merg4303z00,
		BGl_z62blockVzd2mergezb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2z52markzd2setz12zd2envz92zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2za752m4304za7,
		BGl_z62blockSzd2z52markzd2setz12z22zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2bbvzd2queuezd2envzd2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762makeza7d2bbvza7d24305za7,
		BGl_z62makezd2bbvzd2queuez62zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2z52markzd2envz52zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2za752m4306za7,
		BGl_z62blockSzd2z52markze2zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2ctxzd2envzf2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7f2bbv4307z00,
		BGl_z62rtl_inszf2bbvzd2ctxz42zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2succszd2setz12zd2envzc0zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2succ4308z00,
		BGl_z62blockSzd2succszd2setz12z70zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		2);
	extern obj_t BGl_bbvzd2rangezd2eqzd2envzd2zzsaw_bbvzd2rangezd2;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2nilzd2envzf2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_regza7f2raza74309za7,
		BGl_z62rtl_regzf2razd2nilz42zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2varzd2envzf2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_regza7f2raza74310za7,
		BGl_z62rtl_regzf2razd2varz42zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2blockSzd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762makeza7d2blocks4311z00,
		BGl_z62makezd2blockSzb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 15);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2numzd2envzf2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_regza7f2raza74312za7,
		BGl_z62rtl_regzf2razd2numz42zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2queuezd2blockszd2setz12zd2envz12zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762bbvza7d2queueza7d4313za7,
		BGl_z62bbvzd2queuezd2blockszd2setz12za2zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxzd2entrieszd2envzd2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762bbvza7d2ctxza7d2e4314za7,
		BGl_z62bbvzd2ctxzd2entriesz62zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockVzd2predszd2setz12zd2envzc0zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blockvza7d2pred4315z00,
		BGl_z62blockVzd2predszd2setz12z70zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2stringzd2setz12zd2envzc0zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762regsetza7d2stri4316z00,
		BGl_z62regsetzd2stringzd2setz12z70zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockVzd2firstzd2setz12zd2envzc0zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blockvza7d2firs4317z00,
		BGl_z62blockVzd2firstzd2setz12z70zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxentryzd2valuezd2envzd2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762bbvza7d2ctxentr4318z00,
		BGl_z62bbvzd2ctxentryzd2valuez62zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2gccntzd2setz12zd2envzc0zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2gccn4319z00,
		BGl_z62blockSzd2gccntzd2setz12z70zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2colorzd2setz12zd2envz32zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_regza7f2raza74320za7,
		BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2onexprzf3zd2envz01zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_regza7f2raza74321za7,
		BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2ctxzd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2ctxza74322za7,
		BGl_z62blockSzd2ctxzb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2outzd2setz12zd2envz32zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7f2bbv4323z00,
		BGl_z62rtl_inszf2bbvzd2outzd2setz12z82zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2stringzd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762regsetza7d2stri4324z00,
		BGl_z62regsetzd2stringzb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2asleepzd2setz12zd2envzc0zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2asle4325z00,
		BGl_z62blockSzd2asleepzd2setz12z70zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2gcmarkzd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2gcma4326z00,
		BGl_z62blockSzd2gcmarkzb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_rtl_inszd2specializa7ezd2vectorzd2boundzd2checkzd2envz75zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7d2spe4327z00,
		BGl_z62rtl_inszd2specializa7ezd2vectorzd2boundzd2checkzc5zzsaw_bbvzd2specializa7ez75,
		0L, BUNSPEC, 5);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_rtl_inszd2specializa7ezd2loadgzd2envz75zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7d2spe4328z00,
		BGl_z62rtl_inszd2specializa7ezd2loadgzc5zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2z52blacklistzd2envz52zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2za752b4329za7,
		BGl_z62blockSzd2z52blacklistze2zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interfere2zd2setz12zd2envz32zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_regza7f2raza74330za7,
		BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_rtl_inszd2specializa7ezd2fxopzd2envz75zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7d2spe4331z00,
		BGl_z62rtl_inszd2specializa7ezd2fxopzc5zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2rtl_regzf2razd2envzf2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762makeza7d2rtl_re4332z00,
		BGl_z62makezd2rtl_regzf2raz42zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 12);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2argszd2envzf2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7f2bbv4333z00,
		BGl_z62rtl_inszf2bbvzd2argsz42zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2rootzd2blockzd2envzd2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762bbvza7d2rootza7d24334za7,
		BGl_z62bbvzd2rootzd2blockz62zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxzd2idzd2setz12zd2envz12zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762bbvza7d2ctxza7d2i4335za7,
		BGl_z62bbvzd2ctxzd2idzd2setz12za2zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razf3zd2envzd3zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_regza7f2raza74336za7,
		BGl_z62rtl_regzf2razf3z63zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2z52spillzd2setz12zd2envz60zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7f2bbv4337z00,
		BGl_z62rtl_inszf2bbvzd2z52spillzd2setz12zd0zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2lengthzd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762regsetza7d2leng4338z00,
		BGl_z62regsetzd2lengthzb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_rtl_inszd2specializa7ezd2callzd2envz75zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7d2spe4339z00,
		BGl_z62rtl_inszd2specializa7ezd2callzc5zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzf3zd2envzd3zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7f2bbv4340z00,
		BGl_z62rtl_inszf2bbvzf3z63zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2queuezd2lastzd2setz12zd2envz12zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762bbvza7d2queueza7d4341za7,
		BGl_z62bbvzd2queuezd2lastzd2setz12za2zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2queuezf3zd2envzf3zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762bbvza7d2queueza7f4342za7,
		BGl_z62bbvzd2queuezf3z43zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxentryzd2initvalzd2envzd2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762bbvza7d2ctxentr4343z00,
		BGl_z62bbvzd2ctxentryzd2initvalz62zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2coalescezd2envzf2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_regza7f2raza74344za7,
		BGl_z62rtl_regzf2razd2coalescez42zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interfere2zd2envzf2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_regza7f2raza74345za7,
		BGl_z62rtl_regzf2razd2interfere2z42zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2gccntzd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2gccn4346z00,
		BGl_z62blockSzd2gccntzb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockVzd2genericzd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blockvza7d2gene4347z00,
		BGl_z62blockVzd2genericzb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2hardwarezd2envzf2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_regza7f2raza74348za7,
		BGl_z62rtl_regzf2razd2hardwarez42zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2loczd2envzf2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7f2bbv4349z00,
		BGl_z62rtl_inszf2bbvzd2locz42zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxentryzd2aliaseszd2setz12zd2envz12zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762bbvza7d2ctxentr4350z00,
		BGl_z62bbvzd2ctxentryzd2aliaseszd2setz12za2zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2regsetzd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762makeza7d2regset4351z00,
		BGl_z62makezd2regsetzb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockVzd2succszd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blockvza7d2succ4352z00,
		BGl_z62blockVzd2succszb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2funzd2setz12zd2envz32zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7f2bbv4353z00,
		BGl_z62rtl_inszf2bbvzd2funzd2setz12z82zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2destzd2setz12zd2envz32zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7f2bbv4354z00,
		BGl_z62rtl_inszf2bbvzd2destzd2setz12z82zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockVzf3zd2envz21zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blockvza7f3za791za74355z00,
		BGl_z62blockVzf3z91zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2z52blacklistzd2setz12zd2envz92zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2za752b4356za7,
		BGl_z62blockSzd2z52blacklistzd2setz12z22zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_rtl_inszd2specializa7ezd2movzd2envz75zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7d2spe4357z00,
		BGl_z62rtl_inszd2specializa7ezd2movzc5zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxentryzd2countzd2setz12zd2envz12zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762bbvza7d2ctxentr4358z00,
		BGl_z62bbvzd2ctxentryzd2countzd2setz12za2zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2z52spillzd2envza0zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7f2bbv4359z00,
		BGl_z62rtl_inszf2bbvzd2z52spillz10zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2defzd2setz12zd2envz32zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7f2bbv4360z00,
		BGl_z62rtl_inszf2bbvzd2defzd2setz12z82zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2bbvzd2ctxzd2envzd2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762makeza7d2bbvza7d24361za7,
		BGl_z62makezd2bbvzd2ctxz62zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockVzd2labelzd2setz12zd2envzc0zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blockvza7d2labe4362z00,
		BGl_z62blockVzd2labelzd2setz12z70zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2succszd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2succ4363z00,
		BGl_z62blockSzd2succszb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_rtl_inszd2specializa7ezd2resolvedzd2ifnezd2envza7zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7d2spe4364z00,
		BGl_z62rtl_inszd2specializa7ezd2resolvedzd2ifnez17zzsaw_bbvzd2specializa7ez75,
		0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxzd2entrieszd2setz12zd2envz12zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762bbvza7d2ctxza7d2e4365za7,
		BGl_z62bbvzd2ctxzd2entrieszd2setz12za2zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2destzd2envzf2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7f2bbv4366z00,
		BGl_z62rtl_inszf2bbvzd2destz42zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_rtl_inszd2specializa7ezd2loadizd2envz75zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7d2spe4367z00,
		BGl_z62rtl_inszd2specializa7ezd2loadizc5zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2loczd2setz12zd2envz32zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7f2bbv4368z00,
		BGl_z62rtl_inszf2bbvzd2loczd2setz12z82zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2queuezd2lastzd2envzd2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762bbvza7d2queueza7d4369za7,
		BGl_z62bbvzd2queuezd2lastz62zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockVzd2labelzd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blockvza7d2labe4370z00,
		BGl_z62blockVzd2labelzb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxentryzd2regzd2envzd2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762bbvza7d2ctxentr4371z00,
		BGl_z62bbvzd2ctxentryzd2regz62zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockVzd2z52markzd2setz12zd2envz92zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blockvza7d2za752m4372za7,
		BGl_z62blockVzd2z52markzd2setz12z22zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		2);
	extern obj_t BGl_bbvzd2rangezd2ltezd2envzd2zzsaw_bbvzd2rangezd2;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockVzd2succszd2setz12zd2envzc0zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blockvza7d2succ4373z00,
		BGl_z62blockVzd2succszd2setz12z70zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockVzd2predszd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blockvza7d2pred4374z00,
		BGl_z62blockVzd2predszb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2blockVzd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762makeza7d2blockv4375z00,
		BGl_z62makezd2blockVzb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockVzd2mergezd2setz12zd2envzc0zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blockvza7d2merg4376z00,
		BGl_z62blockVzd2mergezd2setz12z70zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzf3zd2envz21zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762regsetza7f3za791za74377z00,
		BGl_z62regsetzf3z91zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2labelzd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2labe4378z00,
		BGl_z62blockSzd2labelzb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2funzd2envzf2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7f2bbv4379z00,
		BGl_z62rtl_inszf2bbvzd2funz42zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	extern obj_t BGl_bbvzd2rangezd2gtezd2envzd2zzsaw_bbvzd2rangezd2;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2keyzd2envzf2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_regza7f2raza74380za7,
		BGl_z62rtl_regzf2razd2keyz42zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2mergeszd2setz12zd2envzc0zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2merg4381z00,
		BGl_z62blockSzd2mergeszd2setz12z70zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2predszd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2pred4382z00,
		BGl_z62blockSzd2predszb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	extern obj_t BGl_bbvzd2rangezd2ltzd2envzd2zzsaw_bbvzd2rangezd2;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2mergeszd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2merg4383z00,
		BGl_z62blockSzd2mergeszb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2parentzd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2pare4384z00,
		BGl_z62blockSzd2parentzb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2coalescezd2setz12zd2envz32zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_regza7f2raza74385za7,
		BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_rtl_inszd2specializa7ezd2fxcmpzd2envz75zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7d2spe4386z00,
		BGl_z62rtl_inszd2specializa7ezd2fxcmpzc5zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxzf3zd2envzf3zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762bbvza7d2ctxza7f3za74387z00,
		BGl_z62bbvzd2ctxzf3z43zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2defzd2envzf2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7f2bbv4388z00,
		BGl_z62rtl_inszf2bbvzd2defz42zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2reglzd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762regsetza7d2regl4389z00,
		BGl_z62regsetzd2reglzb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzsaw_bbvzd2specializa7ez75));
		     ADD_ROOT((void
				*) (&BGl_za2rootzd2blockza2zd2zzsaw_bbvzd2specializa7ez75));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzsaw_bbvzd2specializa7ez75(long
		BgL_checksumz00_11254, char *BgL_fromz00_11255)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_bbvzd2specializa7ez75))
				{
					BGl_requirezd2initializa7ationz75zzsaw_bbvzd2specializa7ez75 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_bbvzd2specializa7ez75();
					BGl_libraryzd2moduleszd2initz00zzsaw_bbvzd2specializa7ez75();
					BGl_cnstzd2initzd2zzsaw_bbvzd2specializa7ez75();
					BGl_importedzd2moduleszd2initz00zzsaw_bbvzd2specializa7ez75();
					return BGl_toplevelzd2initzd2zzsaw_bbvzd2specializa7ez75();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_bbvzd2specializa7ez75(void)
	{
		{	/* SawBbv/bbv-specialize.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "saw_bbv-specialize");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"saw_bbv-specialize");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "saw_bbv-specialize");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"saw_bbv-specialize");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "saw_bbv-specialize");
			BGl_modulezd2initializa7ationz75zz__configurez00(0L,
				"saw_bbv-specialize");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "saw_bbv-specialize");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "saw_bbv-specialize");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(0L,
				"saw_bbv-specialize");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"saw_bbv-specialize");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(0L,
				"saw_bbv-specialize");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"saw_bbv-specialize");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"saw_bbv-specialize");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"saw_bbv-specialize");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_bbvzd2specializa7ez75(void)
	{
		{	/* SawBbv/bbv-specialize.scm 15 */
			{	/* SawBbv/bbv-specialize.scm 15 */
				obj_t BgL_cportz00_9901;

				{	/* SawBbv/bbv-specialize.scm 15 */
					obj_t BgL_stringz00_9908;

					BgL_stringz00_9908 = BGl_string4221z00zzsaw_bbvzd2specializa7ez75;
					{	/* SawBbv/bbv-specialize.scm 15 */
						obj_t BgL_startz00_9909;

						BgL_startz00_9909 = BINT(0L);
						{	/* SawBbv/bbv-specialize.scm 15 */
							obj_t BgL_endz00_9910;

							BgL_endz00_9910 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_9908)));
							{	/* SawBbv/bbv-specialize.scm 15 */

								BgL_cportz00_9901 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_9908, BgL_startz00_9909, BgL_endz00_9910);
				}}}}
				{
					long BgL_iz00_9902;

					BgL_iz00_9902 = 11L;
				BgL_loopz00_9903:
					if ((BgL_iz00_9902 == (-1L)))
						{	/* SawBbv/bbv-specialize.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* SawBbv/bbv-specialize.scm 15 */
							{	/* SawBbv/bbv-specialize.scm 15 */
								obj_t BgL_arg4222z00_9904;

								{	/* SawBbv/bbv-specialize.scm 15 */

									{	/* SawBbv/bbv-specialize.scm 15 */
										obj_t BgL_locationz00_9906;

										BgL_locationz00_9906 = BBOOL(((bool_t) 0));
										{	/* SawBbv/bbv-specialize.scm 15 */

											BgL_arg4222z00_9904 =
												BGl_readz00zz__readerz00(BgL_cportz00_9901,
												BgL_locationz00_9906);
										}
									}
								}
								{	/* SawBbv/bbv-specialize.scm 15 */
									int BgL_tmpz00_11287;

									BgL_tmpz00_11287 = (int) (BgL_iz00_9902);
									CNST_TABLE_SET(BgL_tmpz00_11287, BgL_arg4222z00_9904);
							}}
							{	/* SawBbv/bbv-specialize.scm 15 */
								int BgL_auxz00_9907;

								BgL_auxz00_9907 = (int) ((BgL_iz00_9902 - 1L));
								{
									long BgL_iz00_11292;

									BgL_iz00_11292 = (long) (BgL_auxz00_9907);
									BgL_iz00_9902 = BgL_iz00_11292;
									goto BgL_loopz00_9903;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_bbvzd2specializa7ez75(void)
	{
		{	/* SawBbv/bbv-specialize.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_bbvzd2specializa7ez75(void)
	{
		{	/* SawBbv/bbv-specialize.scm 15 */
			return (BGl_za2rootzd2blockza2zd2zzsaw_bbvzd2specializa7ez75 =
				BFALSE, BUNSPEC);
		}

	}



/* make-rtl_reg/ra */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt
		BGl_makezd2rtl_regzf2raz20zzsaw_bbvzd2specializa7ez75(BgL_typez00_bglt
		BgL_type1179z00_3, obj_t BgL_var1180z00_4, obj_t BgL_onexprzf31181zf3_5,
		obj_t BgL_name1182z00_6, obj_t BgL_key1183z00_7,
		obj_t BgL_hardware1184z00_8, int BgL_num1185z00_9,
		obj_t BgL_color1186z00_10, obj_t BgL_coalesce1187z00_11,
		int BgL_occurrences1188z00_12, obj_t BgL_interfere1189z00_13,
		obj_t BgL_interfere21190z00_14)
	{
		{	/* SawMill/regset.sch 55 */
			{	/* SawMill/regset.sch 55 */
				BgL_rtl_regz00_bglt BgL_new1166z00_9912;

				{	/* SawMill/regset.sch 55 */
					BgL_rtl_regz00_bglt BgL_tmp1164z00_9913;
					BgL_rtl_regzf2razf2_bglt BgL_wide1165z00_9914;

					{
						BgL_rtl_regz00_bglt BgL_auxz00_11295;

						{	/* SawMill/regset.sch 55 */
							BgL_rtl_regz00_bglt BgL_new1163z00_9915;

							BgL_new1163z00_9915 =
								((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_regz00_bgl))));
							{	/* SawMill/regset.sch 55 */
								long BgL_arg2509z00_9916;

								BgL_arg2509z00_9916 =
									BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1163z00_9915),
									BgL_arg2509z00_9916);
							}
							{	/* SawMill/regset.sch 55 */
								BgL_objectz00_bglt BgL_tmpz00_11300;

								BgL_tmpz00_11300 = ((BgL_objectz00_bglt) BgL_new1163z00_9915);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11300, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1163z00_9915);
							BgL_auxz00_11295 = BgL_new1163z00_9915;
						}
						BgL_tmp1164z00_9913 = ((BgL_rtl_regz00_bglt) BgL_auxz00_11295);
					}
					BgL_wide1165z00_9914 =
						((BgL_rtl_regzf2razf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_regzf2razf2_bgl))));
					{	/* SawMill/regset.sch 55 */
						obj_t BgL_auxz00_11308;
						BgL_objectz00_bglt BgL_tmpz00_11306;

						BgL_auxz00_11308 = ((obj_t) BgL_wide1165z00_9914);
						BgL_tmpz00_11306 = ((BgL_objectz00_bglt) BgL_tmp1164z00_9913);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11306, BgL_auxz00_11308);
					}
					((BgL_objectz00_bglt) BgL_tmp1164z00_9913);
					{	/* SawMill/regset.sch 55 */
						long BgL_arg2508z00_9917;

						BgL_arg2508z00_9917 =
							BGL_CLASS_NUM(BGl_rtl_regzf2razf2zzsaw_regsetz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1164z00_9913), BgL_arg2508z00_9917);
					}
					BgL_new1166z00_9912 = ((BgL_rtl_regz00_bglt) BgL_tmp1164z00_9913);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt) BgL_new1166z00_9912)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1179z00_3), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1166z00_9912)))->BgL_varz00) =
					((obj_t) BgL_var1180z00_4), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1166z00_9912)))->BgL_onexprzf3zf3) =
					((obj_t) BgL_onexprzf31181zf3_5), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1166z00_9912)))->BgL_namez00) =
					((obj_t) BgL_name1182z00_6), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1166z00_9912)))->BgL_keyz00) =
					((obj_t) BgL_key1183z00_7), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1166z00_9912)))->BgL_debugnamez00) =
					((obj_t) BFALSE), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1166z00_9912)))->BgL_hardwarez00) =
					((obj_t) BgL_hardware1184z00_8), BUNSPEC);
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_11330;

					{
						obj_t BgL_auxz00_11331;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_11332;

							BgL_tmpz00_11332 = ((BgL_objectz00_bglt) BgL_new1166z00_9912);
							BgL_auxz00_11331 = BGL_OBJECT_WIDENING(BgL_tmpz00_11332);
						}
						BgL_auxz00_11330 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_11331);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_11330))->
							BgL_numz00) = ((int) BgL_num1185z00_9), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_11337;

					{
						obj_t BgL_auxz00_11338;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_11339;

							BgL_tmpz00_11339 = ((BgL_objectz00_bglt) BgL_new1166z00_9912);
							BgL_auxz00_11338 = BGL_OBJECT_WIDENING(BgL_tmpz00_11339);
						}
						BgL_auxz00_11337 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_11338);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_11337))->
							BgL_colorz00) = ((obj_t) BgL_color1186z00_10), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_11344;

					{
						obj_t BgL_auxz00_11345;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_11346;

							BgL_tmpz00_11346 = ((BgL_objectz00_bglt) BgL_new1166z00_9912);
							BgL_auxz00_11345 = BGL_OBJECT_WIDENING(BgL_tmpz00_11346);
						}
						BgL_auxz00_11344 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_11345);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_11344))->
							BgL_coalescez00) = ((obj_t) BgL_coalesce1187z00_11), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_11351;

					{
						obj_t BgL_auxz00_11352;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_11353;

							BgL_tmpz00_11353 = ((BgL_objectz00_bglt) BgL_new1166z00_9912);
							BgL_auxz00_11352 = BGL_OBJECT_WIDENING(BgL_tmpz00_11353);
						}
						BgL_auxz00_11351 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_11352);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_11351))->
							BgL_occurrencesz00) = ((int) BgL_occurrences1188z00_12), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_11358;

					{
						obj_t BgL_auxz00_11359;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_11360;

							BgL_tmpz00_11360 = ((BgL_objectz00_bglt) BgL_new1166z00_9912);
							BgL_auxz00_11359 = BGL_OBJECT_WIDENING(BgL_tmpz00_11360);
						}
						BgL_auxz00_11358 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_11359);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_11358))->
							BgL_interferez00) = ((obj_t) BgL_interfere1189z00_13), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_11365;

					{
						obj_t BgL_auxz00_11366;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_11367;

							BgL_tmpz00_11367 = ((BgL_objectz00_bglt) BgL_new1166z00_9912);
							BgL_auxz00_11366 = BGL_OBJECT_WIDENING(BgL_tmpz00_11367);
						}
						BgL_auxz00_11365 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_11366);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_11365))->
							BgL_interfere2z00) = ((obj_t) BgL_interfere21190z00_14), BUNSPEC);
				}
				return BgL_new1166z00_9912;
			}
		}

	}



/* &make-rtl_reg/ra */
	BgL_rtl_regz00_bglt
		BGl_z62makezd2rtl_regzf2raz42zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9448, obj_t BgL_type1179z00_9449, obj_t BgL_var1180z00_9450,
		obj_t BgL_onexprzf31181zf3_9451, obj_t BgL_name1182z00_9452,
		obj_t BgL_key1183z00_9453, obj_t BgL_hardware1184z00_9454,
		obj_t BgL_num1185z00_9455, obj_t BgL_color1186z00_9456,
		obj_t BgL_coalesce1187z00_9457, obj_t BgL_occurrences1188z00_9458,
		obj_t BgL_interfere1189z00_9459, obj_t BgL_interfere21190z00_9460)
	{
		{	/* SawMill/regset.sch 55 */
			return
				BGl_makezd2rtl_regzf2raz20zzsaw_bbvzd2specializa7ez75(
				((BgL_typez00_bglt) BgL_type1179z00_9449), BgL_var1180z00_9450,
				BgL_onexprzf31181zf3_9451, BgL_name1182z00_9452, BgL_key1183z00_9453,
				BgL_hardware1184z00_9454, CINT(BgL_num1185z00_9455),
				BgL_color1186z00_9456, BgL_coalesce1187z00_9457,
				CINT(BgL_occurrences1188z00_9458), BgL_interfere1189z00_9459,
				BgL_interfere21190z00_9460);
		}

	}



/* rtl_reg/ra? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_regzf2razf3z01zzsaw_bbvzd2specializa7ez75(obj_t BgL_objz00_15)
	{
		{	/* SawMill/regset.sch 56 */
			{	/* SawMill/regset.sch 56 */
				obj_t BgL_classz00_9918;

				BgL_classz00_9918 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
				if (BGL_OBJECTP(BgL_objz00_15))
					{	/* SawMill/regset.sch 56 */
						BgL_objectz00_bglt BgL_arg1858z00_9919;

						BgL_arg1858z00_9919 = (BgL_objectz00_bglt) (BgL_objz00_15);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/regset.sch 56 */
								long BgL_idxz00_9920;

								BgL_idxz00_9920 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9919);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9920 + 2L)) == BgL_classz00_9918);
							}
						else
							{	/* SawMill/regset.sch 56 */
								bool_t BgL_res4072z00_9923;

								{	/* SawMill/regset.sch 56 */
									obj_t BgL_oclassz00_9924;

									{	/* SawMill/regset.sch 56 */
										obj_t BgL_arg1866z00_9925;
										long BgL_arg1867z00_9926;

										BgL_arg1866z00_9925 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/regset.sch 56 */
											long BgL_arg1869z00_9927;

											BgL_arg1869z00_9927 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9919);
											BgL_arg1867z00_9926 = (BgL_arg1869z00_9927 - OBJECT_TYPE);
										}
										BgL_oclassz00_9924 =
											VECTOR_REF(BgL_arg1866z00_9925, BgL_arg1867z00_9926);
									}
									{	/* SawMill/regset.sch 56 */
										bool_t BgL__ortest_1115z00_9928;

										BgL__ortest_1115z00_9928 =
											(BgL_classz00_9918 == BgL_oclassz00_9924);
										if (BgL__ortest_1115z00_9928)
											{	/* SawMill/regset.sch 56 */
												BgL_res4072z00_9923 = BgL__ortest_1115z00_9928;
											}
										else
											{	/* SawMill/regset.sch 56 */
												long BgL_odepthz00_9929;

												{	/* SawMill/regset.sch 56 */
													obj_t BgL_arg1855z00_9930;

													BgL_arg1855z00_9930 = (BgL_oclassz00_9924);
													BgL_odepthz00_9929 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9930);
												}
												if ((2L < BgL_odepthz00_9929))
													{	/* SawMill/regset.sch 56 */
														obj_t BgL_arg1853z00_9931;

														{	/* SawMill/regset.sch 56 */
															obj_t BgL_arg1854z00_9932;

															BgL_arg1854z00_9932 = (BgL_oclassz00_9924);
															BgL_arg1853z00_9931 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9932,
																2L);
														}
														BgL_res4072z00_9923 =
															(BgL_arg1853z00_9931 == BgL_classz00_9918);
													}
												else
													{	/* SawMill/regset.sch 56 */
														BgL_res4072z00_9923 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res4072z00_9923;
							}
					}
				else
					{	/* SawMill/regset.sch 56 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_reg/ra? */
	obj_t BGl_z62rtl_regzf2razf3z63zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9461, obj_t BgL_objz00_9462)
	{
		{	/* SawMill/regset.sch 56 */
			return
				BBOOL(BGl_rtl_regzf2razf3z01zzsaw_bbvzd2specializa7ez75
				(BgL_objz00_9462));
		}

	}



/* rtl_reg/ra-nil */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt
		BGl_rtl_regzf2razd2nilz20zzsaw_bbvzd2specializa7ez75(void)
	{
		{	/* SawMill/regset.sch 57 */
			{	/* SawMill/regset.sch 57 */
				obj_t BgL_classz00_5349;

				BgL_classz00_5349 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
				{	/* SawMill/regset.sch 57 */
					obj_t BgL__ortest_1117z00_5350;

					BgL__ortest_1117z00_5350 = BGL_CLASS_NIL(BgL_classz00_5349);
					if (CBOOL(BgL__ortest_1117z00_5350))
						{	/* SawMill/regset.sch 57 */
							return ((BgL_rtl_regz00_bglt) BgL__ortest_1117z00_5350);
						}
					else
						{	/* SawMill/regset.sch 57 */
							return
								((BgL_rtl_regz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5349));
						}
				}
			}
		}

	}



/* &rtl_reg/ra-nil */
	BgL_rtl_regz00_bglt
		BGl_z62rtl_regzf2razd2nilz42zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9463)
	{
		{	/* SawMill/regset.sch 57 */
			return BGl_rtl_regzf2razd2nilz20zzsaw_bbvzd2specializa7ez75();
		}

	}



/* rtl_reg/ra-interfere2 */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interfere2z20zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt BgL_oz00_16)
	{
		{	/* SawMill/regset.sch 58 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_11407;

				{
					obj_t BgL_auxz00_11408;

					{	/* SawMill/regset.sch 58 */
						BgL_objectz00_bglt BgL_tmpz00_11409;

						BgL_tmpz00_11409 = ((BgL_objectz00_bglt) BgL_oz00_16);
						BgL_auxz00_11408 = BGL_OBJECT_WIDENING(BgL_tmpz00_11409);
					}
					BgL_auxz00_11407 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_11408);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_11407))->
					BgL_interfere2z00);
			}
		}

	}



/* &rtl_reg/ra-interfere2 */
	obj_t BGl_z62rtl_regzf2razd2interfere2z42zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9464, obj_t BgL_oz00_9465)
	{
		{	/* SawMill/regset.sch 58 */
			return
				BGl_rtl_regzf2razd2interfere2z20zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_regz00_bglt) BgL_oz00_9465));
		}

	}



/* rtl_reg/ra-interfere2-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt BgL_oz00_17, obj_t BgL_vz00_18)
	{
		{	/* SawMill/regset.sch 59 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_11416;

				{
					obj_t BgL_auxz00_11417;

					{	/* SawMill/regset.sch 59 */
						BgL_objectz00_bglt BgL_tmpz00_11418;

						BgL_tmpz00_11418 = ((BgL_objectz00_bglt) BgL_oz00_17);
						BgL_auxz00_11417 = BGL_OBJECT_WIDENING(BgL_tmpz00_11418);
					}
					BgL_auxz00_11416 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_11417);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_11416))->
						BgL_interfere2z00) = ((obj_t) BgL_vz00_18), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-interfere2-set! */
	obj_t
		BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_bbvzd2specializa7ez75
		(obj_t BgL_envz00_9466, obj_t BgL_oz00_9467, obj_t BgL_vz00_9468)
	{
		{	/* SawMill/regset.sch 59 */
			return
				BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_regz00_bglt) BgL_oz00_9467), BgL_vz00_9468);
		}

	}



/* rtl_reg/ra-interfere */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interferez20zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt BgL_oz00_19)
	{
		{	/* SawMill/regset.sch 60 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_11425;

				{
					obj_t BgL_auxz00_11426;

					{	/* SawMill/regset.sch 60 */
						BgL_objectz00_bglt BgL_tmpz00_11427;

						BgL_tmpz00_11427 = ((BgL_objectz00_bglt) BgL_oz00_19);
						BgL_auxz00_11426 = BGL_OBJECT_WIDENING(BgL_tmpz00_11427);
					}
					BgL_auxz00_11425 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_11426);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_11425))->
					BgL_interferez00);
			}
		}

	}



/* &rtl_reg/ra-interfere */
	obj_t BGl_z62rtl_regzf2razd2interferez42zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9469, obj_t BgL_oz00_9470)
	{
		{	/* SawMill/regset.sch 60 */
			return
				BGl_rtl_regzf2razd2interferez20zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_regz00_bglt) BgL_oz00_9470));
		}

	}



/* rtl_reg/ra-interfere-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt BgL_oz00_20, obj_t BgL_vz00_21)
	{
		{	/* SawMill/regset.sch 61 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_11434;

				{
					obj_t BgL_auxz00_11435;

					{	/* SawMill/regset.sch 61 */
						BgL_objectz00_bglt BgL_tmpz00_11436;

						BgL_tmpz00_11436 = ((BgL_objectz00_bglt) BgL_oz00_20);
						BgL_auxz00_11435 = BGL_OBJECT_WIDENING(BgL_tmpz00_11436);
					}
					BgL_auxz00_11434 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_11435);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_11434))->
						BgL_interferez00) = ((obj_t) BgL_vz00_21), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-interfere-set! */
	obj_t
		BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9471, obj_t BgL_oz00_9472, obj_t BgL_vz00_9473)
	{
		{	/* SawMill/regset.sch 61 */
			return
				BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_regz00_bglt) BgL_oz00_9472), BgL_vz00_9473);
		}

	}



/* rtl_reg/ra-occurrences */
	BGL_EXPORTED_DEF int
		BGl_rtl_regzf2razd2occurrencesz20zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt BgL_oz00_22)
	{
		{	/* SawMill/regset.sch 62 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_11443;

				{
					obj_t BgL_auxz00_11444;

					{	/* SawMill/regset.sch 62 */
						BgL_objectz00_bglt BgL_tmpz00_11445;

						BgL_tmpz00_11445 = ((BgL_objectz00_bglt) BgL_oz00_22);
						BgL_auxz00_11444 = BGL_OBJECT_WIDENING(BgL_tmpz00_11445);
					}
					BgL_auxz00_11443 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_11444);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_11443))->
					BgL_occurrencesz00);
			}
		}

	}



/* &rtl_reg/ra-occurrences */
	obj_t BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9474, obj_t BgL_oz00_9475)
	{
		{	/* SawMill/regset.sch 62 */
			return
				BINT(BGl_rtl_regzf2razd2occurrencesz20zzsaw_bbvzd2specializa7ez75(
					((BgL_rtl_regz00_bglt) BgL_oz00_9475)));
		}

	}



/* rtl_reg/ra-occurrences-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt BgL_oz00_23, int BgL_vz00_24)
	{
		{	/* SawMill/regset.sch 63 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_11453;

				{
					obj_t BgL_auxz00_11454;

					{	/* SawMill/regset.sch 63 */
						BgL_objectz00_bglt BgL_tmpz00_11455;

						BgL_tmpz00_11455 = ((BgL_objectz00_bglt) BgL_oz00_23);
						BgL_auxz00_11454 = BGL_OBJECT_WIDENING(BgL_tmpz00_11455);
					}
					BgL_auxz00_11453 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_11454);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_11453))->
						BgL_occurrencesz00) = ((int) BgL_vz00_24), BUNSPEC);
		}}

	}



/* &rtl_reg/ra-occurrences-set! */
	obj_t
		BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_bbvzd2specializa7ez75
		(obj_t BgL_envz00_9476, obj_t BgL_oz00_9477, obj_t BgL_vz00_9478)
	{
		{	/* SawMill/regset.sch 63 */
			return
				BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_regz00_bglt) BgL_oz00_9477), CINT(BgL_vz00_9478));
		}

	}



/* rtl_reg/ra-coalesce */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2coalescez20zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt BgL_oz00_25)
	{
		{	/* SawMill/regset.sch 64 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_11463;

				{
					obj_t BgL_auxz00_11464;

					{	/* SawMill/regset.sch 64 */
						BgL_objectz00_bglt BgL_tmpz00_11465;

						BgL_tmpz00_11465 = ((BgL_objectz00_bglt) BgL_oz00_25);
						BgL_auxz00_11464 = BGL_OBJECT_WIDENING(BgL_tmpz00_11465);
					}
					BgL_auxz00_11463 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_11464);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_11463))->
					BgL_coalescez00);
			}
		}

	}



/* &rtl_reg/ra-coalesce */
	obj_t BGl_z62rtl_regzf2razd2coalescez42zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9479, obj_t BgL_oz00_9480)
	{
		{	/* SawMill/regset.sch 64 */
			return
				BGl_rtl_regzf2razd2coalescez20zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_regz00_bglt) BgL_oz00_9480));
		}

	}



/* rtl_reg/ra-coalesce-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt BgL_oz00_26, obj_t BgL_vz00_27)
	{
		{	/* SawMill/regset.sch 65 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_11472;

				{
					obj_t BgL_auxz00_11473;

					{	/* SawMill/regset.sch 65 */
						BgL_objectz00_bglt BgL_tmpz00_11474;

						BgL_tmpz00_11474 = ((BgL_objectz00_bglt) BgL_oz00_26);
						BgL_auxz00_11473 = BGL_OBJECT_WIDENING(BgL_tmpz00_11474);
					}
					BgL_auxz00_11472 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_11473);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_11472))->
						BgL_coalescez00) = ((obj_t) BgL_vz00_27), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-coalesce-set! */
	obj_t
		BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9481, obj_t BgL_oz00_9482, obj_t BgL_vz00_9483)
	{
		{	/* SawMill/regset.sch 65 */
			return
				BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_regz00_bglt) BgL_oz00_9482), BgL_vz00_9483);
		}

	}



/* rtl_reg/ra-color */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2colorz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_regz00_bglt
		BgL_oz00_28)
	{
		{	/* SawMill/regset.sch 66 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_11481;

				{
					obj_t BgL_auxz00_11482;

					{	/* SawMill/regset.sch 66 */
						BgL_objectz00_bglt BgL_tmpz00_11483;

						BgL_tmpz00_11483 = ((BgL_objectz00_bglt) BgL_oz00_28);
						BgL_auxz00_11482 = BGL_OBJECT_WIDENING(BgL_tmpz00_11483);
					}
					BgL_auxz00_11481 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_11482);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_11481))->
					BgL_colorz00);
			}
		}

	}



/* &rtl_reg/ra-color */
	obj_t BGl_z62rtl_regzf2razd2colorz42zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9484, obj_t BgL_oz00_9485)
	{
		{	/* SawMill/regset.sch 66 */
			return
				BGl_rtl_regzf2razd2colorz20zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_regz00_bglt) BgL_oz00_9485));
		}

	}



/* rtl_reg/ra-color-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt BgL_oz00_29, obj_t BgL_vz00_30)
	{
		{	/* SawMill/regset.sch 67 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_11490;

				{
					obj_t BgL_auxz00_11491;

					{	/* SawMill/regset.sch 67 */
						BgL_objectz00_bglt BgL_tmpz00_11492;

						BgL_tmpz00_11492 = ((BgL_objectz00_bglt) BgL_oz00_29);
						BgL_auxz00_11491 = BGL_OBJECT_WIDENING(BgL_tmpz00_11492);
					}
					BgL_auxz00_11490 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_11491);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_11490))->
						BgL_colorz00) = ((obj_t) BgL_vz00_30), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-color-set! */
	obj_t BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9486, obj_t BgL_oz00_9487, obj_t BgL_vz00_9488)
	{
		{	/* SawMill/regset.sch 67 */
			return
				BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_regz00_bglt) BgL_oz00_9487), BgL_vz00_9488);
		}

	}



/* rtl_reg/ra-num */
	BGL_EXPORTED_DEF int
		BGl_rtl_regzf2razd2numz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_regz00_bglt
		BgL_oz00_31)
	{
		{	/* SawMill/regset.sch 68 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_11499;

				{
					obj_t BgL_auxz00_11500;

					{	/* SawMill/regset.sch 68 */
						BgL_objectz00_bglt BgL_tmpz00_11501;

						BgL_tmpz00_11501 = ((BgL_objectz00_bglt) BgL_oz00_31);
						BgL_auxz00_11500 = BGL_OBJECT_WIDENING(BgL_tmpz00_11501);
					}
					BgL_auxz00_11499 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_11500);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_11499))->BgL_numz00);
			}
		}

	}



/* &rtl_reg/ra-num */
	obj_t BGl_z62rtl_regzf2razd2numz42zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9489, obj_t BgL_oz00_9490)
	{
		{	/* SawMill/regset.sch 68 */
			return
				BINT(BGl_rtl_regzf2razd2numz20zzsaw_bbvzd2specializa7ez75(
					((BgL_rtl_regz00_bglt) BgL_oz00_9490)));
		}

	}



/* rtl_reg/ra-hardware */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2hardwarez20zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt BgL_oz00_34)
	{
		{	/* SawMill/regset.sch 70 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_34)))->BgL_hardwarez00);
		}

	}



/* &rtl_reg/ra-hardware */
	obj_t BGl_z62rtl_regzf2razd2hardwarez42zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9491, obj_t BgL_oz00_9492)
	{
		{	/* SawMill/regset.sch 70 */
			return
				BGl_rtl_regzf2razd2hardwarez20zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_regz00_bglt) BgL_oz00_9492));
		}

	}



/* rtl_reg/ra-key */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2keyz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_regz00_bglt
		BgL_oz00_37)
	{
		{	/* SawMill/regset.sch 72 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_37)))->BgL_keyz00);
		}

	}



/* &rtl_reg/ra-key */
	obj_t BGl_z62rtl_regzf2razd2keyz42zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9493, obj_t BgL_oz00_9494)
	{
		{	/* SawMill/regset.sch 72 */
			return
				BGl_rtl_regzf2razd2keyz20zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_regz00_bglt) BgL_oz00_9494));
		}

	}



/* rtl_reg/ra-name */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2namez20zzsaw_bbvzd2specializa7ez75(BgL_rtl_regz00_bglt
		BgL_oz00_40)
	{
		{	/* SawMill/regset.sch 74 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_40)))->BgL_namez00);
		}

	}



/* &rtl_reg/ra-name */
	obj_t BGl_z62rtl_regzf2razd2namez42zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9495, obj_t BgL_oz00_9496)
	{
		{	/* SawMill/regset.sch 74 */
			return
				BGl_rtl_regzf2razd2namez20zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_regz00_bglt) BgL_oz00_9496));
		}

	}



/* rtl_reg/ra-onexpr? */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt BgL_oz00_43)
	{
		{	/* SawMill/regset.sch 76 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_43)))->BgL_onexprzf3zf3);
		}

	}



/* &rtl_reg/ra-onexpr? */
	obj_t BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9497, obj_t BgL_oz00_9498)
	{
		{	/* SawMill/regset.sch 76 */
			return
				BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_regz00_bglt) BgL_oz00_9498));
		}

	}



/* rtl_reg/ra-onexpr?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt BgL_oz00_44, obj_t BgL_vz00_45)
	{
		{	/* SawMill/regset.sch 77 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_44)))->BgL_onexprzf3zf3) =
				((obj_t) BgL_vz00_45), BUNSPEC);
		}

	}



/* &rtl_reg/ra-onexpr?-set! */
	obj_t
		BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9499, obj_t BgL_oz00_9500, obj_t BgL_vz00_9501)
	{
		{	/* SawMill/regset.sch 77 */
			return
				BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_regz00_bglt) BgL_oz00_9500), BgL_vz00_9501);
		}

	}



/* rtl_reg/ra-var */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2varz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_regz00_bglt
		BgL_oz00_46)
	{
		{	/* SawMill/regset.sch 78 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_46)))->BgL_varz00);
		}

	}



/* &rtl_reg/ra-var */
	obj_t BGl_z62rtl_regzf2razd2varz42zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9502, obj_t BgL_oz00_9503)
	{
		{	/* SawMill/regset.sch 78 */
			return
				BGl_rtl_regzf2razd2varz20zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_regz00_bglt) BgL_oz00_9503));
		}

	}



/* rtl_reg/ra-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt BgL_oz00_47, obj_t BgL_vz00_48)
	{
		{	/* SawMill/regset.sch 79 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_47)))->BgL_varz00) =
				((obj_t) BgL_vz00_48), BUNSPEC);
		}

	}



/* &rtl_reg/ra-var-set! */
	obj_t BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9504, obj_t BgL_oz00_9505, obj_t BgL_vz00_9506)
	{
		{	/* SawMill/regset.sch 79 */
			return
				BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_regz00_bglt) BgL_oz00_9505), BgL_vz00_9506);
		}

	}



/* rtl_reg/ra-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_regzf2razd2typez20zzsaw_bbvzd2specializa7ez75(BgL_rtl_regz00_bglt
		BgL_oz00_49)
	{
		{	/* SawMill/regset.sch 80 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_49)))->BgL_typez00);
		}

	}



/* &rtl_reg/ra-type */
	BgL_typez00_bglt
		BGl_z62rtl_regzf2razd2typez42zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9507, obj_t BgL_oz00_9508)
	{
		{	/* SawMill/regset.sch 80 */
			return
				BGl_rtl_regzf2razd2typez20zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_regz00_bglt) BgL_oz00_9508));
		}

	}



/* rtl_reg/ra-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt BgL_oz00_50, BgL_typez00_bglt BgL_vz00_51)
	{
		{	/* SawMill/regset.sch 81 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_50)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_51), BUNSPEC);
		}

	}



/* &rtl_reg/ra-type-set! */
	obj_t BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9509, obj_t BgL_oz00_9510, obj_t BgL_vz00_9511)
	{
		{	/* SawMill/regset.sch 81 */
			return
				BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_regz00_bglt) BgL_oz00_9510),
				((BgL_typez00_bglt) BgL_vz00_9511));
		}

	}



/* make-regset */
	BGL_EXPORTED_DEF BgL_regsetz00_bglt
		BGl_makezd2regsetzd2zzsaw_bbvzd2specializa7ez75(int BgL_length1172z00_52,
		int BgL_msiza7e1173za7_53, obj_t BgL_regv1174z00_54,
		obj_t BgL_regl1175z00_55, obj_t BgL_string1176z00_56)
	{
		{	/* SawMill/regset.sch 84 */
			{	/* SawMill/regset.sch 84 */
				BgL_regsetz00_bglt BgL_new1168z00_9933;

				{	/* SawMill/regset.sch 84 */
					BgL_regsetz00_bglt BgL_new1167z00_9934;

					BgL_new1167z00_9934 =
						((BgL_regsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_regsetz00_bgl))));
					{	/* SawMill/regset.sch 84 */
						long BgL_arg2510z00_9935;

						BgL_arg2510z00_9935 = BGL_CLASS_NUM(BGl_regsetz00zzsaw_regsetz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1167z00_9934), BgL_arg2510z00_9935);
					}
					BgL_new1168z00_9933 = BgL_new1167z00_9934;
				}
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1168z00_9933))->BgL_lengthz00) =
					((int) BgL_length1172z00_52), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1168z00_9933))->BgL_msiza7eza7) =
					((int) BgL_msiza7e1173za7_53), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1168z00_9933))->BgL_regvz00) =
					((obj_t) BgL_regv1174z00_54), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1168z00_9933))->BgL_reglz00) =
					((obj_t) BgL_regl1175z00_55), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1168z00_9933))->BgL_stringz00) =
					((obj_t) BgL_string1176z00_56), BUNSPEC);
				return BgL_new1168z00_9933;
			}
		}

	}



/* &make-regset */
	BgL_regsetz00_bglt BGl_z62makezd2regsetzb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9512, obj_t BgL_length1172z00_9513,
		obj_t BgL_msiza7e1173za7_9514, obj_t BgL_regv1174z00_9515,
		obj_t BgL_regl1175z00_9516, obj_t BgL_string1176z00_9517)
	{
		{	/* SawMill/regset.sch 84 */
			return
				BGl_makezd2regsetzd2zzsaw_bbvzd2specializa7ez75(CINT
				(BgL_length1172z00_9513), CINT(BgL_msiza7e1173za7_9514),
				BgL_regv1174z00_9515, BgL_regl1175z00_9516, BgL_string1176z00_9517);
		}

	}



/* regset? */
	BGL_EXPORTED_DEF bool_t BGl_regsetzf3zf3zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_objz00_57)
	{
		{	/* SawMill/regset.sch 85 */
			{	/* SawMill/regset.sch 85 */
				obj_t BgL_classz00_9936;

				BgL_classz00_9936 = BGl_regsetz00zzsaw_regsetz00;
				if (BGL_OBJECTP(BgL_objz00_57))
					{	/* SawMill/regset.sch 85 */
						BgL_objectz00_bglt BgL_arg1858z00_9937;

						BgL_arg1858z00_9937 = (BgL_objectz00_bglt) (BgL_objz00_57);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/regset.sch 85 */
								long BgL_idxz00_9938;

								BgL_idxz00_9938 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9937);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9938 + 1L)) == BgL_classz00_9936);
							}
						else
							{	/* SawMill/regset.sch 85 */
								bool_t BgL_res4073z00_9941;

								{	/* SawMill/regset.sch 85 */
									obj_t BgL_oclassz00_9942;

									{	/* SawMill/regset.sch 85 */
										obj_t BgL_arg1866z00_9943;
										long BgL_arg1867z00_9944;

										BgL_arg1866z00_9943 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/regset.sch 85 */
											long BgL_arg1869z00_9945;

											BgL_arg1869z00_9945 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9937);
											BgL_arg1867z00_9944 = (BgL_arg1869z00_9945 - OBJECT_TYPE);
										}
										BgL_oclassz00_9942 =
											VECTOR_REF(BgL_arg1866z00_9943, BgL_arg1867z00_9944);
									}
									{	/* SawMill/regset.sch 85 */
										bool_t BgL__ortest_1115z00_9946;

										BgL__ortest_1115z00_9946 =
											(BgL_classz00_9936 == BgL_oclassz00_9942);
										if (BgL__ortest_1115z00_9946)
											{	/* SawMill/regset.sch 85 */
												BgL_res4073z00_9941 = BgL__ortest_1115z00_9946;
											}
										else
											{	/* SawMill/regset.sch 85 */
												long BgL_odepthz00_9947;

												{	/* SawMill/regset.sch 85 */
													obj_t BgL_arg1855z00_9948;

													BgL_arg1855z00_9948 = (BgL_oclassz00_9942);
													BgL_odepthz00_9947 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9948);
												}
												if ((1L < BgL_odepthz00_9947))
													{	/* SawMill/regset.sch 85 */
														obj_t BgL_arg1853z00_9949;

														{	/* SawMill/regset.sch 85 */
															obj_t BgL_arg1854z00_9950;

															BgL_arg1854z00_9950 = (BgL_oclassz00_9942);
															BgL_arg1853z00_9949 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9950,
																1L);
														}
														BgL_res4073z00_9941 =
															(BgL_arg1853z00_9949 == BgL_classz00_9936);
													}
												else
													{	/* SawMill/regset.sch 85 */
														BgL_res4073z00_9941 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res4073z00_9941;
							}
					}
				else
					{	/* SawMill/regset.sch 85 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &regset? */
	obj_t BGl_z62regsetzf3z91zzsaw_bbvzd2specializa7ez75(obj_t BgL_envz00_9518,
		obj_t BgL_objz00_9519)
	{
		{	/* SawMill/regset.sch 85 */
			return
				BBOOL(BGl_regsetzf3zf3zzsaw_bbvzd2specializa7ez75(BgL_objz00_9519));
		}

	}



/* regset-nil */
	BGL_EXPORTED_DEF BgL_regsetz00_bglt
		BGl_regsetzd2nilzd2zzsaw_bbvzd2specializa7ez75(void)
	{
		{	/* SawMill/regset.sch 86 */
			{	/* SawMill/regset.sch 86 */
				obj_t BgL_classz00_5402;

				BgL_classz00_5402 = BGl_regsetz00zzsaw_regsetz00;
				{	/* SawMill/regset.sch 86 */
					obj_t BgL__ortest_1117z00_5403;

					BgL__ortest_1117z00_5403 = BGL_CLASS_NIL(BgL_classz00_5402);
					if (CBOOL(BgL__ortest_1117z00_5403))
						{	/* SawMill/regset.sch 86 */
							return ((BgL_regsetz00_bglt) BgL__ortest_1117z00_5403);
						}
					else
						{	/* SawMill/regset.sch 86 */
							return
								((BgL_regsetz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5402));
						}
				}
			}
		}

	}



/* &regset-nil */
	BgL_regsetz00_bglt BGl_z62regsetzd2nilzb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9520)
	{
		{	/* SawMill/regset.sch 86 */
			return BGl_regsetzd2nilzd2zzsaw_bbvzd2specializa7ez75();
		}

	}



/* regset-string */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2stringzd2zzsaw_bbvzd2specializa7ez75(BgL_regsetz00_bglt
		BgL_oz00_58)
	{
		{	/* SawMill/regset.sch 87 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_58))->BgL_stringz00);
		}

	}



/* &regset-string */
	obj_t BGl_z62regsetzd2stringzb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9521, obj_t BgL_oz00_9522)
	{
		{	/* SawMill/regset.sch 87 */
			return
				BGl_regsetzd2stringzd2zzsaw_bbvzd2specializa7ez75(
				((BgL_regsetz00_bglt) BgL_oz00_9522));
		}

	}



/* regset-string-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2stringzd2setz12z12zzsaw_bbvzd2specializa7ez75
		(BgL_regsetz00_bglt BgL_oz00_59, obj_t BgL_vz00_60)
	{
		{	/* SawMill/regset.sch 88 */
			return
				((((BgL_regsetz00_bglt) COBJECT(BgL_oz00_59))->BgL_stringz00) =
				((obj_t) BgL_vz00_60), BUNSPEC);
		}

	}



/* &regset-string-set! */
	obj_t BGl_z62regsetzd2stringzd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9523, obj_t BgL_oz00_9524, obj_t BgL_vz00_9525)
	{
		{	/* SawMill/regset.sch 88 */
			return
				BGl_regsetzd2stringzd2setz12z12zzsaw_bbvzd2specializa7ez75(
				((BgL_regsetz00_bglt) BgL_oz00_9524), BgL_vz00_9525);
		}

	}



/* regset-regl */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2reglzd2zzsaw_bbvzd2specializa7ez75(BgL_regsetz00_bglt
		BgL_oz00_61)
	{
		{	/* SawMill/regset.sch 89 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_61))->BgL_reglz00);
		}

	}



/* &regset-regl */
	obj_t BGl_z62regsetzd2reglzb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9526, obj_t BgL_oz00_9527)
	{
		{	/* SawMill/regset.sch 89 */
			return
				BGl_regsetzd2reglzd2zzsaw_bbvzd2specializa7ez75(
				((BgL_regsetz00_bglt) BgL_oz00_9527));
		}

	}



/* regset-regv */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2regvzd2zzsaw_bbvzd2specializa7ez75(BgL_regsetz00_bglt
		BgL_oz00_64)
	{
		{	/* SawMill/regset.sch 91 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_64))->BgL_regvz00);
		}

	}



/* &regset-regv */
	obj_t BGl_z62regsetzd2regvzb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9528, obj_t BgL_oz00_9529)
	{
		{	/* SawMill/regset.sch 91 */
			return
				BGl_regsetzd2regvzd2zzsaw_bbvzd2specializa7ez75(
				((BgL_regsetz00_bglt) BgL_oz00_9529));
		}

	}



/* regset-msize */
	BGL_EXPORTED_DEF int
		BGl_regsetzd2msiza7ez75zzsaw_bbvzd2specializa7ez75(BgL_regsetz00_bglt
		BgL_oz00_67)
	{
		{	/* SawMill/regset.sch 93 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_67))->BgL_msiza7eza7);
		}

	}



/* &regset-msize */
	obj_t BGl_z62regsetzd2msiza7ez17zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9530, obj_t BgL_oz00_9531)
	{
		{	/* SawMill/regset.sch 93 */
			return
				BINT(BGl_regsetzd2msiza7ez75zzsaw_bbvzd2specializa7ez75(
					((BgL_regsetz00_bglt) BgL_oz00_9531)));
		}

	}



/* regset-length */
	BGL_EXPORTED_DEF int
		BGl_regsetzd2lengthzd2zzsaw_bbvzd2specializa7ez75(BgL_regsetz00_bglt
		BgL_oz00_70)
	{
		{	/* SawMill/regset.sch 95 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_70))->BgL_lengthz00);
		}

	}



/* &regset-length */
	obj_t BGl_z62regsetzd2lengthzb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9532, obj_t BgL_oz00_9533)
	{
		{	/* SawMill/regset.sch 95 */
			return
				BINT(BGl_regsetzd2lengthzd2zzsaw_bbvzd2specializa7ez75(
					((BgL_regsetz00_bglt) BgL_oz00_9533)));
		}

	}



/* regset-length-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2lengthzd2setz12z12zzsaw_bbvzd2specializa7ez75
		(BgL_regsetz00_bglt BgL_oz00_71, int BgL_vz00_72)
	{
		{	/* SawMill/regset.sch 96 */
			return
				((((BgL_regsetz00_bglt) COBJECT(BgL_oz00_71))->BgL_lengthz00) =
				((int) BgL_vz00_72), BUNSPEC);
		}

	}



/* &regset-length-set! */
	obj_t BGl_z62regsetzd2lengthzd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9534, obj_t BgL_oz00_9535, obj_t BgL_vz00_9536)
	{
		{	/* SawMill/regset.sch 96 */
			return
				BGl_regsetzd2lengthzd2setz12z12zzsaw_bbvzd2specializa7ez75(
				((BgL_regsetz00_bglt) BgL_oz00_9535), CINT(BgL_vz00_9536));
		}

	}



/* make-rtl_ins/bbv */
	BGL_EXPORTED_DEF BgL_rtl_insz00_bglt
		BGl_makezd2rtl_inszf2bbvz20zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_loc1264z00_73, obj_t BgL_z52spill1265z52_74, obj_t BgL_dest1266z00_75,
		BgL_rtl_funz00_bglt BgL_fun1267z00_76, obj_t BgL_args1268z00_77,
		obj_t BgL_def1269z00_78, obj_t BgL_out1270z00_79, obj_t BgL_in1271z00_80,
		BgL_bbvzd2ctxzd2_bglt BgL_ctx1272z00_81, obj_t BgL_z52hash1273z52_82)
	{
		{	/* SawBbv/bbv-types.sch 137 */
			{	/* SawBbv/bbv-types.sch 137 */
				BgL_rtl_insz00_bglt BgL_new1172z00_9951;

				{	/* SawBbv/bbv-types.sch 137 */
					BgL_rtl_insz00_bglt BgL_tmp1170z00_9952;
					BgL_rtl_inszf2bbvzf2_bglt BgL_wide1171z00_9953;

					{
						BgL_rtl_insz00_bglt BgL_auxz00_11613;

						{	/* SawBbv/bbv-types.sch 137 */
							BgL_rtl_insz00_bglt BgL_new1169z00_9954;

							BgL_new1169z00_9954 =
								((BgL_rtl_insz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_insz00_bgl))));
							{	/* SawBbv/bbv-types.sch 137 */
								long BgL_arg2514z00_9955;

								BgL_arg2514z00_9955 =
									BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1169z00_9954),
									BgL_arg2514z00_9955);
							}
							{	/* SawBbv/bbv-types.sch 137 */
								BgL_objectz00_bglt BgL_tmpz00_11618;

								BgL_tmpz00_11618 = ((BgL_objectz00_bglt) BgL_new1169z00_9954);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11618, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1169z00_9954);
							BgL_auxz00_11613 = BgL_new1169z00_9954;
						}
						BgL_tmp1170z00_9952 = ((BgL_rtl_insz00_bglt) BgL_auxz00_11613);
					}
					BgL_wide1171z00_9953 =
						((BgL_rtl_inszf2bbvzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_inszf2bbvzf2_bgl))));
					{	/* SawBbv/bbv-types.sch 137 */
						obj_t BgL_auxz00_11626;
						BgL_objectz00_bglt BgL_tmpz00_11624;

						BgL_auxz00_11626 = ((obj_t) BgL_wide1171z00_9953);
						BgL_tmpz00_11624 = ((BgL_objectz00_bglt) BgL_tmp1170z00_9952);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11624, BgL_auxz00_11626);
					}
					((BgL_objectz00_bglt) BgL_tmp1170z00_9952);
					{	/* SawBbv/bbv-types.sch 137 */
						long BgL_arg2512z00_9956;

						BgL_arg2512z00_9956 =
							BGL_CLASS_NUM(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1170z00_9952), BgL_arg2512z00_9956);
					}
					BgL_new1172z00_9951 = ((BgL_rtl_insz00_bglt) BgL_tmp1170z00_9952);
				}
				((((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_new1172z00_9951)))->BgL_locz00) =
					((obj_t) BgL_loc1264z00_73), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1172z00_9951)))->BgL_z52spillz52) =
					((obj_t) BgL_z52spill1265z52_74), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1172z00_9951)))->BgL_destz00) =
					((obj_t) BgL_dest1266z00_75), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1172z00_9951)))->BgL_funz00) =
					((BgL_rtl_funz00_bglt) BgL_fun1267z00_76), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1172z00_9951)))->BgL_argsz00) =
					((obj_t) BgL_args1268z00_77), BUNSPEC);
				{
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_11644;

					{
						obj_t BgL_auxz00_11645;

						{	/* SawBbv/bbv-types.sch 137 */
							BgL_objectz00_bglt BgL_tmpz00_11646;

							BgL_tmpz00_11646 = ((BgL_objectz00_bglt) BgL_new1172z00_9951);
							BgL_auxz00_11645 = BGL_OBJECT_WIDENING(BgL_tmpz00_11646);
						}
						BgL_auxz00_11644 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_11645);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_11644))->
							BgL_defz00) = ((obj_t) BgL_def1269z00_78), BUNSPEC);
				}
				{
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_11651;

					{
						obj_t BgL_auxz00_11652;

						{	/* SawBbv/bbv-types.sch 137 */
							BgL_objectz00_bglt BgL_tmpz00_11653;

							BgL_tmpz00_11653 = ((BgL_objectz00_bglt) BgL_new1172z00_9951);
							BgL_auxz00_11652 = BGL_OBJECT_WIDENING(BgL_tmpz00_11653);
						}
						BgL_auxz00_11651 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_11652);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_11651))->
							BgL_outz00) = ((obj_t) BgL_out1270z00_79), BUNSPEC);
				}
				{
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_11658;

					{
						obj_t BgL_auxz00_11659;

						{	/* SawBbv/bbv-types.sch 137 */
							BgL_objectz00_bglt BgL_tmpz00_11660;

							BgL_tmpz00_11660 = ((BgL_objectz00_bglt) BgL_new1172z00_9951);
							BgL_auxz00_11659 = BGL_OBJECT_WIDENING(BgL_tmpz00_11660);
						}
						BgL_auxz00_11658 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_11659);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_11658))->
							BgL_inz00) = ((obj_t) BgL_in1271z00_80), BUNSPEC);
				}
				{
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_11665;

					{
						obj_t BgL_auxz00_11666;

						{	/* SawBbv/bbv-types.sch 137 */
							BgL_objectz00_bglt BgL_tmpz00_11667;

							BgL_tmpz00_11667 = ((BgL_objectz00_bglt) BgL_new1172z00_9951);
							BgL_auxz00_11666 = BGL_OBJECT_WIDENING(BgL_tmpz00_11667);
						}
						BgL_auxz00_11665 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_11666);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_11665))->
							BgL_ctxz00) =
						((BgL_bbvzd2ctxzd2_bglt) BgL_ctx1272z00_81), BUNSPEC);
				}
				{
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_11672;

					{
						obj_t BgL_auxz00_11673;

						{	/* SawBbv/bbv-types.sch 137 */
							BgL_objectz00_bglt BgL_tmpz00_11674;

							BgL_tmpz00_11674 = ((BgL_objectz00_bglt) BgL_new1172z00_9951);
							BgL_auxz00_11673 = BGL_OBJECT_WIDENING(BgL_tmpz00_11674);
						}
						BgL_auxz00_11672 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_11673);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_11672))->
							BgL_z52hashz52) = ((obj_t) BgL_z52hash1273z52_82), BUNSPEC);
				}
				return BgL_new1172z00_9951;
			}
		}

	}



/* &make-rtl_ins/bbv */
	BgL_rtl_insz00_bglt
		BGl_z62makezd2rtl_inszf2bbvz42zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9537, obj_t BgL_loc1264z00_9538, obj_t BgL_z52spill1265z52_9539,
		obj_t BgL_dest1266z00_9540, obj_t BgL_fun1267z00_9541,
		obj_t BgL_args1268z00_9542, obj_t BgL_def1269z00_9543,
		obj_t BgL_out1270z00_9544, obj_t BgL_in1271z00_9545,
		obj_t BgL_ctx1272z00_9546, obj_t BgL_z52hash1273z52_9547)
	{
		{	/* SawBbv/bbv-types.sch 137 */
			return
				BGl_makezd2rtl_inszf2bbvz20zzsaw_bbvzd2specializa7ez75
				(BgL_loc1264z00_9538, BgL_z52spill1265z52_9539, BgL_dest1266z00_9540,
				((BgL_rtl_funz00_bglt) BgL_fun1267z00_9541), BgL_args1268z00_9542,
				BgL_def1269z00_9543, BgL_out1270z00_9544, BgL_in1271z00_9545,
				((BgL_bbvzd2ctxzd2_bglt) BgL_ctx1272z00_9546), BgL_z52hash1273z52_9547);
		}

	}



/* rtl_ins/bbv? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszf2bbvzf3z01zzsaw_bbvzd2specializa7ez75(obj_t BgL_objz00_83)
	{
		{	/* SawBbv/bbv-types.sch 138 */
			{	/* SawBbv/bbv-types.sch 138 */
				obj_t BgL_classz00_9957;

				BgL_classz00_9957 = BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2;
				if (BGL_OBJECTP(BgL_objz00_83))
					{	/* SawBbv/bbv-types.sch 138 */
						BgL_objectz00_bglt BgL_arg1858z00_9958;

						BgL_arg1858z00_9958 = (BgL_objectz00_bglt) (BgL_objz00_83);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawBbv/bbv-types.sch 138 */
								long BgL_idxz00_9959;

								BgL_idxz00_9959 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9958);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9959 + 2L)) == BgL_classz00_9957);
							}
						else
							{	/* SawBbv/bbv-types.sch 138 */
								bool_t BgL_res4074z00_9962;

								{	/* SawBbv/bbv-types.sch 138 */
									obj_t BgL_oclassz00_9963;

									{	/* SawBbv/bbv-types.sch 138 */
										obj_t BgL_arg1866z00_9964;
										long BgL_arg1867z00_9965;

										BgL_arg1866z00_9964 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawBbv/bbv-types.sch 138 */
											long BgL_arg1869z00_9966;

											BgL_arg1869z00_9966 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9958);
											BgL_arg1867z00_9965 = (BgL_arg1869z00_9966 - OBJECT_TYPE);
										}
										BgL_oclassz00_9963 =
											VECTOR_REF(BgL_arg1866z00_9964, BgL_arg1867z00_9965);
									}
									{	/* SawBbv/bbv-types.sch 138 */
										bool_t BgL__ortest_1115z00_9967;

										BgL__ortest_1115z00_9967 =
											(BgL_classz00_9957 == BgL_oclassz00_9963);
										if (BgL__ortest_1115z00_9967)
											{	/* SawBbv/bbv-types.sch 138 */
												BgL_res4074z00_9962 = BgL__ortest_1115z00_9967;
											}
										else
											{	/* SawBbv/bbv-types.sch 138 */
												long BgL_odepthz00_9968;

												{	/* SawBbv/bbv-types.sch 138 */
													obj_t BgL_arg1855z00_9969;

													BgL_arg1855z00_9969 = (BgL_oclassz00_9963);
													BgL_odepthz00_9968 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9969);
												}
												if ((2L < BgL_odepthz00_9968))
													{	/* SawBbv/bbv-types.sch 138 */
														obj_t BgL_arg1853z00_9970;

														{	/* SawBbv/bbv-types.sch 138 */
															obj_t BgL_arg1854z00_9971;

															BgL_arg1854z00_9971 = (BgL_oclassz00_9963);
															BgL_arg1853z00_9970 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9971,
																2L);
														}
														BgL_res4074z00_9962 =
															(BgL_arg1853z00_9970 == BgL_classz00_9957);
													}
												else
													{	/* SawBbv/bbv-types.sch 138 */
														BgL_res4074z00_9962 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res4074z00_9962;
							}
					}
				else
					{	/* SawBbv/bbv-types.sch 138 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_ins/bbv? */
	obj_t BGl_z62rtl_inszf2bbvzf3z63zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9548, obj_t BgL_objz00_9549)
	{
		{	/* SawBbv/bbv-types.sch 138 */
			return
				BBOOL(BGl_rtl_inszf2bbvzf3z01zzsaw_bbvzd2specializa7ez75
				(BgL_objz00_9549));
		}

	}



/* rtl_ins/bbv-nil */
	BGL_EXPORTED_DEF BgL_rtl_insz00_bglt
		BGl_rtl_inszf2bbvzd2nilz20zzsaw_bbvzd2specializa7ez75(void)
	{
		{	/* SawBbv/bbv-types.sch 139 */
			{	/* SawBbv/bbv-types.sch 139 */
				obj_t BgL_classz00_5457;

				BgL_classz00_5457 = BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2;
				{	/* SawBbv/bbv-types.sch 139 */
					obj_t BgL__ortest_1117z00_5458;

					BgL__ortest_1117z00_5458 = BGL_CLASS_NIL(BgL_classz00_5457);
					if (CBOOL(BgL__ortest_1117z00_5458))
						{	/* SawBbv/bbv-types.sch 139 */
							return ((BgL_rtl_insz00_bglt) BgL__ortest_1117z00_5458);
						}
					else
						{	/* SawBbv/bbv-types.sch 139 */
							return
								((BgL_rtl_insz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5457));
						}
				}
			}
		}

	}



/* &rtl_ins/bbv-nil */
	BgL_rtl_insz00_bglt
		BGl_z62rtl_inszf2bbvzd2nilz42zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9550)
	{
		{	/* SawBbv/bbv-types.sch 139 */
			return BGl_rtl_inszf2bbvzd2nilz20zzsaw_bbvzd2specializa7ez75();
		}

	}



/* rtl_ins/bbv-%hash */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2z52hashz72zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt BgL_oz00_84)
	{
		{	/* SawBbv/bbv-types.sch 140 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_11713;

				{
					obj_t BgL_auxz00_11714;

					{	/* SawBbv/bbv-types.sch 140 */
						BgL_objectz00_bglt BgL_tmpz00_11715;

						BgL_tmpz00_11715 = ((BgL_objectz00_bglt) BgL_oz00_84);
						BgL_auxz00_11714 = BGL_OBJECT_WIDENING(BgL_tmpz00_11715);
					}
					BgL_auxz00_11713 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_11714);
				}
				return
					(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_11713))->
					BgL_z52hashz52);
			}
		}

	}



/* &rtl_ins/bbv-%hash */
	obj_t BGl_z62rtl_inszf2bbvzd2z52hashz10zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9551, obj_t BgL_oz00_9552)
	{
		{	/* SawBbv/bbv-types.sch 140 */
			return
				BGl_rtl_inszf2bbvzd2z52hashz72zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_insz00_bglt) BgL_oz00_9552));
		}

	}



/* rtl_ins/bbv-%hash-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2z52hashzd2setz12zb2zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt BgL_oz00_85, obj_t BgL_vz00_86)
	{
		{	/* SawBbv/bbv-types.sch 141 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_11722;

				{
					obj_t BgL_auxz00_11723;

					{	/* SawBbv/bbv-types.sch 141 */
						BgL_objectz00_bglt BgL_tmpz00_11724;

						BgL_tmpz00_11724 = ((BgL_objectz00_bglt) BgL_oz00_85);
						BgL_auxz00_11723 = BGL_OBJECT_WIDENING(BgL_tmpz00_11724);
					}
					BgL_auxz00_11722 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_11723);
				}
				return
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_11722))->
						BgL_z52hashz52) = ((obj_t) BgL_vz00_86), BUNSPEC);
			}
		}

	}



/* &rtl_ins/bbv-%hash-set! */
	obj_t
		BGl_z62rtl_inszf2bbvzd2z52hashzd2setz12zd0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9553, obj_t BgL_oz00_9554, obj_t BgL_vz00_9555)
	{
		{	/* SawBbv/bbv-types.sch 141 */
			return
				BGl_rtl_inszf2bbvzd2z52hashzd2setz12zb2zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_insz00_bglt) BgL_oz00_9554), BgL_vz00_9555);
		}

	}



/* rtl_ins/bbv-ctx */
	BGL_EXPORTED_DEF BgL_bbvzd2ctxzd2_bglt
		BGl_rtl_inszf2bbvzd2ctxz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_insz00_bglt
		BgL_oz00_87)
	{
		{	/* SawBbv/bbv-types.sch 142 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_11731;

				{
					obj_t BgL_auxz00_11732;

					{	/* SawBbv/bbv-types.sch 142 */
						BgL_objectz00_bglt BgL_tmpz00_11733;

						BgL_tmpz00_11733 = ((BgL_objectz00_bglt) BgL_oz00_87);
						BgL_auxz00_11732 = BGL_OBJECT_WIDENING(BgL_tmpz00_11733);
					}
					BgL_auxz00_11731 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_11732);
				}
				return
					(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_11731))->BgL_ctxz00);
			}
		}

	}



/* &rtl_ins/bbv-ctx */
	BgL_bbvzd2ctxzd2_bglt
		BGl_z62rtl_inszf2bbvzd2ctxz42zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9556, obj_t BgL_oz00_9557)
	{
		{	/* SawBbv/bbv-types.sch 142 */
			return
				BGl_rtl_inszf2bbvzd2ctxz20zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_insz00_bglt) BgL_oz00_9557));
		}

	}



/* rtl_ins/bbv-ctx-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2ctxzd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt BgL_oz00_88, BgL_bbvzd2ctxzd2_bglt BgL_vz00_89)
	{
		{	/* SawBbv/bbv-types.sch 143 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_11740;

				{
					obj_t BgL_auxz00_11741;

					{	/* SawBbv/bbv-types.sch 143 */
						BgL_objectz00_bglt BgL_tmpz00_11742;

						BgL_tmpz00_11742 = ((BgL_objectz00_bglt) BgL_oz00_88);
						BgL_auxz00_11741 = BGL_OBJECT_WIDENING(BgL_tmpz00_11742);
					}
					BgL_auxz00_11740 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_11741);
				}
				return
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_11740))->
						BgL_ctxz00) = ((BgL_bbvzd2ctxzd2_bglt) BgL_vz00_89), BUNSPEC);
			}
		}

	}



/* &rtl_ins/bbv-ctx-set! */
	obj_t BGl_z62rtl_inszf2bbvzd2ctxzd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9558, obj_t BgL_oz00_9559, obj_t BgL_vz00_9560)
	{
		{	/* SawBbv/bbv-types.sch 143 */
			return
				BGl_rtl_inszf2bbvzd2ctxzd2setz12ze0zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_insz00_bglt) BgL_oz00_9559),
				((BgL_bbvzd2ctxzd2_bglt) BgL_vz00_9560));
		}

	}



/* rtl_ins/bbv-in */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2inz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_insz00_bglt
		BgL_oz00_90)
	{
		{	/* SawBbv/bbv-types.sch 144 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_11750;

				{
					obj_t BgL_auxz00_11751;

					{	/* SawBbv/bbv-types.sch 144 */
						BgL_objectz00_bglt BgL_tmpz00_11752;

						BgL_tmpz00_11752 = ((BgL_objectz00_bglt) BgL_oz00_90);
						BgL_auxz00_11751 = BGL_OBJECT_WIDENING(BgL_tmpz00_11752);
					}
					BgL_auxz00_11750 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_11751);
				}
				return
					(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_11750))->BgL_inz00);
			}
		}

	}



/* &rtl_ins/bbv-in */
	obj_t BGl_z62rtl_inszf2bbvzd2inz42zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9561, obj_t BgL_oz00_9562)
	{
		{	/* SawBbv/bbv-types.sch 144 */
			return
				BGl_rtl_inszf2bbvzd2inz20zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_insz00_bglt) BgL_oz00_9562));
		}

	}



/* rtl_ins/bbv-in-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2inzd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt BgL_oz00_91, obj_t BgL_vz00_92)
	{
		{	/* SawBbv/bbv-types.sch 145 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_11759;

				{
					obj_t BgL_auxz00_11760;

					{	/* SawBbv/bbv-types.sch 145 */
						BgL_objectz00_bglt BgL_tmpz00_11761;

						BgL_tmpz00_11761 = ((BgL_objectz00_bglt) BgL_oz00_91);
						BgL_auxz00_11760 = BGL_OBJECT_WIDENING(BgL_tmpz00_11761);
					}
					BgL_auxz00_11759 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_11760);
				}
				return
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_11759))->
						BgL_inz00) = ((obj_t) BgL_vz00_92), BUNSPEC);
			}
		}

	}



/* &rtl_ins/bbv-in-set! */
	obj_t BGl_z62rtl_inszf2bbvzd2inzd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9563, obj_t BgL_oz00_9564, obj_t BgL_vz00_9565)
	{
		{	/* SawBbv/bbv-types.sch 145 */
			return
				BGl_rtl_inszf2bbvzd2inzd2setz12ze0zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_insz00_bglt) BgL_oz00_9564), BgL_vz00_9565);
		}

	}



/* rtl_ins/bbv-out */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2outz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_insz00_bglt
		BgL_oz00_93)
	{
		{	/* SawBbv/bbv-types.sch 146 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_11768;

				{
					obj_t BgL_auxz00_11769;

					{	/* SawBbv/bbv-types.sch 146 */
						BgL_objectz00_bglt BgL_tmpz00_11770;

						BgL_tmpz00_11770 = ((BgL_objectz00_bglt) BgL_oz00_93);
						BgL_auxz00_11769 = BGL_OBJECT_WIDENING(BgL_tmpz00_11770);
					}
					BgL_auxz00_11768 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_11769);
				}
				return
					(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_11768))->BgL_outz00);
			}
		}

	}



/* &rtl_ins/bbv-out */
	obj_t BGl_z62rtl_inszf2bbvzd2outz42zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9566, obj_t BgL_oz00_9567)
	{
		{	/* SawBbv/bbv-types.sch 146 */
			return
				BGl_rtl_inszf2bbvzd2outz20zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_insz00_bglt) BgL_oz00_9567));
		}

	}



/* rtl_ins/bbv-out-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2outzd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt BgL_oz00_94, obj_t BgL_vz00_95)
	{
		{	/* SawBbv/bbv-types.sch 147 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_11777;

				{
					obj_t BgL_auxz00_11778;

					{	/* SawBbv/bbv-types.sch 147 */
						BgL_objectz00_bglt BgL_tmpz00_11779;

						BgL_tmpz00_11779 = ((BgL_objectz00_bglt) BgL_oz00_94);
						BgL_auxz00_11778 = BGL_OBJECT_WIDENING(BgL_tmpz00_11779);
					}
					BgL_auxz00_11777 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_11778);
				}
				return
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_11777))->
						BgL_outz00) = ((obj_t) BgL_vz00_95), BUNSPEC);
			}
		}

	}



/* &rtl_ins/bbv-out-set! */
	obj_t BGl_z62rtl_inszf2bbvzd2outzd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9568, obj_t BgL_oz00_9569, obj_t BgL_vz00_9570)
	{
		{	/* SawBbv/bbv-types.sch 147 */
			return
				BGl_rtl_inszf2bbvzd2outzd2setz12ze0zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_insz00_bglt) BgL_oz00_9569), BgL_vz00_9570);
		}

	}



/* rtl_ins/bbv-def */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2defz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_insz00_bglt
		BgL_oz00_96)
	{
		{	/* SawBbv/bbv-types.sch 148 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_11786;

				{
					obj_t BgL_auxz00_11787;

					{	/* SawBbv/bbv-types.sch 148 */
						BgL_objectz00_bglt BgL_tmpz00_11788;

						BgL_tmpz00_11788 = ((BgL_objectz00_bglt) BgL_oz00_96);
						BgL_auxz00_11787 = BGL_OBJECT_WIDENING(BgL_tmpz00_11788);
					}
					BgL_auxz00_11786 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_11787);
				}
				return
					(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_11786))->BgL_defz00);
			}
		}

	}



/* &rtl_ins/bbv-def */
	obj_t BGl_z62rtl_inszf2bbvzd2defz42zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9571, obj_t BgL_oz00_9572)
	{
		{	/* SawBbv/bbv-types.sch 148 */
			return
				BGl_rtl_inszf2bbvzd2defz20zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_insz00_bglt) BgL_oz00_9572));
		}

	}



/* rtl_ins/bbv-def-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2defzd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt BgL_oz00_97, obj_t BgL_vz00_98)
	{
		{	/* SawBbv/bbv-types.sch 149 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_11795;

				{
					obj_t BgL_auxz00_11796;

					{	/* SawBbv/bbv-types.sch 149 */
						BgL_objectz00_bglt BgL_tmpz00_11797;

						BgL_tmpz00_11797 = ((BgL_objectz00_bglt) BgL_oz00_97);
						BgL_auxz00_11796 = BGL_OBJECT_WIDENING(BgL_tmpz00_11797);
					}
					BgL_auxz00_11795 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_11796);
				}
				return
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_11795))->
						BgL_defz00) = ((obj_t) BgL_vz00_98), BUNSPEC);
			}
		}

	}



/* &rtl_ins/bbv-def-set! */
	obj_t BGl_z62rtl_inszf2bbvzd2defzd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9573, obj_t BgL_oz00_9574, obj_t BgL_vz00_9575)
	{
		{	/* SawBbv/bbv-types.sch 149 */
			return
				BGl_rtl_inszf2bbvzd2defzd2setz12ze0zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_insz00_bglt) BgL_oz00_9574), BgL_vz00_9575);
		}

	}



/* rtl_ins/bbv-args */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2argsz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_insz00_bglt
		BgL_oz00_99)
	{
		{	/* SawBbv/bbv-types.sch 150 */
			return
				(((BgL_rtl_insz00_bglt) COBJECT(
						((BgL_rtl_insz00_bglt) BgL_oz00_99)))->BgL_argsz00);
		}

	}



/* &rtl_ins/bbv-args */
	obj_t BGl_z62rtl_inszf2bbvzd2argsz42zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9576, obj_t BgL_oz00_9577)
	{
		{	/* SawBbv/bbv-types.sch 150 */
			return
				BGl_rtl_inszf2bbvzd2argsz20zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_insz00_bglt) BgL_oz00_9577));
		}

	}



/* rtl_ins/bbv-args-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2argszd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt BgL_oz00_100, obj_t BgL_vz00_101)
	{
		{	/* SawBbv/bbv-types.sch 151 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_oz00_100)))->BgL_argsz00) =
				((obj_t) BgL_vz00_101), BUNSPEC);
		}

	}



/* &rtl_ins/bbv-args-set! */
	obj_t BGl_z62rtl_inszf2bbvzd2argszd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9578, obj_t BgL_oz00_9579, obj_t BgL_vz00_9580)
	{
		{	/* SawBbv/bbv-types.sch 151 */
			return
				BGl_rtl_inszf2bbvzd2argszd2setz12ze0zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_insz00_bglt) BgL_oz00_9579), BgL_vz00_9580);
		}

	}



/* rtl_ins/bbv-fun */
	BGL_EXPORTED_DEF BgL_rtl_funz00_bglt
		BGl_rtl_inszf2bbvzd2funz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_insz00_bglt
		BgL_oz00_102)
	{
		{	/* SawBbv/bbv-types.sch 152 */
			return
				(((BgL_rtl_insz00_bglt) COBJECT(
						((BgL_rtl_insz00_bglt) BgL_oz00_102)))->BgL_funz00);
		}

	}



/* &rtl_ins/bbv-fun */
	BgL_rtl_funz00_bglt
		BGl_z62rtl_inszf2bbvzd2funz42zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9581, obj_t BgL_oz00_9582)
	{
		{	/* SawBbv/bbv-types.sch 152 */
			return
				BGl_rtl_inszf2bbvzd2funz20zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_insz00_bglt) BgL_oz00_9582));
		}

	}



/* rtl_ins/bbv-fun-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2funzd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt BgL_oz00_103, BgL_rtl_funz00_bglt BgL_vz00_104)
	{
		{	/* SawBbv/bbv-types.sch 153 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_oz00_103)))->BgL_funz00) =
				((BgL_rtl_funz00_bglt) BgL_vz00_104), BUNSPEC);
		}

	}



/* &rtl_ins/bbv-fun-set! */
	obj_t BGl_z62rtl_inszf2bbvzd2funzd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9583, obj_t BgL_oz00_9584, obj_t BgL_vz00_9585)
	{
		{	/* SawBbv/bbv-types.sch 153 */
			return
				BGl_rtl_inszf2bbvzd2funzd2setz12ze0zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_insz00_bglt) BgL_oz00_9584),
				((BgL_rtl_funz00_bglt) BgL_vz00_9585));
		}

	}



/* rtl_ins/bbv-dest */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2destz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_insz00_bglt
		BgL_oz00_105)
	{
		{	/* SawBbv/bbv-types.sch 154 */
			return
				(((BgL_rtl_insz00_bglt) COBJECT(
						((BgL_rtl_insz00_bglt) BgL_oz00_105)))->BgL_destz00);
		}

	}



/* &rtl_ins/bbv-dest */
	obj_t BGl_z62rtl_inszf2bbvzd2destz42zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9586, obj_t BgL_oz00_9587)
	{
		{	/* SawBbv/bbv-types.sch 154 */
			return
				BGl_rtl_inszf2bbvzd2destz20zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_insz00_bglt) BgL_oz00_9587));
		}

	}



/* rtl_ins/bbv-dest-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2destzd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt BgL_oz00_106, obj_t BgL_vz00_107)
	{
		{	/* SawBbv/bbv-types.sch 155 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_oz00_106)))->BgL_destz00) =
				((obj_t) BgL_vz00_107), BUNSPEC);
		}

	}



/* &rtl_ins/bbv-dest-set! */
	obj_t BGl_z62rtl_inszf2bbvzd2destzd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9588, obj_t BgL_oz00_9589, obj_t BgL_vz00_9590)
	{
		{	/* SawBbv/bbv-types.sch 155 */
			return
				BGl_rtl_inszf2bbvzd2destzd2setz12ze0zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_insz00_bglt) BgL_oz00_9589), BgL_vz00_9590);
		}

	}



/* rtl_ins/bbv-%spill */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2z52spillz72zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt BgL_oz00_108)
	{
		{	/* SawBbv/bbv-types.sch 156 */
			return
				(((BgL_rtl_insz00_bglt) COBJECT(
						((BgL_rtl_insz00_bglt) BgL_oz00_108)))->BgL_z52spillz52);
		}

	}



/* &rtl_ins/bbv-%spill */
	obj_t BGl_z62rtl_inszf2bbvzd2z52spillz10zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9591, obj_t BgL_oz00_9592)
	{
		{	/* SawBbv/bbv-types.sch 156 */
			return
				BGl_rtl_inszf2bbvzd2z52spillz72zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_insz00_bglt) BgL_oz00_9592));
		}

	}



/* rtl_ins/bbv-%spill-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2z52spillzd2setz12zb2zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt BgL_oz00_109, obj_t BgL_vz00_110)
	{
		{	/* SawBbv/bbv-types.sch 157 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_oz00_109)))->BgL_z52spillz52) =
				((obj_t) BgL_vz00_110), BUNSPEC);
		}

	}



/* &rtl_ins/bbv-%spill-set! */
	obj_t
		BGl_z62rtl_inszf2bbvzd2z52spillzd2setz12zd0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9593, obj_t BgL_oz00_9594, obj_t BgL_vz00_9595)
	{
		{	/* SawBbv/bbv-types.sch 157 */
			return
				BGl_rtl_inszf2bbvzd2z52spillzd2setz12zb2zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_insz00_bglt) BgL_oz00_9594), BgL_vz00_9595);
		}

	}



/* rtl_ins/bbv-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2locz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_insz00_bglt
		BgL_oz00_111)
	{
		{	/* SawBbv/bbv-types.sch 158 */
			return
				(((BgL_rtl_insz00_bglt) COBJECT(
						((BgL_rtl_insz00_bglt) BgL_oz00_111)))->BgL_locz00);
		}

	}



/* &rtl_ins/bbv-loc */
	obj_t BGl_z62rtl_inszf2bbvzd2locz42zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9596, obj_t BgL_oz00_9597)
	{
		{	/* SawBbv/bbv-types.sch 158 */
			return
				BGl_rtl_inszf2bbvzd2locz20zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_insz00_bglt) BgL_oz00_9597));
		}

	}



/* rtl_ins/bbv-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2loczd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt BgL_oz00_112, obj_t BgL_vz00_113)
	{
		{	/* SawBbv/bbv-types.sch 159 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_oz00_112)))->BgL_locz00) =
				((obj_t) BgL_vz00_113), BUNSPEC);
		}

	}



/* &rtl_ins/bbv-loc-set! */
	obj_t BGl_z62rtl_inszf2bbvzd2loczd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9598, obj_t BgL_oz00_9599, obj_t BgL_vz00_9600)
	{
		{	/* SawBbv/bbv-types.sch 159 */
			return
				BGl_rtl_inszf2bbvzd2loczd2setz12ze0zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_insz00_bglt) BgL_oz00_9599), BgL_vz00_9600);
		}

	}



/* make-blockV */
	BGL_EXPORTED_DEF BgL_blockz00_bglt
		BGl_makezd2blockVzd2zzsaw_bbvzd2specializa7ez75(int BgL_label1255z00_114,
		obj_t BgL_preds1256z00_115, obj_t BgL_succs1257z00_116,
		obj_t BgL_first1258z00_117, obj_t BgL_versions1259z00_118,
		obj_t BgL_generic1260z00_119, long BgL_z52mark1261z52_120,
		obj_t BgL_merge1262z00_121)
	{
		{	/* SawBbv/bbv-types.sch 162 */
			{	/* SawBbv/bbv-types.sch 162 */
				BgL_blockz00_bglt BgL_new1176z00_9972;

				{	/* SawBbv/bbv-types.sch 162 */
					BgL_blockz00_bglt BgL_tmp1174z00_9973;
					BgL_blockvz00_bglt BgL_wide1175z00_9974;

					{
						BgL_blockz00_bglt BgL_auxz00_11845;

						{	/* SawBbv/bbv-types.sch 162 */
							BgL_blockz00_bglt BgL_new1173z00_9975;

							BgL_new1173z00_9975 =
								((BgL_blockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_blockz00_bgl))));
							{	/* SawBbv/bbv-types.sch 162 */
								long BgL_arg2519z00_9976;

								BgL_arg2519z00_9976 = BGL_CLASS_NUM(BGl_blockz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1173z00_9975),
									BgL_arg2519z00_9976);
							}
							{	/* SawBbv/bbv-types.sch 162 */
								BgL_objectz00_bglt BgL_tmpz00_11850;

								BgL_tmpz00_11850 = ((BgL_objectz00_bglt) BgL_new1173z00_9975);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11850, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1173z00_9975);
							BgL_auxz00_11845 = BgL_new1173z00_9975;
						}
						BgL_tmp1174z00_9973 = ((BgL_blockz00_bglt) BgL_auxz00_11845);
					}
					BgL_wide1175z00_9974 =
						((BgL_blockvz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_blockvz00_bgl))));
					{	/* SawBbv/bbv-types.sch 162 */
						obj_t BgL_auxz00_11858;
						BgL_objectz00_bglt BgL_tmpz00_11856;

						BgL_auxz00_11858 = ((obj_t) BgL_wide1175z00_9974);
						BgL_tmpz00_11856 = ((BgL_objectz00_bglt) BgL_tmp1174z00_9973);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11856, BgL_auxz00_11858);
					}
					((BgL_objectz00_bglt) BgL_tmp1174z00_9973);
					{	/* SawBbv/bbv-types.sch 162 */
						long BgL_arg2515z00_9977;

						BgL_arg2515z00_9977 =
							BGL_CLASS_NUM(BGl_blockVz00zzsaw_bbvzd2typeszd2);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1174z00_9973), BgL_arg2515z00_9977);
					}
					BgL_new1176z00_9972 = ((BgL_blockz00_bglt) BgL_tmp1174z00_9973);
				}
				((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_new1176z00_9972)))->BgL_labelz00) =
					((int) BgL_label1255z00_114), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
									BgL_new1176z00_9972)))->BgL_predsz00) =
					((obj_t) BgL_preds1256z00_115), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
									BgL_new1176z00_9972)))->BgL_succsz00) =
					((obj_t) BgL_succs1257z00_116), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
									BgL_new1176z00_9972)))->BgL_firstz00) =
					((obj_t) BgL_first1258z00_117), BUNSPEC);
				{
					BgL_blockvz00_bglt BgL_auxz00_11874;

					{
						obj_t BgL_auxz00_11875;

						{	/* SawBbv/bbv-types.sch 162 */
							BgL_objectz00_bglt BgL_tmpz00_11876;

							BgL_tmpz00_11876 = ((BgL_objectz00_bglt) BgL_new1176z00_9972);
							BgL_auxz00_11875 = BGL_OBJECT_WIDENING(BgL_tmpz00_11876);
						}
						BgL_auxz00_11874 = ((BgL_blockvz00_bglt) BgL_auxz00_11875);
					}
					((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_11874))->BgL_versionsz00) =
						((obj_t) BgL_versions1259z00_118), BUNSPEC);
				}
				{
					BgL_blockvz00_bglt BgL_auxz00_11881;

					{
						obj_t BgL_auxz00_11882;

						{	/* SawBbv/bbv-types.sch 162 */
							BgL_objectz00_bglt BgL_tmpz00_11883;

							BgL_tmpz00_11883 = ((BgL_objectz00_bglt) BgL_new1176z00_9972);
							BgL_auxz00_11882 = BGL_OBJECT_WIDENING(BgL_tmpz00_11883);
						}
						BgL_auxz00_11881 = ((BgL_blockvz00_bglt) BgL_auxz00_11882);
					}
					((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_11881))->BgL_genericz00) =
						((obj_t) BgL_generic1260z00_119), BUNSPEC);
				}
				{
					BgL_blockvz00_bglt BgL_auxz00_11888;

					{
						obj_t BgL_auxz00_11889;

						{	/* SawBbv/bbv-types.sch 162 */
							BgL_objectz00_bglt BgL_tmpz00_11890;

							BgL_tmpz00_11890 = ((BgL_objectz00_bglt) BgL_new1176z00_9972);
							BgL_auxz00_11889 = BGL_OBJECT_WIDENING(BgL_tmpz00_11890);
						}
						BgL_auxz00_11888 = ((BgL_blockvz00_bglt) BgL_auxz00_11889);
					}
					((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_11888))->BgL_z52markz52) =
						((long) BgL_z52mark1261z52_120), BUNSPEC);
				}
				{
					BgL_blockvz00_bglt BgL_auxz00_11895;

					{
						obj_t BgL_auxz00_11896;

						{	/* SawBbv/bbv-types.sch 162 */
							BgL_objectz00_bglt BgL_tmpz00_11897;

							BgL_tmpz00_11897 = ((BgL_objectz00_bglt) BgL_new1176z00_9972);
							BgL_auxz00_11896 = BGL_OBJECT_WIDENING(BgL_tmpz00_11897);
						}
						BgL_auxz00_11895 = ((BgL_blockvz00_bglt) BgL_auxz00_11896);
					}
					((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_11895))->BgL_mergez00) =
						((obj_t) BgL_merge1262z00_121), BUNSPEC);
				}
				return BgL_new1176z00_9972;
			}
		}

	}



/* &make-blockV */
	BgL_blockz00_bglt BGl_z62makezd2blockVzb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9601, obj_t BgL_label1255z00_9602, obj_t BgL_preds1256z00_9603,
		obj_t BgL_succs1257z00_9604, obj_t BgL_first1258z00_9605,
		obj_t BgL_versions1259z00_9606, obj_t BgL_generic1260z00_9607,
		obj_t BgL_z52mark1261z52_9608, obj_t BgL_merge1262z00_9609)
	{
		{	/* SawBbv/bbv-types.sch 162 */
			return
				BGl_makezd2blockVzd2zzsaw_bbvzd2specializa7ez75(CINT
				(BgL_label1255z00_9602), BgL_preds1256z00_9603, BgL_succs1257z00_9604,
				BgL_first1258z00_9605, BgL_versions1259z00_9606,
				BgL_generic1260z00_9607, (long) CINT(BgL_z52mark1261z52_9608),
				BgL_merge1262z00_9609);
		}

	}



/* blockV? */
	BGL_EXPORTED_DEF bool_t BGl_blockVzf3zf3zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_objz00_122)
	{
		{	/* SawBbv/bbv-types.sch 163 */
			{	/* SawBbv/bbv-types.sch 163 */
				obj_t BgL_classz00_9978;

				BgL_classz00_9978 = BGl_blockVz00zzsaw_bbvzd2typeszd2;
				if (BGL_OBJECTP(BgL_objz00_122))
					{	/* SawBbv/bbv-types.sch 163 */
						BgL_objectz00_bglt BgL_arg1858z00_9979;

						BgL_arg1858z00_9979 = (BgL_objectz00_bglt) (BgL_objz00_122);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawBbv/bbv-types.sch 163 */
								long BgL_idxz00_9980;

								BgL_idxz00_9980 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9979);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9980 + 2L)) == BgL_classz00_9978);
							}
						else
							{	/* SawBbv/bbv-types.sch 163 */
								bool_t BgL_res4075z00_9983;

								{	/* SawBbv/bbv-types.sch 163 */
									obj_t BgL_oclassz00_9984;

									{	/* SawBbv/bbv-types.sch 163 */
										obj_t BgL_arg1866z00_9985;
										long BgL_arg1867z00_9986;

										BgL_arg1866z00_9985 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawBbv/bbv-types.sch 163 */
											long BgL_arg1869z00_9987;

											BgL_arg1869z00_9987 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9979);
											BgL_arg1867z00_9986 = (BgL_arg1869z00_9987 - OBJECT_TYPE);
										}
										BgL_oclassz00_9984 =
											VECTOR_REF(BgL_arg1866z00_9985, BgL_arg1867z00_9986);
									}
									{	/* SawBbv/bbv-types.sch 163 */
										bool_t BgL__ortest_1115z00_9988;

										BgL__ortest_1115z00_9988 =
											(BgL_classz00_9978 == BgL_oclassz00_9984);
										if (BgL__ortest_1115z00_9988)
											{	/* SawBbv/bbv-types.sch 163 */
												BgL_res4075z00_9983 = BgL__ortest_1115z00_9988;
											}
										else
											{	/* SawBbv/bbv-types.sch 163 */
												long BgL_odepthz00_9989;

												{	/* SawBbv/bbv-types.sch 163 */
													obj_t BgL_arg1855z00_9990;

													BgL_arg1855z00_9990 = (BgL_oclassz00_9984);
													BgL_odepthz00_9989 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9990);
												}
												if ((2L < BgL_odepthz00_9989))
													{	/* SawBbv/bbv-types.sch 163 */
														obj_t BgL_arg1853z00_9991;

														{	/* SawBbv/bbv-types.sch 163 */
															obj_t BgL_arg1854z00_9992;

															BgL_arg1854z00_9992 = (BgL_oclassz00_9984);
															BgL_arg1853z00_9991 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9992,
																2L);
														}
														BgL_res4075z00_9983 =
															(BgL_arg1853z00_9991 == BgL_classz00_9978);
													}
												else
													{	/* SawBbv/bbv-types.sch 163 */
														BgL_res4075z00_9983 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res4075z00_9983;
							}
					}
				else
					{	/* SawBbv/bbv-types.sch 163 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &blockV? */
	obj_t BGl_z62blockVzf3z91zzsaw_bbvzd2specializa7ez75(obj_t BgL_envz00_9610,
		obj_t BgL_objz00_9611)
	{
		{	/* SawBbv/bbv-types.sch 163 */
			return
				BBOOL(BGl_blockVzf3zf3zzsaw_bbvzd2specializa7ez75(BgL_objz00_9611));
		}

	}



/* blockV-nil */
	BGL_EXPORTED_DEF BgL_blockz00_bglt
		BGl_blockVzd2nilzd2zzsaw_bbvzd2specializa7ez75(void)
	{
		{	/* SawBbv/bbv-types.sch 164 */
			{	/* SawBbv/bbv-types.sch 164 */
				obj_t BgL_classz00_5521;

				BgL_classz00_5521 = BGl_blockVz00zzsaw_bbvzd2typeszd2;
				{	/* SawBbv/bbv-types.sch 164 */
					obj_t BgL__ortest_1117z00_5522;

					BgL__ortest_1117z00_5522 = BGL_CLASS_NIL(BgL_classz00_5521);
					if (CBOOL(BgL__ortest_1117z00_5522))
						{	/* SawBbv/bbv-types.sch 164 */
							return ((BgL_blockz00_bglt) BgL__ortest_1117z00_5522);
						}
					else
						{	/* SawBbv/bbv-types.sch 164 */
							return
								((BgL_blockz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5521));
						}
				}
			}
		}

	}



/* &blockV-nil */
	BgL_blockz00_bglt BGl_z62blockVzd2nilzb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9612)
	{
		{	/* SawBbv/bbv-types.sch 164 */
			return BGl_blockVzd2nilzd2zzsaw_bbvzd2specializa7ez75();
		}

	}



/* blockV-merge */
	BGL_EXPORTED_DEF obj_t
		BGl_blockVzd2mergezd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_123)
	{
		{	/* SawBbv/bbv-types.sch 165 */
			{
				BgL_blockvz00_bglt BgL_auxz00_11936;

				{
					obj_t BgL_auxz00_11937;

					{	/* SawBbv/bbv-types.sch 165 */
						BgL_objectz00_bglt BgL_tmpz00_11938;

						BgL_tmpz00_11938 = ((BgL_objectz00_bglt) BgL_oz00_123);
						BgL_auxz00_11937 = BGL_OBJECT_WIDENING(BgL_tmpz00_11938);
					}
					BgL_auxz00_11936 = ((BgL_blockvz00_bglt) BgL_auxz00_11937);
				}
				return (((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_11936))->BgL_mergez00);
			}
		}

	}



/* &blockV-merge */
	obj_t BGl_z62blockVzd2mergezb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9613, obj_t BgL_oz00_9614)
	{
		{	/* SawBbv/bbv-types.sch 165 */
			return
				BGl_blockVzd2mergezd2zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_9614));
		}

	}



/* blockV-merge-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockVzd2mergezd2setz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_124, obj_t BgL_vz00_125)
	{
		{	/* SawBbv/bbv-types.sch 166 */
			{
				BgL_blockvz00_bglt BgL_auxz00_11945;

				{
					obj_t BgL_auxz00_11946;

					{	/* SawBbv/bbv-types.sch 166 */
						BgL_objectz00_bglt BgL_tmpz00_11947;

						BgL_tmpz00_11947 = ((BgL_objectz00_bglt) BgL_oz00_124);
						BgL_auxz00_11946 = BGL_OBJECT_WIDENING(BgL_tmpz00_11947);
					}
					BgL_auxz00_11945 = ((BgL_blockvz00_bglt) BgL_auxz00_11946);
				}
				return
					((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_11945))->BgL_mergez00) =
					((obj_t) BgL_vz00_125), BUNSPEC);
			}
		}

	}



/* &blockV-merge-set! */
	obj_t BGl_z62blockVzd2mergezd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9615, obj_t BgL_oz00_9616, obj_t BgL_vz00_9617)
	{
		{	/* SawBbv/bbv-types.sch 166 */
			return
				BGl_blockVzd2mergezd2setz12z12zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_9616), BgL_vz00_9617);
		}

	}



/* blockV-%mark */
	BGL_EXPORTED_DEF long
		BGl_blockVzd2z52markz80zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_126)
	{
		{	/* SawBbv/bbv-types.sch 167 */
			{
				BgL_blockvz00_bglt BgL_auxz00_11954;

				{
					obj_t BgL_auxz00_11955;

					{	/* SawBbv/bbv-types.sch 167 */
						BgL_objectz00_bglt BgL_tmpz00_11956;

						BgL_tmpz00_11956 = ((BgL_objectz00_bglt) BgL_oz00_126);
						BgL_auxz00_11955 = BGL_OBJECT_WIDENING(BgL_tmpz00_11956);
					}
					BgL_auxz00_11954 = ((BgL_blockvz00_bglt) BgL_auxz00_11955);
				}
				return
					(((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_11954))->BgL_z52markz52);
			}
		}

	}



/* &blockV-%mark */
	obj_t BGl_z62blockVzd2z52markze2zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9618, obj_t BgL_oz00_9619)
	{
		{	/* SawBbv/bbv-types.sch 167 */
			return
				BINT(BGl_blockVzd2z52markz80zzsaw_bbvzd2specializa7ez75(
					((BgL_blockz00_bglt) BgL_oz00_9619)));
		}

	}



/* blockV-%mark-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockVzd2z52markzd2setz12z40zzsaw_bbvzd2specializa7ez75
		(BgL_blockz00_bglt BgL_oz00_127, long BgL_vz00_128)
	{
		{	/* SawBbv/bbv-types.sch 168 */
			{
				BgL_blockvz00_bglt BgL_auxz00_11964;

				{
					obj_t BgL_auxz00_11965;

					{	/* SawBbv/bbv-types.sch 168 */
						BgL_objectz00_bglt BgL_tmpz00_11966;

						BgL_tmpz00_11966 = ((BgL_objectz00_bglt) BgL_oz00_127);
						BgL_auxz00_11965 = BGL_OBJECT_WIDENING(BgL_tmpz00_11966);
					}
					BgL_auxz00_11964 = ((BgL_blockvz00_bglt) BgL_auxz00_11965);
				}
				return
					((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_11964))->BgL_z52markz52) =
					((long) BgL_vz00_128), BUNSPEC);
		}}

	}



/* &blockV-%mark-set! */
	obj_t BGl_z62blockVzd2z52markzd2setz12z22zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9620, obj_t BgL_oz00_9621, obj_t BgL_vz00_9622)
	{
		{	/* SawBbv/bbv-types.sch 168 */
			return
				BGl_blockVzd2z52markzd2setz12z40zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_9621), (long) CINT(BgL_vz00_9622));
		}

	}



/* blockV-generic */
	BGL_EXPORTED_DEF obj_t
		BGl_blockVzd2genericzd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_129)
	{
		{	/* SawBbv/bbv-types.sch 169 */
			{
				BgL_blockvz00_bglt BgL_auxz00_11974;

				{
					obj_t BgL_auxz00_11975;

					{	/* SawBbv/bbv-types.sch 169 */
						BgL_objectz00_bglt BgL_tmpz00_11976;

						BgL_tmpz00_11976 = ((BgL_objectz00_bglt) BgL_oz00_129);
						BgL_auxz00_11975 = BGL_OBJECT_WIDENING(BgL_tmpz00_11976);
					}
					BgL_auxz00_11974 = ((BgL_blockvz00_bglt) BgL_auxz00_11975);
				}
				return
					(((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_11974))->BgL_genericz00);
			}
		}

	}



/* &blockV-generic */
	obj_t BGl_z62blockVzd2genericzb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9623, obj_t BgL_oz00_9624)
	{
		{	/* SawBbv/bbv-types.sch 169 */
			return
				BGl_blockVzd2genericzd2zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_9624));
		}

	}



/* blockV-generic-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockVzd2genericzd2setz12z12zzsaw_bbvzd2specializa7ez75
		(BgL_blockz00_bglt BgL_oz00_130, obj_t BgL_vz00_131)
	{
		{	/* SawBbv/bbv-types.sch 170 */
			{
				BgL_blockvz00_bglt BgL_auxz00_11983;

				{
					obj_t BgL_auxz00_11984;

					{	/* SawBbv/bbv-types.sch 170 */
						BgL_objectz00_bglt BgL_tmpz00_11985;

						BgL_tmpz00_11985 = ((BgL_objectz00_bglt) BgL_oz00_130);
						BgL_auxz00_11984 = BGL_OBJECT_WIDENING(BgL_tmpz00_11985);
					}
					BgL_auxz00_11983 = ((BgL_blockvz00_bglt) BgL_auxz00_11984);
				}
				return
					((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_11983))->BgL_genericz00) =
					((obj_t) BgL_vz00_131), BUNSPEC);
			}
		}

	}



/* &blockV-generic-set! */
	obj_t BGl_z62blockVzd2genericzd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9625, obj_t BgL_oz00_9626, obj_t BgL_vz00_9627)
	{
		{	/* SawBbv/bbv-types.sch 170 */
			return
				BGl_blockVzd2genericzd2setz12z12zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_9626), BgL_vz00_9627);
		}

	}



/* blockV-versions */
	BGL_EXPORTED_DEF obj_t
		BGl_blockVzd2versionszd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_132)
	{
		{	/* SawBbv/bbv-types.sch 171 */
			{
				BgL_blockvz00_bglt BgL_auxz00_11992;

				{
					obj_t BgL_auxz00_11993;

					{	/* SawBbv/bbv-types.sch 171 */
						BgL_objectz00_bglt BgL_tmpz00_11994;

						BgL_tmpz00_11994 = ((BgL_objectz00_bglt) BgL_oz00_132);
						BgL_auxz00_11993 = BGL_OBJECT_WIDENING(BgL_tmpz00_11994);
					}
					BgL_auxz00_11992 = ((BgL_blockvz00_bglt) BgL_auxz00_11993);
				}
				return
					(((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_11992))->BgL_versionsz00);
			}
		}

	}



/* &blockV-versions */
	obj_t BGl_z62blockVzd2versionszb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9628, obj_t BgL_oz00_9629)
	{
		{	/* SawBbv/bbv-types.sch 171 */
			return
				BGl_blockVzd2versionszd2zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_9629));
		}

	}



/* blockV-versions-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockVzd2versionszd2setz12z12zzsaw_bbvzd2specializa7ez75
		(BgL_blockz00_bglt BgL_oz00_133, obj_t BgL_vz00_134)
	{
		{	/* SawBbv/bbv-types.sch 172 */
			{
				BgL_blockvz00_bglt BgL_auxz00_12001;

				{
					obj_t BgL_auxz00_12002;

					{	/* SawBbv/bbv-types.sch 172 */
						BgL_objectz00_bglt BgL_tmpz00_12003;

						BgL_tmpz00_12003 = ((BgL_objectz00_bglt) BgL_oz00_133);
						BgL_auxz00_12002 = BGL_OBJECT_WIDENING(BgL_tmpz00_12003);
					}
					BgL_auxz00_12001 = ((BgL_blockvz00_bglt) BgL_auxz00_12002);
				}
				return
					((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_12001))->BgL_versionsz00) =
					((obj_t) BgL_vz00_134), BUNSPEC);
			}
		}

	}



/* &blockV-versions-set! */
	obj_t BGl_z62blockVzd2versionszd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9630, obj_t BgL_oz00_9631, obj_t BgL_vz00_9632)
	{
		{	/* SawBbv/bbv-types.sch 172 */
			return
				BGl_blockVzd2versionszd2setz12z12zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_9631), BgL_vz00_9632);
		}

	}



/* blockV-first */
	BGL_EXPORTED_DEF obj_t
		BGl_blockVzd2firstzd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_135)
	{
		{	/* SawBbv/bbv-types.sch 173 */
			return
				(((BgL_blockz00_bglt) COBJECT(
						((BgL_blockz00_bglt) BgL_oz00_135)))->BgL_firstz00);
		}

	}



/* &blockV-first */
	obj_t BGl_z62blockVzd2firstzb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9633, obj_t BgL_oz00_9634)
	{
		{	/* SawBbv/bbv-types.sch 173 */
			return
				BGl_blockVzd2firstzd2zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_9634));
		}

	}



/* blockV-first-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockVzd2firstzd2setz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_136, obj_t BgL_vz00_137)
	{
		{	/* SawBbv/bbv-types.sch 174 */
			return
				((((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_136)))->BgL_firstz00) =
				((obj_t) BgL_vz00_137), BUNSPEC);
		}

	}



/* &blockV-first-set! */
	obj_t BGl_z62blockVzd2firstzd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9635, obj_t BgL_oz00_9636, obj_t BgL_vz00_9637)
	{
		{	/* SawBbv/bbv-types.sch 174 */
			return
				BGl_blockVzd2firstzd2setz12z12zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_9636), BgL_vz00_9637);
		}

	}



/* blockV-succs */
	BGL_EXPORTED_DEF obj_t
		BGl_blockVzd2succszd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_138)
	{
		{	/* SawBbv/bbv-types.sch 175 */
			return
				(((BgL_blockz00_bglt) COBJECT(
						((BgL_blockz00_bglt) BgL_oz00_138)))->BgL_succsz00);
		}

	}



/* &blockV-succs */
	obj_t BGl_z62blockVzd2succszb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9638, obj_t BgL_oz00_9639)
	{
		{	/* SawBbv/bbv-types.sch 175 */
			return
				BGl_blockVzd2succszd2zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_9639));
		}

	}



/* blockV-succs-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockVzd2succszd2setz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_139, obj_t BgL_vz00_140)
	{
		{	/* SawBbv/bbv-types.sch 176 */
			return
				((((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_139)))->BgL_succsz00) =
				((obj_t) BgL_vz00_140), BUNSPEC);
		}

	}



/* &blockV-succs-set! */
	obj_t BGl_z62blockVzd2succszd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9640, obj_t BgL_oz00_9641, obj_t BgL_vz00_9642)
	{
		{	/* SawBbv/bbv-types.sch 176 */
			return
				BGl_blockVzd2succszd2setz12z12zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_9641), BgL_vz00_9642);
		}

	}



/* blockV-preds */
	BGL_EXPORTED_DEF obj_t
		BGl_blockVzd2predszd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_141)
	{
		{	/* SawBbv/bbv-types.sch 177 */
			return
				(((BgL_blockz00_bglt) COBJECT(
						((BgL_blockz00_bglt) BgL_oz00_141)))->BgL_predsz00);
		}

	}



/* &blockV-preds */
	obj_t BGl_z62blockVzd2predszb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9643, obj_t BgL_oz00_9644)
	{
		{	/* SawBbv/bbv-types.sch 177 */
			return
				BGl_blockVzd2predszd2zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_9644));
		}

	}



/* blockV-preds-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockVzd2predszd2setz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_142, obj_t BgL_vz00_143)
	{
		{	/* SawBbv/bbv-types.sch 178 */
			return
				((((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_142)))->BgL_predsz00) =
				((obj_t) BgL_vz00_143), BUNSPEC);
		}

	}



/* &blockV-preds-set! */
	obj_t BGl_z62blockVzd2predszd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9645, obj_t BgL_oz00_9646, obj_t BgL_vz00_9647)
	{
		{	/* SawBbv/bbv-types.sch 178 */
			return
				BGl_blockVzd2predszd2setz12z12zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_9646), BgL_vz00_9647);
		}

	}



/* blockV-label */
	BGL_EXPORTED_DEF int
		BGl_blockVzd2labelzd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_144)
	{
		{	/* SawBbv/bbv-types.sch 179 */
			return
				(((BgL_blockz00_bglt) COBJECT(
						((BgL_blockz00_bglt) BgL_oz00_144)))->BgL_labelz00);
		}

	}



/* &blockV-label */
	obj_t BGl_z62blockVzd2labelzb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9648, obj_t BgL_oz00_9649)
	{
		{	/* SawBbv/bbv-types.sch 179 */
			return
				BINT(BGl_blockVzd2labelzd2zzsaw_bbvzd2specializa7ez75(
					((BgL_blockz00_bglt) BgL_oz00_9649)));
		}

	}



/* blockV-label-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockVzd2labelzd2setz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_145, int BgL_vz00_146)
	{
		{	/* SawBbv/bbv-types.sch 180 */
			return
				((((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_145)))->BgL_labelz00) =
				((int) BgL_vz00_146), BUNSPEC);
		}

	}



/* &blockV-label-set! */
	obj_t BGl_z62blockVzd2labelzd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9650, obj_t BgL_oz00_9651, obj_t BgL_vz00_9652)
	{
		{	/* SawBbv/bbv-types.sch 180 */
			return
				BGl_blockVzd2labelzd2setz12z12zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_9651), CINT(BgL_vz00_9652));
		}

	}



/* make-blockS */
	BGL_EXPORTED_DEF BgL_blockz00_bglt
		BGl_makezd2blockSzd2zzsaw_bbvzd2specializa7ez75(int BgL_label1239z00_147,
		obj_t BgL_preds1240z00_148, obj_t BgL_succs1241z00_149,
		obj_t BgL_first1242z00_150, long BgL_z52mark1243z52_151,
		obj_t BgL_z52hash1244z52_152, obj_t BgL_z52blacklist1245z52_153,
		BgL_bbvzd2ctxzd2_bglt BgL_ctx1246z00_154,
		BgL_blockz00_bglt BgL_parent1247z00_155, long BgL_gccnt1248z00_156,
		long BgL_gcmark1249z00_157, obj_t BgL_mblock1250z00_158,
		obj_t BgL_creator1251z00_159, obj_t BgL_merges1252z00_160,
		bool_t BgL_asleep1253z00_161)
	{
		{	/* SawBbv/bbv-types.sch 183 */
			{	/* SawBbv/bbv-types.sch 183 */
				BgL_blockz00_bglt BgL_new1181z00_9993;

				{	/* SawBbv/bbv-types.sch 183 */
					BgL_blockz00_bglt BgL_tmp1179z00_9994;
					BgL_blocksz00_bglt BgL_wide1180z00_9995;

					{
						BgL_blockz00_bglt BgL_auxz00_12044;

						{	/* SawBbv/bbv-types.sch 183 */
							BgL_blockz00_bglt BgL_new1178z00_9996;

							BgL_new1178z00_9996 =
								((BgL_blockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_blockz00_bgl))));
							{	/* SawBbv/bbv-types.sch 183 */
								long BgL_arg2521z00_9997;

								BgL_arg2521z00_9997 = BGL_CLASS_NUM(BGl_blockz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1178z00_9996),
									BgL_arg2521z00_9997);
							}
							{	/* SawBbv/bbv-types.sch 183 */
								BgL_objectz00_bglt BgL_tmpz00_12049;

								BgL_tmpz00_12049 = ((BgL_objectz00_bglt) BgL_new1178z00_9996);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12049, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1178z00_9996);
							BgL_auxz00_12044 = BgL_new1178z00_9996;
						}
						BgL_tmp1179z00_9994 = ((BgL_blockz00_bglt) BgL_auxz00_12044);
					}
					BgL_wide1180z00_9995 =
						((BgL_blocksz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_blocksz00_bgl))));
					{	/* SawBbv/bbv-types.sch 183 */
						obj_t BgL_auxz00_12057;
						BgL_objectz00_bglt BgL_tmpz00_12055;

						BgL_auxz00_12057 = ((obj_t) BgL_wide1180z00_9995);
						BgL_tmpz00_12055 = ((BgL_objectz00_bglt) BgL_tmp1179z00_9994);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12055, BgL_auxz00_12057);
					}
					((BgL_objectz00_bglt) BgL_tmp1179z00_9994);
					{	/* SawBbv/bbv-types.sch 183 */
						long BgL_arg2520z00_9998;

						BgL_arg2520z00_9998 =
							BGL_CLASS_NUM(BGl_blockSz00zzsaw_bbvzd2typeszd2);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1179z00_9994), BgL_arg2520z00_9998);
					}
					BgL_new1181z00_9993 = ((BgL_blockz00_bglt) BgL_tmp1179z00_9994);
				}
				((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_new1181z00_9993)))->BgL_labelz00) =
					((int) BgL_label1239z00_147), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
									BgL_new1181z00_9993)))->BgL_predsz00) =
					((obj_t) BgL_preds1240z00_148), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
									BgL_new1181z00_9993)))->BgL_succsz00) =
					((obj_t) BgL_succs1241z00_149), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
									BgL_new1181z00_9993)))->BgL_firstz00) =
					((obj_t) BgL_first1242z00_150), BUNSPEC);
				{
					BgL_blocksz00_bglt BgL_auxz00_12073;

					{
						obj_t BgL_auxz00_12074;

						{	/* SawBbv/bbv-types.sch 183 */
							BgL_objectz00_bglt BgL_tmpz00_12075;

							BgL_tmpz00_12075 = ((BgL_objectz00_bglt) BgL_new1181z00_9993);
							BgL_auxz00_12074 = BGL_OBJECT_WIDENING(BgL_tmpz00_12075);
						}
						BgL_auxz00_12073 = ((BgL_blocksz00_bglt) BgL_auxz00_12074);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_12073))->BgL_z52markz52) =
						((long) BgL_z52mark1243z52_151), BUNSPEC);
				}
				{
					BgL_blocksz00_bglt BgL_auxz00_12080;

					{
						obj_t BgL_auxz00_12081;

						{	/* SawBbv/bbv-types.sch 183 */
							BgL_objectz00_bglt BgL_tmpz00_12082;

							BgL_tmpz00_12082 = ((BgL_objectz00_bglt) BgL_new1181z00_9993);
							BgL_auxz00_12081 = BGL_OBJECT_WIDENING(BgL_tmpz00_12082);
						}
						BgL_auxz00_12080 = ((BgL_blocksz00_bglt) BgL_auxz00_12081);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_12080))->BgL_z52hashz52) =
						((obj_t) BgL_z52hash1244z52_152), BUNSPEC);
				}
				{
					BgL_blocksz00_bglt BgL_auxz00_12087;

					{
						obj_t BgL_auxz00_12088;

						{	/* SawBbv/bbv-types.sch 183 */
							BgL_objectz00_bglt BgL_tmpz00_12089;

							BgL_tmpz00_12089 = ((BgL_objectz00_bglt) BgL_new1181z00_9993);
							BgL_auxz00_12088 = BGL_OBJECT_WIDENING(BgL_tmpz00_12089);
						}
						BgL_auxz00_12087 = ((BgL_blocksz00_bglt) BgL_auxz00_12088);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_12087))->
							BgL_z52blacklistz52) =
						((obj_t) BgL_z52blacklist1245z52_153), BUNSPEC);
				}
				{
					BgL_blocksz00_bglt BgL_auxz00_12094;

					{
						obj_t BgL_auxz00_12095;

						{	/* SawBbv/bbv-types.sch 183 */
							BgL_objectz00_bglt BgL_tmpz00_12096;

							BgL_tmpz00_12096 = ((BgL_objectz00_bglt) BgL_new1181z00_9993);
							BgL_auxz00_12095 = BGL_OBJECT_WIDENING(BgL_tmpz00_12096);
						}
						BgL_auxz00_12094 = ((BgL_blocksz00_bglt) BgL_auxz00_12095);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_12094))->BgL_ctxz00) =
						((BgL_bbvzd2ctxzd2_bglt) BgL_ctx1246z00_154), BUNSPEC);
				}
				{
					BgL_blocksz00_bglt BgL_auxz00_12101;

					{
						obj_t BgL_auxz00_12102;

						{	/* SawBbv/bbv-types.sch 183 */
							BgL_objectz00_bglt BgL_tmpz00_12103;

							BgL_tmpz00_12103 = ((BgL_objectz00_bglt) BgL_new1181z00_9993);
							BgL_auxz00_12102 = BGL_OBJECT_WIDENING(BgL_tmpz00_12103);
						}
						BgL_auxz00_12101 = ((BgL_blocksz00_bglt) BgL_auxz00_12102);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_12101))->BgL_parentz00) =
						((BgL_blockz00_bglt) BgL_parent1247z00_155), BUNSPEC);
				}
				{
					BgL_blocksz00_bglt BgL_auxz00_12108;

					{
						obj_t BgL_auxz00_12109;

						{	/* SawBbv/bbv-types.sch 183 */
							BgL_objectz00_bglt BgL_tmpz00_12110;

							BgL_tmpz00_12110 = ((BgL_objectz00_bglt) BgL_new1181z00_9993);
							BgL_auxz00_12109 = BGL_OBJECT_WIDENING(BgL_tmpz00_12110);
						}
						BgL_auxz00_12108 = ((BgL_blocksz00_bglt) BgL_auxz00_12109);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_12108))->BgL_gccntz00) =
						((long) BgL_gccnt1248z00_156), BUNSPEC);
				}
				{
					BgL_blocksz00_bglt BgL_auxz00_12115;

					{
						obj_t BgL_auxz00_12116;

						{	/* SawBbv/bbv-types.sch 183 */
							BgL_objectz00_bglt BgL_tmpz00_12117;

							BgL_tmpz00_12117 = ((BgL_objectz00_bglt) BgL_new1181z00_9993);
							BgL_auxz00_12116 = BGL_OBJECT_WIDENING(BgL_tmpz00_12117);
						}
						BgL_auxz00_12115 = ((BgL_blocksz00_bglt) BgL_auxz00_12116);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_12115))->BgL_gcmarkz00) =
						((long) BgL_gcmark1249z00_157), BUNSPEC);
				}
				{
					BgL_blocksz00_bglt BgL_auxz00_12122;

					{
						obj_t BgL_auxz00_12123;

						{	/* SawBbv/bbv-types.sch 183 */
							BgL_objectz00_bglt BgL_tmpz00_12124;

							BgL_tmpz00_12124 = ((BgL_objectz00_bglt) BgL_new1181z00_9993);
							BgL_auxz00_12123 = BGL_OBJECT_WIDENING(BgL_tmpz00_12124);
						}
						BgL_auxz00_12122 = ((BgL_blocksz00_bglt) BgL_auxz00_12123);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_12122))->BgL_mblockz00) =
						((obj_t) BgL_mblock1250z00_158), BUNSPEC);
				}
				{
					BgL_blocksz00_bglt BgL_auxz00_12129;

					{
						obj_t BgL_auxz00_12130;

						{	/* SawBbv/bbv-types.sch 183 */
							BgL_objectz00_bglt BgL_tmpz00_12131;

							BgL_tmpz00_12131 = ((BgL_objectz00_bglt) BgL_new1181z00_9993);
							BgL_auxz00_12130 = BGL_OBJECT_WIDENING(BgL_tmpz00_12131);
						}
						BgL_auxz00_12129 = ((BgL_blocksz00_bglt) BgL_auxz00_12130);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_12129))->BgL_creatorz00) =
						((obj_t) BgL_creator1251z00_159), BUNSPEC);
				}
				{
					BgL_blocksz00_bglt BgL_auxz00_12136;

					{
						obj_t BgL_auxz00_12137;

						{	/* SawBbv/bbv-types.sch 183 */
							BgL_objectz00_bglt BgL_tmpz00_12138;

							BgL_tmpz00_12138 = ((BgL_objectz00_bglt) BgL_new1181z00_9993);
							BgL_auxz00_12137 = BGL_OBJECT_WIDENING(BgL_tmpz00_12138);
						}
						BgL_auxz00_12136 = ((BgL_blocksz00_bglt) BgL_auxz00_12137);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_12136))->BgL_mergesz00) =
						((obj_t) BgL_merges1252z00_160), BUNSPEC);
				}
				{
					BgL_blocksz00_bglt BgL_auxz00_12143;

					{
						obj_t BgL_auxz00_12144;

						{	/* SawBbv/bbv-types.sch 183 */
							BgL_objectz00_bglt BgL_tmpz00_12145;

							BgL_tmpz00_12145 = ((BgL_objectz00_bglt) BgL_new1181z00_9993);
							BgL_auxz00_12144 = BGL_OBJECT_WIDENING(BgL_tmpz00_12145);
						}
						BgL_auxz00_12143 = ((BgL_blocksz00_bglt) BgL_auxz00_12144);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_12143))->BgL_asleepz00) =
						((bool_t) BgL_asleep1253z00_161), BUNSPEC);
				}
				return BgL_new1181z00_9993;
			}
		}

	}



/* &make-blockS */
	BgL_blockz00_bglt BGl_z62makezd2blockSzb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9653, obj_t BgL_label1239z00_9654, obj_t BgL_preds1240z00_9655,
		obj_t BgL_succs1241z00_9656, obj_t BgL_first1242z00_9657,
		obj_t BgL_z52mark1243z52_9658, obj_t BgL_z52hash1244z52_9659,
		obj_t BgL_z52blacklist1245z52_9660, obj_t BgL_ctx1246z00_9661,
		obj_t BgL_parent1247z00_9662, obj_t BgL_gccnt1248z00_9663,
		obj_t BgL_gcmark1249z00_9664, obj_t BgL_mblock1250z00_9665,
		obj_t BgL_creator1251z00_9666, obj_t BgL_merges1252z00_9667,
		obj_t BgL_asleep1253z00_9668)
	{
		{	/* SawBbv/bbv-types.sch 183 */
			return
				BGl_makezd2blockSzd2zzsaw_bbvzd2specializa7ez75(CINT
				(BgL_label1239z00_9654), BgL_preds1240z00_9655, BgL_succs1241z00_9656,
				BgL_first1242z00_9657, (long) CINT(BgL_z52mark1243z52_9658),
				BgL_z52hash1244z52_9659, BgL_z52blacklist1245z52_9660,
				((BgL_bbvzd2ctxzd2_bglt) BgL_ctx1246z00_9661),
				((BgL_blockz00_bglt) BgL_parent1247z00_9662),
				(long) CINT(BgL_gccnt1248z00_9663), (long) CINT(BgL_gcmark1249z00_9664),
				BgL_mblock1250z00_9665, BgL_creator1251z00_9666, BgL_merges1252z00_9667,
				CBOOL(BgL_asleep1253z00_9668));
		}

	}



/* blockS? */
	BGL_EXPORTED_DEF bool_t BGl_blockSzf3zf3zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_objz00_162)
	{
		{	/* SawBbv/bbv-types.sch 184 */
			{	/* SawBbv/bbv-types.sch 184 */
				obj_t BgL_classz00_9999;

				BgL_classz00_9999 = BGl_blockSz00zzsaw_bbvzd2typeszd2;
				if (BGL_OBJECTP(BgL_objz00_162))
					{	/* SawBbv/bbv-types.sch 184 */
						BgL_objectz00_bglt BgL_arg1858z00_10000;

						BgL_arg1858z00_10000 = (BgL_objectz00_bglt) (BgL_objz00_162);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawBbv/bbv-types.sch 184 */
								long BgL_idxz00_10001;

								BgL_idxz00_10001 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_10000);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_10001 + 2L)) == BgL_classz00_9999);
							}
						else
							{	/* SawBbv/bbv-types.sch 184 */
								bool_t BgL_res4076z00_10004;

								{	/* SawBbv/bbv-types.sch 184 */
									obj_t BgL_oclassz00_10005;

									{	/* SawBbv/bbv-types.sch 184 */
										obj_t BgL_arg1866z00_10006;
										long BgL_arg1867z00_10007;

										BgL_arg1866z00_10006 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawBbv/bbv-types.sch 184 */
											long BgL_arg1869z00_10008;

											BgL_arg1869z00_10008 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_10000);
											BgL_arg1867z00_10007 =
												(BgL_arg1869z00_10008 - OBJECT_TYPE);
										}
										BgL_oclassz00_10005 =
											VECTOR_REF(BgL_arg1866z00_10006, BgL_arg1867z00_10007);
									}
									{	/* SawBbv/bbv-types.sch 184 */
										bool_t BgL__ortest_1115z00_10009;

										BgL__ortest_1115z00_10009 =
											(BgL_classz00_9999 == BgL_oclassz00_10005);
										if (BgL__ortest_1115z00_10009)
											{	/* SawBbv/bbv-types.sch 184 */
												BgL_res4076z00_10004 = BgL__ortest_1115z00_10009;
											}
										else
											{	/* SawBbv/bbv-types.sch 184 */
												long BgL_odepthz00_10010;

												{	/* SawBbv/bbv-types.sch 184 */
													obj_t BgL_arg1855z00_10011;

													BgL_arg1855z00_10011 = (BgL_oclassz00_10005);
													BgL_odepthz00_10010 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_10011);
												}
												if ((2L < BgL_odepthz00_10010))
													{	/* SawBbv/bbv-types.sch 184 */
														obj_t BgL_arg1853z00_10012;

														{	/* SawBbv/bbv-types.sch 184 */
															obj_t BgL_arg1854z00_10013;

															BgL_arg1854z00_10013 = (BgL_oclassz00_10005);
															BgL_arg1853z00_10012 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_10013,
																2L);
														}
														BgL_res4076z00_10004 =
															(BgL_arg1853z00_10012 == BgL_classz00_9999);
													}
												else
													{	/* SawBbv/bbv-types.sch 184 */
														BgL_res4076z00_10004 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res4076z00_10004;
							}
					}
				else
					{	/* SawBbv/bbv-types.sch 184 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &blockS? */
	obj_t BGl_z62blockSzf3z91zzsaw_bbvzd2specializa7ez75(obj_t BgL_envz00_9669,
		obj_t BgL_objz00_9670)
	{
		{	/* SawBbv/bbv-types.sch 184 */
			return
				BBOOL(BGl_blockSzf3zf3zzsaw_bbvzd2specializa7ez75(BgL_objz00_9670));
		}

	}



/* blockS-nil */
	BGL_EXPORTED_DEF BgL_blockz00_bglt
		BGl_blockSzd2nilzd2zzsaw_bbvzd2specializa7ez75(void)
	{
		{	/* SawBbv/bbv-types.sch 185 */
			{	/* SawBbv/bbv-types.sch 185 */
				obj_t BgL_classz00_5590;

				BgL_classz00_5590 = BGl_blockSz00zzsaw_bbvzd2typeszd2;
				{	/* SawBbv/bbv-types.sch 185 */
					obj_t BgL__ortest_1117z00_5591;

					BgL__ortest_1117z00_5591 = BGL_CLASS_NIL(BgL_classz00_5590);
					if (CBOOL(BgL__ortest_1117z00_5591))
						{	/* SawBbv/bbv-types.sch 185 */
							return ((BgL_blockz00_bglt) BgL__ortest_1117z00_5591);
						}
					else
						{	/* SawBbv/bbv-types.sch 185 */
							return
								((BgL_blockz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5590));
						}
				}
			}
		}

	}



/* &blockS-nil */
	BgL_blockz00_bglt BGl_z62blockSzd2nilzb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9671)
	{
		{	/* SawBbv/bbv-types.sch 185 */
			return BGl_blockSzd2nilzd2zzsaw_bbvzd2specializa7ez75();
		}

	}



/* blockS-asleep */
	BGL_EXPORTED_DEF bool_t
		BGl_blockSzd2asleepzd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_163)
	{
		{	/* SawBbv/bbv-types.sch 186 */
			{
				BgL_blocksz00_bglt BgL_auxz00_12189;

				{
					obj_t BgL_auxz00_12190;

					{	/* SawBbv/bbv-types.sch 186 */
						BgL_objectz00_bglt BgL_tmpz00_12191;

						BgL_tmpz00_12191 = ((BgL_objectz00_bglt) BgL_oz00_163);
						BgL_auxz00_12190 = BGL_OBJECT_WIDENING(BgL_tmpz00_12191);
					}
					BgL_auxz00_12189 = ((BgL_blocksz00_bglt) BgL_auxz00_12190);
				}
				return
					(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_12189))->BgL_asleepz00);
			}
		}

	}



/* &blockS-asleep */
	obj_t BGl_z62blockSzd2asleepzb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9672, obj_t BgL_oz00_9673)
	{
		{	/* SawBbv/bbv-types.sch 186 */
			return
				BBOOL(BGl_blockSzd2asleepzd2zzsaw_bbvzd2specializa7ez75(
					((BgL_blockz00_bglt) BgL_oz00_9673)));
		}

	}



/* blockS-asleep-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2asleepzd2setz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_164, bool_t BgL_vz00_165)
	{
		{	/* SawBbv/bbv-types.sch 187 */
			{
				BgL_blocksz00_bglt BgL_auxz00_12199;

				{
					obj_t BgL_auxz00_12200;

					{	/* SawBbv/bbv-types.sch 187 */
						BgL_objectz00_bglt BgL_tmpz00_12201;

						BgL_tmpz00_12201 = ((BgL_objectz00_bglt) BgL_oz00_164);
						BgL_auxz00_12200 = BGL_OBJECT_WIDENING(BgL_tmpz00_12201);
					}
					BgL_auxz00_12199 = ((BgL_blocksz00_bglt) BgL_auxz00_12200);
				}
				return
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_12199))->BgL_asleepz00) =
					((bool_t) BgL_vz00_165), BUNSPEC);
			}
		}

	}



/* &blockS-asleep-set! */
	obj_t BGl_z62blockSzd2asleepzd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9674, obj_t BgL_oz00_9675, obj_t BgL_vz00_9676)
	{
		{	/* SawBbv/bbv-types.sch 187 */
			return
				BGl_blockSzd2asleepzd2setz12z12zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_9675), CBOOL(BgL_vz00_9676));
		}

	}



/* blockS-merges */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2mergeszd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_166)
	{
		{	/* SawBbv/bbv-types.sch 188 */
			{
				BgL_blocksz00_bglt BgL_auxz00_12209;

				{
					obj_t BgL_auxz00_12210;

					{	/* SawBbv/bbv-types.sch 188 */
						BgL_objectz00_bglt BgL_tmpz00_12211;

						BgL_tmpz00_12211 = ((BgL_objectz00_bglt) BgL_oz00_166);
						BgL_auxz00_12210 = BGL_OBJECT_WIDENING(BgL_tmpz00_12211);
					}
					BgL_auxz00_12209 = ((BgL_blocksz00_bglt) BgL_auxz00_12210);
				}
				return
					(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_12209))->BgL_mergesz00);
			}
		}

	}



/* &blockS-merges */
	obj_t BGl_z62blockSzd2mergeszb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9677, obj_t BgL_oz00_9678)
	{
		{	/* SawBbv/bbv-types.sch 188 */
			return
				BGl_blockSzd2mergeszd2zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_9678));
		}

	}



/* blockS-merges-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2mergeszd2setz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_167, obj_t BgL_vz00_168)
	{
		{	/* SawBbv/bbv-types.sch 189 */
			{
				BgL_blocksz00_bglt BgL_auxz00_12218;

				{
					obj_t BgL_auxz00_12219;

					{	/* SawBbv/bbv-types.sch 189 */
						BgL_objectz00_bglt BgL_tmpz00_12220;

						BgL_tmpz00_12220 = ((BgL_objectz00_bglt) BgL_oz00_167);
						BgL_auxz00_12219 = BGL_OBJECT_WIDENING(BgL_tmpz00_12220);
					}
					BgL_auxz00_12218 = ((BgL_blocksz00_bglt) BgL_auxz00_12219);
				}
				return
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_12218))->BgL_mergesz00) =
					((obj_t) BgL_vz00_168), BUNSPEC);
			}
		}

	}



/* &blockS-merges-set! */
	obj_t BGl_z62blockSzd2mergeszd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9679, obj_t BgL_oz00_9680, obj_t BgL_vz00_9681)
	{
		{	/* SawBbv/bbv-types.sch 189 */
			return
				BGl_blockSzd2mergeszd2setz12z12zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_9680), BgL_vz00_9681);
		}

	}



/* blockS-creator */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2creatorzd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_169)
	{
		{	/* SawBbv/bbv-types.sch 190 */
			{
				BgL_blocksz00_bglt BgL_auxz00_12227;

				{
					obj_t BgL_auxz00_12228;

					{	/* SawBbv/bbv-types.sch 190 */
						BgL_objectz00_bglt BgL_tmpz00_12229;

						BgL_tmpz00_12229 = ((BgL_objectz00_bglt) BgL_oz00_169);
						BgL_auxz00_12228 = BGL_OBJECT_WIDENING(BgL_tmpz00_12229);
					}
					BgL_auxz00_12227 = ((BgL_blocksz00_bglt) BgL_auxz00_12228);
				}
				return
					(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_12227))->BgL_creatorz00);
			}
		}

	}



/* &blockS-creator */
	obj_t BGl_z62blockSzd2creatorzb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9682, obj_t BgL_oz00_9683)
	{
		{	/* SawBbv/bbv-types.sch 190 */
			return
				BGl_blockSzd2creatorzd2zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_9683));
		}

	}



/* blockS-mblock */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2mblockzd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_172)
	{
		{	/* SawBbv/bbv-types.sch 192 */
			{
				BgL_blocksz00_bglt BgL_auxz00_12236;

				{
					obj_t BgL_auxz00_12237;

					{	/* SawBbv/bbv-types.sch 192 */
						BgL_objectz00_bglt BgL_tmpz00_12238;

						BgL_tmpz00_12238 = ((BgL_objectz00_bglt) BgL_oz00_172);
						BgL_auxz00_12237 = BGL_OBJECT_WIDENING(BgL_tmpz00_12238);
					}
					BgL_auxz00_12236 = ((BgL_blocksz00_bglt) BgL_auxz00_12237);
				}
				return
					(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_12236))->BgL_mblockz00);
			}
		}

	}



/* &blockS-mblock */
	obj_t BGl_z62blockSzd2mblockzb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9684, obj_t BgL_oz00_9685)
	{
		{	/* SawBbv/bbv-types.sch 192 */
			return
				BGl_blockSzd2mblockzd2zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_9685));
		}

	}



/* blockS-mblock-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2mblockzd2setz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_173, obj_t BgL_vz00_174)
	{
		{	/* SawBbv/bbv-types.sch 193 */
			{
				BgL_blocksz00_bglt BgL_auxz00_12245;

				{
					obj_t BgL_auxz00_12246;

					{	/* SawBbv/bbv-types.sch 193 */
						BgL_objectz00_bglt BgL_tmpz00_12247;

						BgL_tmpz00_12247 = ((BgL_objectz00_bglt) BgL_oz00_173);
						BgL_auxz00_12246 = BGL_OBJECT_WIDENING(BgL_tmpz00_12247);
					}
					BgL_auxz00_12245 = ((BgL_blocksz00_bglt) BgL_auxz00_12246);
				}
				return
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_12245))->BgL_mblockz00) =
					((obj_t) BgL_vz00_174), BUNSPEC);
			}
		}

	}



/* &blockS-mblock-set! */
	obj_t BGl_z62blockSzd2mblockzd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9686, obj_t BgL_oz00_9687, obj_t BgL_vz00_9688)
	{
		{	/* SawBbv/bbv-types.sch 193 */
			return
				BGl_blockSzd2mblockzd2setz12z12zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_9687), BgL_vz00_9688);
		}

	}



/* blockS-gcmark */
	BGL_EXPORTED_DEF long
		BGl_blockSzd2gcmarkzd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_175)
	{
		{	/* SawBbv/bbv-types.sch 194 */
			{
				BgL_blocksz00_bglt BgL_auxz00_12254;

				{
					obj_t BgL_auxz00_12255;

					{	/* SawBbv/bbv-types.sch 194 */
						BgL_objectz00_bglt BgL_tmpz00_12256;

						BgL_tmpz00_12256 = ((BgL_objectz00_bglt) BgL_oz00_175);
						BgL_auxz00_12255 = BGL_OBJECT_WIDENING(BgL_tmpz00_12256);
					}
					BgL_auxz00_12254 = ((BgL_blocksz00_bglt) BgL_auxz00_12255);
				}
				return
					(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_12254))->BgL_gcmarkz00);
			}
		}

	}



/* &blockS-gcmark */
	obj_t BGl_z62blockSzd2gcmarkzb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9689, obj_t BgL_oz00_9690)
	{
		{	/* SawBbv/bbv-types.sch 194 */
			return
				BINT(BGl_blockSzd2gcmarkzd2zzsaw_bbvzd2specializa7ez75(
					((BgL_blockz00_bglt) BgL_oz00_9690)));
		}

	}



/* blockS-gcmark-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2gcmarkzd2setz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_176, long BgL_vz00_177)
	{
		{	/* SawBbv/bbv-types.sch 195 */
			{
				BgL_blocksz00_bglt BgL_auxz00_12264;

				{
					obj_t BgL_auxz00_12265;

					{	/* SawBbv/bbv-types.sch 195 */
						BgL_objectz00_bglt BgL_tmpz00_12266;

						BgL_tmpz00_12266 = ((BgL_objectz00_bglt) BgL_oz00_176);
						BgL_auxz00_12265 = BGL_OBJECT_WIDENING(BgL_tmpz00_12266);
					}
					BgL_auxz00_12264 = ((BgL_blocksz00_bglt) BgL_auxz00_12265);
				}
				return
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_12264))->BgL_gcmarkz00) =
					((long) BgL_vz00_177), BUNSPEC);
		}}

	}



/* &blockS-gcmark-set! */
	obj_t BGl_z62blockSzd2gcmarkzd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9691, obj_t BgL_oz00_9692, obj_t BgL_vz00_9693)
	{
		{	/* SawBbv/bbv-types.sch 195 */
			return
				BGl_blockSzd2gcmarkzd2setz12z12zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_9692), (long) CINT(BgL_vz00_9693));
		}

	}



/* blockS-gccnt */
	BGL_EXPORTED_DEF long
		BGl_blockSzd2gccntzd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_178)
	{
		{	/* SawBbv/bbv-types.sch 196 */
			{
				BgL_blocksz00_bglt BgL_auxz00_12274;

				{
					obj_t BgL_auxz00_12275;

					{	/* SawBbv/bbv-types.sch 196 */
						BgL_objectz00_bglt BgL_tmpz00_12276;

						BgL_tmpz00_12276 = ((BgL_objectz00_bglt) BgL_oz00_178);
						BgL_auxz00_12275 = BGL_OBJECT_WIDENING(BgL_tmpz00_12276);
					}
					BgL_auxz00_12274 = ((BgL_blocksz00_bglt) BgL_auxz00_12275);
				}
				return (((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_12274))->BgL_gccntz00);
			}
		}

	}



/* &blockS-gccnt */
	obj_t BGl_z62blockSzd2gccntzb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9694, obj_t BgL_oz00_9695)
	{
		{	/* SawBbv/bbv-types.sch 196 */
			return
				BINT(BGl_blockSzd2gccntzd2zzsaw_bbvzd2specializa7ez75(
					((BgL_blockz00_bglt) BgL_oz00_9695)));
		}

	}



/* blockS-gccnt-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2gccntzd2setz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_179, long BgL_vz00_180)
	{
		{	/* SawBbv/bbv-types.sch 197 */
			{
				BgL_blocksz00_bglt BgL_auxz00_12284;

				{
					obj_t BgL_auxz00_12285;

					{	/* SawBbv/bbv-types.sch 197 */
						BgL_objectz00_bglt BgL_tmpz00_12286;

						BgL_tmpz00_12286 = ((BgL_objectz00_bglt) BgL_oz00_179);
						BgL_auxz00_12285 = BGL_OBJECT_WIDENING(BgL_tmpz00_12286);
					}
					BgL_auxz00_12284 = ((BgL_blocksz00_bglt) BgL_auxz00_12285);
				}
				return
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_12284))->BgL_gccntz00) =
					((long) BgL_vz00_180), BUNSPEC);
		}}

	}



/* &blockS-gccnt-set! */
	obj_t BGl_z62blockSzd2gccntzd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9696, obj_t BgL_oz00_9697, obj_t BgL_vz00_9698)
	{
		{	/* SawBbv/bbv-types.sch 197 */
			return
				BGl_blockSzd2gccntzd2setz12z12zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_9697), (long) CINT(BgL_vz00_9698));
		}

	}



/* blockS-parent */
	BGL_EXPORTED_DEF BgL_blockz00_bglt
		BGl_blockSzd2parentzd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_181)
	{
		{	/* SawBbv/bbv-types.sch 198 */
			{
				BgL_blocksz00_bglt BgL_auxz00_12294;

				{
					obj_t BgL_auxz00_12295;

					{	/* SawBbv/bbv-types.sch 198 */
						BgL_objectz00_bglt BgL_tmpz00_12296;

						BgL_tmpz00_12296 = ((BgL_objectz00_bglt) BgL_oz00_181);
						BgL_auxz00_12295 = BGL_OBJECT_WIDENING(BgL_tmpz00_12296);
					}
					BgL_auxz00_12294 = ((BgL_blocksz00_bglt) BgL_auxz00_12295);
				}
				return
					(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_12294))->BgL_parentz00);
			}
		}

	}



/* &blockS-parent */
	BgL_blockz00_bglt BGl_z62blockSzd2parentzb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9699, obj_t BgL_oz00_9700)
	{
		{	/* SawBbv/bbv-types.sch 198 */
			return
				BGl_blockSzd2parentzd2zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_9700));
		}

	}



/* blockS-ctx */
	BGL_EXPORTED_DEF BgL_bbvzd2ctxzd2_bglt
		BGl_blockSzd2ctxzd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_184)
	{
		{	/* SawBbv/bbv-types.sch 200 */
			{
				BgL_blocksz00_bglt BgL_auxz00_12303;

				{
					obj_t BgL_auxz00_12304;

					{	/* SawBbv/bbv-types.sch 200 */
						BgL_objectz00_bglt BgL_tmpz00_12305;

						BgL_tmpz00_12305 = ((BgL_objectz00_bglt) BgL_oz00_184);
						BgL_auxz00_12304 = BGL_OBJECT_WIDENING(BgL_tmpz00_12305);
					}
					BgL_auxz00_12303 = ((BgL_blocksz00_bglt) BgL_auxz00_12304);
				}
				return (((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_12303))->BgL_ctxz00);
			}
		}

	}



/* &blockS-ctx */
	BgL_bbvzd2ctxzd2_bglt BGl_z62blockSzd2ctxzb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9701, obj_t BgL_oz00_9702)
	{
		{	/* SawBbv/bbv-types.sch 200 */
			return
				BGl_blockSzd2ctxzd2zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_9702));
		}

	}



/* blockS-%blacklist */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2z52blacklistz80zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_187)
	{
		{	/* SawBbv/bbv-types.sch 202 */
			{
				BgL_blocksz00_bglt BgL_auxz00_12312;

				{
					obj_t BgL_auxz00_12313;

					{	/* SawBbv/bbv-types.sch 202 */
						BgL_objectz00_bglt BgL_tmpz00_12314;

						BgL_tmpz00_12314 = ((BgL_objectz00_bglt) BgL_oz00_187);
						BgL_auxz00_12313 = BGL_OBJECT_WIDENING(BgL_tmpz00_12314);
					}
					BgL_auxz00_12312 = ((BgL_blocksz00_bglt) BgL_auxz00_12313);
				}
				return
					(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_12312))->
					BgL_z52blacklistz52);
			}
		}

	}



/* &blockS-%blacklist */
	obj_t BGl_z62blockSzd2z52blacklistze2zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9703, obj_t BgL_oz00_9704)
	{
		{	/* SawBbv/bbv-types.sch 202 */
			return
				BGl_blockSzd2z52blacklistz80zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_9704));
		}

	}



/* blockS-%blacklist-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2z52blacklistzd2setz12z40zzsaw_bbvzd2specializa7ez75
		(BgL_blockz00_bglt BgL_oz00_188, obj_t BgL_vz00_189)
	{
		{	/* SawBbv/bbv-types.sch 203 */
			{
				BgL_blocksz00_bglt BgL_auxz00_12321;

				{
					obj_t BgL_auxz00_12322;

					{	/* SawBbv/bbv-types.sch 203 */
						BgL_objectz00_bglt BgL_tmpz00_12323;

						BgL_tmpz00_12323 = ((BgL_objectz00_bglt) BgL_oz00_188);
						BgL_auxz00_12322 = BGL_OBJECT_WIDENING(BgL_tmpz00_12323);
					}
					BgL_auxz00_12321 = ((BgL_blocksz00_bglt) BgL_auxz00_12322);
				}
				return
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_12321))->
						BgL_z52blacklistz52) = ((obj_t) BgL_vz00_189), BUNSPEC);
			}
		}

	}



/* &blockS-%blacklist-set! */
	obj_t
		BGl_z62blockSzd2z52blacklistzd2setz12z22zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9705, obj_t BgL_oz00_9706, obj_t BgL_vz00_9707)
	{
		{	/* SawBbv/bbv-types.sch 203 */
			return
				BGl_blockSzd2z52blacklistzd2setz12z40zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_9706), BgL_vz00_9707);
		}

	}



/* blockS-%hash */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2z52hashz80zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_190)
	{
		{	/* SawBbv/bbv-types.sch 204 */
			{
				BgL_blocksz00_bglt BgL_auxz00_12330;

				{
					obj_t BgL_auxz00_12331;

					{	/* SawBbv/bbv-types.sch 204 */
						BgL_objectz00_bglt BgL_tmpz00_12332;

						BgL_tmpz00_12332 = ((BgL_objectz00_bglt) BgL_oz00_190);
						BgL_auxz00_12331 = BGL_OBJECT_WIDENING(BgL_tmpz00_12332);
					}
					BgL_auxz00_12330 = ((BgL_blocksz00_bglt) BgL_auxz00_12331);
				}
				return
					(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_12330))->BgL_z52hashz52);
			}
		}

	}



/* &blockS-%hash */
	obj_t BGl_z62blockSzd2z52hashze2zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9708, obj_t BgL_oz00_9709)
	{
		{	/* SawBbv/bbv-types.sch 204 */
			return
				BGl_blockSzd2z52hashz80zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_9709));
		}

	}



/* blockS-%hash-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2z52hashzd2setz12z40zzsaw_bbvzd2specializa7ez75
		(BgL_blockz00_bglt BgL_oz00_191, obj_t BgL_vz00_192)
	{
		{	/* SawBbv/bbv-types.sch 205 */
			{
				BgL_blocksz00_bglt BgL_auxz00_12339;

				{
					obj_t BgL_auxz00_12340;

					{	/* SawBbv/bbv-types.sch 205 */
						BgL_objectz00_bglt BgL_tmpz00_12341;

						BgL_tmpz00_12341 = ((BgL_objectz00_bglt) BgL_oz00_191);
						BgL_auxz00_12340 = BGL_OBJECT_WIDENING(BgL_tmpz00_12341);
					}
					BgL_auxz00_12339 = ((BgL_blocksz00_bglt) BgL_auxz00_12340);
				}
				return
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_12339))->BgL_z52hashz52) =
					((obj_t) BgL_vz00_192), BUNSPEC);
			}
		}

	}



/* &blockS-%hash-set! */
	obj_t BGl_z62blockSzd2z52hashzd2setz12z22zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9710, obj_t BgL_oz00_9711, obj_t BgL_vz00_9712)
	{
		{	/* SawBbv/bbv-types.sch 205 */
			return
				BGl_blockSzd2z52hashzd2setz12z40zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_9711), BgL_vz00_9712);
		}

	}



/* blockS-%mark */
	BGL_EXPORTED_DEF long
		BGl_blockSzd2z52markz80zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_193)
	{
		{	/* SawBbv/bbv-types.sch 206 */
			{
				BgL_blocksz00_bglt BgL_auxz00_12348;

				{
					obj_t BgL_auxz00_12349;

					{	/* SawBbv/bbv-types.sch 206 */
						BgL_objectz00_bglt BgL_tmpz00_12350;

						BgL_tmpz00_12350 = ((BgL_objectz00_bglt) BgL_oz00_193);
						BgL_auxz00_12349 = BGL_OBJECT_WIDENING(BgL_tmpz00_12350);
					}
					BgL_auxz00_12348 = ((BgL_blocksz00_bglt) BgL_auxz00_12349);
				}
				return
					(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_12348))->BgL_z52markz52);
			}
		}

	}



/* &blockS-%mark */
	obj_t BGl_z62blockSzd2z52markze2zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9713, obj_t BgL_oz00_9714)
	{
		{	/* SawBbv/bbv-types.sch 206 */
			return
				BINT(BGl_blockSzd2z52markz80zzsaw_bbvzd2specializa7ez75(
					((BgL_blockz00_bglt) BgL_oz00_9714)));
		}

	}



/* blockS-%mark-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2z52markzd2setz12z40zzsaw_bbvzd2specializa7ez75
		(BgL_blockz00_bglt BgL_oz00_194, long BgL_vz00_195)
	{
		{	/* SawBbv/bbv-types.sch 207 */
			{
				BgL_blocksz00_bglt BgL_auxz00_12358;

				{
					obj_t BgL_auxz00_12359;

					{	/* SawBbv/bbv-types.sch 207 */
						BgL_objectz00_bglt BgL_tmpz00_12360;

						BgL_tmpz00_12360 = ((BgL_objectz00_bglt) BgL_oz00_194);
						BgL_auxz00_12359 = BGL_OBJECT_WIDENING(BgL_tmpz00_12360);
					}
					BgL_auxz00_12358 = ((BgL_blocksz00_bglt) BgL_auxz00_12359);
				}
				return
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_12358))->BgL_z52markz52) =
					((long) BgL_vz00_195), BUNSPEC);
		}}

	}



/* &blockS-%mark-set! */
	obj_t BGl_z62blockSzd2z52markzd2setz12z22zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9715, obj_t BgL_oz00_9716, obj_t BgL_vz00_9717)
	{
		{	/* SawBbv/bbv-types.sch 207 */
			return
				BGl_blockSzd2z52markzd2setz12z40zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_9716), (long) CINT(BgL_vz00_9717));
		}

	}



/* blockS-first */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2firstzd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_196)
	{
		{	/* SawBbv/bbv-types.sch 208 */
			return
				(((BgL_blockz00_bglt) COBJECT(
						((BgL_blockz00_bglt) BgL_oz00_196)))->BgL_firstz00);
		}

	}



/* &blockS-first */
	obj_t BGl_z62blockSzd2firstzb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9718, obj_t BgL_oz00_9719)
	{
		{	/* SawBbv/bbv-types.sch 208 */
			return
				BGl_blockSzd2firstzd2zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_9719));
		}

	}



/* blockS-first-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2firstzd2setz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_197, obj_t BgL_vz00_198)
	{
		{	/* SawBbv/bbv-types.sch 209 */
			return
				((((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_197)))->BgL_firstz00) =
				((obj_t) BgL_vz00_198), BUNSPEC);
		}

	}



/* &blockS-first-set! */
	obj_t BGl_z62blockSzd2firstzd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9720, obj_t BgL_oz00_9721, obj_t BgL_vz00_9722)
	{
		{	/* SawBbv/bbv-types.sch 209 */
			return
				BGl_blockSzd2firstzd2setz12z12zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_9721), BgL_vz00_9722);
		}

	}



/* blockS-succs */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2succszd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_199)
	{
		{	/* SawBbv/bbv-types.sch 210 */
			return
				(((BgL_blockz00_bglt) COBJECT(
						((BgL_blockz00_bglt) BgL_oz00_199)))->BgL_succsz00);
		}

	}



/* &blockS-succs */
	obj_t BGl_z62blockSzd2succszb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9723, obj_t BgL_oz00_9724)
	{
		{	/* SawBbv/bbv-types.sch 210 */
			return
				BGl_blockSzd2succszd2zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_9724));
		}

	}



/* blockS-succs-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2succszd2setz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_200, obj_t BgL_vz00_201)
	{
		{	/* SawBbv/bbv-types.sch 211 */
			return
				((((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_200)))->BgL_succsz00) =
				((obj_t) BgL_vz00_201), BUNSPEC);
		}

	}



/* &blockS-succs-set! */
	obj_t BGl_z62blockSzd2succszd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9725, obj_t BgL_oz00_9726, obj_t BgL_vz00_9727)
	{
		{	/* SawBbv/bbv-types.sch 211 */
			return
				BGl_blockSzd2succszd2setz12z12zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_9726), BgL_vz00_9727);
		}

	}



/* blockS-preds */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2predszd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_202)
	{
		{	/* SawBbv/bbv-types.sch 212 */
			return
				(((BgL_blockz00_bglt) COBJECT(
						((BgL_blockz00_bglt) BgL_oz00_202)))->BgL_predsz00);
		}

	}



/* &blockS-preds */
	obj_t BGl_z62blockSzd2predszb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9728, obj_t BgL_oz00_9729)
	{
		{	/* SawBbv/bbv-types.sch 212 */
			return
				BGl_blockSzd2predszd2zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_9729));
		}

	}



/* blockS-preds-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2predszd2setz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_203, obj_t BgL_vz00_204)
	{
		{	/* SawBbv/bbv-types.sch 213 */
			return
				((((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_203)))->BgL_predsz00) =
				((obj_t) BgL_vz00_204), BUNSPEC);
		}

	}



/* &blockS-preds-set! */
	obj_t BGl_z62blockSzd2predszd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9730, obj_t BgL_oz00_9731, obj_t BgL_vz00_9732)
	{
		{	/* SawBbv/bbv-types.sch 213 */
			return
				BGl_blockSzd2predszd2setz12z12zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_9731), BgL_vz00_9732);
		}

	}



/* blockS-label */
	BGL_EXPORTED_DEF int
		BGl_blockSzd2labelzd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_205)
	{
		{	/* SawBbv/bbv-types.sch 214 */
			return
				(((BgL_blockz00_bglt) COBJECT(
						((BgL_blockz00_bglt) BgL_oz00_205)))->BgL_labelz00);
		}

	}



/* &blockS-label */
	obj_t BGl_z62blockSzd2labelzb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9733, obj_t BgL_oz00_9734)
	{
		{	/* SawBbv/bbv-types.sch 214 */
			return
				BINT(BGl_blockSzd2labelzd2zzsaw_bbvzd2specializa7ez75(
					((BgL_blockz00_bglt) BgL_oz00_9734)));
		}

	}



/* blockS-label-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2labelzd2setz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_206, int BgL_vz00_207)
	{
		{	/* SawBbv/bbv-types.sch 215 */
			return
				((((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_206)))->BgL_labelz00) =
				((int) BgL_vz00_207), BUNSPEC);
		}

	}



/* &blockS-label-set! */
	obj_t BGl_z62blockSzd2labelzd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9735, obj_t BgL_oz00_9736, obj_t BgL_vz00_9737)
	{
		{	/* SawBbv/bbv-types.sch 215 */
			return
				BGl_blockSzd2labelzd2setz12z12zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_9736), CINT(BgL_vz00_9737));
		}

	}



/* make-bbv-queue */
	BGL_EXPORTED_DEF BgL_bbvzd2queuezd2_bglt
		BGl_makezd2bbvzd2queuez00zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_blocks1236z00_208, obj_t BgL_last1237z00_209)
	{
		{	/* SawBbv/bbv-types.sch 218 */
			{	/* SawBbv/bbv-types.sch 218 */
				BgL_bbvzd2queuezd2_bglt BgL_new1183z00_10014;

				{	/* SawBbv/bbv-types.sch 218 */
					BgL_bbvzd2queuezd2_bglt BgL_new1182z00_10015;

					BgL_new1182z00_10015 =
						((BgL_bbvzd2queuezd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_bbvzd2queuezd2_bgl))));
					{	/* SawBbv/bbv-types.sch 218 */
						long BgL_arg2522z00_10016;

						BgL_arg2522z00_10016 =
							BGL_CLASS_NUM(BGl_bbvzd2queuezd2zzsaw_bbvzd2typeszd2);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1182z00_10015),
							BgL_arg2522z00_10016);
					}
					BgL_new1183z00_10014 = BgL_new1182z00_10015;
				}
				((((BgL_bbvzd2queuezd2_bglt) COBJECT(BgL_new1183z00_10014))->
						BgL_blocksz00) = ((obj_t) BgL_blocks1236z00_208), BUNSPEC);
				((((BgL_bbvzd2queuezd2_bglt) COBJECT(BgL_new1183z00_10014))->
						BgL_lastz00) = ((obj_t) BgL_last1237z00_209), BUNSPEC);
				return BgL_new1183z00_10014;
			}
		}

	}



/* &make-bbv-queue */
	BgL_bbvzd2queuezd2_bglt
		BGl_z62makezd2bbvzd2queuez62zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9738, obj_t BgL_blocks1236z00_9739, obj_t BgL_last1237z00_9740)
	{
		{	/* SawBbv/bbv-types.sch 218 */
			return
				BGl_makezd2bbvzd2queuez00zzsaw_bbvzd2specializa7ez75
				(BgL_blocks1236z00_9739, BgL_last1237z00_9740);
		}

	}



/* bbv-queue? */
	BGL_EXPORTED_DEF bool_t BGl_bbvzd2queuezf3z21zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_objz00_210)
	{
		{	/* SawBbv/bbv-types.sch 219 */
			{	/* SawBbv/bbv-types.sch 219 */
				obj_t BgL_classz00_10017;

				BgL_classz00_10017 = BGl_bbvzd2queuezd2zzsaw_bbvzd2typeszd2;
				if (BGL_OBJECTP(BgL_objz00_210))
					{	/* SawBbv/bbv-types.sch 219 */
						BgL_objectz00_bglt BgL_arg1858z00_10018;

						BgL_arg1858z00_10018 = (BgL_objectz00_bglt) (BgL_objz00_210);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawBbv/bbv-types.sch 219 */
								long BgL_idxz00_10019;

								BgL_idxz00_10019 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_10018);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_10019 + 1L)) == BgL_classz00_10017);
							}
						else
							{	/* SawBbv/bbv-types.sch 219 */
								bool_t BgL_res4077z00_10022;

								{	/* SawBbv/bbv-types.sch 219 */
									obj_t BgL_oclassz00_10023;

									{	/* SawBbv/bbv-types.sch 219 */
										obj_t BgL_arg1866z00_10024;
										long BgL_arg1867z00_10025;

										BgL_arg1866z00_10024 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawBbv/bbv-types.sch 219 */
											long BgL_arg1869z00_10026;

											BgL_arg1869z00_10026 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_10018);
											BgL_arg1867z00_10025 =
												(BgL_arg1869z00_10026 - OBJECT_TYPE);
										}
										BgL_oclassz00_10023 =
											VECTOR_REF(BgL_arg1866z00_10024, BgL_arg1867z00_10025);
									}
									{	/* SawBbv/bbv-types.sch 219 */
										bool_t BgL__ortest_1115z00_10027;

										BgL__ortest_1115z00_10027 =
											(BgL_classz00_10017 == BgL_oclassz00_10023);
										if (BgL__ortest_1115z00_10027)
											{	/* SawBbv/bbv-types.sch 219 */
												BgL_res4077z00_10022 = BgL__ortest_1115z00_10027;
											}
										else
											{	/* SawBbv/bbv-types.sch 219 */
												long BgL_odepthz00_10028;

												{	/* SawBbv/bbv-types.sch 219 */
													obj_t BgL_arg1855z00_10029;

													BgL_arg1855z00_10029 = (BgL_oclassz00_10023);
													BgL_odepthz00_10028 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_10029);
												}
												if ((1L < BgL_odepthz00_10028))
													{	/* SawBbv/bbv-types.sch 219 */
														obj_t BgL_arg1853z00_10030;

														{	/* SawBbv/bbv-types.sch 219 */
															obj_t BgL_arg1854z00_10031;

															BgL_arg1854z00_10031 = (BgL_oclassz00_10023);
															BgL_arg1853z00_10030 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_10031,
																1L);
														}
														BgL_res4077z00_10022 =
															(BgL_arg1853z00_10030 == BgL_classz00_10017);
													}
												else
													{	/* SawBbv/bbv-types.sch 219 */
														BgL_res4077z00_10022 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res4077z00_10022;
							}
					}
				else
					{	/* SawBbv/bbv-types.sch 219 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &bbv-queue? */
	obj_t BGl_z62bbvzd2queuezf3z43zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9741, obj_t BgL_objz00_9742)
	{
		{	/* SawBbv/bbv-types.sch 219 */
			return
				BBOOL(BGl_bbvzd2queuezf3z21zzsaw_bbvzd2specializa7ez75
				(BgL_objz00_9742));
		}

	}



/* bbv-queue-nil */
	BGL_EXPORTED_DEF BgL_bbvzd2queuezd2_bglt
		BGl_bbvzd2queuezd2nilz00zzsaw_bbvzd2specializa7ez75(void)
	{
		{	/* SawBbv/bbv-types.sch 220 */
			{	/* SawBbv/bbv-types.sch 220 */
				obj_t BgL_classz00_5651;

				BgL_classz00_5651 = BGl_bbvzd2queuezd2zzsaw_bbvzd2typeszd2;
				{	/* SawBbv/bbv-types.sch 220 */
					obj_t BgL__ortest_1117z00_5652;

					BgL__ortest_1117z00_5652 = BGL_CLASS_NIL(BgL_classz00_5651);
					if (CBOOL(BgL__ortest_1117z00_5652))
						{	/* SawBbv/bbv-types.sch 220 */
							return ((BgL_bbvzd2queuezd2_bglt) BgL__ortest_1117z00_5652);
						}
					else
						{	/* SawBbv/bbv-types.sch 220 */
							return
								((BgL_bbvzd2queuezd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5651));
						}
				}
			}
		}

	}



/* &bbv-queue-nil */
	BgL_bbvzd2queuezd2_bglt
		BGl_z62bbvzd2queuezd2nilz62zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9743)
	{
		{	/* SawBbv/bbv-types.sch 220 */
			return BGl_bbvzd2queuezd2nilz00zzsaw_bbvzd2specializa7ez75();
		}

	}



/* bbv-queue-last */
	BGL_EXPORTED_DEF obj_t
		BGl_bbvzd2queuezd2lastz00zzsaw_bbvzd2specializa7ez75(BgL_bbvzd2queuezd2_bglt
		BgL_oz00_211)
	{
		{	/* SawBbv/bbv-types.sch 221 */
			return (((BgL_bbvzd2queuezd2_bglt) COBJECT(BgL_oz00_211))->BgL_lastz00);
		}

	}



/* &bbv-queue-last */
	obj_t BGl_z62bbvzd2queuezd2lastz62zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9744, obj_t BgL_oz00_9745)
	{
		{	/* SawBbv/bbv-types.sch 221 */
			return
				BGl_bbvzd2queuezd2lastz00zzsaw_bbvzd2specializa7ez75(
				((BgL_bbvzd2queuezd2_bglt) BgL_oz00_9745));
		}

	}



/* bbv-queue-last-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_bbvzd2queuezd2lastzd2setz12zc0zzsaw_bbvzd2specializa7ez75
		(BgL_bbvzd2queuezd2_bglt BgL_oz00_212, obj_t BgL_vz00_213)
	{
		{	/* SawBbv/bbv-types.sch 222 */
			return
				((((BgL_bbvzd2queuezd2_bglt) COBJECT(BgL_oz00_212))->BgL_lastz00) =
				((obj_t) BgL_vz00_213), BUNSPEC);
		}

	}



/* &bbv-queue-last-set! */
	obj_t BGl_z62bbvzd2queuezd2lastzd2setz12za2zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9746, obj_t BgL_oz00_9747, obj_t BgL_vz00_9748)
	{
		{	/* SawBbv/bbv-types.sch 222 */
			return
				BGl_bbvzd2queuezd2lastzd2setz12zc0zzsaw_bbvzd2specializa7ez75(
				((BgL_bbvzd2queuezd2_bglt) BgL_oz00_9747), BgL_vz00_9748);
		}

	}



/* bbv-queue-blocks */
	BGL_EXPORTED_DEF obj_t
		BGl_bbvzd2queuezd2blocksz00zzsaw_bbvzd2specializa7ez75
		(BgL_bbvzd2queuezd2_bglt BgL_oz00_214)
	{
		{	/* SawBbv/bbv-types.sch 223 */
			return (((BgL_bbvzd2queuezd2_bglt) COBJECT(BgL_oz00_214))->BgL_blocksz00);
		}

	}



/* &bbv-queue-blocks */
	obj_t BGl_z62bbvzd2queuezd2blocksz62zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9749, obj_t BgL_oz00_9750)
	{
		{	/* SawBbv/bbv-types.sch 223 */
			return
				BGl_bbvzd2queuezd2blocksz00zzsaw_bbvzd2specializa7ez75(
				((BgL_bbvzd2queuezd2_bglt) BgL_oz00_9750));
		}

	}



/* bbv-queue-blocks-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_bbvzd2queuezd2blockszd2setz12zc0zzsaw_bbvzd2specializa7ez75
		(BgL_bbvzd2queuezd2_bglt BgL_oz00_215, obj_t BgL_vz00_216)
	{
		{	/* SawBbv/bbv-types.sch 224 */
			return
				((((BgL_bbvzd2queuezd2_bglt) COBJECT(BgL_oz00_215))->BgL_blocksz00) =
				((obj_t) BgL_vz00_216), BUNSPEC);
		}

	}



/* &bbv-queue-blocks-set! */
	obj_t BGl_z62bbvzd2queuezd2blockszd2setz12za2zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9751, obj_t BgL_oz00_9752, obj_t BgL_vz00_9753)
	{
		{	/* SawBbv/bbv-types.sch 224 */
			return
				BGl_bbvzd2queuezd2blockszd2setz12zc0zzsaw_bbvzd2specializa7ez75(
				((BgL_bbvzd2queuezd2_bglt) BgL_oz00_9752), BgL_vz00_9753);
		}

	}



/* make-bbv-ctx */
	BGL_EXPORTED_DEF BgL_bbvzd2ctxzd2_bglt
		BGl_makezd2bbvzd2ctxz00zzsaw_bbvzd2specializa7ez75(long BgL_id1233z00_217,
		obj_t BgL_entries1234z00_218)
	{
		{	/* SawBbv/bbv-types.sch 227 */
			{	/* SawBbv/bbv-types.sch 227 */
				BgL_bbvzd2ctxzd2_bglt BgL_new1187z00_10032;

				{	/* SawBbv/bbv-types.sch 227 */
					BgL_bbvzd2ctxzd2_bglt BgL_new1186z00_10033;

					BgL_new1186z00_10033 =
						((BgL_bbvzd2ctxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_bbvzd2ctxzd2_bgl))));
					{	/* SawBbv/bbv-types.sch 227 */
						long BgL_arg2525z00_10034;

						BgL_arg2525z00_10034 =
							BGL_CLASS_NUM(BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1186z00_10033),
							BgL_arg2525z00_10034);
					}
					BgL_new1187z00_10032 = BgL_new1186z00_10033;
				}
				((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_new1187z00_10032))->BgL_idz00) =
					((long) BgL_id1233z00_217), BUNSPEC);
				((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_new1187z00_10032))->
						BgL_entriesz00) = ((obj_t) BgL_entries1234z00_218), BUNSPEC);
				{	/* SawBbv/bbv-types.sch 227 */
					obj_t BgL_fun2523z00_10035;

					BgL_fun2523z00_10035 =
						BGl_classzd2constructorzd2zz__objectz00
						(BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
					BGL_PROCEDURE_CALL1(BgL_fun2523z00_10035,
						((obj_t) BgL_new1187z00_10032));
				}
				return BgL_new1187z00_10032;
			}
		}

	}



/* &make-bbv-ctx */
	BgL_bbvzd2ctxzd2_bglt
		BGl_z62makezd2bbvzd2ctxz62zzsaw_bbvzd2specializa7ez75(obj_t BgL_envz00_9754,
		obj_t BgL_id1233z00_9755, obj_t BgL_entries1234z00_9756)
	{
		{	/* SawBbv/bbv-types.sch 227 */
			return
				BGl_makezd2bbvzd2ctxz00zzsaw_bbvzd2specializa7ez75(
				(long) CINT(BgL_id1233z00_9755), BgL_entries1234z00_9756);
		}

	}



/* bbv-ctx? */
	BGL_EXPORTED_DEF bool_t BGl_bbvzd2ctxzf3z21zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_objz00_219)
	{
		{	/* SawBbv/bbv-types.sch 228 */
			{	/* SawBbv/bbv-types.sch 228 */
				obj_t BgL_classz00_10036;

				BgL_classz00_10036 = BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2;
				if (BGL_OBJECTP(BgL_objz00_219))
					{	/* SawBbv/bbv-types.sch 228 */
						BgL_objectz00_bglt BgL_arg1858z00_10037;

						BgL_arg1858z00_10037 = (BgL_objectz00_bglt) (BgL_objz00_219);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawBbv/bbv-types.sch 228 */
								long BgL_idxz00_10038;

								BgL_idxz00_10038 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_10037);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_10038 + 1L)) == BgL_classz00_10036);
							}
						else
							{	/* SawBbv/bbv-types.sch 228 */
								bool_t BgL_res4078z00_10041;

								{	/* SawBbv/bbv-types.sch 228 */
									obj_t BgL_oclassz00_10042;

									{	/* SawBbv/bbv-types.sch 228 */
										obj_t BgL_arg1866z00_10043;
										long BgL_arg1867z00_10044;

										BgL_arg1866z00_10043 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawBbv/bbv-types.sch 228 */
											long BgL_arg1869z00_10045;

											BgL_arg1869z00_10045 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_10037);
											BgL_arg1867z00_10044 =
												(BgL_arg1869z00_10045 - OBJECT_TYPE);
										}
										BgL_oclassz00_10042 =
											VECTOR_REF(BgL_arg1866z00_10043, BgL_arg1867z00_10044);
									}
									{	/* SawBbv/bbv-types.sch 228 */
										bool_t BgL__ortest_1115z00_10046;

										BgL__ortest_1115z00_10046 =
											(BgL_classz00_10036 == BgL_oclassz00_10042);
										if (BgL__ortest_1115z00_10046)
											{	/* SawBbv/bbv-types.sch 228 */
												BgL_res4078z00_10041 = BgL__ortest_1115z00_10046;
											}
										else
											{	/* SawBbv/bbv-types.sch 228 */
												long BgL_odepthz00_10047;

												{	/* SawBbv/bbv-types.sch 228 */
													obj_t BgL_arg1855z00_10048;

													BgL_arg1855z00_10048 = (BgL_oclassz00_10042);
													BgL_odepthz00_10047 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_10048);
												}
												if ((1L < BgL_odepthz00_10047))
													{	/* SawBbv/bbv-types.sch 228 */
														obj_t BgL_arg1853z00_10049;

														{	/* SawBbv/bbv-types.sch 228 */
															obj_t BgL_arg1854z00_10050;

															BgL_arg1854z00_10050 = (BgL_oclassz00_10042);
															BgL_arg1853z00_10049 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_10050,
																1L);
														}
														BgL_res4078z00_10041 =
															(BgL_arg1853z00_10049 == BgL_classz00_10036);
													}
												else
													{	/* SawBbv/bbv-types.sch 228 */
														BgL_res4078z00_10041 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res4078z00_10041;
							}
					}
				else
					{	/* SawBbv/bbv-types.sch 228 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &bbv-ctx? */
	obj_t BGl_z62bbvzd2ctxzf3z43zzsaw_bbvzd2specializa7ez75(obj_t BgL_envz00_9757,
		obj_t BgL_objz00_9758)
	{
		{	/* SawBbv/bbv-types.sch 228 */
			return
				BBOOL(BGl_bbvzd2ctxzf3z21zzsaw_bbvzd2specializa7ez75(BgL_objz00_9758));
		}

	}



/* bbv-ctx-nil */
	BGL_EXPORTED_DEF BgL_bbvzd2ctxzd2_bglt
		BGl_bbvzd2ctxzd2nilz00zzsaw_bbvzd2specializa7ez75(void)
	{
		{	/* SawBbv/bbv-types.sch 229 */
			{	/* SawBbv/bbv-types.sch 229 */
				obj_t BgL_classz00_5694;

				BgL_classz00_5694 = BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2;
				{	/* SawBbv/bbv-types.sch 229 */
					obj_t BgL__ortest_1117z00_5695;

					BgL__ortest_1117z00_5695 = BGL_CLASS_NIL(BgL_classz00_5694);
					if (CBOOL(BgL__ortest_1117z00_5695))
						{	/* SawBbv/bbv-types.sch 229 */
							return ((BgL_bbvzd2ctxzd2_bglt) BgL__ortest_1117z00_5695);
						}
					else
						{	/* SawBbv/bbv-types.sch 229 */
							return
								((BgL_bbvzd2ctxzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5694));
						}
				}
			}
		}

	}



/* &bbv-ctx-nil */
	BgL_bbvzd2ctxzd2_bglt
		BGl_z62bbvzd2ctxzd2nilz62zzsaw_bbvzd2specializa7ez75(obj_t BgL_envz00_9759)
	{
		{	/* SawBbv/bbv-types.sch 229 */
			return BGl_bbvzd2ctxzd2nilz00zzsaw_bbvzd2specializa7ez75();
		}

	}



/* bbv-ctx-entries */
	BGL_EXPORTED_DEF obj_t
		BGl_bbvzd2ctxzd2entriesz00zzsaw_bbvzd2specializa7ez75(BgL_bbvzd2ctxzd2_bglt
		BgL_oz00_220)
	{
		{	/* SawBbv/bbv-types.sch 230 */
			return (((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_oz00_220))->BgL_entriesz00);
		}

	}



/* &bbv-ctx-entries */
	obj_t BGl_z62bbvzd2ctxzd2entriesz62zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9760, obj_t BgL_oz00_9761)
	{
		{	/* SawBbv/bbv-types.sch 230 */
			return
				BGl_bbvzd2ctxzd2entriesz00zzsaw_bbvzd2specializa7ez75(
				((BgL_bbvzd2ctxzd2_bglt) BgL_oz00_9761));
		}

	}



/* bbv-ctx-entries-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_bbvzd2ctxzd2entrieszd2setz12zc0zzsaw_bbvzd2specializa7ez75
		(BgL_bbvzd2ctxzd2_bglt BgL_oz00_221, obj_t BgL_vz00_222)
	{
		{	/* SawBbv/bbv-types.sch 231 */
			return
				((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_oz00_221))->BgL_entriesz00) =
				((obj_t) BgL_vz00_222), BUNSPEC);
		}

	}



/* &bbv-ctx-entries-set! */
	obj_t BGl_z62bbvzd2ctxzd2entrieszd2setz12za2zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9762, obj_t BgL_oz00_9763, obj_t BgL_vz00_9764)
	{
		{	/* SawBbv/bbv-types.sch 231 */
			return
				BGl_bbvzd2ctxzd2entrieszd2setz12zc0zzsaw_bbvzd2specializa7ez75(
				((BgL_bbvzd2ctxzd2_bglt) BgL_oz00_9763), BgL_vz00_9764);
		}

	}



/* bbv-ctx-id */
	BGL_EXPORTED_DEF long
		BGl_bbvzd2ctxzd2idz00zzsaw_bbvzd2specializa7ez75(BgL_bbvzd2ctxzd2_bglt
		BgL_oz00_223)
	{
		{	/* SawBbv/bbv-types.sch 232 */
			return (((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_oz00_223))->BgL_idz00);
		}

	}



/* &bbv-ctx-id */
	obj_t BGl_z62bbvzd2ctxzd2idz62zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9765, obj_t BgL_oz00_9766)
	{
		{	/* SawBbv/bbv-types.sch 232 */
			return
				BINT(BGl_bbvzd2ctxzd2idz00zzsaw_bbvzd2specializa7ez75(
					((BgL_bbvzd2ctxzd2_bglt) BgL_oz00_9766)));
		}

	}



/* bbv-ctx-id-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_bbvzd2ctxzd2idzd2setz12zc0zzsaw_bbvzd2specializa7ez75
		(BgL_bbvzd2ctxzd2_bglt BgL_oz00_224, long BgL_vz00_225)
	{
		{	/* SawBbv/bbv-types.sch 233 */
			return
				((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_oz00_224))->BgL_idz00) =
				((long) BgL_vz00_225), BUNSPEC);
		}

	}



/* &bbv-ctx-id-set! */
	obj_t BGl_z62bbvzd2ctxzd2idzd2setz12za2zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9767, obj_t BgL_oz00_9768, obj_t BgL_vz00_9769)
	{
		{	/* SawBbv/bbv-types.sch 233 */
			return
				BGl_bbvzd2ctxzd2idzd2setz12zc0zzsaw_bbvzd2specializa7ez75(
				((BgL_bbvzd2ctxzd2_bglt) BgL_oz00_9768), (long) CINT(BgL_vz00_9769));
		}

	}



/* make-bbv-ctxentry */
	BGL_EXPORTED_DEF BgL_bbvzd2ctxentryzd2_bglt
		BGl_makezd2bbvzd2ctxentryz00zzsaw_bbvzd2specializa7ez75(BgL_rtl_regz00_bglt
		BgL_reg1225z00_226, obj_t BgL_types1226z00_227,
		bool_t BgL_polarity1227z00_228, long BgL_count1228z00_229,
		obj_t BgL_value1229z00_230, obj_t BgL_aliases1230z00_231,
		obj_t BgL_initval1231z00_232)
	{
		{	/* SawBbv/bbv-types.sch 236 */
			{	/* SawBbv/bbv-types.sch 236 */
				BgL_bbvzd2ctxentryzd2_bglt BgL_new1189z00_10051;

				{	/* SawBbv/bbv-types.sch 236 */
					BgL_bbvzd2ctxentryzd2_bglt BgL_new1188z00_10052;

					BgL_new1188z00_10052 =
						((BgL_bbvzd2ctxentryzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_bbvzd2ctxentryzd2_bgl))));
					{	/* SawBbv/bbv-types.sch 236 */
						long BgL_arg2527z00_10053;

						BgL_arg2527z00_10053 =
							BGL_CLASS_NUM(BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1188z00_10052),
							BgL_arg2527z00_10053);
					}
					BgL_new1189z00_10051 = BgL_new1188z00_10052;
				}
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1189z00_10051))->
						BgL_regz00) = ((BgL_rtl_regz00_bglt) BgL_reg1225z00_226), BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1189z00_10051))->
						BgL_typesz00) = ((obj_t) BgL_types1226z00_227), BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1189z00_10051))->
						BgL_polarityz00) = ((bool_t) BgL_polarity1227z00_228), BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1189z00_10051))->
						BgL_countz00) = ((long) BgL_count1228z00_229), BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1189z00_10051))->
						BgL_valuez00) = ((obj_t) BgL_value1229z00_230), BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1189z00_10051))->
						BgL_aliasesz00) = ((obj_t) BgL_aliases1230z00_231), BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1189z00_10051))->
						BgL_initvalz00) = ((obj_t) BgL_initval1231z00_232), BUNSPEC);
				return BgL_new1189z00_10051;
			}
		}

	}



/* &make-bbv-ctxentry */
	BgL_bbvzd2ctxentryzd2_bglt
		BGl_z62makezd2bbvzd2ctxentryz62zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9770, obj_t BgL_reg1225z00_9771, obj_t BgL_types1226z00_9772,
		obj_t BgL_polarity1227z00_9773, obj_t BgL_count1228z00_9774,
		obj_t BgL_value1229z00_9775, obj_t BgL_aliases1230z00_9776,
		obj_t BgL_initval1231z00_9777)
	{
		{	/* SawBbv/bbv-types.sch 236 */
			return
				BGl_makezd2bbvzd2ctxentryz00zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_regz00_bglt) BgL_reg1225z00_9771), BgL_types1226z00_9772,
				CBOOL(BgL_polarity1227z00_9773),
				(long) CINT(BgL_count1228z00_9774), BgL_value1229z00_9775,
				BgL_aliases1230z00_9776, BgL_initval1231z00_9777);
		}

	}



/* bbv-ctxentry? */
	BGL_EXPORTED_DEF bool_t
		BGl_bbvzd2ctxentryzf3z21zzsaw_bbvzd2specializa7ez75(obj_t BgL_objz00_233)
	{
		{	/* SawBbv/bbv-types.sch 237 */
			{	/* SawBbv/bbv-types.sch 237 */
				obj_t BgL_classz00_10054;

				BgL_classz00_10054 = BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2;
				if (BGL_OBJECTP(BgL_objz00_233))
					{	/* SawBbv/bbv-types.sch 237 */
						BgL_objectz00_bglt BgL_arg1858z00_10055;

						BgL_arg1858z00_10055 = (BgL_objectz00_bglt) (BgL_objz00_233);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawBbv/bbv-types.sch 237 */
								long BgL_idxz00_10056;

								BgL_idxz00_10056 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_10055);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_10056 + 1L)) == BgL_classz00_10054);
							}
						else
							{	/* SawBbv/bbv-types.sch 237 */
								bool_t BgL_res4079z00_10059;

								{	/* SawBbv/bbv-types.sch 237 */
									obj_t BgL_oclassz00_10060;

									{	/* SawBbv/bbv-types.sch 237 */
										obj_t BgL_arg1866z00_10061;
										long BgL_arg1867z00_10062;

										BgL_arg1866z00_10061 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawBbv/bbv-types.sch 237 */
											long BgL_arg1869z00_10063;

											BgL_arg1869z00_10063 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_10055);
											BgL_arg1867z00_10062 =
												(BgL_arg1869z00_10063 - OBJECT_TYPE);
										}
										BgL_oclassz00_10060 =
											VECTOR_REF(BgL_arg1866z00_10061, BgL_arg1867z00_10062);
									}
									{	/* SawBbv/bbv-types.sch 237 */
										bool_t BgL__ortest_1115z00_10064;

										BgL__ortest_1115z00_10064 =
											(BgL_classz00_10054 == BgL_oclassz00_10060);
										if (BgL__ortest_1115z00_10064)
											{	/* SawBbv/bbv-types.sch 237 */
												BgL_res4079z00_10059 = BgL__ortest_1115z00_10064;
											}
										else
											{	/* SawBbv/bbv-types.sch 237 */
												long BgL_odepthz00_10065;

												{	/* SawBbv/bbv-types.sch 237 */
													obj_t BgL_arg1855z00_10066;

													BgL_arg1855z00_10066 = (BgL_oclassz00_10060);
													BgL_odepthz00_10065 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_10066);
												}
												if ((1L < BgL_odepthz00_10065))
													{	/* SawBbv/bbv-types.sch 237 */
														obj_t BgL_arg1853z00_10067;

														{	/* SawBbv/bbv-types.sch 237 */
															obj_t BgL_arg1854z00_10068;

															BgL_arg1854z00_10068 = (BgL_oclassz00_10060);
															BgL_arg1853z00_10067 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_10068,
																1L);
														}
														BgL_res4079z00_10059 =
															(BgL_arg1853z00_10067 == BgL_classz00_10054);
													}
												else
													{	/* SawBbv/bbv-types.sch 237 */
														BgL_res4079z00_10059 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res4079z00_10059;
							}
					}
				else
					{	/* SawBbv/bbv-types.sch 237 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &bbv-ctxentry? */
	obj_t BGl_z62bbvzd2ctxentryzf3z43zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9778, obj_t BgL_objz00_9779)
	{
		{	/* SawBbv/bbv-types.sch 237 */
			return
				BBOOL(BGl_bbvzd2ctxentryzf3z21zzsaw_bbvzd2specializa7ez75
				(BgL_objz00_9779));
		}

	}



/* bbv-ctxentry-nil */
	BGL_EXPORTED_DEF BgL_bbvzd2ctxentryzd2_bglt
		BGl_bbvzd2ctxentryzd2nilz00zzsaw_bbvzd2specializa7ez75(void)
	{
		{	/* SawBbv/bbv-types.sch 238 */
			{	/* SawBbv/bbv-types.sch 238 */
				obj_t BgL_classz00_5736;

				BgL_classz00_5736 = BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2;
				{	/* SawBbv/bbv-types.sch 238 */
					obj_t BgL__ortest_1117z00_5737;

					BgL__ortest_1117z00_5737 = BGL_CLASS_NIL(BgL_classz00_5736);
					if (CBOOL(BgL__ortest_1117z00_5737))
						{	/* SawBbv/bbv-types.sch 238 */
							return ((BgL_bbvzd2ctxentryzd2_bglt) BgL__ortest_1117z00_5737);
						}
					else
						{	/* SawBbv/bbv-types.sch 238 */
							return
								((BgL_bbvzd2ctxentryzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5736));
						}
				}
			}
		}

	}



/* &bbv-ctxentry-nil */
	BgL_bbvzd2ctxentryzd2_bglt
		BGl_z62bbvzd2ctxentryzd2nilz62zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9780)
	{
		{	/* SawBbv/bbv-types.sch 238 */
			return BGl_bbvzd2ctxentryzd2nilz00zzsaw_bbvzd2specializa7ez75();
		}

	}



/* bbv-ctxentry-initval */
	BGL_EXPORTED_DEF obj_t
		BGl_bbvzd2ctxentryzd2initvalz00zzsaw_bbvzd2specializa7ez75
		(BgL_bbvzd2ctxentryzd2_bglt BgL_oz00_234)
	{
		{	/* SawBbv/bbv-types.sch 239 */
			return
				(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_oz00_234))->BgL_initvalz00);
		}

	}



/* &bbv-ctxentry-initval */
	obj_t BGl_z62bbvzd2ctxentryzd2initvalz62zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9781, obj_t BgL_oz00_9782)
	{
		{	/* SawBbv/bbv-types.sch 239 */
			return
				BGl_bbvzd2ctxentryzd2initvalz00zzsaw_bbvzd2specializa7ez75(
				((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_9782));
		}

	}



/* bbv-ctxentry-initval-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_bbvzd2ctxentryzd2initvalzd2setz12zc0zzsaw_bbvzd2specializa7ez75
		(BgL_bbvzd2ctxentryzd2_bglt BgL_oz00_235, obj_t BgL_vz00_236)
	{
		{	/* SawBbv/bbv-types.sch 240 */
			return
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_oz00_235))->
					BgL_initvalz00) = ((obj_t) BgL_vz00_236), BUNSPEC);
		}

	}



/* &bbv-ctxentry-initval-set! */
	obj_t
		BGl_z62bbvzd2ctxentryzd2initvalzd2setz12za2zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9783, obj_t BgL_oz00_9784, obj_t BgL_vz00_9785)
	{
		{	/* SawBbv/bbv-types.sch 240 */
			return
				BGl_bbvzd2ctxentryzd2initvalzd2setz12zc0zzsaw_bbvzd2specializa7ez75(
				((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_9784), BgL_vz00_9785);
		}

	}



/* bbv-ctxentry-aliases */
	BGL_EXPORTED_DEF obj_t
		BGl_bbvzd2ctxentryzd2aliasesz00zzsaw_bbvzd2specializa7ez75
		(BgL_bbvzd2ctxentryzd2_bglt BgL_oz00_237)
	{
		{	/* SawBbv/bbv-types.sch 241 */
			return
				(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_oz00_237))->BgL_aliasesz00);
		}

	}



/* &bbv-ctxentry-aliases */
	obj_t BGl_z62bbvzd2ctxentryzd2aliasesz62zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9786, obj_t BgL_oz00_9787)
	{
		{	/* SawBbv/bbv-types.sch 241 */
			return
				BGl_bbvzd2ctxentryzd2aliasesz00zzsaw_bbvzd2specializa7ez75(
				((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_9787));
		}

	}



/* bbv-ctxentry-aliases-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_bbvzd2ctxentryzd2aliaseszd2setz12zc0zzsaw_bbvzd2specializa7ez75
		(BgL_bbvzd2ctxentryzd2_bglt BgL_oz00_238, obj_t BgL_vz00_239)
	{
		{	/* SawBbv/bbv-types.sch 242 */
			return
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_oz00_238))->
					BgL_aliasesz00) = ((obj_t) BgL_vz00_239), BUNSPEC);
		}

	}



/* &bbv-ctxentry-aliases-set! */
	obj_t
		BGl_z62bbvzd2ctxentryzd2aliaseszd2setz12za2zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9788, obj_t BgL_oz00_9789, obj_t BgL_vz00_9790)
	{
		{	/* SawBbv/bbv-types.sch 242 */
			return
				BGl_bbvzd2ctxentryzd2aliaseszd2setz12zc0zzsaw_bbvzd2specializa7ez75(
				((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_9789), BgL_vz00_9790);
		}

	}



/* bbv-ctxentry-value */
	BGL_EXPORTED_DEF obj_t
		BGl_bbvzd2ctxentryzd2valuez00zzsaw_bbvzd2specializa7ez75
		(BgL_bbvzd2ctxentryzd2_bglt BgL_oz00_240)
	{
		{	/* SawBbv/bbv-types.sch 243 */
			return
				(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_oz00_240))->BgL_valuez00);
		}

	}



/* &bbv-ctxentry-value */
	obj_t BGl_z62bbvzd2ctxentryzd2valuez62zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9791, obj_t BgL_oz00_9792)
	{
		{	/* SawBbv/bbv-types.sch 243 */
			return
				BGl_bbvzd2ctxentryzd2valuez00zzsaw_bbvzd2specializa7ez75(
				((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_9792));
		}

	}



/* bbv-ctxentry-count */
	BGL_EXPORTED_DEF long
		BGl_bbvzd2ctxentryzd2countz00zzsaw_bbvzd2specializa7ez75
		(BgL_bbvzd2ctxentryzd2_bglt BgL_oz00_243)
	{
		{	/* SawBbv/bbv-types.sch 245 */
			return
				(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_oz00_243))->BgL_countz00);
		}

	}



/* &bbv-ctxentry-count */
	obj_t BGl_z62bbvzd2ctxentryzd2countz62zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9793, obj_t BgL_oz00_9794)
	{
		{	/* SawBbv/bbv-types.sch 245 */
			return
				BINT(BGl_bbvzd2ctxentryzd2countz00zzsaw_bbvzd2specializa7ez75(
					((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_9794)));
		}

	}



/* bbv-ctxentry-count-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_bbvzd2ctxentryzd2countzd2setz12zc0zzsaw_bbvzd2specializa7ez75
		(BgL_bbvzd2ctxentryzd2_bglt BgL_oz00_244, long BgL_vz00_245)
	{
		{	/* SawBbv/bbv-types.sch 246 */
			return
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_oz00_244))->BgL_countz00) =
				((long) BgL_vz00_245), BUNSPEC);
		}

	}



/* &bbv-ctxentry-count-set! */
	obj_t
		BGl_z62bbvzd2ctxentryzd2countzd2setz12za2zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9795, obj_t BgL_oz00_9796, obj_t BgL_vz00_9797)
	{
		{	/* SawBbv/bbv-types.sch 246 */
			return
				BGl_bbvzd2ctxentryzd2countzd2setz12zc0zzsaw_bbvzd2specializa7ez75(
				((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_9796),
				(long) CINT(BgL_vz00_9797));
		}

	}



/* bbv-ctxentry-polarity */
	BGL_EXPORTED_DEF bool_t
		BGl_bbvzd2ctxentryzd2polarityz00zzsaw_bbvzd2specializa7ez75
		(BgL_bbvzd2ctxentryzd2_bglt BgL_oz00_246)
	{
		{	/* SawBbv/bbv-types.sch 247 */
			return
				(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_oz00_246))->BgL_polarityz00);
		}

	}



/* &bbv-ctxentry-polarity */
	obj_t BGl_z62bbvzd2ctxentryzd2polarityz62zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9798, obj_t BgL_oz00_9799)
	{
		{	/* SawBbv/bbv-types.sch 247 */
			return
				BBOOL(BGl_bbvzd2ctxentryzd2polarityz00zzsaw_bbvzd2specializa7ez75(
					((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_9799)));
		}

	}



/* bbv-ctxentry-types */
	BGL_EXPORTED_DEF obj_t
		BGl_bbvzd2ctxentryzd2typesz00zzsaw_bbvzd2specializa7ez75
		(BgL_bbvzd2ctxentryzd2_bglt BgL_oz00_249)
	{
		{	/* SawBbv/bbv-types.sch 249 */
			return
				(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_oz00_249))->BgL_typesz00);
		}

	}



/* &bbv-ctxentry-types */
	obj_t BGl_z62bbvzd2ctxentryzd2typesz62zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9800, obj_t BgL_oz00_9801)
	{
		{	/* SawBbv/bbv-types.sch 249 */
			return
				BGl_bbvzd2ctxentryzd2typesz00zzsaw_bbvzd2specializa7ez75(
				((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_9801));
		}

	}



/* bbv-ctxentry-reg */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt
		BGl_bbvzd2ctxentryzd2regz00zzsaw_bbvzd2specializa7ez75
		(BgL_bbvzd2ctxentryzd2_bglt BgL_oz00_252)
	{
		{	/* SawBbv/bbv-types.sch 251 */
			return (((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_oz00_252))->BgL_regz00);
		}

	}



/* &bbv-ctxentry-reg */
	BgL_rtl_regz00_bglt
		BGl_z62bbvzd2ctxentryzd2regz62zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9802, obj_t BgL_oz00_9803)
	{
		{	/* SawBbv/bbv-types.sch 251 */
			return
				BGl_bbvzd2ctxentryzd2regz00zzsaw_bbvzd2specializa7ez75(
				((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_9803));
		}

	}



/* bbv-root-block */
	BGL_EXPORTED_DEF BgL_blockz00_bglt
		BGl_bbvzd2rootzd2blockz00zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_bvz00_255, BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_256)
	{
		{	/* SawBbv/bbv-specialize.scm 53 */
			BGl_za2rootzd2blockza2zd2zzsaw_bbvzd2specializa7ez75 =
				((obj_t) BgL_bvz00_255);
			{	/* SawBbv/bbv-specialize.scm 57 */
				BgL_bbvzd2queuezd2_bglt BgL_queuez00_2306;
				BgL_blockz00_bglt BgL_bsz00_2307;

				{	/* SawBbv/bbv-specialize.scm 57 */
					BgL_bbvzd2queuezd2_bglt BgL_new1192z00_2336;

					{	/* SawBbv/bbv-types.scm 69 */
						BgL_bbvzd2queuezd2_bglt BgL_new1191z00_2337;

						BgL_new1191z00_2337 =
							((BgL_bbvzd2queuezd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_bbvzd2queuezd2_bgl))));
						{	/* SawBbv/bbv-types.scm 69 */
							long BgL_arg2546z00_2338;

							BgL_arg2546z00_2338 =
								BGL_CLASS_NUM(BGl_bbvzd2queuezd2zzsaw_bbvzd2typeszd2);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1191z00_2337),
								BgL_arg2546z00_2338);
						}
						BgL_new1192z00_2336 = BgL_new1191z00_2337;
					}
					((((BgL_bbvzd2queuezd2_bglt) COBJECT(BgL_new1192z00_2336))->
							BgL_blocksz00) = ((obj_t) BNIL), BUNSPEC);
					((((BgL_bbvzd2queuezd2_bglt) COBJECT(BgL_new1192z00_2336))->
							BgL_lastz00) = ((obj_t) BNIL), BUNSPEC);
					BgL_queuez00_2306 = BgL_new1192z00_2336;
				}
				{	/* SawBbv/bbv-specialize.scm 58 */
					obj_t BgL_creatorz00_2339;

					BgL_creatorz00_2339 = ((obj_t) CNST_TABLE_REF(0));
					BgL_bsz00_2307 =
						BGl_newzd2blockSzd2zzsaw_bbvzd2specializa7ez75(BgL_bvz00_255,
						BgL_ctxz00_256, BgL_creatorz00_2339, 1L);
				}
				BGl_bbvzd2gczd2initz12z12zzsaw_bbvzd2gczd2(BgL_bsz00_2307);
				BGl_blockzd2specializa7ez12z67zzsaw_bbvzd2specializa7ez75
					(BgL_bsz00_2307, BgL_queuez00_2306);
				{
					long BgL_nz00_2309;

					BgL_nz00_2309 = 0L;
				BgL_zc3z04anonymousza32528ze3z87_2310:
					if (CBOOL(BGl_bbvzd2queuezd2emptyzf3zf3zzsaw_bbvzd2typeszd2
							(BgL_queuez00_2306)))
						{	/* SawBbv/bbv-specialize.scm 70 */
							return BgL_bsz00_2307;
						}
					else
						{	/* SawBbv/bbv-specialize.scm 72 */
							BgL_blockz00_bglt BgL_bsz00_2312;

							BgL_bsz00_2312 =
								BGl_bbvzd2queuezd2popz12z12zzsaw_bbvzd2typeszd2
								(BgL_queuez00_2306);
							{	/* SawBbv/bbv-specialize.scm 83 */
								bool_t BgL_test4433z00_12606;

								{	/* SawBbv/bbv-specialize.scm 83 */
									BgL_blockz00_bglt BgL_arg2538z00_2328;

									{
										BgL_blocksz00_bglt BgL_auxz00_12607;

										{
											obj_t BgL_auxz00_12608;

											{	/* SawBbv/bbv-specialize.scm 83 */
												BgL_objectz00_bglt BgL_tmpz00_12609;

												BgL_tmpz00_12609 =
													((BgL_objectz00_bglt) BgL_bsz00_2312);
												BgL_auxz00_12608 =
													BGL_OBJECT_WIDENING(BgL_tmpz00_12609);
											}
											BgL_auxz00_12607 =
												((BgL_blocksz00_bglt) BgL_auxz00_12608);
										}
										BgL_arg2538z00_2328 =
											(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_12607))->
											BgL_parentz00);
									}
									BgL_test4433z00_12606 =
										BGl_blockzd2needzd2mergezf3zf3zzsaw_bbvzd2specializa7ez75
										(BgL_arg2538z00_2328);
								}
								if (BgL_test4433z00_12606)
									{	/* SawBbv/bbv-specialize.scm 83 */
										if (CBOOL(BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2))
											{	/* SawBbv/bbv-specialize.scm 86 */
												obj_t BgL_g2334z00_2317;

												{	/* SawBbv/bbv-specialize.scm 90 */
													BgL_blockz00_bglt BgL_arg2536z00_2326;

													{
														BgL_blocksz00_bglt BgL_auxz00_12617;

														{
															obj_t BgL_auxz00_12618;

															{	/* SawBbv/bbv-specialize.scm 90 */
																BgL_objectz00_bglt BgL_tmpz00_12619;

																BgL_tmpz00_12619 =
																	((BgL_objectz00_bglt) BgL_bsz00_2312);
																BgL_auxz00_12618 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_12619);
															}
															BgL_auxz00_12617 =
																((BgL_blocksz00_bglt) BgL_auxz00_12618);
														}
														BgL_arg2536z00_2326 =
															(((BgL_blocksz00_bglt)
																COBJECT(BgL_auxz00_12617))->BgL_parentz00);
													}
													BgL_g2334z00_2317 =
														BGl_blockVzd2livezd2versionsz00zzsaw_bbvzd2typeszd2
														(BgL_arg2536z00_2326);
												}
												{
													obj_t BgL_l2332z00_2319;

													BgL_l2332z00_2319 = BgL_g2334z00_2317;
												BgL_zc3z04anonymousza32532ze3z87_2320:
													if (PAIRP(BgL_l2332z00_2319))
														{	/* SawBbv/bbv-specialize.scm 90 */
															{
																obj_t BgL_l2332z00_12627;

																BgL_l2332z00_12627 = CDR(BgL_l2332z00_2319);
																BgL_l2332z00_2319 = BgL_l2332z00_12627;
																goto BgL_zc3z04anonymousza32532ze3z87_2320;
															}
														}
													else
														{	/* SawBbv/bbv-specialize.scm 90 */
															((bool_t) 1);
														}
												}
											}
										else
											{	/* SawBbv/bbv-specialize.scm 85 */
												((bool_t) 0);
											}
										{	/* SawBbv/bbv-specialize.scm 91 */
											BgL_blockz00_bglt BgL_arg2537z00_2327;

											{
												BgL_blocksz00_bglt BgL_auxz00_12629;

												{
													obj_t BgL_auxz00_12630;

													{	/* SawBbv/bbv-specialize.scm 91 */
														BgL_objectz00_bglt BgL_tmpz00_12631;

														BgL_tmpz00_12631 =
															((BgL_objectz00_bglt) BgL_bsz00_2312);
														BgL_auxz00_12630 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_12631);
													}
													BgL_auxz00_12629 =
														((BgL_blocksz00_bglt) BgL_auxz00_12630);
												}
												BgL_arg2537z00_2327 =
													(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_12629))->
													BgL_parentz00);
											}
											BGl_blockzd2mergezd2somez12z12zzsaw_bbvzd2specializa7ez75
												(BgL_arg2537z00_2327, BgL_queuez00_2306);
										}
									}
								else
									{	/* SawBbv/bbv-specialize.scm 83 */
										BFALSE;
									}
							}
							if (BGl_blockzd2livezf3z21zzsaw_bbvzd2typeszd2(BgL_bsz00_2312))
								{	/* SawBbv/bbv-specialize.scm 92 */
									if (NULLP(
											(((BgL_blockz00_bglt) COBJECT(
														((BgL_blockz00_bglt) BgL_bsz00_2312)))->
												BgL_firstz00)))
										{	/* SawBbv/bbv-specialize.scm 94 */
											((obj_t)
												BGl_blockzd2specializa7ez12z67zzsaw_bbvzd2specializa7ez75
												(BgL_bsz00_2312, BgL_queuez00_2306));
										}
									else
										{	/* SawBbv/bbv-specialize.scm 94 */
											((obj_t)
												BGl_blockzd2updatez12zc0zzsaw_bbvzd2specializa7ez75
												(BgL_bsz00_2312, BgL_queuez00_2306));
										}
								}
							else
								{	/* SawBbv/bbv-specialize.scm 92 */
									BFALSE;
								}
							{
								long BgL_nz00_12647;

								BgL_nz00_12647 = (BgL_nz00_2309 + 1L);
								BgL_nz00_2309 = BgL_nz00_12647;
								goto BgL_zc3z04anonymousza32528ze3z87_2310;
							}
						}
				}
			}
		}

	}



/* &bbv-root-block */
	BgL_blockz00_bglt
		BGl_z62bbvzd2rootzd2blockz62zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9804, obj_t BgL_bvz00_9805, obj_t BgL_ctxz00_9806)
	{
		{	/* SawBbv/bbv-specialize.scm 53 */
			return
				BGl_bbvzd2rootzd2blockz00zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_bvz00_9805),
				((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_9806));
		}

	}



/* block-specialize! */
	BgL_blockz00_bglt
		BGl_blockzd2specializa7ez12z67zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_bsz00_257, BgL_bbvzd2queuezd2_bglt BgL_queuez00_258)
	{
		{	/* SawBbv/bbv-specialize.scm 105 */
			{	/* SawBbv/bbv-specialize.scm 118 */
				BgL_blockz00_bglt BgL_i1198z00_2342;

				{
					BgL_blocksz00_bglt BgL_auxz00_12652;

					{
						obj_t BgL_auxz00_12653;

						{	/* SawBbv/bbv-specialize.scm 119 */
							BgL_objectz00_bglt BgL_tmpz00_12654;

							BgL_tmpz00_12654 = ((BgL_objectz00_bglt) BgL_bsz00_257);
							BgL_auxz00_12653 = BGL_OBJECT_WIDENING(BgL_tmpz00_12654);
						}
						BgL_auxz00_12652 = ((BgL_blocksz00_bglt) BgL_auxz00_12653);
					}
					BgL_i1198z00_2342 =
						(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_12652))->BgL_parentz00);
				}
				{
					obj_t BgL_auxz00_12659;

					{	/* SawBbv/bbv-specialize.scm 119 */
						obj_t BgL_arg2548z00_2343;
						BgL_bbvzd2ctxzd2_bglt BgL_arg2549z00_2344;

						BgL_arg2548z00_2343 =
							(((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_i1198z00_2342)))->BgL_firstz00);
						{
							BgL_blocksz00_bglt BgL_auxz00_12663;

							{
								obj_t BgL_auxz00_12664;

								{	/* SawBbv/bbv-specialize.scm 119 */
									BgL_objectz00_bglt BgL_tmpz00_12665;

									BgL_tmpz00_12665 = ((BgL_objectz00_bglt) BgL_bsz00_257);
									BgL_auxz00_12664 = BGL_OBJECT_WIDENING(BgL_tmpz00_12665);
								}
								BgL_auxz00_12663 = ((BgL_blocksz00_bglt) BgL_auxz00_12664);
							}
							BgL_arg2549z00_2344 =
								(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_12663))->BgL_ctxz00);
						}
						BgL_auxz00_12659 =
							BGl_inszd2specializa7ez12z67zzsaw_bbvzd2specializa7ez75
							(BgL_arg2548z00_2343, BgL_bsz00_257, BgL_arg2549z00_2344,
							BgL_queuez00_258);
					}
					((((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_bsz00_257)))->BgL_firstz00) =
						((obj_t) BgL_auxz00_12659), BUNSPEC);
				}
				if (CBOOL(BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2))
					{	/* SawBbv/bbv-specialize.scm 120 */
						BGl_assertzd2blockzd2zzsaw_bbvzd2debugzd2(BgL_bsz00_257,
							BGl_string4200z00zzsaw_bbvzd2specializa7ez75);
					}
				else
					{	/* SawBbv/bbv-specialize.scm 120 */
						BFALSE;
					}
				return BgL_bsz00_257;
			}
		}

	}



/* block-update! */
	BgL_blockz00_bglt
		BGl_blockzd2updatez12zc0zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_bsz00_259, BgL_bbvzd2queuezd2_bglt BgL_queuez00_260)
	{
		{	/* SawBbv/bbv-specialize.scm 127 */
			{
				obj_t BgL_auxz00_12675;

				{	/* SawBbv/bbv-specialize.scm 140 */
					obj_t BgL_arg2550z00_2346;
					BgL_bbvzd2ctxzd2_bglt BgL_arg2551z00_2347;

					BgL_arg2550z00_2346 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_bsz00_259)))->BgL_firstz00);
					{
						BgL_blocksz00_bglt BgL_auxz00_12679;

						{
							obj_t BgL_auxz00_12680;

							{	/* SawBbv/bbv-specialize.scm 140 */
								BgL_objectz00_bglt BgL_tmpz00_12681;

								BgL_tmpz00_12681 = ((BgL_objectz00_bglt) BgL_bsz00_259);
								BgL_auxz00_12680 = BGL_OBJECT_WIDENING(BgL_tmpz00_12681);
							}
							BgL_auxz00_12679 = ((BgL_blocksz00_bglt) BgL_auxz00_12680);
						}
						BgL_arg2551z00_2347 =
							(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_12679))->BgL_ctxz00);
					}
					BgL_auxz00_12675 =
						BGl_inszd2updatez12zc0zzsaw_bbvzd2specializa7ez75
						(BgL_arg2550z00_2346, BgL_bsz00_259, BgL_arg2551z00_2347,
						BgL_queuez00_260);
				}
				((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_bsz00_259)))->BgL_firstz00) =
					((obj_t) BgL_auxz00_12675), BUNSPEC);
			}
			if (CBOOL(BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2))
				{	/* SawBbv/bbv-specialize.scm 141 */
					BGl_assertzd2blockzd2zzsaw_bbvzd2debugzd2(BgL_bsz00_259,
						BGl_string4200z00zzsaw_bbvzd2specializa7ez75);
				}
			else
				{	/* SawBbv/bbv-specialize.scm 141 */
					BFALSE;
				}
			return BgL_bsz00_259;
		}

	}



/* block-merge-some! */
	obj_t
		BGl_blockzd2mergezd2somez12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_bvz00_261, BgL_bbvzd2queuezd2_bglt BgL_queuez00_262)
	{
		{	/* SawBbv/bbv-specialize.scm 148 */
			{	/* SawBbv/bbv-specialize.scm 150 */
				obj_t BgL_lvsz00_2348;

				BgL_lvsz00_2348 =
					BGl_blockVzd2livezd2versionsz00zzsaw_bbvzd2typeszd2(BgL_bvz00_261);
				{	/* SawBbv/bbv-specialize.scm 156 */
					obj_t BgL_bs1z00_2349;

					BgL_bs1z00_2349 =
						BGl_bbvzd2blockzd2mergez00zzsaw_bbvzd2mergezd2(BgL_lvsz00_2348);
					{	/* SawBbv/bbv-specialize.scm 157 */
						obj_t BgL_bs2z00_2350;
						obj_t BgL_mctxz00_2351;

						{	/* SawBbv/bbv-specialize.scm 162 */
							obj_t BgL_tmpz00_5750;

							{	/* SawBbv/bbv-specialize.scm 162 */
								int BgL_tmpz00_12693;

								BgL_tmpz00_12693 = (int) (1L);
								BgL_tmpz00_5750 = BGL_MVALUES_VAL(BgL_tmpz00_12693);
							}
							{	/* SawBbv/bbv-specialize.scm 162 */
								int BgL_tmpz00_12696;

								BgL_tmpz00_12696 = (int) (1L);
								BGL_MVALUES_VAL_SET(BgL_tmpz00_12696, BUNSPEC);
							}
							BgL_bs2z00_2350 = BgL_tmpz00_5750;
						}
						{	/* SawBbv/bbv-specialize.scm 162 */
							obj_t BgL_tmpz00_5751;

							{	/* SawBbv/bbv-specialize.scm 162 */
								int BgL_tmpz00_12699;

								BgL_tmpz00_12699 = (int) (2L);
								BgL_tmpz00_5751 = BGL_MVALUES_VAL(BgL_tmpz00_12699);
							}
							{	/* SawBbv/bbv-specialize.scm 162 */
								int BgL_tmpz00_12702;

								BgL_tmpz00_12702 = (int) (2L);
								BGL_MVALUES_VAL_SET(BgL_tmpz00_12702, BUNSPEC);
							}
							BgL_mctxz00_2351 = BgL_tmpz00_5751;
						}
						{	/* SawBbv/bbv-specialize.scm 162 */
							obj_t BgL_mbsz00_2352;

							{	/* SawBbv/bbv-specialize.scm 162 */
								obj_t BgL_arg2556z00_2359;

								BgL_arg2556z00_2359 =
									MAKE_YOUNG_PAIR(BgL_bs1z00_2349, BgL_bs2z00_2350);
								BgL_mbsz00_2352 =
									((obj_t)
									BGl_bbvzd2blockzd2zzsaw_bbvzd2specializa7ez75(
										((BgL_blockz00_bglt) BgL_bvz00_261),
										((BgL_bbvzd2ctxzd2_bglt) BgL_mctxz00_2351),
										BgL_queuez00_262, BgL_arg2556z00_2359));
							}
							if ((BgL_bs1z00_2349 == BgL_mbsz00_2352))
								{	/* SawBbv/bbv-specialize.scm 168 */
									{
										obj_t BgL_auxz00_12719;
										BgL_blocksz00_bglt BgL_auxz00_12712;

										{	/* SawBbv/bbv-specialize.scm 170 */
											obj_t BgL_arg2552z00_2354;
											obj_t BgL_arg2553z00_2355;

											BgL_arg2552z00_2354 =
												MAKE_YOUNG_PAIR(BgL_bs1z00_2349, BgL_bs2z00_2350);
											{
												BgL_blocksz00_bglt BgL_auxz00_12721;

												{
													obj_t BgL_auxz00_12722;

													{	/* SawBbv/bbv-specialize.scm 170 */
														BgL_objectz00_bglt BgL_tmpz00_12723;

														BgL_tmpz00_12723 =
															((BgL_objectz00_bglt)
															((BgL_blockz00_bglt) BgL_mbsz00_2352));
														BgL_auxz00_12722 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_12723);
													}
													BgL_auxz00_12721 =
														((BgL_blocksz00_bglt) BgL_auxz00_12722);
												}
												BgL_arg2553z00_2355 =
													(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_12721))->
													BgL_mergesz00);
											}
											BgL_auxz00_12719 =
												MAKE_YOUNG_PAIR(BgL_arg2552z00_2354,
												BgL_arg2553z00_2355);
										}
										{
											obj_t BgL_auxz00_12713;

											{	/* SawBbv/bbv-specialize.scm 170 */
												BgL_objectz00_bglt BgL_tmpz00_12714;

												BgL_tmpz00_12714 =
													((BgL_objectz00_bglt)
													((BgL_blockz00_bglt) BgL_mbsz00_2352));
												BgL_auxz00_12713 =
													BGL_OBJECT_WIDENING(BgL_tmpz00_12714);
											}
											BgL_auxz00_12712 =
												((BgL_blocksz00_bglt) BgL_auxz00_12713);
										}
										((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_12712))->
												BgL_mergesz00) = ((obj_t) BgL_auxz00_12719), BUNSPEC);
									}
									BGl_blockzd2mergez12zc0zzsaw_bbvzd2specializa7ez75(
										((BgL_blockz00_bglt) BgL_bs2z00_2350),
										((BgL_blockz00_bglt) BgL_mbsz00_2352));
								}
							else
								{	/* SawBbv/bbv-specialize.scm 168 */
									if ((BgL_bs2z00_2350 == BgL_mbsz00_2352))
										{	/* SawBbv/bbv-specialize.scm 172 */
											{
												obj_t BgL_auxz00_12743;
												BgL_blocksz00_bglt BgL_auxz00_12736;

												{	/* SawBbv/bbv-specialize.scm 174 */
													obj_t BgL_arg2554z00_2357;
													obj_t BgL_arg2555z00_2358;

													BgL_arg2554z00_2357 =
														MAKE_YOUNG_PAIR(BgL_bs1z00_2349, BgL_bs2z00_2350);
													{
														BgL_blocksz00_bglt BgL_auxz00_12745;

														{
															obj_t BgL_auxz00_12746;

															{	/* SawBbv/bbv-specialize.scm 174 */
																BgL_objectz00_bglt BgL_tmpz00_12747;

																BgL_tmpz00_12747 =
																	((BgL_objectz00_bglt)
																	((BgL_blockz00_bglt) BgL_mbsz00_2352));
																BgL_auxz00_12746 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_12747);
															}
															BgL_auxz00_12745 =
																((BgL_blocksz00_bglt) BgL_auxz00_12746);
														}
														BgL_arg2555z00_2358 =
															(((BgL_blocksz00_bglt)
																COBJECT(BgL_auxz00_12745))->BgL_mergesz00);
													}
													BgL_auxz00_12743 =
														MAKE_YOUNG_PAIR(BgL_arg2554z00_2357,
														BgL_arg2555z00_2358);
												}
												{
													obj_t BgL_auxz00_12737;

													{	/* SawBbv/bbv-specialize.scm 174 */
														BgL_objectz00_bglt BgL_tmpz00_12738;

														BgL_tmpz00_12738 =
															((BgL_objectz00_bglt)
															((BgL_blockz00_bglt) BgL_mbsz00_2352));
														BgL_auxz00_12737 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_12738);
													}
													BgL_auxz00_12736 =
														((BgL_blocksz00_bglt) BgL_auxz00_12737);
												}
												((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_12736))->
														BgL_mergesz00) =
													((obj_t) BgL_auxz00_12743), BUNSPEC);
											}
											BGl_blockzd2mergez12zc0zzsaw_bbvzd2specializa7ez75(
												((BgL_blockz00_bglt) BgL_bs1z00_2349),
												((BgL_blockz00_bglt) BgL_mbsz00_2352));
										}
									else
										{	/* SawBbv/bbv-specialize.scm 172 */
											BGl_blockzd2mergez12zc0zzsaw_bbvzd2specializa7ez75(
												((BgL_blockz00_bglt) BgL_bs1z00_2349),
												((BgL_blockz00_bglt) BgL_mbsz00_2352));
											BGl_blockzd2mergez12zc0zzsaw_bbvzd2specializa7ez75(
												((BgL_blockz00_bglt) BgL_bs2z00_2350),
												((BgL_blockz00_bglt) BgL_mbsz00_2352));
										}
								}
							if (CBOOL(BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2))
								{	/* SawBbv/bbv-specialize.scm 179 */
									return
										BGl_assertzd2blockzd2zzsaw_bbvzd2debugzd2(
										((BgL_blockz00_bglt) BgL_mbsz00_2352),
										BGl_string4201z00zzsaw_bbvzd2specializa7ez75);
								}
							else
								{	/* SawBbv/bbv-specialize.scm 179 */
									return BFALSE;
								}
						}
					}
				}
			}
		}

	}



/* block-merge! */
	obj_t BGl_blockzd2mergez12zc0zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_bsz00_263, BgL_blockz00_bglt BgL_mbsz00_264)
	{
		{	/* SawBbv/bbv-specialize.scm 185 */
			if (CBOOL(BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2))
				{	/* SawBbv/bbv-specialize.scm 199 */
					BGl_assertzd2blockzd2zzsaw_bbvzd2debugzd2(BgL_bsz00_263,
						BGl_string4202z00zzsaw_bbvzd2specializa7ez75);
				}
			else
				{	/* SawBbv/bbv-specialize.scm 199 */
					BFALSE;
				}
			{
				BgL_blocksz00_bglt BgL_auxz00_12771;

				{
					obj_t BgL_auxz00_12772;

					{	/* SawBbv/bbv-specialize.scm 202 */
						BgL_objectz00_bglt BgL_tmpz00_12773;

						BgL_tmpz00_12773 = ((BgL_objectz00_bglt) BgL_bsz00_263);
						BgL_auxz00_12772 = BGL_OBJECT_WIDENING(BgL_tmpz00_12773);
					}
					BgL_auxz00_12771 = ((BgL_blocksz00_bglt) BgL_auxz00_12772);
				}
				((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_12771))->BgL_mblockz00) =
					((obj_t) ((obj_t) BgL_mbsz00_264)), BUNSPEC);
			}
			BGl_replacezd2blockz12zc0zzsaw_bbvzd2utilszd2(BgL_bsz00_263,
				BgL_mbsz00_264, BFALSE);
			if (CBOOL(BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2))
				{	/* SawBbv/bbv-specialize.scm 205 */
					BGl_assertzd2blockzd2zzsaw_bbvzd2debugzd2(BgL_bsz00_263,
						BGl_string4203z00zzsaw_bbvzd2specializa7ez75);
					BGl_assertzd2blockzd2zzsaw_bbvzd2debugzd2(BgL_mbsz00_264,
						BGl_string4204z00zzsaw_bbvzd2specializa7ez75);
				}
			else
				{	/* SawBbv/bbv-specialize.scm 205 */
					BFALSE;
				}
			BGl_bbvzd2gcz12zc0zzsaw_bbvzd2gczd2(
				((BgL_blockz00_bglt)
					BGl_za2rootzd2blockza2zd2zzsaw_bbvzd2specializa7ez75));
			return BUNSPEC;
		}

	}



/* ins-specialize! */
	obj_t BGl_inszd2specializa7ez12z67zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_firstz00_265, BgL_blockz00_bglt BgL_bsz00_266,
		BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_267,
		BgL_bbvzd2queuezd2_bglt BgL_queuez00_268)
	{
		{	/* SawBbv/bbv-specialize.scm 222 */
			return
				BGl_loopze70ze7zzsaw_bbvzd2specializa7ez75(BgL_bsz00_266,
				BgL_queuez00_268, BgL_firstz00_265, BNIL, BgL_ctxz00_267);
		}

	}



/* loop~0 */
	obj_t BGl_loopze70ze7zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_bsz00_9900, BgL_bbvzd2queuezd2_bglt BgL_queuez00_9899,
		obj_t BgL_oinsz00_2367, obj_t BgL_ninsz00_2368,
		BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_2369)
	{
		{	/* SawBbv/bbv-specialize.scm 227 */
		BGl_loopze70ze7zzsaw_bbvzd2specializa7ez75:
			if (NULLP(BgL_oinsz00_2367))
				{	/* SawBbv/bbv-specialize.scm 234 */
					return bgl_reverse_bang(BgL_ninsz00_2368);
				}
			else
				{	/* SawBbv/bbv-specialize.scm 236 */
					obj_t BgL_g1209z00_2373;

					{	/* SawBbv/bbv-specialize.scm 236 */
						obj_t BgL_arg2666z00_2537;

						BgL_arg2666z00_2537 = CAR(((obj_t) BgL_oinsz00_2367));
						BgL_g1209z00_2373 =
							BGl_rtl_inszd2specializa7erz75zzsaw_bbvzd2specializa7ez75(
							((BgL_rtl_insz00_bglt) BgL_arg2666z00_2537));
					}
					if (CBOOL(BgL_g1209z00_2373))
						{	/* SawBbv/bbv-specialize.scm 240 */
							obj_t BgL_insz00_2376;

							{	/* SawBbv/bbv-specialize.scm 241 */
								obj_t BgL_arg2572z00_2390;

								BgL_arg2572z00_2390 = CAR(((obj_t) BgL_oinsz00_2367));
								BgL_insz00_2376 =
									BGL_PROCEDURE_CALL5(BgL_g1209z00_2373, BgL_arg2572z00_2390,
									BgL_ninsz00_2368, ((obj_t) BgL_bsz00_9900),
									((obj_t) BgL_ctxz00_2369), ((obj_t) BgL_queuez00_9899));
							}
							{	/* SawBbv/bbv-specialize.scm 241 */
								obj_t BgL_nctxz00_2377;

								{	/* SawBbv/bbv-specialize.scm 243 */
									obj_t BgL_tmpz00_5759;

									{	/* SawBbv/bbv-specialize.scm 243 */
										int BgL_tmpz00_12809;

										BgL_tmpz00_12809 = (int) (1L);
										BgL_tmpz00_5759 = BGL_MVALUES_VAL(BgL_tmpz00_12809);
									}
									{	/* SawBbv/bbv-specialize.scm 243 */
										int BgL_tmpz00_12812;

										BgL_tmpz00_12812 = (int) (1L);
										BGL_MVALUES_VAL_SET(BgL_tmpz00_12812, BUNSPEC);
									}
									BgL_nctxz00_2377 = BgL_tmpz00_5759;
								}
								{	/* SawBbv/bbv-specialize.scm 251 */
									BgL_bbvzd2ctxzd2_bglt BgL_lctxz00_2379;

									{	/* SawBbv/bbv-specialize.scm 251 */
										obj_t BgL_arg2571z00_2389;

										BgL_arg2571z00_2389 = CAR(((obj_t) BgL_oinsz00_2367));
										BgL_lctxz00_2379 =
											BGl_bbvzd2ctxzd2extendzd2livezd2outzd2regszd2zzsaw_bbvzd2utilszd2
											(((BgL_bbvzd2ctxzd2_bglt) BgL_nctxz00_2377),
											((BgL_rtl_insz00_bglt) BgL_arg2571z00_2389));
									}
									if (BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2(
											((BgL_rtl_insz00_bglt) BgL_insz00_2376)))
										{	/* SawBbv/bbv-specialize.scm 255 */
											BGl_connectz12z12zzsaw_bbvzd2specializa7ez75
												(BgL_bsz00_9900,
												((BgL_rtl_insz00_bglt) BgL_insz00_2376));
											{	/* SawBbv/bbv-specialize.scm 257 */
												obj_t BgL_arg2561z00_2381;

												BgL_arg2561z00_2381 =
													MAKE_YOUNG_PAIR(BgL_insz00_2376, BgL_ninsz00_2368);
												{
													BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_12828;
													obj_t BgL_ninsz00_12827;
													obj_t BgL_oinsz00_12826;

													BgL_oinsz00_12826 = BNIL;
													BgL_ninsz00_12827 = BgL_arg2561z00_2381;
													BgL_ctxz00_12828 = BgL_lctxz00_2379;
													BgL_ctxz00_2369 = BgL_ctxz00_12828;
													BgL_ninsz00_2368 = BgL_ninsz00_12827;
													BgL_oinsz00_2367 = BgL_oinsz00_12826;
													goto BGl_loopze70ze7zzsaw_bbvzd2specializa7ez75;
												}
											}
										}
									else
										{	/* SawBbv/bbv-specialize.scm 255 */
											if (BGl_rtl_inszd2ifnezf3z21zzsaw_bbvzd2typeszd2(
													((BgL_rtl_insz00_bglt) BgL_insz00_2376)))
												{	/* SawBbv/bbv-specialize.scm 258 */
													BGl_connectz12z12zzsaw_bbvzd2specializa7ez75
														(BgL_bsz00_9900,
														((BgL_rtl_insz00_bglt) BgL_insz00_2376));
													{	/* SawBbv/bbv-specialize.scm 260 */
														obj_t BgL_arg2563z00_2383;
														obj_t BgL_arg2564z00_2384;

														BgL_arg2563z00_2383 =
															CDR(((obj_t) BgL_oinsz00_2367));
														BgL_arg2564z00_2384 =
															MAKE_YOUNG_PAIR(BgL_insz00_2376,
															BgL_ninsz00_2368);
														{
															BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_12839;
															obj_t BgL_ninsz00_12838;
															obj_t BgL_oinsz00_12837;

															BgL_oinsz00_12837 = BgL_arg2563z00_2383;
															BgL_ninsz00_12838 = BgL_arg2564z00_2384;
															BgL_ctxz00_12839 = BgL_lctxz00_2379;
															BgL_ctxz00_2369 = BgL_ctxz00_12839;
															BgL_ninsz00_2368 = BgL_ninsz00_12838;
															BgL_oinsz00_2367 = BgL_oinsz00_12837;
															goto BGl_loopze70ze7zzsaw_bbvzd2specializa7ez75;
														}
													}
												}
											else
												{	/* SawBbv/bbv-specialize.scm 258 */
													if (BGl_rtl_inszd2ifeqzf3z21zzsaw_bbvzd2typeszd2(
															((BgL_rtl_insz00_bglt) BgL_insz00_2376)))
														{	/* SawBbv/bbv-specialize.scm 261 */
															return
																BGl_errorz00zz__errorz00
																(BGl_string4205z00zzsaw_bbvzd2specializa7ez75,
																BGl_string4206z00zzsaw_bbvzd2specializa7ez75,
																BGl_shapez00zztools_shapez00(BgL_insz00_2376));
														}
													else
														{	/* SawBbv/bbv-specialize.scm 264 */
															obj_t BgL_arg2568z00_2387;
															obj_t BgL_arg2569z00_2388;

															BgL_arg2568z00_2387 =
																CDR(((obj_t) BgL_oinsz00_2367));
															BgL_arg2569z00_2388 =
																MAKE_YOUNG_PAIR(BgL_insz00_2376,
																BgL_ninsz00_2368);
															{
																BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_12850;
																obj_t BgL_ninsz00_12849;
																obj_t BgL_oinsz00_12848;

																BgL_oinsz00_12848 = BgL_arg2568z00_2387;
																BgL_ninsz00_12849 = BgL_arg2569z00_2388;
																BgL_ctxz00_12850 = BgL_lctxz00_2379;
																BgL_ctxz00_2369 = BgL_ctxz00_12850;
																BgL_ninsz00_2368 = BgL_ninsz00_12849;
																BgL_oinsz00_2367 = BgL_oinsz00_12848;
																goto BGl_loopze70ze7zzsaw_bbvzd2specializa7ez75;
															}
														}
												}
										}
								}
							}
						}
					else
						{	/* SawBbv/bbv-specialize.scm 265 */
							bool_t BgL_test4450z00_12851;

							{	/* SawBbv/bbv-specialize.scm 265 */
								obj_t BgL_arg2665z00_2536;

								BgL_arg2665z00_2536 = CAR(((obj_t) BgL_oinsz00_2367));
								BgL_test4450z00_12851 =
									BGl_rtl_inszd2lastzf3z21zzsaw_bbvzd2typeszd2(
									((BgL_rtl_insz00_bglt) BgL_arg2665z00_2536));
							}
							if (BgL_test4450z00_12851)
								{	/* SawBbv/bbv-specialize.scm 267 */
									BgL_rtl_insz00_bglt BgL_i1212z00_2393;

									BgL_i1212z00_2393 =
										((BgL_rtl_insz00_bglt) CAR(((obj_t) BgL_oinsz00_2367)));
									{	/* SawBbv/bbv-specialize.scm 268 */
										obj_t BgL_argsz00_2394;

										{	/* SawBbv/bbv-specialize.scm 268 */
											obj_t BgL_l2335z00_2398;

											BgL_l2335z00_2398 =
												(((BgL_rtl_insz00_bglt) COBJECT(BgL_i1212z00_2393))->
												BgL_argsz00);
											if (NULLP(BgL_l2335z00_2398))
												{	/* SawBbv/bbv-specialize.scm 268 */
													BgL_argsz00_2394 = BNIL;
												}
											else
												{	/* SawBbv/bbv-specialize.scm 268 */
													obj_t BgL_head2337z00_2400;

													BgL_head2337z00_2400 = MAKE_YOUNG_PAIR(BNIL, BNIL);
													{
														obj_t BgL_l2335z00_2402;
														obj_t BgL_tail2338z00_2403;

														BgL_l2335z00_2402 = BgL_l2335z00_2398;
														BgL_tail2338z00_2403 = BgL_head2337z00_2400;
													BgL_zc3z04anonymousza32579ze3z87_2404:
														if (NULLP(BgL_l2335z00_2402))
															{	/* SawBbv/bbv-specialize.scm 268 */
																BgL_argsz00_2394 = CDR(BgL_head2337z00_2400);
															}
														else
															{	/* SawBbv/bbv-specialize.scm 268 */
																obj_t BgL_newtail2339z00_2406;

																{	/* SawBbv/bbv-specialize.scm 268 */
																	obj_t BgL_arg2582z00_2408;

																	{	/* SawBbv/bbv-specialize.scm 268 */
																		obj_t BgL_iz00_2409;

																		BgL_iz00_2409 =
																			CAR(((obj_t) BgL_l2335z00_2402));
																		{	/* SawBbv/bbv-specialize.scm 269 */
																			bool_t BgL_test4453z00_12868;

																			{	/* SawBbv/bbv-specialize.scm 269 */
																				obj_t BgL_classz00_5767;

																				BgL_classz00_5767 =
																					BGl_rtl_insz00zzsaw_defsz00;
																				if (BGL_OBJECTP(BgL_iz00_2409))
																					{	/* SawBbv/bbv-specialize.scm 269 */
																						BgL_objectz00_bglt
																							BgL_arg1858z00_5769;
																						BgL_arg1858z00_5769 =
																							(BgL_objectz00_bglt)
																							(BgL_iz00_2409);
																						if (BGL_CONDEXPAND_ISA_ARCH64())
																							{	/* SawBbv/bbv-specialize.scm 269 */
																								long BgL_idxz00_5775;

																								BgL_idxz00_5775 =
																									BGL_OBJECT_INHERITANCE_NUM
																									(BgL_arg1858z00_5769);
																								BgL_test4453z00_12868 =
																									(VECTOR_REF
																									(BGl_za2inheritancesza2z00zz__objectz00,
																										(BgL_idxz00_5775 + 1L)) ==
																									BgL_classz00_5767);
																							}
																						else
																							{	/* SawBbv/bbv-specialize.scm 269 */
																								bool_t BgL_res4080z00_5800;

																								{	/* SawBbv/bbv-specialize.scm 269 */
																									obj_t BgL_oclassz00_5783;

																									{	/* SawBbv/bbv-specialize.scm 269 */
																										obj_t BgL_arg1866z00_5791;
																										long BgL_arg1867z00_5792;

																										BgL_arg1866z00_5791 =
																											(BGl_za2classesza2z00zz__objectz00);
																										{	/* SawBbv/bbv-specialize.scm 269 */
																											long BgL_arg1869z00_5793;

																											BgL_arg1869z00_5793 =
																												BGL_OBJECT_CLASS_NUM
																												(BgL_arg1858z00_5769);
																											BgL_arg1867z00_5792 =
																												(BgL_arg1869z00_5793 -
																												OBJECT_TYPE);
																										}
																										BgL_oclassz00_5783 =
																											VECTOR_REF
																											(BgL_arg1866z00_5791,
																											BgL_arg1867z00_5792);
																									}
																									{	/* SawBbv/bbv-specialize.scm 269 */
																										bool_t
																											BgL__ortest_1115z00_5784;
																										BgL__ortest_1115z00_5784 =
																											(BgL_classz00_5767 ==
																											BgL_oclassz00_5783);
																										if (BgL__ortest_1115z00_5784)
																											{	/* SawBbv/bbv-specialize.scm 269 */
																												BgL_res4080z00_5800 =
																													BgL__ortest_1115z00_5784;
																											}
																										else
																											{	/* SawBbv/bbv-specialize.scm 269 */
																												long BgL_odepthz00_5785;

																												{	/* SawBbv/bbv-specialize.scm 269 */
																													obj_t
																														BgL_arg1855z00_5786;
																													BgL_arg1855z00_5786 =
																														(BgL_oclassz00_5783);
																													BgL_odepthz00_5785 =
																														BGL_CLASS_DEPTH
																														(BgL_arg1855z00_5786);
																												}
																												if (
																													(1L <
																														BgL_odepthz00_5785))
																													{	/* SawBbv/bbv-specialize.scm 269 */
																														obj_t
																															BgL_arg1853z00_5788;
																														{	/* SawBbv/bbv-specialize.scm 269 */
																															obj_t
																																BgL_arg1854z00_5789;
																															BgL_arg1854z00_5789
																																=
																																(BgL_oclassz00_5783);
																															BgL_arg1853z00_5788
																																=
																																BGL_CLASS_ANCESTORS_REF
																																(BgL_arg1854z00_5789,
																																1L);
																														}
																														BgL_res4080z00_5800
																															=
																															(BgL_arg1853z00_5788
																															==
																															BgL_classz00_5767);
																													}
																												else
																													{	/* SawBbv/bbv-specialize.scm 269 */
																														BgL_res4080z00_5800
																															= ((bool_t) 0);
																													}
																											}
																									}
																								}
																								BgL_test4453z00_12868 =
																									BgL_res4080z00_5800;
																							}
																					}
																				else
																					{	/* SawBbv/bbv-specialize.scm 269 */
																						BgL_test4453z00_12868 =
																							((bool_t) 0);
																					}
																			}
																			if (BgL_test4453z00_12868)
																				{	/* SawBbv/bbv-specialize.scm 270 */
																					obj_t BgL_arg2584z00_2411;

																					{	/* SawBbv/bbv-specialize.scm 270 */
																						obj_t BgL_arg2585z00_2412;

																						{	/* SawBbv/bbv-specialize.scm 270 */
																							obj_t BgL_list2586z00_2413;

																							BgL_list2586z00_2413 =
																								MAKE_YOUNG_PAIR(BgL_iz00_2409,
																								BNIL);
																							BgL_arg2585z00_2412 =
																								BgL_list2586z00_2413;
																						}
																						BgL_arg2584z00_2411 =
																							BGl_loopze70ze7zzsaw_bbvzd2specializa7ez75
																							(BgL_bsz00_9900,
																							BgL_queuez00_9899,
																							BgL_arg2585z00_2412, BNIL,
																							BgL_ctxz00_2369);
																					}
																					BgL_arg2582z00_2408 =
																						CAR(((obj_t) BgL_arg2584z00_2411));
																				}
																			else
																				{	/* SawBbv/bbv-specialize.scm 269 */
																					BgL_arg2582z00_2408 = BgL_iz00_2409;
																				}
																		}
																	}
																	BgL_newtail2339z00_2406 =
																		MAKE_YOUNG_PAIR(BgL_arg2582z00_2408, BNIL);
																}
																SET_CDR(BgL_tail2338z00_2403,
																	BgL_newtail2339z00_2406);
																{	/* SawBbv/bbv-specialize.scm 268 */
																	obj_t BgL_arg2581z00_2407;

																	BgL_arg2581z00_2407 =
																		CDR(((obj_t) BgL_l2335z00_2402));
																	{
																		obj_t BgL_tail2338z00_12900;
																		obj_t BgL_l2335z00_12899;

																		BgL_l2335z00_12899 = BgL_arg2581z00_2407;
																		BgL_tail2338z00_12900 =
																			BgL_newtail2339z00_2406;
																		BgL_tail2338z00_2403 =
																			BgL_tail2338z00_12900;
																		BgL_l2335z00_2402 = BgL_l2335z00_12899;
																		goto BgL_zc3z04anonymousza32579ze3z87_2404;
																	}
																}
															}
													}
												}
										}
										{	/* SawBbv/bbv-specialize.scm 274 */
											obj_t BgL_arg2575z00_2395;

											{	/* SawBbv/bbv-specialize.scm 274 */
												BgL_rtl_insz00_bglt BgL_arg2576z00_2396;

												{	/* SawBbv/bbv-specialize.scm 274 */
													obj_t BgL_arg2577z00_2397;

													BgL_arg2577z00_2397 = CAR(((obj_t) BgL_oinsz00_2367));
													BgL_arg2576z00_2396 =
														BGl_duplicatezd2inszf2argsz20zzsaw_bbvzd2specializa7ez75
														(BgL_arg2577z00_2397, BgL_argsz00_2394,
														BgL_ctxz00_2369);
												}
												BgL_arg2575z00_2395 =
													MAKE_YOUNG_PAIR(
													((obj_t) BgL_arg2576z00_2396), BgL_ninsz00_2368);
											}
											{
												obj_t BgL_ninsz00_12907;
												obj_t BgL_oinsz00_12906;

												BgL_oinsz00_12906 = BNIL;
												BgL_ninsz00_12907 = BgL_arg2575z00_2395;
												BgL_ninsz00_2368 = BgL_ninsz00_12907;
												BgL_oinsz00_2367 = BgL_oinsz00_12906;
												goto BGl_loopze70ze7zzsaw_bbvzd2specializa7ez75;
											}
										}
									}
								}
							else
								{	/* SawBbv/bbv-specialize.scm 276 */
									bool_t BgL_test4458z00_12908;

									{	/* SawBbv/bbv-specialize.scm 276 */
										obj_t BgL_arg2663z00_2535;

										BgL_arg2663z00_2535 = CAR(((obj_t) BgL_oinsz00_2367));
										BgL_test4458z00_12908 =
											BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2(
											((BgL_rtl_insz00_bglt) BgL_arg2663z00_2535));
									}
									if (BgL_test4458z00_12908)
										{	/* SawBbv/bbv-specialize.scm 277 */
											BgL_rtl_insz00_bglt BgL_i1213z00_2417;

											BgL_i1213z00_2417 =
												((BgL_rtl_insz00_bglt) CAR(((obj_t) BgL_oinsz00_2367)));
											{	/* SawBbv/bbv-specialize.scm 278 */
												BgL_rtl_goz00_bglt BgL_i1214z00_2418;

												BgL_i1214z00_2418 =
													((BgL_rtl_goz00_bglt)
													(((BgL_rtl_insz00_bglt) COBJECT(BgL_i1213z00_2417))->
														BgL_funz00));
												{	/* SawBbv/bbv-specialize.scm 279 */
													BgL_blockz00_bglt BgL_nz00_2419;

													{	/* SawBbv/bbv-specialize.scm 279 */
														BgL_blockz00_bglt BgL_arg2595z00_2437;

														BgL_arg2595z00_2437 =
															(((BgL_rtl_goz00_bglt)
																COBJECT(BgL_i1214z00_2418))->BgL_toz00);
														BgL_nz00_2419 =
															BGl_bbvzd2blockzd2zzsaw_bbvzd2specializa7ez75
															(BgL_arg2595z00_2437, BgL_ctxz00_2369,
															BgL_queuez00_9899, ((obj_t) BgL_bsz00_9900));
													}
													{	/* SawBbv/bbv-specialize.scm 279 */
														BgL_rtl_insz00_bglt BgL_insz00_2420;

														{	/* SawBbv/bbv-specialize.scm 280 */
															BgL_rtl_insz00_bglt BgL_duplicated1217z00_2422;
															BgL_rtl_insz00_bglt BgL_new1215z00_2423;

															BgL_duplicated1217z00_2422 =
																((BgL_rtl_insz00_bglt)
																CAR(((obj_t) BgL_oinsz00_2367)));
															{	/* SawBbv/bbv-specialize.scm 280 */
																BgL_rtl_insz00_bglt BgL_tmp1223z00_2432;
																BgL_rtl_inszf2bbvzf2_bglt BgL_wide1224z00_2433;

																{
																	BgL_rtl_insz00_bglt BgL_auxz00_12924;

																	{	/* SawBbv/bbv-specialize.scm 280 */
																		BgL_rtl_insz00_bglt BgL_new1222z00_2435;

																		BgL_new1222z00_2435 =
																			((BgL_rtl_insz00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_rtl_insz00_bgl))));
																		{	/* SawBbv/bbv-specialize.scm 280 */
																			long BgL_arg2594z00_2436;

																			BgL_arg2594z00_2436 =
																				BGL_CLASS_NUM
																				(BGl_rtl_insz00zzsaw_defsz00);
																			BGL_OBJECT_CLASS_NUM_SET((
																					(BgL_objectz00_bglt)
																					BgL_new1222z00_2435),
																				BgL_arg2594z00_2436);
																		}
																		{	/* SawBbv/bbv-specialize.scm 280 */
																			BgL_objectz00_bglt BgL_tmpz00_12929;

																			BgL_tmpz00_12929 =
																				((BgL_objectz00_bglt)
																				BgL_new1222z00_2435);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12929,
																				BFALSE);
																		}
																		((BgL_objectz00_bglt) BgL_new1222z00_2435);
																		BgL_auxz00_12924 = BgL_new1222z00_2435;
																	}
																	BgL_tmp1223z00_2432 =
																		((BgL_rtl_insz00_bglt) BgL_auxz00_12924);
																}
																BgL_wide1224z00_2433 =
																	((BgL_rtl_inszf2bbvzf2_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_rtl_inszf2bbvzf2_bgl))));
																{	/* SawBbv/bbv-specialize.scm 280 */
																	obj_t BgL_auxz00_12937;
																	BgL_objectz00_bglt BgL_tmpz00_12935;

																	BgL_auxz00_12937 =
																		((obj_t) BgL_wide1224z00_2433);
																	BgL_tmpz00_12935 =
																		((BgL_objectz00_bglt) BgL_tmp1223z00_2432);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12935,
																		BgL_auxz00_12937);
																}
																((BgL_objectz00_bglt) BgL_tmp1223z00_2432);
																{	/* SawBbv/bbv-specialize.scm 280 */
																	long BgL_arg2593z00_2434;

																	BgL_arg2593z00_2434 =
																		BGL_CLASS_NUM
																		(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																	BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																			BgL_tmp1223z00_2432),
																		BgL_arg2593z00_2434);
																}
																BgL_new1215z00_2423 =
																	((BgL_rtl_insz00_bglt) BgL_tmp1223z00_2432);
															}
															((((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				BgL_new1215z00_2423)))->BgL_locz00) =
																((obj_t) (((BgL_rtl_insz00_bglt)
																			COBJECT(BgL_duplicated1217z00_2422))->
																		BgL_locz00)), BUNSPEC);
															((((BgL_rtl_insz00_bglt)
																		COBJECT(((BgL_rtl_insz00_bglt)
																				BgL_new1215z00_2423)))->
																	BgL_z52spillz52) =
																((obj_t) (((BgL_rtl_insz00_bglt)
																			COBJECT(BgL_duplicated1217z00_2422))->
																		BgL_z52spillz52)), BUNSPEC);
															((((BgL_rtl_insz00_bglt)
																		COBJECT(((BgL_rtl_insz00_bglt)
																				BgL_new1215z00_2423)))->BgL_destz00) =
																((obj_t) (((BgL_rtl_insz00_bglt)
																			COBJECT(BgL_duplicated1217z00_2422))->
																		BgL_destz00)), BUNSPEC);
															{
																BgL_rtl_funz00_bglt BgL_auxz00_12954;

																{	/* SawBbv/bbv-specialize.scm 282 */
																	BgL_rtl_funz00_bglt
																		BgL_duplicated1227z00_2424;
																	BgL_rtl_goz00_bglt BgL_new1225z00_2425;

																	BgL_duplicated1227z00_2424 =
																		(((BgL_rtl_insz00_bglt)
																			COBJECT(BgL_i1213z00_2417))->BgL_funz00);
																	{	/* SawBbv/bbv-specialize.scm 282 */
																		BgL_rtl_goz00_bglt BgL_new1229z00_2426;

																		BgL_new1229z00_2426 =
																			((BgL_rtl_goz00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_rtl_goz00_bgl))));
																		{	/* SawBbv/bbv-specialize.scm 282 */
																			long BgL_arg2591z00_2427;

																			{	/* SawBbv/bbv-specialize.scm 282 */
																				obj_t BgL_classz00_5817;

																				BgL_classz00_5817 =
																					BGl_rtl_goz00zzsaw_defsz00;
																				BgL_arg2591z00_2427 =
																					BGL_CLASS_NUM(BgL_classz00_5817);
																			}
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1229z00_2426),
																				BgL_arg2591z00_2427);
																		}
																		BgL_new1225z00_2425 = BgL_new1229z00_2426;
																	}
																	((((BgL_rtl_funz00_bglt) COBJECT(
																					((BgL_rtl_funz00_bglt)
																						BgL_new1225z00_2425)))->
																			BgL_locz00) =
																		((obj_t) (((BgL_rtl_funz00_bglt)
																					COBJECT(BgL_duplicated1227z00_2424))->
																				BgL_locz00)), BUNSPEC);
																	((((BgL_rtl_goz00_bglt)
																				COBJECT(BgL_new1225z00_2425))->
																			BgL_toz00) =
																		((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
																				BgL_nz00_2419)), BUNSPEC);
																	BgL_auxz00_12954 =
																		((BgL_rtl_funz00_bglt) BgL_new1225z00_2425);
																}
																((((BgL_rtl_insz00_bglt) COBJECT(
																				((BgL_rtl_insz00_bglt)
																					BgL_new1215z00_2423)))->BgL_funz00) =
																	((BgL_rtl_funz00_bglt) BgL_auxz00_12954),
																	BUNSPEC);
															}
															((((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				BgL_new1215z00_2423)))->BgL_argsz00) =
																((obj_t) (((BgL_rtl_insz00_bglt)
																			COBJECT(BgL_duplicated1217z00_2422))->
																		BgL_argsz00)), BUNSPEC);
															{
																obj_t BgL_auxz00_12977;
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_12971;

																{
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_12978;

																	{
																		obj_t BgL_auxz00_12979;

																		{	/* SawBbv/bbv-specialize.scm 282 */
																			BgL_objectz00_bglt BgL_tmpz00_12980;

																			BgL_tmpz00_12980 =
																				((BgL_objectz00_bglt)
																				((BgL_rtl_insz00_bglt)
																					BgL_duplicated1217z00_2422));
																			BgL_auxz00_12979 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_12980);
																		}
																		BgL_auxz00_12978 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_12979);
																	}
																	BgL_auxz00_12977 =
																		(((BgL_rtl_inszf2bbvzf2_bglt)
																			COBJECT(BgL_auxz00_12978))->BgL_defz00);
																}
																{
																	obj_t BgL_auxz00_12972;

																	{	/* SawBbv/bbv-specialize.scm 282 */
																		BgL_objectz00_bglt BgL_tmpz00_12973;

																		BgL_tmpz00_12973 =
																			((BgL_objectz00_bglt)
																			BgL_new1215z00_2423);
																		BgL_auxz00_12972 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_12973);
																	}
																	BgL_auxz00_12971 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_12972);
																}
																((((BgL_rtl_inszf2bbvzf2_bglt)
																			COBJECT(BgL_auxz00_12971))->BgL_defz00) =
																	((obj_t) BgL_auxz00_12977), BUNSPEC);
															}
															{
																obj_t BgL_auxz00_12993;
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_12987;

																{
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_12994;

																	{
																		obj_t BgL_auxz00_12995;

																		{	/* SawBbv/bbv-specialize.scm 282 */
																			BgL_objectz00_bglt BgL_tmpz00_12996;

																			BgL_tmpz00_12996 =
																				((BgL_objectz00_bglt)
																				((BgL_rtl_insz00_bglt)
																					BgL_duplicated1217z00_2422));
																			BgL_auxz00_12995 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_12996);
																		}
																		BgL_auxz00_12994 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_12995);
																	}
																	BgL_auxz00_12993 =
																		(((BgL_rtl_inszf2bbvzf2_bglt)
																			COBJECT(BgL_auxz00_12994))->BgL_outz00);
																}
																{
																	obj_t BgL_auxz00_12988;

																	{	/* SawBbv/bbv-specialize.scm 282 */
																		BgL_objectz00_bglt BgL_tmpz00_12989;

																		BgL_tmpz00_12989 =
																			((BgL_objectz00_bglt)
																			BgL_new1215z00_2423);
																		BgL_auxz00_12988 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_12989);
																	}
																	BgL_auxz00_12987 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_12988);
																}
																((((BgL_rtl_inszf2bbvzf2_bglt)
																			COBJECT(BgL_auxz00_12987))->BgL_outz00) =
																	((obj_t) BgL_auxz00_12993), BUNSPEC);
															}
															{
																obj_t BgL_auxz00_13009;
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13003;

																{
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13010;

																	{
																		obj_t BgL_auxz00_13011;

																		{	/* SawBbv/bbv-specialize.scm 282 */
																			BgL_objectz00_bglt BgL_tmpz00_13012;

																			BgL_tmpz00_13012 =
																				((BgL_objectz00_bglt)
																				((BgL_rtl_insz00_bglt)
																					BgL_duplicated1217z00_2422));
																			BgL_auxz00_13011 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_13012);
																		}
																		BgL_auxz00_13010 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_13011);
																	}
																	BgL_auxz00_13009 =
																		(((BgL_rtl_inszf2bbvzf2_bglt)
																			COBJECT(BgL_auxz00_13010))->BgL_inz00);
																}
																{
																	obj_t BgL_auxz00_13004;

																	{	/* SawBbv/bbv-specialize.scm 282 */
																		BgL_objectz00_bglt BgL_tmpz00_13005;

																		BgL_tmpz00_13005 =
																			((BgL_objectz00_bglt)
																			BgL_new1215z00_2423);
																		BgL_auxz00_13004 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_13005);
																	}
																	BgL_auxz00_13003 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_13004);
																}
																((((BgL_rtl_inszf2bbvzf2_bglt)
																			COBJECT(BgL_auxz00_13003))->BgL_inz00) =
																	((obj_t) BgL_auxz00_13009), BUNSPEC);
															}
															{
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13019;

																{
																	obj_t BgL_auxz00_13020;

																	{	/* SawBbv/bbv-specialize.scm 281 */
																		BgL_objectz00_bglt BgL_tmpz00_13021;

																		BgL_tmpz00_13021 =
																			((BgL_objectz00_bglt)
																			BgL_new1215z00_2423);
																		BgL_auxz00_13020 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_13021);
																	}
																	BgL_auxz00_13019 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_13020);
																}
																((((BgL_rtl_inszf2bbvzf2_bglt)
																			COBJECT(BgL_auxz00_13019))->BgL_ctxz00) =
																	((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_2369),
																	BUNSPEC);
															}
															{
																obj_t BgL_auxz00_13032;
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13026;

																{
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13033;

																	{
																		obj_t BgL_auxz00_13034;

																		{	/* SawBbv/bbv-specialize.scm 281 */
																			BgL_objectz00_bglt BgL_tmpz00_13035;

																			BgL_tmpz00_13035 =
																				((BgL_objectz00_bglt)
																				((BgL_rtl_insz00_bglt)
																					BgL_duplicated1217z00_2422));
																			BgL_auxz00_13034 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_13035);
																		}
																		BgL_auxz00_13033 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_13034);
																	}
																	BgL_auxz00_13032 =
																		(((BgL_rtl_inszf2bbvzf2_bglt)
																			COBJECT(BgL_auxz00_13033))->
																		BgL_z52hashz52);
																}
																{
																	obj_t BgL_auxz00_13027;

																	{	/* SawBbv/bbv-specialize.scm 281 */
																		BgL_objectz00_bglt BgL_tmpz00_13028;

																		BgL_tmpz00_13028 =
																			((BgL_objectz00_bglt)
																			BgL_new1215z00_2423);
																		BgL_auxz00_13027 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_13028);
																	}
																	BgL_auxz00_13026 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_13027);
																}
																((((BgL_rtl_inszf2bbvzf2_bglt)
																			COBJECT(BgL_auxz00_13026))->
																		BgL_z52hashz52) =
																	((obj_t) BgL_auxz00_13032), BUNSPEC);
															}
															BgL_insz00_2420 = BgL_new1215z00_2423;
														}
														{	/* SawBbv/bbv-specialize.scm 280 */

															BGl_connectz12z12zzsaw_bbvzd2specializa7ez75
																(BgL_bsz00_9900,
																((BgL_rtl_insz00_bglt) BgL_insz00_2420));
															{	/* SawBbv/bbv-specialize.scm 285 */
																obj_t BgL_arg2590z00_2421;

																BgL_arg2590z00_2421 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) BgL_insz00_2420), BgL_ninsz00_2368);
																{
																	obj_t BgL_ninsz00_13047;
																	obj_t BgL_oinsz00_13046;

																	BgL_oinsz00_13046 = BNIL;
																	BgL_ninsz00_13047 = BgL_arg2590z00_2421;
																	BgL_ninsz00_2368 = BgL_ninsz00_13047;
																	BgL_oinsz00_2367 = BgL_oinsz00_13046;
																	goto
																		BGl_loopze70ze7zzsaw_bbvzd2specializa7ez75;
																}
															}
														}
													}
												}
											}
										}
									else
										{	/* SawBbv/bbv-specialize.scm 286 */
											bool_t BgL_test4459z00_13048;

											{	/* SawBbv/bbv-specialize.scm 286 */
												obj_t BgL_arg2662z00_2534;

												BgL_arg2662z00_2534 = CAR(((obj_t) BgL_oinsz00_2367));
												BgL_test4459z00_13048 =
													CBOOL(BGl_rtl_inszd2switchzf3z21zzsaw_bbvzd2typeszd2(
														((BgL_rtl_insz00_bglt) BgL_arg2662z00_2534)));
											}
											if (BgL_test4459z00_13048)
												{	/* SawBbv/bbv-specialize.scm 287 */
													BgL_rtl_insz00_bglt BgL_i1230z00_2441;

													BgL_i1230z00_2441 =
														((BgL_rtl_insz00_bglt)
														CAR(((obj_t) BgL_oinsz00_2367)));
													{	/* SawBbv/bbv-specialize.scm 288 */
														BgL_rtl_switchz00_bglt BgL_i1231z00_2442;

														BgL_i1231z00_2442 =
															((BgL_rtl_switchz00_bglt)
															(((BgL_rtl_insz00_bglt)
																	COBJECT(BgL_i1230z00_2441))->BgL_funz00));
														{	/* SawBbv/bbv-specialize.scm 289 */
															BgL_rtl_insz00_bglt BgL_insz00_2443;

															{	/* SawBbv/bbv-specialize.scm 289 */
																BgL_rtl_insz00_bglt BgL_duplicated1234z00_2445;
																BgL_rtl_insz00_bglt BgL_new1232z00_2446;

																BgL_duplicated1234z00_2445 =
																	((BgL_rtl_insz00_bglt)
																	CAR(((obj_t) BgL_oinsz00_2367)));
																{	/* SawBbv/bbv-specialize.scm 289 */
																	BgL_rtl_insz00_bglt BgL_tmp1240z00_2471;
																	BgL_rtl_inszf2bbvzf2_bglt
																		BgL_wide1241z00_2472;
																	{
																		BgL_rtl_insz00_bglt BgL_auxz00_13062;

																		{	/* SawBbv/bbv-specialize.scm 289 */
																			BgL_rtl_insz00_bglt BgL_new1239z00_2474;

																			BgL_new1239z00_2474 =
																				((BgL_rtl_insz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_rtl_insz00_bgl))));
																			{	/* SawBbv/bbv-specialize.scm 289 */
																				long BgL_arg2608z00_2475;

																				BgL_arg2608z00_2475 =
																					BGL_CLASS_NUM
																					(BGl_rtl_insz00zzsaw_defsz00);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_new1239z00_2474),
																					BgL_arg2608z00_2475);
																			}
																			{	/* SawBbv/bbv-specialize.scm 289 */
																				BgL_objectz00_bglt BgL_tmpz00_13067;

																				BgL_tmpz00_13067 =
																					((BgL_objectz00_bglt)
																					BgL_new1239z00_2474);
																				BGL_OBJECT_WIDENING_SET
																					(BgL_tmpz00_13067, BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1239z00_2474);
																			BgL_auxz00_13062 = BgL_new1239z00_2474;
																		}
																		BgL_tmp1240z00_2471 =
																			((BgL_rtl_insz00_bglt) BgL_auxz00_13062);
																	}
																	BgL_wide1241z00_2472 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_rtl_inszf2bbvzf2_bgl))));
																	{	/* SawBbv/bbv-specialize.scm 289 */
																		obj_t BgL_auxz00_13075;
																		BgL_objectz00_bglt BgL_tmpz00_13073;

																		BgL_auxz00_13075 =
																			((obj_t) BgL_wide1241z00_2472);
																		BgL_tmpz00_13073 =
																			((BgL_objectz00_bglt)
																			BgL_tmp1240z00_2471);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13073,
																			BgL_auxz00_13075);
																	}
																	((BgL_objectz00_bglt) BgL_tmp1240z00_2471);
																	{	/* SawBbv/bbv-specialize.scm 289 */
																		long BgL_arg2607z00_2473;

																		BgL_arg2607z00_2473 =
																			BGL_CLASS_NUM
																			(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																		BGL_OBJECT_CLASS_NUM_SET((
																				(BgL_objectz00_bglt)
																				BgL_tmp1240z00_2471),
																			BgL_arg2607z00_2473);
																	}
																	BgL_new1232z00_2446 =
																		((BgL_rtl_insz00_bglt) BgL_tmp1240z00_2471);
																}
																((((BgL_rtl_insz00_bglt) COBJECT(
																				((BgL_rtl_insz00_bglt)
																					BgL_new1232z00_2446)))->BgL_locz00) =
																	((obj_t) (((BgL_rtl_insz00_bglt)
																				COBJECT(BgL_duplicated1234z00_2445))->
																			BgL_locz00)), BUNSPEC);
																((((BgL_rtl_insz00_bglt)
																			COBJECT(((BgL_rtl_insz00_bglt)
																					BgL_new1232z00_2446)))->
																		BgL_z52spillz52) =
																	((obj_t) (((BgL_rtl_insz00_bglt)
																				COBJECT(BgL_duplicated1234z00_2445))->
																			BgL_z52spillz52)), BUNSPEC);
																((((BgL_rtl_insz00_bglt)
																			COBJECT(((BgL_rtl_insz00_bglt)
																					BgL_new1232z00_2446)))->BgL_destz00) =
																	((obj_t) (((BgL_rtl_insz00_bglt)
																				COBJECT(BgL_duplicated1234z00_2445))->
																			BgL_destz00)), BUNSPEC);
																{
																	BgL_rtl_funz00_bglt BgL_auxz00_13092;

																	{	/* SawBbv/bbv-specialize.scm 291 */
																		BgL_rtl_funz00_bglt
																			BgL_duplicated1244z00_2447;
																		BgL_rtl_switchz00_bglt BgL_new1242z00_2448;

																		BgL_duplicated1244z00_2447 =
																			(((BgL_rtl_insz00_bglt)
																				COBJECT(BgL_i1230z00_2441))->
																			BgL_funz00);
																		{	/* SawBbv/bbv-specialize.scm 291 */
																			BgL_rtl_switchz00_bglt
																				BgL_new1247z00_2465;
																			BgL_new1247z00_2465 =
																				((BgL_rtl_switchz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_rtl_switchz00_bgl))));
																			{	/* SawBbv/bbv-specialize.scm 291 */
																				long BgL_arg2606z00_2466;

																				{	/* SawBbv/bbv-specialize.scm 291 */
																					obj_t BgL_classz00_5840;

																					BgL_classz00_5840 =
																						BGl_rtl_switchz00zzsaw_defsz00;
																					BgL_arg2606z00_2466 =
																						BGL_CLASS_NUM(BgL_classz00_5840);
																				}
																				BGL_OBJECT_CLASS_NUM_SET(
																					((BgL_objectz00_bglt)
																						BgL_new1247z00_2465),
																					BgL_arg2606z00_2466);
																			}
																			BgL_new1242z00_2448 = BgL_new1247z00_2465;
																		}
																		((((BgL_rtl_funz00_bglt) COBJECT(
																						((BgL_rtl_funz00_bglt)
																							BgL_new1242z00_2448)))->
																				BgL_locz00) =
																			((obj_t) (((BgL_rtl_funz00_bglt)
																						COBJECT
																						(BgL_duplicated1244z00_2447))->
																					BgL_locz00)), BUNSPEC);
																		((((BgL_rtl_selectz00_bglt)
																					COBJECT(((BgL_rtl_selectz00_bglt)
																							BgL_new1242z00_2448)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) ((
																						(BgL_rtl_selectz00_bglt)
																						COBJECT(((BgL_rtl_selectz00_bglt)
																								BgL_duplicated1244z00_2447)))->
																					BgL_typez00)), BUNSPEC);
																		((((BgL_rtl_selectz00_bglt)
																					COBJECT(((BgL_rtl_selectz00_bglt)
																							BgL_new1242z00_2448)))->
																				BgL_patternsz00) =
																			((obj_t) (((BgL_rtl_selectz00_bglt)
																						COBJECT(((BgL_rtl_selectz00_bglt)
																								BgL_duplicated1244z00_2447)))->
																					BgL_patternsz00)), BUNSPEC);
																		{
																			obj_t BgL_auxz00_13110;

																			{	/* SawBbv/bbv-specialize.scm 292 */
																				obj_t BgL_l2340z00_2451;

																				BgL_l2340z00_2451 =
																					(((BgL_rtl_switchz00_bglt)
																						COBJECT(BgL_i1231z00_2442))->
																					BgL_labelsz00);
																				if (NULLP(BgL_l2340z00_2451))
																					{	/* SawBbv/bbv-specialize.scm 292 */
																						BgL_auxz00_13110 = BNIL;
																					}
																				else
																					{	/* SawBbv/bbv-specialize.scm 292 */
																						obj_t BgL_head2342z00_2453;

																						BgL_head2342z00_2453 =
																							MAKE_YOUNG_PAIR(BNIL, BNIL);
																						{
																							obj_t BgL_l2340z00_2455;
																							obj_t BgL_tail2343z00_2456;

																							BgL_l2340z00_2455 =
																								BgL_l2340z00_2451;
																							BgL_tail2343z00_2456 =
																								BgL_head2342z00_2453;
																						BgL_zc3z04anonymousza32601ze3z87_2457:
																							if (NULLP
																								(BgL_l2340z00_2455))
																								{	/* SawBbv/bbv-specialize.scm 292 */
																									BgL_auxz00_13110 =
																										CDR(BgL_head2342z00_2453);
																								}
																							else
																								{	/* SawBbv/bbv-specialize.scm 292 */
																									obj_t BgL_newtail2344z00_2459;

																									{	/* SawBbv/bbv-specialize.scm 292 */
																										BgL_blockz00_bglt
																											BgL_arg2604z00_2461;
																										{	/* SawBbv/bbv-specialize.scm 292 */
																											obj_t BgL_bz00_2462;

																											BgL_bz00_2462 =
																												CAR(
																												((obj_t)
																													BgL_l2340z00_2455));
																											BgL_arg2604z00_2461 =
																												BGl_bbvzd2blockzd2zzsaw_bbvzd2specializa7ez75
																												(((BgL_blockz00_bglt)
																													BgL_bz00_2462),
																												BgL_ctxz00_2369,
																												BgL_queuez00_9899,
																												((obj_t)
																													BgL_bsz00_9900));
																										}
																										BgL_newtail2344z00_2459 =
																											MAKE_YOUNG_PAIR(
																											((obj_t)
																												BgL_arg2604z00_2461),
																											BNIL);
																									}
																									SET_CDR(BgL_tail2343z00_2456,
																										BgL_newtail2344z00_2459);
																									{	/* SawBbv/bbv-specialize.scm 292 */
																										obj_t BgL_arg2603z00_2460;

																										BgL_arg2603z00_2460 =
																											CDR(
																											((obj_t)
																												BgL_l2340z00_2455));
																										{
																											obj_t
																												BgL_tail2343z00_13129;
																											obj_t BgL_l2340z00_13128;

																											BgL_l2340z00_13128 =
																												BgL_arg2603z00_2460;
																											BgL_tail2343z00_13129 =
																												BgL_newtail2344z00_2459;
																											BgL_tail2343z00_2456 =
																												BgL_tail2343z00_13129;
																											BgL_l2340z00_2455 =
																												BgL_l2340z00_13128;
																											goto
																												BgL_zc3z04anonymousza32601ze3z87_2457;
																										}
																									}
																								}
																						}
																					}
																			}
																			((((BgL_rtl_switchz00_bglt)
																						COBJECT(BgL_new1242z00_2448))->
																					BgL_labelsz00) =
																				((obj_t) BgL_auxz00_13110), BUNSPEC);
																		}
																		BgL_auxz00_13092 =
																			((BgL_rtl_funz00_bglt)
																			BgL_new1242z00_2448);
																	}
																	((((BgL_rtl_insz00_bglt) COBJECT(
																					((BgL_rtl_insz00_bglt)
																						BgL_new1232z00_2446)))->
																			BgL_funz00) =
																		((BgL_rtl_funz00_bglt) BgL_auxz00_13092),
																		BUNSPEC);
																}
																((((BgL_rtl_insz00_bglt) COBJECT(
																				((BgL_rtl_insz00_bglt)
																					BgL_new1232z00_2446)))->BgL_argsz00) =
																	((obj_t) (((BgL_rtl_insz00_bglt)
																				COBJECT(BgL_duplicated1234z00_2445))->
																			BgL_argsz00)), BUNSPEC);
																{
																	obj_t BgL_auxz00_13142;
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13136;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13143;

																		{
																			obj_t BgL_auxz00_13144;

																			{	/* SawBbv/bbv-specialize.scm 291 */
																				BgL_objectz00_bglt BgL_tmpz00_13145;

																				BgL_tmpz00_13145 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt)
																						BgL_duplicated1234z00_2445));
																				BgL_auxz00_13144 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_13145);
																			}
																			BgL_auxz00_13143 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_13144);
																		}
																		BgL_auxz00_13142 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_13143))->BgL_defz00);
																	}
																	{
																		obj_t BgL_auxz00_13137;

																		{	/* SawBbv/bbv-specialize.scm 291 */
																			BgL_objectz00_bglt BgL_tmpz00_13138;

																			BgL_tmpz00_13138 =
																				((BgL_objectz00_bglt)
																				BgL_new1232z00_2446);
																			BgL_auxz00_13137 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_13138);
																		}
																		BgL_auxz00_13136 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_13137);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_13136))->
																			BgL_defz00) =
																		((obj_t) BgL_auxz00_13142), BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_13158;
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13152;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13159;

																		{
																			obj_t BgL_auxz00_13160;

																			{	/* SawBbv/bbv-specialize.scm 291 */
																				BgL_objectz00_bglt BgL_tmpz00_13161;

																				BgL_tmpz00_13161 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt)
																						BgL_duplicated1234z00_2445));
																				BgL_auxz00_13160 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_13161);
																			}
																			BgL_auxz00_13159 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_13160);
																		}
																		BgL_auxz00_13158 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_13159))->BgL_outz00);
																	}
																	{
																		obj_t BgL_auxz00_13153;

																		{	/* SawBbv/bbv-specialize.scm 291 */
																			BgL_objectz00_bglt BgL_tmpz00_13154;

																			BgL_tmpz00_13154 =
																				((BgL_objectz00_bglt)
																				BgL_new1232z00_2446);
																			BgL_auxz00_13153 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_13154);
																		}
																		BgL_auxz00_13152 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_13153);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_13152))->
																			BgL_outz00) =
																		((obj_t) BgL_auxz00_13158), BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_13174;
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13168;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13175;

																		{
																			obj_t BgL_auxz00_13176;

																			{	/* SawBbv/bbv-specialize.scm 291 */
																				BgL_objectz00_bglt BgL_tmpz00_13177;

																				BgL_tmpz00_13177 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt)
																						BgL_duplicated1234z00_2445));
																				BgL_auxz00_13176 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_13177);
																			}
																			BgL_auxz00_13175 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_13176);
																		}
																		BgL_auxz00_13174 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_13175))->BgL_inz00);
																	}
																	{
																		obj_t BgL_auxz00_13169;

																		{	/* SawBbv/bbv-specialize.scm 291 */
																			BgL_objectz00_bglt BgL_tmpz00_13170;

																			BgL_tmpz00_13170 =
																				((BgL_objectz00_bglt)
																				BgL_new1232z00_2446);
																			BgL_auxz00_13169 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_13170);
																		}
																		BgL_auxz00_13168 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_13169);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_13168))->BgL_inz00) =
																		((obj_t) BgL_auxz00_13174), BUNSPEC);
																}
																{
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13184;

																	{
																		obj_t BgL_auxz00_13185;

																		{	/* SawBbv/bbv-specialize.scm 290 */
																			BgL_objectz00_bglt BgL_tmpz00_13186;

																			BgL_tmpz00_13186 =
																				((BgL_objectz00_bglt)
																				BgL_new1232z00_2446);
																			BgL_auxz00_13185 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_13186);
																		}
																		BgL_auxz00_13184 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_13185);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_13184))->
																			BgL_ctxz00) =
																		((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_2369),
																		BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_13197;
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13191;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13198;

																		{
																			obj_t BgL_auxz00_13199;

																			{	/* SawBbv/bbv-specialize.scm 290 */
																				BgL_objectz00_bglt BgL_tmpz00_13200;

																				BgL_tmpz00_13200 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt)
																						BgL_duplicated1234z00_2445));
																				BgL_auxz00_13199 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_13200);
																			}
																			BgL_auxz00_13198 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_13199);
																		}
																		BgL_auxz00_13197 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_13198))->
																			BgL_z52hashz52);
																	}
																	{
																		obj_t BgL_auxz00_13192;

																		{	/* SawBbv/bbv-specialize.scm 290 */
																			BgL_objectz00_bglt BgL_tmpz00_13193;

																			BgL_tmpz00_13193 =
																				((BgL_objectz00_bglt)
																				BgL_new1232z00_2446);
																			BgL_auxz00_13192 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_13193);
																		}
																		BgL_auxz00_13191 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_13192);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_13191))->
																			BgL_z52hashz52) =
																		((obj_t) BgL_auxz00_13197), BUNSPEC);
																}
																BgL_insz00_2443 = BgL_new1232z00_2446;
															}
															BGl_connectz12z12zzsaw_bbvzd2specializa7ez75
																(BgL_bsz00_9900,
																((BgL_rtl_insz00_bglt) BgL_insz00_2443));
															{	/* SawBbv/bbv-specialize.scm 296 */
																obj_t BgL_arg2599z00_2444;

																BgL_arg2599z00_2444 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) BgL_insz00_2443), BgL_ninsz00_2368);
																{
																	obj_t BgL_ninsz00_13212;
																	obj_t BgL_oinsz00_13211;

																	BgL_oinsz00_13211 = BNIL;
																	BgL_ninsz00_13212 = BgL_arg2599z00_2444;
																	BgL_ninsz00_2368 = BgL_ninsz00_13212;
																	BgL_oinsz00_2367 = BgL_oinsz00_13211;
																	goto
																		BGl_loopze70ze7zzsaw_bbvzd2specializa7ez75;
																}
															}
														}
													}
												}
											else
												{	/* SawBbv/bbv-specialize.scm 297 */
													bool_t BgL_test4462z00_13213;

													{	/* SawBbv/bbv-specialize.scm 297 */
														obj_t BgL_arg2659z00_2533;

														BgL_arg2659z00_2533 =
															CAR(((obj_t) BgL_oinsz00_2367));
														BgL_test4462z00_13213 =
															BGl_rtl_inszd2ifnezf3z21zzsaw_bbvzd2typeszd2(
															((BgL_rtl_insz00_bglt) BgL_arg2659z00_2533));
													}
													if (BgL_test4462z00_13213)
														{	/* SawBbv/bbv-specialize.scm 298 */
															BgL_rtl_insz00_bglt BgL_i1248z00_2478;

															BgL_i1248z00_2478 =
																((BgL_rtl_insz00_bglt)
																CAR(((obj_t) BgL_oinsz00_2367)));
															{	/* SawBbv/bbv-specialize.scm 299 */
																BgL_rtl_ifnez00_bglt BgL_i1249z00_2479;

																BgL_i1249z00_2479 =
																	((BgL_rtl_ifnez00_bglt)
																	(((BgL_rtl_insz00_bglt)
																			COBJECT(BgL_i1248z00_2478))->BgL_funz00));
																{	/* SawBbv/bbv-specialize.scm 300 */
																	BgL_blockz00_bglt BgL_nz00_2480;

																	{	/* SawBbv/bbv-specialize.scm 300 */
																		BgL_blockz00_bglt BgL_arg2621z00_2499;

																		BgL_arg2621z00_2499 =
																			(((BgL_rtl_ifnez00_bglt)
																				COBJECT(BgL_i1249z00_2479))->
																			BgL_thenz00);
																		BgL_nz00_2480 =
																			BGl_bbvzd2blockzd2zzsaw_bbvzd2specializa7ez75
																			(BgL_arg2621z00_2499, BgL_ctxz00_2369,
																			BgL_queuez00_9899,
																			((obj_t) BgL_bsz00_9900));
																	}
																	{	/* SawBbv/bbv-specialize.scm 300 */
																		BgL_rtl_insz00_bglt BgL_insz00_2481;

																		{	/* SawBbv/bbv-specialize.scm 301 */
																			BgL_rtl_insz00_bglt
																				BgL_duplicated1252z00_2484;
																			BgL_rtl_insz00_bglt BgL_new1250z00_2485;

																			BgL_duplicated1252z00_2484 =
																				((BgL_rtl_insz00_bglt)
																				CAR(((obj_t) BgL_oinsz00_2367)));
																			{	/* SawBbv/bbv-specialize.scm 301 */
																				BgL_rtl_insz00_bglt BgL_tmp1258z00_2494;
																				BgL_rtl_inszf2bbvzf2_bglt
																					BgL_wide1259z00_2495;
																				{
																					BgL_rtl_insz00_bglt BgL_auxz00_13229;

																					{	/* SawBbv/bbv-specialize.scm 301 */
																						BgL_rtl_insz00_bglt
																							BgL_new1257z00_2497;
																						BgL_new1257z00_2497 =
																							((BgL_rtl_insz00_bglt)
																							BOBJECT(GC_MALLOC(sizeof(struct
																										BgL_rtl_insz00_bgl))));
																						{	/* SawBbv/bbv-specialize.scm 301 */
																							long BgL_arg2617z00_2498;

																							BgL_arg2617z00_2498 =
																								BGL_CLASS_NUM
																								(BGl_rtl_insz00zzsaw_defsz00);
																							BGL_OBJECT_CLASS_NUM_SET((
																									(BgL_objectz00_bglt)
																									BgL_new1257z00_2497),
																								BgL_arg2617z00_2498);
																						}
																						{	/* SawBbv/bbv-specialize.scm 301 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_13234;
																							BgL_tmpz00_13234 =
																								((BgL_objectz00_bglt)
																								BgL_new1257z00_2497);
																							BGL_OBJECT_WIDENING_SET
																								(BgL_tmpz00_13234, BFALSE);
																						}
																						((BgL_objectz00_bglt)
																							BgL_new1257z00_2497);
																						BgL_auxz00_13229 =
																							BgL_new1257z00_2497;
																					}
																					BgL_tmp1258z00_2494 =
																						((BgL_rtl_insz00_bglt)
																						BgL_auxz00_13229);
																				}
																				BgL_wide1259z00_2495 =
																					((BgL_rtl_inszf2bbvzf2_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_rtl_inszf2bbvzf2_bgl))));
																				{	/* SawBbv/bbv-specialize.scm 301 */
																					obj_t BgL_auxz00_13242;
																					BgL_objectz00_bglt BgL_tmpz00_13240;

																					BgL_auxz00_13242 =
																						((obj_t) BgL_wide1259z00_2495);
																					BgL_tmpz00_13240 =
																						((BgL_objectz00_bglt)
																						BgL_tmp1258z00_2494);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_tmpz00_13240,
																						BgL_auxz00_13242);
																				}
																				((BgL_objectz00_bglt)
																					BgL_tmp1258z00_2494);
																				{	/* SawBbv/bbv-specialize.scm 301 */
																					long BgL_arg2615z00_2496;

																					BgL_arg2615z00_2496 =
																						BGL_CLASS_NUM
																						(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																					BGL_OBJECT_CLASS_NUM_SET((
																							(BgL_objectz00_bglt)
																							BgL_tmp1258z00_2494),
																						BgL_arg2615z00_2496);
																				}
																				BgL_new1250z00_2485 =
																					((BgL_rtl_insz00_bglt)
																					BgL_tmp1258z00_2494);
																			}
																			((((BgL_rtl_insz00_bglt) COBJECT(
																							((BgL_rtl_insz00_bglt)
																								BgL_new1250z00_2485)))->
																					BgL_locz00) =
																				((obj_t) (((BgL_rtl_insz00_bglt)
																							COBJECT
																							(BgL_duplicated1252z00_2484))->
																						BgL_locz00)), BUNSPEC);
																			((((BgL_rtl_insz00_bglt)
																						COBJECT(((BgL_rtl_insz00_bglt)
																								BgL_new1250z00_2485)))->
																					BgL_z52spillz52) =
																				((obj_t) (((BgL_rtl_insz00_bglt)
																							COBJECT
																							(BgL_duplicated1252z00_2484))->
																						BgL_z52spillz52)), BUNSPEC);
																			((((BgL_rtl_insz00_bglt)
																						COBJECT(((BgL_rtl_insz00_bglt)
																								BgL_new1250z00_2485)))->
																					BgL_destz00) =
																				((obj_t) (((BgL_rtl_insz00_bglt)
																							COBJECT
																							(BgL_duplicated1252z00_2484))->
																						BgL_destz00)), BUNSPEC);
																			{
																				BgL_rtl_funz00_bglt BgL_auxz00_13259;

																				{	/* SawBbv/bbv-specialize.scm 303 */
																					BgL_rtl_funz00_bglt
																						BgL_duplicated1262z00_2486;
																					BgL_rtl_ifnez00_bglt
																						BgL_new1260z00_2487;
																					BgL_duplicated1262z00_2486 =
																						(((BgL_rtl_insz00_bglt)
																							COBJECT(BgL_i1248z00_2478))->
																						BgL_funz00);
																					{	/* SawBbv/bbv-specialize.scm 303 */
																						BgL_rtl_ifnez00_bglt
																							BgL_new1264z00_2488;
																						BgL_new1264z00_2488 =
																							((BgL_rtl_ifnez00_bglt)
																							BOBJECT(GC_MALLOC(sizeof(struct
																										BgL_rtl_ifnez00_bgl))));
																						{	/* SawBbv/bbv-specialize.scm 303 */
																							long BgL_arg2613z00_2489;

																							{	/* SawBbv/bbv-specialize.scm 303 */
																								obj_t BgL_classz00_5867;

																								BgL_classz00_5867 =
																									BGl_rtl_ifnez00zzsaw_defsz00;
																								BgL_arg2613z00_2489 =
																									BGL_CLASS_NUM
																									(BgL_classz00_5867);
																							}
																							BGL_OBJECT_CLASS_NUM_SET(
																								((BgL_objectz00_bglt)
																									BgL_new1264z00_2488),
																								BgL_arg2613z00_2489);
																						}
																						BgL_new1260z00_2487 =
																							BgL_new1264z00_2488;
																					}
																					((((BgL_rtl_funz00_bglt) COBJECT(
																									((BgL_rtl_funz00_bglt)
																										BgL_new1260z00_2487)))->
																							BgL_locz00) =
																						((obj_t) (((BgL_rtl_funz00_bglt)
																									COBJECT
																									(BgL_duplicated1262z00_2486))->
																								BgL_locz00)), BUNSPEC);
																					((((BgL_rtl_ifnez00_bglt)
																								COBJECT(BgL_new1260z00_2487))->
																							BgL_thenz00) =
																						((BgL_blockz00_bglt) (
																								(BgL_blockz00_bglt)
																								BgL_nz00_2480)), BUNSPEC);
																					BgL_auxz00_13259 =
																						((BgL_rtl_funz00_bglt)
																						BgL_new1260z00_2487);
																				}
																				((((BgL_rtl_insz00_bglt) COBJECT(
																								((BgL_rtl_insz00_bglt)
																									BgL_new1250z00_2485)))->
																						BgL_funz00) =
																					((BgL_rtl_funz00_bglt)
																						BgL_auxz00_13259), BUNSPEC);
																			}
																			((((BgL_rtl_insz00_bglt) COBJECT(
																							((BgL_rtl_insz00_bglt)
																								BgL_new1250z00_2485)))->
																					BgL_argsz00) =
																				((obj_t) (((BgL_rtl_insz00_bglt)
																							COBJECT
																							(BgL_duplicated1252z00_2484))->
																						BgL_argsz00)), BUNSPEC);
																			{
																				obj_t BgL_auxz00_13282;
																				BgL_rtl_inszf2bbvzf2_bglt
																					BgL_auxz00_13276;
																				{
																					BgL_rtl_inszf2bbvzf2_bglt
																						BgL_auxz00_13283;
																					{
																						obj_t BgL_auxz00_13284;

																						{	/* SawBbv/bbv-specialize.scm 303 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_13285;
																							BgL_tmpz00_13285 =
																								((BgL_objectz00_bglt) (
																									(BgL_rtl_insz00_bglt)
																									BgL_duplicated1252z00_2484));
																							BgL_auxz00_13284 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_13285);
																						}
																						BgL_auxz00_13283 =
																							((BgL_rtl_inszf2bbvzf2_bglt)
																							BgL_auxz00_13284);
																					}
																					BgL_auxz00_13282 =
																						(((BgL_rtl_inszf2bbvzf2_bglt)
																							COBJECT(BgL_auxz00_13283))->
																						BgL_defz00);
																				}
																				{
																					obj_t BgL_auxz00_13277;

																					{	/* SawBbv/bbv-specialize.scm 303 */
																						BgL_objectz00_bglt BgL_tmpz00_13278;

																						BgL_tmpz00_13278 =
																							((BgL_objectz00_bglt)
																							BgL_new1250z00_2485);
																						BgL_auxz00_13277 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_13278);
																					}
																					BgL_auxz00_13276 =
																						((BgL_rtl_inszf2bbvzf2_bglt)
																						BgL_auxz00_13277);
																				}
																				((((BgL_rtl_inszf2bbvzf2_bglt)
																							COBJECT(BgL_auxz00_13276))->
																						BgL_defz00) =
																					((obj_t) BgL_auxz00_13282), BUNSPEC);
																			}
																			{
																				obj_t BgL_auxz00_13298;
																				BgL_rtl_inszf2bbvzf2_bglt
																					BgL_auxz00_13292;
																				{
																					BgL_rtl_inszf2bbvzf2_bglt
																						BgL_auxz00_13299;
																					{
																						obj_t BgL_auxz00_13300;

																						{	/* SawBbv/bbv-specialize.scm 303 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_13301;
																							BgL_tmpz00_13301 =
																								((BgL_objectz00_bglt) (
																									(BgL_rtl_insz00_bglt)
																									BgL_duplicated1252z00_2484));
																							BgL_auxz00_13300 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_13301);
																						}
																						BgL_auxz00_13299 =
																							((BgL_rtl_inszf2bbvzf2_bglt)
																							BgL_auxz00_13300);
																					}
																					BgL_auxz00_13298 =
																						(((BgL_rtl_inszf2bbvzf2_bglt)
																							COBJECT(BgL_auxz00_13299))->
																						BgL_outz00);
																				}
																				{
																					obj_t BgL_auxz00_13293;

																					{	/* SawBbv/bbv-specialize.scm 303 */
																						BgL_objectz00_bglt BgL_tmpz00_13294;

																						BgL_tmpz00_13294 =
																							((BgL_objectz00_bglt)
																							BgL_new1250z00_2485);
																						BgL_auxz00_13293 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_13294);
																					}
																					BgL_auxz00_13292 =
																						((BgL_rtl_inszf2bbvzf2_bglt)
																						BgL_auxz00_13293);
																				}
																				((((BgL_rtl_inszf2bbvzf2_bglt)
																							COBJECT(BgL_auxz00_13292))->
																						BgL_outz00) =
																					((obj_t) BgL_auxz00_13298), BUNSPEC);
																			}
																			{
																				obj_t BgL_auxz00_13314;
																				BgL_rtl_inszf2bbvzf2_bglt
																					BgL_auxz00_13308;
																				{
																					BgL_rtl_inszf2bbvzf2_bglt
																						BgL_auxz00_13315;
																					{
																						obj_t BgL_auxz00_13316;

																						{	/* SawBbv/bbv-specialize.scm 303 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_13317;
																							BgL_tmpz00_13317 =
																								((BgL_objectz00_bglt) (
																									(BgL_rtl_insz00_bglt)
																									BgL_duplicated1252z00_2484));
																							BgL_auxz00_13316 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_13317);
																						}
																						BgL_auxz00_13315 =
																							((BgL_rtl_inszf2bbvzf2_bglt)
																							BgL_auxz00_13316);
																					}
																					BgL_auxz00_13314 =
																						(((BgL_rtl_inszf2bbvzf2_bglt)
																							COBJECT(BgL_auxz00_13315))->
																						BgL_inz00);
																				}
																				{
																					obj_t BgL_auxz00_13309;

																					{	/* SawBbv/bbv-specialize.scm 303 */
																						BgL_objectz00_bglt BgL_tmpz00_13310;

																						BgL_tmpz00_13310 =
																							((BgL_objectz00_bglt)
																							BgL_new1250z00_2485);
																						BgL_auxz00_13309 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_13310);
																					}
																					BgL_auxz00_13308 =
																						((BgL_rtl_inszf2bbvzf2_bglt)
																						BgL_auxz00_13309);
																				}
																				((((BgL_rtl_inszf2bbvzf2_bglt)
																							COBJECT(BgL_auxz00_13308))->
																						BgL_inz00) =
																					((obj_t) BgL_auxz00_13314), BUNSPEC);
																			}
																			{
																				BgL_rtl_inszf2bbvzf2_bglt
																					BgL_auxz00_13324;
																				{
																					obj_t BgL_auxz00_13325;

																					{	/* SawBbv/bbv-specialize.scm 302 */
																						BgL_objectz00_bglt BgL_tmpz00_13326;

																						BgL_tmpz00_13326 =
																							((BgL_objectz00_bglt)
																							BgL_new1250z00_2485);
																						BgL_auxz00_13325 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_13326);
																					}
																					BgL_auxz00_13324 =
																						((BgL_rtl_inszf2bbvzf2_bglt)
																						BgL_auxz00_13325);
																				}
																				((((BgL_rtl_inszf2bbvzf2_bglt)
																							COBJECT(BgL_auxz00_13324))->
																						BgL_ctxz00) =
																					((BgL_bbvzd2ctxzd2_bglt)
																						BgL_ctxz00_2369), BUNSPEC);
																			}
																			{
																				obj_t BgL_auxz00_13337;
																				BgL_rtl_inszf2bbvzf2_bglt
																					BgL_auxz00_13331;
																				{
																					BgL_rtl_inszf2bbvzf2_bglt
																						BgL_auxz00_13338;
																					{
																						obj_t BgL_auxz00_13339;

																						{	/* SawBbv/bbv-specialize.scm 302 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_13340;
																							BgL_tmpz00_13340 =
																								((BgL_objectz00_bglt) (
																									(BgL_rtl_insz00_bglt)
																									BgL_duplicated1252z00_2484));
																							BgL_auxz00_13339 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_13340);
																						}
																						BgL_auxz00_13338 =
																							((BgL_rtl_inszf2bbvzf2_bglt)
																							BgL_auxz00_13339);
																					}
																					BgL_auxz00_13337 =
																						(((BgL_rtl_inszf2bbvzf2_bglt)
																							COBJECT(BgL_auxz00_13338))->
																						BgL_z52hashz52);
																				}
																				{
																					obj_t BgL_auxz00_13332;

																					{	/* SawBbv/bbv-specialize.scm 302 */
																						BgL_objectz00_bglt BgL_tmpz00_13333;

																						BgL_tmpz00_13333 =
																							((BgL_objectz00_bglt)
																							BgL_new1250z00_2485);
																						BgL_auxz00_13332 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_13333);
																					}
																					BgL_auxz00_13331 =
																						((BgL_rtl_inszf2bbvzf2_bglt)
																						BgL_auxz00_13332);
																				}
																				((((BgL_rtl_inszf2bbvzf2_bglt)
																							COBJECT(BgL_auxz00_13331))->
																						BgL_z52hashz52) =
																					((obj_t) BgL_auxz00_13337), BUNSPEC);
																			}
																			BgL_insz00_2481 = BgL_new1250z00_2485;
																		}
																		{	/* SawBbv/bbv-specialize.scm 301 */

																			BGl_connectz12z12zzsaw_bbvzd2specializa7ez75
																				(BgL_bsz00_9900,
																				((BgL_rtl_insz00_bglt)
																					BgL_insz00_2481));
																			{	/* SawBbv/bbv-specialize.scm 306 */
																				obj_t BgL_arg2611z00_2482;
																				obj_t BgL_arg2612z00_2483;

																				BgL_arg2611z00_2482 =
																					CDR(((obj_t) BgL_oinsz00_2367));
																				BgL_arg2612z00_2483 =
																					MAKE_YOUNG_PAIR(
																					((obj_t) BgL_insz00_2481),
																					BgL_ninsz00_2368);
																				{
																					obj_t BgL_ninsz00_13354;
																					obj_t BgL_oinsz00_13353;

																					BgL_oinsz00_13353 =
																						BgL_arg2611z00_2482;
																					BgL_ninsz00_13354 =
																						BgL_arg2612z00_2483;
																					BgL_ninsz00_2368 = BgL_ninsz00_13354;
																					BgL_oinsz00_2367 = BgL_oinsz00_13353;
																					goto
																						BGl_loopze70ze7zzsaw_bbvzd2specializa7ez75;
																				}
																			}
																		}
																	}
																}
															}
														}
													else
														{	/* SawBbv/bbv-specialize.scm 308 */
															BgL_rtl_insz00_bglt BgL_i1265z00_2501;

															BgL_i1265z00_2501 =
																((BgL_rtl_insz00_bglt)
																CAR(((obj_t) BgL_oinsz00_2367)));
															{
																obj_t BgL_argsz00_2505;
																obj_t BgL_nargsz00_2506;
																BgL_bbvzd2ctxzd2_bglt BgL_actxz00_2507;

																BgL_argsz00_2505 =
																	(((BgL_rtl_insz00_bglt)
																		COBJECT(BgL_i1265z00_2501))->BgL_argsz00);
																BgL_nargsz00_2506 = BNIL;
																BgL_actxz00_2507 = BgL_ctxz00_2369;
															BgL_zc3z04anonymousza32623ze3z87_2508:
																if (NULLP(BgL_argsz00_2505))
																	{	/* SawBbv/bbv-specialize.scm 314 */
																		BgL_bbvzd2ctxzd2_bglt BgL_nctxz00_2510;

																		{	/* SawBbv/bbv-specialize.scm 314 */
																			obj_t BgL_arg2631z00_2516;

																			BgL_arg2631z00_2516 =
																				CAR(((obj_t) BgL_oinsz00_2367));
																			BgL_nctxz00_2510 =
																				BGl_bbvzd2ctxzd2extendzd2livezd2outzd2regszd2zzsaw_bbvzd2utilszd2
																				(BgL_actxz00_2507,
																				((BgL_rtl_insz00_bglt)
																					BgL_arg2631z00_2516));
																		}
																		{	/* SawBbv/bbv-specialize.scm 317 */
																			obj_t BgL_arg2625z00_2511;
																			obj_t BgL_arg2626z00_2512;

																			BgL_arg2625z00_2511 =
																				CDR(((obj_t) BgL_oinsz00_2367));
																			{	/* SawBbv/bbv-specialize.scm 318 */
																				BgL_rtl_insz00_bglt BgL_arg2628z00_2513;

																				{	/* SawBbv/bbv-specialize.scm 318 */
																					obj_t BgL_arg2629z00_2514;
																					obj_t BgL_arg2630z00_2515;

																					BgL_arg2629z00_2514 =
																						CAR(((obj_t) BgL_oinsz00_2367));
																					BgL_arg2630z00_2515 =
																						bgl_reverse_bang(BgL_nargsz00_2506);
																					BgL_arg2628z00_2513 =
																						BGl_duplicatezd2inszf2argsz20zzsaw_bbvzd2specializa7ez75
																						(BgL_arg2629z00_2514,
																						BgL_arg2630z00_2515,
																						BgL_actxz00_2507);
																				}
																				BgL_arg2626z00_2512 =
																					MAKE_YOUNG_PAIR(
																					((obj_t) BgL_arg2628z00_2513),
																					BgL_ninsz00_2368);
																			}
																			{
																				BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_13374;
																				obj_t BgL_ninsz00_13373;
																				obj_t BgL_oinsz00_13372;

																				BgL_oinsz00_13372 = BgL_arg2625z00_2511;
																				BgL_ninsz00_13373 = BgL_arg2626z00_2512;
																				BgL_ctxz00_13374 = BgL_nctxz00_2510;
																				BgL_ctxz00_2369 = BgL_ctxz00_13374;
																				BgL_ninsz00_2368 = BgL_ninsz00_13373;
																				BgL_oinsz00_2367 = BgL_oinsz00_13372;
																				goto
																					BGl_loopze70ze7zzsaw_bbvzd2specializa7ez75;
																			}
																		}
																	}
																else
																	{	/* SawBbv/bbv-specialize.scm 320 */
																		bool_t BgL_test4464z00_13375;

																		{	/* SawBbv/bbv-specialize.scm 320 */
																			obj_t BgL_arg2658z00_2531;

																			BgL_arg2658z00_2531 =
																				CAR(((obj_t) BgL_argsz00_2505));
																			{	/* SawBbv/bbv-specialize.scm 320 */
																				obj_t BgL_classz00_5885;

																				BgL_classz00_5885 =
																					BGl_rtl_insz00zzsaw_defsz00;
																				if (BGL_OBJECTP(BgL_arg2658z00_2531))
																					{	/* SawBbv/bbv-specialize.scm 320 */
																						BgL_objectz00_bglt
																							BgL_arg1858z00_5887;
																						BgL_arg1858z00_5887 =
																							(BgL_objectz00_bglt)
																							(BgL_arg2658z00_2531);
																						if (BGL_CONDEXPAND_ISA_ARCH64())
																							{	/* SawBbv/bbv-specialize.scm 320 */
																								long BgL_idxz00_5893;

																								BgL_idxz00_5893 =
																									BGL_OBJECT_INHERITANCE_NUM
																									(BgL_arg1858z00_5887);
																								BgL_test4464z00_13375 =
																									(VECTOR_REF
																									(BGl_za2inheritancesza2z00zz__objectz00,
																										(BgL_idxz00_5893 + 1L)) ==
																									BgL_classz00_5885);
																							}
																						else
																							{	/* SawBbv/bbv-specialize.scm 320 */
																								bool_t BgL_res4082z00_5918;

																								{	/* SawBbv/bbv-specialize.scm 320 */
																									obj_t BgL_oclassz00_5901;

																									{	/* SawBbv/bbv-specialize.scm 320 */
																										obj_t BgL_arg1866z00_5909;
																										long BgL_arg1867z00_5910;

																										BgL_arg1866z00_5909 =
																											(BGl_za2classesza2z00zz__objectz00);
																										{	/* SawBbv/bbv-specialize.scm 320 */
																											long BgL_arg1869z00_5911;

																											BgL_arg1869z00_5911 =
																												BGL_OBJECT_CLASS_NUM
																												(BgL_arg1858z00_5887);
																											BgL_arg1867z00_5910 =
																												(BgL_arg1869z00_5911 -
																												OBJECT_TYPE);
																										}
																										BgL_oclassz00_5901 =
																											VECTOR_REF
																											(BgL_arg1866z00_5909,
																											BgL_arg1867z00_5910);
																									}
																									{	/* SawBbv/bbv-specialize.scm 320 */
																										bool_t
																											BgL__ortest_1115z00_5902;
																										BgL__ortest_1115z00_5902 =
																											(BgL_classz00_5885 ==
																											BgL_oclassz00_5901);
																										if (BgL__ortest_1115z00_5902)
																											{	/* SawBbv/bbv-specialize.scm 320 */
																												BgL_res4082z00_5918 =
																													BgL__ortest_1115z00_5902;
																											}
																										else
																											{	/* SawBbv/bbv-specialize.scm 320 */
																												long BgL_odepthz00_5903;

																												{	/* SawBbv/bbv-specialize.scm 320 */
																													obj_t
																														BgL_arg1855z00_5904;
																													BgL_arg1855z00_5904 =
																														(BgL_oclassz00_5901);
																													BgL_odepthz00_5903 =
																														BGL_CLASS_DEPTH
																														(BgL_arg1855z00_5904);
																												}
																												if (
																													(1L <
																														BgL_odepthz00_5903))
																													{	/* SawBbv/bbv-specialize.scm 320 */
																														obj_t
																															BgL_arg1853z00_5906;
																														{	/* SawBbv/bbv-specialize.scm 320 */
																															obj_t
																																BgL_arg1854z00_5907;
																															BgL_arg1854z00_5907
																																=
																																(BgL_oclassz00_5901);
																															BgL_arg1853z00_5906
																																=
																																BGL_CLASS_ANCESTORS_REF
																																(BgL_arg1854z00_5907,
																																1L);
																														}
																														BgL_res4082z00_5918
																															=
																															(BgL_arg1853z00_5906
																															==
																															BgL_classz00_5885);
																													}
																												else
																													{	/* SawBbv/bbv-specialize.scm 320 */
																														BgL_res4082z00_5918
																															= ((bool_t) 0);
																													}
																											}
																									}
																								}
																								BgL_test4464z00_13375 =
																									BgL_res4082z00_5918;
																							}
																					}
																				else
																					{	/* SawBbv/bbv-specialize.scm 320 */
																						BgL_test4464z00_13375 =
																							((bool_t) 0);
																					}
																			}
																		}
																		if (BgL_test4464z00_13375)
																			{	/* SawBbv/bbv-specialize.scm 321 */
																				obj_t BgL_niz00_2519;

																				{	/* SawBbv/bbv-specialize.scm 321 */
																					obj_t BgL_arg2643z00_2524;

																					{	/* SawBbv/bbv-specialize.scm 321 */
																						obj_t BgL_arg2645z00_2525;

																						{	/* SawBbv/bbv-specialize.scm 321 */
																							obj_t BgL_arg2649z00_2526;

																							BgL_arg2649z00_2526 =
																								CAR(((obj_t) BgL_argsz00_2505));
																							{	/* SawBbv/bbv-specialize.scm 321 */
																								obj_t BgL_list2650z00_2527;

																								BgL_list2650z00_2527 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg2649z00_2526, BNIL);
																								BgL_arg2645z00_2525 =
																									BgL_list2650z00_2527;
																							}
																						}
																						BgL_arg2643z00_2524 =
																							BGl_loopze70ze7zzsaw_bbvzd2specializa7ez75
																							(BgL_bsz00_9900,
																							BgL_queuez00_9899,
																							BgL_arg2645z00_2525, BNIL,
																							BgL_actxz00_2507);
																					}
																					BgL_niz00_2519 =
																						CAR(((obj_t) BgL_arg2643z00_2524));
																				}
																				{	/* SawBbv/bbv-specialize.scm 323 */
																					obj_t BgL_arg2635z00_2521;
																					obj_t BgL_arg2636z00_2522;
																					BgL_bbvzd2ctxzd2_bglt
																						BgL_arg2640z00_2523;
																					BgL_arg2635z00_2521 =
																						CDR(((obj_t) BgL_argsz00_2505));
																					BgL_arg2636z00_2522 =
																						MAKE_YOUNG_PAIR(BgL_niz00_2519,
																						BgL_nargsz00_2506);
																					{
																						BgL_rtl_inszf2bbvzf2_bglt
																							BgL_auxz00_13409;
																						{
																							obj_t BgL_auxz00_13410;

																							{	/* SawBbv/bbv-specialize.scm 323 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_13411;
																								BgL_tmpz00_13411 =
																									((BgL_objectz00_bglt) (
																										(BgL_rtl_insz00_bglt)
																										BgL_niz00_2519));
																								BgL_auxz00_13410 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_13411);
																							}
																							BgL_auxz00_13409 =
																								((BgL_rtl_inszf2bbvzf2_bglt)
																								BgL_auxz00_13410);
																						}
																						BgL_arg2640z00_2523 =
																							(((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_13409))->
																							BgL_ctxz00);
																					}
																					{
																						BgL_bbvzd2ctxzd2_bglt
																							BgL_actxz00_13419;
																						obj_t BgL_nargsz00_13418;
																						obj_t BgL_argsz00_13417;

																						BgL_argsz00_13417 =
																							BgL_arg2635z00_2521;
																						BgL_nargsz00_13418 =
																							BgL_arg2636z00_2522;
																						BgL_actxz00_13419 =
																							BgL_arg2640z00_2523;
																						BgL_actxz00_2507 =
																							BgL_actxz00_13419;
																						BgL_nargsz00_2506 =
																							BgL_nargsz00_13418;
																						BgL_argsz00_2505 =
																							BgL_argsz00_13417;
																						goto
																							BgL_zc3z04anonymousza32623ze3z87_2508;
																					}
																				}
																			}
																		else
																			{	/* SawBbv/bbv-specialize.scm 325 */
																				obj_t BgL_arg2652z00_2528;
																				obj_t BgL_arg2655z00_2529;

																				BgL_arg2652z00_2528 =
																					CDR(((obj_t) BgL_argsz00_2505));
																				{	/* SawBbv/bbv-specialize.scm 325 */
																					obj_t BgL_arg2656z00_2530;

																					BgL_arg2656z00_2530 =
																						CAR(((obj_t) BgL_argsz00_2505));
																					BgL_arg2655z00_2529 =
																						MAKE_YOUNG_PAIR(BgL_arg2656z00_2530,
																						BgL_nargsz00_2506);
																				}
																				{
																					obj_t BgL_nargsz00_13426;
																					obj_t BgL_argsz00_13425;

																					BgL_argsz00_13425 =
																						BgL_arg2652z00_2528;
																					BgL_nargsz00_13426 =
																						BgL_arg2655z00_2529;
																					BgL_nargsz00_2506 =
																						BgL_nargsz00_13426;
																					BgL_argsz00_2505 = BgL_argsz00_13425;
																					goto
																						BgL_zc3z04anonymousza32623ze3z87_2508;
																				}
																			}
																	}
															}
														}
												}
										}
								}
						}
				}
		}

	}



/* ins-update! */
	obj_t BGl_inszd2updatez12zc0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_firstz00_269, BgL_blockz00_bglt BgL_bsz00_270,
		BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_271,
		BgL_bbvzd2queuezd2_bglt BgL_queuez00_272)
	{
		{	/* SawBbv/bbv-specialize.scm 330 */
			{
				BgL_blocksz00_bglt BgL_auxz00_13428;

				{
					obj_t BgL_auxz00_13429;

					{	/* SawBbv/bbv-specialize.scm 336 */
						BgL_objectz00_bglt BgL_tmpz00_13430;

						BgL_tmpz00_13430 = ((BgL_objectz00_bglt) BgL_bsz00_270);
						BgL_auxz00_13429 = BGL_OBJECT_WIDENING(BgL_tmpz00_13430);
					}
					BgL_auxz00_13428 = ((BgL_blocksz00_bglt) BgL_auxz00_13429);
				}
				((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13428))->BgL_asleepz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
			}
			{
				obj_t BgL_l2351z00_2542;

				BgL_l2351z00_2542 = BgL_firstz00_269;
			BgL_zc3z04anonymousza32667ze3z87_2543:
				if (NULLP(BgL_l2351z00_2542))
					{	/* SawBbv/bbv-specialize.scm 341 */
						BgL_firstz00_269;
					}
				else
					{	/* SawBbv/bbv-specialize.scm 341 */
						{	/* SawBbv/bbv-specialize.scm 342 */
							obj_t BgL_arg2670z00_2545;

							{	/* SawBbv/bbv-specialize.scm 342 */
								obj_t BgL_oinz00_2546;

								BgL_oinz00_2546 = CAR(((obj_t) BgL_l2351z00_2542));
								if (BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2(
										((BgL_rtl_insz00_bglt) BgL_oinz00_2546)))
									{	/* SawBbv/bbv-specialize.scm 347 */
										BgL_rtl_goz00_bglt BgL_i1271z00_2550;

										BgL_i1271z00_2550 =
											((BgL_rtl_goz00_bglt)
											(((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_oinz00_2546)))->
												BgL_funz00));
										{	/* SawBbv/bbv-specialize.scm 348 */
											BgL_blockz00_bglt BgL_nz00_2551;

											{	/* SawBbv/bbv-specialize.scm 348 */
												BgL_blockz00_bglt BgL_arg2676z00_2568;
												BgL_bbvzd2ctxzd2_bglt BgL_arg2679z00_2569;

												BgL_arg2676z00_2568 =
													(((BgL_rtl_goz00_bglt) COBJECT(BgL_i1271z00_2550))->
													BgL_toz00);
												{
													BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13446;

													{
														obj_t BgL_auxz00_13447;

														{	/* SawBbv/bbv-specialize.scm 348 */
															BgL_objectz00_bglt BgL_tmpz00_13448;

															BgL_tmpz00_13448 =
																((BgL_objectz00_bglt)
																((BgL_rtl_insz00_bglt) BgL_oinz00_2546));
															BgL_auxz00_13447 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_13448);
														}
														BgL_auxz00_13446 =
															((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_13447);
													}
													BgL_arg2679z00_2569 =
														(((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_13446))->BgL_ctxz00);
												}
												BgL_nz00_2551 =
													BGl_bbvzd2blockzd2zzsaw_bbvzd2specializa7ez75
													(BgL_arg2676z00_2568, BgL_arg2679z00_2569,
													BgL_queuez00_272, ((obj_t) BgL_bsz00_270));
											}
											{	/* SawBbv/bbv-specialize.scm 348 */
												BgL_rtl_insz00_bglt BgL_insz00_2552;

												{	/* SawBbv/bbv-specialize.scm 349 */
													BgL_rtl_insz00_bglt BgL_new1272z00_2554;

													{	/* SawBbv/bbv-specialize.scm 350 */
														BgL_rtl_insz00_bglt BgL_tmp1280z00_2563;
														BgL_rtl_inszf2bbvzf2_bglt BgL_wide1281z00_2564;

														{
															BgL_rtl_insz00_bglt BgL_auxz00_13456;

															{	/* SawBbv/bbv-specialize.scm 350 */
																BgL_rtl_insz00_bglt BgL_new1279z00_2566;

																BgL_new1279z00_2566 =
																	((BgL_rtl_insz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_rtl_insz00_bgl))));
																{	/* SawBbv/bbv-specialize.scm 350 */
																	long BgL_arg2675z00_2567;

																	BgL_arg2675z00_2567 =
																		BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1279z00_2566),
																		BgL_arg2675z00_2567);
																}
																{	/* SawBbv/bbv-specialize.scm 350 */
																	BgL_objectz00_bglt BgL_tmpz00_13461;

																	BgL_tmpz00_13461 =
																		((BgL_objectz00_bglt) BgL_new1279z00_2566);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13461,
																		BFALSE);
																}
																((BgL_objectz00_bglt) BgL_new1279z00_2566);
																BgL_auxz00_13456 = BgL_new1279z00_2566;
															}
															BgL_tmp1280z00_2563 =
																((BgL_rtl_insz00_bglt) BgL_auxz00_13456);
														}
														BgL_wide1281z00_2564 =
															((BgL_rtl_inszf2bbvzf2_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_rtl_inszf2bbvzf2_bgl))));
														{	/* SawBbv/bbv-specialize.scm 350 */
															obj_t BgL_auxz00_13469;
															BgL_objectz00_bglt BgL_tmpz00_13467;

															BgL_auxz00_13469 = ((obj_t) BgL_wide1281z00_2564);
															BgL_tmpz00_13467 =
																((BgL_objectz00_bglt) BgL_tmp1280z00_2563);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13467,
																BgL_auxz00_13469);
														}
														((BgL_objectz00_bglt) BgL_tmp1280z00_2563);
														{	/* SawBbv/bbv-specialize.scm 350 */
															long BgL_arg2674z00_2565;

															BgL_arg2674z00_2565 =
																BGL_CLASS_NUM
																(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
															BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																	BgL_tmp1280z00_2563), BgL_arg2674z00_2565);
														}
														BgL_new1272z00_2554 =
															((BgL_rtl_insz00_bglt) BgL_tmp1280z00_2563);
													}
													((((BgL_rtl_insz00_bglt) COBJECT(
																	((BgL_rtl_insz00_bglt)
																		BgL_new1272z00_2554)))->BgL_locz00) =
														((obj_t) (((BgL_rtl_insz00_bglt)
																	COBJECT(((BgL_rtl_insz00_bglt)
																			BgL_oinz00_2546)))->BgL_locz00)),
														BUNSPEC);
													((((BgL_rtl_insz00_bglt)
																COBJECT(((BgL_rtl_insz00_bglt)
																		BgL_new1272z00_2554)))->BgL_z52spillz52) =
														((obj_t) (((BgL_rtl_insz00_bglt)
																	COBJECT(((BgL_rtl_insz00_bglt)
																			BgL_oinz00_2546)))->BgL_z52spillz52)),
														BUNSPEC);
													((((BgL_rtl_insz00_bglt)
																COBJECT(((BgL_rtl_insz00_bglt)
																		BgL_new1272z00_2554)))->BgL_destz00) =
														((obj_t) (((BgL_rtl_insz00_bglt)
																	COBJECT(((BgL_rtl_insz00_bglt)
																			BgL_oinz00_2546)))->BgL_destz00)),
														BUNSPEC);
													{
														BgL_rtl_funz00_bglt BgL_auxz00_13489;

														{	/* SawBbv/bbv-specialize.scm 351 */
															BgL_rtl_funz00_bglt BgL_duplicated1284z00_2555;
															BgL_rtl_goz00_bglt BgL_new1282z00_2556;

															BgL_duplicated1284z00_2555 =
																(((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt) BgL_oinz00_2546)))->
																BgL_funz00);
															{	/* SawBbv/bbv-specialize.scm 352 */
																BgL_rtl_goz00_bglt BgL_new1285z00_2557;

																BgL_new1285z00_2557 =
																	((BgL_rtl_goz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_rtl_goz00_bgl))));
																{	/* SawBbv/bbv-specialize.scm 352 */
																	long BgL_arg2673z00_2558;

																	{	/* SawBbv/bbv-specialize.scm 352 */
																		obj_t BgL_classz00_5937;

																		BgL_classz00_5937 =
																			BGl_rtl_goz00zzsaw_defsz00;
																		BgL_arg2673z00_2558 =
																			BGL_CLASS_NUM(BgL_classz00_5937);
																	}
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1285z00_2557),
																		BgL_arg2673z00_2558);
																}
																BgL_new1282z00_2556 = BgL_new1285z00_2557;
															}
															((((BgL_rtl_funz00_bglt) COBJECT(
																			((BgL_rtl_funz00_bglt)
																				BgL_new1282z00_2556)))->BgL_locz00) =
																((obj_t) (((BgL_rtl_funz00_bglt)
																			COBJECT(BgL_duplicated1284z00_2555))->
																		BgL_locz00)), BUNSPEC);
															((((BgL_rtl_goz00_bglt)
																		COBJECT(BgL_new1282z00_2556))->BgL_toz00) =
																((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
																		BgL_nz00_2551)), BUNSPEC);
															BgL_auxz00_13489 =
																((BgL_rtl_funz00_bglt) BgL_new1282z00_2556);
														}
														((((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt)
																			BgL_new1272z00_2554)))->BgL_funz00) =
															((BgL_rtl_funz00_bglt) BgL_auxz00_13489),
															BUNSPEC);
													}
													((((BgL_rtl_insz00_bglt) COBJECT(
																	((BgL_rtl_insz00_bglt)
																		BgL_new1272z00_2554)))->BgL_argsz00) =
														((obj_t) (((BgL_rtl_insz00_bglt)
																	COBJECT(((BgL_rtl_insz00_bglt)
																			BgL_oinz00_2546)))->BgL_argsz00)),
														BUNSPEC);
													{
														obj_t BgL_auxz00_13514;
														BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13508;

														{
															BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13515;

															{
																obj_t BgL_auxz00_13516;

																{	/* SawBbv/bbv-specialize.scm 350 */
																	BgL_objectz00_bglt BgL_tmpz00_13517;

																	BgL_tmpz00_13517 =
																		((BgL_objectz00_bglt)
																		((BgL_rtl_insz00_bglt)
																			((BgL_rtl_insz00_bglt) BgL_oinz00_2546)));
																	BgL_auxz00_13516 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_13517);
																}
																BgL_auxz00_13515 =
																	((BgL_rtl_inszf2bbvzf2_bglt)
																	BgL_auxz00_13516);
															}
															BgL_auxz00_13514 =
																(((BgL_rtl_inszf2bbvzf2_bglt)
																	COBJECT(BgL_auxz00_13515))->BgL_defz00);
														}
														{
															obj_t BgL_auxz00_13509;

															{	/* SawBbv/bbv-specialize.scm 350 */
																BgL_objectz00_bglt BgL_tmpz00_13510;

																BgL_tmpz00_13510 =
																	((BgL_objectz00_bglt) BgL_new1272z00_2554);
																BgL_auxz00_13509 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_13510);
															}
															BgL_auxz00_13508 =
																((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_13509);
														}
														((((BgL_rtl_inszf2bbvzf2_bglt)
																	COBJECT(BgL_auxz00_13508))->BgL_defz00) =
															((obj_t) BgL_auxz00_13514), BUNSPEC);
													}
													{
														obj_t BgL_auxz00_13531;
														BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13525;

														{
															BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13532;

															{
																obj_t BgL_auxz00_13533;

																{	/* SawBbv/bbv-specialize.scm 350 */
																	BgL_objectz00_bglt BgL_tmpz00_13534;

																	BgL_tmpz00_13534 =
																		((BgL_objectz00_bglt)
																		((BgL_rtl_insz00_bglt)
																			((BgL_rtl_insz00_bglt) BgL_oinz00_2546)));
																	BgL_auxz00_13533 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_13534);
																}
																BgL_auxz00_13532 =
																	((BgL_rtl_inszf2bbvzf2_bglt)
																	BgL_auxz00_13533);
															}
															BgL_auxz00_13531 =
																(((BgL_rtl_inszf2bbvzf2_bglt)
																	COBJECT(BgL_auxz00_13532))->BgL_outz00);
														}
														{
															obj_t BgL_auxz00_13526;

															{	/* SawBbv/bbv-specialize.scm 350 */
																BgL_objectz00_bglt BgL_tmpz00_13527;

																BgL_tmpz00_13527 =
																	((BgL_objectz00_bglt) BgL_new1272z00_2554);
																BgL_auxz00_13526 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_13527);
															}
															BgL_auxz00_13525 =
																((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_13526);
														}
														((((BgL_rtl_inszf2bbvzf2_bglt)
																	COBJECT(BgL_auxz00_13525))->BgL_outz00) =
															((obj_t) BgL_auxz00_13531), BUNSPEC);
													}
													{
														obj_t BgL_auxz00_13548;
														BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13542;

														{
															BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13549;

															{
																obj_t BgL_auxz00_13550;

																{	/* SawBbv/bbv-specialize.scm 350 */
																	BgL_objectz00_bglt BgL_tmpz00_13551;

																	BgL_tmpz00_13551 =
																		((BgL_objectz00_bglt)
																		((BgL_rtl_insz00_bglt)
																			((BgL_rtl_insz00_bglt) BgL_oinz00_2546)));
																	BgL_auxz00_13550 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_13551);
																}
																BgL_auxz00_13549 =
																	((BgL_rtl_inszf2bbvzf2_bglt)
																	BgL_auxz00_13550);
															}
															BgL_auxz00_13548 =
																(((BgL_rtl_inszf2bbvzf2_bglt)
																	COBJECT(BgL_auxz00_13549))->BgL_inz00);
														}
														{
															obj_t BgL_auxz00_13543;

															{	/* SawBbv/bbv-specialize.scm 350 */
																BgL_objectz00_bglt BgL_tmpz00_13544;

																BgL_tmpz00_13544 =
																	((BgL_objectz00_bglt) BgL_new1272z00_2554);
																BgL_auxz00_13543 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_13544);
															}
															BgL_auxz00_13542 =
																((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_13543);
														}
														((((BgL_rtl_inszf2bbvzf2_bglt)
																	COBJECT(BgL_auxz00_13542))->BgL_inz00) =
															((obj_t) BgL_auxz00_13548), BUNSPEC);
													}
													{
														BgL_bbvzd2ctxzd2_bglt BgL_auxz00_13565;
														BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13559;

														{
															BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13566;

															{
																obj_t BgL_auxz00_13567;

																{	/* SawBbv/bbv-specialize.scm 350 */
																	BgL_objectz00_bglt BgL_tmpz00_13568;

																	BgL_tmpz00_13568 =
																		((BgL_objectz00_bglt)
																		((BgL_rtl_insz00_bglt) BgL_oinz00_2546));
																	BgL_auxz00_13567 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_13568);
																}
																BgL_auxz00_13566 =
																	((BgL_rtl_inszf2bbvzf2_bglt)
																	BgL_auxz00_13567);
															}
															BgL_auxz00_13565 =
																(((BgL_rtl_inszf2bbvzf2_bglt)
																	COBJECT(BgL_auxz00_13566))->BgL_ctxz00);
														}
														{
															obj_t BgL_auxz00_13560;

															{	/* SawBbv/bbv-specialize.scm 350 */
																BgL_objectz00_bglt BgL_tmpz00_13561;

																BgL_tmpz00_13561 =
																	((BgL_objectz00_bglt) BgL_new1272z00_2554);
																BgL_auxz00_13560 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_13561);
															}
															BgL_auxz00_13559 =
																((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_13560);
														}
														((((BgL_rtl_inszf2bbvzf2_bglt)
																	COBJECT(BgL_auxz00_13559))->BgL_ctxz00) =
															((BgL_bbvzd2ctxzd2_bglt) BgL_auxz00_13565),
															BUNSPEC);
													}
													{
														obj_t BgL_auxz00_13581;
														BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13575;

														{
															BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13582;

															{
																obj_t BgL_auxz00_13583;

																{	/* SawBbv/bbv-specialize.scm 350 */
																	BgL_objectz00_bglt BgL_tmpz00_13584;

																	BgL_tmpz00_13584 =
																		((BgL_objectz00_bglt)
																		((BgL_rtl_insz00_bglt)
																			((BgL_rtl_insz00_bglt) BgL_oinz00_2546)));
																	BgL_auxz00_13583 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_13584);
																}
																BgL_auxz00_13582 =
																	((BgL_rtl_inszf2bbvzf2_bglt)
																	BgL_auxz00_13583);
															}
															BgL_auxz00_13581 =
																(((BgL_rtl_inszf2bbvzf2_bglt)
																	COBJECT(BgL_auxz00_13582))->BgL_z52hashz52);
														}
														{
															obj_t BgL_auxz00_13576;

															{	/* SawBbv/bbv-specialize.scm 350 */
																BgL_objectz00_bglt BgL_tmpz00_13577;

																BgL_tmpz00_13577 =
																	((BgL_objectz00_bglt) BgL_new1272z00_2554);
																BgL_auxz00_13576 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_13577);
															}
															BgL_auxz00_13575 =
																((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_13576);
														}
														((((BgL_rtl_inszf2bbvzf2_bglt)
																	COBJECT(BgL_auxz00_13575))->BgL_z52hashz52) =
															((obj_t) BgL_auxz00_13581), BUNSPEC);
													}
													BgL_insz00_2552 = BgL_new1272z00_2554;
												}
												{	/* SawBbv/bbv-specialize.scm 349 */

													BGl_connectz12z12zzsaw_bbvzd2specializa7ez75
														(BgL_bsz00_270,
														((BgL_rtl_insz00_bglt) BgL_insz00_2552));
													BgL_arg2670z00_2545 = ((obj_t) BgL_insz00_2552);
									}}}}
								else
									{	/* SawBbv/bbv-specialize.scm 344 */
										if (CBOOL(BGl_rtl_inszd2switchzf3z21zzsaw_bbvzd2typeszd2(
													((BgL_rtl_insz00_bglt) BgL_oinz00_2546))))
											{	/* SawBbv/bbv-specialize.scm 358 */
												BgL_rtl_switchz00_bglt BgL_i1287z00_2573;

												BgL_i1287z00_2573 =
													((BgL_rtl_switchz00_bglt)
													(((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt) BgL_oinz00_2546)))->
														BgL_funz00));
												{	/* SawBbv/bbv-specialize.scm 359 */
													BgL_rtl_insz00_bglt BgL_insz00_2574;

													{	/* SawBbv/bbv-specialize.scm 359 */
														BgL_rtl_insz00_bglt BgL_new1288z00_2576;

														{	/* SawBbv/bbv-specialize.scm 360 */
															BgL_rtl_insz00_bglt BgL_tmp1296z00_2602;
															BgL_rtl_inszf2bbvzf2_bglt BgL_wide1297z00_2603;

															{
																BgL_rtl_insz00_bglt BgL_auxz00_13602;

																{	/* SawBbv/bbv-specialize.scm 360 */
																	BgL_rtl_insz00_bglt BgL_new1295z00_2605;

																	BgL_new1295z00_2605 =
																		((BgL_rtl_insz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_rtl_insz00_bgl))));
																	{	/* SawBbv/bbv-specialize.scm 360 */
																		long BgL_arg2708z00_2606;

																		BgL_arg2708z00_2606 =
																			BGL_CLASS_NUM
																			(BGl_rtl_insz00zzsaw_defsz00);
																		BGL_OBJECT_CLASS_NUM_SET((
																				(BgL_objectz00_bglt)
																				BgL_new1295z00_2605),
																			BgL_arg2708z00_2606);
																	}
																	{	/* SawBbv/bbv-specialize.scm 360 */
																		BgL_objectz00_bglt BgL_tmpz00_13607;

																		BgL_tmpz00_13607 =
																			((BgL_objectz00_bglt)
																			BgL_new1295z00_2605);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13607,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1295z00_2605);
																	BgL_auxz00_13602 = BgL_new1295z00_2605;
																}
																BgL_tmp1296z00_2602 =
																	((BgL_rtl_insz00_bglt) BgL_auxz00_13602);
															}
															BgL_wide1297z00_2603 =
																((BgL_rtl_inszf2bbvzf2_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_rtl_inszf2bbvzf2_bgl))));
															{	/* SawBbv/bbv-specialize.scm 360 */
																obj_t BgL_auxz00_13615;
																BgL_objectz00_bglt BgL_tmpz00_13613;

																BgL_auxz00_13615 =
																	((obj_t) BgL_wide1297z00_2603);
																BgL_tmpz00_13613 =
																	((BgL_objectz00_bglt) BgL_tmp1296z00_2602);
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13613,
																	BgL_auxz00_13615);
															}
															((BgL_objectz00_bglt) BgL_tmp1296z00_2602);
															{	/* SawBbv/bbv-specialize.scm 360 */
																long BgL_arg2705z00_2604;

																BgL_arg2705z00_2604 =
																	BGL_CLASS_NUM
																	(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																		BgL_tmp1296z00_2602), BgL_arg2705z00_2604);
															}
															BgL_new1288z00_2576 =
																((BgL_rtl_insz00_bglt) BgL_tmp1296z00_2602);
														}
														((((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt)
																			BgL_new1288z00_2576)))->BgL_locz00) =
															((obj_t) (((BgL_rtl_insz00_bglt)
																		COBJECT(((BgL_rtl_insz00_bglt)
																				BgL_oinz00_2546)))->BgL_locz00)),
															BUNSPEC);
														((((BgL_rtl_insz00_bglt)
																	COBJECT(((BgL_rtl_insz00_bglt)
																			BgL_new1288z00_2576)))->BgL_z52spillz52) =
															((obj_t) (((BgL_rtl_insz00_bglt)
																		COBJECT(((BgL_rtl_insz00_bglt)
																				BgL_oinz00_2546)))->BgL_z52spillz52)),
															BUNSPEC);
														((((BgL_rtl_insz00_bglt)
																	COBJECT(((BgL_rtl_insz00_bglt)
																			BgL_new1288z00_2576)))->BgL_destz00) =
															((obj_t) (((BgL_rtl_insz00_bglt)
																		COBJECT(((BgL_rtl_insz00_bglt)
																				BgL_oinz00_2546)))->BgL_destz00)),
															BUNSPEC);
														{
															BgL_rtl_funz00_bglt BgL_auxz00_13635;

															{	/* SawBbv/bbv-specialize.scm 361 */
																BgL_rtl_funz00_bglt BgL_duplicated1300z00_2577;
																BgL_rtl_switchz00_bglt BgL_new1298z00_2578;

																BgL_duplicated1300z00_2577 =
																	(((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				BgL_oinz00_2546)))->BgL_funz00);
																{	/* SawBbv/bbv-specialize.scm 362 */
																	BgL_rtl_switchz00_bglt BgL_new1303z00_2596;

																	BgL_new1303z00_2596 =
																		((BgL_rtl_switchz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_rtl_switchz00_bgl))));
																	{	/* SawBbv/bbv-specialize.scm 362 */
																		long BgL_arg2697z00_2597;

																		{	/* SawBbv/bbv-specialize.scm 362 */
																			obj_t BgL_classz00_5958;

																			BgL_classz00_5958 =
																				BGl_rtl_switchz00zzsaw_defsz00;
																			BgL_arg2697z00_2597 =
																				BGL_CLASS_NUM(BgL_classz00_5958);
																		}
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1303z00_2596),
																			BgL_arg2697z00_2597);
																	}
																	BgL_new1298z00_2578 = BgL_new1303z00_2596;
																}
																((((BgL_rtl_funz00_bglt) COBJECT(
																				((BgL_rtl_funz00_bglt)
																					BgL_new1298z00_2578)))->BgL_locz00) =
																	((obj_t) (((BgL_rtl_funz00_bglt)
																				COBJECT(BgL_duplicated1300z00_2577))->
																			BgL_locz00)), BUNSPEC);
																((((BgL_rtl_selectz00_bglt)
																			COBJECT(((BgL_rtl_selectz00_bglt)
																					BgL_new1298z00_2578)))->BgL_typez00) =
																	((BgL_typez00_bglt) (((BgL_rtl_selectz00_bglt)
																				COBJECT(((BgL_rtl_selectz00_bglt)
																						BgL_duplicated1300z00_2577)))->
																			BgL_typez00)), BUNSPEC);
																((((BgL_rtl_selectz00_bglt)
																			COBJECT(((BgL_rtl_selectz00_bglt)
																					BgL_new1298z00_2578)))->
																		BgL_patternsz00) =
																	((obj_t) (((BgL_rtl_selectz00_bglt)
																				COBJECT(((BgL_rtl_selectz00_bglt)
																						BgL_duplicated1300z00_2577)))->
																			BgL_patternsz00)), BUNSPEC);
																{
																	obj_t BgL_auxz00_13654;

																	{	/* SawBbv/bbv-specialize.scm 362 */
																		obj_t BgL_l2345z00_2581;

																		BgL_l2345z00_2581 =
																			(((BgL_rtl_switchz00_bglt)
																				COBJECT(BgL_i1287z00_2573))->
																			BgL_labelsz00);
																		if (NULLP(BgL_l2345z00_2581))
																			{	/* SawBbv/bbv-specialize.scm 362 */
																				BgL_auxz00_13654 = BNIL;
																			}
																		else
																			{	/* SawBbv/bbv-specialize.scm 362 */
																				obj_t BgL_head2347z00_2583;

																				BgL_head2347z00_2583 =
																					MAKE_YOUNG_PAIR(BNIL, BNIL);
																				{
																					obj_t BgL_l2345z00_2585;
																					obj_t BgL_tail2348z00_2586;

																					BgL_l2345z00_2585 = BgL_l2345z00_2581;
																					BgL_tail2348z00_2586 =
																						BgL_head2347z00_2583;
																				BgL_zc3z04anonymousza32682ze3z87_2587:
																					if (NULLP(BgL_l2345z00_2585))
																						{	/* SawBbv/bbv-specialize.scm 362 */
																							BgL_auxz00_13654 =
																								CDR(BgL_head2347z00_2583);
																						}
																					else
																						{	/* SawBbv/bbv-specialize.scm 362 */
																							obj_t BgL_newtail2349z00_2589;

																							{	/* SawBbv/bbv-specialize.scm 362 */
																								BgL_blockz00_bglt
																									BgL_arg2689z00_2591;
																								{	/* SawBbv/bbv-specialize.scm 362 */
																									obj_t BgL_bz00_2592;

																									BgL_bz00_2592 =
																										CAR(
																										((obj_t)
																											BgL_l2345z00_2585));
																									{	/* SawBbv/bbv-specialize.scm 363 */
																										BgL_bbvzd2ctxzd2_bglt
																											BgL_arg2690z00_2593;
																										{
																											BgL_rtl_inszf2bbvzf2_bglt
																												BgL_auxz00_13664;
																											{
																												obj_t BgL_auxz00_13665;

																												{	/* SawBbv/bbv-specialize.scm 363 */
																													BgL_objectz00_bglt
																														BgL_tmpz00_13666;
																													BgL_tmpz00_13666 =
																														(
																														(BgL_objectz00_bglt)
																														((BgL_rtl_insz00_bglt) BgL_oinz00_2546));
																													BgL_auxz00_13665 =
																														BGL_OBJECT_WIDENING
																														(BgL_tmpz00_13666);
																												}
																												BgL_auxz00_13664 =
																													(
																													(BgL_rtl_inszf2bbvzf2_bglt)
																													BgL_auxz00_13665);
																											}
																											BgL_arg2690z00_2593 =
																												(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_13664))->BgL_ctxz00);
																										}
																										BgL_arg2689z00_2591 =
																											BGl_bbvzd2blockzd2zzsaw_bbvzd2specializa7ez75
																											(((BgL_blockz00_bglt)
																												BgL_bz00_2592),
																											BgL_arg2690z00_2593,
																											BgL_queuez00_272,
																											((obj_t) BgL_bsz00_270));
																									}
																								}
																								BgL_newtail2349z00_2589 =
																									MAKE_YOUNG_PAIR(
																									((obj_t) BgL_arg2689z00_2591),
																									BNIL);
																							}
																							SET_CDR(BgL_tail2348z00_2586,
																								BgL_newtail2349z00_2589);
																							{	/* SawBbv/bbv-specialize.scm 362 */
																								obj_t BgL_arg2684z00_2590;

																								BgL_arg2684z00_2590 =
																									CDR(
																									((obj_t) BgL_l2345z00_2585));
																								{
																									obj_t BgL_tail2348z00_13681;
																									obj_t BgL_l2345z00_13680;

																									BgL_l2345z00_13680 =
																										BgL_arg2684z00_2590;
																									BgL_tail2348z00_13681 =
																										BgL_newtail2349z00_2589;
																									BgL_tail2348z00_2586 =
																										BgL_tail2348z00_13681;
																									BgL_l2345z00_2585 =
																										BgL_l2345z00_13680;
																									goto
																										BgL_zc3z04anonymousza32682ze3z87_2587;
																								}
																							}
																						}
																				}
																			}
																	}
																	((((BgL_rtl_switchz00_bglt)
																				COBJECT(BgL_new1298z00_2578))->
																			BgL_labelsz00) =
																		((obj_t) BgL_auxz00_13654), BUNSPEC);
																}
																BgL_auxz00_13635 =
																	((BgL_rtl_funz00_bglt) BgL_new1298z00_2578);
															}
															((((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				BgL_new1288z00_2576)))->BgL_funz00) =
																((BgL_rtl_funz00_bglt) BgL_auxz00_13635),
																BUNSPEC);
														}
														((((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt)
																			BgL_new1288z00_2576)))->BgL_argsz00) =
															((obj_t) (((BgL_rtl_insz00_bglt)
																		COBJECT(((BgL_rtl_insz00_bglt)
																				BgL_oinz00_2546)))->BgL_argsz00)),
															BUNSPEC);
														{
															obj_t BgL_auxz00_13695;
															BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13689;

															{
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13696;

																{
																	obj_t BgL_auxz00_13697;

																	{	/* SawBbv/bbv-specialize.scm 360 */
																		BgL_objectz00_bglt BgL_tmpz00_13698;

																		BgL_tmpz00_13698 =
																			((BgL_objectz00_bglt)
																			((BgL_rtl_insz00_bglt)
																				((BgL_rtl_insz00_bglt)
																					BgL_oinz00_2546)));
																		BgL_auxz00_13697 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_13698);
																	}
																	BgL_auxz00_13696 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_13697);
																}
																BgL_auxz00_13695 =
																	(((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_13696))->BgL_defz00);
															}
															{
																obj_t BgL_auxz00_13690;

																{	/* SawBbv/bbv-specialize.scm 360 */
																	BgL_objectz00_bglt BgL_tmpz00_13691;

																	BgL_tmpz00_13691 =
																		((BgL_objectz00_bglt) BgL_new1288z00_2576);
																	BgL_auxz00_13690 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_13691);
																}
																BgL_auxz00_13689 =
																	((BgL_rtl_inszf2bbvzf2_bglt)
																	BgL_auxz00_13690);
															}
															((((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_13689))->BgL_defz00) =
																((obj_t) BgL_auxz00_13695), BUNSPEC);
														}
														{
															obj_t BgL_auxz00_13712;
															BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13706;

															{
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13713;

																{
																	obj_t BgL_auxz00_13714;

																	{	/* SawBbv/bbv-specialize.scm 360 */
																		BgL_objectz00_bglt BgL_tmpz00_13715;

																		BgL_tmpz00_13715 =
																			((BgL_objectz00_bglt)
																			((BgL_rtl_insz00_bglt)
																				((BgL_rtl_insz00_bglt)
																					BgL_oinz00_2546)));
																		BgL_auxz00_13714 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_13715);
																	}
																	BgL_auxz00_13713 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_13714);
																}
																BgL_auxz00_13712 =
																	(((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_13713))->BgL_outz00);
															}
															{
																obj_t BgL_auxz00_13707;

																{	/* SawBbv/bbv-specialize.scm 360 */
																	BgL_objectz00_bglt BgL_tmpz00_13708;

																	BgL_tmpz00_13708 =
																		((BgL_objectz00_bglt) BgL_new1288z00_2576);
																	BgL_auxz00_13707 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_13708);
																}
																BgL_auxz00_13706 =
																	((BgL_rtl_inszf2bbvzf2_bglt)
																	BgL_auxz00_13707);
															}
															((((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_13706))->BgL_outz00) =
																((obj_t) BgL_auxz00_13712), BUNSPEC);
														}
														{
															obj_t BgL_auxz00_13729;
															BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13723;

															{
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13730;

																{
																	obj_t BgL_auxz00_13731;

																	{	/* SawBbv/bbv-specialize.scm 360 */
																		BgL_objectz00_bglt BgL_tmpz00_13732;

																		BgL_tmpz00_13732 =
																			((BgL_objectz00_bglt)
																			((BgL_rtl_insz00_bglt)
																				((BgL_rtl_insz00_bglt)
																					BgL_oinz00_2546)));
																		BgL_auxz00_13731 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_13732);
																	}
																	BgL_auxz00_13730 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_13731);
																}
																BgL_auxz00_13729 =
																	(((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_13730))->BgL_inz00);
															}
															{
																obj_t BgL_auxz00_13724;

																{	/* SawBbv/bbv-specialize.scm 360 */
																	BgL_objectz00_bglt BgL_tmpz00_13725;

																	BgL_tmpz00_13725 =
																		((BgL_objectz00_bglt) BgL_new1288z00_2576);
																	BgL_auxz00_13724 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_13725);
																}
																BgL_auxz00_13723 =
																	((BgL_rtl_inszf2bbvzf2_bglt)
																	BgL_auxz00_13724);
															}
															((((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_13723))->BgL_inz00) =
																((obj_t) BgL_auxz00_13729), BUNSPEC);
														}
														{
															BgL_bbvzd2ctxzd2_bglt BgL_auxz00_13746;
															BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13740;

															{
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13747;

																{
																	obj_t BgL_auxz00_13748;

																	{	/* SawBbv/bbv-specialize.scm 360 */
																		BgL_objectz00_bglt BgL_tmpz00_13749;

																		BgL_tmpz00_13749 =
																			((BgL_objectz00_bglt)
																			((BgL_rtl_insz00_bglt) BgL_oinz00_2546));
																		BgL_auxz00_13748 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_13749);
																	}
																	BgL_auxz00_13747 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_13748);
																}
																BgL_auxz00_13746 =
																	(((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_13747))->BgL_ctxz00);
															}
															{
																obj_t BgL_auxz00_13741;

																{	/* SawBbv/bbv-specialize.scm 360 */
																	BgL_objectz00_bglt BgL_tmpz00_13742;

																	BgL_tmpz00_13742 =
																		((BgL_objectz00_bglt) BgL_new1288z00_2576);
																	BgL_auxz00_13741 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_13742);
																}
																BgL_auxz00_13740 =
																	((BgL_rtl_inszf2bbvzf2_bglt)
																	BgL_auxz00_13741);
															}
															((((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_13740))->BgL_ctxz00) =
																((BgL_bbvzd2ctxzd2_bglt) BgL_auxz00_13746),
																BUNSPEC);
														}
														{
															obj_t BgL_auxz00_13762;
															BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13756;

															{
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13763;

																{
																	obj_t BgL_auxz00_13764;

																	{	/* SawBbv/bbv-specialize.scm 360 */
																		BgL_objectz00_bglt BgL_tmpz00_13765;

																		BgL_tmpz00_13765 =
																			((BgL_objectz00_bglt)
																			((BgL_rtl_insz00_bglt)
																				((BgL_rtl_insz00_bglt)
																					BgL_oinz00_2546)));
																		BgL_auxz00_13764 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_13765);
																	}
																	BgL_auxz00_13763 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_13764);
																}
																BgL_auxz00_13762 =
																	(((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_13763))->BgL_z52hashz52);
															}
															{
																obj_t BgL_auxz00_13757;

																{	/* SawBbv/bbv-specialize.scm 360 */
																	BgL_objectz00_bglt BgL_tmpz00_13758;

																	BgL_tmpz00_13758 =
																		((BgL_objectz00_bglt) BgL_new1288z00_2576);
																	BgL_auxz00_13757 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_13758);
																}
																BgL_auxz00_13756 =
																	((BgL_rtl_inszf2bbvzf2_bglt)
																	BgL_auxz00_13757);
															}
															((((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_13756))->
																	BgL_z52hashz52) =
																((obj_t) BgL_auxz00_13762), BUNSPEC);
														}
														BgL_insz00_2574 = BgL_new1288z00_2576;
													}
													BGl_connectz12z12zzsaw_bbvzd2specializa7ez75
														(BgL_bsz00_270,
														((BgL_rtl_insz00_bglt) BgL_insz00_2574));
													BgL_arg2670z00_2545 = ((obj_t) BgL_insz00_2574);
												}
											}
										else
											{	/* SawBbv/bbv-specialize.scm 355 */
												if (BGl_rtl_inszd2ifnezf3z21zzsaw_bbvzd2typeszd2(
														((BgL_rtl_insz00_bglt) BgL_oinz00_2546)))
													{	/* SawBbv/bbv-specialize.scm 370 */
														BgL_rtl_ifnez00_bglt BgL_i1305z00_2609;

														BgL_i1305z00_2609 =
															((BgL_rtl_ifnez00_bglt)
															(((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt) BgL_oinz00_2546)))->
																BgL_funz00));
														{	/* SawBbv/bbv-specialize.scm 371 */
															BgL_blockz00_bglt BgL_nz00_2610;

															{	/* SawBbv/bbv-specialize.scm 371 */
																BgL_blockz00_bglt BgL_arg2715z00_2627;
																BgL_bbvzd2ctxzd2_bglt BgL_arg2719z00_2628;

																BgL_arg2715z00_2627 =
																	(((BgL_rtl_ifnez00_bglt)
																		COBJECT(BgL_i1305z00_2609))->BgL_thenz00);
																{
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13783;

																	{
																		obj_t BgL_auxz00_13784;

																		{	/* SawBbv/bbv-specialize.scm 371 */
																			BgL_objectz00_bglt BgL_tmpz00_13785;

																			BgL_tmpz00_13785 =
																				((BgL_objectz00_bglt)
																				((BgL_rtl_insz00_bglt)
																					BgL_oinz00_2546));
																			BgL_auxz00_13784 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_13785);
																		}
																		BgL_auxz00_13783 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_13784);
																	}
																	BgL_arg2719z00_2628 =
																		(((BgL_rtl_inszf2bbvzf2_bglt)
																			COBJECT(BgL_auxz00_13783))->BgL_ctxz00);
																}
																BgL_nz00_2610 =
																	BGl_bbvzd2blockzd2zzsaw_bbvzd2specializa7ez75
																	(BgL_arg2715z00_2627, BgL_arg2719z00_2628,
																	BgL_queuez00_272, ((obj_t) BgL_bsz00_270));
															}
															{	/* SawBbv/bbv-specialize.scm 371 */
																BgL_rtl_insz00_bglt BgL_insz00_2611;

																{	/* SawBbv/bbv-specialize.scm 372 */
																	BgL_rtl_insz00_bglt BgL_new1306z00_2613;

																	{	/* SawBbv/bbv-specialize.scm 373 */
																		BgL_rtl_insz00_bglt BgL_tmp1314z00_2622;
																		BgL_rtl_inszf2bbvzf2_bglt
																			BgL_wide1315z00_2623;
																		{
																			BgL_rtl_insz00_bglt BgL_auxz00_13793;

																			{	/* SawBbv/bbv-specialize.scm 373 */
																				BgL_rtl_insz00_bglt BgL_new1313z00_2625;

																				BgL_new1313z00_2625 =
																					((BgL_rtl_insz00_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_rtl_insz00_bgl))));
																				{	/* SawBbv/bbv-specialize.scm 373 */
																					long BgL_arg2713z00_2626;

																					BgL_arg2713z00_2626 =
																						BGL_CLASS_NUM
																						(BGl_rtl_insz00zzsaw_defsz00);
																					BGL_OBJECT_CLASS_NUM_SET((
																							(BgL_objectz00_bglt)
																							BgL_new1313z00_2625),
																						BgL_arg2713z00_2626);
																				}
																				{	/* SawBbv/bbv-specialize.scm 373 */
																					BgL_objectz00_bglt BgL_tmpz00_13798;

																					BgL_tmpz00_13798 =
																						((BgL_objectz00_bglt)
																						BgL_new1313z00_2625);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_tmpz00_13798, BFALSE);
																				}
																				((BgL_objectz00_bglt)
																					BgL_new1313z00_2625);
																				BgL_auxz00_13793 = BgL_new1313z00_2625;
																			}
																			BgL_tmp1314z00_2622 =
																				((BgL_rtl_insz00_bglt)
																				BgL_auxz00_13793);
																		}
																		BgL_wide1315z00_2623 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_rtl_inszf2bbvzf2_bgl))));
																		{	/* SawBbv/bbv-specialize.scm 373 */
																			obj_t BgL_auxz00_13806;
																			BgL_objectz00_bglt BgL_tmpz00_13804;

																			BgL_auxz00_13806 =
																				((obj_t) BgL_wide1315z00_2623);
																			BgL_tmpz00_13804 =
																				((BgL_objectz00_bglt)
																				BgL_tmp1314z00_2622);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13804,
																				BgL_auxz00_13806);
																		}
																		((BgL_objectz00_bglt) BgL_tmp1314z00_2622);
																		{	/* SawBbv/bbv-specialize.scm 373 */
																			long BgL_arg2712z00_2624;

																			BgL_arg2712z00_2624 =
																				BGL_CLASS_NUM
																				(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																			BGL_OBJECT_CLASS_NUM_SET((
																					(BgL_objectz00_bglt)
																					BgL_tmp1314z00_2622),
																				BgL_arg2712z00_2624);
																		}
																		BgL_new1306z00_2613 =
																			((BgL_rtl_insz00_bglt)
																			BgL_tmp1314z00_2622);
																	}
																	((((BgL_rtl_insz00_bglt) COBJECT(
																					((BgL_rtl_insz00_bglt)
																						BgL_new1306z00_2613)))->
																			BgL_locz00) =
																		((obj_t) (((BgL_rtl_insz00_bglt)
																					COBJECT(((BgL_rtl_insz00_bglt)
																							BgL_oinz00_2546)))->BgL_locz00)),
																		BUNSPEC);
																	((((BgL_rtl_insz00_bglt)
																				COBJECT(((BgL_rtl_insz00_bglt)
																						BgL_new1306z00_2613)))->
																			BgL_z52spillz52) =
																		((obj_t) (((BgL_rtl_insz00_bglt)
																					COBJECT(((BgL_rtl_insz00_bglt)
																							BgL_oinz00_2546)))->
																				BgL_z52spillz52)), BUNSPEC);
																	((((BgL_rtl_insz00_bglt)
																				COBJECT(((BgL_rtl_insz00_bglt)
																						BgL_new1306z00_2613)))->
																			BgL_destz00) =
																		((obj_t) (((BgL_rtl_insz00_bglt)
																					COBJECT(((BgL_rtl_insz00_bglt)
																							BgL_oinz00_2546)))->BgL_destz00)),
																		BUNSPEC);
																	{
																		BgL_rtl_funz00_bglt BgL_auxz00_13826;

																		{	/* SawBbv/bbv-specialize.scm 374 */
																			BgL_rtl_funz00_bglt
																				BgL_duplicated1318z00_2614;
																			BgL_rtl_ifnez00_bglt BgL_new1316z00_2615;

																			BgL_duplicated1318z00_2614 =
																				(((BgL_rtl_insz00_bglt) COBJECT(
																						((BgL_rtl_insz00_bglt)
																							BgL_oinz00_2546)))->BgL_funz00);
																			{	/* SawBbv/bbv-specialize.scm 375 */
																				BgL_rtl_ifnez00_bglt
																					BgL_new1319z00_2616;
																				BgL_new1319z00_2616 =
																					((BgL_rtl_ifnez00_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_rtl_ifnez00_bgl))));
																				{	/* SawBbv/bbv-specialize.scm 375 */
																					long BgL_arg2711z00_2617;

																					{	/* SawBbv/bbv-specialize.scm 375 */
																						obj_t BgL_classz00_5985;

																						BgL_classz00_5985 =
																							BGl_rtl_ifnez00zzsaw_defsz00;
																						BgL_arg2711z00_2617 =
																							BGL_CLASS_NUM(BgL_classz00_5985);
																					}
																					BGL_OBJECT_CLASS_NUM_SET(
																						((BgL_objectz00_bglt)
																							BgL_new1319z00_2616),
																						BgL_arg2711z00_2617);
																				}
																				BgL_new1316z00_2615 =
																					BgL_new1319z00_2616;
																			}
																			((((BgL_rtl_funz00_bglt) COBJECT(
																							((BgL_rtl_funz00_bglt)
																								BgL_new1316z00_2615)))->
																					BgL_locz00) =
																				((obj_t) (((BgL_rtl_funz00_bglt)
																							COBJECT
																							(BgL_duplicated1318z00_2614))->
																						BgL_locz00)), BUNSPEC);
																			((((BgL_rtl_ifnez00_bglt)
																						COBJECT(BgL_new1316z00_2615))->
																					BgL_thenz00) =
																				((BgL_blockz00_bglt) (
																						(BgL_blockz00_bglt) BgL_nz00_2610)),
																				BUNSPEC);
																			BgL_auxz00_13826 =
																				((BgL_rtl_funz00_bglt)
																				BgL_new1316z00_2615);
																		}
																		((((BgL_rtl_insz00_bglt) COBJECT(
																						((BgL_rtl_insz00_bglt)
																							BgL_new1306z00_2613)))->
																				BgL_funz00) =
																			((BgL_rtl_funz00_bglt) BgL_auxz00_13826),
																			BUNSPEC);
																	}
																	((((BgL_rtl_insz00_bglt) COBJECT(
																					((BgL_rtl_insz00_bglt)
																						BgL_new1306z00_2613)))->
																			BgL_argsz00) =
																		((obj_t) (((BgL_rtl_insz00_bglt)
																					COBJECT(((BgL_rtl_insz00_bglt)
																							BgL_oinz00_2546)))->BgL_argsz00)),
																		BUNSPEC);
																	{
																		obj_t BgL_auxz00_13851;
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13845;

																		{
																			BgL_rtl_inszf2bbvzf2_bglt
																				BgL_auxz00_13852;
																			{
																				obj_t BgL_auxz00_13853;

																				{	/* SawBbv/bbv-specialize.scm 373 */
																					BgL_objectz00_bglt BgL_tmpz00_13854;

																					BgL_tmpz00_13854 =
																						((BgL_objectz00_bglt)
																						((BgL_rtl_insz00_bglt)
																							((BgL_rtl_insz00_bglt)
																								BgL_oinz00_2546)));
																					BgL_auxz00_13853 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_13854);
																				}
																				BgL_auxz00_13852 =
																					((BgL_rtl_inszf2bbvzf2_bglt)
																					BgL_auxz00_13853);
																			}
																			BgL_auxz00_13851 =
																				(((BgL_rtl_inszf2bbvzf2_bglt)
																					COBJECT(BgL_auxz00_13852))->
																				BgL_defz00);
																		}
																		{
																			obj_t BgL_auxz00_13846;

																			{	/* SawBbv/bbv-specialize.scm 373 */
																				BgL_objectz00_bglt BgL_tmpz00_13847;

																				BgL_tmpz00_13847 =
																					((BgL_objectz00_bglt)
																					BgL_new1306z00_2613);
																				BgL_auxz00_13846 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_13847);
																			}
																			BgL_auxz00_13845 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_13846);
																		}
																		((((BgL_rtl_inszf2bbvzf2_bglt)
																					COBJECT(BgL_auxz00_13845))->
																				BgL_defz00) =
																			((obj_t) BgL_auxz00_13851), BUNSPEC);
																	}
																	{
																		obj_t BgL_auxz00_13868;
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13862;

																		{
																			BgL_rtl_inszf2bbvzf2_bglt
																				BgL_auxz00_13869;
																			{
																				obj_t BgL_auxz00_13870;

																				{	/* SawBbv/bbv-specialize.scm 373 */
																					BgL_objectz00_bglt BgL_tmpz00_13871;

																					BgL_tmpz00_13871 =
																						((BgL_objectz00_bglt)
																						((BgL_rtl_insz00_bglt)
																							((BgL_rtl_insz00_bglt)
																								BgL_oinz00_2546)));
																					BgL_auxz00_13870 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_13871);
																				}
																				BgL_auxz00_13869 =
																					((BgL_rtl_inszf2bbvzf2_bglt)
																					BgL_auxz00_13870);
																			}
																			BgL_auxz00_13868 =
																				(((BgL_rtl_inszf2bbvzf2_bglt)
																					COBJECT(BgL_auxz00_13869))->
																				BgL_outz00);
																		}
																		{
																			obj_t BgL_auxz00_13863;

																			{	/* SawBbv/bbv-specialize.scm 373 */
																				BgL_objectz00_bglt BgL_tmpz00_13864;

																				BgL_tmpz00_13864 =
																					((BgL_objectz00_bglt)
																					BgL_new1306z00_2613);
																				BgL_auxz00_13863 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_13864);
																			}
																			BgL_auxz00_13862 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_13863);
																		}
																		((((BgL_rtl_inszf2bbvzf2_bglt)
																					COBJECT(BgL_auxz00_13862))->
																				BgL_outz00) =
																			((obj_t) BgL_auxz00_13868), BUNSPEC);
																	}
																	{
																		obj_t BgL_auxz00_13885;
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13879;

																		{
																			BgL_rtl_inszf2bbvzf2_bglt
																				BgL_auxz00_13886;
																			{
																				obj_t BgL_auxz00_13887;

																				{	/* SawBbv/bbv-specialize.scm 373 */
																					BgL_objectz00_bglt BgL_tmpz00_13888;

																					BgL_tmpz00_13888 =
																						((BgL_objectz00_bglt)
																						((BgL_rtl_insz00_bglt)
																							((BgL_rtl_insz00_bglt)
																								BgL_oinz00_2546)));
																					BgL_auxz00_13887 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_13888);
																				}
																				BgL_auxz00_13886 =
																					((BgL_rtl_inszf2bbvzf2_bglt)
																					BgL_auxz00_13887);
																			}
																			BgL_auxz00_13885 =
																				(((BgL_rtl_inszf2bbvzf2_bglt)
																					COBJECT(BgL_auxz00_13886))->
																				BgL_inz00);
																		}
																		{
																			obj_t BgL_auxz00_13880;

																			{	/* SawBbv/bbv-specialize.scm 373 */
																				BgL_objectz00_bglt BgL_tmpz00_13881;

																				BgL_tmpz00_13881 =
																					((BgL_objectz00_bglt)
																					BgL_new1306z00_2613);
																				BgL_auxz00_13880 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_13881);
																			}
																			BgL_auxz00_13879 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_13880);
																		}
																		((((BgL_rtl_inszf2bbvzf2_bglt)
																					COBJECT(BgL_auxz00_13879))->
																				BgL_inz00) =
																			((obj_t) BgL_auxz00_13885), BUNSPEC);
																	}
																	{
																		BgL_bbvzd2ctxzd2_bglt BgL_auxz00_13902;
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13896;

																		{
																			BgL_rtl_inszf2bbvzf2_bglt
																				BgL_auxz00_13903;
																			{
																				obj_t BgL_auxz00_13904;

																				{	/* SawBbv/bbv-specialize.scm 373 */
																					BgL_objectz00_bglt BgL_tmpz00_13905;

																					BgL_tmpz00_13905 =
																						((BgL_objectz00_bglt)
																						((BgL_rtl_insz00_bglt)
																							BgL_oinz00_2546));
																					BgL_auxz00_13904 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_13905);
																				}
																				BgL_auxz00_13903 =
																					((BgL_rtl_inszf2bbvzf2_bglt)
																					BgL_auxz00_13904);
																			}
																			BgL_auxz00_13902 =
																				(((BgL_rtl_inszf2bbvzf2_bglt)
																					COBJECT(BgL_auxz00_13903))->
																				BgL_ctxz00);
																		}
																		{
																			obj_t BgL_auxz00_13897;

																			{	/* SawBbv/bbv-specialize.scm 373 */
																				BgL_objectz00_bglt BgL_tmpz00_13898;

																				BgL_tmpz00_13898 =
																					((BgL_objectz00_bglt)
																					BgL_new1306z00_2613);
																				BgL_auxz00_13897 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_13898);
																			}
																			BgL_auxz00_13896 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_13897);
																		}
																		((((BgL_rtl_inszf2bbvzf2_bglt)
																					COBJECT(BgL_auxz00_13896))->
																				BgL_ctxz00) =
																			((BgL_bbvzd2ctxzd2_bglt)
																				BgL_auxz00_13902), BUNSPEC);
																	}
																	{
																		obj_t BgL_auxz00_13918;
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13912;

																		{
																			BgL_rtl_inszf2bbvzf2_bglt
																				BgL_auxz00_13919;
																			{
																				obj_t BgL_auxz00_13920;

																				{	/* SawBbv/bbv-specialize.scm 373 */
																					BgL_objectz00_bglt BgL_tmpz00_13921;

																					BgL_tmpz00_13921 =
																						((BgL_objectz00_bglt)
																						((BgL_rtl_insz00_bglt)
																							((BgL_rtl_insz00_bglt)
																								BgL_oinz00_2546)));
																					BgL_auxz00_13920 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_13921);
																				}
																				BgL_auxz00_13919 =
																					((BgL_rtl_inszf2bbvzf2_bglt)
																					BgL_auxz00_13920);
																			}
																			BgL_auxz00_13918 =
																				(((BgL_rtl_inszf2bbvzf2_bglt)
																					COBJECT(BgL_auxz00_13919))->
																				BgL_z52hashz52);
																		}
																		{
																			obj_t BgL_auxz00_13913;

																			{	/* SawBbv/bbv-specialize.scm 373 */
																				BgL_objectz00_bglt BgL_tmpz00_13914;

																				BgL_tmpz00_13914 =
																					((BgL_objectz00_bglt)
																					BgL_new1306z00_2613);
																				BgL_auxz00_13913 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_13914);
																			}
																			BgL_auxz00_13912 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_13913);
																		}
																		((((BgL_rtl_inszf2bbvzf2_bglt)
																					COBJECT(BgL_auxz00_13912))->
																				BgL_z52hashz52) =
																			((obj_t) BgL_auxz00_13918), BUNSPEC);
																	}
																	BgL_insz00_2611 = BgL_new1306z00_2613;
																}
																{	/* SawBbv/bbv-specialize.scm 372 */

																	BGl_connectz12z12zzsaw_bbvzd2specializa7ez75
																		(BgL_bsz00_270,
																		((BgL_rtl_insz00_bglt) BgL_insz00_2611));
																	BgL_arg2670z00_2545 =
																		((obj_t) BgL_insz00_2611);
													}}}}
												else
													{	/* SawBbv/bbv-specialize.scm 367 */
														BgL_arg2670z00_2545 = BgL_oinz00_2546;
													}
											}
									}
							}
							{	/* SawBbv/bbv-specialize.scm 341 */
								obj_t BgL_tmpz00_13932;

								BgL_tmpz00_13932 = ((obj_t) BgL_l2351z00_2542);
								SET_CAR(BgL_tmpz00_13932, BgL_arg2670z00_2545);
							}
						}
						{	/* SawBbv/bbv-specialize.scm 341 */
							obj_t BgL_arg2720z00_2630;

							BgL_arg2720z00_2630 = CDR(((obj_t) BgL_l2351z00_2542));
							{
								obj_t BgL_l2351z00_13937;

								BgL_l2351z00_13937 = BgL_arg2720z00_2630;
								BgL_l2351z00_2542 = BgL_l2351z00_13937;
								goto BgL_zc3z04anonymousza32667ze3z87_2543;
							}
						}
					}
			}
			return BgL_firstz00_269;
		}

	}



/* connect! */
	obj_t BGl_connectz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_bsz00_273, BgL_rtl_insz00_bglt BgL_insz00_274)
	{
		{	/* SawBbv/bbv-specialize.scm 386 */
			if (BGl_rtl_inszd2ifnezf3z21zzsaw_bbvzd2typeszd2(BgL_insz00_274))
				{	/* SawBbv/bbv-specialize.scm 407 */
					BgL_blockz00_bglt BgL_nz00_2635;

					BgL_nz00_2635 =
						(((BgL_rtl_ifnez00_bglt) COBJECT(
								((BgL_rtl_ifnez00_bglt)
									(((BgL_rtl_insz00_bglt) COBJECT(BgL_insz00_274))->
										BgL_funz00))))->BgL_thenz00);
					if (CBOOL(BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2))
						{	/* SawBbv/bbv-specialize.scm 389 */
							BUNSPEC;
						}
					else
						{	/* SawBbv/bbv-specialize.scm 389 */
							BFALSE;
						}
					BGl_bbvzd2gczd2connectz12z12zzsaw_bbvzd2gczd2(BgL_bsz00_273,
						((BgL_blockz00_bglt) BgL_nz00_2635));
					{	/* SawBbv/bbv-specialize.scm 410 */
						obj_t BgL_arg2722z00_2636;

						{	/* SawBbv/bbv-specialize.scm 410 */
							obj_t BgL_list2723z00_2637;

							{	/* SawBbv/bbv-specialize.scm 410 */
								obj_t BgL_arg2724z00_2638;

								BgL_arg2724z00_2638 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_nz00_2635), BNIL);
								BgL_list2723z00_2637 =
									MAKE_YOUNG_PAIR(BUNSPEC, BgL_arg2724z00_2638);
							}
							BgL_arg2722z00_2636 = BgL_list2723z00_2637;
						}
						((((BgL_blockz00_bglt) COBJECT(
										((BgL_blockz00_bglt) BgL_bsz00_273)))->BgL_succsz00) =
							((obj_t) BgL_arg2722z00_2636), BUNSPEC);
					}
					{	/* SawBbv/bbv-specialize.scm 411 */
						obj_t BgL_arg2725z00_2639;

						{	/* SawBbv/bbv-specialize.scm 411 */
							obj_t BgL_arg2726z00_2640;

							BgL_arg2726z00_2640 =
								(((BgL_blockz00_bglt) COBJECT(BgL_nz00_2635))->BgL_predsz00);
							BgL_arg2725z00_2639 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_bsz00_273), BgL_arg2726z00_2640);
						}
						return
							BGl_blockzd2predszd2updatez12z12zzsaw_bbvzd2typeszd2
							(BgL_nz00_2635, BgL_arg2725z00_2639);
					}
				}
			else
				{	/* SawBbv/bbv-specialize.scm 405 */
					if (BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2(BgL_insz00_274))
						{	/* SawBbv/bbv-specialize.scm 414 */
							BgL_blockz00_bglt BgL_nz00_2644;

							BgL_nz00_2644 =
								(((BgL_rtl_goz00_bglt) COBJECT(
										((BgL_rtl_goz00_bglt)
											(((BgL_rtl_insz00_bglt) COBJECT(BgL_insz00_274))->
												BgL_funz00))))->BgL_toz00);
							if (CBOOL(BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2))
								{	/* SawBbv/bbv-specialize.scm 389 */
									BUNSPEC;
								}
							else
								{	/* SawBbv/bbv-specialize.scm 389 */
									BFALSE;
								}
							BGl_bbvzd2gczd2connectz12z12zzsaw_bbvzd2gczd2(BgL_bsz00_273,
								((BgL_blockz00_bglt) BgL_nz00_2644));
							if (NULLP(
									(((BgL_blockz00_bglt) COBJECT(
												((BgL_blockz00_bglt) BgL_bsz00_273)))->BgL_succsz00)))
								{	/* SawBbv/bbv-specialize.scm 419 */
									obj_t BgL_arg2732z00_2648;

									{	/* SawBbv/bbv-specialize.scm 419 */
										obj_t BgL_list2733z00_2649;

										BgL_list2733z00_2649 =
											MAKE_YOUNG_PAIR(((obj_t) BgL_nz00_2644), BNIL);
										BgL_arg2732z00_2648 = BgL_list2733z00_2649;
									}
									((((BgL_blockz00_bglt) COBJECT(
													((BgL_blockz00_bglt) BgL_bsz00_273)))->BgL_succsz00) =
										((obj_t) BgL_arg2732z00_2648), BUNSPEC);
								}
							else
								{	/* SawBbv/bbv-specialize.scm 418 */
									obj_t BgL_arg2731z00_2647;

									BgL_arg2731z00_2647 =
										(((BgL_blockz00_bglt) COBJECT(
												((BgL_blockz00_bglt) BgL_bsz00_273)))->BgL_succsz00);
									{	/* SawBbv/bbv-specialize.scm 418 */
										obj_t BgL_auxz00_13977;
										obj_t BgL_tmpz00_13975;

										BgL_auxz00_13977 = ((obj_t) BgL_nz00_2644);
										BgL_tmpz00_13975 = ((obj_t) BgL_arg2731z00_2647);
										SET_CAR(BgL_tmpz00_13975, BgL_auxz00_13977);
									}
								}
							{	/* SawBbv/bbv-specialize.scm 420 */
								obj_t BgL_arg2735z00_2651;

								{	/* SawBbv/bbv-specialize.scm 420 */
									obj_t BgL_arg2736z00_2652;

									BgL_arg2736z00_2652 =
										(((BgL_blockz00_bglt) COBJECT(BgL_nz00_2644))->
										BgL_predsz00);
									BgL_arg2735z00_2651 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_bsz00_273),
										BgL_arg2736z00_2652);
								}
								return
									BGl_blockzd2predszd2updatez12z12zzsaw_bbvzd2typeszd2
									(BgL_nz00_2644, BgL_arg2735z00_2651);
							}
						}
					else
						{	/* SawBbv/bbv-specialize.scm 412 */
							if (CBOOL(BGl_rtl_inszd2switchzf3z21zzsaw_bbvzd2typeszd2
									(BgL_insz00_274)))
								{	/* SawBbv/bbv-specialize.scm 421 */
									{	/* SawBbv/bbv-specialize.scm 423 */
										obj_t BgL_g2355z00_2656;

										BgL_g2355z00_2656 =
											(((BgL_rtl_switchz00_bglt) COBJECT(
													((BgL_rtl_switchz00_bglt)
														(((BgL_rtl_insz00_bglt) COBJECT(BgL_insz00_274))->
															BgL_funz00))))->BgL_labelsz00);
										{
											obj_t BgL_l2353z00_2658;

											BgL_l2353z00_2658 = BgL_g2355z00_2656;
										BgL_zc3z04anonymousza32739ze3z87_2659:
											if (PAIRP(BgL_l2353z00_2658))
												{	/* SawBbv/bbv-specialize.scm 425 */
													{	/* SawBbv/bbv-specialize.scm 424 */
														obj_t BgL_nz00_2661;

														BgL_nz00_2661 = CAR(BgL_l2353z00_2658);
														BGl_bbvzd2gczd2connectz12z12zzsaw_bbvzd2gczd2
															(BgL_bsz00_273,
															((BgL_blockz00_bglt) BgL_nz00_2661));
													}
													{
														obj_t BgL_l2353z00_13995;

														BgL_l2353z00_13995 = CDR(BgL_l2353z00_2658);
														BgL_l2353z00_2658 = BgL_l2353z00_13995;
														goto BgL_zc3z04anonymousza32739ze3z87_2659;
													}
												}
											else
												{	/* SawBbv/bbv-specialize.scm 425 */
													((bool_t) 1);
												}
										}
									}
									{	/* SawBbv/bbv-specialize.scm 426 */
										obj_t BgL_arg2744z00_2665;

										BgL_arg2744z00_2665 =
											(((BgL_rtl_switchz00_bglt) COBJECT(
													((BgL_rtl_switchz00_bglt)
														(((BgL_rtl_insz00_bglt) COBJECT(BgL_insz00_274))->
															BgL_funz00))))->BgL_labelsz00);
										((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
															BgL_bsz00_273)))->BgL_succsz00) =
											((obj_t) ((obj_t) BgL_arg2744z00_2665)), BUNSPEC);
									}
									{	/* SawBbv/bbv-specialize.scm 427 */
										obj_t BgL_g2358z00_2667;

										BgL_g2358z00_2667 =
											(((BgL_rtl_switchz00_bglt) COBJECT(
													((BgL_rtl_switchz00_bglt)
														(((BgL_rtl_insz00_bglt) COBJECT(BgL_insz00_274))->
															BgL_funz00))))->BgL_labelsz00);
										{
											obj_t BgL_l2356z00_2669;

											{	/* SawBbv/bbv-specialize.scm 429 */
												bool_t BgL_tmpz00_14006;

												BgL_l2356z00_2669 = BgL_g2358z00_2667;
											BgL_zc3z04anonymousza32746ze3z87_2670:
												if (PAIRP(BgL_l2356z00_2669))
													{	/* SawBbv/bbv-specialize.scm 429 */
														{	/* SawBbv/bbv-specialize.scm 428 */
															obj_t BgL_nz00_2672;

															BgL_nz00_2672 = CAR(BgL_l2356z00_2669);
															{	/* SawBbv/bbv-specialize.scm 428 */
																obj_t BgL_arg2749z00_2673;

																{	/* SawBbv/bbv-specialize.scm 428 */
																	obj_t BgL_arg2750z00_2674;

																	BgL_arg2750z00_2674 =
																		(((BgL_blockz00_bglt) COBJECT(
																				((BgL_blockz00_bglt) BgL_nz00_2672)))->
																		BgL_predsz00);
																	BgL_arg2749z00_2673 =
																		MAKE_YOUNG_PAIR(((obj_t) BgL_bsz00_273),
																		BgL_arg2750z00_2674);
																}
																BGl_blockzd2predszd2updatez12z12zzsaw_bbvzd2typeszd2
																	(((BgL_blockz00_bglt) BgL_nz00_2672),
																	BgL_arg2749z00_2673);
															}
														}
														{
															obj_t BgL_l2356z00_14016;

															BgL_l2356z00_14016 = CDR(BgL_l2356z00_2669);
															BgL_l2356z00_2669 = BgL_l2356z00_14016;
															goto BgL_zc3z04anonymousza32746ze3z87_2670;
														}
													}
												else
													{	/* SawBbv/bbv-specialize.scm 429 */
														BgL_tmpz00_14006 = ((bool_t) 1);
													}
												return BBOOL(BgL_tmpz00_14006);
											}
										}
									}
								}
							else
								{	/* SawBbv/bbv-specialize.scm 421 */
									return BFALSE;
								}
						}
				}
		}

	}



/* block-need-merge? */
	bool_t
		BGl_blockzd2needzd2mergezf3zf3zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_bvz00_275)
	{
		{	/* SawBbv/bbv-specialize.scm 434 */
			{	/* SawBbv/bbv-specialize.scm 436 */
				long BgL_arg2754z00_2685;
				obj_t BgL_arg2755z00_2686;

				BgL_arg2754z00_2685 =
					bgl_list_length(BGl_blockVzd2livezd2versionsz00zzsaw_bbvzd2typeszd2
					(BgL_bvz00_275));
				{	/* SawBbv/bbv-specialize.scm 437 */
					bool_t BgL_test4483z00_14021;

					{	/* SawBbv/bbv-specialize.scm 437 */
						obj_t BgL_tmpz00_14022;

						{
							BgL_blockvz00_bglt BgL_auxz00_14023;

							{
								obj_t BgL_auxz00_14024;

								{	/* SawBbv/bbv-specialize.scm 437 */
									BgL_objectz00_bglt BgL_tmpz00_14025;

									BgL_tmpz00_14025 = ((BgL_objectz00_bglt) BgL_bvz00_275);
									BgL_auxz00_14024 = BGL_OBJECT_WIDENING(BgL_tmpz00_14025);
								}
								BgL_auxz00_14023 = ((BgL_blockvz00_bglt) BgL_auxz00_14024);
							}
							BgL_tmpz00_14022 =
								(((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_14023))->
								BgL_mergez00);
						}
						BgL_test4483z00_14021 = CBOOL(BgL_tmpz00_14022);
					}
					if (BgL_test4483z00_14021)
						{	/* SawBbv/bbv-specialize.scm 437 */
							BgL_arg2755z00_2686 =
								BGl_za2maxzd2blockzd2mergezd2versionsza2zd2zzsaw_bbvzd2configzd2;
						}
					else
						{	/* SawBbv/bbv-specialize.scm 437 */
							BgL_arg2755z00_2686 =
								BGl_za2maxzd2blockzd2limitza2z00zzsaw_bbvzd2configzd2;
						}
				}
				return (BgL_arg2754z00_2685 > (long) CINT(BgL_arg2755z00_2686));
		}}

	}



/* live-blockS */
	BgL_blockz00_bglt
		BGl_livezd2blockSzd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_bz00_276)
	{
		{	/* SawBbv/bbv-specialize.scm 445 */
		BGl_livezd2blockSzd2zzsaw_bbvzd2specializa7ez75:
			{	/* SawBbv/bbv-specialize.scm 447 */
				bool_t BgL_test4484z00_14033;

				{	/* SawBbv/bbv-specialize.scm 447 */
					obj_t BgL_tmpz00_14034;

					{
						BgL_blocksz00_bglt BgL_auxz00_14035;

						{
							obj_t BgL_auxz00_14036;

							{	/* SawBbv/bbv-specialize.scm 447 */
								BgL_objectz00_bglt BgL_tmpz00_14037;

								BgL_tmpz00_14037 = ((BgL_objectz00_bglt) BgL_bz00_276);
								BgL_auxz00_14036 = BGL_OBJECT_WIDENING(BgL_tmpz00_14037);
							}
							BgL_auxz00_14035 = ((BgL_blocksz00_bglt) BgL_auxz00_14036);
						}
						BgL_tmpz00_14034 =
							(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_14035))->BgL_mblockz00);
					}
					BgL_test4484z00_14033 = CBOOL(BgL_tmpz00_14034);
				}
				if (BgL_test4484z00_14033)
					{	/* SawBbv/bbv-specialize.scm 448 */
						obj_t BgL_arg2761z00_2691;

						{
							BgL_blocksz00_bglt BgL_auxz00_14043;

							{
								obj_t BgL_auxz00_14044;

								{	/* SawBbv/bbv-specialize.scm 448 */
									BgL_objectz00_bglt BgL_tmpz00_14045;

									BgL_tmpz00_14045 = ((BgL_objectz00_bglt) BgL_bz00_276);
									BgL_auxz00_14044 = BGL_OBJECT_WIDENING(BgL_tmpz00_14045);
								}
								BgL_auxz00_14043 = ((BgL_blocksz00_bglt) BgL_auxz00_14044);
							}
							BgL_arg2761z00_2691 =
								(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_14043))->
								BgL_mblockz00);
						}
						{
							BgL_blockz00_bglt BgL_bz00_14050;

							BgL_bz00_14050 = ((BgL_blockz00_bglt) BgL_arg2761z00_2691);
							BgL_bz00_276 = BgL_bz00_14050;
							goto BGl_livezd2blockSzd2zzsaw_bbvzd2specializa7ez75;
						}
					}
				else
					{	/* SawBbv/bbv-specialize.scm 447 */
						return BgL_bz00_276;
					}
			}
		}

	}



/* bbv-block */
	BgL_blockz00_bglt
		BGl_bbvzd2blockzd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_bz00_277, BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_278,
		BgL_bbvzd2queuezd2_bglt BgL_queuez00_279, obj_t BgL_creatorz00_280)
	{
		{	/* SawBbv/bbv-specialize.scm 454 */
			{	/* SawBbv/bbv-specialize.scm 471 */
				BgL_blockz00_bglt BgL_bvz00_2709;

				{	/* SawBbv/bbv-specialize.scm 471 */
					bool_t BgL_test4485z00_14052;

					{	/* SawBbv/bbv-specialize.scm 471 */
						obj_t BgL_classz00_6034;

						BgL_classz00_6034 = BGl_blockVz00zzsaw_bbvzd2typeszd2;
						{	/* SawBbv/bbv-specialize.scm 471 */
							BgL_objectz00_bglt BgL_arg1858z00_6036;

							{	/* SawBbv/bbv-specialize.scm 471 */
								obj_t BgL_tmpz00_14053;

								BgL_tmpz00_14053 = ((obj_t) BgL_bz00_277);
								BgL_arg1858z00_6036 = (BgL_objectz00_bglt) (BgL_tmpz00_14053);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawBbv/bbv-specialize.scm 471 */
									long BgL_idxz00_6042;

									BgL_idxz00_6042 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6036);
									BgL_test4485z00_14052 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_6042 + 2L)) == BgL_classz00_6034);
								}
							else
								{	/* SawBbv/bbv-specialize.scm 471 */
									bool_t BgL_res4086z00_6067;

									{	/* SawBbv/bbv-specialize.scm 471 */
										obj_t BgL_oclassz00_6050;

										{	/* SawBbv/bbv-specialize.scm 471 */
											obj_t BgL_arg1866z00_6058;
											long BgL_arg1867z00_6059;

											BgL_arg1866z00_6058 = (BGl_za2classesza2z00zz__objectz00);
											{	/* SawBbv/bbv-specialize.scm 471 */
												long BgL_arg1869z00_6060;

												BgL_arg1869z00_6060 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6036);
												BgL_arg1867z00_6059 =
													(BgL_arg1869z00_6060 - OBJECT_TYPE);
											}
											BgL_oclassz00_6050 =
												VECTOR_REF(BgL_arg1866z00_6058, BgL_arg1867z00_6059);
										}
										{	/* SawBbv/bbv-specialize.scm 471 */
											bool_t BgL__ortest_1115z00_6051;

											BgL__ortest_1115z00_6051 =
												(BgL_classz00_6034 == BgL_oclassz00_6050);
											if (BgL__ortest_1115z00_6051)
												{	/* SawBbv/bbv-specialize.scm 471 */
													BgL_res4086z00_6067 = BgL__ortest_1115z00_6051;
												}
											else
												{	/* SawBbv/bbv-specialize.scm 471 */
													long BgL_odepthz00_6052;

													{	/* SawBbv/bbv-specialize.scm 471 */
														obj_t BgL_arg1855z00_6053;

														BgL_arg1855z00_6053 = (BgL_oclassz00_6050);
														BgL_odepthz00_6052 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_6053);
													}
													if ((2L < BgL_odepthz00_6052))
														{	/* SawBbv/bbv-specialize.scm 471 */
															obj_t BgL_arg1853z00_6055;

															{	/* SawBbv/bbv-specialize.scm 471 */
																obj_t BgL_arg1854z00_6056;

																BgL_arg1854z00_6056 = (BgL_oclassz00_6050);
																BgL_arg1853z00_6055 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_6056,
																	2L);
															}
															BgL_res4086z00_6067 =
																(BgL_arg1853z00_6055 == BgL_classz00_6034);
														}
													else
														{	/* SawBbv/bbv-specialize.scm 471 */
															BgL_res4086z00_6067 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test4485z00_14052 = BgL_res4086z00_6067;
								}
						}
					}
					if (BgL_test4485z00_14052)
						{	/* SawBbv/bbv-specialize.scm 471 */
							BgL_bvz00_2709 = BgL_bz00_277;
						}
					else
						{
							BgL_blockz00_bglt BgL_auxz00_14075;

							{
								BgL_blocksz00_bglt BgL_auxz00_14076;

								{
									obj_t BgL_auxz00_14077;

									{	/* SawBbv/bbv-specialize.scm 471 */
										BgL_objectz00_bglt BgL_tmpz00_14078;

										BgL_tmpz00_14078 =
											((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_277));
										BgL_auxz00_14077 = BGL_OBJECT_WIDENING(BgL_tmpz00_14078);
									}
									BgL_auxz00_14076 = ((BgL_blocksz00_bglt) BgL_auxz00_14077);
								}
								BgL_auxz00_14075 =
									(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_14076))->
									BgL_parentz00);
							}
							BgL_bvz00_2709 = ((BgL_blockz00_bglt) BgL_auxz00_14075);
						}
				}
				{	/* SawBbv/bbv-specialize.scm 479 */
					BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_2711;

					{	/* SawBbv/bbv-specialize.scm 479 */
						obj_t BgL_arg2774z00_2724;

						{	/* SawBbv/bbv-specialize.scm 479 */
							obj_t BgL_pairz00_6069;

							BgL_pairz00_6069 =
								(((BgL_blockz00_bglt) COBJECT(
										((BgL_blockz00_bglt)
											((BgL_blockz00_bglt) BgL_bvz00_2709))))->BgL_firstz00);
							BgL_arg2774z00_2724 = CAR(BgL_pairz00_6069);
						}
						BgL_ctxz00_2711 =
							BGl_bbvzd2ctxzd2filterzd2livezd2inzd2regszd2zzsaw_bbvzd2utilszd2
							(BgL_ctxz00_278, ((BgL_rtl_insz00_bglt) BgL_arg2774z00_2724));
					}
					{	/* SawBbv/bbv-specialize.scm 481 */
						obj_t BgL_g1329z00_2712;

						{	/* SawBbv/bbv-specialize.scm 481 */
							obj_t BgL_arg2770z00_2723;

							{
								BgL_blockvz00_bglt BgL_auxz00_14091;

								{
									obj_t BgL_auxz00_14092;

									{	/* SawBbv/bbv-specialize.scm 481 */
										BgL_objectz00_bglt BgL_tmpz00_14093;

										BgL_tmpz00_14093 =
											((BgL_objectz00_bglt)
											((BgL_blockz00_bglt) BgL_bvz00_2709));
										BgL_auxz00_14092 = BGL_OBJECT_WIDENING(BgL_tmpz00_14093);
									}
									BgL_auxz00_14091 = ((BgL_blockvz00_bglt) BgL_auxz00_14092);
								}
								BgL_arg2770z00_2723 =
									(((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_14091))->
									BgL_versionsz00);
							}
							BgL_g1329z00_2712 =
								BGl_bbvzd2ctxzd2assocz00zzsaw_bbvzd2typeszd2(BgL_ctxz00_2711,
								BgL_arg2770z00_2723);
						}
						if (CBOOL(BgL_g1329z00_2712))
							{	/* SawBbv/bbv-specialize.scm 484 */
								BgL_blockz00_bglt BgL_obsz00_2715;

								BgL_obsz00_2715 =
									BGl_livezd2blockSzd2zzsaw_bbvzd2specializa7ez75(
									((BgL_blockz00_bglt) BgL_g1329z00_2712));
								if (CBOOL(BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2))
									{	/* SawBbv/bbv-specialize.scm 496 */
										BGl_assertzd2blockzd2zzsaw_bbvzd2debugzd2(BgL_obsz00_2715,
											BGl_string4207z00zzsaw_bbvzd2specializa7ez75);
									}
								else
									{	/* SawBbv/bbv-specialize.scm 496 */
										BFALSE;
									}
								if (BGl_blockzd2livezf3z21zzsaw_bbvzd2typeszd2(BgL_obsz00_2715))
									{	/* SawBbv/bbv-specialize.scm 498 */
										BFALSE;
									}
								else
									{	/* SawBbv/bbv-specialize.scm 498 */
										if (BGl_bbvzd2queuezd2haszf3zf3zzsaw_bbvzd2typeszd2
											(BgL_queuez00_279, BgL_obsz00_2715))
											{	/* SawBbv/bbv-specialize.scm 501 */
												BFALSE;
											}
										else
											{	/* SawBbv/bbv-specialize.scm 501 */
												BGl_bbvzd2queuezd2pushz12z12zzsaw_bbvzd2typeszd2
													(BgL_queuez00_279, BgL_obsz00_2715);
											}
									}
								return BgL_obsz00_2715;
							}
						else
							{	/* SawBbv/bbv-specialize.scm 505 */
								BgL_blockz00_bglt BgL_nbsz00_2719;

								BgL_nbsz00_2719 =
									BGl_newzd2blockSzd2zzsaw_bbvzd2specializa7ez75(
									((BgL_blockz00_bglt) BgL_bvz00_2709), BgL_ctxz00_2711,
									BgL_creatorz00_280, 0L);
								BGl_bbvzd2queuezd2pushz12z12zzsaw_bbvzd2typeszd2
									(BgL_queuez00_279, BgL_nbsz00_2719);
								return BgL_nbsz00_2719;
							}
					}
				}
			}
		}

	}



/* search2499~0 */
	obj_t BGl_search2499ze70ze7zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_l2498z00_9898, obj_t BgL_opt2496z00_9897, obj_t BgL_k1z00_2729,
		obj_t BgL_iz00_2730)
	{
		{	/* SawBbv/bbv-specialize.scm 514 */
		BGl_search2499ze70ze7zzsaw_bbvzd2specializa7ez75:
			if (((long) CINT(BgL_iz00_2730) == (long) CINT(BgL_l2498z00_9898)))
				{	/* SawBbv/bbv-specialize.scm 514 */
					return BINT((-1L));
				}
			else
				{	/* SawBbv/bbv-specialize.scm 514 */
					obj_t BgL_vz00_2745;

					BgL_vz00_2745 =
						VECTOR_REF(BgL_opt2496z00_9897, (long) CINT(BgL_iz00_2730));
					if ((BgL_vz00_2745 == BgL_k1z00_2729))
						{	/* SawBbv/bbv-specialize.scm 514 */
							return ADDFX(BgL_iz00_2730, BINT(1L));
						}
					else
						{
							obj_t BgL_iz00_14126;

							BgL_iz00_14126 = ADDFX(BgL_iz00_2730, BINT(2L));
							BgL_iz00_2730 = BgL_iz00_14126;
							goto BGl_search2499ze70ze7zzsaw_bbvzd2specializa7ez75;
						}
				}
		}

	}



/* new-blockS */
	BgL_blockz00_bglt
		BGl_newzd2blockSzd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_bvz00_283, BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_284,
		obj_t BgL_creatorz00_285, long BgL_gccntz00_286)
	{
		{	/* SawBbv/bbv-specialize.scm 514 */
			{	/* SawBbv/bbv-specialize.scm 516 */
				obj_t BgL_lblz00_2747;

				BgL_lblz00_2747 = BGl_genlabelz00zzsaw_bbvzd2utilszd2();
				{	/* SawBbv/bbv-specialize.scm 516 */
					BgL_blockz00_bglt BgL_bsz00_2748;

					{	/* SawBbv/bbv-specialize.scm 517 */
						BgL_blockz00_bglt BgL_new1337z00_2751;

						{	/* SawBbv/bbv-specialize.scm 520 */
							BgL_blockz00_bglt BgL_tmp1335z00_2752;
							BgL_blocksz00_bglt BgL_wide1336z00_2753;

							{
								BgL_blockz00_bglt BgL_auxz00_14130;

								{	/* SawBbv/bbv-specialize.scm 520 */
									BgL_blockz00_bglt BgL_new1334z00_2755;

									BgL_new1334z00_2755 =
										((BgL_blockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_blockz00_bgl))));
									{	/* SawBbv/bbv-specialize.scm 520 */
										long BgL_arg2805z00_2756;

										BgL_arg2805z00_2756 =
											BGL_CLASS_NUM(BGl_blockz00zzsaw_defsz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1334z00_2755),
											BgL_arg2805z00_2756);
									}
									{	/* SawBbv/bbv-specialize.scm 520 */
										BgL_objectz00_bglt BgL_tmpz00_14135;

										BgL_tmpz00_14135 =
											((BgL_objectz00_bglt) BgL_new1334z00_2755);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14135, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1334z00_2755);
									BgL_auxz00_14130 = BgL_new1334z00_2755;
								}
								BgL_tmp1335z00_2752 = ((BgL_blockz00_bglt) BgL_auxz00_14130);
							}
							BgL_wide1336z00_2753 =
								((BgL_blocksz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_blocksz00_bgl))));
							{	/* SawBbv/bbv-specialize.scm 520 */
								obj_t BgL_auxz00_14143;
								BgL_objectz00_bglt BgL_tmpz00_14141;

								BgL_auxz00_14143 = ((obj_t) BgL_wide1336z00_2753);
								BgL_tmpz00_14141 = ((BgL_objectz00_bglt) BgL_tmp1335z00_2752);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14141, BgL_auxz00_14143);
							}
							((BgL_objectz00_bglt) BgL_tmp1335z00_2752);
							{	/* SawBbv/bbv-specialize.scm 520 */
								long BgL_arg2804z00_2754;

								BgL_arg2804z00_2754 =
									BGL_CLASS_NUM(BGl_blockSz00zzsaw_bbvzd2typeszd2);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_tmp1335z00_2752),
									BgL_arg2804z00_2754);
							}
							BgL_new1337z00_2751 = ((BgL_blockz00_bglt) BgL_tmp1335z00_2752);
						}
						((((BgL_blockz00_bglt) COBJECT(
										((BgL_blockz00_bglt) BgL_new1337z00_2751)))->BgL_labelz00) =
							((int) CINT(BgL_lblz00_2747)), BUNSPEC);
						((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
											BgL_new1337z00_2751)))->BgL_predsz00) =
							((obj_t) BNIL), BUNSPEC);
						((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
											BgL_new1337z00_2751)))->BgL_succsz00) =
							((obj_t) BNIL), BUNSPEC);
						((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
											BgL_new1337z00_2751)))->BgL_firstz00) =
							((obj_t) BNIL), BUNSPEC);
						{
							BgL_blocksz00_bglt BgL_auxz00_14160;

							{
								obj_t BgL_auxz00_14161;

								{	/* SawBbv/bbv-specialize.scm 522 */
									BgL_objectz00_bglt BgL_tmpz00_14162;

									BgL_tmpz00_14162 = ((BgL_objectz00_bglt) BgL_new1337z00_2751);
									BgL_auxz00_14161 = BGL_OBJECT_WIDENING(BgL_tmpz00_14162);
								}
								BgL_auxz00_14160 = ((BgL_blocksz00_bglt) BgL_auxz00_14161);
							}
							((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_14160))->
									BgL_z52markz52) = ((long) (-1L)), BUNSPEC);
						}
						{
							BgL_blocksz00_bglt BgL_auxz00_14167;

							{
								obj_t BgL_auxz00_14168;

								{	/* SawBbv/bbv-specialize.scm 522 */
									BgL_objectz00_bglt BgL_tmpz00_14169;

									BgL_tmpz00_14169 = ((BgL_objectz00_bglt) BgL_new1337z00_2751);
									BgL_auxz00_14168 = BGL_OBJECT_WIDENING(BgL_tmpz00_14169);
								}
								BgL_auxz00_14167 = ((BgL_blocksz00_bglt) BgL_auxz00_14168);
							}
							((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_14167))->
									BgL_z52hashz52) = ((obj_t) BFALSE), BUNSPEC);
						}
						{
							BgL_blocksz00_bglt BgL_auxz00_14174;

							{
								obj_t BgL_auxz00_14175;

								{	/* SawBbv/bbv-types.scm 56 */
									BgL_objectz00_bglt BgL_tmpz00_14176;

									BgL_tmpz00_14176 = ((BgL_objectz00_bglt) BgL_new1337z00_2751);
									BgL_auxz00_14175 = BGL_OBJECT_WIDENING(BgL_tmpz00_14176);
								}
								BgL_auxz00_14174 = ((BgL_blocksz00_bglt) BgL_auxz00_14175);
							}
							((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_14174))->
									BgL_z52blacklistz52) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_blocksz00_bglt BgL_auxz00_14181;

							{
								obj_t BgL_auxz00_14182;

								{	/* SawBbv/bbv-specialize.scm 518 */
									BgL_objectz00_bglt BgL_tmpz00_14183;

									BgL_tmpz00_14183 = ((BgL_objectz00_bglt) BgL_new1337z00_2751);
									BgL_auxz00_14182 = BGL_OBJECT_WIDENING(BgL_tmpz00_14183);
								}
								BgL_auxz00_14181 = ((BgL_blocksz00_bglt) BgL_auxz00_14182);
							}
							((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_14181))->BgL_ctxz00) =
								((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_284), BUNSPEC);
						}
						{
							BgL_blocksz00_bglt BgL_auxz00_14188;

							{
								obj_t BgL_auxz00_14189;

								{	/* SawBbv/bbv-specialize.scm 519 */
									BgL_objectz00_bglt BgL_tmpz00_14190;

									BgL_tmpz00_14190 = ((BgL_objectz00_bglt) BgL_new1337z00_2751);
									BgL_auxz00_14189 = BGL_OBJECT_WIDENING(BgL_tmpz00_14190);
								}
								BgL_auxz00_14188 = ((BgL_blocksz00_bglt) BgL_auxz00_14189);
							}
							((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_14188))->
									BgL_parentz00) =
								((BgL_blockz00_bglt) BgL_bvz00_283), BUNSPEC);
						}
						{
							BgL_blocksz00_bglt BgL_auxz00_14195;

							{
								obj_t BgL_auxz00_14196;

								{	/* SawBbv/bbv-specialize.scm 521 */
									BgL_objectz00_bglt BgL_tmpz00_14197;

									BgL_tmpz00_14197 = ((BgL_objectz00_bglt) BgL_new1337z00_2751);
									BgL_auxz00_14196 = BGL_OBJECT_WIDENING(BgL_tmpz00_14197);
								}
								BgL_auxz00_14195 = ((BgL_blocksz00_bglt) BgL_auxz00_14196);
							}
							((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_14195))->
									BgL_gccntz00) = ((long) BgL_gccntz00_286), BUNSPEC);
						}
						{
							BgL_blocksz00_bglt BgL_auxz00_14202;

							{
								obj_t BgL_auxz00_14203;

								{	/* SawBbv/bbv-specialize.scm 521 */
									BgL_objectz00_bglt BgL_tmpz00_14204;

									BgL_tmpz00_14204 = ((BgL_objectz00_bglt) BgL_new1337z00_2751);
									BgL_auxz00_14203 = BGL_OBJECT_WIDENING(BgL_tmpz00_14204);
								}
								BgL_auxz00_14202 = ((BgL_blocksz00_bglt) BgL_auxz00_14203);
							}
							((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_14202))->
									BgL_gcmarkz00) = ((long) (-1L)), BUNSPEC);
						}
						{
							BgL_blocksz00_bglt BgL_auxz00_14209;

							{
								obj_t BgL_auxz00_14210;

								{	/* SawBbv/bbv-specialize.scm 521 */
									BgL_objectz00_bglt BgL_tmpz00_14211;

									BgL_tmpz00_14211 = ((BgL_objectz00_bglt) BgL_new1337z00_2751);
									BgL_auxz00_14210 = BGL_OBJECT_WIDENING(BgL_tmpz00_14211);
								}
								BgL_auxz00_14209 = ((BgL_blocksz00_bglt) BgL_auxz00_14210);
							}
							((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_14209))->
									BgL_mblockz00) = ((obj_t) BFALSE), BUNSPEC);
						}
						{
							BgL_blocksz00_bglt BgL_auxz00_14216;

							{
								obj_t BgL_auxz00_14217;

								{	/* SawBbv/bbv-specialize.scm 523 */
									BgL_objectz00_bglt BgL_tmpz00_14218;

									BgL_tmpz00_14218 = ((BgL_objectz00_bglt) BgL_new1337z00_2751);
									BgL_auxz00_14217 = BGL_OBJECT_WIDENING(BgL_tmpz00_14218);
								}
								BgL_auxz00_14216 = ((BgL_blocksz00_bglt) BgL_auxz00_14217);
							}
							((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_14216))->
									BgL_creatorz00) = ((obj_t) BgL_creatorz00_285), BUNSPEC);
						}
						{
							BgL_blocksz00_bglt BgL_auxz00_14223;

							{
								obj_t BgL_auxz00_14224;

								{	/* SawBbv/bbv-types.scm 63 */
									BgL_objectz00_bglt BgL_tmpz00_14225;

									BgL_tmpz00_14225 = ((BgL_objectz00_bglt) BgL_new1337z00_2751);
									BgL_auxz00_14224 = BGL_OBJECT_WIDENING(BgL_tmpz00_14225);
								}
								BgL_auxz00_14223 = ((BgL_blocksz00_bglt) BgL_auxz00_14224);
							}
							((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_14223))->
									BgL_mergesz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_blocksz00_bglt BgL_auxz00_14230;

							{
								obj_t BgL_auxz00_14231;

								{	/* SawBbv/bbv-types.scm 63 */
									BgL_objectz00_bglt BgL_tmpz00_14232;

									BgL_tmpz00_14232 = ((BgL_objectz00_bglt) BgL_new1337z00_2751);
									BgL_auxz00_14231 = BGL_OBJECT_WIDENING(BgL_tmpz00_14232);
								}
								BgL_auxz00_14230 = ((BgL_blocksz00_bglt) BgL_auxz00_14231);
							}
							((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_14230))->
									BgL_asleepz00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
						}
						BgL_bsz00_2748 = BgL_new1337z00_2751;
					}
					{	/* SawBbv/bbv-specialize.scm 517 */

						BGl_bbvzd2gczd2addzd2blockz12zc0zzsaw_bbvzd2gczd2(BgL_bsz00_2748);
						{
							obj_t BgL_auxz00_14244;
							BgL_blockvz00_bglt BgL_auxz00_14238;

							{	/* SawBbv/bbv-specialize.scm 534 */
								obj_t BgL_arg2803z00_2750;

								{
									BgL_blockvz00_bglt BgL_auxz00_14245;

									{
										obj_t BgL_auxz00_14246;

										{	/* SawBbv/bbv-specialize.scm 534 */
											BgL_objectz00_bglt BgL_tmpz00_14247;

											BgL_tmpz00_14247 = ((BgL_objectz00_bglt) BgL_bvz00_283);
											BgL_auxz00_14246 = BGL_OBJECT_WIDENING(BgL_tmpz00_14247);
										}
										BgL_auxz00_14245 = ((BgL_blockvz00_bglt) BgL_auxz00_14246);
									}
									BgL_arg2803z00_2750 =
										(((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_14245))->
										BgL_versionsz00);
								}
								BgL_auxz00_14244 =
									MAKE_YOUNG_PAIR(
									((obj_t) BgL_bsz00_2748), BgL_arg2803z00_2750);
							}
							{
								obj_t BgL_auxz00_14239;

								{	/* SawBbv/bbv-specialize.scm 534 */
									BgL_objectz00_bglt BgL_tmpz00_14240;

									BgL_tmpz00_14240 = ((BgL_objectz00_bglt) BgL_bvz00_283);
									BgL_auxz00_14239 = BGL_OBJECT_WIDENING(BgL_tmpz00_14240);
								}
								BgL_auxz00_14238 = ((BgL_blockvz00_bglt) BgL_auxz00_14239);
							}
							((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_14238))->
									BgL_versionsz00) = ((obj_t) BgL_auxz00_14244), BUNSPEC);
						}
						return BgL_bsz00_2748;
					}
				}
			}
		}

	}



/* duplicate-ins/args */
	BgL_rtl_insz00_bglt
		BGl_duplicatezd2inszf2argsz20zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_insz00_289, obj_t BgL_argsz00_290, BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_291)
	{
		{	/* SawBbv/bbv-specialize.scm 540 */
			{	/* SawBbv/bbv-specialize.scm 541 */
				BgL_rtl_insz00_bglt BgL_new1339z00_2758;

				{	/* SawBbv/bbv-specialize.scm 541 */
					BgL_rtl_insz00_bglt BgL_tmp1347z00_2763;
					BgL_rtl_inszf2bbvzf2_bglt BgL_wide1348z00_2764;

					{
						BgL_rtl_insz00_bglt BgL_auxz00_14255;

						{	/* SawBbv/bbv-specialize.scm 541 */
							BgL_rtl_insz00_bglt BgL_new1346z00_2766;

							BgL_new1346z00_2766 =
								((BgL_rtl_insz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_insz00_bgl))));
							{	/* SawBbv/bbv-specialize.scm 541 */
								long BgL_arg2810z00_2767;

								BgL_arg2810z00_2767 =
									BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1346z00_2766),
									BgL_arg2810z00_2767);
							}
							{	/* SawBbv/bbv-specialize.scm 541 */
								BgL_objectz00_bglt BgL_tmpz00_14260;

								BgL_tmpz00_14260 = ((BgL_objectz00_bglt) BgL_new1346z00_2766);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14260, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1346z00_2766);
							BgL_auxz00_14255 = BgL_new1346z00_2766;
						}
						BgL_tmp1347z00_2763 = ((BgL_rtl_insz00_bglt) BgL_auxz00_14255);
					}
					BgL_wide1348z00_2764 =
						((BgL_rtl_inszf2bbvzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_inszf2bbvzf2_bgl))));
					{	/* SawBbv/bbv-specialize.scm 541 */
						obj_t BgL_auxz00_14268;
						BgL_objectz00_bglt BgL_tmpz00_14266;

						BgL_auxz00_14268 = ((obj_t) BgL_wide1348z00_2764);
						BgL_tmpz00_14266 = ((BgL_objectz00_bglt) BgL_tmp1347z00_2763);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14266, BgL_auxz00_14268);
					}
					((BgL_objectz00_bglt) BgL_tmp1347z00_2763);
					{	/* SawBbv/bbv-specialize.scm 541 */
						long BgL_arg2806z00_2765;

						BgL_arg2806z00_2765 =
							BGL_CLASS_NUM(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1347z00_2763), BgL_arg2806z00_2765);
					}
					BgL_new1339z00_2758 = ((BgL_rtl_insz00_bglt) BgL_tmp1347z00_2763);
				}
				((((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_new1339z00_2758)))->BgL_locz00) =
					((obj_t) (((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
										BgL_insz00_289)))->BgL_locz00)), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1339z00_2758)))->BgL_z52spillz52) =
					((obj_t) (((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
										BgL_insz00_289)))->BgL_z52spillz52)), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1339z00_2758)))->BgL_destz00) =
					((obj_t) (((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
										BgL_insz00_289)))->BgL_destz00)), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1339z00_2758)))->BgL_funz00) =
					((BgL_rtl_funz00_bglt) (((BgL_rtl_insz00_bglt)
								COBJECT(((BgL_rtl_insz00_bglt) BgL_insz00_289)))->BgL_funz00)),
					BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1339z00_2758)))->BgL_argsz00) =
					((obj_t) BgL_argsz00_290), BUNSPEC);
				{
					obj_t BgL_auxz00_14300;
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_14294;

					{
						BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_14301;

						{
							obj_t BgL_auxz00_14302;

							{	/* SawBbv/bbv-specialize.scm 542 */
								BgL_objectz00_bglt BgL_tmpz00_14303;

								BgL_tmpz00_14303 =
									((BgL_objectz00_bglt)
									((BgL_rtl_insz00_bglt)
										((BgL_rtl_insz00_bglt) BgL_insz00_289)));
								BgL_auxz00_14302 = BGL_OBJECT_WIDENING(BgL_tmpz00_14303);
							}
							BgL_auxz00_14301 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_14302);
						}
						BgL_auxz00_14300 =
							(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_14301))->
							BgL_defz00);
					}
					{
						obj_t BgL_auxz00_14295;

						{	/* SawBbv/bbv-specialize.scm 542 */
							BgL_objectz00_bglt BgL_tmpz00_14296;

							BgL_tmpz00_14296 = ((BgL_objectz00_bglt) BgL_new1339z00_2758);
							BgL_auxz00_14295 = BGL_OBJECT_WIDENING(BgL_tmpz00_14296);
						}
						BgL_auxz00_14294 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_14295);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_14294))->
							BgL_defz00) = ((obj_t) BgL_auxz00_14300), BUNSPEC);
				}
				{
					obj_t BgL_auxz00_14317;
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_14311;

					{
						BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_14318;

						{
							obj_t BgL_auxz00_14319;

							{	/* SawBbv/bbv-specialize.scm 542 */
								BgL_objectz00_bglt BgL_tmpz00_14320;

								BgL_tmpz00_14320 =
									((BgL_objectz00_bglt)
									((BgL_rtl_insz00_bglt)
										((BgL_rtl_insz00_bglt) BgL_insz00_289)));
								BgL_auxz00_14319 = BGL_OBJECT_WIDENING(BgL_tmpz00_14320);
							}
							BgL_auxz00_14318 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_14319);
						}
						BgL_auxz00_14317 =
							(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_14318))->
							BgL_outz00);
					}
					{
						obj_t BgL_auxz00_14312;

						{	/* SawBbv/bbv-specialize.scm 542 */
							BgL_objectz00_bglt BgL_tmpz00_14313;

							BgL_tmpz00_14313 = ((BgL_objectz00_bglt) BgL_new1339z00_2758);
							BgL_auxz00_14312 = BGL_OBJECT_WIDENING(BgL_tmpz00_14313);
						}
						BgL_auxz00_14311 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_14312);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_14311))->
							BgL_outz00) = ((obj_t) BgL_auxz00_14317), BUNSPEC);
				}
				{
					obj_t BgL_auxz00_14334;
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_14328;

					{
						BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_14335;

						{
							obj_t BgL_auxz00_14336;

							{	/* SawBbv/bbv-specialize.scm 542 */
								BgL_objectz00_bglt BgL_tmpz00_14337;

								BgL_tmpz00_14337 =
									((BgL_objectz00_bglt)
									((BgL_rtl_insz00_bglt)
										((BgL_rtl_insz00_bglt) BgL_insz00_289)));
								BgL_auxz00_14336 = BGL_OBJECT_WIDENING(BgL_tmpz00_14337);
							}
							BgL_auxz00_14335 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_14336);
						}
						BgL_auxz00_14334 =
							(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_14335))->
							BgL_inz00);
					}
					{
						obj_t BgL_auxz00_14329;

						{	/* SawBbv/bbv-specialize.scm 542 */
							BgL_objectz00_bglt BgL_tmpz00_14330;

							BgL_tmpz00_14330 = ((BgL_objectz00_bglt) BgL_new1339z00_2758);
							BgL_auxz00_14329 = BGL_OBJECT_WIDENING(BgL_tmpz00_14330);
						}
						BgL_auxz00_14328 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_14329);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_14328))->
							BgL_inz00) = ((obj_t) BgL_auxz00_14334), BUNSPEC);
				}
				{
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_14345;

					{
						obj_t BgL_auxz00_14346;

						{	/* SawBbv/bbv-specialize.scm 543 */
							BgL_objectz00_bglt BgL_tmpz00_14347;

							BgL_tmpz00_14347 = ((BgL_objectz00_bglt) BgL_new1339z00_2758);
							BgL_auxz00_14346 = BGL_OBJECT_WIDENING(BgL_tmpz00_14347);
						}
						BgL_auxz00_14345 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_14346);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_14345))->
							BgL_ctxz00) = ((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_291), BUNSPEC);
				}
				{
					obj_t BgL_auxz00_14358;
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_14352;

					{
						BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_14359;

						{
							obj_t BgL_auxz00_14360;

							{	/* SawBbv/bbv-specialize.scm 543 */
								BgL_objectz00_bglt BgL_tmpz00_14361;

								BgL_tmpz00_14361 =
									((BgL_objectz00_bglt)
									((BgL_rtl_insz00_bglt)
										((BgL_rtl_insz00_bglt) BgL_insz00_289)));
								BgL_auxz00_14360 = BGL_OBJECT_WIDENING(BgL_tmpz00_14361);
							}
							BgL_auxz00_14359 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_14360);
						}
						BgL_auxz00_14358 =
							(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_14359))->
							BgL_z52hashz52);
					}
					{
						obj_t BgL_auxz00_14353;

						{	/* SawBbv/bbv-specialize.scm 543 */
							BgL_objectz00_bglt BgL_tmpz00_14354;

							BgL_tmpz00_14354 = ((BgL_objectz00_bglt) BgL_new1339z00_2758);
							BgL_auxz00_14353 = BGL_OBJECT_WIDENING(BgL_tmpz00_14354);
						}
						BgL_auxz00_14352 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_14353);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_14352))->
							BgL_z52hashz52) = ((obj_t) BgL_auxz00_14358), BUNSPEC);
				}
				return BgL_new1339z00_2758;
			}
		}

	}



/* duplicate-ins */
	BgL_rtl_insz00_bglt
		BGl_duplicatezd2inszd2zzsaw_bbvzd2specializa7ez75(BgL_rtl_insz00_bglt
		BgL_insz00_292, BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_293)
	{
		{	/* SawBbv/bbv-specialize.scm 548 */
			{	/* SawBbv/bbv-specialize.scm 549 */
				BgL_rtl_insz00_bglt BgL_new1349z00_2769;

				{	/* SawBbv/bbv-specialize.scm 549 */
					BgL_rtl_insz00_bglt BgL_tmp1357z00_2774;
					BgL_rtl_inszf2bbvzf2_bglt BgL_wide1358z00_2775;

					{
						BgL_rtl_insz00_bglt BgL_auxz00_14369;

						{	/* SawBbv/bbv-specialize.scm 549 */
							BgL_rtl_insz00_bglt BgL_new1356z00_2777;

							BgL_new1356z00_2777 =
								((BgL_rtl_insz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_insz00_bgl))));
							{	/* SawBbv/bbv-specialize.scm 549 */
								long BgL_arg2812z00_2778;

								BgL_arg2812z00_2778 =
									BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1356z00_2777),
									BgL_arg2812z00_2778);
							}
							{	/* SawBbv/bbv-specialize.scm 549 */
								BgL_objectz00_bglt BgL_tmpz00_14374;

								BgL_tmpz00_14374 = ((BgL_objectz00_bglt) BgL_new1356z00_2777);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14374, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1356z00_2777);
							BgL_auxz00_14369 = BgL_new1356z00_2777;
						}
						BgL_tmp1357z00_2774 = ((BgL_rtl_insz00_bglt) BgL_auxz00_14369);
					}
					BgL_wide1358z00_2775 =
						((BgL_rtl_inszf2bbvzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_inszf2bbvzf2_bgl))));
					{	/* SawBbv/bbv-specialize.scm 549 */
						obj_t BgL_auxz00_14382;
						BgL_objectz00_bglt BgL_tmpz00_14380;

						BgL_auxz00_14382 = ((obj_t) BgL_wide1358z00_2775);
						BgL_tmpz00_14380 = ((BgL_objectz00_bglt) BgL_tmp1357z00_2774);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14380, BgL_auxz00_14382);
					}
					((BgL_objectz00_bglt) BgL_tmp1357z00_2774);
					{	/* SawBbv/bbv-specialize.scm 549 */
						long BgL_arg2811z00_2776;

						BgL_arg2811z00_2776 =
							BGL_CLASS_NUM(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1357z00_2774), BgL_arg2811z00_2776);
					}
					BgL_new1349z00_2769 = ((BgL_rtl_insz00_bglt) BgL_tmp1357z00_2774);
				}
				((((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_new1349z00_2769)))->BgL_locz00) =
					((obj_t) (((BgL_rtl_insz00_bglt) COBJECT(BgL_insz00_292))->
							BgL_locz00)), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1349z00_2769)))->BgL_z52spillz52) =
					((obj_t) (((BgL_rtl_insz00_bglt) COBJECT(BgL_insz00_292))->
							BgL_z52spillz52)), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1349z00_2769)))->BgL_destz00) =
					((obj_t) (((BgL_rtl_insz00_bglt) COBJECT(BgL_insz00_292))->
							BgL_destz00)), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1349z00_2769)))->BgL_funz00) =
					((BgL_rtl_funz00_bglt) (((BgL_rtl_insz00_bglt)
								COBJECT(BgL_insz00_292))->BgL_funz00)), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1349z00_2769)))->BgL_argsz00) =
					((obj_t) (((BgL_rtl_insz00_bglt) COBJECT(BgL_insz00_292))->
							BgL_argsz00)), BUNSPEC);
				{
					obj_t BgL_auxz00_14411;
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_14405;

					{
						BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_14412;

						{
							obj_t BgL_auxz00_14413;

							{	/* SawBbv/bbv-specialize.scm 549 */
								BgL_objectz00_bglt BgL_tmpz00_14414;

								BgL_tmpz00_14414 =
									((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_insz00_292));
								BgL_auxz00_14413 = BGL_OBJECT_WIDENING(BgL_tmpz00_14414);
							}
							BgL_auxz00_14412 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_14413);
						}
						BgL_auxz00_14411 =
							(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_14412))->
							BgL_defz00);
					}
					{
						obj_t BgL_auxz00_14406;

						{	/* SawBbv/bbv-specialize.scm 549 */
							BgL_objectz00_bglt BgL_tmpz00_14407;

							BgL_tmpz00_14407 = ((BgL_objectz00_bglt) BgL_new1349z00_2769);
							BgL_auxz00_14406 = BGL_OBJECT_WIDENING(BgL_tmpz00_14407);
						}
						BgL_auxz00_14405 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_14406);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_14405))->
							BgL_defz00) = ((obj_t) BgL_auxz00_14411), BUNSPEC);
				}
				{
					obj_t BgL_auxz00_14427;
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_14421;

					{
						BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_14428;

						{
							obj_t BgL_auxz00_14429;

							{	/* SawBbv/bbv-specialize.scm 549 */
								BgL_objectz00_bglt BgL_tmpz00_14430;

								BgL_tmpz00_14430 =
									((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_insz00_292));
								BgL_auxz00_14429 = BGL_OBJECT_WIDENING(BgL_tmpz00_14430);
							}
							BgL_auxz00_14428 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_14429);
						}
						BgL_auxz00_14427 =
							(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_14428))->
							BgL_outz00);
					}
					{
						obj_t BgL_auxz00_14422;

						{	/* SawBbv/bbv-specialize.scm 549 */
							BgL_objectz00_bglt BgL_tmpz00_14423;

							BgL_tmpz00_14423 = ((BgL_objectz00_bglt) BgL_new1349z00_2769);
							BgL_auxz00_14422 = BGL_OBJECT_WIDENING(BgL_tmpz00_14423);
						}
						BgL_auxz00_14421 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_14422);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_14421))->
							BgL_outz00) = ((obj_t) BgL_auxz00_14427), BUNSPEC);
				}
				{
					obj_t BgL_auxz00_14443;
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_14437;

					{
						BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_14444;

						{
							obj_t BgL_auxz00_14445;

							{	/* SawBbv/bbv-specialize.scm 549 */
								BgL_objectz00_bglt BgL_tmpz00_14446;

								BgL_tmpz00_14446 =
									((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_insz00_292));
								BgL_auxz00_14445 = BGL_OBJECT_WIDENING(BgL_tmpz00_14446);
							}
							BgL_auxz00_14444 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_14445);
						}
						BgL_auxz00_14443 =
							(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_14444))->
							BgL_inz00);
					}
					{
						obj_t BgL_auxz00_14438;

						{	/* SawBbv/bbv-specialize.scm 549 */
							BgL_objectz00_bglt BgL_tmpz00_14439;

							BgL_tmpz00_14439 = ((BgL_objectz00_bglt) BgL_new1349z00_2769);
							BgL_auxz00_14438 = BGL_OBJECT_WIDENING(BgL_tmpz00_14439);
						}
						BgL_auxz00_14437 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_14438);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_14437))->
							BgL_inz00) = ((obj_t) BgL_auxz00_14443), BUNSPEC);
				}
				{
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_14453;

					{
						obj_t BgL_auxz00_14454;

						{	/* SawBbv/bbv-specialize.scm 550 */
							BgL_objectz00_bglt BgL_tmpz00_14455;

							BgL_tmpz00_14455 = ((BgL_objectz00_bglt) BgL_new1349z00_2769);
							BgL_auxz00_14454 = BGL_OBJECT_WIDENING(BgL_tmpz00_14455);
						}
						BgL_auxz00_14453 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_14454);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_14453))->
							BgL_ctxz00) = ((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_293), BUNSPEC);
				}
				{
					obj_t BgL_auxz00_14466;
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_14460;

					{
						BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_14467;

						{
							obj_t BgL_auxz00_14468;

							{	/* SawBbv/bbv-specialize.scm 550 */
								BgL_objectz00_bglt BgL_tmpz00_14469;

								BgL_tmpz00_14469 =
									((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_insz00_292));
								BgL_auxz00_14468 = BGL_OBJECT_WIDENING(BgL_tmpz00_14469);
							}
							BgL_auxz00_14467 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_14468);
						}
						BgL_auxz00_14466 =
							(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_14467))->
							BgL_z52hashz52);
					}
					{
						obj_t BgL_auxz00_14461;

						{	/* SawBbv/bbv-specialize.scm 550 */
							BgL_objectz00_bglt BgL_tmpz00_14462;

							BgL_tmpz00_14462 = ((BgL_objectz00_bglt) BgL_new1349z00_2769);
							BgL_auxz00_14461 = BGL_OBJECT_WIDENING(BgL_tmpz00_14462);
						}
						BgL_auxz00_14460 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_14461);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_14460))->
							BgL_z52hashz52) = ((obj_t) BgL_auxz00_14466), BUNSPEC);
				}
				return BgL_new1349z00_2769;
			}
		}

	}



/* rtl_ins-specializer */
	obj_t
		BGl_rtl_inszd2specializa7erz75zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt BgL_iz00_294)
	{
		{	/* SawBbv/bbv-specialize.scm 555 */
			if (BGl_rtl_inszd2fxovopzf3z21zzsaw_bbvzd2typeszd2(BgL_iz00_294))
				{	/* SawBbv/bbv-specialize.scm 557 */
					return
						BGl_rtl_inszd2specializa7ezd2fxovopzd2envz75zzsaw_bbvzd2specializa7ez75;
				}
			else
				{	/* SawBbv/bbv-specialize.scm 557 */
					if (BGl_rtl_inszd2fxcmpzf3z21zzsaw_bbvzd2specializa7ez75
						(BgL_iz00_294))
						{	/* SawBbv/bbv-specialize.scm 558 */
							return
								BGl_rtl_inszd2specializa7ezd2fxcmpzd2envz75zzsaw_bbvzd2specializa7ez75;
						}
					else
						{	/* SawBbv/bbv-specialize.scm 558 */
							if (BGl_rtl_inszd2fxopzf3z21zzsaw_bbvzd2specializa7ez75
								(BgL_iz00_294))
								{	/* SawBbv/bbv-specialize.scm 559 */
									return
										BGl_rtl_inszd2specializa7ezd2fxopzd2envz75zzsaw_bbvzd2specializa7ez75;
								}
							else
								{	/* SawBbv/bbv-specialize.scm 559 */
									if (BGl_rtl_inszd2typecheckzf3z21zzsaw_bbvzd2specializa7ez75
										(BgL_iz00_294))
										{	/* SawBbv/bbv-specialize.scm 560 */
											return
												BGl_rtl_inszd2specializa7ezd2typecheckzd2envz75zzsaw_bbvzd2specializa7ez75;
										}
									else
										{	/* SawBbv/bbv-specialize.scm 560 */
											if (BGl_rtl_inszd2movzf3z21zzsaw_bbvzd2typeszd2
												(BgL_iz00_294))
												{	/* SawBbv/bbv-specialize.scm 561 */
													return
														BGl_rtl_inszd2specializa7ezd2movzd2envz75zzsaw_bbvzd2specializa7ez75;
												}
											else
												{	/* SawBbv/bbv-specialize.scm 561 */
													if (BGl_rtl_inszd2loadizf3z21zzsaw_bbvzd2typeszd2
														(BgL_iz00_294))
														{	/* SawBbv/bbv-specialize.scm 562 */
															return
																BGl_rtl_inszd2specializa7ezd2loadizd2envz75zzsaw_bbvzd2specializa7ez75;
														}
													else
														{	/* SawBbv/bbv-specialize.scm 562 */
															if (BGl_rtl_inszd2loadgzf3z21zzsaw_bbvzd2typeszd2
																(BgL_iz00_294))
																{	/* SawBbv/bbv-specialize.scm 563 */
																	return
																		BGl_rtl_inszd2specializa7ezd2loadgzd2envz75zzsaw_bbvzd2specializa7ez75;
																}
															else
																{	/* SawBbv/bbv-specialize.scm 563 */
																	if (CBOOL
																		(BGl_rtl_inszd2callzd2specializa7ezf3z54zzsaw_bbvzd2specializa7ez75
																			(BgL_iz00_294)))
																		{	/* SawBbv/bbv-specialize.scm 564 */
																			return
																				BGl_rtl_inszd2specializa7ezd2callzd2envz75zzsaw_bbvzd2specializa7ez75;
																		}
																	else
																		{	/* SawBbv/bbv-specialize.scm 564 */
																			if (BGl_rtl_inszd2returnzd2specializa7ezf3z54zzsaw_bbvzd2specializa7ez75(BgL_iz00_294))
																				{	/* SawBbv/bbv-specialize.scm 565 */
																					return
																						BGl_rtl_inszd2specializa7ezd2returnzd2envz75zzsaw_bbvzd2specializa7ez75;
																				}
																			else
																				{	/* SawBbv/bbv-specialize.scm 565 */
																					if (BGl_rtl_inszd2vlenzf3z21zzsaw_bbvzd2typeszd2(BgL_iz00_294))
																						{	/* SawBbv/bbv-specialize.scm 566 */
																							return
																								BGl_rtl_inszd2specializa7ezd2vlenzd2envz75zzsaw_bbvzd2specializa7ez75;
																						}
																					else
																						{	/* SawBbv/bbv-specialize.scm 566 */
																							if (BGl_rtl_inszd2strlenzf3z21zzsaw_bbvzd2typeszd2(BgL_iz00_294))
																								{	/* SawBbv/bbv-specialize.scm 567 */
																									return
																										BGl_rtl_inszd2specializa7ezd2vlenzd2envz75zzsaw_bbvzd2specializa7ez75;
																								}
																							else
																								{	/* SawBbv/bbv-specialize.scm 567 */
																									if (BGl_rtl_inszd2vectorzd2boundzd2checkzf3z21zzsaw_bbvzd2specializa7ez75(BgL_iz00_294))
																										{	/* SawBbv/bbv-specialize.scm 568 */
																											return
																												BGl_rtl_inszd2specializa7ezd2vectorzd2boundzd2checkzd2envz75zzsaw_bbvzd2specializa7ez75;
																										}
																									else
																										{	/* SawBbv/bbv-specialize.scm 568 */
																											if (BGl_rtl_inszd2resolvedzd2ifnezf3zf3zzsaw_bbvzd2specializa7ez75(BgL_iz00_294))
																												{	/* SawBbv/bbv-specialize.scm 569 */
																													return
																														BGl_rtl_inszd2specializa7ezd2resolvedzd2ifnezd2envza7zzsaw_bbvzd2specializa7ez75;
																												}
																											else
																												{	/* SawBbv/bbv-specialize.scm 569 */
																													return BFALSE;
																												}
																										}
																								}
																						}
																				}
																		}
																}
														}
												}
										}
								}
						}
				}
		}

	}



/* rtl_ins-typecheck? */
	bool_t
		BGl_rtl_inszd2typecheckzf3z21zzsaw_bbvzd2specializa7ez75(BgL_rtl_insz00_bglt
		BgL_iz00_295)
	{
		{	/* SawBbv/bbv-specialize.scm 575 */
			if (BGl_rtl_inszd2ifnezf3z21zzsaw_bbvzd2typeszd2(BgL_iz00_295))
				{	/* SawBbv/bbv-specialize.scm 578 */
					bool_t BgL_test4509z00_14505;

					{	/* SawBbv/bbv-specialize.scm 578 */
						bool_t BgL_test4510z00_14506;

						{	/* SawBbv/bbv-specialize.scm 578 */
							obj_t BgL_arg2863z00_2834;

							BgL_arg2863z00_2834 =
								CAR(
								(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_295))->BgL_argsz00));
							{	/* SawBbv/bbv-specialize.scm 578 */
								obj_t BgL_classz00_6134;

								BgL_classz00_6134 = BGl_rtl_insz00zzsaw_defsz00;
								if (BGL_OBJECTP(BgL_arg2863z00_2834))
									{	/* SawBbv/bbv-specialize.scm 578 */
										BgL_objectz00_bglt BgL_arg1858z00_6136;

										BgL_arg1858z00_6136 =
											(BgL_objectz00_bglt) (BgL_arg2863z00_2834);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* SawBbv/bbv-specialize.scm 578 */
												long BgL_idxz00_6142;

												BgL_idxz00_6142 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6136);
												BgL_test4510z00_14506 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_6142 + 1L)) == BgL_classz00_6134);
											}
										else
											{	/* SawBbv/bbv-specialize.scm 578 */
												bool_t BgL_res4087z00_6167;

												{	/* SawBbv/bbv-specialize.scm 578 */
													obj_t BgL_oclassz00_6150;

													{	/* SawBbv/bbv-specialize.scm 578 */
														obj_t BgL_arg1866z00_6158;
														long BgL_arg1867z00_6159;

														BgL_arg1866z00_6158 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* SawBbv/bbv-specialize.scm 578 */
															long BgL_arg1869z00_6160;

															BgL_arg1869z00_6160 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6136);
															BgL_arg1867z00_6159 =
																(BgL_arg1869z00_6160 - OBJECT_TYPE);
														}
														BgL_oclassz00_6150 =
															VECTOR_REF(BgL_arg1866z00_6158,
															BgL_arg1867z00_6159);
													}
													{	/* SawBbv/bbv-specialize.scm 578 */
														bool_t BgL__ortest_1115z00_6151;

														BgL__ortest_1115z00_6151 =
															(BgL_classz00_6134 == BgL_oclassz00_6150);
														if (BgL__ortest_1115z00_6151)
															{	/* SawBbv/bbv-specialize.scm 578 */
																BgL_res4087z00_6167 = BgL__ortest_1115z00_6151;
															}
														else
															{	/* SawBbv/bbv-specialize.scm 578 */
																long BgL_odepthz00_6152;

																{	/* SawBbv/bbv-specialize.scm 578 */
																	obj_t BgL_arg1855z00_6153;

																	BgL_arg1855z00_6153 = (BgL_oclassz00_6150);
																	BgL_odepthz00_6152 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_6153);
																}
																if ((1L < BgL_odepthz00_6152))
																	{	/* SawBbv/bbv-specialize.scm 578 */
																		obj_t BgL_arg1853z00_6155;

																		{	/* SawBbv/bbv-specialize.scm 578 */
																			obj_t BgL_arg1854z00_6156;

																			BgL_arg1854z00_6156 =
																				(BgL_oclassz00_6150);
																			BgL_arg1853z00_6155 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_6156, 1L);
																		}
																		BgL_res4087z00_6167 =
																			(BgL_arg1853z00_6155 ==
																			BgL_classz00_6134);
																	}
																else
																	{	/* SawBbv/bbv-specialize.scm 578 */
																		BgL_res4087z00_6167 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test4510z00_14506 = BgL_res4087z00_6167;
											}
									}
								else
									{	/* SawBbv/bbv-specialize.scm 578 */
										BgL_test4510z00_14506 = ((bool_t) 0);
									}
							}
						}
						if (BgL_test4510z00_14506)
							{	/* SawBbv/bbv-specialize.scm 578 */
								obj_t BgL_arg2861z00_2832;

								BgL_arg2861z00_2832 =
									CAR(
									(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_295))->BgL_argsz00));
								BgL_test4509z00_14505 =
									BGl_rtl_inszd2callzf3z21zzsaw_bbvzd2typeszd2(
									((BgL_rtl_insz00_bglt) BgL_arg2861z00_2832));
							}
						else
							{	/* SawBbv/bbv-specialize.scm 578 */
								BgL_test4509z00_14505 = ((bool_t) 0);
							}
					}
					if (BgL_test4509z00_14505)
						{	/* SawBbv/bbv-specialize.scm 579 */
							bool_t BgL_test4515z00_14535;

							{	/* SawBbv/bbv-specialize.scm 579 */
								obj_t BgL_arg2859z00_2829;

								BgL_arg2859z00_2829 =
									CAR(
									(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_295))->BgL_argsz00));
								BgL_test4515z00_14535 =
									CBOOL(BGl_rtl_callzd2predicatezd2zzsaw_bbvzd2typeszd2(
										((BgL_rtl_insz00_bglt) BgL_arg2859z00_2829)));
							}
							if (BgL_test4515z00_14535)
								{	/* SawBbv/bbv-specialize.scm 580 */
									obj_t BgL_valsz00_2805;

									BgL_valsz00_2805 =
										BGl_rtl_inszd2argsza2z70zzsaw_defsz00(BgL_iz00_295);
									{	/* SawBbv/bbv-specialize.scm 581 */
										bool_t BgL_test4516z00_14542;

										if (NULLP(BgL_valsz00_2805))
											{	/* SawBbv/bbv-specialize.scm 581 */
												BgL_test4516z00_14542 = ((bool_t) 0);
											}
										else
											{	/* SawBbv/bbv-specialize.scm 581 */
												if (NULLP(CDR(BgL_valsz00_2805)))
													{	/* SawBbv/bbv-specialize.scm 581 */
														obj_t BgL_arg2857z00_2827;

														BgL_arg2857z00_2827 = CAR(BgL_valsz00_2805);
														{	/* SawBbv/bbv-specialize.scm 581 */
															obj_t BgL_classz00_6172;

															BgL_classz00_6172 = BGl_rtl_regz00zzsaw_defsz00;
															if (BGL_OBJECTP(BgL_arg2857z00_2827))
																{	/* SawBbv/bbv-specialize.scm 581 */
																	BgL_objectz00_bglt BgL_arg1858z00_6174;

																	BgL_arg1858z00_6174 =
																		(BgL_objectz00_bglt) (BgL_arg2857z00_2827);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* SawBbv/bbv-specialize.scm 581 */
																			long BgL_idxz00_6180;

																			BgL_idxz00_6180 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1858z00_6174);
																			BgL_test4516z00_14542 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_6180 + 1L)) ==
																				BgL_classz00_6172);
																		}
																	else
																		{	/* SawBbv/bbv-specialize.scm 581 */
																			bool_t BgL_res4088z00_6205;

																			{	/* SawBbv/bbv-specialize.scm 581 */
																				obj_t BgL_oclassz00_6188;

																				{	/* SawBbv/bbv-specialize.scm 581 */
																					obj_t BgL_arg1866z00_6196;
																					long BgL_arg1867z00_6197;

																					BgL_arg1866z00_6196 =
																						(BGl_za2classesza2z00zz__objectz00);
																					{	/* SawBbv/bbv-specialize.scm 581 */
																						long BgL_arg1869z00_6198;

																						BgL_arg1869z00_6198 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1858z00_6174);
																						BgL_arg1867z00_6197 =
																							(BgL_arg1869z00_6198 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_6188 =
																						VECTOR_REF(BgL_arg1866z00_6196,
																						BgL_arg1867z00_6197);
																				}
																				{	/* SawBbv/bbv-specialize.scm 581 */
																					bool_t BgL__ortest_1115z00_6189;

																					BgL__ortest_1115z00_6189 =
																						(BgL_classz00_6172 ==
																						BgL_oclassz00_6188);
																					if (BgL__ortest_1115z00_6189)
																						{	/* SawBbv/bbv-specialize.scm 581 */
																							BgL_res4088z00_6205 =
																								BgL__ortest_1115z00_6189;
																						}
																					else
																						{	/* SawBbv/bbv-specialize.scm 581 */
																							long BgL_odepthz00_6190;

																							{	/* SawBbv/bbv-specialize.scm 581 */
																								obj_t BgL_arg1855z00_6191;

																								BgL_arg1855z00_6191 =
																									(BgL_oclassz00_6188);
																								BgL_odepthz00_6190 =
																									BGL_CLASS_DEPTH
																									(BgL_arg1855z00_6191);
																							}
																							if ((1L < BgL_odepthz00_6190))
																								{	/* SawBbv/bbv-specialize.scm 581 */
																									obj_t BgL_arg1853z00_6193;

																									{	/* SawBbv/bbv-specialize.scm 581 */
																										obj_t BgL_arg1854z00_6194;

																										BgL_arg1854z00_6194 =
																											(BgL_oclassz00_6188);
																										BgL_arg1853z00_6193 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_arg1854z00_6194, 1L);
																									}
																									BgL_res4088z00_6205 =
																										(BgL_arg1853z00_6193 ==
																										BgL_classz00_6172);
																								}
																							else
																								{	/* SawBbv/bbv-specialize.scm 581 */
																									BgL_res4088z00_6205 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test4516z00_14542 =
																				BgL_res4088z00_6205;
																		}
																}
															else
																{	/* SawBbv/bbv-specialize.scm 581 */
																	BgL_test4516z00_14542 = ((bool_t) 0);
																}
														}
													}
												else
													{	/* SawBbv/bbv-specialize.scm 581 */
														BgL_test4516z00_14542 = ((bool_t) 0);
													}
											}
										if (BgL_test4516z00_14542)
											{	/* SawBbv/bbv-specialize.scm 582 */
												BgL_rtl_insz00_bglt BgL_i1360z00_2812;

												{	/* SawBbv/bbv-specialize.scm 582 */
													obj_t BgL_pairz00_6206;

													BgL_pairz00_6206 =
														(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_295))->
														BgL_argsz00);
													BgL_i1360z00_2812 =
														((BgL_rtl_insz00_bglt) CAR(BgL_pairz00_6206));
												}
												{	/* SawBbv/bbv-specialize.scm 583 */
													bool_t BgL__ortest_1361z00_2813;

													{	/* SawBbv/bbv-specialize.scm 583 */
														obj_t BgL_arg2851z00_2822;

														BgL_arg2851z00_2822 =
															CAR(
															(((BgL_rtl_insz00_bglt)
																	COBJECT(BgL_i1360z00_2812))->BgL_argsz00));
														{	/* SawBbv/bbv-specialize.scm 583 */
															obj_t BgL_classz00_6208;

															BgL_classz00_6208 = BGl_rtl_regz00zzsaw_defsz00;
															if (BGL_OBJECTP(BgL_arg2851z00_2822))
																{	/* SawBbv/bbv-specialize.scm 583 */
																	BgL_objectz00_bglt BgL_arg1858z00_6210;

																	BgL_arg1858z00_6210 =
																		(BgL_objectz00_bglt) (BgL_arg2851z00_2822);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* SawBbv/bbv-specialize.scm 583 */
																			long BgL_idxz00_6216;

																			BgL_idxz00_6216 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1858z00_6210);
																			BgL__ortest_1361z00_2813 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_6216 + 1L)) ==
																				BgL_classz00_6208);
																		}
																	else
																		{	/* SawBbv/bbv-specialize.scm 583 */
																			bool_t BgL_res4089z00_6241;

																			{	/* SawBbv/bbv-specialize.scm 583 */
																				obj_t BgL_oclassz00_6224;

																				{	/* SawBbv/bbv-specialize.scm 583 */
																					obj_t BgL_arg1866z00_6232;
																					long BgL_arg1867z00_6233;

																					BgL_arg1866z00_6232 =
																						(BGl_za2classesza2z00zz__objectz00);
																					{	/* SawBbv/bbv-specialize.scm 583 */
																						long BgL_arg1869z00_6234;

																						BgL_arg1869z00_6234 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1858z00_6210);
																						BgL_arg1867z00_6233 =
																							(BgL_arg1869z00_6234 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_6224 =
																						VECTOR_REF(BgL_arg1866z00_6232,
																						BgL_arg1867z00_6233);
																				}
																				{	/* SawBbv/bbv-specialize.scm 583 */
																					bool_t BgL__ortest_1115z00_6225;

																					BgL__ortest_1115z00_6225 =
																						(BgL_classz00_6208 ==
																						BgL_oclassz00_6224);
																					if (BgL__ortest_1115z00_6225)
																						{	/* SawBbv/bbv-specialize.scm 583 */
																							BgL_res4089z00_6241 =
																								BgL__ortest_1115z00_6225;
																						}
																					else
																						{	/* SawBbv/bbv-specialize.scm 583 */
																							long BgL_odepthz00_6226;

																							{	/* SawBbv/bbv-specialize.scm 583 */
																								obj_t BgL_arg1855z00_6227;

																								BgL_arg1855z00_6227 =
																									(BgL_oclassz00_6224);
																								BgL_odepthz00_6226 =
																									BGL_CLASS_DEPTH
																									(BgL_arg1855z00_6227);
																							}
																							if ((1L < BgL_odepthz00_6226))
																								{	/* SawBbv/bbv-specialize.scm 583 */
																									obj_t BgL_arg1853z00_6229;

																									{	/* SawBbv/bbv-specialize.scm 583 */
																										obj_t BgL_arg1854z00_6230;

																										BgL_arg1854z00_6230 =
																											(BgL_oclassz00_6224);
																										BgL_arg1853z00_6229 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_arg1854z00_6230, 1L);
																									}
																									BgL_res4089z00_6241 =
																										(BgL_arg1853z00_6229 ==
																										BgL_classz00_6208);
																								}
																							else
																								{	/* SawBbv/bbv-specialize.scm 583 */
																									BgL_res4089z00_6241 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL__ortest_1361z00_2813 =
																				BgL_res4089z00_6241;
																		}
																}
															else
																{	/* SawBbv/bbv-specialize.scm 583 */
																	BgL__ortest_1361z00_2813 = ((bool_t) 0);
																}
														}
													}
													if (BgL__ortest_1361z00_2813)
														{	/* SawBbv/bbv-specialize.scm 583 */
															return BgL__ortest_1361z00_2813;
														}
													else
														{	/* SawBbv/bbv-specialize.scm 584 */
															BgL_rtl_insz00_bglt BgL_i1362z00_2814;

															{	/* SawBbv/bbv-specialize.scm 584 */
																obj_t BgL_pairz00_6242;

																BgL_pairz00_6242 =
																	(((BgL_rtl_insz00_bglt)
																		COBJECT(BgL_i1360z00_2812))->BgL_argsz00);
																BgL_i1362z00_2814 =
																	((BgL_rtl_insz00_bglt) CAR(BgL_pairz00_6242));
															}
															{	/* SawBbv/bbv-specialize.scm 585 */
																bool_t BgL_test4528z00_14602;

																{	/* SawBbv/bbv-specialize.scm 585 */
																	BgL_rtl_funz00_bglt BgL_arg2849z00_2820;

																	BgL_arg2849z00_2820 =
																		(((BgL_rtl_insz00_bglt)
																			COBJECT(BgL_i1362z00_2814))->BgL_funz00);
																	{	/* SawBbv/bbv-specialize.scm 585 */
																		obj_t BgL_classz00_6243;

																		BgL_classz00_6243 =
																			BGl_rtl_callz00zzsaw_defsz00;
																		{	/* SawBbv/bbv-specialize.scm 585 */
																			BgL_objectz00_bglt BgL_arg1858z00_6245;

																			{	/* SawBbv/bbv-specialize.scm 585 */
																				obj_t BgL_tmpz00_14604;

																				BgL_tmpz00_14604 =
																					((obj_t)
																					((BgL_objectz00_bglt)
																						BgL_arg2849z00_2820));
																				BgL_arg1858z00_6245 =
																					(BgL_objectz00_bglt)
																					(BgL_tmpz00_14604);
																			}
																			if (BGL_CONDEXPAND_ISA_ARCH64())
																				{	/* SawBbv/bbv-specialize.scm 585 */
																					long BgL_idxz00_6251;

																					BgL_idxz00_6251 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1858z00_6245);
																					BgL_test4528z00_14602 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_6251 + 2L)) ==
																						BgL_classz00_6243);
																				}
																			else
																				{	/* SawBbv/bbv-specialize.scm 585 */
																					bool_t BgL_res4090z00_6276;

																					{	/* SawBbv/bbv-specialize.scm 585 */
																						obj_t BgL_oclassz00_6259;

																						{	/* SawBbv/bbv-specialize.scm 585 */
																							obj_t BgL_arg1866z00_6267;
																							long BgL_arg1867z00_6268;

																							BgL_arg1866z00_6267 =
																								(BGl_za2classesza2z00zz__objectz00);
																							{	/* SawBbv/bbv-specialize.scm 585 */
																								long BgL_arg1869z00_6269;

																								BgL_arg1869z00_6269 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1858z00_6245);
																								BgL_arg1867z00_6268 =
																									(BgL_arg1869z00_6269 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_6259 =
																								VECTOR_REF(BgL_arg1866z00_6267,
																								BgL_arg1867z00_6268);
																						}
																						{	/* SawBbv/bbv-specialize.scm 585 */
																							bool_t BgL__ortest_1115z00_6260;

																							BgL__ortest_1115z00_6260 =
																								(BgL_classz00_6243 ==
																								BgL_oclassz00_6259);
																							if (BgL__ortest_1115z00_6260)
																								{	/* SawBbv/bbv-specialize.scm 585 */
																									BgL_res4090z00_6276 =
																										BgL__ortest_1115z00_6260;
																								}
																							else
																								{	/* SawBbv/bbv-specialize.scm 585 */
																									long BgL_odepthz00_6261;

																									{	/* SawBbv/bbv-specialize.scm 585 */
																										obj_t BgL_arg1855z00_6262;

																										BgL_arg1855z00_6262 =
																											(BgL_oclassz00_6259);
																										BgL_odepthz00_6261 =
																											BGL_CLASS_DEPTH
																											(BgL_arg1855z00_6262);
																									}
																									if ((2L < BgL_odepthz00_6261))
																										{	/* SawBbv/bbv-specialize.scm 585 */
																											obj_t BgL_arg1853z00_6264;

																											{	/* SawBbv/bbv-specialize.scm 585 */
																												obj_t
																													BgL_arg1854z00_6265;
																												BgL_arg1854z00_6265 =
																													(BgL_oclassz00_6259);
																												BgL_arg1853z00_6264 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_arg1854z00_6265,
																													2L);
																											}
																											BgL_res4090z00_6276 =
																												(BgL_arg1853z00_6264 ==
																												BgL_classz00_6243);
																										}
																									else
																										{	/* SawBbv/bbv-specialize.scm 585 */
																											BgL_res4090z00_6276 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_test4528z00_14602 =
																						BgL_res4090z00_6276;
																				}
																		}
																	}
																}
																if (BgL_test4528z00_14602)
																	{	/* SawBbv/bbv-specialize.scm 586 */
																		BgL_rtl_callz00_bglt BgL_i1363z00_2817;

																		BgL_i1363z00_2817 =
																			((BgL_rtl_callz00_bglt)
																			(((BgL_rtl_insz00_bglt)
																					COBJECT(BgL_i1362z00_2814))->
																				BgL_funz00));
																		{	/* SawBbv/bbv-specialize.scm 588 */
																			obj_t BgL_arg2848z00_2819;

																			BgL_arg2848z00_2819 =
																				((obj_t)
																				(((BgL_rtl_callz00_bglt)
																						COBJECT(BgL_i1363z00_2817))->
																					BgL_varz00));
																			return (BgL_arg2848z00_2819 ==
																				BGl_za2longzd2ze3bintza2z31zzsaw_bbvzd2cachezd2);
																		}
																	}
																else
																	{	/* SawBbv/bbv-specialize.scm 585 */
																		return ((bool_t) 0);
																	}
															}
														}
												}
											}
										else
											{	/* SawBbv/bbv-specialize.scm 581 */
												return ((bool_t) 0);
											}
									}
								}
							else
								{	/* SawBbv/bbv-specialize.scm 579 */
									return ((bool_t) 0);
								}
						}
					else
						{	/* SawBbv/bbv-specialize.scm 578 */
							return ((bool_t) 0);
						}
				}
			else
				{	/* SawBbv/bbv-specialize.scm 576 */
					return ((bool_t) 0);
				}
		}

	}



/* rtl_ins-resolved-ifne? */
	bool_t
		BGl_rtl_inszd2resolvedzd2ifnezf3zf3zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt BgL_iz00_296)
	{
		{	/* SawBbv/bbv-specialize.scm 593 */
			if (BGl_rtl_inszd2ifnezf3z21zzsaw_bbvzd2typeszd2(BgL_iz00_296))
				{	/* SawBbv/bbv-specialize.scm 596 */
					bool_t BgL_test4533z00_14634;

					{	/* SawBbv/bbv-specialize.scm 596 */
						obj_t BgL_arg2873z00_2841;

						BgL_arg2873z00_2841 =
							CAR((((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_296))->BgL_argsz00));
						{	/* SawBbv/bbv-specialize.scm 596 */
							obj_t BgL_classz00_6278;

							BgL_classz00_6278 = BGl_rtl_insz00zzsaw_defsz00;
							if (BGL_OBJECTP(BgL_arg2873z00_2841))
								{	/* SawBbv/bbv-specialize.scm 596 */
									BgL_objectz00_bglt BgL_arg1858z00_6280;

									BgL_arg1858z00_6280 =
										(BgL_objectz00_bglt) (BgL_arg2873z00_2841);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawBbv/bbv-specialize.scm 596 */
											long BgL_idxz00_6286;

											BgL_idxz00_6286 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6280);
											BgL_test4533z00_14634 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_6286 + 1L)) == BgL_classz00_6278);
										}
									else
										{	/* SawBbv/bbv-specialize.scm 596 */
											bool_t BgL_res4091z00_6311;

											{	/* SawBbv/bbv-specialize.scm 596 */
												obj_t BgL_oclassz00_6294;

												{	/* SawBbv/bbv-specialize.scm 596 */
													obj_t BgL_arg1866z00_6302;
													long BgL_arg1867z00_6303;

													BgL_arg1866z00_6302 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* SawBbv/bbv-specialize.scm 596 */
														long BgL_arg1869z00_6304;

														BgL_arg1869z00_6304 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6280);
														BgL_arg1867z00_6303 =
															(BgL_arg1869z00_6304 - OBJECT_TYPE);
													}
													BgL_oclassz00_6294 =
														VECTOR_REF(BgL_arg1866z00_6302,
														BgL_arg1867z00_6303);
												}
												{	/* SawBbv/bbv-specialize.scm 596 */
													bool_t BgL__ortest_1115z00_6295;

													BgL__ortest_1115z00_6295 =
														(BgL_classz00_6278 == BgL_oclassz00_6294);
													if (BgL__ortest_1115z00_6295)
														{	/* SawBbv/bbv-specialize.scm 596 */
															BgL_res4091z00_6311 = BgL__ortest_1115z00_6295;
														}
													else
														{	/* SawBbv/bbv-specialize.scm 596 */
															long BgL_odepthz00_6296;

															{	/* SawBbv/bbv-specialize.scm 596 */
																obj_t BgL_arg1855z00_6297;

																BgL_arg1855z00_6297 = (BgL_oclassz00_6294);
																BgL_odepthz00_6296 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_6297);
															}
															if ((1L < BgL_odepthz00_6296))
																{	/* SawBbv/bbv-specialize.scm 596 */
																	obj_t BgL_arg1853z00_6299;

																	{	/* SawBbv/bbv-specialize.scm 596 */
																		obj_t BgL_arg1854z00_6300;

																		BgL_arg1854z00_6300 = (BgL_oclassz00_6294);
																		BgL_arg1853z00_6299 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_6300, 1L);
																	}
																	BgL_res4091z00_6311 =
																		(BgL_arg1853z00_6299 == BgL_classz00_6278);
																}
															else
																{	/* SawBbv/bbv-specialize.scm 596 */
																	BgL_res4091z00_6311 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test4533z00_14634 = BgL_res4091z00_6311;
										}
								}
							else
								{	/* SawBbv/bbv-specialize.scm 596 */
									BgL_test4533z00_14634 = ((bool_t) 0);
								}
						}
					}
					if (BgL_test4533z00_14634)
						{	/* SawBbv/bbv-specialize.scm 596 */
							obj_t BgL_arg2866z00_2839;

							BgL_arg2866z00_2839 =
								CAR(
								(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_296))->BgL_argsz00));
							BGL_TAIL return
								BGl_rtl_inszd2loadizf3z21zzsaw_bbvzd2typeszd2(
								((BgL_rtl_insz00_bglt) BgL_arg2866z00_2839));
						}
					else
						{	/* SawBbv/bbv-specialize.scm 596 */
							return ((bool_t) 0);
						}
				}
			else
				{	/* SawBbv/bbv-specialize.scm 594 */
					return ((bool_t) 0);
				}
		}

	}



/* min-value~0 */
	obj_t BGl_minzd2valueze70z35zzsaw_bbvzd2specializa7ez75(obj_t BgL_xz00_2991,
		obj_t BgL_yz00_2992)
	{
		{	/* SawBbv/bbv-specialize.scm 610 */
			if ((BgL_xz00_2991 == ((obj_t) CNST_TABLE_REF(4))))
				{	/* SawBbv/bbv-specialize.scm 605 */
					return BgL_yz00_2992;
				}
			else
				{	/* SawBbv/bbv-specialize.scm 605 */
					if ((BgL_yz00_2992 == ((obj_t) CNST_TABLE_REF(4))))
						{	/* SawBbv/bbv-specialize.scm 606 */
							return BgL_xz00_2991;
						}
					else
						{	/* SawBbv/bbv-specialize.scm 607 */
							bool_t BgL_test4540z00_14671;

							{	/* SawBbv/bbv-specialize.scm 607 */
								bool_t BgL_test4541z00_14672;

								{	/* SawBbv/bbv-specialize.scm 607 */
									obj_t BgL_classz00_6313;

									BgL_classz00_6313 = BGl_bbvzd2rangezd2zzsaw_bbvzd2rangezd2;
									if (BGL_OBJECTP(BgL_xz00_2991))
										{	/* SawBbv/bbv-specialize.scm 607 */
											BgL_objectz00_bglt BgL_arg1858z00_6315;

											BgL_arg1858z00_6315 =
												(BgL_objectz00_bglt) (BgL_xz00_2991);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* SawBbv/bbv-specialize.scm 607 */
													long BgL_idxz00_6321;

													BgL_idxz00_6321 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6315);
													BgL_test4541z00_14672 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_6321 + 1L)) == BgL_classz00_6313);
												}
											else
												{	/* SawBbv/bbv-specialize.scm 607 */
													bool_t BgL_res4092z00_6346;

													{	/* SawBbv/bbv-specialize.scm 607 */
														obj_t BgL_oclassz00_6329;

														{	/* SawBbv/bbv-specialize.scm 607 */
															obj_t BgL_arg1866z00_6337;
															long BgL_arg1867z00_6338;

															BgL_arg1866z00_6337 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* SawBbv/bbv-specialize.scm 607 */
																long BgL_arg1869z00_6339;

																BgL_arg1869z00_6339 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6315);
																BgL_arg1867z00_6338 =
																	(BgL_arg1869z00_6339 - OBJECT_TYPE);
															}
															BgL_oclassz00_6329 =
																VECTOR_REF(BgL_arg1866z00_6337,
																BgL_arg1867z00_6338);
														}
														{	/* SawBbv/bbv-specialize.scm 607 */
															bool_t BgL__ortest_1115z00_6330;

															BgL__ortest_1115z00_6330 =
																(BgL_classz00_6313 == BgL_oclassz00_6329);
															if (BgL__ortest_1115z00_6330)
																{	/* SawBbv/bbv-specialize.scm 607 */
																	BgL_res4092z00_6346 =
																		BgL__ortest_1115z00_6330;
																}
															else
																{	/* SawBbv/bbv-specialize.scm 607 */
																	long BgL_odepthz00_6331;

																	{	/* SawBbv/bbv-specialize.scm 607 */
																		obj_t BgL_arg1855z00_6332;

																		BgL_arg1855z00_6332 = (BgL_oclassz00_6329);
																		BgL_odepthz00_6331 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_6332);
																	}
																	if ((1L < BgL_odepthz00_6331))
																		{	/* SawBbv/bbv-specialize.scm 607 */
																			obj_t BgL_arg1853z00_6334;

																			{	/* SawBbv/bbv-specialize.scm 607 */
																				obj_t BgL_arg1854z00_6335;

																				BgL_arg1854z00_6335 =
																					(BgL_oclassz00_6329);
																				BgL_arg1853z00_6334 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_6335, 1L);
																			}
																			BgL_res4092z00_6346 =
																				(BgL_arg1853z00_6334 ==
																				BgL_classz00_6313);
																		}
																	else
																		{	/* SawBbv/bbv-specialize.scm 607 */
																			BgL_res4092z00_6346 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test4541z00_14672 = BgL_res4092z00_6346;
												}
										}
									else
										{	/* SawBbv/bbv-specialize.scm 607 */
											BgL_test4541z00_14672 = ((bool_t) 0);
										}
								}
								if (BgL_test4541z00_14672)
									{	/* SawBbv/bbv-specialize.scm 607 */
										obj_t BgL_classz00_6347;

										BgL_classz00_6347 = BGl_bbvzd2rangezd2zzsaw_bbvzd2rangezd2;
										if (BGL_OBJECTP(BgL_yz00_2992))
											{	/* SawBbv/bbv-specialize.scm 607 */
												BgL_objectz00_bglt BgL_arg1858z00_6349;

												BgL_arg1858z00_6349 =
													(BgL_objectz00_bglt) (BgL_yz00_2992);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* SawBbv/bbv-specialize.scm 607 */
														long BgL_idxz00_6355;

														BgL_idxz00_6355 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6349);
														BgL_test4540z00_14671 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_6355 + 1L)) == BgL_classz00_6347);
													}
												else
													{	/* SawBbv/bbv-specialize.scm 607 */
														bool_t BgL_res4093z00_6380;

														{	/* SawBbv/bbv-specialize.scm 607 */
															obj_t BgL_oclassz00_6363;

															{	/* SawBbv/bbv-specialize.scm 607 */
																obj_t BgL_arg1866z00_6371;
																long BgL_arg1867z00_6372;

																BgL_arg1866z00_6371 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* SawBbv/bbv-specialize.scm 607 */
																	long BgL_arg1869z00_6373;

																	BgL_arg1869z00_6373 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6349);
																	BgL_arg1867z00_6372 =
																		(BgL_arg1869z00_6373 - OBJECT_TYPE);
																}
																BgL_oclassz00_6363 =
																	VECTOR_REF(BgL_arg1866z00_6371,
																	BgL_arg1867z00_6372);
															}
															{	/* SawBbv/bbv-specialize.scm 607 */
																bool_t BgL__ortest_1115z00_6364;

																BgL__ortest_1115z00_6364 =
																	(BgL_classz00_6347 == BgL_oclassz00_6363);
																if (BgL__ortest_1115z00_6364)
																	{	/* SawBbv/bbv-specialize.scm 607 */
																		BgL_res4093z00_6380 =
																			BgL__ortest_1115z00_6364;
																	}
																else
																	{	/* SawBbv/bbv-specialize.scm 607 */
																		long BgL_odepthz00_6365;

																		{	/* SawBbv/bbv-specialize.scm 607 */
																			obj_t BgL_arg1855z00_6366;

																			BgL_arg1855z00_6366 =
																				(BgL_oclassz00_6363);
																			BgL_odepthz00_6365 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_6366);
																		}
																		if ((1L < BgL_odepthz00_6365))
																			{	/* SawBbv/bbv-specialize.scm 607 */
																				obj_t BgL_arg1853z00_6368;

																				{	/* SawBbv/bbv-specialize.scm 607 */
																					obj_t BgL_arg1854z00_6369;

																					BgL_arg1854z00_6369 =
																						(BgL_oclassz00_6363);
																					BgL_arg1853z00_6368 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_6369, 1L);
																				}
																				BgL_res4093z00_6380 =
																					(BgL_arg1853z00_6368 ==
																					BgL_classz00_6347);
																			}
																		else
																			{	/* SawBbv/bbv-specialize.scm 607 */
																				BgL_res4093z00_6380 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test4540z00_14671 = BgL_res4093z00_6380;
													}
											}
										else
											{	/* SawBbv/bbv-specialize.scm 607 */
												BgL_test4540z00_14671 = ((bool_t) 0);
											}
									}
								else
									{	/* SawBbv/bbv-specialize.scm 607 */
										BgL_test4540z00_14671 = ((bool_t) 0);
									}
							}
							if (BgL_test4540z00_14671)
								{	/* SawBbv/bbv-specialize.scm 607 */
									return
										((obj_t)
										BGl_bbvzd2rangezd2intersectionz00zzsaw_bbvzd2rangezd2(
											((BgL_bbvzd2rangezd2_bglt) BgL_xz00_2991),
											((BgL_bbvzd2rangezd2_bglt) BgL_yz00_2992)));
								}
							else
								{	/* SawBbv/bbv-specialize.scm 608 */
									bool_t BgL_test4550z00_14721;

									{	/* SawBbv/bbv-specialize.scm 608 */
										obj_t BgL_classz00_6381;

										BgL_classz00_6381 = BGl_bbvzd2rangezd2zzsaw_bbvzd2rangezd2;
										if (BGL_OBJECTP(BgL_xz00_2991))
											{	/* SawBbv/bbv-specialize.scm 608 */
												BgL_objectz00_bglt BgL_arg1858z00_6383;

												BgL_arg1858z00_6383 =
													(BgL_objectz00_bglt) (BgL_xz00_2991);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* SawBbv/bbv-specialize.scm 608 */
														long BgL_idxz00_6389;

														BgL_idxz00_6389 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6383);
														BgL_test4550z00_14721 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_6389 + 1L)) == BgL_classz00_6381);
													}
												else
													{	/* SawBbv/bbv-specialize.scm 608 */
														bool_t BgL_res4094z00_6414;

														{	/* SawBbv/bbv-specialize.scm 608 */
															obj_t BgL_oclassz00_6397;

															{	/* SawBbv/bbv-specialize.scm 608 */
																obj_t BgL_arg1866z00_6405;
																long BgL_arg1867z00_6406;

																BgL_arg1866z00_6405 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* SawBbv/bbv-specialize.scm 608 */
																	long BgL_arg1869z00_6407;

																	BgL_arg1869z00_6407 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6383);
																	BgL_arg1867z00_6406 =
																		(BgL_arg1869z00_6407 - OBJECT_TYPE);
																}
																BgL_oclassz00_6397 =
																	VECTOR_REF(BgL_arg1866z00_6405,
																	BgL_arg1867z00_6406);
															}
															{	/* SawBbv/bbv-specialize.scm 608 */
																bool_t BgL__ortest_1115z00_6398;

																BgL__ortest_1115z00_6398 =
																	(BgL_classz00_6381 == BgL_oclassz00_6397);
																if (BgL__ortest_1115z00_6398)
																	{	/* SawBbv/bbv-specialize.scm 608 */
																		BgL_res4094z00_6414 =
																			BgL__ortest_1115z00_6398;
																	}
																else
																	{	/* SawBbv/bbv-specialize.scm 608 */
																		long BgL_odepthz00_6399;

																		{	/* SawBbv/bbv-specialize.scm 608 */
																			obj_t BgL_arg1855z00_6400;

																			BgL_arg1855z00_6400 =
																				(BgL_oclassz00_6397);
																			BgL_odepthz00_6399 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_6400);
																		}
																		if ((1L < BgL_odepthz00_6399))
																			{	/* SawBbv/bbv-specialize.scm 608 */
																				obj_t BgL_arg1853z00_6402;

																				{	/* SawBbv/bbv-specialize.scm 608 */
																					obj_t BgL_arg1854z00_6403;

																					BgL_arg1854z00_6403 =
																						(BgL_oclassz00_6397);
																					BgL_arg1853z00_6402 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_6403, 1L);
																				}
																				BgL_res4094z00_6414 =
																					(BgL_arg1853z00_6402 ==
																					BgL_classz00_6381);
																			}
																		else
																			{	/* SawBbv/bbv-specialize.scm 608 */
																				BgL_res4094z00_6414 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test4550z00_14721 = BgL_res4094z00_6414;
													}
											}
										else
											{	/* SawBbv/bbv-specialize.scm 608 */
												BgL_test4550z00_14721 = ((bool_t) 0);
											}
									}
									if (BgL_test4550z00_14721)
										{	/* SawBbv/bbv-specialize.scm 608 */
											return BgL_xz00_2991;
										}
									else
										{	/* SawBbv/bbv-specialize.scm 609 */
											bool_t BgL_test4555z00_14744;

											{	/* SawBbv/bbv-specialize.scm 609 */
												obj_t BgL_classz00_6415;

												BgL_classz00_6415 =
													BGl_bbvzd2rangezd2zzsaw_bbvzd2rangezd2;
												if (BGL_OBJECTP(BgL_yz00_2992))
													{	/* SawBbv/bbv-specialize.scm 609 */
														BgL_objectz00_bglt BgL_arg1858z00_6417;

														BgL_arg1858z00_6417 =
															(BgL_objectz00_bglt) (BgL_yz00_2992);
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* SawBbv/bbv-specialize.scm 609 */
																long BgL_idxz00_6423;

																BgL_idxz00_6423 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1858z00_6417);
																BgL_test4555z00_14744 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_6423 + 1L)) ==
																	BgL_classz00_6415);
															}
														else
															{	/* SawBbv/bbv-specialize.scm 609 */
																bool_t BgL_res4095z00_6448;

																{	/* SawBbv/bbv-specialize.scm 609 */
																	obj_t BgL_oclassz00_6431;

																	{	/* SawBbv/bbv-specialize.scm 609 */
																		obj_t BgL_arg1866z00_6439;
																		long BgL_arg1867z00_6440;

																		BgL_arg1866z00_6439 =
																			(BGl_za2classesza2z00zz__objectz00);
																		{	/* SawBbv/bbv-specialize.scm 609 */
																			long BgL_arg1869z00_6441;

																			BgL_arg1869z00_6441 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1858z00_6417);
																			BgL_arg1867z00_6440 =
																				(BgL_arg1869z00_6441 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_6431 =
																			VECTOR_REF(BgL_arg1866z00_6439,
																			BgL_arg1867z00_6440);
																	}
																	{	/* SawBbv/bbv-specialize.scm 609 */
																		bool_t BgL__ortest_1115z00_6432;

																		BgL__ortest_1115z00_6432 =
																			(BgL_classz00_6415 == BgL_oclassz00_6431);
																		if (BgL__ortest_1115z00_6432)
																			{	/* SawBbv/bbv-specialize.scm 609 */
																				BgL_res4095z00_6448 =
																					BgL__ortest_1115z00_6432;
																			}
																		else
																			{	/* SawBbv/bbv-specialize.scm 609 */
																				long BgL_odepthz00_6433;

																				{	/* SawBbv/bbv-specialize.scm 609 */
																					obj_t BgL_arg1855z00_6434;

																					BgL_arg1855z00_6434 =
																						(BgL_oclassz00_6431);
																					BgL_odepthz00_6433 =
																						BGL_CLASS_DEPTH
																						(BgL_arg1855z00_6434);
																				}
																				if ((1L < BgL_odepthz00_6433))
																					{	/* SawBbv/bbv-specialize.scm 609 */
																						obj_t BgL_arg1853z00_6436;

																						{	/* SawBbv/bbv-specialize.scm 609 */
																							obj_t BgL_arg1854z00_6437;

																							BgL_arg1854z00_6437 =
																								(BgL_oclassz00_6431);
																							BgL_arg1853z00_6436 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_arg1854z00_6437, 1L);
																						}
																						BgL_res4095z00_6448 =
																							(BgL_arg1853z00_6436 ==
																							BgL_classz00_6415);
																					}
																				else
																					{	/* SawBbv/bbv-specialize.scm 609 */
																						BgL_res4095z00_6448 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test4555z00_14744 = BgL_res4095z00_6448;
															}
													}
												else
													{	/* SawBbv/bbv-specialize.scm 609 */
														BgL_test4555z00_14744 = ((bool_t) 0);
													}
											}
											if (BgL_test4555z00_14744)
												{	/* SawBbv/bbv-specialize.scm 609 */
													return BgL_yz00_2992;
												}
											else
												{	/* SawBbv/bbv-specialize.scm 609 */
													return ((obj_t) CNST_TABLE_REF(4));
												}
										}
								}
						}
				}
		}

	}



/* &rtl_ins-specialize-typecheck */
	obj_t
		BGl_z62rtl_inszd2specializa7ezd2typecheckzc5zzsaw_bbvzd2specializa7ez75
		(obj_t BgL_envz00_9825, obj_t BgL_iz00_9826, obj_t BgL_insz00_9827,
		obj_t BgL_bsz00_9828, obj_t BgL_ctxz00_9829, obj_t BgL_queuez00_9830)
	{
		{	/* SawBbv/bbv-specialize.scm 601 */
			{
				obj_t BgL_regz00_10092;
				obj_t BgL_typez00_10093;
				bool_t BgL_polarityz00_10094;
				obj_t BgL_valuez00_10095;
				obj_t BgL_ez00_10096;
				obj_t BgL_regz00_10074;
				obj_t BgL_typez00_10075;
				bool_t BgL_polarityz00_10076;
				obj_t BgL_valuez00_10077;
				obj_t BgL_ez00_10078;

				{	/* SawBbv/bbv-specialize.scm 670 */
					obj_t BgL_regz00_10144;

					BgL_regz00_10144 =
						BGl_rtl_inszd2typecheckzd2zzsaw_bbvzd2typeszd2(
						((BgL_rtl_insz00_bglt) BgL_iz00_9826));
					{	/* SawBbv/bbv-specialize.scm 671 */
						obj_t BgL_typez00_10145;
						obj_t BgL_polarityz00_10146;
						obj_t BgL_valuez00_10147;

						{	/* SawBbv/bbv-specialize.scm 672 */
							obj_t BgL_tmpz00_10148;

							{	/* SawBbv/bbv-specialize.scm 672 */
								int BgL_tmpz00_14771;

								BgL_tmpz00_14771 = (int) (1L);
								BgL_tmpz00_10148 = BGL_MVALUES_VAL(BgL_tmpz00_14771);
							}
							{	/* SawBbv/bbv-specialize.scm 672 */
								int BgL_tmpz00_14774;

								BgL_tmpz00_14774 = (int) (1L);
								BGL_MVALUES_VAL_SET(BgL_tmpz00_14774, BUNSPEC);
							}
							BgL_typez00_10145 = BgL_tmpz00_10148;
						}
						{	/* SawBbv/bbv-specialize.scm 672 */
							obj_t BgL_tmpz00_10149;

							{	/* SawBbv/bbv-specialize.scm 672 */
								int BgL_tmpz00_14777;

								BgL_tmpz00_14777 = (int) (2L);
								BgL_tmpz00_10149 = BGL_MVALUES_VAL(BgL_tmpz00_14777);
							}
							{	/* SawBbv/bbv-specialize.scm 672 */
								int BgL_tmpz00_14780;

								BgL_tmpz00_14780 = (int) (2L);
								BGL_MVALUES_VAL_SET(BgL_tmpz00_14780, BUNSPEC);
							}
							BgL_polarityz00_10146 = BgL_tmpz00_10149;
						}
						{	/* SawBbv/bbv-specialize.scm 672 */
							obj_t BgL_tmpz00_10150;

							{	/* SawBbv/bbv-specialize.scm 672 */
								int BgL_tmpz00_14783;

								BgL_tmpz00_14783 = (int) (3L);
								BgL_tmpz00_10150 = BGL_MVALUES_VAL(BgL_tmpz00_14783);
							}
							{	/* SawBbv/bbv-specialize.scm 672 */
								int BgL_tmpz00_14786;

								BgL_tmpz00_14786 = (int) (3L);
								BGL_MVALUES_VAL_SET(BgL_tmpz00_14786, BUNSPEC);
							}
							BgL_valuez00_10147 = BgL_tmpz00_10150;
						}
						{	/* SawBbv/bbv-specialize.scm 672 */
							obj_t BgL_ez00_10151;

							BgL_ez00_10151 =
								BGl_bbvzd2ctxzd2getz00zzsaw_bbvzd2typeszd2(
								((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_9829),
								((BgL_rtl_regz00_bglt) BgL_regz00_10144));
							{	/* SawBbv/bbv-specialize.scm 687 */
								bool_t BgL_test4560z00_14792;

								if (CBOOL(BgL_polarityz00_10146))
									{	/* SawBbv/bbv-specialize.scm 687 */
										if (
											(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
														((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_10151)))->
												BgL_polarityz00))
											{	/* SawBbv/bbv-specialize.scm 688 */
												obj_t BgL_g2367z00_10152;

												BgL_g2367z00_10152 =
													(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
															((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_10151)))->
													BgL_typesz00);
												{
													obj_t BgL_l2365z00_10154;

													BgL_l2365z00_10154 = BgL_g2367z00_10152;
												BgL_zc3z04anonymousza32968ze3z87_10153:
													if (NULLP(BgL_l2365z00_10154))
														{	/* SawBbv/bbv-specialize.scm 689 */
															BgL_test4560z00_14792 = ((bool_t) 1);
														}
													else
														{	/* SawBbv/bbv-specialize.scm 688 */
															obj_t BgL_nvz00_10155;

															{	/* SawBbv/bbv-specialize.scm 688 */
																obj_t BgL_tz00_10156;

																BgL_tz00_10156 =
																	CAR(((obj_t) BgL_l2365z00_10154));
																BgL_nvz00_10155 =
																	BGl_zc3zd3tyz10zzsaw_bbvzd2utilszd2
																	(BgL_tz00_10156, BgL_typez00_10145);
															}
															if (CBOOL(BgL_nvz00_10155))
																{	/* SawBbv/bbv-specialize.scm 689 */
																	obj_t BgL_arg2970z00_10157;

																	BgL_arg2970z00_10157 =
																		CDR(((obj_t) BgL_l2365z00_10154));
																	{
																		obj_t BgL_l2365z00_14809;

																		BgL_l2365z00_14809 = BgL_arg2970z00_10157;
																		BgL_l2365z00_10154 = BgL_l2365z00_14809;
																		goto BgL_zc3z04anonymousza32968ze3z87_10153;
																	}
																}
															else
																{	/* SawBbv/bbv-specialize.scm 689 */
																	BgL_test4560z00_14792 = ((bool_t) 0);
																}
														}
												}
											}
										else
											{	/* SawBbv/bbv-specialize.scm 687 */
												BgL_test4560z00_14792 = ((bool_t) 0);
											}
									}
								else
									{	/* SawBbv/bbv-specialize.scm 687 */
										BgL_test4560z00_14792 = ((bool_t) 0);
									}
								if (BgL_test4560z00_14792)
									{	/* SawBbv/bbv-specialize.scm 693 */
										bool_t BgL_arg2894z00_10158;

										BgL_arg2894z00_10158 =
											(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
													((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_10151)))->
											BgL_polarityz00);
										{
											BgL_rtl_insz00_bglt BgL_auxz00_14812;

											BgL_regz00_10092 = BgL_regz00_10144;
											BgL_typez00_10093 = BgL_typez00_10145;
											BgL_polarityz00_10094 = BgL_arg2894z00_10158;
											BgL_valuez00_10095 = BgL_valuez00_10147;
											BgL_ez00_10096 = BgL_ez00_10151;
											{	/* SawBbv/bbv-specialize.scm 613 */
												BgL_bbvzd2ctxzd2_bglt BgL_ctxzb2zb2_10097;

												{	/* SawBbv/bbv-specialize.scm 613 */
													obj_t BgL_arg3003z00_10098;
													obj_t BgL_arg3004z00_10099;

													{	/* SawBbv/bbv-specialize.scm 613 */
														obj_t BgL_list3005z00_10100;

														BgL_list3005z00_10100 =
															MAKE_YOUNG_PAIR(BgL_typez00_10093, BNIL);
														BgL_arg3003z00_10098 = BgL_list3005z00_10100;
													}
													{	/* SawBbv/bbv-specialize.scm 614 */
														obj_t BgL_arg3008z00_10101;

														BgL_arg3008z00_10101 =
															(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
																	((BgL_bbvzd2ctxentryzd2_bglt)
																		BgL_ez00_10096)))->BgL_valuez00);
														BgL_arg3004z00_10099 =
															BGl_minzd2valueze70z35zzsaw_bbvzd2specializa7ez75
															(BgL_valuez00_10095, BgL_arg3008z00_10101);
													}
													BgL_ctxzb2zb2_10097 =
														BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2(
														((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_9829),
														((BgL_rtl_regz00_bglt) BgL_regz00_10092),
														BgL_arg3003z00_10098, ((bool_t) 1), BFALSE,
														BINT(1L), BgL_arg3004z00_10099);
												}
												{	/* SawBbv/bbv-specialize.scm 617 */
													BgL_rtl_ifnez00_bglt BgL_i1368z00_10102;

													BgL_i1368z00_10102 =
														((BgL_rtl_ifnez00_bglt)
														(((BgL_rtl_insz00_bglt) COBJECT(
																	((BgL_rtl_insz00_bglt)
																		((BgL_rtl_insz00_bglt)
																			((BgL_rtl_insz00_bglt)
																				BgL_iz00_9826)))))->BgL_funz00));
													{	/* SawBbv/bbv-specialize.scm 618 */
														obj_t BgL_assertz00_10103;

														if (
															((long)
																CINT
																(BGl_za2bbvzd2assertza2zd2zzsaw_bbvzd2configzd2)
																>= 3L))
															{	/* SawBbv/bbv-specialize.scm 619 */
																obj_t BgL_arg2999z00_10104;

																BgL_arg2999z00_10104 =
																	(((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				((BgL_rtl_insz00_bglt)
																					((BgL_rtl_insz00_bglt)
																						BgL_iz00_9826)))))->BgL_locz00);
																BgL_assertz00_10103 =
																	BGl_rtlzd2assertzd2exprzd2typezd2zzsaw_bbvzd2debugzd2
																	(((BgL_rtl_regz00_bglt) BgL_regz00_10092),
																	((BgL_typez00_bglt) BgL_typez00_10093),
																	BBOOL(BgL_polarityz00_10094), BgL_ctxz00_9829,
																	BgL_arg2999z00_10104,
																	BGl_string4209z00zzsaw_bbvzd2specializa7ez75);
															}
														else
															{	/* SawBbv/bbv-specialize.scm 618 */
																BgL_assertz00_10103 = BFALSE;
															}
														{	/* SawBbv/bbv-specialize.scm 618 */
															BgL_rtl_insz00_bglt BgL_sz00_10105;

															if (CBOOL(BgL_assertz00_10103))
																{	/* SawBbv/bbv-specialize.scm 623 */
																	BgL_rtl_insz00_bglt BgL_new1369z00_10106;

																	{	/* SawBbv/bbv-specialize.scm 623 */
																		BgL_rtl_insz00_bglt BgL_tmp1377z00_10107;
																		BgL_rtl_inszf2bbvzf2_bglt
																			BgL_wide1378z00_10108;
																		{
																			BgL_rtl_insz00_bglt BgL_auxz00_14839;

																			{	/* SawBbv/bbv-specialize.scm 623 */
																				BgL_rtl_insz00_bglt
																					BgL_new1376z00_10109;
																				BgL_new1376z00_10109 =
																					((BgL_rtl_insz00_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_rtl_insz00_bgl))));
																				{	/* SawBbv/bbv-specialize.scm 623 */
																					long BgL_arg2986z00_10110;

																					BgL_arg2986z00_10110 =
																						BGL_CLASS_NUM
																						(BGl_rtl_insz00zzsaw_defsz00);
																					BGL_OBJECT_CLASS_NUM_SET((
																							(BgL_objectz00_bglt)
																							BgL_new1376z00_10109),
																						BgL_arg2986z00_10110);
																				}
																				{	/* SawBbv/bbv-specialize.scm 623 */
																					BgL_objectz00_bglt BgL_tmpz00_14844;

																					BgL_tmpz00_14844 =
																						((BgL_objectz00_bglt)
																						BgL_new1376z00_10109);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_tmpz00_14844, BFALSE);
																				}
																				((BgL_objectz00_bglt)
																					BgL_new1376z00_10109);
																				BgL_auxz00_14839 = BgL_new1376z00_10109;
																			}
																			BgL_tmp1377z00_10107 =
																				((BgL_rtl_insz00_bglt)
																				BgL_auxz00_14839);
																		}
																		BgL_wide1378z00_10108 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_rtl_inszf2bbvzf2_bgl))));
																		{	/* SawBbv/bbv-specialize.scm 623 */
																			obj_t BgL_auxz00_14852;
																			BgL_objectz00_bglt BgL_tmpz00_14850;

																			BgL_auxz00_14852 =
																				((obj_t) BgL_wide1378z00_10108);
																			BgL_tmpz00_14850 =
																				((BgL_objectz00_bglt)
																				BgL_tmp1377z00_10107);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14850,
																				BgL_auxz00_14852);
																		}
																		((BgL_objectz00_bglt) BgL_tmp1377z00_10107);
																		{	/* SawBbv/bbv-specialize.scm 623 */
																			long BgL_arg2985z00_10111;

																			BgL_arg2985z00_10111 =
																				BGL_CLASS_NUM
																				(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																			BGL_OBJECT_CLASS_NUM_SET((
																					(BgL_objectz00_bglt)
																					BgL_tmp1377z00_10107),
																				BgL_arg2985z00_10111);
																		}
																		BgL_new1369z00_10106 =
																			((BgL_rtl_insz00_bglt)
																			BgL_tmp1377z00_10107);
																	}
																	((((BgL_rtl_insz00_bglt) COBJECT(
																					((BgL_rtl_insz00_bglt)
																						BgL_new1369z00_10106)))->
																			BgL_locz00) =
																		((obj_t) (((BgL_rtl_insz00_bglt)
																					COBJECT(((BgL_rtl_insz00_bglt)
																							BgL_iz00_9826)))->BgL_locz00)),
																		BUNSPEC);
																	((((BgL_rtl_insz00_bglt)
																				COBJECT(((BgL_rtl_insz00_bglt)
																						BgL_new1369z00_10106)))->
																			BgL_z52spillz52) =
																		((obj_t) (((BgL_rtl_insz00_bglt)
																					COBJECT(((BgL_rtl_insz00_bglt)
																							BgL_iz00_9826)))->
																				BgL_z52spillz52)), BUNSPEC);
																	((((BgL_rtl_insz00_bglt)
																				COBJECT(((BgL_rtl_insz00_bglt)
																						BgL_new1369z00_10106)))->
																			BgL_destz00) = ((obj_t) BFALSE), BUNSPEC);
																	{
																		BgL_rtl_funz00_bglt BgL_auxz00_14870;

																		{	/* SawBbv/bbv-specialize.scm 625 */
																			BgL_rtl_funz00_bglt
																				BgL_duplicated1381z00_10112;
																			BgL_rtl_ifnez00_bglt BgL_new1379z00_10113;

																			BgL_duplicated1381z00_10112 =
																				(((BgL_rtl_insz00_bglt) COBJECT(
																						((BgL_rtl_insz00_bglt)
																							((BgL_rtl_insz00_bglt)
																								((BgL_rtl_insz00_bglt)
																									BgL_iz00_9826)))))->
																				BgL_funz00);
																			{	/* SawBbv/bbv-specialize.scm 625 */
																				BgL_rtl_ifnez00_bglt
																					BgL_new1382z00_10114;
																				BgL_new1382z00_10114 =
																					((BgL_rtl_ifnez00_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_rtl_ifnez00_bgl))));
																				{	/* SawBbv/bbv-specialize.scm 625 */
																					long BgL_arg2980z00_10115;

																					{	/* SawBbv/bbv-specialize.scm 625 */
																						obj_t BgL_classz00_10116;

																						BgL_classz00_10116 =
																							BGl_rtl_ifnez00zzsaw_defsz00;
																						BgL_arg2980z00_10115 =
																							BGL_CLASS_NUM(BgL_classz00_10116);
																					}
																					BGL_OBJECT_CLASS_NUM_SET(
																						((BgL_objectz00_bglt)
																							BgL_new1382z00_10114),
																						BgL_arg2980z00_10115);
																				}
																				BgL_new1379z00_10113 =
																					BgL_new1382z00_10114;
																			}
																			((((BgL_rtl_funz00_bglt) COBJECT(
																							((BgL_rtl_funz00_bglt)
																								BgL_new1379z00_10113)))->
																					BgL_locz00) =
																				((obj_t) (((BgL_rtl_funz00_bglt)
																							COBJECT
																							(BgL_duplicated1381z00_10112))->
																						BgL_locz00)), BUNSPEC);
																			{
																				BgL_blockz00_bglt BgL_auxz00_14883;

																				{	/* SawBbv/bbv-specialize.scm 626 */
																					BgL_blockz00_bglt
																						BgL_arg2979z00_10117;
																					BgL_arg2979z00_10117 =
																						(((BgL_rtl_ifnez00_bglt)
																							COBJECT(BgL_i1368z00_10102))->
																						BgL_thenz00);
																					BgL_auxz00_14883 =
																						((BgL_blockz00_bglt)
																						BGl_bbvzd2blockzd2zzsaw_bbvzd2specializa7ez75
																						(BgL_arg2979z00_10117,
																							BgL_ctxzb2zb2_10097,
																							((BgL_bbvzd2queuezd2_bglt)
																								BgL_queuez00_9830),
																							BgL_bsz00_9828));
																				}
																				((((BgL_rtl_ifnez00_bglt)
																							COBJECT(BgL_new1379z00_10113))->
																						BgL_thenz00) =
																					((BgL_blockz00_bglt)
																						BgL_auxz00_14883), BUNSPEC);
																			}
																			BgL_auxz00_14870 =
																				((BgL_rtl_funz00_bglt)
																				BgL_new1379z00_10113);
																		}
																		((((BgL_rtl_insz00_bglt) COBJECT(
																						((BgL_rtl_insz00_bglt)
																							BgL_new1369z00_10106)))->
																				BgL_funz00) =
																			((BgL_rtl_funz00_bglt) BgL_auxz00_14870),
																			BUNSPEC);
																	}
																	{
																		obj_t BgL_auxz00_14891;

																		{	/* SawBbv/bbv-specialize.scm 629 */
																			BgL_rtl_insz00_bglt BgL_arg2981z00_10118;

																			{	/* SawBbv/bbv-specialize.scm 629 */
																				BgL_rtl_insz00_bglt
																					BgL_new1383z00_10119;
																				{	/* SawBbv/bbv-specialize.scm 629 */
																					BgL_rtl_insz00_bglt
																						BgL_tmp1391z00_10120;
																					BgL_rtl_inszf2bbvzf2_bglt
																						BgL_wide1392z00_10121;
																					{
																						BgL_rtl_insz00_bglt
																							BgL_auxz00_14893;
																						{	/* SawBbv/bbv-specialize.scm 629 */
																							BgL_rtl_insz00_bglt
																								BgL_new1390z00_10122;
																							BgL_new1390z00_10122 =
																								((BgL_rtl_insz00_bglt)
																								BOBJECT(GC_MALLOC(sizeof(struct
																											BgL_rtl_insz00_bgl))));
																							{	/* SawBbv/bbv-specialize.scm 629 */
																								long BgL_arg2984z00_10123;

																								{	/* SawBbv/bbv-specialize.scm 629 */
																									obj_t BgL_classz00_10124;

																									BgL_classz00_10124 =
																										BGl_rtl_insz00zzsaw_defsz00;
																									BgL_arg2984z00_10123 =
																										BGL_CLASS_NUM
																										(BgL_classz00_10124);
																								}
																								BGL_OBJECT_CLASS_NUM_SET(
																									((BgL_objectz00_bglt)
																										BgL_new1390z00_10122),
																									BgL_arg2984z00_10123);
																							}
																							{	/* SawBbv/bbv-specialize.scm 629 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_14898;
																								BgL_tmpz00_14898 =
																									((BgL_objectz00_bglt)
																									BgL_new1390z00_10122);
																								BGL_OBJECT_WIDENING_SET
																									(BgL_tmpz00_14898, BFALSE);
																							}
																							((BgL_objectz00_bglt)
																								BgL_new1390z00_10122);
																							BgL_auxz00_14893 =
																								BgL_new1390z00_10122;
																						}
																						BgL_tmp1391z00_10120 =
																							((BgL_rtl_insz00_bglt)
																							BgL_auxz00_14893);
																					}
																					BgL_wide1392z00_10121 =
																						((BgL_rtl_inszf2bbvzf2_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_rtl_inszf2bbvzf2_bgl))));
																					{	/* SawBbv/bbv-specialize.scm 629 */
																						obj_t BgL_auxz00_14906;
																						BgL_objectz00_bglt BgL_tmpz00_14904;

																						BgL_auxz00_14906 =
																							((obj_t) BgL_wide1392z00_10121);
																						BgL_tmpz00_14904 =
																							((BgL_objectz00_bglt)
																							BgL_tmp1391z00_10120);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_tmpz00_14904,
																							BgL_auxz00_14906);
																					}
																					((BgL_objectz00_bglt)
																						BgL_tmp1391z00_10120);
																					{	/* SawBbv/bbv-specialize.scm 629 */
																						long BgL_arg2983z00_10125;

																						{	/* SawBbv/bbv-specialize.scm 629 */
																							obj_t BgL_classz00_10126;

																							BgL_classz00_10126 =
																								BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2;
																							BgL_arg2983z00_10125 =
																								BGL_CLASS_NUM
																								(BgL_classz00_10126);
																						}
																						BGL_OBJECT_CLASS_NUM_SET(
																							((BgL_objectz00_bglt)
																								BgL_tmp1391z00_10120),
																							BgL_arg2983z00_10125);
																					}
																					BgL_new1383z00_10119 =
																						((BgL_rtl_insz00_bglt)
																						BgL_tmp1391z00_10120);
																				}
																				((((BgL_rtl_insz00_bglt) COBJECT(
																								((BgL_rtl_insz00_bglt)
																									BgL_new1383z00_10119)))->
																						BgL_locz00) =
																					((obj_t) (((BgL_rtl_insz00_bglt)
																								COBJECT(((BgL_rtl_insz00_bglt)
																										BgL_iz00_9826)))->
																							BgL_locz00)), BUNSPEC);
																				((((BgL_rtl_insz00_bglt)
																							COBJECT(((BgL_rtl_insz00_bglt)
																									BgL_new1383z00_10119)))->
																						BgL_z52spillz52) =
																					((obj_t) (((BgL_rtl_insz00_bglt)
																								COBJECT(((BgL_rtl_insz00_bglt)
																										BgL_iz00_9826)))->
																							BgL_z52spillz52)), BUNSPEC);
																				((((BgL_rtl_insz00_bglt)
																							COBJECT(((BgL_rtl_insz00_bglt)
																									BgL_new1383z00_10119)))->
																						BgL_destz00) =
																					((obj_t) (((BgL_rtl_insz00_bglt)
																								COBJECT(((BgL_rtl_insz00_bglt)
																										BgL_iz00_9826)))->
																							BgL_destz00)), BUNSPEC);
																				((((BgL_rtl_insz00_bglt)
																							COBJECT(((BgL_rtl_insz00_bglt)
																									BgL_new1383z00_10119)))->
																						BgL_funz00) =
																					((BgL_rtl_funz00_bglt) (
																							(BgL_rtl_funz00_bglt)
																							BgL_assertz00_10103)), BUNSPEC);
																				((((BgL_rtl_insz00_bglt)
																							COBJECT(((BgL_rtl_insz00_bglt)
																									BgL_new1383z00_10119)))->
																						BgL_argsz00) =
																					((obj_t) (((BgL_rtl_insz00_bglt)
																								COBJECT(((BgL_rtl_insz00_bglt) (
																											(BgL_rtl_insz00_bglt) (
																												(BgL_rtl_insz00_bglt)
																												BgL_iz00_9826)))))->
																							BgL_argsz00)), BUNSPEC);
																				{
																					obj_t BgL_auxz00_14941;
																					BgL_rtl_inszf2bbvzf2_bglt
																						BgL_auxz00_14935;
																					{
																						BgL_rtl_inszf2bbvzf2_bglt
																							BgL_auxz00_14942;
																						{
																							obj_t BgL_auxz00_14943;

																							{	/* SawBbv/bbv-specialize.scm 632 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_14944;
																								BgL_tmpz00_14944 =
																									((BgL_objectz00_bglt) (
																										(BgL_rtl_insz00_bglt) (
																											(BgL_rtl_insz00_bglt)
																											BgL_iz00_9826)));
																								BgL_auxz00_14943 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_14944);
																							}
																							BgL_auxz00_14942 =
																								((BgL_rtl_inszf2bbvzf2_bglt)
																								BgL_auxz00_14943);
																						}
																						BgL_auxz00_14941 =
																							(((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_14942))->
																							BgL_defz00);
																					}
																					{
																						obj_t BgL_auxz00_14936;

																						{	/* SawBbv/bbv-specialize.scm 632 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_14937;
																							BgL_tmpz00_14937 =
																								((BgL_objectz00_bglt)
																								BgL_new1383z00_10119);
																							BgL_auxz00_14936 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_14937);
																						}
																						BgL_auxz00_14935 =
																							((BgL_rtl_inszf2bbvzf2_bglt)
																							BgL_auxz00_14936);
																					}
																					((((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_14935))->
																							BgL_defz00) =
																						((obj_t) BgL_auxz00_14941),
																						BUNSPEC);
																				}
																				{
																					obj_t BgL_auxz00_14958;
																					BgL_rtl_inszf2bbvzf2_bglt
																						BgL_auxz00_14952;
																					{
																						BgL_rtl_inszf2bbvzf2_bglt
																							BgL_auxz00_14959;
																						{
																							obj_t BgL_auxz00_14960;

																							{	/* SawBbv/bbv-specialize.scm 632 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_14961;
																								BgL_tmpz00_14961 =
																									((BgL_objectz00_bglt) (
																										(BgL_rtl_insz00_bglt) (
																											(BgL_rtl_insz00_bglt)
																											BgL_iz00_9826)));
																								BgL_auxz00_14960 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_14961);
																							}
																							BgL_auxz00_14959 =
																								((BgL_rtl_inszf2bbvzf2_bglt)
																								BgL_auxz00_14960);
																						}
																						BgL_auxz00_14958 =
																							(((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_14959))->
																							BgL_outz00);
																					}
																					{
																						obj_t BgL_auxz00_14953;

																						{	/* SawBbv/bbv-specialize.scm 632 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_14954;
																							BgL_tmpz00_14954 =
																								((BgL_objectz00_bglt)
																								BgL_new1383z00_10119);
																							BgL_auxz00_14953 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_14954);
																						}
																						BgL_auxz00_14952 =
																							((BgL_rtl_inszf2bbvzf2_bglt)
																							BgL_auxz00_14953);
																					}
																					((((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_14952))->
																							BgL_outz00) =
																						((obj_t) BgL_auxz00_14958),
																						BUNSPEC);
																				}
																				{
																					obj_t BgL_auxz00_14975;
																					BgL_rtl_inszf2bbvzf2_bglt
																						BgL_auxz00_14969;
																					{
																						BgL_rtl_inszf2bbvzf2_bglt
																							BgL_auxz00_14976;
																						{
																							obj_t BgL_auxz00_14977;

																							{	/* SawBbv/bbv-specialize.scm 632 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_14978;
																								BgL_tmpz00_14978 =
																									((BgL_objectz00_bglt) (
																										(BgL_rtl_insz00_bglt) (
																											(BgL_rtl_insz00_bglt)
																											BgL_iz00_9826)));
																								BgL_auxz00_14977 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_14978);
																							}
																							BgL_auxz00_14976 =
																								((BgL_rtl_inszf2bbvzf2_bglt)
																								BgL_auxz00_14977);
																						}
																						BgL_auxz00_14975 =
																							(((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_14976))->
																							BgL_inz00);
																					}
																					{
																						obj_t BgL_auxz00_14970;

																						{	/* SawBbv/bbv-specialize.scm 632 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_14971;
																							BgL_tmpz00_14971 =
																								((BgL_objectz00_bglt)
																								BgL_new1383z00_10119);
																							BgL_auxz00_14970 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_14971);
																						}
																						BgL_auxz00_14969 =
																							((BgL_rtl_inszf2bbvzf2_bglt)
																							BgL_auxz00_14970);
																					}
																					((((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_14969))->
																							BgL_inz00) =
																						((obj_t) BgL_auxz00_14975),
																						BUNSPEC);
																				}
																				{
																					BgL_rtl_inszf2bbvzf2_bglt
																						BgL_auxz00_14986;
																					{
																						obj_t BgL_auxz00_14987;

																						{	/* SawBbv/bbv-specialize.scm 630 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_14988;
																							BgL_tmpz00_14988 =
																								((BgL_objectz00_bglt)
																								BgL_new1383z00_10119);
																							BgL_auxz00_14987 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_14988);
																						}
																						BgL_auxz00_14986 =
																							((BgL_rtl_inszf2bbvzf2_bglt)
																							BgL_auxz00_14987);
																					}
																					((((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_14986))->
																							BgL_ctxz00) =
																						((BgL_bbvzd2ctxzd2_bglt) (
																								(BgL_bbvzd2ctxzd2_bglt)
																								BgL_ctxz00_9829)), BUNSPEC);
																				}
																				{
																					obj_t BgL_auxz00_15000;
																					BgL_rtl_inszf2bbvzf2_bglt
																						BgL_auxz00_14994;
																					{
																						BgL_rtl_inszf2bbvzf2_bglt
																							BgL_auxz00_15001;
																						{
																							obj_t BgL_auxz00_15002;

																							{	/* SawBbv/bbv-specialize.scm 630 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_15003;
																								BgL_tmpz00_15003 =
																									((BgL_objectz00_bglt) (
																										(BgL_rtl_insz00_bglt) (
																											(BgL_rtl_insz00_bglt)
																											BgL_iz00_9826)));
																								BgL_auxz00_15002 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_15003);
																							}
																							BgL_auxz00_15001 =
																								((BgL_rtl_inszf2bbvzf2_bglt)
																								BgL_auxz00_15002);
																						}
																						BgL_auxz00_15000 =
																							(((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_15001))->
																							BgL_z52hashz52);
																					}
																					{
																						obj_t BgL_auxz00_14995;

																						{	/* SawBbv/bbv-specialize.scm 630 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_14996;
																							BgL_tmpz00_14996 =
																								((BgL_objectz00_bglt)
																								BgL_new1383z00_10119);
																							BgL_auxz00_14995 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_14996);
																						}
																						BgL_auxz00_14994 =
																							((BgL_rtl_inszf2bbvzf2_bglt)
																							BgL_auxz00_14995);
																					}
																					((((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_14994))->
																							BgL_z52hashz52) =
																						((obj_t) BgL_auxz00_15000),
																						BUNSPEC);
																				}
																				BgL_arg2981z00_10118 =
																					BgL_new1383z00_10119;
																			}
																			{	/* SawBbv/bbv-specialize.scm 629 */
																				obj_t BgL_list2982z00_10127;

																				BgL_list2982z00_10127 =
																					MAKE_YOUNG_PAIR(
																					((obj_t) BgL_arg2981z00_10118), BNIL);
																				BgL_auxz00_14891 =
																					BgL_list2982z00_10127;
																		}}
																		((((BgL_rtl_insz00_bglt) COBJECT(
																						((BgL_rtl_insz00_bglt)
																							BgL_new1369z00_10106)))->
																				BgL_argsz00) =
																			((obj_t) BgL_auxz00_14891), BUNSPEC);
																	}
																	{
																		obj_t BgL_auxz00_15020;
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15014;

																		{
																			BgL_rtl_inszf2bbvzf2_bglt
																				BgL_auxz00_15021;
																			{
																				obj_t BgL_auxz00_15022;

																				{	/* SawBbv/bbv-specialize.scm 629 */
																					BgL_objectz00_bglt BgL_tmpz00_15023;

																					BgL_tmpz00_15023 =
																						((BgL_objectz00_bglt)
																						((BgL_rtl_insz00_bglt)
																							((BgL_rtl_insz00_bglt)
																								BgL_iz00_9826)));
																					BgL_auxz00_15022 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_15023);
																				}
																				BgL_auxz00_15021 =
																					((BgL_rtl_inszf2bbvzf2_bglt)
																					BgL_auxz00_15022);
																			}
																			BgL_auxz00_15020 =
																				(((BgL_rtl_inszf2bbvzf2_bglt)
																					COBJECT(BgL_auxz00_15021))->
																				BgL_defz00);
																		}
																		{
																			obj_t BgL_auxz00_15015;

																			{	/* SawBbv/bbv-specialize.scm 629 */
																				BgL_objectz00_bglt BgL_tmpz00_15016;

																				BgL_tmpz00_15016 =
																					((BgL_objectz00_bglt)
																					BgL_new1369z00_10106);
																				BgL_auxz00_15015 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_15016);
																			}
																			BgL_auxz00_15014 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_15015);
																		}
																		((((BgL_rtl_inszf2bbvzf2_bglt)
																					COBJECT(BgL_auxz00_15014))->
																				BgL_defz00) =
																			((obj_t) BgL_auxz00_15020), BUNSPEC);
																	}
																	{
																		obj_t BgL_auxz00_15037;
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15031;

																		{
																			BgL_rtl_inszf2bbvzf2_bglt
																				BgL_auxz00_15038;
																			{
																				obj_t BgL_auxz00_15039;

																				{	/* SawBbv/bbv-specialize.scm 629 */
																					BgL_objectz00_bglt BgL_tmpz00_15040;

																					BgL_tmpz00_15040 =
																						((BgL_objectz00_bglt)
																						((BgL_rtl_insz00_bglt)
																							((BgL_rtl_insz00_bglt)
																								BgL_iz00_9826)));
																					BgL_auxz00_15039 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_15040);
																				}
																				BgL_auxz00_15038 =
																					((BgL_rtl_inszf2bbvzf2_bglt)
																					BgL_auxz00_15039);
																			}
																			BgL_auxz00_15037 =
																				(((BgL_rtl_inszf2bbvzf2_bglt)
																					COBJECT(BgL_auxz00_15038))->
																				BgL_outz00);
																		}
																		{
																			obj_t BgL_auxz00_15032;

																			{	/* SawBbv/bbv-specialize.scm 629 */
																				BgL_objectz00_bglt BgL_tmpz00_15033;

																				BgL_tmpz00_15033 =
																					((BgL_objectz00_bglt)
																					BgL_new1369z00_10106);
																				BgL_auxz00_15032 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_15033);
																			}
																			BgL_auxz00_15031 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_15032);
																		}
																		((((BgL_rtl_inszf2bbvzf2_bglt)
																					COBJECT(BgL_auxz00_15031))->
																				BgL_outz00) =
																			((obj_t) BgL_auxz00_15037), BUNSPEC);
																	}
																	{
																		obj_t BgL_auxz00_15054;
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15048;

																		{
																			BgL_rtl_inszf2bbvzf2_bglt
																				BgL_auxz00_15055;
																			{
																				obj_t BgL_auxz00_15056;

																				{	/* SawBbv/bbv-specialize.scm 629 */
																					BgL_objectz00_bglt BgL_tmpz00_15057;

																					BgL_tmpz00_15057 =
																						((BgL_objectz00_bglt)
																						((BgL_rtl_insz00_bglt)
																							((BgL_rtl_insz00_bglt)
																								BgL_iz00_9826)));
																					BgL_auxz00_15056 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_15057);
																				}
																				BgL_auxz00_15055 =
																					((BgL_rtl_inszf2bbvzf2_bglt)
																					BgL_auxz00_15056);
																			}
																			BgL_auxz00_15054 =
																				(((BgL_rtl_inszf2bbvzf2_bglt)
																					COBJECT(BgL_auxz00_15055))->
																				BgL_inz00);
																		}
																		{
																			obj_t BgL_auxz00_15049;

																			{	/* SawBbv/bbv-specialize.scm 629 */
																				BgL_objectz00_bglt BgL_tmpz00_15050;

																				BgL_tmpz00_15050 =
																					((BgL_objectz00_bglt)
																					BgL_new1369z00_10106);
																				BgL_auxz00_15049 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_15050);
																			}
																			BgL_auxz00_15048 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_15049);
																		}
																		((((BgL_rtl_inszf2bbvzf2_bglt)
																					COBJECT(BgL_auxz00_15048))->
																				BgL_inz00) =
																			((obj_t) BgL_auxz00_15054), BUNSPEC);
																	}
																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15065;

																		{
																			obj_t BgL_auxz00_15066;

																			{	/* SawBbv/bbv-specialize.scm 624 */
																				BgL_objectz00_bglt BgL_tmpz00_15067;

																				BgL_tmpz00_15067 =
																					((BgL_objectz00_bglt)
																					BgL_new1369z00_10106);
																				BgL_auxz00_15066 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_15067);
																			}
																			BgL_auxz00_15065 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_15066);
																		}
																		((((BgL_rtl_inszf2bbvzf2_bglt)
																					COBJECT(BgL_auxz00_15065))->
																				BgL_ctxz00) =
																			((BgL_bbvzd2ctxzd2_bglt) (
																					(BgL_bbvzd2ctxzd2_bglt)
																					BgL_ctxz00_9829)), BUNSPEC);
																	}
																	{
																		obj_t BgL_auxz00_15079;
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15073;

																		{
																			BgL_rtl_inszf2bbvzf2_bglt
																				BgL_auxz00_15080;
																			{
																				obj_t BgL_auxz00_15081;

																				{	/* SawBbv/bbv-specialize.scm 624 */
																					BgL_objectz00_bglt BgL_tmpz00_15082;

																					BgL_tmpz00_15082 =
																						((BgL_objectz00_bglt)
																						((BgL_rtl_insz00_bglt)
																							((BgL_rtl_insz00_bglt)
																								BgL_iz00_9826)));
																					BgL_auxz00_15081 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_15082);
																				}
																				BgL_auxz00_15080 =
																					((BgL_rtl_inszf2bbvzf2_bglt)
																					BgL_auxz00_15081);
																			}
																			BgL_auxz00_15079 =
																				(((BgL_rtl_inszf2bbvzf2_bglt)
																					COBJECT(BgL_auxz00_15080))->
																				BgL_z52hashz52);
																		}
																		{
																			obj_t BgL_auxz00_15074;

																			{	/* SawBbv/bbv-specialize.scm 624 */
																				BgL_objectz00_bglt BgL_tmpz00_15075;

																				BgL_tmpz00_15075 =
																					((BgL_objectz00_bglt)
																					BgL_new1369z00_10106);
																				BgL_auxz00_15074 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_15075);
																			}
																			BgL_auxz00_15073 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_15074);
																		}
																		((((BgL_rtl_inszf2bbvzf2_bglt)
																					COBJECT(BgL_auxz00_15073))->
																				BgL_z52hashz52) =
																			((obj_t) BgL_auxz00_15079), BUNSPEC);
																	}
																	BgL_sz00_10105 = BgL_new1369z00_10106;
																}
															else
																{	/* SawBbv/bbv-specialize.scm 648 */
																	BgL_rtl_insz00_bglt BgL_new1422z00_10128;

																	{	/* SawBbv/bbv-specialize.scm 648 */
																		BgL_rtl_insz00_bglt BgL_tmp1430z00_10129;
																		BgL_rtl_inszf2bbvzf2_bglt
																			BgL_wide1431z00_10130;
																		{
																			BgL_rtl_insz00_bglt BgL_auxz00_15090;

																			{	/* SawBbv/bbv-specialize.scm 648 */
																				BgL_rtl_insz00_bglt
																					BgL_new1429z00_10131;
																				BgL_new1429z00_10131 =
																					((BgL_rtl_insz00_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_rtl_insz00_bgl))));
																				{	/* SawBbv/bbv-specialize.scm 648 */
																					long BgL_arg2994z00_10132;

																					BgL_arg2994z00_10132 =
																						BGL_CLASS_NUM
																						(BGl_rtl_insz00zzsaw_defsz00);
																					BGL_OBJECT_CLASS_NUM_SET((
																							(BgL_objectz00_bglt)
																							BgL_new1429z00_10131),
																						BgL_arg2994z00_10132);
																				}
																				{	/* SawBbv/bbv-specialize.scm 648 */
																					BgL_objectz00_bglt BgL_tmpz00_15095;

																					BgL_tmpz00_15095 =
																						((BgL_objectz00_bglt)
																						BgL_new1429z00_10131);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_tmpz00_15095, BFALSE);
																				}
																				((BgL_objectz00_bglt)
																					BgL_new1429z00_10131);
																				BgL_auxz00_15090 = BgL_new1429z00_10131;
																			}
																			BgL_tmp1430z00_10129 =
																				((BgL_rtl_insz00_bglt)
																				BgL_auxz00_15090);
																		}
																		BgL_wide1431z00_10130 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_rtl_inszf2bbvzf2_bgl))));
																		{	/* SawBbv/bbv-specialize.scm 648 */
																			obj_t BgL_auxz00_15103;
																			BgL_objectz00_bglt BgL_tmpz00_15101;

																			BgL_auxz00_15103 =
																				((obj_t) BgL_wide1431z00_10130);
																			BgL_tmpz00_15101 =
																				((BgL_objectz00_bglt)
																				BgL_tmp1430z00_10129);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15101,
																				BgL_auxz00_15103);
																		}
																		((BgL_objectz00_bglt) BgL_tmp1430z00_10129);
																		{	/* SawBbv/bbv-specialize.scm 648 */
																			long BgL_arg2993z00_10133;

																			BgL_arg2993z00_10133 =
																				BGL_CLASS_NUM
																				(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																			BGL_OBJECT_CLASS_NUM_SET((
																					(BgL_objectz00_bglt)
																					BgL_tmp1430z00_10129),
																				BgL_arg2993z00_10133);
																		}
																		BgL_new1422z00_10128 =
																			((BgL_rtl_insz00_bglt)
																			BgL_tmp1430z00_10129);
																	}
																	((((BgL_rtl_insz00_bglt) COBJECT(
																					((BgL_rtl_insz00_bglt)
																						BgL_new1422z00_10128)))->
																			BgL_locz00) =
																		((obj_t) (((BgL_rtl_insz00_bglt)
																					COBJECT(((BgL_rtl_insz00_bglt)
																							BgL_iz00_9826)))->BgL_locz00)),
																		BUNSPEC);
																	((((BgL_rtl_insz00_bglt)
																				COBJECT(((BgL_rtl_insz00_bglt)
																						BgL_new1422z00_10128)))->
																			BgL_z52spillz52) =
																		((obj_t) (((BgL_rtl_insz00_bglt)
																					COBJECT(((BgL_rtl_insz00_bglt)
																							BgL_iz00_9826)))->
																				BgL_z52spillz52)), BUNSPEC);
																	((((BgL_rtl_insz00_bglt)
																				COBJECT(((BgL_rtl_insz00_bglt)
																						BgL_new1422z00_10128)))->
																			BgL_destz00) = ((obj_t) BFALSE), BUNSPEC);
																	{
																		BgL_rtl_funz00_bglt BgL_auxz00_15121;

																		{	/* SawBbv/bbv-specialize.scm 650 */
																			BgL_rtl_goz00_bglt BgL_new1434z00_10134;

																			{	/* SawBbv/bbv-specialize.scm 650 */
																				BgL_rtl_goz00_bglt BgL_new1432z00_10135;

																				BgL_new1432z00_10135 =
																					((BgL_rtl_goz00_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_rtl_goz00_bgl))));
																				{	/* SawBbv/bbv-specialize.scm 650 */
																					long BgL_arg2991z00_10136;

																					{	/* SawBbv/bbv-specialize.scm 650 */
																						obj_t BgL_classz00_10137;

																						BgL_classz00_10137 =
																							BGl_rtl_goz00zzsaw_defsz00;
																						BgL_arg2991z00_10136 =
																							BGL_CLASS_NUM(BgL_classz00_10137);
																					}
																					BGL_OBJECT_CLASS_NUM_SET(
																						((BgL_objectz00_bglt)
																							BgL_new1432z00_10135),
																						BgL_arg2991z00_10136);
																				}
																				BgL_new1434z00_10134 =
																					BgL_new1432z00_10135;
																			}
																			((((BgL_rtl_funz00_bglt) COBJECT(
																							((BgL_rtl_funz00_bglt)
																								BgL_new1434z00_10134)))->
																					BgL_locz00) =
																				((obj_t) BFALSE), BUNSPEC);
																			{
																				BgL_blockz00_bglt BgL_auxz00_15129;

																				{	/* SawBbv/bbv-specialize.scm 651 */
																					BgL_blockz00_bglt
																						BgL_arg2987z00_10138;
																					BgL_arg2987z00_10138 =
																						(((BgL_rtl_ifnez00_bglt)
																							COBJECT(BgL_i1368z00_10102))->
																						BgL_thenz00);
																					BgL_auxz00_15129 =
																						((BgL_blockz00_bglt)
																						BGl_bbvzd2blockzd2zzsaw_bbvzd2specializa7ez75
																						(BgL_arg2987z00_10138,
																							BgL_ctxzb2zb2_10097,
																							((BgL_bbvzd2queuezd2_bglt)
																								BgL_queuez00_9830),
																							BgL_bsz00_9828));
																				}
																				((((BgL_rtl_goz00_bglt)
																							COBJECT(BgL_new1434z00_10134))->
																						BgL_toz00) =
																					((BgL_blockz00_bglt)
																						BgL_auxz00_15129), BUNSPEC);
																			}
																			BgL_auxz00_15121 =
																				((BgL_rtl_funz00_bglt)
																				BgL_new1434z00_10134);
																		}
																		((((BgL_rtl_insz00_bglt) COBJECT(
																						((BgL_rtl_insz00_bglt)
																							BgL_new1422z00_10128)))->
																				BgL_funz00) =
																			((BgL_rtl_funz00_bglt) BgL_auxz00_15121),
																			BUNSPEC);
																	}
																	((((BgL_rtl_insz00_bglt) COBJECT(
																					((BgL_rtl_insz00_bglt)
																						BgL_new1422z00_10128)))->
																			BgL_argsz00) = ((obj_t) BNIL), BUNSPEC);
																	{
																		obj_t BgL_auxz00_15145;
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15139;

																		{
																			BgL_rtl_inszf2bbvzf2_bglt
																				BgL_auxz00_15146;
																			{
																				obj_t BgL_auxz00_15147;

																				{	/* SawBbv/bbv-specialize.scm 653 */
																					BgL_objectz00_bglt BgL_tmpz00_15148;

																					BgL_tmpz00_15148 =
																						((BgL_objectz00_bglt)
																						((BgL_rtl_insz00_bglt)
																							((BgL_rtl_insz00_bglt)
																								BgL_iz00_9826)));
																					BgL_auxz00_15147 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_15148);
																				}
																				BgL_auxz00_15146 =
																					((BgL_rtl_inszf2bbvzf2_bglt)
																					BgL_auxz00_15147);
																			}
																			BgL_auxz00_15145 =
																				(((BgL_rtl_inszf2bbvzf2_bglt)
																					COBJECT(BgL_auxz00_15146))->
																				BgL_defz00);
																		}
																		{
																			obj_t BgL_auxz00_15140;

																			{	/* SawBbv/bbv-specialize.scm 653 */
																				BgL_objectz00_bglt BgL_tmpz00_15141;

																				BgL_tmpz00_15141 =
																					((BgL_objectz00_bglt)
																					BgL_new1422z00_10128);
																				BgL_auxz00_15140 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_15141);
																			}
																			BgL_auxz00_15139 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_15140);
																		}
																		((((BgL_rtl_inszf2bbvzf2_bglt)
																					COBJECT(BgL_auxz00_15139))->
																				BgL_defz00) =
																			((obj_t) BgL_auxz00_15145), BUNSPEC);
																	}
																	{
																		obj_t BgL_auxz00_15162;
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15156;

																		{
																			BgL_rtl_inszf2bbvzf2_bglt
																				BgL_auxz00_15163;
																			{
																				obj_t BgL_auxz00_15164;

																				{	/* SawBbv/bbv-specialize.scm 653 */
																					BgL_objectz00_bglt BgL_tmpz00_15165;

																					BgL_tmpz00_15165 =
																						((BgL_objectz00_bglt)
																						((BgL_rtl_insz00_bglt)
																							((BgL_rtl_insz00_bglt)
																								BgL_iz00_9826)));
																					BgL_auxz00_15164 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_15165);
																				}
																				BgL_auxz00_15163 =
																					((BgL_rtl_inszf2bbvzf2_bglt)
																					BgL_auxz00_15164);
																			}
																			BgL_auxz00_15162 =
																				(((BgL_rtl_inszf2bbvzf2_bglt)
																					COBJECT(BgL_auxz00_15163))->
																				BgL_outz00);
																		}
																		{
																			obj_t BgL_auxz00_15157;

																			{	/* SawBbv/bbv-specialize.scm 653 */
																				BgL_objectz00_bglt BgL_tmpz00_15158;

																				BgL_tmpz00_15158 =
																					((BgL_objectz00_bglt)
																					BgL_new1422z00_10128);
																				BgL_auxz00_15157 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_15158);
																			}
																			BgL_auxz00_15156 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_15157);
																		}
																		((((BgL_rtl_inszf2bbvzf2_bglt)
																					COBJECT(BgL_auxz00_15156))->
																				BgL_outz00) =
																			((obj_t) BgL_auxz00_15162), BUNSPEC);
																	}
																	{
																		obj_t BgL_auxz00_15179;
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15173;

																		{
																			BgL_rtl_inszf2bbvzf2_bglt
																				BgL_auxz00_15180;
																			{
																				obj_t BgL_auxz00_15181;

																				{	/* SawBbv/bbv-specialize.scm 653 */
																					BgL_objectz00_bglt BgL_tmpz00_15182;

																					BgL_tmpz00_15182 =
																						((BgL_objectz00_bglt)
																						((BgL_rtl_insz00_bglt)
																							((BgL_rtl_insz00_bglt)
																								BgL_iz00_9826)));
																					BgL_auxz00_15181 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_15182);
																				}
																				BgL_auxz00_15180 =
																					((BgL_rtl_inszf2bbvzf2_bglt)
																					BgL_auxz00_15181);
																			}
																			BgL_auxz00_15179 =
																				(((BgL_rtl_inszf2bbvzf2_bglt)
																					COBJECT(BgL_auxz00_15180))->
																				BgL_inz00);
																		}
																		{
																			obj_t BgL_auxz00_15174;

																			{	/* SawBbv/bbv-specialize.scm 653 */
																				BgL_objectz00_bglt BgL_tmpz00_15175;

																				BgL_tmpz00_15175 =
																					((BgL_objectz00_bglt)
																					BgL_new1422z00_10128);
																				BgL_auxz00_15174 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_15175);
																			}
																			BgL_auxz00_15173 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_15174);
																		}
																		((((BgL_rtl_inszf2bbvzf2_bglt)
																					COBJECT(BgL_auxz00_15173))->
																				BgL_inz00) =
																			((obj_t) BgL_auxz00_15179), BUNSPEC);
																	}
																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15190;

																		{
																			obj_t BgL_auxz00_15191;

																			{	/* SawBbv/bbv-specialize.scm 649 */
																				BgL_objectz00_bglt BgL_tmpz00_15192;

																				BgL_tmpz00_15192 =
																					((BgL_objectz00_bglt)
																					BgL_new1422z00_10128);
																				BgL_auxz00_15191 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_15192);
																			}
																			BgL_auxz00_15190 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_15191);
																		}
																		((((BgL_rtl_inszf2bbvzf2_bglt)
																					COBJECT(BgL_auxz00_15190))->
																				BgL_ctxz00) =
																			((BgL_bbvzd2ctxzd2_bglt) (
																					(BgL_bbvzd2ctxzd2_bglt)
																					BgL_ctxz00_9829)), BUNSPEC);
																	}
																	{
																		obj_t BgL_auxz00_15204;
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15198;

																		{
																			BgL_rtl_inszf2bbvzf2_bglt
																				BgL_auxz00_15205;
																			{
																				obj_t BgL_auxz00_15206;

																				{	/* SawBbv/bbv-specialize.scm 649 */
																					BgL_objectz00_bglt BgL_tmpz00_15207;

																					BgL_tmpz00_15207 =
																						((BgL_objectz00_bglt)
																						((BgL_rtl_insz00_bglt)
																							((BgL_rtl_insz00_bglt)
																								BgL_iz00_9826)));
																					BgL_auxz00_15206 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_15207);
																				}
																				BgL_auxz00_15205 =
																					((BgL_rtl_inszf2bbvzf2_bglt)
																					BgL_auxz00_15206);
																			}
																			BgL_auxz00_15204 =
																				(((BgL_rtl_inszf2bbvzf2_bglt)
																					COBJECT(BgL_auxz00_15205))->
																				BgL_z52hashz52);
																		}
																		{
																			obj_t BgL_auxz00_15199;

																			{	/* SawBbv/bbv-specialize.scm 649 */
																				BgL_objectz00_bglt BgL_tmpz00_15200;

																				BgL_tmpz00_15200 =
																					((BgL_objectz00_bglt)
																					BgL_new1422z00_10128);
																				BgL_auxz00_15199 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_15200);
																			}
																			BgL_auxz00_15198 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_15199);
																		}
																		((((BgL_rtl_inszf2bbvzf2_bglt)
																					COBJECT(BgL_auxz00_15198))->
																				BgL_z52hashz52) =
																			((obj_t) BgL_auxz00_15204), BUNSPEC);
																	}
																	BgL_sz00_10105 = BgL_new1422z00_10128;
																}
															{	/* SawBbv/bbv-specialize.scm 622 */

																{	/* SawBbv/bbv-specialize.scm 655 */
																	BgL_bbvzd2ctxzd2_bglt BgL_val1_2362z00_10139;

																	{	/* SawBbv/bbv-specialize.scm 655 */
																		BgL_bbvzd2ctxzd2_bglt BgL_new1436z00_10140;

																		{	/* SawBbv/bbv-specialize.scm 655 */
																			BgL_bbvzd2ctxzd2_bglt
																				BgL_new1435z00_10141;
																			BgL_new1435z00_10141 =
																				((BgL_bbvzd2ctxzd2_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_bbvzd2ctxzd2_bgl))));
																			{	/* SawBbv/bbv-specialize.scm 655 */
																				long BgL_arg2978z00_10142;

																				BgL_arg2978z00_10142 =
																					BGL_CLASS_NUM
																					(BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_new1435z00_10141),
																					BgL_arg2978z00_10142);
																			}
																			BgL_new1436z00_10140 =
																				BgL_new1435z00_10141;
																		}
																		((((BgL_bbvzd2ctxzd2_bglt)
																					COBJECT(BgL_new1436z00_10140))->
																				BgL_idz00) = ((long) (-1L)), BUNSPEC);
																		((((BgL_bbvzd2ctxzd2_bglt)
																					COBJECT(BgL_new1436z00_10140))->
																				BgL_entriesz00) =
																			((obj_t) BNIL), BUNSPEC);
																		{	/* SawBbv/bbv-specialize.scm 655 */
																			obj_t BgL_fun2977z00_10143;

																			BgL_fun2977z00_10143 =
																				BGl_classzd2constructorzd2zz__objectz00
																				(BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
																			BGL_PROCEDURE_CALL1(BgL_fun2977z00_10143,
																				((obj_t) BgL_new1436z00_10140));
																		}
																		BgL_val1_2362z00_10139 =
																			BgL_new1436z00_10140;
																	}
																	{	/* SawBbv/bbv-specialize.scm 655 */
																		int BgL_tmpz00_15227;

																		BgL_tmpz00_15227 = (int) (2L);
																		BGL_MVALUES_NUMBER_SET(BgL_tmpz00_15227);
																	}
																	{	/* SawBbv/bbv-specialize.scm 655 */
																		obj_t BgL_auxz00_15232;
																		int BgL_tmpz00_15230;

																		BgL_auxz00_15232 =
																			((obj_t) BgL_val1_2362z00_10139);
																		BgL_tmpz00_15230 = (int) (1L);
																		BGL_MVALUES_VAL_SET(BgL_tmpz00_15230,
																			BgL_auxz00_15232);
																	}
																	BgL_auxz00_14812 = BgL_sz00_10105;
											}}}}}}
											return ((obj_t) BgL_auxz00_14812);
										}
									}
								else
									{	/* SawBbv/bbv-specialize.scm 694 */
										bool_t BgL_test4567z00_15236;

										if (CBOOL(BgL_polarityz00_10146))
											{	/* SawBbv/bbv-specialize.scm 694 */
												if (
													(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
																((BgL_bbvzd2ctxentryzd2_bglt)
																	BgL_ez00_10151)))->BgL_polarityz00))
													{	/* SawBbv/bbv-specialize.scm 694 */
														BgL_test4567z00_15236 = ((bool_t) 0);
													}
												else
													{	/* SawBbv/bbv-specialize.scm 695 */
														obj_t BgL_g2371z00_10159;

														BgL_g2371z00_10159 =
															(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
																	((BgL_bbvzd2ctxentryzd2_bglt)
																		BgL_ez00_10151)))->BgL_typesz00);
														{
															obj_t BgL_l2369z00_10161;

															{	/* SawBbv/bbv-specialize.scm 696 */
																obj_t BgL_tmpz00_15244;

																BgL_l2369z00_10161 = BgL_g2371z00_10159;
															BgL_zc3z04anonymousza32966ze3z87_10160:
																if (NULLP(BgL_l2369z00_10161))
																	{	/* SawBbv/bbv-specialize.scm 696 */
																		BgL_tmpz00_15244 = BFALSE;
																	}
																else
																	{	/* SawBbv/bbv-specialize.scm 695 */
																		obj_t BgL__ortest_2372z00_10162;

																		{	/* SawBbv/bbv-specialize.scm 695 */
																			obj_t BgL_tz00_10163;

																			BgL_tz00_10163 =
																				CAR(((obj_t) BgL_l2369z00_10161));
																			BgL__ortest_2372z00_10162 =
																				BGl_zc3zd3tyz10zzsaw_bbvzd2utilszd2
																				(BgL_tz00_10163, BgL_typez00_10145);
																		}
																		if (CBOOL(BgL__ortest_2372z00_10162))
																			{	/* SawBbv/bbv-specialize.scm 696 */
																				BgL_tmpz00_15244 =
																					BgL__ortest_2372z00_10162;
																			}
																		else
																			{	/* SawBbv/bbv-specialize.scm 696 */
																				obj_t BgL_arg2967z00_10164;

																				BgL_arg2967z00_10164 =
																					CDR(((obj_t) BgL_l2369z00_10161));
																				{
																					obj_t BgL_l2369z00_15254;

																					BgL_l2369z00_15254 =
																						BgL_arg2967z00_10164;
																					BgL_l2369z00_10161 =
																						BgL_l2369z00_15254;
																					goto
																						BgL_zc3z04anonymousza32966ze3z87_10160;
																				}
																			}
																	}
																BgL_test4567z00_15236 = CBOOL(BgL_tmpz00_15244);
															}
														}
													}
											}
										else
											{	/* SawBbv/bbv-specialize.scm 694 */
												BgL_test4567z00_15236 = ((bool_t) 0);
											}
										if (BgL_test4567z00_15236)
											{	/* SawBbv/bbv-specialize.scm 700 */
												bool_t BgL_arg2900z00_10165;

												BgL_arg2900z00_10165 =
													(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
															((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_10151)))->
													BgL_polarityz00);
												{
													BgL_rtl_insz00_bglt BgL_auxz00_15258;

													BgL_regz00_10074 = BgL_regz00_10144;
													BgL_typez00_10075 = BgL_typez00_10145;
													BgL_polarityz00_10076 = BgL_arg2900z00_10165;
													BgL_valuez00_10077 = BgL_valuez00_10147;
													BgL_ez00_10078 = BgL_ez00_10151;
												BgL_specializa7ezd2z75_10072:
													{	/* SawBbv/bbv-specialize.scm 659 */
														obj_t BgL_assertz00_10079;

														if (
															((long)
																CINT
																(BGl_za2bbvzd2assertza2zd2zzsaw_bbvzd2configzd2)
																>= 3L))
															{	/* SawBbv/bbv-specialize.scm 660 */
																obj_t BgL_arg3015z00_10080;

																BgL_arg3015z00_10080 =
																	(((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				((BgL_rtl_insz00_bglt)
																					((BgL_rtl_insz00_bglt)
																						BgL_iz00_9826)))))->BgL_locz00);
																BgL_assertz00_10079 =
																	BGl_rtlzd2assertzd2regzd2typezd2zzsaw_bbvzd2debugzd2
																	(((BgL_rtl_regz00_bglt) BgL_regz00_10074),
																	((BgL_typez00_bglt) BgL_typez00_10075),
																	BgL_polarityz00_10076,
																	((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_9829),
																	BgL_arg3015z00_10080,
																	BGl_string4208z00zzsaw_bbvzd2specializa7ez75);
															}
														else
															{	/* SawBbv/bbv-specialize.scm 659 */
																BgL_assertz00_10079 = BFALSE;
															}
														{	/* SawBbv/bbv-specialize.scm 659 */
															BgL_rtl_insz00_bglt BgL_sz00_10081;

															{	/* SawBbv/bbv-specialize.scm 662 */
																BgL_rtl_insz00_bglt BgL_new1439z00_10082;

																{	/* SawBbv/bbv-specialize.scm 662 */
																	BgL_rtl_insz00_bglt BgL_tmp1447z00_10083;
																	BgL_rtl_inszf2bbvzf2_bglt
																		BgL_wide1448z00_10084;
																	{
																		BgL_rtl_insz00_bglt BgL_auxz00_15270;

																		{	/* SawBbv/bbv-specialize.scm 662 */
																			BgL_rtl_insz00_bglt BgL_new1446z00_10085;

																			BgL_new1446z00_10085 =
																				((BgL_rtl_insz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_rtl_insz00_bgl))));
																			{	/* SawBbv/bbv-specialize.scm 662 */
																				long BgL_arg3013z00_10086;

																				BgL_arg3013z00_10086 =
																					BGL_CLASS_NUM
																					(BGl_rtl_insz00zzsaw_defsz00);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_new1446z00_10085),
																					BgL_arg3013z00_10086);
																			}
																			{	/* SawBbv/bbv-specialize.scm 662 */
																				BgL_objectz00_bglt BgL_tmpz00_15275;

																				BgL_tmpz00_15275 =
																					((BgL_objectz00_bglt)
																					BgL_new1446z00_10085);
																				BGL_OBJECT_WIDENING_SET
																					(BgL_tmpz00_15275, BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1446z00_10085);
																			BgL_auxz00_15270 = BgL_new1446z00_10085;
																		}
																		BgL_tmp1447z00_10083 =
																			((BgL_rtl_insz00_bglt) BgL_auxz00_15270);
																	}
																	BgL_wide1448z00_10084 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_rtl_inszf2bbvzf2_bgl))));
																	{	/* SawBbv/bbv-specialize.scm 662 */
																		obj_t BgL_auxz00_15283;
																		BgL_objectz00_bglt BgL_tmpz00_15281;

																		BgL_auxz00_15283 =
																			((obj_t) BgL_wide1448z00_10084);
																		BgL_tmpz00_15281 =
																			((BgL_objectz00_bglt)
																			BgL_tmp1447z00_10083);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15281,
																			BgL_auxz00_15283);
																	}
																	((BgL_objectz00_bglt) BgL_tmp1447z00_10083);
																	{	/* SawBbv/bbv-specialize.scm 662 */
																		long BgL_arg3012z00_10087;

																		BgL_arg3012z00_10087 =
																			BGL_CLASS_NUM
																			(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																		BGL_OBJECT_CLASS_NUM_SET((
																				(BgL_objectz00_bglt)
																				BgL_tmp1447z00_10083),
																			BgL_arg3012z00_10087);
																	}
																	BgL_new1439z00_10082 =
																		((BgL_rtl_insz00_bglt)
																		BgL_tmp1447z00_10083);
																}
																((((BgL_rtl_insz00_bglt) COBJECT(
																				((BgL_rtl_insz00_bglt)
																					BgL_new1439z00_10082)))->BgL_locz00) =
																	((obj_t) (((BgL_rtl_insz00_bglt)
																				COBJECT(((BgL_rtl_insz00_bglt)
																						BgL_iz00_9826)))->BgL_locz00)),
																	BUNSPEC);
																((((BgL_rtl_insz00_bglt)
																			COBJECT(((BgL_rtl_insz00_bglt)
																					BgL_new1439z00_10082)))->
																		BgL_z52spillz52) =
																	((obj_t) (((BgL_rtl_insz00_bglt)
																				COBJECT(((BgL_rtl_insz00_bglt)
																						BgL_iz00_9826)))->BgL_z52spillz52)),
																	BUNSPEC);
																((((BgL_rtl_insz00_bglt)
																			COBJECT(((BgL_rtl_insz00_bglt)
																					BgL_new1439z00_10082)))->
																		BgL_destz00) = ((obj_t) BFALSE), BUNSPEC);
																{
																	BgL_rtl_funz00_bglt BgL_auxz00_15301;

																	if (CBOOL(BgL_assertz00_10079))
																		{	/* SawBbv/bbv-specialize.scm 664 */
																			BgL_auxz00_15301 =
																				((BgL_rtl_funz00_bglt)
																				BgL_assertz00_10079);
																		}
																	else
																		{	/* SawBbv/bbv-specialize.scm 664 */
																			BgL_rtl_nopz00_bglt BgL_new1451z00_10088;

																			{	/* SawBbv/bbv-specialize.scm 664 */
																				BgL_rtl_nopz00_bglt
																					BgL_new1450z00_10089;
																				BgL_new1450z00_10089 =
																					((BgL_rtl_nopz00_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_rtl_nopz00_bgl))));
																				{	/* SawBbv/bbv-specialize.scm 664 */
																					long BgL_arg3011z00_10090;

																					{	/* SawBbv/bbv-specialize.scm 664 */
																						obj_t BgL_classz00_10091;

																						BgL_classz00_10091 =
																							BGl_rtl_nopz00zzsaw_defsz00;
																						BgL_arg3011z00_10090 =
																							BGL_CLASS_NUM(BgL_classz00_10091);
																					}
																					BGL_OBJECT_CLASS_NUM_SET(
																						((BgL_objectz00_bglt)
																							BgL_new1450z00_10089),
																						BgL_arg3011z00_10090);
																				}
																				BgL_new1451z00_10088 =
																					BgL_new1450z00_10089;
																			}
																			((((BgL_rtl_funz00_bglt) COBJECT(
																							((BgL_rtl_funz00_bglt)
																								BgL_new1451z00_10088)))->
																					BgL_locz00) =
																				((obj_t) BFALSE), BUNSPEC);
																			BgL_auxz00_15301 =
																				((BgL_rtl_funz00_bglt)
																				BgL_new1451z00_10088);
																		}
																	((((BgL_rtl_insz00_bglt) COBJECT(
																					((BgL_rtl_insz00_bglt)
																						BgL_new1439z00_10082)))->
																			BgL_funz00) =
																		((BgL_rtl_funz00_bglt) BgL_auxz00_15301),
																		BUNSPEC);
																}
																((((BgL_rtl_insz00_bglt) COBJECT(
																				((BgL_rtl_insz00_bglt)
																					BgL_new1439z00_10082)))->
																		BgL_argsz00) = ((obj_t) BNIL), BUNSPEC);
																{
																	obj_t BgL_auxz00_15322;
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15316;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15323;

																		{
																			obj_t BgL_auxz00_15324;

																			{	/* SawBbv/bbv-specialize.scm 666 */
																				BgL_objectz00_bglt BgL_tmpz00_15325;

																				BgL_tmpz00_15325 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt)
																						((BgL_rtl_insz00_bglt)
																							BgL_iz00_9826)));
																				BgL_auxz00_15324 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_15325);
																			}
																			BgL_auxz00_15323 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_15324);
																		}
																		BgL_auxz00_15322 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_15323))->BgL_defz00);
																	}
																	{
																		obj_t BgL_auxz00_15317;

																		{	/* SawBbv/bbv-specialize.scm 666 */
																			BgL_objectz00_bglt BgL_tmpz00_15318;

																			BgL_tmpz00_15318 =
																				((BgL_objectz00_bglt)
																				BgL_new1439z00_10082);
																			BgL_auxz00_15317 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_15318);
																		}
																		BgL_auxz00_15316 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_15317);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_15316))->
																			BgL_defz00) =
																		((obj_t) BgL_auxz00_15322), BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_15339;
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15333;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15340;

																		{
																			obj_t BgL_auxz00_15341;

																			{	/* SawBbv/bbv-specialize.scm 666 */
																				BgL_objectz00_bglt BgL_tmpz00_15342;

																				BgL_tmpz00_15342 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt)
																						((BgL_rtl_insz00_bglt)
																							BgL_iz00_9826)));
																				BgL_auxz00_15341 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_15342);
																			}
																			BgL_auxz00_15340 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_15341);
																		}
																		BgL_auxz00_15339 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_15340))->BgL_outz00);
																	}
																	{
																		obj_t BgL_auxz00_15334;

																		{	/* SawBbv/bbv-specialize.scm 666 */
																			BgL_objectz00_bglt BgL_tmpz00_15335;

																			BgL_tmpz00_15335 =
																				((BgL_objectz00_bglt)
																				BgL_new1439z00_10082);
																			BgL_auxz00_15334 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_15335);
																		}
																		BgL_auxz00_15333 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_15334);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_15333))->
																			BgL_outz00) =
																		((obj_t) BgL_auxz00_15339), BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_15356;
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15350;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15357;

																		{
																			obj_t BgL_auxz00_15358;

																			{	/* SawBbv/bbv-specialize.scm 666 */
																				BgL_objectz00_bglt BgL_tmpz00_15359;

																				BgL_tmpz00_15359 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt)
																						((BgL_rtl_insz00_bglt)
																							BgL_iz00_9826)));
																				BgL_auxz00_15358 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_15359);
																			}
																			BgL_auxz00_15357 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_15358);
																		}
																		BgL_auxz00_15356 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_15357))->BgL_inz00);
																	}
																	{
																		obj_t BgL_auxz00_15351;

																		{	/* SawBbv/bbv-specialize.scm 666 */
																			BgL_objectz00_bglt BgL_tmpz00_15352;

																			BgL_tmpz00_15352 =
																				((BgL_objectz00_bglt)
																				BgL_new1439z00_10082);
																			BgL_auxz00_15351 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_15352);
																		}
																		BgL_auxz00_15350 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_15351);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_15350))->BgL_inz00) =
																		((obj_t) BgL_auxz00_15356), BUNSPEC);
																}
																{
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15367;

																	{
																		obj_t BgL_auxz00_15368;

																		{	/* SawBbv/bbv-specialize.scm 663 */
																			BgL_objectz00_bglt BgL_tmpz00_15369;

																			BgL_tmpz00_15369 =
																				((BgL_objectz00_bglt)
																				BgL_new1439z00_10082);
																			BgL_auxz00_15368 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_15369);
																		}
																		BgL_auxz00_15367 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_15368);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_15367))->
																			BgL_ctxz00) =
																		((BgL_bbvzd2ctxzd2_bglt) (
																				(BgL_bbvzd2ctxzd2_bglt)
																				BgL_ctxz00_9829)), BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_15381;
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15375;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15382;

																		{
																			obj_t BgL_auxz00_15383;

																			{	/* SawBbv/bbv-specialize.scm 663 */
																				BgL_objectz00_bglt BgL_tmpz00_15384;

																				BgL_tmpz00_15384 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt)
																						((BgL_rtl_insz00_bglt)
																							BgL_iz00_9826)));
																				BgL_auxz00_15383 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_15384);
																			}
																			BgL_auxz00_15382 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_15383);
																		}
																		BgL_auxz00_15381 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_15382))->
																			BgL_z52hashz52);
																	}
																	{
																		obj_t BgL_auxz00_15376;

																		{	/* SawBbv/bbv-specialize.scm 663 */
																			BgL_objectz00_bglt BgL_tmpz00_15377;

																			BgL_tmpz00_15377 =
																				((BgL_objectz00_bglt)
																				BgL_new1439z00_10082);
																			BgL_auxz00_15376 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_15377);
																		}
																		BgL_auxz00_15375 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_15376);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_15375))->
																			BgL_z52hashz52) =
																		((obj_t) BgL_auxz00_15381), BUNSPEC);
																}
																BgL_sz00_10081 = BgL_new1439z00_10082;
															}
															{	/* SawBbv/bbv-specialize.scm 662 */

																{	/* SawBbv/bbv-specialize.scm 667 */
																	int BgL_tmpz00_15392;

																	BgL_tmpz00_15392 = (int) (2L);
																	BGL_MVALUES_NUMBER_SET(BgL_tmpz00_15392);
																}
																{	/* SawBbv/bbv-specialize.scm 667 */
																	int BgL_tmpz00_15395;

																	BgL_tmpz00_15395 = (int) (1L);
																	BGL_MVALUES_VAL_SET(BgL_tmpz00_15395,
																		BgL_ctxz00_9829);
																}
																BgL_auxz00_15258 = BgL_sz00_10081;
													}}}
													return ((obj_t) BgL_auxz00_15258);
												}
											}
										else
											{	/* SawBbv/bbv-specialize.scm 701 */
												bool_t BgL_test4574z00_15399;

												if (CBOOL(BgL_polarityz00_10146))
													{	/* SawBbv/bbv-specialize.scm 701 */
														if (
															(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
																		((BgL_bbvzd2ctxentryzd2_bglt)
																			BgL_ez00_10151)))->BgL_polarityz00))
															{	/* SawBbv/bbv-specialize.scm 703 */
																bool_t BgL_test4577z00_15405;

																{	/* SawBbv/bbv-specialize.scm 703 */
																	obj_t BgL_g2375z00_10166;

																	BgL_g2375z00_10166 =
																		(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
																				((BgL_bbvzd2ctxentryzd2_bglt)
																					BgL_ez00_10151)))->BgL_typesz00);
																	{
																		obj_t BgL_l2373z00_10168;

																		{	/* SawBbv/bbv-specialize.scm 704 */
																			obj_t BgL_tmpz00_15408;

																			BgL_l2373z00_10168 = BgL_g2375z00_10166;
																		BgL_zc3z04anonymousza32960ze3z87_10167:
																			if (NULLP(BgL_l2373z00_10168))
																				{	/* SawBbv/bbv-specialize.scm 704 */
																					BgL_tmpz00_15408 = BFALSE;
																				}
																			else
																				{	/* SawBbv/bbv-specialize.scm 703 */
																					obj_t BgL__ortest_2376z00_10169;

																					{	/* SawBbv/bbv-specialize.scm 703 */
																						obj_t BgL_tz00_10170;

																						BgL_tz00_10170 =
																							CAR(((obj_t) BgL_l2373z00_10168));
																						BgL__ortest_2376z00_10169 =
																							BGl_zc3zd3tyz10zzsaw_bbvzd2utilszd2
																							(BgL_typez00_10145,
																							BgL_tz00_10170);
																					}
																					if (CBOOL(BgL__ortest_2376z00_10169))
																						{	/* SawBbv/bbv-specialize.scm 704 */
																							BgL_tmpz00_15408 =
																								BgL__ortest_2376z00_10169;
																						}
																					else
																						{	/* SawBbv/bbv-specialize.scm 704 */
																							obj_t BgL_arg2962z00_10171;

																							BgL_arg2962z00_10171 =
																								CDR(
																								((obj_t) BgL_l2373z00_10168));
																							{
																								obj_t BgL_l2373z00_15418;

																								BgL_l2373z00_15418 =
																									BgL_arg2962z00_10171;
																								BgL_l2373z00_10168 =
																									BgL_l2373z00_15418;
																								goto
																									BgL_zc3z04anonymousza32960ze3z87_10167;
																							}
																						}
																				}
																			BgL_test4577z00_15405 =
																				CBOOL(BgL_tmpz00_15408);
																		}
																	}
																}
																if (BgL_test4577z00_15405)
																	{	/* SawBbv/bbv-specialize.scm 703 */
																		BgL_test4574z00_15399 = ((bool_t) 0);
																	}
																else
																	{	/* SawBbv/bbv-specialize.scm 703 */
																		if (CBOOL
																			(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
																					((obj_t) CNST_TABLE_REF(3)),
																					(((BgL_bbvzd2ctxentryzd2_bglt)
																							COBJECT((
																									(BgL_bbvzd2ctxentryzd2_bglt)
																									BgL_ez00_10151)))->
																						BgL_typesz00))))
																			{	/* SawBbv/bbv-specialize.scm 705 */
																				BgL_test4574z00_15399 = ((bool_t) 0);
																			}
																		else
																			{	/* SawBbv/bbv-specialize.scm 706 */
																				bool_t BgL_test4581z00_15427;

																				{	/* SawBbv/bbv-specialize.scm 706 */
																					obj_t BgL_arg2958z00_10172;

																					BgL_arg2958z00_10172 =
																						(((BgL_bbvzd2ctxentryzd2_bglt)
																							COBJECT((
																									(BgL_bbvzd2ctxentryzd2_bglt)
																									BgL_ez00_10151)))->
																						BgL_typesz00);
																					BgL_test4581z00_15427 =
																						CBOOL
																						(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																						(BGl_za2pairzd2nilza2zd2zztype_cachez00,
																							BgL_arg2958z00_10172));
																				}
																				if (BgL_test4581z00_15427)
																					{	/* SawBbv/bbv-specialize.scm 706 */
																						BgL_test4574z00_15399 =
																							((bool_t) 0);
																					}
																				else
																					{	/* SawBbv/bbv-specialize.scm 706 */
																						if (
																							(BgL_typez00_10145 ==
																								((obj_t) CNST_TABLE_REF(3))))
																							{	/* SawBbv/bbv-specialize.scm 707 */
																								BgL_test4574z00_15399 =
																									((bool_t) 0);
																							}
																						else
																							{	/* SawBbv/bbv-specialize.scm 707 */
																								BgL_test4574z00_15399 =
																									((bool_t) 1);
																							}
																					}
																			}
																	}
															}
														else
															{	/* SawBbv/bbv-specialize.scm 701 */
																BgL_test4574z00_15399 = ((bool_t) 0);
															}
													}
												else
													{	/* SawBbv/bbv-specialize.scm 701 */
														BgL_test4574z00_15399 = ((bool_t) 0);
													}
												if (BgL_test4574z00_15399)
													{
														BgL_rtl_insz00_bglt BgL_auxz00_15436;

														{
															obj_t BgL_ez00_15441;
															obj_t BgL_valuez00_15440;
															bool_t BgL_polarityz00_15439;
															obj_t BgL_typez00_15438;
															obj_t BgL_regz00_15437;

															BgL_regz00_15437 = BgL_regz00_10144;
															BgL_typez00_15438 = BgL_typez00_10145;
															BgL_polarityz00_15439 = ((bool_t) 0);
															BgL_valuez00_15440 = BgL_valuez00_10147;
															BgL_ez00_15441 = BgL_ez00_10151;
															BgL_ez00_10078 = BgL_ez00_15441;
															BgL_valuez00_10077 = BgL_valuez00_15440;
															BgL_polarityz00_10076 = BgL_polarityz00_15439;
															BgL_typez00_10075 = BgL_typez00_15438;
															BgL_regz00_10074 = BgL_regz00_15437;
															goto BgL_specializa7ezd2z75_10072;
														}
														return ((obj_t) BgL_auxz00_15436);
													}
												else
													{	/* SawBbv/bbv-specialize.scm 713 */
														bool_t BgL_test4583z00_15443;

														{	/* SawBbv/bbv-specialize.scm 713 */
															BgL_rtl_funz00_bglt BgL_arg2957z00_10173;

															BgL_arg2957z00_10173 =
																(((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt) BgL_iz00_9826)))->
																BgL_funz00);
															{	/* SawBbv/bbv-specialize.scm 713 */
																obj_t BgL_classz00_10174;

																BgL_classz00_10174 =
																	BGl_rtl_ifnez00zzsaw_defsz00;
																{	/* SawBbv/bbv-specialize.scm 713 */
																	BgL_objectz00_bglt BgL_arg1858z00_10175;

																	{	/* SawBbv/bbv-specialize.scm 713 */
																		obj_t BgL_tmpz00_15446;

																		BgL_tmpz00_15446 =
																			((obj_t)
																			((BgL_objectz00_bglt)
																				BgL_arg2957z00_10173));
																		BgL_arg1858z00_10175 =
																			(BgL_objectz00_bglt) (BgL_tmpz00_15446);
																	}
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* SawBbv/bbv-specialize.scm 713 */
																			long BgL_idxz00_10176;

																			BgL_idxz00_10176 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1858z00_10175);
																			BgL_test4583z00_15443 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_10176 + 3L)) ==
																				BgL_classz00_10174);
																		}
																	else
																		{	/* SawBbv/bbv-specialize.scm 713 */
																			bool_t BgL_res4098z00_10179;

																			{	/* SawBbv/bbv-specialize.scm 713 */
																				obj_t BgL_oclassz00_10180;

																				{	/* SawBbv/bbv-specialize.scm 713 */
																					obj_t BgL_arg1866z00_10181;
																					long BgL_arg1867z00_10182;

																					BgL_arg1866z00_10181 =
																						(BGl_za2classesza2z00zz__objectz00);
																					{	/* SawBbv/bbv-specialize.scm 713 */
																						long BgL_arg1869z00_10183;

																						BgL_arg1869z00_10183 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1858z00_10175);
																						BgL_arg1867z00_10182 =
																							(BgL_arg1869z00_10183 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_10180 =
																						VECTOR_REF(BgL_arg1866z00_10181,
																						BgL_arg1867z00_10182);
																				}
																				{	/* SawBbv/bbv-specialize.scm 713 */
																					bool_t BgL__ortest_1115z00_10184;

																					BgL__ortest_1115z00_10184 =
																						(BgL_classz00_10174 ==
																						BgL_oclassz00_10180);
																					if (BgL__ortest_1115z00_10184)
																						{	/* SawBbv/bbv-specialize.scm 713 */
																							BgL_res4098z00_10179 =
																								BgL__ortest_1115z00_10184;
																						}
																					else
																						{	/* SawBbv/bbv-specialize.scm 713 */
																							long BgL_odepthz00_10185;

																							{	/* SawBbv/bbv-specialize.scm 713 */
																								obj_t BgL_arg1855z00_10186;

																								BgL_arg1855z00_10186 =
																									(BgL_oclassz00_10180);
																								BgL_odepthz00_10185 =
																									BGL_CLASS_DEPTH
																									(BgL_arg1855z00_10186);
																							}
																							if ((3L < BgL_odepthz00_10185))
																								{	/* SawBbv/bbv-specialize.scm 713 */
																									obj_t BgL_arg1853z00_10187;

																									{	/* SawBbv/bbv-specialize.scm 713 */
																										obj_t BgL_arg1854z00_10188;

																										BgL_arg1854z00_10188 =
																											(BgL_oclassz00_10180);
																										BgL_arg1853z00_10187 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_arg1854z00_10188,
																											3L);
																									}
																									BgL_res4098z00_10179 =
																										(BgL_arg1853z00_10187 ==
																										BgL_classz00_10174);
																								}
																							else
																								{	/* SawBbv/bbv-specialize.scm 713 */
																									BgL_res4098z00_10179 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test4583z00_15443 =
																				BgL_res4098z00_10179;
																		}
																}
															}
														}
														if (BgL_test4583z00_15443)
															{	/* SawBbv/bbv-specialize.scm 715 */
																obj_t BgL_regsz00_10189;

																if (CBOOL
																	(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																		(BgL_regz00_10144,
																			(((BgL_bbvzd2ctxentryzd2_bglt)
																					COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																							BgL_ez00_10151)))->
																				BgL_aliasesz00))))
																	{	/* SawBbv/bbv-specialize.scm 715 */
																		BgL_regsz00_10189 =
																			(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
																					((BgL_bbvzd2ctxentryzd2_bglt)
																						BgL_ez00_10151)))->BgL_aliasesz00);
																	}
																else
																	{	/* SawBbv/bbv-specialize.scm 717 */
																		obj_t BgL_arg2952z00_10190;

																		BgL_arg2952z00_10190 =
																			(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
																					((BgL_bbvzd2ctxentryzd2_bglt)
																						BgL_ez00_10151)))->BgL_aliasesz00);
																		BgL_regsz00_10189 =
																			MAKE_YOUNG_PAIR(BgL_regz00_10144,
																			BgL_arg2952z00_10190);
																	}
																{	/* SawBbv/bbv-specialize.scm 718 */
																	BgL_rtl_ifnez00_bglt BgL_i1455z00_10191;

																	BgL_i1455z00_10191 =
																		((BgL_rtl_ifnez00_bglt)
																		(((BgL_rtl_insz00_bglt) COBJECT(
																					((BgL_rtl_insz00_bglt)
																						BgL_iz00_9826)))->BgL_funz00));
																	{	/* SawBbv/bbv-specialize.scm 719 */
																		obj_t BgL_ctxzb2zb2_10192;

																		{	/* SawBbv/bbv-specialize.scm 719 */
																			obj_t BgL_arg2930z00_10193;
																			obj_t BgL_arg2937z00_10194;

																			{	/* SawBbv/bbv-specialize.scm 719 */
																				obj_t BgL_list2938z00_10195;

																				BgL_list2938z00_10195 =
																					MAKE_YOUNG_PAIR(BgL_typez00_10145,
																					BNIL);
																				BgL_arg2930z00_10193 =
																					BgL_list2938z00_10195;
																			}
																			{	/* SawBbv/bbv-specialize.scm 720 */
																				obj_t BgL_arg2941z00_10196;

																				BgL_arg2941z00_10196 =
																					(((BgL_bbvzd2ctxentryzd2_bglt)
																						COBJECT((
																								(BgL_bbvzd2ctxentryzd2_bglt)
																								BgL_ez00_10151)))->
																					BgL_valuez00);
																				BgL_arg2937z00_10194 =
																					BGl_minzd2valueze70z35zzsaw_bbvzd2specializa7ez75
																					(BgL_valuez00_10147,
																					BgL_arg2941z00_10196);
																			}
																			BgL_ctxzb2zb2_10192 =
																				BGl_extendzd2ctxza2z70zzsaw_bbvzd2typeszd2
																				(((BgL_bbvzd2ctxzd2_bglt)
																					BgL_ctxz00_9829), BgL_regsz00_10189,
																				BgL_arg2930z00_10193, ((bool_t) 1),
																				BgL_arg2937z00_10194);
																		}
																		{	/* SawBbv/bbv-specialize.scm 719 */
																			obj_t BgL_ctxzd2zd2_10197;

																			if (
																				(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
																							((BgL_bbvzd2ctxentryzd2_bglt)
																								BgL_ez00_10151)))->
																					BgL_polarityz00))
																				{	/* SawBbv/bbv-specialize.scm 723 */
																					obj_t BgL_arg2926z00_10198;

																					{	/* SawBbv/bbv-specialize.scm 723 */
																						obj_t BgL_list2927z00_10199;

																						BgL_list2927z00_10199 =
																							MAKE_YOUNG_PAIR(BgL_typez00_10145,
																							BNIL);
																						BgL_arg2926z00_10198 =
																							BgL_list2927z00_10199;
																					}
																					{	/* SawBbv/bbv-specialize.scm 722 */
																						obj_t BgL_valuez00_10200;

																						BgL_valuez00_10200 =
																							((obj_t) CNST_TABLE_REF(4));
																						BgL_ctxzd2zd2_10197 =
																							BGl_extendzd2ctxza2z70zzsaw_bbvzd2typeszd2
																							(((BgL_bbvzd2ctxzd2_bglt)
																								BgL_ctxz00_9829),
																							BgL_regsz00_10189,
																							BgL_arg2926z00_10198,
																							((bool_t) 0), BgL_valuez00_10200);
																					}
																				}
																			else
																				{	/* SawBbv/bbv-specialize.scm 725 */
																					obj_t BgL_arg2928z00_10201;

																					{	/* SawBbv/bbv-specialize.scm 725 */
																						obj_t BgL_list2929z00_10202;

																						BgL_list2929z00_10202 =
																							MAKE_YOUNG_PAIR(BgL_typez00_10145,
																							BNIL);
																						BgL_arg2928z00_10201 =
																							BgL_list2929z00_10202;
																					}
																					{	/* SawBbv/bbv-specialize.scm 724 */
																						obj_t BgL_valuez00_10203;

																						BgL_valuez00_10203 =
																							((obj_t) CNST_TABLE_REF(4));
																						BgL_ctxzd2zd2_10197 =
																							BGl_extendzd2ctxza2z70zzsaw_bbvzd2typeszd2
																							(((BgL_bbvzd2ctxzd2_bglt)
																								BgL_ctxz00_9829),
																							BgL_regsz00_10189,
																							BgL_arg2928z00_10201,
																							((bool_t) 0), BgL_valuez00_10203);
																					}
																				}
																			{	/* SawBbv/bbv-specialize.scm 721 */
																				BgL_rtl_insz00_bglt BgL_sz00_10204;

																				{	/* SawBbv/bbv-specialize.scm 726 */
																					BgL_rtl_insz00_bglt
																						BgL_new1456z00_10205;
																					{	/* SawBbv/bbv-specialize.scm 726 */
																						BgL_rtl_insz00_bglt
																							BgL_tmp1464z00_10206;
																						BgL_rtl_inszf2bbvzf2_bglt
																							BgL_wide1465z00_10207;
																						{
																							BgL_rtl_insz00_bglt
																								BgL_auxz00_15501;
																							{	/* SawBbv/bbv-specialize.scm 726 */
																								BgL_rtl_insz00_bglt
																									BgL_new1463z00_10208;
																								BgL_new1463z00_10208 =
																									((BgL_rtl_insz00_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_rtl_insz00_bgl))));
																								{	/* SawBbv/bbv-specialize.scm 726 */
																									long BgL_arg2924z00_10209;

																									BgL_arg2924z00_10209 =
																										BGL_CLASS_NUM
																										(BGl_rtl_insz00zzsaw_defsz00);
																									BGL_OBJECT_CLASS_NUM_SET((
																											(BgL_objectz00_bglt)
																											BgL_new1463z00_10208),
																										BgL_arg2924z00_10209);
																								}
																								{	/* SawBbv/bbv-specialize.scm 726 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_15506;
																									BgL_tmpz00_15506 =
																										((BgL_objectz00_bglt)
																										BgL_new1463z00_10208);
																									BGL_OBJECT_WIDENING_SET
																										(BgL_tmpz00_15506, BFALSE);
																								}
																								((BgL_objectz00_bglt)
																									BgL_new1463z00_10208);
																								BgL_auxz00_15501 =
																									BgL_new1463z00_10208;
																							}
																							BgL_tmp1464z00_10206 =
																								((BgL_rtl_insz00_bglt)
																								BgL_auxz00_15501);
																						}
																						BgL_wide1465z00_10207 =
																							((BgL_rtl_inszf2bbvzf2_bglt)
																							BOBJECT(GC_MALLOC(sizeof(struct
																										BgL_rtl_inszf2bbvzf2_bgl))));
																						{	/* SawBbv/bbv-specialize.scm 726 */
																							obj_t BgL_auxz00_15514;
																							BgL_objectz00_bglt
																								BgL_tmpz00_15512;
																							BgL_auxz00_15514 =
																								((obj_t) BgL_wide1465z00_10207);
																							BgL_tmpz00_15512 =
																								((BgL_objectz00_bglt)
																								BgL_tmp1464z00_10206);
																							BGL_OBJECT_WIDENING_SET
																								(BgL_tmpz00_15512,
																								BgL_auxz00_15514);
																						}
																						((BgL_objectz00_bglt)
																							BgL_tmp1464z00_10206);
																						{	/* SawBbv/bbv-specialize.scm 726 */
																							long BgL_arg2923z00_10210;

																							BgL_arg2923z00_10210 =
																								BGL_CLASS_NUM
																								(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																							BGL_OBJECT_CLASS_NUM_SET((
																									(BgL_objectz00_bglt)
																									BgL_tmp1464z00_10206),
																								BgL_arg2923z00_10210);
																						}
																						BgL_new1456z00_10205 =
																							((BgL_rtl_insz00_bglt)
																							BgL_tmp1464z00_10206);
																					}
																					((((BgL_rtl_insz00_bglt) COBJECT(
																									((BgL_rtl_insz00_bglt)
																										BgL_new1456z00_10205)))->
																							BgL_locz00) =
																						((obj_t) (((BgL_rtl_insz00_bglt)
																									COBJECT(((BgL_rtl_insz00_bglt)
																											BgL_iz00_9826)))->
																								BgL_locz00)), BUNSPEC);
																					((((BgL_rtl_insz00_bglt)
																								COBJECT(((BgL_rtl_insz00_bglt)
																										BgL_new1456z00_10205)))->
																							BgL_z52spillz52) =
																						((obj_t) (((BgL_rtl_insz00_bglt)
																									COBJECT(((BgL_rtl_insz00_bglt)
																											BgL_iz00_9826)))->
																								BgL_z52spillz52)), BUNSPEC);
																					((((BgL_rtl_insz00_bglt)
																								COBJECT(((BgL_rtl_insz00_bglt)
																										BgL_new1456z00_10205)))->
																							BgL_destz00) =
																						((obj_t) (((BgL_rtl_insz00_bglt)
																									COBJECT(((BgL_rtl_insz00_bglt)
																											BgL_iz00_9826)))->
																								BgL_destz00)), BUNSPEC);
																					{
																						BgL_rtl_funz00_bglt
																							BgL_auxz00_15534;
																						{	/* SawBbv/bbv-specialize.scm 728 */
																							BgL_rtl_funz00_bglt
																								BgL_duplicated1468z00_10211;
																							BgL_rtl_ifnez00_bglt
																								BgL_new1466z00_10212;
																							BgL_duplicated1468z00_10211 =
																								(((BgL_rtl_insz00_bglt)
																									COBJECT(((BgL_rtl_insz00_bglt)
																											BgL_iz00_9826)))->
																								BgL_funz00);
																							{	/* SawBbv/bbv-specialize.scm 728 */
																								BgL_rtl_ifnez00_bglt
																									BgL_new1469z00_10213;
																								BgL_new1469z00_10213 =
																									((BgL_rtl_ifnez00_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_rtl_ifnez00_bgl))));
																								{	/* SawBbv/bbv-specialize.scm 728 */
																									long BgL_arg2922z00_10214;

																									{	/* SawBbv/bbv-specialize.scm 728 */
																										obj_t BgL_classz00_10215;

																										BgL_classz00_10215 =
																											BGl_rtl_ifnez00zzsaw_defsz00;
																										BgL_arg2922z00_10214 =
																											BGL_CLASS_NUM
																											(BgL_classz00_10215);
																									}
																									BGL_OBJECT_CLASS_NUM_SET(
																										((BgL_objectz00_bglt)
																											BgL_new1469z00_10213),
																										BgL_arg2922z00_10214);
																								}
																								BgL_new1466z00_10212 =
																									BgL_new1469z00_10213;
																							}
																							((((BgL_rtl_funz00_bglt) COBJECT(
																											((BgL_rtl_funz00_bglt)
																												BgL_new1466z00_10212)))->
																									BgL_locz00) =
																								((obj_t) (((BgL_rtl_funz00_bglt)
																											COBJECT
																											(BgL_duplicated1468z00_10211))->
																										BgL_locz00)), BUNSPEC);
																							{
																								BgL_blockz00_bglt
																									BgL_auxz00_15545;
																								{	/* SawBbv/bbv-specialize.scm 729 */
																									BgL_blockz00_bglt
																										BgL_arg2921z00_10216;
																									BgL_arg2921z00_10216 =
																										(((BgL_rtl_ifnez00_bglt)
																											COBJECT
																											(BgL_i1455z00_10191))->
																										BgL_thenz00);
																									BgL_auxz00_15545 =
																										((BgL_blockz00_bglt)
																										BGl_bbvzd2blockzd2zzsaw_bbvzd2specializa7ez75
																										(BgL_arg2921z00_10216,
																											((BgL_bbvzd2ctxzd2_bglt)
																												BgL_ctxzb2zb2_10192),
																											((BgL_bbvzd2queuezd2_bglt)
																												BgL_queuez00_9830),
																											BgL_bsz00_9828));
																								}
																								((((BgL_rtl_ifnez00_bglt)
																											COBJECT
																											(BgL_new1466z00_10212))->
																										BgL_thenz00) =
																									((BgL_blockz00_bglt)
																										BgL_auxz00_15545), BUNSPEC);
																							}
																							BgL_auxz00_15534 =
																								((BgL_rtl_funz00_bglt)
																								BgL_new1466z00_10212);
																						}
																						((((BgL_rtl_insz00_bglt) COBJECT(
																										((BgL_rtl_insz00_bglt)
																											BgL_new1456z00_10205)))->
																								BgL_funz00) =
																							((BgL_rtl_funz00_bglt)
																								BgL_auxz00_15534), BUNSPEC);
																					}
																					((((BgL_rtl_insz00_bglt) COBJECT(
																									((BgL_rtl_insz00_bglt)
																										BgL_new1456z00_10205)))->
																							BgL_argsz00) =
																						((obj_t) (((BgL_rtl_insz00_bglt)
																									COBJECT(((BgL_rtl_insz00_bglt)
																											BgL_iz00_9826)))->
																								BgL_argsz00)), BUNSPEC);
																					{
																						obj_t BgL_auxz00_15564;
																						BgL_rtl_inszf2bbvzf2_bglt
																							BgL_auxz00_15558;
																						{
																							BgL_rtl_inszf2bbvzf2_bglt
																								BgL_auxz00_15565;
																							{
																								obj_t BgL_auxz00_15566;

																								{	/* SawBbv/bbv-specialize.scm 728 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_15567;
																									BgL_tmpz00_15567 =
																										((BgL_objectz00_bglt) (
																											(BgL_rtl_insz00_bglt) (
																												(BgL_rtl_insz00_bglt)
																												BgL_iz00_9826)));
																									BgL_auxz00_15566 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_15567);
																								}
																								BgL_auxz00_15565 =
																									((BgL_rtl_inszf2bbvzf2_bglt)
																									BgL_auxz00_15566);
																							}
																							BgL_auxz00_15564 =
																								(((BgL_rtl_inszf2bbvzf2_bglt)
																									COBJECT(BgL_auxz00_15565))->
																								BgL_defz00);
																						}
																						{
																							obj_t BgL_auxz00_15559;

																							{	/* SawBbv/bbv-specialize.scm 728 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_15560;
																								BgL_tmpz00_15560 =
																									((BgL_objectz00_bglt)
																									BgL_new1456z00_10205);
																								BgL_auxz00_15559 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_15560);
																							}
																							BgL_auxz00_15558 =
																								((BgL_rtl_inszf2bbvzf2_bglt)
																								BgL_auxz00_15559);
																						}
																						((((BgL_rtl_inszf2bbvzf2_bglt)
																									COBJECT(BgL_auxz00_15558))->
																								BgL_defz00) =
																							((obj_t) BgL_auxz00_15564),
																							BUNSPEC);
																					}
																					{
																						obj_t BgL_auxz00_15581;
																						BgL_rtl_inszf2bbvzf2_bglt
																							BgL_auxz00_15575;
																						{
																							BgL_rtl_inszf2bbvzf2_bglt
																								BgL_auxz00_15582;
																							{
																								obj_t BgL_auxz00_15583;

																								{	/* SawBbv/bbv-specialize.scm 728 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_15584;
																									BgL_tmpz00_15584 =
																										((BgL_objectz00_bglt) (
																											(BgL_rtl_insz00_bglt) (
																												(BgL_rtl_insz00_bglt)
																												BgL_iz00_9826)));
																									BgL_auxz00_15583 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_15584);
																								}
																								BgL_auxz00_15582 =
																									((BgL_rtl_inszf2bbvzf2_bglt)
																									BgL_auxz00_15583);
																							}
																							BgL_auxz00_15581 =
																								(((BgL_rtl_inszf2bbvzf2_bglt)
																									COBJECT(BgL_auxz00_15582))->
																								BgL_outz00);
																						}
																						{
																							obj_t BgL_auxz00_15576;

																							{	/* SawBbv/bbv-specialize.scm 728 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_15577;
																								BgL_tmpz00_15577 =
																									((BgL_objectz00_bglt)
																									BgL_new1456z00_10205);
																								BgL_auxz00_15576 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_15577);
																							}
																							BgL_auxz00_15575 =
																								((BgL_rtl_inszf2bbvzf2_bglt)
																								BgL_auxz00_15576);
																						}
																						((((BgL_rtl_inszf2bbvzf2_bglt)
																									COBJECT(BgL_auxz00_15575))->
																								BgL_outz00) =
																							((obj_t) BgL_auxz00_15581),
																							BUNSPEC);
																					}
																					{
																						obj_t BgL_auxz00_15598;
																						BgL_rtl_inszf2bbvzf2_bglt
																							BgL_auxz00_15592;
																						{
																							BgL_rtl_inszf2bbvzf2_bglt
																								BgL_auxz00_15599;
																							{
																								obj_t BgL_auxz00_15600;

																								{	/* SawBbv/bbv-specialize.scm 728 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_15601;
																									BgL_tmpz00_15601 =
																										((BgL_objectz00_bglt) (
																											(BgL_rtl_insz00_bglt) (
																												(BgL_rtl_insz00_bglt)
																												BgL_iz00_9826)));
																									BgL_auxz00_15600 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_15601);
																								}
																								BgL_auxz00_15599 =
																									((BgL_rtl_inszf2bbvzf2_bglt)
																									BgL_auxz00_15600);
																							}
																							BgL_auxz00_15598 =
																								(((BgL_rtl_inszf2bbvzf2_bglt)
																									COBJECT(BgL_auxz00_15599))->
																								BgL_inz00);
																						}
																						{
																							obj_t BgL_auxz00_15593;

																							{	/* SawBbv/bbv-specialize.scm 728 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_15594;
																								BgL_tmpz00_15594 =
																									((BgL_objectz00_bglt)
																									BgL_new1456z00_10205);
																								BgL_auxz00_15593 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_15594);
																							}
																							BgL_auxz00_15592 =
																								((BgL_rtl_inszf2bbvzf2_bglt)
																								BgL_auxz00_15593);
																						}
																						((((BgL_rtl_inszf2bbvzf2_bglt)
																									COBJECT(BgL_auxz00_15592))->
																								BgL_inz00) =
																							((obj_t) BgL_auxz00_15598),
																							BUNSPEC);
																					}
																					{
																						BgL_rtl_inszf2bbvzf2_bglt
																							BgL_auxz00_15609;
																						{
																							obj_t BgL_auxz00_15610;

																							{	/* SawBbv/bbv-specialize.scm 727 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_15611;
																								BgL_tmpz00_15611 =
																									((BgL_objectz00_bglt)
																									BgL_new1456z00_10205);
																								BgL_auxz00_15610 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_15611);
																							}
																							BgL_auxz00_15609 =
																								((BgL_rtl_inszf2bbvzf2_bglt)
																								BgL_auxz00_15610);
																						}
																						((((BgL_rtl_inszf2bbvzf2_bglt)
																									COBJECT(BgL_auxz00_15609))->
																								BgL_ctxz00) =
																							((BgL_bbvzd2ctxzd2_bglt) (
																									(BgL_bbvzd2ctxzd2_bglt)
																									BgL_ctxz00_9829)), BUNSPEC);
																					}
																					{
																						obj_t BgL_auxz00_15623;
																						BgL_rtl_inszf2bbvzf2_bglt
																							BgL_auxz00_15617;
																						{
																							BgL_rtl_inszf2bbvzf2_bglt
																								BgL_auxz00_15624;
																							{
																								obj_t BgL_auxz00_15625;

																								{	/* SawBbv/bbv-specialize.scm 727 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_15626;
																									BgL_tmpz00_15626 =
																										((BgL_objectz00_bglt) (
																											(BgL_rtl_insz00_bglt) (
																												(BgL_rtl_insz00_bglt)
																												BgL_iz00_9826)));
																									BgL_auxz00_15625 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_15626);
																								}
																								BgL_auxz00_15624 =
																									((BgL_rtl_inszf2bbvzf2_bglt)
																									BgL_auxz00_15625);
																							}
																							BgL_auxz00_15623 =
																								(((BgL_rtl_inszf2bbvzf2_bglt)
																									COBJECT(BgL_auxz00_15624))->
																								BgL_z52hashz52);
																						}
																						{
																							obj_t BgL_auxz00_15618;

																							{	/* SawBbv/bbv-specialize.scm 727 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_15619;
																								BgL_tmpz00_15619 =
																									((BgL_objectz00_bglt)
																									BgL_new1456z00_10205);
																								BgL_auxz00_15618 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_15619);
																							}
																							BgL_auxz00_15617 =
																								((BgL_rtl_inszf2bbvzf2_bglt)
																								BgL_auxz00_15618);
																						}
																						((((BgL_rtl_inszf2bbvzf2_bglt)
																									COBJECT(BgL_auxz00_15617))->
																								BgL_z52hashz52) =
																							((obj_t) BgL_auxz00_15623),
																							BUNSPEC);
																					}
																					BgL_sz00_10204 = BgL_new1456z00_10205;
																				}
																				{	/* SawBbv/bbv-specialize.scm 726 */

																					{	/* SawBbv/bbv-specialize.scm 733 */
																						int BgL_tmpz00_15634;

																						BgL_tmpz00_15634 = (int) (2L);
																						BGL_MVALUES_NUMBER_SET
																							(BgL_tmpz00_15634);
																					}
																					{	/* SawBbv/bbv-specialize.scm 733 */
																						int BgL_tmpz00_15637;

																						BgL_tmpz00_15637 = (int) (1L);
																						BGL_MVALUES_VAL_SET
																							(BgL_tmpz00_15637,
																							BgL_ctxzd2zd2_10197);
																					}
																					return ((obj_t) BgL_sz00_10204);
																				}
																			}
																		}
																	}
																}
															}
														else
															{	/* SawBbv/bbv-specialize.scm 737 */
																obj_t BgL_arg2954z00_10217;

																BgL_arg2954z00_10217 =
																	BGl_shapez00zztools_shapez00(
																	((obj_t)
																		((BgL_rtl_insz00_bglt) BgL_iz00_9826)));
																return
																	BGl_errorz00zz__errorz00
																	(BGl_string4210z00zzsaw_bbvzd2specializa7ez75,
																	BGl_string4211z00zzsaw_bbvzd2specializa7ez75,
																	BgL_arg2954z00_10217);
															}
													}
											}
									}
							}
						}
					}
				}
			}
		}

	}



/* range->loadi */
	BgL_rtl_insz00_bglt
		BGl_rangezd2ze3loadiz31zzsaw_bbvzd2specializa7ez75(BgL_rtl_insz00_bglt
		BgL_iz00_302, obj_t BgL_destz00_303, obj_t BgL_valuez00_304,
		obj_t BgL_typez00_305)
	{
		{	/* SawBbv/bbv-specialize.scm 742 */
			{	/* SawBbv/bbv-specialize.scm 747 */
				BgL_literalz00_bglt BgL_atomz00_3103;

				{	/* SawBbv/bbv-specialize.scm 747 */
					BgL_literalz00_bglt BgL_new1472z00_3149;

					{	/* SawBbv/bbv-specialize.scm 747 */
						BgL_literalz00_bglt BgL_new1471z00_3150;

						BgL_new1471z00_3150 =
							((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_literalz00_bgl))));
						{	/* SawBbv/bbv-specialize.scm 747 */
							long BgL_arg3027z00_3151;

							BgL_arg3027z00_3151 = BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1471z00_3150),
								BgL_arg3027z00_3151);
						}
						{	/* SawBbv/bbv-specialize.scm 747 */
							BgL_objectz00_bglt BgL_tmpz00_15649;

							BgL_tmpz00_15649 = ((BgL_objectz00_bglt) BgL_new1471z00_3150);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15649, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1471z00_3150);
						BgL_new1472z00_3149 = BgL_new1471z00_3150;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1472z00_3149)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1472z00_3149)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt)
								BGl_za2longza2z00zztype_cachez00)), BUNSPEC);
					((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
										BgL_new1472z00_3149)))->BgL_valuez00) =
						((obj_t) (((BgL_bbvzd2rangezd2_bglt)
									COBJECT(((BgL_bbvzd2rangezd2_bglt) BgL_valuez00_304)))->
								BgL_upz00)), BUNSPEC);
					BgL_atomz00_3103 = BgL_new1472z00_3149;
				}
				{	/* SawBbv/bbv-specialize.scm 747 */
					BgL_rtl_loadiz00_bglt BgL_loadiz00_3104;

					{	/* SawBbv/bbv-specialize.scm 750 */
						BgL_rtl_loadiz00_bglt BgL_new1474z00_3146;

						{	/* SawBbv/bbv-specialize.scm 750 */
							BgL_rtl_loadiz00_bglt BgL_new1473z00_3147;

							BgL_new1473z00_3147 =
								((BgL_rtl_loadiz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_loadiz00_bgl))));
							{	/* SawBbv/bbv-specialize.scm 750 */
								long BgL_arg3026z00_3148;

								BgL_arg3026z00_3148 =
									BGL_CLASS_NUM(BGl_rtl_loadiz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1473z00_3147),
									BgL_arg3026z00_3148);
							}
							BgL_new1474z00_3146 = BgL_new1473z00_3147;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1474z00_3146)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						((((BgL_rtl_loadiz00_bglt) COBJECT(BgL_new1474z00_3146))->
								BgL_constantz00) =
							((BgL_atomz00_bglt) ((BgL_atomz00_bglt) BgL_atomz00_3103)),
							BUNSPEC);
						BgL_loadiz00_3104 = BgL_new1474z00_3146;
					}
					{	/* SawBbv/bbv-specialize.scm 750 */

						if ((BGl_za2longza2z00zztype_cachez00 == BgL_typez00_305))
							{	/* SawBbv/bbv-specialize.scm 753 */
								BgL_rtl_insz00_bglt BgL_new1475z00_3106;

								{	/* SawBbv/bbv-specialize.scm 753 */
									BgL_rtl_insz00_bglt BgL_tmp1484z00_3112;
									BgL_rtl_inszf2bbvzf2_bglt BgL_wide1485z00_3113;

									{
										BgL_rtl_insz00_bglt BgL_auxz00_15672;

										{	/* SawBbv/bbv-specialize.scm 753 */
											BgL_rtl_insz00_bglt BgL_new1483z00_3115;

											BgL_new1483z00_3115 =
												((BgL_rtl_insz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_rtl_insz00_bgl))));
											{	/* SawBbv/bbv-specialize.scm 753 */
												long BgL_arg3017z00_3116;

												BgL_arg3017z00_3116 =
													BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1483z00_3115),
													BgL_arg3017z00_3116);
											}
											{	/* SawBbv/bbv-specialize.scm 753 */
												BgL_objectz00_bglt BgL_tmpz00_15677;

												BgL_tmpz00_15677 =
													((BgL_objectz00_bglt) BgL_new1483z00_3115);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15677, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1483z00_3115);
											BgL_auxz00_15672 = BgL_new1483z00_3115;
										}
										BgL_tmp1484z00_3112 =
											((BgL_rtl_insz00_bglt) BgL_auxz00_15672);
									}
									BgL_wide1485z00_3113 =
										((BgL_rtl_inszf2bbvzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_rtl_inszf2bbvzf2_bgl))));
									{	/* SawBbv/bbv-specialize.scm 753 */
										obj_t BgL_auxz00_15685;
										BgL_objectz00_bglt BgL_tmpz00_15683;

										BgL_auxz00_15685 = ((obj_t) BgL_wide1485z00_3113);
										BgL_tmpz00_15683 =
											((BgL_objectz00_bglt) BgL_tmp1484z00_3112);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15683, BgL_auxz00_15685);
									}
									((BgL_objectz00_bglt) BgL_tmp1484z00_3112);
									{	/* SawBbv/bbv-specialize.scm 753 */
										long BgL_arg3016z00_3114;

										BgL_arg3016z00_3114 =
											BGL_CLASS_NUM(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_tmp1484z00_3112),
											BgL_arg3016z00_3114);
									}
									BgL_new1475z00_3106 =
										((BgL_rtl_insz00_bglt) BgL_tmp1484z00_3112);
								}
								((((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_new1475z00_3106)))->
										BgL_locz00) =
									((obj_t) (((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_302))->
											BgL_locz00)), BUNSPEC);
								((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
													BgL_new1475z00_3106)))->BgL_z52spillz52) =
									((obj_t) (((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_302))->
											BgL_z52spillz52)), BUNSPEC);
								((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
													BgL_new1475z00_3106)))->BgL_destz00) =
									((obj_t) BgL_destz00_303), BUNSPEC);
								((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
													BgL_new1475z00_3106)))->BgL_funz00) =
									((BgL_rtl_funz00_bglt) ((BgL_rtl_funz00_bglt)
											BgL_loadiz00_3104)), BUNSPEC);
								((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
													BgL_new1475z00_3106)))->BgL_argsz00) =
									((obj_t) BNIL), BUNSPEC);
								{
									obj_t BgL_auxz00_15712;
									BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15706;

									{
										BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15713;

										{
											obj_t BgL_auxz00_15714;

											{	/* SawBbv/bbv-specialize.scm 755 */
												BgL_objectz00_bglt BgL_tmpz00_15715;

												BgL_tmpz00_15715 =
													((BgL_objectz00_bglt)
													((BgL_rtl_insz00_bglt) BgL_iz00_302));
												BgL_auxz00_15714 =
													BGL_OBJECT_WIDENING(BgL_tmpz00_15715);
											}
											BgL_auxz00_15713 =
												((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_15714);
										}
										BgL_auxz00_15712 =
											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_15713))->
											BgL_defz00);
									}
									{
										obj_t BgL_auxz00_15707;

										{	/* SawBbv/bbv-specialize.scm 755 */
											BgL_objectz00_bglt BgL_tmpz00_15708;

											BgL_tmpz00_15708 =
												((BgL_objectz00_bglt) BgL_new1475z00_3106);
											BgL_auxz00_15707 = BGL_OBJECT_WIDENING(BgL_tmpz00_15708);
										}
										BgL_auxz00_15706 =
											((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_15707);
									}
									((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_15706))->
											BgL_defz00) = ((obj_t) BgL_auxz00_15712), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_15728;
									BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15722;

									{
										BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15729;

										{
											obj_t BgL_auxz00_15730;

											{	/* SawBbv/bbv-specialize.scm 755 */
												BgL_objectz00_bglt BgL_tmpz00_15731;

												BgL_tmpz00_15731 =
													((BgL_objectz00_bglt)
													((BgL_rtl_insz00_bglt) BgL_iz00_302));
												BgL_auxz00_15730 =
													BGL_OBJECT_WIDENING(BgL_tmpz00_15731);
											}
											BgL_auxz00_15729 =
												((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_15730);
										}
										BgL_auxz00_15728 =
											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_15729))->
											BgL_outz00);
									}
									{
										obj_t BgL_auxz00_15723;

										{	/* SawBbv/bbv-specialize.scm 755 */
											BgL_objectz00_bglt BgL_tmpz00_15724;

											BgL_tmpz00_15724 =
												((BgL_objectz00_bglt) BgL_new1475z00_3106);
											BgL_auxz00_15723 = BGL_OBJECT_WIDENING(BgL_tmpz00_15724);
										}
										BgL_auxz00_15722 =
											((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_15723);
									}
									((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_15722))->
											BgL_outz00) = ((obj_t) BgL_auxz00_15728), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_15744;
									BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15738;

									{
										BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15745;

										{
											obj_t BgL_auxz00_15746;

											{	/* SawBbv/bbv-specialize.scm 755 */
												BgL_objectz00_bglt BgL_tmpz00_15747;

												BgL_tmpz00_15747 =
													((BgL_objectz00_bglt)
													((BgL_rtl_insz00_bglt) BgL_iz00_302));
												BgL_auxz00_15746 =
													BGL_OBJECT_WIDENING(BgL_tmpz00_15747);
											}
											BgL_auxz00_15745 =
												((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_15746);
										}
										BgL_auxz00_15744 =
											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_15745))->
											BgL_inz00);
									}
									{
										obj_t BgL_auxz00_15739;

										{	/* SawBbv/bbv-specialize.scm 755 */
											BgL_objectz00_bglt BgL_tmpz00_15740;

											BgL_tmpz00_15740 =
												((BgL_objectz00_bglt) BgL_new1475z00_3106);
											BgL_auxz00_15739 = BGL_OBJECT_WIDENING(BgL_tmpz00_15740);
										}
										BgL_auxz00_15738 =
											((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_15739);
									}
									((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_15738))->
											BgL_inz00) = ((obj_t) BgL_auxz00_15744), BUNSPEC);
								}
								{
									BgL_bbvzd2ctxzd2_bglt BgL_auxz00_15760;
									BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15754;

									{
										BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15761;

										{
											obj_t BgL_auxz00_15762;

											{	/* SawBbv/bbv-specialize.scm 755 */
												BgL_objectz00_bglt BgL_tmpz00_15763;

												BgL_tmpz00_15763 =
													((BgL_objectz00_bglt)
													((BgL_rtl_insz00_bglt) BgL_iz00_302));
												BgL_auxz00_15762 =
													BGL_OBJECT_WIDENING(BgL_tmpz00_15763);
											}
											BgL_auxz00_15761 =
												((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_15762);
										}
										BgL_auxz00_15760 =
											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_15761))->
											BgL_ctxz00);
									}
									{
										obj_t BgL_auxz00_15755;

										{	/* SawBbv/bbv-specialize.scm 755 */
											BgL_objectz00_bglt BgL_tmpz00_15756;

											BgL_tmpz00_15756 =
												((BgL_objectz00_bglt) BgL_new1475z00_3106);
											BgL_auxz00_15755 = BGL_OBJECT_WIDENING(BgL_tmpz00_15756);
										}
										BgL_auxz00_15754 =
											((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_15755);
									}
									((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_15754))->
											BgL_ctxz00) =
										((BgL_bbvzd2ctxzd2_bglt) BgL_auxz00_15760), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_15776;
									BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15770;

									{
										BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15777;

										{
											obj_t BgL_auxz00_15778;

											{	/* SawBbv/bbv-specialize.scm 755 */
												BgL_objectz00_bglt BgL_tmpz00_15779;

												BgL_tmpz00_15779 =
													((BgL_objectz00_bglt)
													((BgL_rtl_insz00_bglt) BgL_iz00_302));
												BgL_auxz00_15778 =
													BGL_OBJECT_WIDENING(BgL_tmpz00_15779);
											}
											BgL_auxz00_15777 =
												((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_15778);
										}
										BgL_auxz00_15776 =
											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_15777))->
											BgL_z52hashz52);
									}
									{
										obj_t BgL_auxz00_15771;

										{	/* SawBbv/bbv-specialize.scm 755 */
											BgL_objectz00_bglt BgL_tmpz00_15772;

											BgL_tmpz00_15772 =
												((BgL_objectz00_bglt) BgL_new1475z00_3106);
											BgL_auxz00_15771 = BGL_OBJECT_WIDENING(BgL_tmpz00_15772);
										}
										BgL_auxz00_15770 =
											((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_15771);
									}
									((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_15770))->
											BgL_z52hashz52) = ((obj_t) BgL_auxz00_15776), BUNSPEC);
								}
								return BgL_new1475z00_3106;
							}
						else
							{	/* SawBbv/bbv-specialize.scm 757 */
								BgL_rtl_insz00_bglt BgL_new1486z00_3118;

								{	/* SawBbv/bbv-specialize.scm 757 */
									BgL_rtl_insz00_bglt BgL_tmp1495z00_3141;
									BgL_rtl_inszf2bbvzf2_bglt BgL_wide1496z00_3142;

									{
										BgL_rtl_insz00_bglt BgL_auxz00_15786;

										{	/* SawBbv/bbv-specialize.scm 757 */
											BgL_rtl_insz00_bglt BgL_new1494z00_3144;

											BgL_new1494z00_3144 =
												((BgL_rtl_insz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_rtl_insz00_bgl))));
											{	/* SawBbv/bbv-specialize.scm 757 */
												long BgL_arg3025z00_3145;

												BgL_arg3025z00_3145 =
													BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1494z00_3144),
													BgL_arg3025z00_3145);
											}
											{	/* SawBbv/bbv-specialize.scm 757 */
												BgL_objectz00_bglt BgL_tmpz00_15791;

												BgL_tmpz00_15791 =
													((BgL_objectz00_bglt) BgL_new1494z00_3144);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15791, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1494z00_3144);
											BgL_auxz00_15786 = BgL_new1494z00_3144;
										}
										BgL_tmp1495z00_3141 =
											((BgL_rtl_insz00_bglt) BgL_auxz00_15786);
									}
									BgL_wide1496z00_3142 =
										((BgL_rtl_inszf2bbvzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_rtl_inszf2bbvzf2_bgl))));
									{	/* SawBbv/bbv-specialize.scm 757 */
										obj_t BgL_auxz00_15799;
										BgL_objectz00_bglt BgL_tmpz00_15797;

										BgL_auxz00_15799 = ((obj_t) BgL_wide1496z00_3142);
										BgL_tmpz00_15797 =
											((BgL_objectz00_bglt) BgL_tmp1495z00_3141);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15797, BgL_auxz00_15799);
									}
									((BgL_objectz00_bglt) BgL_tmp1495z00_3141);
									{	/* SawBbv/bbv-specialize.scm 757 */
										long BgL_arg3024z00_3143;

										BgL_arg3024z00_3143 =
											BGL_CLASS_NUM(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_tmp1495z00_3141),
											BgL_arg3024z00_3143);
									}
									BgL_new1486z00_3118 =
										((BgL_rtl_insz00_bglt) BgL_tmp1495z00_3141);
								}
								((((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_new1486z00_3118)))->
										BgL_locz00) =
									((obj_t) (((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_302))->
											BgL_locz00)), BUNSPEC);
								((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
													BgL_new1486z00_3118)))->BgL_z52spillz52) =
									((obj_t) (((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_302))->
											BgL_z52spillz52)), BUNSPEC);
								((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
													BgL_new1486z00_3118)))->BgL_destz00) =
									((obj_t) BgL_destz00_303), BUNSPEC);
								{
									BgL_rtl_funz00_bglt BgL_auxz00_15815;

									{	/* SawBbv/bbv-specialize.scm 763 */
										BgL_rtl_callz00_bglt BgL_new1498z00_3119;

										{	/* SawBbv/bbv-specialize.scm 763 */
											BgL_rtl_callz00_bglt BgL_new1497z00_3120;

											BgL_new1497z00_3120 =
												((BgL_rtl_callz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_rtl_callz00_bgl))));
											{	/* SawBbv/bbv-specialize.scm 763 */
												long BgL_arg3018z00_3121;

												{	/* SawBbv/bbv-specialize.scm 763 */
													obj_t BgL_classz00_6641;

													BgL_classz00_6641 = BGl_rtl_callz00zzsaw_defsz00;
													BgL_arg3018z00_3121 =
														BGL_CLASS_NUM(BgL_classz00_6641);
												}
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1497z00_3120),
													BgL_arg3018z00_3121);
											}
											BgL_new1498z00_3119 = BgL_new1497z00_3120;
										}
										((((BgL_rtl_funz00_bglt) COBJECT(
														((BgL_rtl_funz00_bglt) BgL_new1498z00_3119)))->
												BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
										((((BgL_rtl_callz00_bglt) COBJECT(BgL_new1498z00_3119))->
												BgL_varz00) =
											((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
													BGl_za2longzd2ze3bintza2z31zzsaw_bbvzd2cachezd2)),
											BUNSPEC);
										BgL_auxz00_15815 =
											((BgL_rtl_funz00_bglt) BgL_new1498z00_3119);
									}
									((((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_new1486z00_3118)))->
											BgL_funz00) =
										((BgL_rtl_funz00_bglt) BgL_auxz00_15815), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_15827;

									{	/* SawBbv/bbv-specialize.scm 759 */
										BgL_rtl_insz00_bglt BgL_arg3019z00_3122;

										{	/* SawBbv/bbv-specialize.scm 759 */
											BgL_rtl_insz00_bglt BgL_new1499z00_3125;

											{	/* SawBbv/bbv-specialize.scm 759 */
												BgL_rtl_insz00_bglt BgL_tmp1508z00_3131;
												BgL_rtl_inszf2bbvzf2_bglt BgL_wide1509z00_3132;

												{
													BgL_rtl_insz00_bglt BgL_auxz00_15829;

													{	/* SawBbv/bbv-specialize.scm 759 */
														BgL_rtl_insz00_bglt BgL_new1507z00_3134;

														BgL_new1507z00_3134 =
															((BgL_rtl_insz00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_rtl_insz00_bgl))));
														{	/* SawBbv/bbv-specialize.scm 759 */
															long BgL_arg3023z00_3135;

															{	/* SawBbv/bbv-specialize.scm 759 */
																obj_t BgL_classz00_6644;

																BgL_classz00_6644 = BGl_rtl_insz00zzsaw_defsz00;
																BgL_arg3023z00_3135 =
																	BGL_CLASS_NUM(BgL_classz00_6644);
															}
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1507z00_3134),
																BgL_arg3023z00_3135);
														}
														{	/* SawBbv/bbv-specialize.scm 759 */
															BgL_objectz00_bglt BgL_tmpz00_15834;

															BgL_tmpz00_15834 =
																((BgL_objectz00_bglt) BgL_new1507z00_3134);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15834, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1507z00_3134);
														BgL_auxz00_15829 = BgL_new1507z00_3134;
													}
													BgL_tmp1508z00_3131 =
														((BgL_rtl_insz00_bglt) BgL_auxz00_15829);
												}
												BgL_wide1509z00_3132 =
													((BgL_rtl_inszf2bbvzf2_bglt)
													BOBJECT(GC_MALLOC(sizeof(struct
																BgL_rtl_inszf2bbvzf2_bgl))));
												{	/* SawBbv/bbv-specialize.scm 759 */
													obj_t BgL_auxz00_15842;
													BgL_objectz00_bglt BgL_tmpz00_15840;

													BgL_auxz00_15842 = ((obj_t) BgL_wide1509z00_3132);
													BgL_tmpz00_15840 =
														((BgL_objectz00_bglt) BgL_tmp1508z00_3131);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15840,
														BgL_auxz00_15842);
												}
												((BgL_objectz00_bglt) BgL_tmp1508z00_3131);
												{	/* SawBbv/bbv-specialize.scm 759 */
													long BgL_arg3022z00_3133;

													{	/* SawBbv/bbv-specialize.scm 759 */
														obj_t BgL_classz00_6649;

														BgL_classz00_6649 =
															BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2;
														BgL_arg3022z00_3133 =
															BGL_CLASS_NUM(BgL_classz00_6649);
													}
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_tmp1508z00_3131),
														BgL_arg3022z00_3133);
												}
												BgL_new1499z00_3125 =
													((BgL_rtl_insz00_bglt) BgL_tmp1508z00_3131);
											}
											((((BgL_rtl_insz00_bglt) COBJECT(
															((BgL_rtl_insz00_bglt) BgL_new1499z00_3125)))->
													BgL_locz00) =
												((obj_t) (((BgL_rtl_insz00_bglt)
															COBJECT(BgL_iz00_302))->BgL_locz00)), BUNSPEC);
											((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
																BgL_new1499z00_3125)))->BgL_z52spillz52) =
												((obj_t) (((BgL_rtl_insz00_bglt)
															COBJECT(BgL_iz00_302))->BgL_z52spillz52)),
												BUNSPEC);
											((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
																BgL_new1499z00_3125)))->BgL_destz00) =
												((obj_t) BgL_destz00_303), BUNSPEC);
											((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
																BgL_new1499z00_3125)))->BgL_funz00) =
												((BgL_rtl_funz00_bglt) ((BgL_rtl_funz00_bglt)
														BgL_loadiz00_3104)), BUNSPEC);
											((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
																BgL_new1499z00_3125)))->BgL_argsz00) =
												((obj_t) BNIL), BUNSPEC);
											{
												obj_t BgL_auxz00_15869;
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15863;

												{
													BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15870;

													{
														obj_t BgL_auxz00_15871;

														{	/* SawBbv/bbv-specialize.scm 761 */
															BgL_objectz00_bglt BgL_tmpz00_15872;

															BgL_tmpz00_15872 =
																((BgL_objectz00_bglt)
																((BgL_rtl_insz00_bglt) BgL_iz00_302));
															BgL_auxz00_15871 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_15872);
														}
														BgL_auxz00_15870 =
															((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_15871);
													}
													BgL_auxz00_15869 =
														(((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_15870))->BgL_defz00);
												}
												{
													obj_t BgL_auxz00_15864;

													{	/* SawBbv/bbv-specialize.scm 761 */
														BgL_objectz00_bglt BgL_tmpz00_15865;

														BgL_tmpz00_15865 =
															((BgL_objectz00_bglt) BgL_new1499z00_3125);
														BgL_auxz00_15864 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_15865);
													}
													BgL_auxz00_15863 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_15864);
												}
												((((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_15863))->BgL_defz00) =
													((obj_t) BgL_auxz00_15869), BUNSPEC);
											}
											{
												obj_t BgL_auxz00_15885;
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15879;

												{
													BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15886;

													{
														obj_t BgL_auxz00_15887;

														{	/* SawBbv/bbv-specialize.scm 761 */
															BgL_objectz00_bglt BgL_tmpz00_15888;

															BgL_tmpz00_15888 =
																((BgL_objectz00_bglt)
																((BgL_rtl_insz00_bglt) BgL_iz00_302));
															BgL_auxz00_15887 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_15888);
														}
														BgL_auxz00_15886 =
															((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_15887);
													}
													BgL_auxz00_15885 =
														(((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_15886))->BgL_outz00);
												}
												{
													obj_t BgL_auxz00_15880;

													{	/* SawBbv/bbv-specialize.scm 761 */
														BgL_objectz00_bglt BgL_tmpz00_15881;

														BgL_tmpz00_15881 =
															((BgL_objectz00_bglt) BgL_new1499z00_3125);
														BgL_auxz00_15880 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_15881);
													}
													BgL_auxz00_15879 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_15880);
												}
												((((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_15879))->BgL_outz00) =
													((obj_t) BgL_auxz00_15885), BUNSPEC);
											}
											{
												obj_t BgL_auxz00_15901;
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15895;

												{
													BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15902;

													{
														obj_t BgL_auxz00_15903;

														{	/* SawBbv/bbv-specialize.scm 761 */
															BgL_objectz00_bglt BgL_tmpz00_15904;

															BgL_tmpz00_15904 =
																((BgL_objectz00_bglt)
																((BgL_rtl_insz00_bglt) BgL_iz00_302));
															BgL_auxz00_15903 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_15904);
														}
														BgL_auxz00_15902 =
															((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_15903);
													}
													BgL_auxz00_15901 =
														(((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_15902))->BgL_inz00);
												}
												{
													obj_t BgL_auxz00_15896;

													{	/* SawBbv/bbv-specialize.scm 761 */
														BgL_objectz00_bglt BgL_tmpz00_15897;

														BgL_tmpz00_15897 =
															((BgL_objectz00_bglt) BgL_new1499z00_3125);
														BgL_auxz00_15896 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_15897);
													}
													BgL_auxz00_15895 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_15896);
												}
												((((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_15895))->BgL_inz00) =
													((obj_t) BgL_auxz00_15901), BUNSPEC);
											}
											{
												BgL_bbvzd2ctxzd2_bglt BgL_auxz00_15917;
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15911;

												{
													BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15918;

													{
														obj_t BgL_auxz00_15919;

														{	/* SawBbv/bbv-specialize.scm 761 */
															BgL_objectz00_bglt BgL_tmpz00_15920;

															BgL_tmpz00_15920 =
																((BgL_objectz00_bglt)
																((BgL_rtl_insz00_bglt) BgL_iz00_302));
															BgL_auxz00_15919 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_15920);
														}
														BgL_auxz00_15918 =
															((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_15919);
													}
													BgL_auxz00_15917 =
														(((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_15918))->BgL_ctxz00);
												}
												{
													obj_t BgL_auxz00_15912;

													{	/* SawBbv/bbv-specialize.scm 761 */
														BgL_objectz00_bglt BgL_tmpz00_15913;

														BgL_tmpz00_15913 =
															((BgL_objectz00_bglt) BgL_new1499z00_3125);
														BgL_auxz00_15912 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_15913);
													}
													BgL_auxz00_15911 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_15912);
												}
												((((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_15911))->BgL_ctxz00) =
													((BgL_bbvzd2ctxzd2_bglt) BgL_auxz00_15917), BUNSPEC);
											}
											{
												obj_t BgL_auxz00_15933;
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15927;

												{
													BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15934;

													{
														obj_t BgL_auxz00_15935;

														{	/* SawBbv/bbv-specialize.scm 761 */
															BgL_objectz00_bglt BgL_tmpz00_15936;

															BgL_tmpz00_15936 =
																((BgL_objectz00_bglt)
																((BgL_rtl_insz00_bglt) BgL_iz00_302));
															BgL_auxz00_15935 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_15936);
														}
														BgL_auxz00_15934 =
															((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_15935);
													}
													BgL_auxz00_15933 =
														(((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_15934))->BgL_z52hashz52);
												}
												{
													obj_t BgL_auxz00_15928;

													{	/* SawBbv/bbv-specialize.scm 761 */
														BgL_objectz00_bglt BgL_tmpz00_15929;

														BgL_tmpz00_15929 =
															((BgL_objectz00_bglt) BgL_new1499z00_3125);
														BgL_auxz00_15928 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_15929);
													}
													BgL_auxz00_15927 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_15928);
												}
												((((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_15927))->BgL_z52hashz52) =
													((obj_t) BgL_auxz00_15933), BUNSPEC);
											}
											BgL_arg3019z00_3122 = BgL_new1499z00_3125;
										}
										{	/* SawBbv/bbv-specialize.scm 759 */
											obj_t BgL_list3020z00_3123;

											BgL_list3020z00_3123 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg3019z00_3122), BNIL);
											BgL_auxz00_15827 = BgL_list3020z00_3123;
									}}
									((((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_new1486z00_3118)))->
											BgL_argsz00) = ((obj_t) BgL_auxz00_15827), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_15952;
									BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15946;

									{
										BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15953;

										{
											obj_t BgL_auxz00_15954;

											{	/* SawBbv/bbv-specialize.scm 759 */
												BgL_objectz00_bglt BgL_tmpz00_15955;

												BgL_tmpz00_15955 =
													((BgL_objectz00_bglt)
													((BgL_rtl_insz00_bglt) BgL_iz00_302));
												BgL_auxz00_15954 =
													BGL_OBJECT_WIDENING(BgL_tmpz00_15955);
											}
											BgL_auxz00_15953 =
												((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_15954);
										}
										BgL_auxz00_15952 =
											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_15953))->
											BgL_defz00);
									}
									{
										obj_t BgL_auxz00_15947;

										{	/* SawBbv/bbv-specialize.scm 759 */
											BgL_objectz00_bglt BgL_tmpz00_15948;

											BgL_tmpz00_15948 =
												((BgL_objectz00_bglt) BgL_new1486z00_3118);
											BgL_auxz00_15947 = BGL_OBJECT_WIDENING(BgL_tmpz00_15948);
										}
										BgL_auxz00_15946 =
											((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_15947);
									}
									((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_15946))->
											BgL_defz00) = ((obj_t) BgL_auxz00_15952), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_15968;
									BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15962;

									{
										BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15969;

										{
											obj_t BgL_auxz00_15970;

											{	/* SawBbv/bbv-specialize.scm 759 */
												BgL_objectz00_bglt BgL_tmpz00_15971;

												BgL_tmpz00_15971 =
													((BgL_objectz00_bglt)
													((BgL_rtl_insz00_bglt) BgL_iz00_302));
												BgL_auxz00_15970 =
													BGL_OBJECT_WIDENING(BgL_tmpz00_15971);
											}
											BgL_auxz00_15969 =
												((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_15970);
										}
										BgL_auxz00_15968 =
											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_15969))->
											BgL_outz00);
									}
									{
										obj_t BgL_auxz00_15963;

										{	/* SawBbv/bbv-specialize.scm 759 */
											BgL_objectz00_bglt BgL_tmpz00_15964;

											BgL_tmpz00_15964 =
												((BgL_objectz00_bglt) BgL_new1486z00_3118);
											BgL_auxz00_15963 = BGL_OBJECT_WIDENING(BgL_tmpz00_15964);
										}
										BgL_auxz00_15962 =
											((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_15963);
									}
									((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_15962))->
											BgL_outz00) = ((obj_t) BgL_auxz00_15968), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_15984;
									BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15978;

									{
										BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15985;

										{
											obj_t BgL_auxz00_15986;

											{	/* SawBbv/bbv-specialize.scm 759 */
												BgL_objectz00_bglt BgL_tmpz00_15987;

												BgL_tmpz00_15987 =
													((BgL_objectz00_bglt)
													((BgL_rtl_insz00_bglt) BgL_iz00_302));
												BgL_auxz00_15986 =
													BGL_OBJECT_WIDENING(BgL_tmpz00_15987);
											}
											BgL_auxz00_15985 =
												((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_15986);
										}
										BgL_auxz00_15984 =
											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_15985))->
											BgL_inz00);
									}
									{
										obj_t BgL_auxz00_15979;

										{	/* SawBbv/bbv-specialize.scm 759 */
											BgL_objectz00_bglt BgL_tmpz00_15980;

											BgL_tmpz00_15980 =
												((BgL_objectz00_bglt) BgL_new1486z00_3118);
											BgL_auxz00_15979 = BGL_OBJECT_WIDENING(BgL_tmpz00_15980);
										}
										BgL_auxz00_15978 =
											((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_15979);
									}
									((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_15978))->
											BgL_inz00) = ((obj_t) BgL_auxz00_15984), BUNSPEC);
								}
								{
									BgL_bbvzd2ctxzd2_bglt BgL_auxz00_16000;
									BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15994;

									{
										BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_16001;

										{
											obj_t BgL_auxz00_16002;

											{	/* SawBbv/bbv-specialize.scm 759 */
												BgL_objectz00_bglt BgL_tmpz00_16003;

												BgL_tmpz00_16003 =
													((BgL_objectz00_bglt)
													((BgL_rtl_insz00_bglt) BgL_iz00_302));
												BgL_auxz00_16002 =
													BGL_OBJECT_WIDENING(BgL_tmpz00_16003);
											}
											BgL_auxz00_16001 =
												((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_16002);
										}
										BgL_auxz00_16000 =
											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_16001))->
											BgL_ctxz00);
									}
									{
										obj_t BgL_auxz00_15995;

										{	/* SawBbv/bbv-specialize.scm 759 */
											BgL_objectz00_bglt BgL_tmpz00_15996;

											BgL_tmpz00_15996 =
												((BgL_objectz00_bglt) BgL_new1486z00_3118);
											BgL_auxz00_15995 = BGL_OBJECT_WIDENING(BgL_tmpz00_15996);
										}
										BgL_auxz00_15994 =
											((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_15995);
									}
									((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_15994))->
											BgL_ctxz00) =
										((BgL_bbvzd2ctxzd2_bglt) BgL_auxz00_16000), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_16016;
									BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_16010;

									{
										BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_16017;

										{
											obj_t BgL_auxz00_16018;

											{	/* SawBbv/bbv-specialize.scm 759 */
												BgL_objectz00_bglt BgL_tmpz00_16019;

												BgL_tmpz00_16019 =
													((BgL_objectz00_bglt)
													((BgL_rtl_insz00_bglt) BgL_iz00_302));
												BgL_auxz00_16018 =
													BGL_OBJECT_WIDENING(BgL_tmpz00_16019);
											}
											BgL_auxz00_16017 =
												((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_16018);
										}
										BgL_auxz00_16016 =
											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_16017))->
											BgL_z52hashz52);
									}
									{
										obj_t BgL_auxz00_16011;

										{	/* SawBbv/bbv-specialize.scm 759 */
											BgL_objectz00_bglt BgL_tmpz00_16012;

											BgL_tmpz00_16012 =
												((BgL_objectz00_bglt) BgL_new1486z00_3118);
											BgL_auxz00_16011 = BGL_OBJECT_WIDENING(BgL_tmpz00_16012);
										}
										BgL_auxz00_16010 =
											((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_16011);
									}
									((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_16010))->
											BgL_z52hashz52) = ((obj_t) BgL_auxz00_16016), BUNSPEC);
								}
								return BgL_new1486z00_3118;
							}
					}
				}
			}
		}

	}



/* &rtl_ins-specialize-mov */
	obj_t BGl_z62rtl_inszd2specializa7ezd2movzc5zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9831, obj_t BgL_iz00_9832, obj_t BgL_insz00_9833,
		obj_t BgL_bsz00_9834, obj_t BgL_ctxz00_9835, obj_t BgL_queuez00_9836)
	{
		{	/* SawBbv/bbv-specialize.scm 769 */
			{
				BgL_rtl_insz00_bglt BgL_auxz00_16026;

				{	/* SawBbv/bbv-specialize.scm 774 */
					BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_10221;

					{	/* SawBbv/bbv-specialize.scm 774 */
						obj_t BgL_arg3229z00_10222;

						BgL_arg3229z00_10222 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_iz00_9832)))->BgL_destz00);
						BgL_ctxz00_10221 =
							BGl_unaliaszd2ctxzd2zzsaw_bbvzd2typeszd2(
							((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_9835),
							((BgL_rtl_regz00_bglt) BgL_arg3229z00_10222));
					}
					{	/* SawBbv/bbv-specialize.scm 777 */
						bool_t BgL_test4590z00_16032;

						if (NULLP(
								(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_iz00_9832)))->BgL_argsz00)))
							{	/* SawBbv/bbv-specialize.scm 777 */
								BgL_test4590z00_16032 = ((bool_t) 0);
							}
						else
							{	/* SawBbv/bbv-specialize.scm 777 */
								if (NULLP(CDR(
											(((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_iz00_9832)))->
												BgL_argsz00))))
									{	/* SawBbv/bbv-specialize.scm 777 */
										obj_t BgL_arg3221z00_10223;

										BgL_arg3221z00_10223 =
											CAR(
											(((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_iz00_9832)))->
												BgL_argsz00));
										{	/* SawBbv/bbv-specialize.scm 777 */
											obj_t BgL_classz00_10224;

											BgL_classz00_10224 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
											if (BGL_OBJECTP(BgL_arg3221z00_10223))
												{	/* SawBbv/bbv-specialize.scm 777 */
													BgL_objectz00_bglt BgL_arg1858z00_10225;

													BgL_arg1858z00_10225 =
														(BgL_objectz00_bglt) (BgL_arg3221z00_10223);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* SawBbv/bbv-specialize.scm 777 */
															long BgL_idxz00_10226;

															BgL_idxz00_10226 =
																BGL_OBJECT_INHERITANCE_NUM
																(BgL_arg1858z00_10225);
															BgL_test4590z00_16032 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_10226 + 2L)) ==
																BgL_classz00_10224);
														}
													else
														{	/* SawBbv/bbv-specialize.scm 777 */
															bool_t BgL_res4103z00_10229;

															{	/* SawBbv/bbv-specialize.scm 777 */
																obj_t BgL_oclassz00_10230;

																{	/* SawBbv/bbv-specialize.scm 777 */
																	obj_t BgL_arg1866z00_10231;
																	long BgL_arg1867z00_10232;

																	BgL_arg1866z00_10231 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* SawBbv/bbv-specialize.scm 777 */
																		long BgL_arg1869z00_10233;

																		BgL_arg1869z00_10233 =
																			BGL_OBJECT_CLASS_NUM
																			(BgL_arg1858z00_10225);
																		BgL_arg1867z00_10232 =
																			(BgL_arg1869z00_10233 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_10230 =
																		VECTOR_REF(BgL_arg1866z00_10231,
																		BgL_arg1867z00_10232);
																}
																{	/* SawBbv/bbv-specialize.scm 777 */
																	bool_t BgL__ortest_1115z00_10234;

																	BgL__ortest_1115z00_10234 =
																		(BgL_classz00_10224 == BgL_oclassz00_10230);
																	if (BgL__ortest_1115z00_10234)
																		{	/* SawBbv/bbv-specialize.scm 777 */
																			BgL_res4103z00_10229 =
																				BgL__ortest_1115z00_10234;
																		}
																	else
																		{	/* SawBbv/bbv-specialize.scm 777 */
																			long BgL_odepthz00_10235;

																			{	/* SawBbv/bbv-specialize.scm 777 */
																				obj_t BgL_arg1855z00_10236;

																				BgL_arg1855z00_10236 =
																					(BgL_oclassz00_10230);
																				BgL_odepthz00_10235 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_10236);
																			}
																			if ((2L < BgL_odepthz00_10235))
																				{	/* SawBbv/bbv-specialize.scm 777 */
																					obj_t BgL_arg1853z00_10237;

																					{	/* SawBbv/bbv-specialize.scm 777 */
																						obj_t BgL_arg1854z00_10238;

																						BgL_arg1854z00_10238 =
																							(BgL_oclassz00_10230);
																						BgL_arg1853z00_10237 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_10238, 2L);
																					}
																					BgL_res4103z00_10229 =
																						(BgL_arg1853z00_10237 ==
																						BgL_classz00_10224);
																				}
																			else
																				{	/* SawBbv/bbv-specialize.scm 777 */
																					BgL_res4103z00_10229 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test4590z00_16032 = BgL_res4103z00_10229;
														}
												}
											else
												{	/* SawBbv/bbv-specialize.scm 777 */
													BgL_test4590z00_16032 = ((bool_t) 0);
												}
										}
									}
								else
									{	/* SawBbv/bbv-specialize.scm 777 */
										BgL_test4590z00_16032 = ((bool_t) 0);
									}
							}
						if (BgL_test4590z00_16032)
							{	/* SawBbv/bbv-specialize.scm 781 */
								obj_t BgL_ez00_10239;

								{	/* SawBbv/bbv-specialize.scm 781 */
									obj_t BgL_arg3083z00_10240;

									BgL_arg3083z00_10240 =
										CAR(
										(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_iz00_9832)))->
											BgL_argsz00));
									BgL_ez00_10239 =
										BGl_bbvzd2ctxzd2getz00zzsaw_bbvzd2typeszd2(BgL_ctxz00_10221,
										((BgL_rtl_regz00_bglt) BgL_arg3083z00_10240));
								}
								{	/* SawBbv/bbv-specialize.scm 783 */
									bool_t BgL_test4597z00_16072;

									{	/* SawBbv/bbv-specialize.scm 783 */
										obj_t BgL_arg3082z00_10241;

										BgL_arg3082z00_10241 =
											(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
													((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_10239)))->
											BgL_valuez00);
										BgL_test4597z00_16072 =
											BGl_bbvzd2singletonzf3z21zzsaw_bbvzd2rangezd2
											(BgL_arg3082z00_10241);
									}
									if (BgL_test4597z00_16072)
										{	/* SawBbv/bbv-specialize.scm 784 */
											BgL_rtl_insz00_bglt BgL_val0_2379z00_10242;
											BgL_bbvzd2ctxzd2_bglt BgL_val1_2380z00_10243;

											{	/* SawBbv/bbv-specialize.scm 784 */
												obj_t BgL_arg3052z00_10244;
												obj_t BgL_arg3053z00_10245;
												BgL_typez00_bglt BgL_arg3054z00_10246;

												BgL_arg3052z00_10244 =
													(((BgL_rtl_insz00_bglt) COBJECT(
															((BgL_rtl_insz00_bglt) BgL_iz00_9832)))->
													BgL_destz00);
												BgL_arg3053z00_10245 =
													(((BgL_bbvzd2ctxentryzd2_bglt)
														COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																BgL_ez00_10239)))->BgL_valuez00);
												BgL_arg3054z00_10246 =
													(((BgL_rtl_regz00_bglt)
														COBJECT(((BgL_rtl_regz00_bglt) ((
																		(BgL_rtl_insz00_bglt)
																		COBJECT(((BgL_rtl_insz00_bglt)
																				BgL_iz00_9832)))->BgL_destz00))))->
													BgL_typez00);
												BgL_val0_2379z00_10242 =
													BGl_rangezd2ze3loadiz31zzsaw_bbvzd2specializa7ez75((
														(BgL_rtl_insz00_bglt) BgL_iz00_9832),
													BgL_arg3052z00_10244, BgL_arg3053z00_10245,
													((obj_t) BgL_arg3054z00_10246));
											}
											{	/* SawBbv/bbv-specialize.scm 785 */
												obj_t BgL_arg3057z00_10247;
												obj_t BgL_arg3058z00_10248;
												bool_t BgL_arg3059z00_10249;
												long BgL_arg3061z00_10250;
												obj_t BgL_arg3062z00_10251;

												BgL_arg3057z00_10247 =
													(((BgL_rtl_insz00_bglt) COBJECT(
															((BgL_rtl_insz00_bglt) BgL_iz00_9832)))->
													BgL_destz00);
												BgL_arg3058z00_10248 =
													(((BgL_bbvzd2ctxentryzd2_bglt)
														COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																BgL_ez00_10239)))->BgL_typesz00);
												BgL_arg3059z00_10249 =
													(((BgL_bbvzd2ctxentryzd2_bglt)
														COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																BgL_ez00_10239)))->BgL_polarityz00);
												BgL_arg3061z00_10250 =
													(((BgL_bbvzd2ctxentryzd2_bglt)
														COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																BgL_ez00_10239)))->BgL_countz00);
												BgL_arg3062z00_10251 =
													(((BgL_bbvzd2ctxentryzd2_bglt)
														COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																BgL_ez00_10239)))->BgL_valuez00);
												BgL_val1_2380z00_10243 =
													BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2
													(BgL_ctxz00_10221,
													((BgL_rtl_regz00_bglt) BgL_arg3057z00_10247),
													BgL_arg3058z00_10248, BgL_arg3059z00_10249, BFALSE,
													BINT(BgL_arg3061z00_10250), BgL_arg3062z00_10251);
											}
											{	/* SawBbv/bbv-specialize.scm 784 */
												int BgL_tmpz00_16100;

												BgL_tmpz00_16100 = (int) (2L);
												BGL_MVALUES_NUMBER_SET(BgL_tmpz00_16100);
											}
											{	/* SawBbv/bbv-specialize.scm 784 */
												obj_t BgL_auxz00_16105;
												int BgL_tmpz00_16103;

												BgL_auxz00_16105 = ((obj_t) BgL_val1_2380z00_10243);
												BgL_tmpz00_16103 = (int) (1L);
												BGL_MVALUES_VAL_SET(BgL_tmpz00_16103, BgL_auxz00_16105);
											}
											BgL_auxz00_16026 = BgL_val0_2379z00_10242;
										}
									else
										{	/* SawBbv/bbv-specialize.scm 788 */
											BgL_rtl_insz00_bglt BgL_val0_2381z00_10252;
											BgL_bbvzd2ctxzd2_bglt BgL_val1_2382z00_10253;

											BgL_val0_2381z00_10252 =
												BGl_duplicatezd2inszd2zzsaw_bbvzd2specializa7ez75(
												((BgL_rtl_insz00_bglt) BgL_iz00_9832),
												BgL_ctxz00_10221);
											{	/* SawBbv/bbv-specialize.scm 790 */
												BgL_bbvzd2ctxzd2_bglt BgL_arg3065z00_10254;
												obj_t BgL_arg3071z00_10255;
												obj_t BgL_arg3072z00_10256;

												{	/* SawBbv/bbv-specialize.scm 790 */
													obj_t BgL_arg3074z00_10257;
													obj_t BgL_arg3075z00_10258;
													bool_t BgL_arg3077z00_10259;
													long BgL_arg3078z00_10260;
													obj_t BgL_arg3080z00_10261;

													BgL_arg3074z00_10257 =
														(((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt) BgL_iz00_9832)))->
														BgL_destz00);
													BgL_arg3075z00_10258 =
														(((BgL_bbvzd2ctxentryzd2_bglt)
															COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																	BgL_ez00_10239)))->BgL_typesz00);
													BgL_arg3077z00_10259 =
														(((BgL_bbvzd2ctxentryzd2_bglt)
															COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																	BgL_ez00_10239)))->BgL_polarityz00);
													BgL_arg3078z00_10260 =
														(((BgL_bbvzd2ctxentryzd2_bglt)
															COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																	BgL_ez00_10239)))->BgL_countz00);
													BgL_arg3080z00_10261 =
														(((BgL_bbvzd2ctxentryzd2_bglt)
															COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																	BgL_ez00_10239)))->BgL_valuez00);
													BgL_arg3065z00_10254 =
														BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2
														(BgL_ctxz00_10221,
														((BgL_rtl_regz00_bglt) BgL_arg3074z00_10257),
														BgL_arg3075z00_10258, BgL_arg3077z00_10259, BFALSE,
														BINT(BgL_arg3078z00_10260), BgL_arg3080z00_10261);
												}
												BgL_arg3071z00_10255 =
													(((BgL_rtl_insz00_bglt) COBJECT(
															((BgL_rtl_insz00_bglt) BgL_iz00_9832)))->
													BgL_destz00);
												BgL_arg3072z00_10256 =
													CAR((((BgL_rtl_insz00_bglt)
															COBJECT(((BgL_rtl_insz00_bglt) BgL_iz00_9832)))->
														BgL_argsz00));
												BgL_val1_2382z00_10253 =
													BGl_aliaszd2ctxzd2zzsaw_bbvzd2typeszd2
													(BgL_arg3065z00_10254,
													((BgL_rtl_regz00_bglt) BgL_arg3071z00_10255),
													((BgL_rtl_regz00_bglt) BgL_arg3072z00_10256));
											}
											{	/* SawBbv/bbv-specialize.scm 788 */
												int BgL_tmpz00_16131;

												BgL_tmpz00_16131 = (int) (2L);
												BGL_MVALUES_NUMBER_SET(BgL_tmpz00_16131);
											}
											{	/* SawBbv/bbv-specialize.scm 788 */
												obj_t BgL_auxz00_16136;
												int BgL_tmpz00_16134;

												BgL_auxz00_16136 = ((obj_t) BgL_val1_2382z00_10253);
												BgL_tmpz00_16134 = (int) (1L);
												BGL_MVALUES_VAL_SET(BgL_tmpz00_16134, BgL_auxz00_16136);
											}
											BgL_auxz00_16026 = BgL_val0_2381z00_10252;
							}}}
						else
							{	/* SawBbv/bbv-specialize.scm 792 */
								bool_t BgL_test4598z00_16139;

								if (CBOOL(BGl_za2typezd2callza2zd2zzsaw_bbvzd2configzd2))
									{	/* SawBbv/bbv-specialize.scm 792 */
										if (NULLP(
												(((BgL_rtl_insz00_bglt) COBJECT(
															((BgL_rtl_insz00_bglt) BgL_iz00_9832)))->
													BgL_argsz00)))
											{	/* SawBbv/bbv-specialize.scm 792 */
												BgL_test4598z00_16139 = ((bool_t) 0);
											}
										else
											{	/* SawBbv/bbv-specialize.scm 792 */
												obj_t BgL_arg3218z00_10262;

												BgL_arg3218z00_10262 =
													CAR(
													(((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt) BgL_iz00_9832)))->
														BgL_argsz00));
												BgL_test4598z00_16139 =
													BGl_rtl_inszd2callzf3z21zzsaw_bbvzd2typeszd2((
														(BgL_rtl_insz00_bglt) BgL_arg3218z00_10262));
											}
									}
								else
									{	/* SawBbv/bbv-specialize.scm 792 */
										BgL_test4598z00_16139 = ((bool_t) 0);
									}
								if (BgL_test4598z00_16139)
									{	/* SawBbv/bbv-specialize.scm 794 */
										BgL_rtl_insz00_bglt BgL_i1513z00_10263;

										{	/* SawBbv/bbv-specialize.scm 794 */
											obj_t BgL_pairz00_10264;

											BgL_pairz00_10264 =
												(((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_iz00_9832)))->
												BgL_argsz00);
											BgL_i1513z00_10263 =
												((BgL_rtl_insz00_bglt) CAR(BgL_pairz00_10264));
										}
										{	/* SawBbv/bbv-specialize.scm 795 */
											BgL_rtl_callz00_bglt BgL_i1514z00_10265;

											BgL_i1514z00_10265 =
												((BgL_rtl_callz00_bglt)
												(((BgL_rtl_insz00_bglt) COBJECT(BgL_i1513z00_10263))->
													BgL_funz00));
											{	/* SawBbv/bbv-specialize.scm 796 */
												BgL_variablez00_bglt BgL_i1515z00_10266;

												BgL_i1515z00_10266 =
													((BgL_variablez00_bglt)
													(((BgL_rtl_callz00_bglt)
															COBJECT(BgL_i1514z00_10265))->BgL_varz00));
												{	/* SawBbv/bbv-specialize.scm 797 */
													bool_t BgL_test4601z00_16159;

													{	/* SawBbv/bbv-specialize.scm 797 */
														bool_t BgL_test4602z00_16160;

														{	/* SawBbv/bbv-specialize.scm 797 */
															obj_t BgL_arg3153z00_10267;

															BgL_arg3153z00_10267 =
																((obj_t)
																(((BgL_rtl_callz00_bglt)
																		COBJECT(BgL_i1514z00_10265))->BgL_varz00));
															BgL_test4602z00_16160 =
																(BgL_arg3153z00_10267 ==
																BGl_za2longzd2ze3bintza2z31zzsaw_bbvzd2cachezd2);
														}
														if (BgL_test4602z00_16160)
															{	/* SawBbv/bbv-specialize.scm 798 */
																bool_t BgL_test4603z00_16164;

																{	/* SawBbv/bbv-specialize.scm 798 */
																	obj_t BgL_arg3151z00_10268;

																	BgL_arg3151z00_10268 =
																		CAR(
																		(((BgL_rtl_insz00_bglt)
																				COBJECT(BgL_i1513z00_10263))->
																			BgL_argsz00));
																	{	/* SawBbv/bbv-specialize.scm 798 */
																		obj_t BgL_classz00_10269;

																		BgL_classz00_10269 =
																			BGl_rtl_insz00zzsaw_defsz00;
																		if (BGL_OBJECTP(BgL_arg3151z00_10268))
																			{	/* SawBbv/bbv-specialize.scm 798 */
																				BgL_objectz00_bglt BgL_arg1858z00_10270;

																				BgL_arg1858z00_10270 =
																					(BgL_objectz00_bglt)
																					(BgL_arg3151z00_10268);
																				if (BGL_CONDEXPAND_ISA_ARCH64())
																					{	/* SawBbv/bbv-specialize.scm 798 */
																						long BgL_idxz00_10271;

																						BgL_idxz00_10271 =
																							BGL_OBJECT_INHERITANCE_NUM
																							(BgL_arg1858z00_10270);
																						BgL_test4603z00_16164 =
																							(VECTOR_REF
																							(BGl_za2inheritancesza2z00zz__objectz00,
																								(BgL_idxz00_10271 + 1L)) ==
																							BgL_classz00_10269);
																					}
																				else
																					{	/* SawBbv/bbv-specialize.scm 798 */
																						bool_t BgL_res4104z00_10274;

																						{	/* SawBbv/bbv-specialize.scm 798 */
																							obj_t BgL_oclassz00_10275;

																							{	/* SawBbv/bbv-specialize.scm 798 */
																								obj_t BgL_arg1866z00_10276;
																								long BgL_arg1867z00_10277;

																								BgL_arg1866z00_10276 =
																									(BGl_za2classesza2z00zz__objectz00);
																								{	/* SawBbv/bbv-specialize.scm 798 */
																									long BgL_arg1869z00_10278;

																									BgL_arg1869z00_10278 =
																										BGL_OBJECT_CLASS_NUM
																										(BgL_arg1858z00_10270);
																									BgL_arg1867z00_10277 =
																										(BgL_arg1869z00_10278 -
																										OBJECT_TYPE);
																								}
																								BgL_oclassz00_10275 =
																									VECTOR_REF
																									(BgL_arg1866z00_10276,
																									BgL_arg1867z00_10277);
																							}
																							{	/* SawBbv/bbv-specialize.scm 798 */
																								bool_t
																									BgL__ortest_1115z00_10279;
																								BgL__ortest_1115z00_10279 =
																									(BgL_classz00_10269 ==
																									BgL_oclassz00_10275);
																								if (BgL__ortest_1115z00_10279)
																									{	/* SawBbv/bbv-specialize.scm 798 */
																										BgL_res4104z00_10274 =
																											BgL__ortest_1115z00_10279;
																									}
																								else
																									{	/* SawBbv/bbv-specialize.scm 798 */
																										long BgL_odepthz00_10280;

																										{	/* SawBbv/bbv-specialize.scm 798 */
																											obj_t
																												BgL_arg1855z00_10281;
																											BgL_arg1855z00_10281 =
																												(BgL_oclassz00_10275);
																											BgL_odepthz00_10280 =
																												BGL_CLASS_DEPTH
																												(BgL_arg1855z00_10281);
																										}
																										if (
																											(1L <
																												BgL_odepthz00_10280))
																											{	/* SawBbv/bbv-specialize.scm 798 */
																												obj_t
																													BgL_arg1853z00_10282;
																												{	/* SawBbv/bbv-specialize.scm 798 */
																													obj_t
																														BgL_arg1854z00_10283;
																													BgL_arg1854z00_10283 =
																														(BgL_oclassz00_10275);
																													BgL_arg1853z00_10282 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_arg1854z00_10283,
																														1L);
																												}
																												BgL_res4104z00_10274 =
																													(BgL_arg1853z00_10282
																													==
																													BgL_classz00_10269);
																											}
																										else
																											{	/* SawBbv/bbv-specialize.scm 798 */
																												BgL_res4104z00_10274 =
																													((bool_t) 0);
																											}
																									}
																							}
																						}
																						BgL_test4603z00_16164 =
																							BgL_res4104z00_10274;
																					}
																			}
																		else
																			{	/* SawBbv/bbv-specialize.scm 798 */
																				BgL_test4603z00_16164 = ((bool_t) 0);
																			}
																	}
																}
																if (BgL_test4603z00_16164)
																	{	/* SawBbv/bbv-specialize.scm 799 */
																		obj_t BgL_arg3147z00_10284;

																		BgL_arg3147z00_10284 =
																			CAR(
																			(((BgL_rtl_insz00_bglt)
																					COBJECT(BgL_i1513z00_10263))->
																				BgL_argsz00));
																		BgL_test4601z00_16159 =
																			BGl_rtl_inszd2loadizf3z21zzsaw_bbvzd2typeszd2
																			(((BgL_rtl_insz00_bglt)
																				BgL_arg3147z00_10284));
																	}
																else
																	{	/* SawBbv/bbv-specialize.scm 798 */
																		BgL_test4601z00_16159 = ((bool_t) 0);
																	}
															}
														else
															{	/* SawBbv/bbv-specialize.scm 797 */
																BgL_test4601z00_16159 = ((bool_t) 0);
															}
													}
													if (BgL_test4601z00_16159)
														{	/* SawBbv/bbv-specialize.scm 800 */
															BgL_rtl_insz00_bglt BgL_i1516z00_10285;

															{	/* SawBbv/bbv-specialize.scm 800 */
																obj_t BgL_pairz00_10286;

																BgL_pairz00_10286 =
																	(((BgL_rtl_insz00_bglt)
																		COBJECT(BgL_i1513z00_10263))->BgL_argsz00);
																BgL_i1516z00_10285 =
																	((BgL_rtl_insz00_bglt)
																	CAR(BgL_pairz00_10286));
															}
															{	/* SawBbv/bbv-specialize.scm 801 */
																BgL_rtl_loadiz00_bglt BgL_i1517z00_10287;

																BgL_i1517z00_10287 =
																	((BgL_rtl_loadiz00_bglt)
																	(((BgL_rtl_insz00_bglt)
																			COBJECT(BgL_i1516z00_10285))->
																		BgL_funz00));
																{	/* SawBbv/bbv-specialize.scm 802 */
																	BgL_atomz00_bglt BgL_i1518z00_10288;

																	BgL_i1518z00_10288 =
																		(((BgL_rtl_loadiz00_bglt)
																			COBJECT(BgL_i1517z00_10287))->
																		BgL_constantz00);
																	{	/* SawBbv/bbv-specialize.scm 803 */
																		BgL_rtl_insz00_bglt BgL_val0_2383z00_10289;
																		BgL_bbvzd2ctxzd2_bglt
																			BgL_val1_2384z00_10290;
																		BgL_val0_2383z00_10289 =
																			BGl_duplicatezd2inszd2zzsaw_bbvzd2specializa7ez75
																			(((BgL_rtl_insz00_bglt) BgL_iz00_9832),
																			BgL_ctxz00_10221);
																		{	/* SawBbv/bbv-specialize.scm 804 */
																			obj_t BgL_arg3114z00_10291;
																			obj_t BgL_arg3115z00_10292;
																			BgL_bbvzd2rangezd2_bglt
																				BgL_arg3116z00_10293;
																			BgL_arg3114z00_10291 =
																				(((BgL_rtl_insz00_bglt)
																					COBJECT(((BgL_rtl_insz00_bglt)
																							BgL_iz00_9832)))->BgL_destz00);
																			{	/* SawBbv/bbv-specialize.scm 804 */
																				obj_t BgL_list3117z00_10294;

																				BgL_list3117z00_10294 =
																					MAKE_YOUNG_PAIR
																					(BGl_za2bintza2z00zztype_cachez00,
																					BNIL);
																				BgL_arg3115z00_10292 =
																					BgL_list3117z00_10294;
																			}
																			if (INTEGERP(
																					(((BgL_atomz00_bglt)
																							COBJECT(BgL_i1518z00_10288))->
																						BgL_valuez00)))
																				{	/* SawBbv/bbv-specialize.scm 807 */
																					obj_t BgL_arg3120z00_10295;

																					BgL_arg3120z00_10295 =
																						(((BgL_atomz00_bglt)
																							COBJECT(BgL_i1518z00_10288))->
																						BgL_valuez00);
																					BgL_arg3116z00_10293 =
																						BGl_fixnumzd2ze3rangez31zzsaw_bbvzd2rangezd2
																						((long) CINT(BgL_arg3120z00_10295));
																				}
																			else
																				{	/* SawBbv/bbv-specialize.scm 806 */
																					BgL_arg3116z00_10293 =
																						BGl_fixnumzd2rangezd2zzsaw_bbvzd2rangezd2
																						();
																				}
																			BgL_val1_2384z00_10290 =
																				BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2
																				(BgL_ctxz00_10221,
																				((BgL_rtl_regz00_bglt)
																					BgL_arg3114z00_10291),
																				BgL_arg3115z00_10292, ((bool_t) 1),
																				BFALSE, BINT(0L),
																				((obj_t) BgL_arg3116z00_10293));
																		}
																		{	/* SawBbv/bbv-specialize.scm 803 */
																			int BgL_tmpz00_16215;

																			BgL_tmpz00_16215 = (int) (2L);
																			BGL_MVALUES_NUMBER_SET(BgL_tmpz00_16215);
																		}
																		{	/* SawBbv/bbv-specialize.scm 803 */
																			obj_t BgL_auxz00_16220;
																			int BgL_tmpz00_16218;

																			BgL_auxz00_16220 =
																				((obj_t) BgL_val1_2384z00_10290);
																			BgL_tmpz00_16218 = (int) (1L);
																			BGL_MVALUES_VAL_SET(BgL_tmpz00_16218,
																				BgL_auxz00_16220);
																		}
																		BgL_auxz00_16026 = BgL_val0_2383z00_10289;
														}}}}
													else
														{	/* SawBbv/bbv-specialize.scm 809 */
															obj_t BgL_ninsz00_10296;

															{	/* SawBbv/bbv-specialize.scm 809 */
																obj_t BgL_arg3146z00_10297;

																BgL_arg3146z00_10297 =
																	(((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt) BgL_iz00_9832)))->
																	BgL_argsz00);
																BgL_ninsz00_10296 =
																	BGl_inszd2specializa7ez12z67zzsaw_bbvzd2specializa7ez75
																	(BgL_arg3146z00_10297,
																	((BgL_blockz00_bglt) BgL_bsz00_9834),
																	BgL_ctxz00_10221,
																	((BgL_bbvzd2queuezd2_bglt)
																		BgL_queuez00_9836));
															}
															{	/* SawBbv/bbv-specialize.scm 810 */
																BgL_rtl_insz00_bglt BgL_i1519z00_10298;

																BgL_i1519z00_10298 =
																	((BgL_rtl_insz00_bglt)
																	CAR(((obj_t) BgL_ninsz00_10296)));
																{	/* SawBbv/bbv-specialize.scm 811 */
																	BgL_rtl_insz00_bglt BgL_i1520z00_10299;

																	BgL_i1520z00_10299 =
																		((BgL_rtl_insz00_bglt)
																		CAR(((obj_t) BgL_ninsz00_10296)));
																	{	/* SawBbv/bbv-specialize.scm 812 */
																		obj_t BgL_ez00_10300;

																		{	/* SawBbv/bbv-specialize.scm 812 */
																			BgL_bbvzd2ctxzd2_bglt
																				BgL_arg3142z00_10301;
																			obj_t BgL_arg3143z00_10302;

																			{
																				BgL_rtl_inszf2bbvzf2_bglt
																					BgL_auxz00_16234;
																				{
																					obj_t BgL_auxz00_16235;

																					{	/* SawBbv/bbv-specialize.scm 812 */
																						BgL_objectz00_bglt BgL_tmpz00_16236;

																						BgL_tmpz00_16236 =
																							((BgL_objectz00_bglt)
																							BgL_i1519z00_10298);
																						BgL_auxz00_16235 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_16236);
																					}
																					BgL_auxz00_16234 =
																						((BgL_rtl_inszf2bbvzf2_bglt)
																						BgL_auxz00_16235);
																				}
																				BgL_arg3142z00_10301 =
																					(((BgL_rtl_inszf2bbvzf2_bglt)
																						COBJECT(BgL_auxz00_16234))->
																					BgL_ctxz00);
																			}
																			BgL_arg3143z00_10302 =
																				(((BgL_rtl_insz00_bglt)
																					COBJECT(BgL_i1520z00_10299))->
																				BgL_destz00);
																			BgL_ez00_10300 =
																				BGl_bbvzd2ctxzd2getz00zzsaw_bbvzd2typeszd2
																				(BgL_arg3142z00_10301,
																				((BgL_rtl_regz00_bglt)
																					BgL_arg3143z00_10302));
																		}
																		{	/* SawBbv/bbv-specialize.scm 813 */
																			BgL_rtl_insz00_bglt
																				BgL_val0_2385z00_10303;
																			BgL_bbvzd2ctxzd2_bglt
																				BgL_val1_2386z00_10304;
																			BgL_val0_2385z00_10303 =
																				BGl_duplicatezd2inszd2zzsaw_bbvzd2specializa7ez75
																				(((BgL_rtl_insz00_bglt) BgL_iz00_9832),
																				BgL_ctxz00_10221);
																			if (CBOOL(BgL_ez00_10300))
																				{	/* SawBbv/bbv-specialize.scm 815 */
																					obj_t BgL_arg3123z00_10305;
																					obj_t BgL_arg3125z00_10306;
																					bool_t BgL_arg3129z00_10307;
																					obj_t BgL_arg3136z00_10308;

																					BgL_arg3123z00_10305 =
																						(((BgL_rtl_insz00_bglt) COBJECT(
																								((BgL_rtl_insz00_bglt)
																									BgL_iz00_9832)))->
																						BgL_destz00);
																					BgL_arg3125z00_10306 =
																						(((BgL_bbvzd2ctxentryzd2_bglt)
																							COBJECT((
																									(BgL_bbvzd2ctxentryzd2_bglt)
																									BgL_ez00_10300)))->
																						BgL_typesz00);
																					BgL_arg3129z00_10307 =
																						(((BgL_bbvzd2ctxentryzd2_bglt)
																							COBJECT((
																									(BgL_bbvzd2ctxentryzd2_bglt)
																									BgL_ez00_10300)))->
																						BgL_polarityz00);
																					BgL_arg3136z00_10308 =
																						(((BgL_bbvzd2ctxentryzd2_bglt)
																							COBJECT((
																									(BgL_bbvzd2ctxentryzd2_bglt)
																									BgL_ez00_10300)))->
																						BgL_valuez00);
																					BgL_val1_2386z00_10304 =
																						BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2
																						(BgL_ctxz00_10221,
																						((BgL_rtl_regz00_bglt)
																							BgL_arg3123z00_10305),
																						BgL_arg3125z00_10306,
																						BgL_arg3129z00_10307, BFALSE,
																						BINT(0L), BgL_arg3136z00_10308);
																				}
																			else
																				{	/* SawBbv/bbv-specialize.scm 820 */
																					obj_t BgL_arg3137z00_10309;
																					obj_t BgL_arg3139z00_10310;

																					BgL_arg3137z00_10309 =
																						(((BgL_rtl_insz00_bglt) COBJECT(
																								((BgL_rtl_insz00_bglt)
																									BgL_iz00_9832)))->
																						BgL_destz00);
																					{	/* SawBbv/bbv-specialize.scm 821 */
																						BgL_typez00_bglt
																							BgL_arg3140z00_10311;
																						BgL_arg3140z00_10311 =
																							(((BgL_variablez00_bglt)
																								COBJECT(BgL_i1515z00_10266))->
																							BgL_typez00);
																						{	/* SawBbv/bbv-specialize.scm 821 */
																							obj_t BgL_list3141z00_10312;

																							BgL_list3141z00_10312 =
																								MAKE_YOUNG_PAIR(
																								((obj_t) BgL_arg3140z00_10311),
																								BNIL);
																							BgL_arg3139z00_10310 =
																								BgL_list3141z00_10312;
																						}
																					}
																					{	/* SawBbv/bbv-specialize.scm 820 */
																						obj_t BgL_valuez00_10313;

																						BgL_valuez00_10313 =
																							((obj_t) CNST_TABLE_REF(4));
																						BgL_val1_2386z00_10304 =
																							BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2
																							(BgL_ctxz00_10221,
																							((BgL_rtl_regz00_bglt)
																								BgL_arg3137z00_10309),
																							BgL_arg3139z00_10310,
																							((bool_t) 1), BFALSE, BINT(0L),
																							BgL_valuez00_10313);
																					}
																				}
																			{	/* SawBbv/bbv-specialize.scm 813 */
																				int BgL_tmpz00_16269;

																				BgL_tmpz00_16269 = (int) (2L);
																				BGL_MVALUES_NUMBER_SET
																					(BgL_tmpz00_16269);
																			}
																			{	/* SawBbv/bbv-specialize.scm 813 */
																				obj_t BgL_auxz00_16274;
																				int BgL_tmpz00_16272;

																				BgL_auxz00_16274 =
																					((obj_t) BgL_val1_2386z00_10304);
																				BgL_tmpz00_16272 = (int) (1L);
																				BGL_MVALUES_VAL_SET(BgL_tmpz00_16272,
																					BgL_auxz00_16274);
																			}
																			BgL_auxz00_16026 = BgL_val0_2385z00_10303;
									}}}}}}}}}
								else
									{	/* SawBbv/bbv-specialize.scm 823 */
										bool_t BgL_test4610z00_16277;

										if (CBOOL(BGl_za2typezd2loadiza2zd2zzsaw_bbvzd2configzd2))
											{	/* SawBbv/bbv-specialize.scm 823 */
												if (NULLP(
														(((BgL_rtl_insz00_bglt) COBJECT(
																	((BgL_rtl_insz00_bglt) BgL_iz00_9832)))->
															BgL_argsz00)))
													{	/* SawBbv/bbv-specialize.scm 823 */
														BgL_test4610z00_16277 = ((bool_t) 0);
													}
												else
													{	/* SawBbv/bbv-specialize.scm 823 */
														obj_t BgL_arg3215z00_10314;

														BgL_arg3215z00_10314 =
															CAR(
															(((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt) BgL_iz00_9832)))->
																BgL_argsz00));
														BgL_test4610z00_16277 =
															BGl_rtl_inszd2loadizf3z21zzsaw_bbvzd2typeszd2((
																(BgL_rtl_insz00_bglt) BgL_arg3215z00_10314));
													}
											}
										else
											{	/* SawBbv/bbv-specialize.scm 823 */
												BgL_test4610z00_16277 = ((bool_t) 0);
											}
										if (BgL_test4610z00_16277)
											{	/* SawBbv/bbv-specialize.scm 825 */
												BgL_rtl_insz00_bglt BgL_i1521z00_10315;

												{	/* SawBbv/bbv-specialize.scm 825 */
													obj_t BgL_pairz00_10316;

													BgL_pairz00_10316 =
														(((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt) BgL_iz00_9832)))->
														BgL_argsz00);
													BgL_i1521z00_10315 =
														((BgL_rtl_insz00_bglt) CAR(BgL_pairz00_10316));
												}
												{	/* SawBbv/bbv-specialize.scm 826 */
													BgL_rtl_loadiz00_bglt BgL_i1522z00_10317;

													BgL_i1522z00_10317 =
														((BgL_rtl_loadiz00_bglt)
														(((BgL_rtl_insz00_bglt)
																COBJECT(BgL_i1521z00_10315))->BgL_funz00));
													{	/* SawBbv/bbv-specialize.scm 827 */
														BgL_atomz00_bglt BgL_i1523z00_10318;

														BgL_i1523z00_10318 =
															(((BgL_rtl_loadiz00_bglt)
																COBJECT(BgL_i1522z00_10317))->BgL_constantz00);
														{	/* SawBbv/bbv-specialize.scm 828 */
															BgL_rtl_insz00_bglt BgL_val0_2387z00_10319;
															BgL_bbvzd2ctxzd2_bglt BgL_val1_2388z00_10320;

															BgL_val0_2387z00_10319 =
																BGl_duplicatezd2inszd2zzsaw_bbvzd2specializa7ez75
																(((BgL_rtl_insz00_bglt) BgL_iz00_9832),
																BgL_ctxz00_10221);
															{	/* SawBbv/bbv-specialize.scm 829 */
																obj_t BgL_arg3162z00_10321;
																obj_t BgL_arg3163z00_10322;
																obj_t BgL_arg3164z00_10323;

																BgL_arg3162z00_10321 =
																	(((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt) BgL_iz00_9832)))->
																	BgL_destz00);
																{	/* SawBbv/bbv-specialize.scm 829 */
																	BgL_typez00_bglt BgL_arg3166z00_10324;

																	BgL_arg3166z00_10324 =
																		(((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_i1523z00_10318)))->BgL_typez00);
																	{	/* SawBbv/bbv-specialize.scm 829 */
																		obj_t BgL_list3167z00_10325;

																		BgL_list3167z00_10325 =
																			MAKE_YOUNG_PAIR(
																			((obj_t) BgL_arg3166z00_10324), BNIL);
																		BgL_arg3163z00_10322 =
																			BgL_list3167z00_10325;
																	}
																}
																if (INTEGERP(
																		(((BgL_atomz00_bglt)
																				COBJECT(BgL_i1523z00_10318))->
																			BgL_valuez00)))
																	{	/* SawBbv/bbv-specialize.scm 830 */
																		obj_t BgL_arg3170z00_10326;

																		BgL_arg3170z00_10326 =
																			(((BgL_atomz00_bglt)
																				COBJECT(BgL_i1523z00_10318))->
																			BgL_valuez00);
																		BgL_arg3164z00_10323 =
																			((obj_t)
																			BGl_fixnumzd2ze3rangez31zzsaw_bbvzd2rangezd2
																			((long) CINT(BgL_arg3170z00_10326)));
																	}
																else
																	{	/* SawBbv/bbv-specialize.scm 830 */
																		BgL_arg3164z00_10323 =
																			((obj_t) CNST_TABLE_REF(4));
																	}
																BgL_val1_2388z00_10320 =
																	BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2
																	(BgL_ctxz00_10221,
																	((BgL_rtl_regz00_bglt) BgL_arg3162z00_10321),
																	BgL_arg3163z00_10322, ((bool_t) 1), BFALSE,
																	BINT(0L), BgL_arg3164z00_10323);
															}
															{	/* SawBbv/bbv-specialize.scm 828 */
																int BgL_tmpz00_16316;

																BgL_tmpz00_16316 = (int) (2L);
																BGL_MVALUES_NUMBER_SET(BgL_tmpz00_16316);
															}
															{	/* SawBbv/bbv-specialize.scm 828 */
																obj_t BgL_auxz00_16321;
																int BgL_tmpz00_16319;

																BgL_auxz00_16321 =
																	((obj_t) BgL_val1_2388z00_10320);
																BgL_tmpz00_16319 = (int) (1L);
																BGL_MVALUES_VAL_SET(BgL_tmpz00_16319,
																	BgL_auxz00_16321);
															}
															BgL_auxz00_16026 = BgL_val0_2387z00_10319;
											}}}}
										else
											{	/* SawBbv/bbv-specialize.scm 832 */
												bool_t BgL_test4614z00_16324;

												if (CBOOL
													(BGl_za2typezd2loadgza2zd2zzsaw_bbvzd2configzd2))
													{	/* SawBbv/bbv-specialize.scm 832 */
														if (NULLP(
																(((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt) BgL_iz00_9832)))->
																	BgL_argsz00)))
															{	/* SawBbv/bbv-specialize.scm 832 */
																BgL_test4614z00_16324 = ((bool_t) 0);
															}
														else
															{	/* SawBbv/bbv-specialize.scm 832 */
																obj_t BgL_arg3212z00_10327;

																BgL_arg3212z00_10327 =
																	CAR(
																	(((BgL_rtl_insz00_bglt) COBJECT(
																				((BgL_rtl_insz00_bglt)
																					BgL_iz00_9832)))->BgL_argsz00));
																BgL_test4614z00_16324 =
																	BGl_rtl_inszd2loadgzf3z21zzsaw_bbvzd2typeszd2(
																	((BgL_rtl_insz00_bglt) BgL_arg3212z00_10327));
															}
													}
												else
													{	/* SawBbv/bbv-specialize.scm 832 */
														BgL_test4614z00_16324 = ((bool_t) 0);
													}
												if (BgL_test4614z00_16324)
													{	/* SawBbv/bbv-specialize.scm 834 */
														BgL_rtl_insz00_bglt BgL_i1524z00_10328;

														{	/* SawBbv/bbv-specialize.scm 834 */
															obj_t BgL_pairz00_10329;

															BgL_pairz00_10329 =
																(((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt) BgL_iz00_9832)))->
																BgL_argsz00);
															BgL_i1524z00_10328 =
																((BgL_rtl_insz00_bglt) CAR(BgL_pairz00_10329));
														}
														{	/* SawBbv/bbv-specialize.scm 835 */
															BgL_rtl_loadgz00_bglt BgL_i1525z00_10330;

															BgL_i1525z00_10330 =
																((BgL_rtl_loadgz00_bglt)
																(((BgL_rtl_insz00_bglt)
																		COBJECT(BgL_i1524z00_10328))->BgL_funz00));
															{	/* SawBbv/bbv-specialize.scm 836 */
																BgL_variablez00_bglt BgL_i1526z00_10331;

																BgL_i1526z00_10331 =
																	((BgL_variablez00_bglt)
																	(((BgL_rtl_loadgz00_bglt)
																			COBJECT(BgL_i1525z00_10330))->
																		BgL_varz00));
																{	/* SawBbv/bbv-specialize.scm 837 */
																	BgL_rtl_insz00_bglt BgL_val0_2389z00_10332;
																	BgL_bbvzd2ctxzd2_bglt BgL_val1_2390z00_10333;

																	BgL_val0_2389z00_10332 =
																		BGl_duplicatezd2inszd2zzsaw_bbvzd2specializa7ez75
																		(((BgL_rtl_insz00_bglt) BgL_iz00_9832),
																		BgL_ctxz00_10221);
																	{	/* SawBbv/bbv-specialize.scm 838 */
																		obj_t BgL_arg3197z00_10334;
																		obj_t BgL_arg3198z00_10335;

																		BgL_arg3197z00_10334 =
																			(((BgL_rtl_insz00_bglt) COBJECT(
																					((BgL_rtl_insz00_bglt)
																						BgL_iz00_9832)))->BgL_destz00);
																		{	/* SawBbv/bbv-specialize.scm 838 */
																			BgL_typez00_bglt BgL_arg3201z00_10336;

																			BgL_arg3201z00_10336 =
																				(((BgL_variablez00_bglt)
																					COBJECT(BgL_i1526z00_10331))->
																				BgL_typez00);
																			{	/* SawBbv/bbv-specialize.scm 838 */
																				obj_t BgL_list3202z00_10337;

																				BgL_list3202z00_10337 =
																					MAKE_YOUNG_PAIR(
																					((obj_t) BgL_arg3201z00_10336), BNIL);
																				BgL_arg3198z00_10335 =
																					BgL_list3202z00_10337;
																			}
																		}
																		{	/* SawBbv/bbv-specialize.scm 838 */
																			obj_t BgL_valuez00_10338;

																			BgL_valuez00_10338 =
																				((obj_t) CNST_TABLE_REF(4));
																			BgL_val1_2390z00_10333 =
																				BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2
																				(BgL_ctxz00_10221,
																				((BgL_rtl_regz00_bglt)
																					BgL_arg3197z00_10334),
																				BgL_arg3198z00_10335, ((bool_t) 1),
																				BFALSE, BINT(0L), BgL_valuez00_10338);
																		}
																	}
																	{	/* SawBbv/bbv-specialize.scm 837 */
																		int BgL_tmpz00_16356;

																		BgL_tmpz00_16356 = (int) (2L);
																		BGL_MVALUES_NUMBER_SET(BgL_tmpz00_16356);
																	}
																	{	/* SawBbv/bbv-specialize.scm 837 */
																		obj_t BgL_auxz00_16361;
																		int BgL_tmpz00_16359;

																		BgL_auxz00_16361 =
																			((obj_t) BgL_val1_2390z00_10333);
																		BgL_tmpz00_16359 = (int) (1L);
																		BGL_MVALUES_VAL_SET(BgL_tmpz00_16359,
																			BgL_auxz00_16361);
																	}
																	BgL_auxz00_16026 = BgL_val0_2389z00_10332;
													}}}}
												else
													{	/* SawBbv/bbv-specialize.scm 841 */
														BgL_rtl_regz00_bglt BgL_i1527z00_10339;

														BgL_i1527z00_10339 =
															((BgL_rtl_regz00_bglt)
															(((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt) BgL_iz00_9832)))->
																BgL_destz00));
														{	/* SawBbv/bbv-specialize.scm 842 */
															BgL_rtl_insz00_bglt BgL_val0_2391z00_10340;
															BgL_bbvzd2ctxzd2_bglt BgL_val1_2392z00_10341;

															BgL_val0_2391z00_10340 =
																BGl_duplicatezd2inszd2zzsaw_bbvzd2specializa7ez75
																(((BgL_rtl_insz00_bglt) BgL_iz00_9832),
																BgL_ctxz00_10221);
															{	/* SawBbv/bbv-specialize.scm 843 */
																obj_t BgL_arg3205z00_10342;
																obj_t BgL_arg3206z00_10343;

																BgL_arg3205z00_10342 =
																	(((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt) BgL_iz00_9832)))->
																	BgL_destz00);
																{	/* SawBbv/bbv-specialize.scm 844 */
																	obj_t BgL_arg3207z00_10344;

																	{	/* SawBbv/bbv-specialize.scm 844 */
																		bool_t BgL_test4617z00_16371;

																		{	/* SawBbv/bbv-specialize.scm 844 */
																			obj_t BgL_arg3211z00_10345;

																			BgL_arg3211z00_10345 =
																				((obj_t)
																				(((BgL_rtl_regz00_bglt)
																						COBJECT(BgL_i1527z00_10339))->
																					BgL_typez00));
																			BgL_test4617z00_16371 =
																				(BgL_arg3211z00_10345 ==
																				BGl_za2objza2z00zztype_cachez00);
																		}
																		if (BgL_test4617z00_16371)
																			{	/* SawBbv/bbv-specialize.scm 844 */
																				BgL_arg3207z00_10344 =
																					BGl_rtl_inszd2typezd2zzsaw_bbvzd2specializa7ez75
																					(((BgL_rtl_insz00_bglt)
																						BgL_iz00_9832));
																			}
																		else
																			{	/* SawBbv/bbv-specialize.scm 844 */
																				BgL_arg3207z00_10344 =
																					((obj_t)
																					(((BgL_rtl_regz00_bglt)
																							COBJECT(BgL_i1527z00_10339))->
																						BgL_typez00));
																			}
																	}
																	{	/* SawBbv/bbv-specialize.scm 844 */
																		obj_t BgL_list3208z00_10346;

																		BgL_list3208z00_10346 =
																			MAKE_YOUNG_PAIR(BgL_arg3207z00_10344,
																			BNIL);
																		BgL_arg3206z00_10343 =
																			BgL_list3208z00_10346;
																	}
																}
																{	/* SawBbv/bbv-specialize.scm 843 */
																	obj_t BgL_valuez00_10347;

																	BgL_valuez00_10347 =
																		((obj_t) CNST_TABLE_REF(4));
																	BgL_val1_2392z00_10341 =
																		BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2
																		(BgL_ctxz00_10221,
																		((BgL_rtl_regz00_bglt)
																			BgL_arg3205z00_10342),
																		BgL_arg3206z00_10343, ((bool_t) 1), BFALSE,
																		BINT(0L), BgL_valuez00_10347);
																}
															}
															{	/* SawBbv/bbv-specialize.scm 842 */
																int BgL_tmpz00_16385;

																BgL_tmpz00_16385 = (int) (2L);
																BGL_MVALUES_NUMBER_SET(BgL_tmpz00_16385);
															}
															{	/* SawBbv/bbv-specialize.scm 842 */
																obj_t BgL_auxz00_16390;
																int BgL_tmpz00_16388;

																BgL_auxz00_16390 =
																	((obj_t) BgL_val1_2392z00_10341);
																BgL_tmpz00_16388 = (int) (1L);
																BGL_MVALUES_VAL_SET(BgL_tmpz00_16388,
																	BgL_auxz00_16390);
															}
															BgL_auxz00_16026 = BgL_val0_2391z00_10340;
				}}}}}}}
				return ((obj_t) BgL_auxz00_16026);
			}
		}

	}



/* rtl_ins-type */
	obj_t BGl_rtl_inszd2typezd2zzsaw_bbvzd2specializa7ez75(BgL_rtl_insz00_bglt
		BgL_iz00_311)
	{
		{	/* SawBbv/bbv-specialize.scm 850 */
		BGl_rtl_inszd2typezd2zzsaw_bbvzd2specializa7ez75:
			{	/* SawBbv/bbv-specialize.scm 853 */
				bool_t BgL_test4619z00_16394;

				{	/* SawBbv/bbv-specialize.scm 853 */
					BgL_rtl_funz00_bglt BgL_arg3239z00_3355;

					BgL_arg3239z00_3355 =
						(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_311))->BgL_funz00);
					{	/* SawBbv/bbv-specialize.scm 853 */
						obj_t BgL_classz00_6766;

						BgL_classz00_6766 = BGl_rtl_movz00zzsaw_defsz00;
						{	/* SawBbv/bbv-specialize.scm 853 */
							BgL_objectz00_bglt BgL_arg1858z00_6768;

							{	/* SawBbv/bbv-specialize.scm 853 */
								obj_t BgL_tmpz00_16396;

								BgL_tmpz00_16396 =
									((obj_t) ((BgL_objectz00_bglt) BgL_arg3239z00_3355));
								BgL_arg1858z00_6768 = (BgL_objectz00_bglt) (BgL_tmpz00_16396);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawBbv/bbv-specialize.scm 853 */
									long BgL_idxz00_6774;

									BgL_idxz00_6774 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6768);
									BgL_test4619z00_16394 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_6774 + 3L)) == BgL_classz00_6766);
								}
							else
								{	/* SawBbv/bbv-specialize.scm 853 */
									bool_t BgL_res4110z00_6799;

									{	/* SawBbv/bbv-specialize.scm 853 */
										obj_t BgL_oclassz00_6782;

										{	/* SawBbv/bbv-specialize.scm 853 */
											obj_t BgL_arg1866z00_6790;
											long BgL_arg1867z00_6791;

											BgL_arg1866z00_6790 = (BGl_za2classesza2z00zz__objectz00);
											{	/* SawBbv/bbv-specialize.scm 853 */
												long BgL_arg1869z00_6792;

												BgL_arg1869z00_6792 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6768);
												BgL_arg1867z00_6791 =
													(BgL_arg1869z00_6792 - OBJECT_TYPE);
											}
											BgL_oclassz00_6782 =
												VECTOR_REF(BgL_arg1866z00_6790, BgL_arg1867z00_6791);
										}
										{	/* SawBbv/bbv-specialize.scm 853 */
											bool_t BgL__ortest_1115z00_6783;

											BgL__ortest_1115z00_6783 =
												(BgL_classz00_6766 == BgL_oclassz00_6782);
											if (BgL__ortest_1115z00_6783)
												{	/* SawBbv/bbv-specialize.scm 853 */
													BgL_res4110z00_6799 = BgL__ortest_1115z00_6783;
												}
											else
												{	/* SawBbv/bbv-specialize.scm 853 */
													long BgL_odepthz00_6784;

													{	/* SawBbv/bbv-specialize.scm 853 */
														obj_t BgL_arg1855z00_6785;

														BgL_arg1855z00_6785 = (BgL_oclassz00_6782);
														BgL_odepthz00_6784 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_6785);
													}
													if ((3L < BgL_odepthz00_6784))
														{	/* SawBbv/bbv-specialize.scm 853 */
															obj_t BgL_arg1853z00_6787;

															{	/* SawBbv/bbv-specialize.scm 853 */
																obj_t BgL_arg1854z00_6788;

																BgL_arg1854z00_6788 = (BgL_oclassz00_6782);
																BgL_arg1853z00_6787 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_6788,
																	3L);
															}
															BgL_res4110z00_6799 =
																(BgL_arg1853z00_6787 == BgL_classz00_6766);
														}
													else
														{	/* SawBbv/bbv-specialize.scm 853 */
															BgL_res4110z00_6799 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test4619z00_16394 = BgL_res4110z00_6799;
								}
						}
					}
				}
				if (BgL_test4619z00_16394)
					{
						BgL_rtl_insz00_bglt BgL_iz00_16419;

						{	/* SawBbv/bbv-specialize.scm 854 */
							obj_t BgL_pairz00_6800;

							BgL_pairz00_6800 =
								(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_311))->BgL_argsz00);
							BgL_iz00_16419 = ((BgL_rtl_insz00_bglt) CAR(BgL_pairz00_6800));
						}
						BgL_iz00_311 = BgL_iz00_16419;
						goto BGl_rtl_inszd2typezd2zzsaw_bbvzd2specializa7ez75;
					}
				else
					{	/* SawBbv/bbv-specialize.scm 855 */
						bool_t BgL_test4623z00_16423;

						{	/* SawBbv/bbv-specialize.scm 855 */
							BgL_rtl_funz00_bglt BgL_arg3238z00_3354;

							BgL_arg3238z00_3354 =
								(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_311))->BgL_funz00);
							{	/* SawBbv/bbv-specialize.scm 855 */
								obj_t BgL_classz00_6801;

								BgL_classz00_6801 = BGl_rtl_callz00zzsaw_defsz00;
								{	/* SawBbv/bbv-specialize.scm 855 */
									BgL_objectz00_bglt BgL_arg1858z00_6803;

									{	/* SawBbv/bbv-specialize.scm 855 */
										obj_t BgL_tmpz00_16425;

										BgL_tmpz00_16425 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg3238z00_3354));
										BgL_arg1858z00_6803 =
											(BgL_objectz00_bglt) (BgL_tmpz00_16425);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawBbv/bbv-specialize.scm 855 */
											long BgL_idxz00_6809;

											BgL_idxz00_6809 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6803);
											BgL_test4623z00_16423 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_6809 + 2L)) == BgL_classz00_6801);
										}
									else
										{	/* SawBbv/bbv-specialize.scm 855 */
											bool_t BgL_res4111z00_6834;

											{	/* SawBbv/bbv-specialize.scm 855 */
												obj_t BgL_oclassz00_6817;

												{	/* SawBbv/bbv-specialize.scm 855 */
													obj_t BgL_arg1866z00_6825;
													long BgL_arg1867z00_6826;

													BgL_arg1866z00_6825 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* SawBbv/bbv-specialize.scm 855 */
														long BgL_arg1869z00_6827;

														BgL_arg1869z00_6827 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6803);
														BgL_arg1867z00_6826 =
															(BgL_arg1869z00_6827 - OBJECT_TYPE);
													}
													BgL_oclassz00_6817 =
														VECTOR_REF(BgL_arg1866z00_6825,
														BgL_arg1867z00_6826);
												}
												{	/* SawBbv/bbv-specialize.scm 855 */
													bool_t BgL__ortest_1115z00_6818;

													BgL__ortest_1115z00_6818 =
														(BgL_classz00_6801 == BgL_oclassz00_6817);
													if (BgL__ortest_1115z00_6818)
														{	/* SawBbv/bbv-specialize.scm 855 */
															BgL_res4111z00_6834 = BgL__ortest_1115z00_6818;
														}
													else
														{	/* SawBbv/bbv-specialize.scm 855 */
															long BgL_odepthz00_6819;

															{	/* SawBbv/bbv-specialize.scm 855 */
																obj_t BgL_arg1855z00_6820;

																BgL_arg1855z00_6820 = (BgL_oclassz00_6817);
																BgL_odepthz00_6819 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_6820);
															}
															if ((2L < BgL_odepthz00_6819))
																{	/* SawBbv/bbv-specialize.scm 855 */
																	obj_t BgL_arg1853z00_6822;

																	{	/* SawBbv/bbv-specialize.scm 855 */
																		obj_t BgL_arg1854z00_6823;

																		BgL_arg1854z00_6823 = (BgL_oclassz00_6817);
																		BgL_arg1853z00_6822 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_6823, 2L);
																	}
																	BgL_res4111z00_6834 =
																		(BgL_arg1853z00_6822 == BgL_classz00_6801);
																}
															else
																{	/* SawBbv/bbv-specialize.scm 855 */
																	BgL_res4111z00_6834 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test4623z00_16423 = BgL_res4111z00_6834;
										}
								}
							}
						}
						if (BgL_test4623z00_16423)
							{	/* SawBbv/bbv-specialize.scm 855 */
								return
									((obj_t)
									(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													(((BgL_rtl_callz00_bglt) COBJECT(
																((BgL_rtl_callz00_bglt)
																	(((BgL_rtl_insz00_bglt)
																			COBJECT(BgL_iz00_311))->BgL_funz00))))->
														BgL_varz00))))->BgL_typez00));
							}
						else
							{	/* SawBbv/bbv-specialize.scm 855 */
								return BGl_za2objza2z00zztype_cachez00;
							}
					}
			}
		}

	}



/* &rtl_ins-specialize-loadi */
	obj_t
		BGl_z62rtl_inszd2specializa7ezd2loadizc5zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9837, obj_t BgL_iz00_9838, obj_t BgL_insz00_9839,
		obj_t BgL_bsz00_9840, obj_t BgL_ctxz00_9841, obj_t BgL_queuez00_9842)
	{
		{	/* SawBbv/bbv-specialize.scm 865 */
			{
				BgL_rtl_insz00_bglt BgL_auxz00_16454;

				{	/* SawBbv/bbv-specialize.scm 868 */
					BgL_rtl_loadiz00_bglt BgL_i1532z00_10351;

					BgL_i1532z00_10351 =
						((BgL_rtl_loadiz00_bglt)
						(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_iz00_9838)))->BgL_funz00));
					{	/* SawBbv/bbv-specialize.scm 869 */
						BgL_atomz00_bglt BgL_i1533z00_10352;

						BgL_i1533z00_10352 =
							(((BgL_rtl_loadiz00_bglt) COBJECT(BgL_i1532z00_10351))->
							BgL_constantz00);
						{	/* SawBbv/bbv-specialize.scm 870 */
							BgL_rtl_insz00_bglt BgL_sz00_10353;

							{	/* SawBbv/bbv-specialize.scm 870 */
								BgL_rtl_insz00_bglt BgL_new1534z00_10354;

								{	/* SawBbv/bbv-specialize.scm 870 */
									BgL_rtl_insz00_bglt BgL_tmp1542z00_10355;
									BgL_rtl_inszf2bbvzf2_bglt BgL_wide1543z00_10356;

									{
										BgL_rtl_insz00_bglt BgL_auxz00_16459;

										{	/* SawBbv/bbv-specialize.scm 870 */
											BgL_rtl_insz00_bglt BgL_new1541z00_10357;

											BgL_new1541z00_10357 =
												((BgL_rtl_insz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_rtl_insz00_bgl))));
											{	/* SawBbv/bbv-specialize.scm 870 */
												long BgL_arg3253z00_10358;

												BgL_arg3253z00_10358 =
													BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1541z00_10357),
													BgL_arg3253z00_10358);
											}
											{	/* SawBbv/bbv-specialize.scm 870 */
												BgL_objectz00_bglt BgL_tmpz00_16464;

												BgL_tmpz00_16464 =
													((BgL_objectz00_bglt) BgL_new1541z00_10357);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16464, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1541z00_10357);
											BgL_auxz00_16459 = BgL_new1541z00_10357;
										}
										BgL_tmp1542z00_10355 =
											((BgL_rtl_insz00_bglt) BgL_auxz00_16459);
									}
									BgL_wide1543z00_10356 =
										((BgL_rtl_inszf2bbvzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_rtl_inszf2bbvzf2_bgl))));
									{	/* SawBbv/bbv-specialize.scm 870 */
										obj_t BgL_auxz00_16472;
										BgL_objectz00_bglt BgL_tmpz00_16470;

										BgL_auxz00_16472 = ((obj_t) BgL_wide1543z00_10356);
										BgL_tmpz00_16470 =
											((BgL_objectz00_bglt) BgL_tmp1542z00_10355);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16470, BgL_auxz00_16472);
									}
									((BgL_objectz00_bglt) BgL_tmp1542z00_10355);
									{	/* SawBbv/bbv-specialize.scm 870 */
										long BgL_arg3252z00_10359;

										BgL_arg3252z00_10359 =
											BGL_CLASS_NUM(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_tmp1542z00_10355),
											BgL_arg3252z00_10359);
									}
									BgL_new1534z00_10354 =
										((BgL_rtl_insz00_bglt) BgL_tmp1542z00_10355);
								}
								((((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_new1534z00_10354)))->
										BgL_locz00) =
									((obj_t) (((BgL_rtl_insz00_bglt)
												COBJECT(((BgL_rtl_insz00_bglt) BgL_iz00_9838)))->
											BgL_locz00)), BUNSPEC);
								((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
													BgL_new1534z00_10354)))->BgL_z52spillz52) =
									((obj_t) (((BgL_rtl_insz00_bglt)
												COBJECT(((BgL_rtl_insz00_bglt) BgL_iz00_9838)))->
											BgL_z52spillz52)), BUNSPEC);
								((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
													BgL_new1534z00_10354)))->BgL_destz00) =
									((obj_t) (((BgL_rtl_insz00_bglt)
												COBJECT(((BgL_rtl_insz00_bglt) BgL_iz00_9838)))->
											BgL_destz00)), BUNSPEC);
								{
									BgL_rtl_funz00_bglt BgL_auxz00_16492;

									{	/* SawBbv/bbv-specialize.scm 872 */
										BgL_rtl_funz00_bglt BgL_duplicated1546z00_10360;
										BgL_rtl_loadiz00_bglt BgL_new1544z00_10361;

										BgL_duplicated1546z00_10360 =
											(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_iz00_9838)))->BgL_funz00);
										{	/* SawBbv/bbv-specialize.scm 872 */
											BgL_rtl_loadiz00_bglt BgL_new1548z00_10362;

											BgL_new1548z00_10362 =
												((BgL_rtl_loadiz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_rtl_loadiz00_bgl))));
											{	/* SawBbv/bbv-specialize.scm 872 */
												long BgL_arg3251z00_10363;

												{	/* SawBbv/bbv-specialize.scm 872 */
													obj_t BgL_classz00_10364;

													BgL_classz00_10364 = BGl_rtl_loadiz00zzsaw_defsz00;
													BgL_arg3251z00_10363 =
														BGL_CLASS_NUM(BgL_classz00_10364);
												}
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1548z00_10362),
													BgL_arg3251z00_10363);
											}
											BgL_new1544z00_10361 = BgL_new1548z00_10362;
										}
										((((BgL_rtl_funz00_bglt) COBJECT(
														((BgL_rtl_funz00_bglt) BgL_new1544z00_10361)))->
												BgL_locz00) =
											((obj_t) (((BgL_rtl_funz00_bglt)
														COBJECT(BgL_duplicated1546z00_10360))->BgL_locz00)),
											BUNSPEC);
										((((BgL_rtl_loadiz00_bglt) COBJECT(BgL_new1544z00_10361))->
												BgL_constantz00) =
											((BgL_atomz00_bglt) (((BgL_rtl_loadiz00_bglt)
														COBJECT(((BgL_rtl_loadiz00_bglt)
																BgL_duplicated1546z00_10360)))->
													BgL_constantz00)), BUNSPEC);
										BgL_auxz00_16492 =
											((BgL_rtl_funz00_bglt) BgL_new1544z00_10361);
									}
									((((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_new1534z00_10354)))->
											BgL_funz00) =
										((BgL_rtl_funz00_bglt) BgL_auxz00_16492), BUNSPEC);
								}
								((((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_new1534z00_10354)))->
										BgL_argsz00) =
									((obj_t) (((BgL_rtl_insz00_bglt)
												COBJECT(((BgL_rtl_insz00_bglt) BgL_iz00_9838)))->
											BgL_argsz00)), BUNSPEC);
								{
									obj_t BgL_auxz00_16518;
									BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_16512;

									{
										BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_16519;

										{
											obj_t BgL_auxz00_16520;

											{	/* SawBbv/bbv-specialize.scm 872 */
												BgL_objectz00_bglt BgL_tmpz00_16521;

												BgL_tmpz00_16521 =
													((BgL_objectz00_bglt)
													((BgL_rtl_insz00_bglt)
														((BgL_rtl_insz00_bglt) BgL_iz00_9838)));
												BgL_auxz00_16520 =
													BGL_OBJECT_WIDENING(BgL_tmpz00_16521);
											}
											BgL_auxz00_16519 =
												((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_16520);
										}
										BgL_auxz00_16518 =
											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_16519))->
											BgL_defz00);
									}
									{
										obj_t BgL_auxz00_16513;

										{	/* SawBbv/bbv-specialize.scm 872 */
											BgL_objectz00_bglt BgL_tmpz00_16514;

											BgL_tmpz00_16514 =
												((BgL_objectz00_bglt) BgL_new1534z00_10354);
											BgL_auxz00_16513 = BGL_OBJECT_WIDENING(BgL_tmpz00_16514);
										}
										BgL_auxz00_16512 =
											((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_16513);
									}
									((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_16512))->
											BgL_defz00) = ((obj_t) BgL_auxz00_16518), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_16535;
									BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_16529;

									{
										BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_16536;

										{
											obj_t BgL_auxz00_16537;

											{	/* SawBbv/bbv-specialize.scm 872 */
												BgL_objectz00_bglt BgL_tmpz00_16538;

												BgL_tmpz00_16538 =
													((BgL_objectz00_bglt)
													((BgL_rtl_insz00_bglt)
														((BgL_rtl_insz00_bglt) BgL_iz00_9838)));
												BgL_auxz00_16537 =
													BGL_OBJECT_WIDENING(BgL_tmpz00_16538);
											}
											BgL_auxz00_16536 =
												((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_16537);
										}
										BgL_auxz00_16535 =
											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_16536))->
											BgL_outz00);
									}
									{
										obj_t BgL_auxz00_16530;

										{	/* SawBbv/bbv-specialize.scm 872 */
											BgL_objectz00_bglt BgL_tmpz00_16531;

											BgL_tmpz00_16531 =
												((BgL_objectz00_bglt) BgL_new1534z00_10354);
											BgL_auxz00_16530 = BGL_OBJECT_WIDENING(BgL_tmpz00_16531);
										}
										BgL_auxz00_16529 =
											((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_16530);
									}
									((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_16529))->
											BgL_outz00) = ((obj_t) BgL_auxz00_16535), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_16552;
									BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_16546;

									{
										BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_16553;

										{
											obj_t BgL_auxz00_16554;

											{	/* SawBbv/bbv-specialize.scm 872 */
												BgL_objectz00_bglt BgL_tmpz00_16555;

												BgL_tmpz00_16555 =
													((BgL_objectz00_bglt)
													((BgL_rtl_insz00_bglt)
														((BgL_rtl_insz00_bglt) BgL_iz00_9838)));
												BgL_auxz00_16554 =
													BGL_OBJECT_WIDENING(BgL_tmpz00_16555);
											}
											BgL_auxz00_16553 =
												((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_16554);
										}
										BgL_auxz00_16552 =
											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_16553))->
											BgL_inz00);
									}
									{
										obj_t BgL_auxz00_16547;

										{	/* SawBbv/bbv-specialize.scm 872 */
											BgL_objectz00_bglt BgL_tmpz00_16548;

											BgL_tmpz00_16548 =
												((BgL_objectz00_bglt) BgL_new1534z00_10354);
											BgL_auxz00_16547 = BGL_OBJECT_WIDENING(BgL_tmpz00_16548);
										}
										BgL_auxz00_16546 =
											((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_16547);
									}
									((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_16546))->
											BgL_inz00) = ((obj_t) BgL_auxz00_16552), BUNSPEC);
								}
								{
									BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_16563;

									{
										obj_t BgL_auxz00_16564;

										{	/* SawBbv/bbv-specialize.scm 871 */
											BgL_objectz00_bglt BgL_tmpz00_16565;

											BgL_tmpz00_16565 =
												((BgL_objectz00_bglt) BgL_new1534z00_10354);
											BgL_auxz00_16564 = BGL_OBJECT_WIDENING(BgL_tmpz00_16565);
										}
										BgL_auxz00_16563 =
											((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_16564);
									}
									((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_16563))->
											BgL_ctxz00) =
										((BgL_bbvzd2ctxzd2_bglt) ((BgL_bbvzd2ctxzd2_bglt)
												BgL_ctxz00_9841)), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_16577;
									BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_16571;

									{
										BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_16578;

										{
											obj_t BgL_auxz00_16579;

											{	/* SawBbv/bbv-specialize.scm 871 */
												BgL_objectz00_bglt BgL_tmpz00_16580;

												BgL_tmpz00_16580 =
													((BgL_objectz00_bglt)
													((BgL_rtl_insz00_bglt)
														((BgL_rtl_insz00_bglt) BgL_iz00_9838)));
												BgL_auxz00_16579 =
													BGL_OBJECT_WIDENING(BgL_tmpz00_16580);
											}
											BgL_auxz00_16578 =
												((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_16579);
										}
										BgL_auxz00_16577 =
											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_16578))->
											BgL_z52hashz52);
									}
									{
										obj_t BgL_auxz00_16572;

										{	/* SawBbv/bbv-specialize.scm 871 */
											BgL_objectz00_bglt BgL_tmpz00_16573;

											BgL_tmpz00_16573 =
												((BgL_objectz00_bglt) BgL_new1534z00_10354);
											BgL_auxz00_16572 = BGL_OBJECT_WIDENING(BgL_tmpz00_16573);
										}
										BgL_auxz00_16571 =
											((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_16572);
									}
									((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_16571))->
											BgL_z52hashz52) = ((obj_t) BgL_auxz00_16577), BUNSPEC);
								}
								BgL_sz00_10353 = BgL_new1534z00_10354;
							}
							{	/* SawBbv/bbv-specialize.scm 870 */
								obj_t BgL_vz00_10365;

								if (INTEGERP(
										(((BgL_atomz00_bglt) COBJECT(BgL_i1533z00_10352))->
											BgL_valuez00)))
									{	/* SawBbv/bbv-specialize.scm 873 */
										obj_t BgL_arg3246z00_10366;

										BgL_arg3246z00_10366 =
											(((BgL_atomz00_bglt) COBJECT(BgL_i1533z00_10352))->
											BgL_valuez00);
										BgL_vz00_10365 =
											((obj_t)
											BGl_fixnumzd2ze3rangez31zzsaw_bbvzd2rangezd2((long)
												CINT(BgL_arg3246z00_10366)));
									}
								else
									{	/* SawBbv/bbv-specialize.scm 873 */
										BgL_vz00_10365 = ((obj_t) CNST_TABLE_REF(4));
									}
								{	/* SawBbv/bbv-specialize.scm 873 */
									BgL_bbvzd2ctxzd2_bglt BgL_nctxz00_10367;

									{	/* SawBbv/bbv-specialize.scm 874 */
										obj_t BgL_arg3240z00_10368;
										obj_t BgL_arg3241z00_10369;

										BgL_arg3240z00_10368 =
											(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_iz00_9838)))->BgL_destz00);
										{	/* SawBbv/bbv-specialize.scm 874 */
											BgL_typez00_bglt BgL_arg3242z00_10370;

											BgL_arg3242z00_10370 =
												(((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_i1533z00_10352)))->
												BgL_typez00);
											{	/* SawBbv/bbv-specialize.scm 874 */
												obj_t BgL_list3243z00_10371;

												BgL_list3243z00_10371 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg3242z00_10370), BNIL);
												BgL_arg3241z00_10369 = BgL_list3243z00_10371;
											}
										}
										BgL_nctxz00_10367 =
											BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2(
											((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_9841),
											((BgL_rtl_regz00_bglt) BgL_arg3240z00_10368),
											BgL_arg3241z00_10369, ((bool_t) 1), BFALSE, BINT(1L),
											BgL_vz00_10365);
									}
									{	/* SawBbv/bbv-specialize.scm 874 */

										{	/* SawBbv/bbv-specialize.scm 876 */
											int BgL_tmpz00_16607;

											BgL_tmpz00_16607 = (int) (2L);
											BGL_MVALUES_NUMBER_SET(BgL_tmpz00_16607);
										}
										{	/* SawBbv/bbv-specialize.scm 876 */
											obj_t BgL_auxz00_16612;
											int BgL_tmpz00_16610;

											BgL_auxz00_16612 = ((obj_t) BgL_nctxz00_10367);
											BgL_tmpz00_16610 = (int) (1L);
											BGL_MVALUES_VAL_SET(BgL_tmpz00_16610, BgL_auxz00_16612);
										}
										BgL_auxz00_16454 = BgL_sz00_10353;
				}}}}}}
				return ((obj_t) BgL_auxz00_16454);
			}
		}

	}



/* &rtl_ins-specialize-loadg */
	obj_t
		BGl_z62rtl_inszd2specializa7ezd2loadgzc5zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9843, obj_t BgL_iz00_9844, obj_t BgL_insz00_9845,
		obj_t BgL_bsz00_9846, obj_t BgL_ctxz00_9847, obj_t BgL_queuez00_9848)
	{
		{	/* SawBbv/bbv-specialize.scm 881 */
			{
				BgL_rtl_insz00_bglt BgL_auxz00_16616;

				{	/* SawBbv/bbv-specialize.scm 884 */
					BgL_rtl_loadgz00_bglt BgL_i1550z00_10375;

					BgL_i1550z00_10375 =
						((BgL_rtl_loadgz00_bglt)
						(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_iz00_9844)))->BgL_funz00));
					{	/* SawBbv/bbv-specialize.scm 885 */
						BgL_variablez00_bglt BgL_i1551z00_10376;

						BgL_i1551z00_10376 =
							((BgL_variablez00_bglt)
							(((BgL_rtl_loadgz00_bglt) COBJECT(BgL_i1550z00_10375))->
								BgL_varz00));
						{	/* SawBbv/bbv-specialize.scm 886 */
							BgL_rtl_insz00_bglt BgL_sz00_10377;

							{	/* SawBbv/bbv-specialize.scm 886 */
								BgL_rtl_insz00_bglt BgL_new1552z00_10378;

								{	/* SawBbv/bbv-specialize.scm 886 */
									BgL_rtl_insz00_bglt BgL_tmp1560z00_10379;
									BgL_rtl_inszf2bbvzf2_bglt BgL_wide1561z00_10380;

									{
										BgL_rtl_insz00_bglt BgL_auxz00_16622;

										{	/* SawBbv/bbv-specialize.scm 886 */
											BgL_rtl_insz00_bglt BgL_new1559z00_10381;

											BgL_new1559z00_10381 =
												((BgL_rtl_insz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_rtl_insz00_bgl))));
											{	/* SawBbv/bbv-specialize.scm 886 */
												long BgL_arg3275z00_10382;

												BgL_arg3275z00_10382 =
													BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1559z00_10381),
													BgL_arg3275z00_10382);
											}
											{	/* SawBbv/bbv-specialize.scm 886 */
												BgL_objectz00_bglt BgL_tmpz00_16627;

												BgL_tmpz00_16627 =
													((BgL_objectz00_bglt) BgL_new1559z00_10381);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16627, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1559z00_10381);
											BgL_auxz00_16622 = BgL_new1559z00_10381;
										}
										BgL_tmp1560z00_10379 =
											((BgL_rtl_insz00_bglt) BgL_auxz00_16622);
									}
									BgL_wide1561z00_10380 =
										((BgL_rtl_inszf2bbvzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_rtl_inszf2bbvzf2_bgl))));
									{	/* SawBbv/bbv-specialize.scm 886 */
										obj_t BgL_auxz00_16635;
										BgL_objectz00_bglt BgL_tmpz00_16633;

										BgL_auxz00_16635 = ((obj_t) BgL_wide1561z00_10380);
										BgL_tmpz00_16633 =
											((BgL_objectz00_bglt) BgL_tmp1560z00_10379);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16633, BgL_auxz00_16635);
									}
									((BgL_objectz00_bglt) BgL_tmp1560z00_10379);
									{	/* SawBbv/bbv-specialize.scm 886 */
										long BgL_arg3274z00_10383;

										BgL_arg3274z00_10383 =
											BGL_CLASS_NUM(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_tmp1560z00_10379),
											BgL_arg3274z00_10383);
									}
									BgL_new1552z00_10378 =
										((BgL_rtl_insz00_bglt) BgL_tmp1560z00_10379);
								}
								((((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_new1552z00_10378)))->
										BgL_locz00) =
									((obj_t) (((BgL_rtl_insz00_bglt)
												COBJECT(((BgL_rtl_insz00_bglt) BgL_iz00_9844)))->
											BgL_locz00)), BUNSPEC);
								((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
													BgL_new1552z00_10378)))->BgL_z52spillz52) =
									((obj_t) (((BgL_rtl_insz00_bglt)
												COBJECT(((BgL_rtl_insz00_bglt) BgL_iz00_9844)))->
											BgL_z52spillz52)), BUNSPEC);
								((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
													BgL_new1552z00_10378)))->BgL_destz00) =
									((obj_t) (((BgL_rtl_insz00_bglt)
												COBJECT(((BgL_rtl_insz00_bglt) BgL_iz00_9844)))->
											BgL_destz00)), BUNSPEC);
								{
									BgL_rtl_funz00_bglt BgL_auxz00_16655;

									{	/* SawBbv/bbv-specialize.scm 888 */
										BgL_rtl_funz00_bglt BgL_duplicated1564z00_10384;
										BgL_rtl_loadgz00_bglt BgL_new1562z00_10385;

										BgL_duplicated1564z00_10384 =
											(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_iz00_9844)))->BgL_funz00);
										{	/* SawBbv/bbv-specialize.scm 888 */
											BgL_rtl_loadgz00_bglt BgL_new1566z00_10386;

											BgL_new1566z00_10386 =
												((BgL_rtl_loadgz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_rtl_loadgz00_bgl))));
											{	/* SawBbv/bbv-specialize.scm 888 */
												long BgL_arg3273z00_10387;

												{	/* SawBbv/bbv-specialize.scm 888 */
													obj_t BgL_classz00_10388;

													BgL_classz00_10388 = BGl_rtl_loadgz00zzsaw_defsz00;
													BgL_arg3273z00_10387 =
														BGL_CLASS_NUM(BgL_classz00_10388);
												}
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1566z00_10386),
													BgL_arg3273z00_10387);
											}
											BgL_new1562z00_10385 = BgL_new1566z00_10386;
										}
										((((BgL_rtl_funz00_bglt) COBJECT(
														((BgL_rtl_funz00_bglt) BgL_new1562z00_10385)))->
												BgL_locz00) =
											((obj_t) (((BgL_rtl_funz00_bglt)
														COBJECT(BgL_duplicated1564z00_10384))->BgL_locz00)),
											BUNSPEC);
										((((BgL_rtl_loadgz00_bglt) COBJECT(BgL_new1562z00_10385))->
												BgL_varz00) =
											((BgL_globalz00_bglt) (((BgL_rtl_loadgz00_bglt)
														COBJECT(((BgL_rtl_loadgz00_bglt)
																BgL_duplicated1564z00_10384)))->BgL_varz00)),
											BUNSPEC);
										BgL_auxz00_16655 =
											((BgL_rtl_funz00_bglt) BgL_new1562z00_10385);
									}
									((((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_new1552z00_10378)))->
											BgL_funz00) =
										((BgL_rtl_funz00_bglt) BgL_auxz00_16655), BUNSPEC);
								}
								((((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_new1552z00_10378)))->
										BgL_argsz00) =
									((obj_t) (((BgL_rtl_insz00_bglt)
												COBJECT(((BgL_rtl_insz00_bglt) BgL_iz00_9844)))->
											BgL_argsz00)), BUNSPEC);
								{
									obj_t BgL_auxz00_16681;
									BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_16675;

									{
										BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_16682;

										{
											obj_t BgL_auxz00_16683;

											{	/* SawBbv/bbv-specialize.scm 888 */
												BgL_objectz00_bglt BgL_tmpz00_16684;

												BgL_tmpz00_16684 =
													((BgL_objectz00_bglt)
													((BgL_rtl_insz00_bglt)
														((BgL_rtl_insz00_bglt) BgL_iz00_9844)));
												BgL_auxz00_16683 =
													BGL_OBJECT_WIDENING(BgL_tmpz00_16684);
											}
											BgL_auxz00_16682 =
												((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_16683);
										}
										BgL_auxz00_16681 =
											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_16682))->
											BgL_defz00);
									}
									{
										obj_t BgL_auxz00_16676;

										{	/* SawBbv/bbv-specialize.scm 888 */
											BgL_objectz00_bglt BgL_tmpz00_16677;

											BgL_tmpz00_16677 =
												((BgL_objectz00_bglt) BgL_new1552z00_10378);
											BgL_auxz00_16676 = BGL_OBJECT_WIDENING(BgL_tmpz00_16677);
										}
										BgL_auxz00_16675 =
											((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_16676);
									}
									((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_16675))->
											BgL_defz00) = ((obj_t) BgL_auxz00_16681), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_16698;
									BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_16692;

									{
										BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_16699;

										{
											obj_t BgL_auxz00_16700;

											{	/* SawBbv/bbv-specialize.scm 888 */
												BgL_objectz00_bglt BgL_tmpz00_16701;

												BgL_tmpz00_16701 =
													((BgL_objectz00_bglt)
													((BgL_rtl_insz00_bglt)
														((BgL_rtl_insz00_bglt) BgL_iz00_9844)));
												BgL_auxz00_16700 =
													BGL_OBJECT_WIDENING(BgL_tmpz00_16701);
											}
											BgL_auxz00_16699 =
												((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_16700);
										}
										BgL_auxz00_16698 =
											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_16699))->
											BgL_outz00);
									}
									{
										obj_t BgL_auxz00_16693;

										{	/* SawBbv/bbv-specialize.scm 888 */
											BgL_objectz00_bglt BgL_tmpz00_16694;

											BgL_tmpz00_16694 =
												((BgL_objectz00_bglt) BgL_new1552z00_10378);
											BgL_auxz00_16693 = BGL_OBJECT_WIDENING(BgL_tmpz00_16694);
										}
										BgL_auxz00_16692 =
											((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_16693);
									}
									((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_16692))->
											BgL_outz00) = ((obj_t) BgL_auxz00_16698), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_16715;
									BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_16709;

									{
										BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_16716;

										{
											obj_t BgL_auxz00_16717;

											{	/* SawBbv/bbv-specialize.scm 888 */
												BgL_objectz00_bglt BgL_tmpz00_16718;

												BgL_tmpz00_16718 =
													((BgL_objectz00_bglt)
													((BgL_rtl_insz00_bglt)
														((BgL_rtl_insz00_bglt) BgL_iz00_9844)));
												BgL_auxz00_16717 =
													BGL_OBJECT_WIDENING(BgL_tmpz00_16718);
											}
											BgL_auxz00_16716 =
												((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_16717);
										}
										BgL_auxz00_16715 =
											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_16716))->
											BgL_inz00);
									}
									{
										obj_t BgL_auxz00_16710;

										{	/* SawBbv/bbv-specialize.scm 888 */
											BgL_objectz00_bglt BgL_tmpz00_16711;

											BgL_tmpz00_16711 =
												((BgL_objectz00_bglt) BgL_new1552z00_10378);
											BgL_auxz00_16710 = BGL_OBJECT_WIDENING(BgL_tmpz00_16711);
										}
										BgL_auxz00_16709 =
											((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_16710);
									}
									((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_16709))->
											BgL_inz00) = ((obj_t) BgL_auxz00_16715), BUNSPEC);
								}
								{
									BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_16726;

									{
										obj_t BgL_auxz00_16727;

										{	/* SawBbv/bbv-specialize.scm 887 */
											BgL_objectz00_bglt BgL_tmpz00_16728;

											BgL_tmpz00_16728 =
												((BgL_objectz00_bglt) BgL_new1552z00_10378);
											BgL_auxz00_16727 = BGL_OBJECT_WIDENING(BgL_tmpz00_16728);
										}
										BgL_auxz00_16726 =
											((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_16727);
									}
									((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_16726))->
											BgL_ctxz00) =
										((BgL_bbvzd2ctxzd2_bglt) ((BgL_bbvzd2ctxzd2_bglt)
												BgL_ctxz00_9847)), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_16740;
									BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_16734;

									{
										BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_16741;

										{
											obj_t BgL_auxz00_16742;

											{	/* SawBbv/bbv-specialize.scm 887 */
												BgL_objectz00_bglt BgL_tmpz00_16743;

												BgL_tmpz00_16743 =
													((BgL_objectz00_bglt)
													((BgL_rtl_insz00_bglt)
														((BgL_rtl_insz00_bglt) BgL_iz00_9844)));
												BgL_auxz00_16742 =
													BGL_OBJECT_WIDENING(BgL_tmpz00_16743);
											}
											BgL_auxz00_16741 =
												((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_16742);
										}
										BgL_auxz00_16740 =
											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_16741))->
											BgL_z52hashz52);
									}
									{
										obj_t BgL_auxz00_16735;

										{	/* SawBbv/bbv-specialize.scm 887 */
											BgL_objectz00_bglt BgL_tmpz00_16736;

											BgL_tmpz00_16736 =
												((BgL_objectz00_bglt) BgL_new1552z00_10378);
											BgL_auxz00_16735 = BGL_OBJECT_WIDENING(BgL_tmpz00_16736);
										}
										BgL_auxz00_16734 =
											((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_16735);
									}
									((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_16734))->
											BgL_z52hashz52) = ((obj_t) BgL_auxz00_16740), BUNSPEC);
								}
								BgL_sz00_10377 = BgL_new1552z00_10378;
							}
							{	/* SawBbv/bbv-specialize.scm 886 */
								bool_t BgL_roz00_10389;

								{	/* SawBbv/bbv-specialize.scm 889 */
									bool_t BgL__ortest_1567z00_10390;

									BgL__ortest_1567z00_10390 =
										BGl_globalzd2readzd2onlyzf3zf3zzast_varz00(
										(((BgL_rtl_loadgz00_bglt) COBJECT(BgL_i1550z00_10375))->
											BgL_varz00));
									if (BgL__ortest_1567z00_10390)
										{	/* SawBbv/bbv-specialize.scm 889 */
											BgL_roz00_10389 = BgL__ortest_1567z00_10390;
										}
									else
										{	/* SawBbv/bbv-specialize.scm 889 */
											if (
												((((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	(((BgL_rtl_loadgz00_bglt)
																			COBJECT(BgL_i1550z00_10375))->
																		BgL_varz00))))->BgL_occurrencewz00) == 1L))
												{	/* SawBbv/bbv-specialize.scm 891 */
													bool_t BgL_test4630z00_16759;

													{	/* SawBbv/bbv-specialize.scm 891 */
														obj_t BgL_arg3266z00_10391;

														BgL_arg3266z00_10391 =
															((obj_t)
															(((BgL_variablez00_bglt)
																	COBJECT(BgL_i1551z00_10376))->BgL_typez00));
														BgL_test4630z00_16759 =
															(BgL_arg3266z00_10391 ==
															BGl_za2objza2z00zztype_cachez00);
													}
													if (BgL_test4630z00_16759)
														{	/* SawBbv/bbv-specialize.scm 891 */
															BgL_roz00_10389 = ((bool_t) 0);
														}
													else
														{	/* SawBbv/bbv-specialize.scm 891 */
															BgL_roz00_10389 = ((bool_t) 1);
														}
												}
											else
												{	/* SawBbv/bbv-specialize.scm 890 */
													BgL_roz00_10389 = ((bool_t) 0);
												}
										}
								}
								{	/* SawBbv/bbv-specialize.scm 889 */
									BgL_bbvzd2ctxzd2_bglt BgL_nctxz00_10392;

									{	/* SawBbv/bbv-specialize.scm 892 */
										obj_t BgL_arg3254z00_10393;
										obj_t BgL_arg3255z00_10394;

										BgL_arg3254z00_10393 =
											(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_iz00_9844)))->BgL_destz00);
										{	/* SawBbv/bbv-specialize.scm 892 */
											BgL_typez00_bglt BgL_arg3256z00_10395;

											BgL_arg3256z00_10395 =
												(((BgL_variablez00_bglt) COBJECT(BgL_i1551z00_10376))->
												BgL_typez00);
											{	/* SawBbv/bbv-specialize.scm 892 */
												obj_t BgL_list3257z00_10396;

												BgL_list3257z00_10396 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg3256z00_10395), BNIL);
												BgL_arg3255z00_10394 = BgL_list3257z00_10396;
											}
										}
										{	/* SawBbv/bbv-specialize.scm 892 */
											obj_t BgL_valuez00_10397;

											BgL_valuez00_10397 = ((obj_t) CNST_TABLE_REF(4));
											BgL_nctxz00_10392 =
												BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2(
												((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_9847),
												((BgL_rtl_regz00_bglt) BgL_arg3254z00_10393),
												BgL_arg3255z00_10394, ((bool_t) 1), BFALSE, BINT(1L),
												BgL_valuez00_10397);
										}
									}
									{	/* SawBbv/bbv-specialize.scm 892 */

										{	/* SawBbv/bbv-specialize.scm 894 */
											int BgL_tmpz00_16774;

											BgL_tmpz00_16774 = (int) (2L);
											BGL_MVALUES_NUMBER_SET(BgL_tmpz00_16774);
										}
										{	/* SawBbv/bbv-specialize.scm 894 */
											obj_t BgL_auxz00_16779;
											int BgL_tmpz00_16777;

											BgL_auxz00_16779 = ((obj_t) BgL_nctxz00_10392);
											BgL_tmpz00_16777 = (int) (1L);
											BGL_MVALUES_VAL_SET(BgL_tmpz00_16777, BgL_auxz00_16779);
										}
										BgL_auxz00_16616 = BgL_sz00_10377;
				}}}}}}
				return ((obj_t) BgL_auxz00_16616);
			}
		}

	}



/* rtl_ins-call-specialize? */
	obj_t
		BGl_rtl_inszd2callzd2specializa7ezf3z54zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt BgL_iz00_322)
	{
		{	/* SawBbv/bbv-specialize.scm 899 */
			if (BGl_rtl_inszd2callzf3z21zzsaw_bbvzd2typeszd2(BgL_iz00_322))
				{	/* SawBbv/bbv-specialize.scm 900 */
					return (((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_322))->BgL_destz00);
				}
			else
				{	/* SawBbv/bbv-specialize.scm 900 */
					return BFALSE;
				}
		}

	}



/* &rtl_ins-specialize-call */
	obj_t BGl_z62rtl_inszd2specializa7ezd2callzc5zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9849, obj_t BgL_iz00_9850, obj_t BgL_insz00_9851,
		obj_t BgL_bsz00_9852, obj_t BgL_ctxz00_9853, obj_t BgL_queuez00_9854)
	{
		{	/* SawBbv/bbv-specialize.scm 907 */
			{
				BgL_rtl_insz00_bglt BgL_auxz00_16786;

				{
					BgL_rtl_insz00_bglt BgL_iz00_10535;
					BgL_rtl_insz00_bglt BgL_iz00_10408;
					obj_t BgL_iz00_10404;

					{	/* SawBbv/bbv-specialize.scm 994 */
						BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_10536;

						{	/* SawBbv/bbv-specialize.scm 994 */
							obj_t BgL_arg3294z00_10537;

							BgL_arg3294z00_10537 =
								(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_iz00_9850)))->BgL_destz00);
							BgL_ctxz00_10536 =
								BGl_unaliaszd2ctxzd2zzsaw_bbvzd2typeszd2(
								((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_9853),
								((BgL_rtl_regz00_bglt) BgL_arg3294z00_10537));
						}
						{	/* SawBbv/bbv-specialize.scm 996 */
							BgL_rtl_callz00_bglt BgL_i1581z00_10538;

							BgL_i1581z00_10538 =
								((BgL_rtl_callz00_bglt)
								(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_iz00_9850)))->BgL_funz00));
							{	/* SawBbv/bbv-specialize.scm 997 */
								BgL_globalz00_bglt BgL_i1582z00_10539;

								BgL_i1582z00_10539 =
									(((BgL_rtl_callz00_bglt) COBJECT(BgL_i1581z00_10538))->
									BgL_varz00);
								{	/* SawBbv/bbv-specialize.scm 998 */
									BgL_rtl_insz00_bglt BgL_sz00_10540;

									{	/* SawBbv/bbv-specialize.scm 998 */
										BgL_rtl_insz00_bglt BgL_new1583z00_10541;

										{	/* SawBbv/bbv-specialize.scm 998 */
											BgL_rtl_insz00_bglt BgL_tmp1591z00_10542;
											BgL_rtl_inszf2bbvzf2_bglt BgL_wide1592z00_10543;

											{
												BgL_rtl_insz00_bglt BgL_auxz00_16796;

												{	/* SawBbv/bbv-specialize.scm 998 */
													BgL_rtl_insz00_bglt BgL_new1590z00_10544;

													BgL_new1590z00_10544 =
														((BgL_rtl_insz00_bglt)
														BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_rtl_insz00_bgl))));
													{	/* SawBbv/bbv-specialize.scm 998 */
														long BgL_arg3293z00_10545;

														BgL_arg3293z00_10545 =
															BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1590z00_10544),
															BgL_arg3293z00_10545);
													}
													{	/* SawBbv/bbv-specialize.scm 998 */
														BgL_objectz00_bglt BgL_tmpz00_16801;

														BgL_tmpz00_16801 =
															((BgL_objectz00_bglt) BgL_new1590z00_10544);
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16801, BFALSE);
													}
													((BgL_objectz00_bglt) BgL_new1590z00_10544);
													BgL_auxz00_16796 = BgL_new1590z00_10544;
												}
												BgL_tmp1591z00_10542 =
													((BgL_rtl_insz00_bglt) BgL_auxz00_16796);
											}
											BgL_wide1592z00_10543 =
												((BgL_rtl_inszf2bbvzf2_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_rtl_inszf2bbvzf2_bgl))));
											{	/* SawBbv/bbv-specialize.scm 998 */
												obj_t BgL_auxz00_16809;
												BgL_objectz00_bglt BgL_tmpz00_16807;

												BgL_auxz00_16809 = ((obj_t) BgL_wide1592z00_10543);
												BgL_tmpz00_16807 =
													((BgL_objectz00_bglt) BgL_tmp1591z00_10542);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16807,
													BgL_auxz00_16809);
											}
											((BgL_objectz00_bglt) BgL_tmp1591z00_10542);
											{	/* SawBbv/bbv-specialize.scm 998 */
												long BgL_arg3291z00_10546;

												BgL_arg3291z00_10546 =
													BGL_CLASS_NUM
													(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
												BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
														BgL_tmp1591z00_10542), BgL_arg3291z00_10546);
											}
											BgL_new1583z00_10541 =
												((BgL_rtl_insz00_bglt) BgL_tmp1591z00_10542);
										}
										((((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_new1583z00_10541)))->
												BgL_locz00) =
											((obj_t) (((BgL_rtl_insz00_bglt)
														COBJECT(((BgL_rtl_insz00_bglt) BgL_iz00_9850)))->
													BgL_locz00)), BUNSPEC);
										((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
															BgL_new1583z00_10541)))->BgL_z52spillz52) =
											((obj_t) (((BgL_rtl_insz00_bglt)
														COBJECT(((BgL_rtl_insz00_bglt) BgL_iz00_9850)))->
													BgL_z52spillz52)), BUNSPEC);
										((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
															BgL_new1583z00_10541)))->BgL_destz00) =
											((obj_t) (((BgL_rtl_insz00_bglt)
														COBJECT(((BgL_rtl_insz00_bglt) BgL_iz00_9850)))->
													BgL_destz00)), BUNSPEC);
										{
											BgL_rtl_funz00_bglt BgL_auxz00_16829;

											{	/* SawBbv/bbv-specialize.scm 1000 */
												BgL_rtl_funz00_bglt BgL_duplicated1595z00_10547;
												BgL_rtl_callz00_bglt BgL_new1593z00_10548;

												BgL_duplicated1595z00_10547 =
													(((BgL_rtl_insz00_bglt) COBJECT(
															((BgL_rtl_insz00_bglt) BgL_iz00_9850)))->
													BgL_funz00);
												{	/* SawBbv/bbv-specialize.scm 1000 */
													BgL_rtl_callz00_bglt BgL_new1597z00_10549;

													BgL_new1597z00_10549 =
														((BgL_rtl_callz00_bglt)
														BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_rtl_callz00_bgl))));
													{	/* SawBbv/bbv-specialize.scm 1000 */
														long BgL_arg3290z00_10550;

														{	/* SawBbv/bbv-specialize.scm 1000 */
															obj_t BgL_classz00_10551;

															BgL_classz00_10551 = BGl_rtl_callz00zzsaw_defsz00;
															BgL_arg3290z00_10550 =
																BGL_CLASS_NUM(BgL_classz00_10551);
														}
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1597z00_10549),
															BgL_arg3290z00_10550);
													}
													BgL_new1593z00_10548 = BgL_new1597z00_10549;
												}
												((((BgL_rtl_funz00_bglt) COBJECT(
																((BgL_rtl_funz00_bglt) BgL_new1593z00_10548)))->
														BgL_locz00) =
													((obj_t) (((BgL_rtl_funz00_bglt)
																COBJECT(BgL_duplicated1595z00_10547))->
															BgL_locz00)), BUNSPEC);
												((((BgL_rtl_callz00_bglt)
															COBJECT(BgL_new1593z00_10548))->BgL_varz00) =
													((BgL_globalz00_bglt) (((BgL_rtl_callz00_bglt)
																COBJECT(((BgL_rtl_callz00_bglt)
																		BgL_duplicated1595z00_10547)))->
															BgL_varz00)), BUNSPEC);
												BgL_auxz00_16829 =
													((BgL_rtl_funz00_bglt) BgL_new1593z00_10548);
											}
											((((BgL_rtl_insz00_bglt) COBJECT(
															((BgL_rtl_insz00_bglt) BgL_new1583z00_10541)))->
													BgL_funz00) =
												((BgL_rtl_funz00_bglt) BgL_auxz00_16829), BUNSPEC);
										}
										((((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_new1583z00_10541)))->
												BgL_argsz00) =
											((obj_t) (((BgL_rtl_insz00_bglt)
														COBJECT(((BgL_rtl_insz00_bglt) BgL_iz00_9850)))->
													BgL_argsz00)), BUNSPEC);
										{
											obj_t BgL_auxz00_16855;
											BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_16849;

											{
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_16856;

												{
													obj_t BgL_auxz00_16857;

													{	/* SawBbv/bbv-specialize.scm 1000 */
														BgL_objectz00_bglt BgL_tmpz00_16858;

														BgL_tmpz00_16858 =
															((BgL_objectz00_bglt)
															((BgL_rtl_insz00_bglt)
																((BgL_rtl_insz00_bglt) BgL_iz00_9850)));
														BgL_auxz00_16857 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_16858);
													}
													BgL_auxz00_16856 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_16857);
												}
												BgL_auxz00_16855 =
													(((BgL_rtl_inszf2bbvzf2_bglt)
														COBJECT(BgL_auxz00_16856))->BgL_defz00);
											}
											{
												obj_t BgL_auxz00_16850;

												{	/* SawBbv/bbv-specialize.scm 1000 */
													BgL_objectz00_bglt BgL_tmpz00_16851;

													BgL_tmpz00_16851 =
														((BgL_objectz00_bglt) BgL_new1583z00_10541);
													BgL_auxz00_16850 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_16851);
												}
												BgL_auxz00_16849 =
													((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_16850);
											}
											((((BgL_rtl_inszf2bbvzf2_bglt)
														COBJECT(BgL_auxz00_16849))->BgL_defz00) =
												((obj_t) BgL_auxz00_16855), BUNSPEC);
										}
										{
											obj_t BgL_auxz00_16872;
											BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_16866;

											{
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_16873;

												{
													obj_t BgL_auxz00_16874;

													{	/* SawBbv/bbv-specialize.scm 1000 */
														BgL_objectz00_bglt BgL_tmpz00_16875;

														BgL_tmpz00_16875 =
															((BgL_objectz00_bglt)
															((BgL_rtl_insz00_bglt)
																((BgL_rtl_insz00_bglt) BgL_iz00_9850)));
														BgL_auxz00_16874 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_16875);
													}
													BgL_auxz00_16873 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_16874);
												}
												BgL_auxz00_16872 =
													(((BgL_rtl_inszf2bbvzf2_bglt)
														COBJECT(BgL_auxz00_16873))->BgL_outz00);
											}
											{
												obj_t BgL_auxz00_16867;

												{	/* SawBbv/bbv-specialize.scm 1000 */
													BgL_objectz00_bglt BgL_tmpz00_16868;

													BgL_tmpz00_16868 =
														((BgL_objectz00_bglt) BgL_new1583z00_10541);
													BgL_auxz00_16867 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_16868);
												}
												BgL_auxz00_16866 =
													((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_16867);
											}
											((((BgL_rtl_inszf2bbvzf2_bglt)
														COBJECT(BgL_auxz00_16866))->BgL_outz00) =
												((obj_t) BgL_auxz00_16872), BUNSPEC);
										}
										{
											obj_t BgL_auxz00_16889;
											BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_16883;

											{
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_16890;

												{
													obj_t BgL_auxz00_16891;

													{	/* SawBbv/bbv-specialize.scm 1000 */
														BgL_objectz00_bglt BgL_tmpz00_16892;

														BgL_tmpz00_16892 =
															((BgL_objectz00_bglt)
															((BgL_rtl_insz00_bglt)
																((BgL_rtl_insz00_bglt) BgL_iz00_9850)));
														BgL_auxz00_16891 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_16892);
													}
													BgL_auxz00_16890 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_16891);
												}
												BgL_auxz00_16889 =
													(((BgL_rtl_inszf2bbvzf2_bglt)
														COBJECT(BgL_auxz00_16890))->BgL_inz00);
											}
											{
												obj_t BgL_auxz00_16884;

												{	/* SawBbv/bbv-specialize.scm 1000 */
													BgL_objectz00_bglt BgL_tmpz00_16885;

													BgL_tmpz00_16885 =
														((BgL_objectz00_bglt) BgL_new1583z00_10541);
													BgL_auxz00_16884 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_16885);
												}
												BgL_auxz00_16883 =
													((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_16884);
											}
											((((BgL_rtl_inszf2bbvzf2_bglt)
														COBJECT(BgL_auxz00_16883))->BgL_inz00) =
												((obj_t) BgL_auxz00_16889), BUNSPEC);
										}
										{
											BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_16900;

											{
												obj_t BgL_auxz00_16901;

												{	/* SawBbv/bbv-specialize.scm 999 */
													BgL_objectz00_bglt BgL_tmpz00_16902;

													BgL_tmpz00_16902 =
														((BgL_objectz00_bglt) BgL_new1583z00_10541);
													BgL_auxz00_16901 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_16902);
												}
												BgL_auxz00_16900 =
													((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_16901);
											}
											((((BgL_rtl_inszf2bbvzf2_bglt)
														COBJECT(BgL_auxz00_16900))->BgL_ctxz00) =
												((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_10536), BUNSPEC);
										}
										{
											obj_t BgL_auxz00_16913;
											BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_16907;

											{
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_16914;

												{
													obj_t BgL_auxz00_16915;

													{	/* SawBbv/bbv-specialize.scm 999 */
														BgL_objectz00_bglt BgL_tmpz00_16916;

														BgL_tmpz00_16916 =
															((BgL_objectz00_bglt)
															((BgL_rtl_insz00_bglt)
																((BgL_rtl_insz00_bglt) BgL_iz00_9850)));
														BgL_auxz00_16915 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_16916);
													}
													BgL_auxz00_16914 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_16915);
												}
												BgL_auxz00_16913 =
													(((BgL_rtl_inszf2bbvzf2_bglt)
														COBJECT(BgL_auxz00_16914))->BgL_z52hashz52);
											}
											{
												obj_t BgL_auxz00_16908;

												{	/* SawBbv/bbv-specialize.scm 999 */
													BgL_objectz00_bglt BgL_tmpz00_16909;

													BgL_tmpz00_16909 =
														((BgL_objectz00_bglt) BgL_new1583z00_10541);
													BgL_auxz00_16908 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_16909);
												}
												BgL_auxz00_16907 =
													((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_16908);
											}
											((((BgL_rtl_inszf2bbvzf2_bglt)
														COBJECT(BgL_auxz00_16907))->BgL_z52hashz52) =
												((obj_t) BgL_auxz00_16913), BUNSPEC);
										}
										BgL_sz00_10540 = BgL_new1583z00_10541;
									}
									{	/* SawBbv/bbv-specialize.scm 998 */
										obj_t BgL_nvz00_10552;

										BgL_iz00_10535 = ((BgL_rtl_insz00_bglt) BgL_iz00_9850);
										if (BGl_rtl_inszd2strlenzf3z21zzsaw_bbvzd2typeszd2
											(BgL_iz00_10535))
											{	/* SawBbv/bbv-specialize.scm 984 */
												BgL_nvz00_10552 =
													BGl_rtlzd2rangezd2zzsaw_bbvzd2rangezd2(
													((obj_t) BgL_iz00_10535),
													((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_9853));
											}
										else
											{	/* SawBbv/bbv-specialize.scm 984 */
												if (BGl_rtl_inszd2callzf3z21zzsaw_bbvzd2typeszd2
													(BgL_iz00_10535))
													{	/* SawBbv/bbv-specialize.scm 985 */
														BgL_iz00_10408 = BgL_iz00_10535;
														{	/* SawBbv/bbv-specialize.scm 917 */
															BgL_rtl_callz00_bglt BgL_i1574z00_10409;

															BgL_i1574z00_10409 =
																((BgL_rtl_callz00_bglt)
																(((BgL_rtl_insz00_bglt)
																		COBJECT(BgL_iz00_10408))->BgL_funz00));
															{	/* SawBbv/bbv-specialize.scm 920 */
																bool_t BgL_test4634z00_16933;

																{	/* SawBbv/bbv-specialize.scm 920 */
																	obj_t BgL_arg3371z00_10410;

																	BgL_arg3371z00_10410 =
																		((obj_t)
																		(((BgL_rtl_callz00_bglt)
																				COBJECT(BgL_i1574z00_10409))->
																			BgL_varz00));
																	BgL_test4634z00_16933 =
																		(BgL_arg3371z00_10410 ==
																		BGl_za2bintzd2ze3longza2z31zzsaw_bbvzd2cachezd2);
																}
																if (BgL_test4634z00_16933)
																	{	/* SawBbv/bbv-specialize.scm 923 */
																		bool_t BgL_test4635z00_16937;

																		{	/* SawBbv/bbv-specialize.scm 923 */
																			obj_t BgL_arg3324z00_10411;

																			BgL_arg3324z00_10411 =
																				CAR(
																				(((BgL_rtl_insz00_bglt)
																						COBJECT(BgL_iz00_10408))->
																					BgL_argsz00));
																			{	/* SawBbv/bbv-specialize.scm 923 */
																				obj_t BgL_classz00_10412;

																				BgL_classz00_10412 =
																					BGl_rtl_regz00zzsaw_defsz00;
																				if (BGL_OBJECTP(BgL_arg3324z00_10411))
																					{	/* SawBbv/bbv-specialize.scm 923 */
																						BgL_objectz00_bglt
																							BgL_arg1858z00_10413;
																						BgL_arg1858z00_10413 =
																							(BgL_objectz00_bglt)
																							(BgL_arg3324z00_10411);
																						if (BGL_CONDEXPAND_ISA_ARCH64())
																							{	/* SawBbv/bbv-specialize.scm 923 */
																								long BgL_idxz00_10414;

																								BgL_idxz00_10414 =
																									BGL_OBJECT_INHERITANCE_NUM
																									(BgL_arg1858z00_10413);
																								BgL_test4635z00_16937 =
																									(VECTOR_REF
																									(BGl_za2inheritancesza2z00zz__objectz00,
																										(BgL_idxz00_10414 + 1L)) ==
																									BgL_classz00_10412);
																							}
																						else
																							{	/* SawBbv/bbv-specialize.scm 923 */
																								bool_t BgL_res4114z00_10417;

																								{	/* SawBbv/bbv-specialize.scm 923 */
																									obj_t BgL_oclassz00_10418;

																									{	/* SawBbv/bbv-specialize.scm 923 */
																										obj_t BgL_arg1866z00_10419;
																										long BgL_arg1867z00_10420;

																										BgL_arg1866z00_10419 =
																											(BGl_za2classesza2z00zz__objectz00);
																										{	/* SawBbv/bbv-specialize.scm 923 */
																											long BgL_arg1869z00_10421;

																											BgL_arg1869z00_10421 =
																												BGL_OBJECT_CLASS_NUM
																												(BgL_arg1858z00_10413);
																											BgL_arg1867z00_10420 =
																												(BgL_arg1869z00_10421 -
																												OBJECT_TYPE);
																										}
																										BgL_oclassz00_10418 =
																											VECTOR_REF
																											(BgL_arg1866z00_10419,
																											BgL_arg1867z00_10420);
																									}
																									{	/* SawBbv/bbv-specialize.scm 923 */
																										bool_t
																											BgL__ortest_1115z00_10422;
																										BgL__ortest_1115z00_10422 =
																											(BgL_classz00_10412 ==
																											BgL_oclassz00_10418);
																										if (BgL__ortest_1115z00_10422)
																											{	/* SawBbv/bbv-specialize.scm 923 */
																												BgL_res4114z00_10417 =
																													BgL__ortest_1115z00_10422;
																											}
																										else
																											{	/* SawBbv/bbv-specialize.scm 923 */
																												long
																													BgL_odepthz00_10423;
																												{	/* SawBbv/bbv-specialize.scm 923 */
																													obj_t
																														BgL_arg1855z00_10424;
																													BgL_arg1855z00_10424 =
																														(BgL_oclassz00_10418);
																													BgL_odepthz00_10423 =
																														BGL_CLASS_DEPTH
																														(BgL_arg1855z00_10424);
																												}
																												if (
																													(1L <
																														BgL_odepthz00_10423))
																													{	/* SawBbv/bbv-specialize.scm 923 */
																														obj_t
																															BgL_arg1853z00_10425;
																														{	/* SawBbv/bbv-specialize.scm 923 */
																															obj_t
																																BgL_arg1854z00_10426;
																															BgL_arg1854z00_10426
																																=
																																(BgL_oclassz00_10418);
																															BgL_arg1853z00_10425
																																=
																																BGL_CLASS_ANCESTORS_REF
																																(BgL_arg1854z00_10426,
																																1L);
																														}
																														BgL_res4114z00_10417
																															=
																															(BgL_arg1853z00_10425
																															==
																															BgL_classz00_10412);
																													}
																												else
																													{	/* SawBbv/bbv-specialize.scm 923 */
																														BgL_res4114z00_10417
																															= ((bool_t) 0);
																													}
																											}
																									}
																								}
																								BgL_test4635z00_16937 =
																									BgL_res4114z00_10417;
																							}
																					}
																				else
																					{	/* SawBbv/bbv-specialize.scm 923 */
																						BgL_test4635z00_16937 =
																							((bool_t) 0);
																					}
																			}
																		}
																		if (BgL_test4635z00_16937)
																			{	/* SawBbv/bbv-specialize.scm 924 */
																				obj_t BgL_ez00_10427;

																				{	/* SawBbv/bbv-specialize.scm 924 */
																					obj_t BgL_arg3313z00_10428;

																					BgL_arg3313z00_10428 =
																						CAR(
																						(((BgL_rtl_insz00_bglt)
																								COBJECT(BgL_iz00_10408))->
																							BgL_argsz00));
																					BgL_ez00_10427 =
																						BGl_bbvzd2ctxzd2getz00zzsaw_bbvzd2typeszd2
																						(((BgL_bbvzd2ctxzd2_bglt)
																							BgL_ctxz00_9853),
																						((BgL_rtl_regz00_bglt)
																							BgL_arg3313z00_10428));
																				}
																				{	/* SawBbv/bbv-specialize.scm 925 */
																					bool_t BgL_test4640z00_16967;

																					if (CBOOL(BgL_ez00_10427))
																						{	/* SawBbv/bbv-specialize.scm 925 */
																							obj_t BgL_arg3312z00_10429;

																							BgL_arg3312z00_10429 =
																								(((BgL_bbvzd2ctxentryzd2_bglt)
																									COBJECT((
																											(BgL_bbvzd2ctxentryzd2_bglt)
																											BgL_ez00_10427)))->
																								BgL_valuez00);
																							{	/* SawBbv/bbv-specialize.scm 925 */
																								obj_t BgL_classz00_10430;

																								BgL_classz00_10430 =
																									BGl_bbvzd2rangezd2zzsaw_bbvzd2rangezd2;
																								if (BGL_OBJECTP
																									(BgL_arg3312z00_10429))
																									{	/* SawBbv/bbv-specialize.scm 925 */
																										BgL_objectz00_bglt
																											BgL_arg1858z00_10431;
																										BgL_arg1858z00_10431 =
																											(BgL_objectz00_bglt)
																											(BgL_arg3312z00_10429);
																										if (BGL_CONDEXPAND_ISA_ARCH64())
																											{	/* SawBbv/bbv-specialize.scm 925 */
																												long BgL_idxz00_10432;

																												BgL_idxz00_10432 =
																													BGL_OBJECT_INHERITANCE_NUM
																													(BgL_arg1858z00_10431);
																												BgL_test4640z00_16967 =
																													(VECTOR_REF
																													(BGl_za2inheritancesza2z00zz__objectz00,
																														(BgL_idxz00_10432 +
																															1L)) ==
																													BgL_classz00_10430);
																											}
																										else
																											{	/* SawBbv/bbv-specialize.scm 925 */
																												bool_t
																													BgL_res4115z00_10435;
																												{	/* SawBbv/bbv-specialize.scm 925 */
																													obj_t
																														BgL_oclassz00_10436;
																													{	/* SawBbv/bbv-specialize.scm 925 */
																														obj_t
																															BgL_arg1866z00_10437;
																														long
																															BgL_arg1867z00_10438;
																														BgL_arg1866z00_10437
																															=
																															(BGl_za2classesza2z00zz__objectz00);
																														{	/* SawBbv/bbv-specialize.scm 925 */
																															long
																																BgL_arg1869z00_10439;
																															BgL_arg1869z00_10439
																																=
																																BGL_OBJECT_CLASS_NUM
																																(BgL_arg1858z00_10431);
																															BgL_arg1867z00_10438
																																=
																																(BgL_arg1869z00_10439
																																- OBJECT_TYPE);
																														}
																														BgL_oclassz00_10436
																															=
																															VECTOR_REF
																															(BgL_arg1866z00_10437,
																															BgL_arg1867z00_10438);
																													}
																													{	/* SawBbv/bbv-specialize.scm 925 */
																														bool_t
																															BgL__ortest_1115z00_10440;
																														BgL__ortest_1115z00_10440
																															=
																															(BgL_classz00_10430
																															==
																															BgL_oclassz00_10436);
																														if (BgL__ortest_1115z00_10440)
																															{	/* SawBbv/bbv-specialize.scm 925 */
																																BgL_res4115z00_10435
																																	=
																																	BgL__ortest_1115z00_10440;
																															}
																														else
																															{	/* SawBbv/bbv-specialize.scm 925 */
																																long
																																	BgL_odepthz00_10441;
																																{	/* SawBbv/bbv-specialize.scm 925 */
																																	obj_t
																																		BgL_arg1855z00_10442;
																																	BgL_arg1855z00_10442
																																		=
																																		(BgL_oclassz00_10436);
																																	BgL_odepthz00_10441
																																		=
																																		BGL_CLASS_DEPTH
																																		(BgL_arg1855z00_10442);
																																}
																																if (
																																	(1L <
																																		BgL_odepthz00_10441))
																																	{	/* SawBbv/bbv-specialize.scm 925 */
																																		obj_t
																																			BgL_arg1853z00_10443;
																																		{	/* SawBbv/bbv-specialize.scm 925 */
																																			obj_t
																																				BgL_arg1854z00_10444;
																																			BgL_arg1854z00_10444
																																				=
																																				(BgL_oclassz00_10436);
																																			BgL_arg1853z00_10443
																																				=
																																				BGL_CLASS_ANCESTORS_REF
																																				(BgL_arg1854z00_10444,
																																				1L);
																																		}
																																		BgL_res4115z00_10435
																																			=
																																			(BgL_arg1853z00_10443
																																			==
																																			BgL_classz00_10430);
																																	}
																																else
																																	{	/* SawBbv/bbv-specialize.scm 925 */
																																		BgL_res4115z00_10435
																																			=
																																			((bool_t)
																																			0);
																																	}
																															}
																													}
																												}
																												BgL_test4640z00_16967 =
																													BgL_res4115z00_10435;
																											}
																									}
																								else
																									{	/* SawBbv/bbv-specialize.scm 925 */
																										BgL_test4640z00_16967 =
																											((bool_t) 0);
																									}
																							}
																						}
																					else
																						{	/* SawBbv/bbv-specialize.scm 925 */
																							BgL_test4640z00_16967 =
																								((bool_t) 0);
																						}
																					if (BgL_test4640z00_16967)
																						{	/* SawBbv/bbv-specialize.scm 925 */
																							BgL_nvz00_10552 =
																								(((BgL_bbvzd2ctxentryzd2_bglt)
																									COBJECT((
																											(BgL_bbvzd2ctxentryzd2_bglt)
																											BgL_ez00_10427)))->
																								BgL_valuez00);
																						}
																					else
																						{	/* SawBbv/bbv-specialize.scm 925 */
																							BgL_nvz00_10552 =
																								((obj_t)
																								BGl_fixnumzd2rangezd2zzsaw_bbvzd2rangezd2
																								());
																						}
																				}
																			}
																		else
																			{	/* SawBbv/bbv-specialize.scm 928 */
																				bool_t BgL_test4646z00_16998;

																				{	/* SawBbv/bbv-specialize.scm 928 */
																					obj_t BgL_arg3321z00_10445;

																					BgL_arg3321z00_10445 =
																						CAR(
																						(((BgL_rtl_insz00_bglt)
																								COBJECT(BgL_iz00_10408))->
																							BgL_argsz00));
																					BgL_test4646z00_16998 =
																						BGl_rtl_inszd2loadizf3z21zzsaw_bbvzd2typeszd2
																						(((BgL_rtl_insz00_bglt)
																							BgL_arg3321z00_10445));
																				}
																				if (BgL_test4646z00_16998)
																					{	/* SawBbv/bbv-specialize.scm 928 */
																						BgL_iz00_10404 =
																							CAR(
																							(((BgL_rtl_insz00_bglt)
																									COBJECT(BgL_iz00_10408))->
																								BgL_argsz00));
																					BgL_newzd2valuezd2loadiz00_10401:
																						{	/* SawBbv/bbv-specialize.scm 911 */
																							BgL_rtl_loadiz00_bglt
																								BgL_i1571z00_10405;
																							BgL_i1571z00_10405 =
																								((BgL_rtl_loadiz00_bglt) ((
																										(BgL_rtl_insz00_bglt)
																										COBJECT((
																												(BgL_rtl_insz00_bglt)
																												BgL_iz00_10404)))->
																									BgL_funz00));
																							{	/* SawBbv/bbv-specialize.scm 912 */
																								BgL_atomz00_bglt
																									BgL_i1572z00_10406;
																								BgL_i1572z00_10406 =
																									(((BgL_rtl_loadiz00_bglt)
																										COBJECT
																										(BgL_i1571z00_10405))->
																									BgL_constantz00);
																								if (INTEGERP(((
																												(BgL_atomz00_bglt)
																												COBJECT
																												(BgL_i1572z00_10406))->
																											BgL_valuez00)))
																									{	/* SawBbv/bbv-specialize.scm 913 */
																										obj_t BgL_arg3299z00_10407;

																										BgL_arg3299z00_10407 =
																											(((BgL_atomz00_bglt)
																												COBJECT
																												(BgL_i1572z00_10406))->
																											BgL_valuez00);
																										BgL_nvz00_10552 =
																											((obj_t)
																											BGl_fixnumzd2ze3rangez31zzsaw_bbvzd2rangezd2
																											((long)
																												CINT
																												(BgL_arg3299z00_10407)));
																									}
																								else
																									{	/* SawBbv/bbv-specialize.scm 913 */
																										BgL_nvz00_10552 =
																											((obj_t)
																											CNST_TABLE_REF(4));
																									}
																							}
																						}
																					}
																				else
																					{	/* SawBbv/bbv-specialize.scm 928 */
																						BgL_nvz00_10552 =
																							((obj_t)
																							BGl_fixnumzd2rangezd2zzsaw_bbvzd2rangezd2
																							());
																					}
																			}
																	}
																else
																	{	/* SawBbv/bbv-specialize.scm 932 */
																		bool_t BgL_test4648z00_17020;

																		{	/* SawBbv/bbv-specialize.scm 932 */
																			obj_t BgL_arg3370z00_10446;

																			BgL_arg3370z00_10446 =
																				((obj_t)
																				(((BgL_rtl_callz00_bglt)
																						COBJECT(BgL_i1574z00_10409))->
																					BgL_varz00));
																			BgL_test4648z00_17020 =
																				(BgL_arg3370z00_10446 ==
																				BGl_za2longzd2ze3bintza2z31zzsaw_bbvzd2cachezd2);
																		}
																		if (BgL_test4648z00_17020)
																			{
																				obj_t BgL_argsz00_10448;

																				BgL_argsz00_10448 =
																					(((BgL_rtl_insz00_bglt)
																						COBJECT(BgL_iz00_10408))->
																					BgL_argsz00);
																			BgL_loopz00_10447:
																				{	/* SawBbv/bbv-specialize.scm 936 */
																					bool_t BgL_test4649z00_17024;

																					{	/* SawBbv/bbv-specialize.scm 936 */
																						obj_t BgL_arg3369z00_10449;

																						BgL_arg3369z00_10449 =
																							CAR(((obj_t) BgL_argsz00_10448));
																						{	/* SawBbv/bbv-specialize.scm 936 */
																							obj_t BgL_classz00_10450;

																							BgL_classz00_10450 =
																								BGl_rtl_regz00zzsaw_defsz00;
																							if (BGL_OBJECTP
																								(BgL_arg3369z00_10449))
																								{	/* SawBbv/bbv-specialize.scm 936 */
																									BgL_objectz00_bglt
																										BgL_arg1858z00_10451;
																									BgL_arg1858z00_10451 =
																										(BgL_objectz00_bglt)
																										(BgL_arg3369z00_10449);
																									if (BGL_CONDEXPAND_ISA_ARCH64
																										())
																										{	/* SawBbv/bbv-specialize.scm 936 */
																											long BgL_idxz00_10452;

																											BgL_idxz00_10452 =
																												BGL_OBJECT_INHERITANCE_NUM
																												(BgL_arg1858z00_10451);
																											BgL_test4649z00_17024 =
																												(VECTOR_REF
																												(BGl_za2inheritancesza2z00zz__objectz00,
																													(BgL_idxz00_10452 +
																														1L)) ==
																												BgL_classz00_10450);
																										}
																									else
																										{	/* SawBbv/bbv-specialize.scm 936 */
																											bool_t
																												BgL_res4116z00_10455;
																											{	/* SawBbv/bbv-specialize.scm 936 */
																												obj_t
																													BgL_oclassz00_10456;
																												{	/* SawBbv/bbv-specialize.scm 936 */
																													obj_t
																														BgL_arg1866z00_10457;
																													long
																														BgL_arg1867z00_10458;
																													BgL_arg1866z00_10457 =
																														(BGl_za2classesza2z00zz__objectz00);
																													{	/* SawBbv/bbv-specialize.scm 936 */
																														long
																															BgL_arg1869z00_10459;
																														BgL_arg1869z00_10459
																															=
																															BGL_OBJECT_CLASS_NUM
																															(BgL_arg1858z00_10451);
																														BgL_arg1867z00_10458
																															=
																															(BgL_arg1869z00_10459
																															- OBJECT_TYPE);
																													}
																													BgL_oclassz00_10456 =
																														VECTOR_REF
																														(BgL_arg1866z00_10457,
																														BgL_arg1867z00_10458);
																												}
																												{	/* SawBbv/bbv-specialize.scm 936 */
																													bool_t
																														BgL__ortest_1115z00_10460;
																													BgL__ortest_1115z00_10460
																														=
																														(BgL_classz00_10450
																														==
																														BgL_oclassz00_10456);
																													if (BgL__ortest_1115z00_10460)
																														{	/* SawBbv/bbv-specialize.scm 936 */
																															BgL_res4116z00_10455
																																=
																																BgL__ortest_1115z00_10460;
																														}
																													else
																														{	/* SawBbv/bbv-specialize.scm 936 */
																															long
																																BgL_odepthz00_10461;
																															{	/* SawBbv/bbv-specialize.scm 936 */
																																obj_t
																																	BgL_arg1855z00_10462;
																																BgL_arg1855z00_10462
																																	=
																																	(BgL_oclassz00_10456);
																																BgL_odepthz00_10461
																																	=
																																	BGL_CLASS_DEPTH
																																	(BgL_arg1855z00_10462);
																															}
																															if (
																																(1L <
																																	BgL_odepthz00_10461))
																																{	/* SawBbv/bbv-specialize.scm 936 */
																																	obj_t
																																		BgL_arg1853z00_10463;
																																	{	/* SawBbv/bbv-specialize.scm 936 */
																																		obj_t
																																			BgL_arg1854z00_10464;
																																		BgL_arg1854z00_10464
																																			=
																																			(BgL_oclassz00_10456);
																																		BgL_arg1853z00_10463
																																			=
																																			BGL_CLASS_ANCESTORS_REF
																																			(BgL_arg1854z00_10464,
																																			1L);
																																	}
																																	BgL_res4116z00_10455
																																		=
																																		(BgL_arg1853z00_10463
																																		==
																																		BgL_classz00_10450);
																																}
																															else
																																{	/* SawBbv/bbv-specialize.scm 936 */
																																	BgL_res4116z00_10455
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																												}
																											}
																											BgL_test4649z00_17024 =
																												BgL_res4116z00_10455;
																										}
																								}
																							else
																								{	/* SawBbv/bbv-specialize.scm 936 */
																									BgL_test4649z00_17024 =
																										((bool_t) 0);
																								}
																						}
																					}
																					if (BgL_test4649z00_17024)
																						{	/* SawBbv/bbv-specialize.scm 938 */
																							obj_t BgL_ez00_10465;

																							{	/* SawBbv/bbv-specialize.scm 938 */
																								obj_t BgL_arg3336z00_10466;

																								BgL_arg3336z00_10466 =
																									CAR(
																									((obj_t) BgL_argsz00_10448));
																								BgL_ez00_10465 =
																									BGl_bbvzd2ctxzd2getz00zzsaw_bbvzd2typeszd2
																									(((BgL_bbvzd2ctxzd2_bglt)
																										BgL_ctxz00_9853),
																									((BgL_rtl_regz00_bglt)
																										BgL_arg3336z00_10466));
																							}
																							{	/* SawBbv/bbv-specialize.scm 939 */
																								bool_t BgL_test4654z00_17054;

																								if (CBOOL(BgL_ez00_10465))
																									{	/* SawBbv/bbv-specialize.scm 939 */
																										obj_t BgL_arg3335z00_10467;

																										BgL_arg3335z00_10467 =
																											(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_10465)))->BgL_valuez00);
																										{	/* SawBbv/bbv-specialize.scm 939 */
																											obj_t BgL_classz00_10468;

																											BgL_classz00_10468 =
																												BGl_bbvzd2rangezd2zzsaw_bbvzd2rangezd2;
																											if (BGL_OBJECTP
																												(BgL_arg3335z00_10467))
																												{	/* SawBbv/bbv-specialize.scm 939 */
																													BgL_objectz00_bglt
																														BgL_arg1858z00_10469;
																													BgL_arg1858z00_10469 =
																														(BgL_objectz00_bglt)
																														(BgL_arg3335z00_10467);
																													if (BGL_CONDEXPAND_ISA_ARCH64())
																														{	/* SawBbv/bbv-specialize.scm 939 */
																															long
																																BgL_idxz00_10470;
																															BgL_idxz00_10470 =
																																BGL_OBJECT_INHERITANCE_NUM
																																(BgL_arg1858z00_10469);
																															BgL_test4654z00_17054
																																=
																																(VECTOR_REF
																																(BGl_za2inheritancesza2z00zz__objectz00,
																																	(BgL_idxz00_10470
																																		+ 1L)) ==
																																BgL_classz00_10468);
																														}
																													else
																														{	/* SawBbv/bbv-specialize.scm 939 */
																															bool_t
																																BgL_res4117z00_10473;
																															{	/* SawBbv/bbv-specialize.scm 939 */
																																obj_t
																																	BgL_oclassz00_10474;
																																{	/* SawBbv/bbv-specialize.scm 939 */
																																	obj_t
																																		BgL_arg1866z00_10475;
																																	long
																																		BgL_arg1867z00_10476;
																																	BgL_arg1866z00_10475
																																		=
																																		(BGl_za2classesza2z00zz__objectz00);
																																	{	/* SawBbv/bbv-specialize.scm 939 */
																																		long
																																			BgL_arg1869z00_10477;
																																		BgL_arg1869z00_10477
																																			=
																																			BGL_OBJECT_CLASS_NUM
																																			(BgL_arg1858z00_10469);
																																		BgL_arg1867z00_10476
																																			=
																																			(BgL_arg1869z00_10477
																																			-
																																			OBJECT_TYPE);
																																	}
																																	BgL_oclassz00_10474
																																		=
																																		VECTOR_REF
																																		(BgL_arg1866z00_10475,
																																		BgL_arg1867z00_10476);
																																}
																																{	/* SawBbv/bbv-specialize.scm 939 */
																																	bool_t
																																		BgL__ortest_1115z00_10478;
																																	BgL__ortest_1115z00_10478
																																		=
																																		(BgL_classz00_10468
																																		==
																																		BgL_oclassz00_10474);
																																	if (BgL__ortest_1115z00_10478)
																																		{	/* SawBbv/bbv-specialize.scm 939 */
																																			BgL_res4117z00_10473
																																				=
																																				BgL__ortest_1115z00_10478;
																																		}
																																	else
																																		{	/* SawBbv/bbv-specialize.scm 939 */
																																			long
																																				BgL_odepthz00_10479;
																																			{	/* SawBbv/bbv-specialize.scm 939 */
																																				obj_t
																																					BgL_arg1855z00_10480;
																																				BgL_arg1855z00_10480
																																					=
																																					(BgL_oclassz00_10474);
																																				BgL_odepthz00_10479
																																					=
																																					BGL_CLASS_DEPTH
																																					(BgL_arg1855z00_10480);
																																			}
																																			if (
																																				(1L <
																																					BgL_odepthz00_10479))
																																				{	/* SawBbv/bbv-specialize.scm 939 */
																																					obj_t
																																						BgL_arg1853z00_10481;
																																					{	/* SawBbv/bbv-specialize.scm 939 */
																																						obj_t
																																							BgL_arg1854z00_10482;
																																						BgL_arg1854z00_10482
																																							=
																																							(BgL_oclassz00_10474);
																																						BgL_arg1853z00_10481
																																							=
																																							BGL_CLASS_ANCESTORS_REF
																																							(BgL_arg1854z00_10482,
																																							1L);
																																					}
																																					BgL_res4117z00_10473
																																						=
																																						(BgL_arg1853z00_10481
																																						==
																																						BgL_classz00_10468);
																																				}
																																			else
																																				{	/* SawBbv/bbv-specialize.scm 939 */
																																					BgL_res4117z00_10473
																																						=
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																}
																															}
																															BgL_test4654z00_17054
																																=
																																BgL_res4117z00_10473;
																														}
																												}
																											else
																												{	/* SawBbv/bbv-specialize.scm 939 */
																													BgL_test4654z00_17054
																														= ((bool_t) 0);
																												}
																										}
																									}
																								else
																									{	/* SawBbv/bbv-specialize.scm 939 */
																										BgL_test4654z00_17054 =
																											((bool_t) 0);
																									}
																								if (BgL_test4654z00_17054)
																									{	/* SawBbv/bbv-specialize.scm 939 */
																										BgL_nvz00_10552 =
																											(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_10465)))->BgL_valuez00);
																									}
																								else
																									{	/* SawBbv/bbv-specialize.scm 939 */
																										BgL_nvz00_10552 =
																											((obj_t)
																											BGl_fixnumzd2rangezd2zzsaw_bbvzd2rangezd2
																											());
																									}
																							}
																						}
																					else
																						{	/* SawBbv/bbv-specialize.scm 942 */
																							bool_t BgL_test4660z00_17085;

																							{	/* SawBbv/bbv-specialize.scm 942 */
																								obj_t BgL_arg3368z00_10483;

																								BgL_arg3368z00_10483 =
																									CAR(
																									((obj_t) BgL_argsz00_10448));
																								BgL_test4660z00_17085 =
																									BGl_rtl_inszd2loadizf3z21zzsaw_bbvzd2typeszd2
																									(((BgL_rtl_insz00_bglt)
																										BgL_arg3368z00_10483));
																							}
																							if (BgL_test4660z00_17085)
																								{	/* SawBbv/bbv-specialize.scm 944 */
																									obj_t BgL_arg3340z00_10484;

																									BgL_arg3340z00_10484 =
																										CAR(
																										((obj_t)
																											BgL_argsz00_10448));
																									{
																										obj_t BgL_iz00_17092;

																										BgL_iz00_17092 =
																											BgL_arg3340z00_10484;
																										BgL_iz00_10404 =
																											BgL_iz00_17092;
																										goto
																											BgL_newzd2valuezd2loadiz00_10401;
																									}
																								}
																							else
																								{	/* SawBbv/bbv-specialize.scm 945 */
																									bool_t BgL_test4661z00_17093;

																									{	/* SawBbv/bbv-specialize.scm 945 */
																										bool_t
																											BgL_test4662z00_17094;
																										{	/* SawBbv/bbv-specialize.scm 945 */
																											obj_t
																												BgL_arg3367z00_10485;
																											BgL_arg3367z00_10485 =
																												CAR(((obj_t)
																													BgL_argsz00_10448));
																											BgL_test4662z00_17094 =
																												BGl_rtl_inszd2vlenzf3z21zzsaw_bbvzd2typeszd2
																												(((BgL_rtl_insz00_bglt)
																													BgL_arg3367z00_10485));
																										}
																										if (BgL_test4662z00_17094)
																											{	/* SawBbv/bbv-specialize.scm 945 */
																												BgL_test4661z00_17093 =
																													((bool_t) 1);
																											}
																										else
																											{	/* SawBbv/bbv-specialize.scm 945 */
																												obj_t
																													BgL_arg3365z00_10486;
																												BgL_arg3365z00_10486 =
																													CAR(((obj_t)
																														BgL_argsz00_10448));
																												BgL_test4661z00_17093 =
																													BGl_rtl_inszd2strlenzf3z21zzsaw_bbvzd2typeszd2
																													(((BgL_rtl_insz00_bglt) BgL_arg3365z00_10486));
																											}
																									}
																									if (BgL_test4661z00_17093)
																										{	/* SawBbv/bbv-specialize.scm 947 */
																											BgL_rtl_insz00_bglt
																												BgL_i1576z00_10487;
																											BgL_i1576z00_10487 =
																												((BgL_rtl_insz00_bglt)
																												CAR(((obj_t)
																														BgL_argsz00_10448)));
																											{	/* SawBbv/bbv-specialize.scm 948 */
																												BgL_rtl_insz00_bglt
																													BgL_iz00_10488;
																												{	/* SawBbv/bbv-specialize.scm 949 */
																													obj_t
																														BgL_arg3350z00_10489;
																													BgL_arg3350z00_10489 =
																														CAR(((obj_t)
																															BgL_argsz00_10448));
																													BgL_iz00_10488 =
																														BGl_rtl_inszd2specializa7ezd2vlenza7zzsaw_bbvzd2specializa7ez75
																														(((BgL_rtl_insz00_bglt) BgL_arg3350z00_10489), ((obj_t) BgL_insz00_9851), BgL_bsz00_9852, BgL_ctxz00_9853, ((BgL_bbvzd2queuezd2_bglt) BgL_queuez00_9854));
																												}
																												{	/* SawBbv/bbv-specialize.scm 949 */
																													obj_t
																														BgL_vctxz00_10490;
																													{	/* SawBbv/bbv-specialize.scm 950 */
																														obj_t
																															BgL_tmpz00_10491;
																														{	/* SawBbv/bbv-specialize.scm 950 */
																															int
																																BgL_tmpz00_17112;
																															BgL_tmpz00_17112 =
																																(int) (1L);
																															BgL_tmpz00_10491 =
																																BGL_MVALUES_VAL
																																(BgL_tmpz00_17112);
																														}
																														{	/* SawBbv/bbv-specialize.scm 950 */
																															int
																																BgL_tmpz00_17115;
																															BgL_tmpz00_17115 =
																																(int) (1L);
																															BGL_MVALUES_VAL_SET
																																(BgL_tmpz00_17115,
																																BUNSPEC);
																														}
																														BgL_vctxz00_10490 =
																															BgL_tmpz00_10491;
																													}
																													{	/* SawBbv/bbv-specialize.scm 950 */
																														obj_t
																															BgL_ez00_10492;
																														{	/* SawBbv/bbv-specialize.scm 950 */
																															obj_t
																																BgL_arg3349z00_10493;
																															BgL_arg3349z00_10493
																																=
																																(((BgL_rtl_insz00_bglt) COBJECT(BgL_i1576z00_10487))->BgL_destz00);
																															BgL_ez00_10492 =
																																BGl_bbvzd2ctxzd2getz00zzsaw_bbvzd2typeszd2
																																(((BgL_bbvzd2ctxzd2_bglt) BgL_vctxz00_10490), ((BgL_rtl_regz00_bglt) BgL_arg3349z00_10493));
																														}
																														{	/* SawBbv/bbv-specialize.scm 951 */
																															bool_t
																																BgL_test4663z00_17122;
																															{	/* SawBbv/bbv-specialize.scm 951 */
																																obj_t
																																	BgL_classz00_10494;
																																BgL_classz00_10494
																																	=
																																	BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2;
																																if (BGL_OBJECTP
																																	(BgL_ez00_10492))
																																	{	/* SawBbv/bbv-specialize.scm 951 */
																																		BgL_objectz00_bglt
																																			BgL_arg1858z00_10495;
																																		BgL_arg1858z00_10495
																																			=
																																			(BgL_objectz00_bglt)
																																			(BgL_ez00_10492);
																																		if (BGL_CONDEXPAND_ISA_ARCH64())
																																			{	/* SawBbv/bbv-specialize.scm 951 */
																																				long
																																					BgL_idxz00_10496;
																																				BgL_idxz00_10496
																																					=
																																					BGL_OBJECT_INHERITANCE_NUM
																																					(BgL_arg1858z00_10495);
																																				BgL_test4663z00_17122
																																					=
																																					(VECTOR_REF
																																					(BGl_za2inheritancesza2z00zz__objectz00,
																																						(BgL_idxz00_10496
																																							+
																																							1L))
																																					==
																																					BgL_classz00_10494);
																																			}
																																		else
																																			{	/* SawBbv/bbv-specialize.scm 951 */
																																				bool_t
																																					BgL_res4118z00_10499;
																																				{	/* SawBbv/bbv-specialize.scm 951 */
																																					obj_t
																																						BgL_oclassz00_10500;
																																					{	/* SawBbv/bbv-specialize.scm 951 */
																																						obj_t
																																							BgL_arg1866z00_10501;
																																						long
																																							BgL_arg1867z00_10502;
																																						BgL_arg1866z00_10501
																																							=
																																							(BGl_za2classesza2z00zz__objectz00);
																																						{	/* SawBbv/bbv-specialize.scm 951 */
																																							long
																																								BgL_arg1869z00_10503;
																																							BgL_arg1869z00_10503
																																								=
																																								BGL_OBJECT_CLASS_NUM
																																								(BgL_arg1858z00_10495);
																																							BgL_arg1867z00_10502
																																								=
																																								(BgL_arg1869z00_10503
																																								-
																																								OBJECT_TYPE);
																																						}
																																						BgL_oclassz00_10500
																																							=
																																							VECTOR_REF
																																							(BgL_arg1866z00_10501,
																																							BgL_arg1867z00_10502);
																																					}
																																					{	/* SawBbv/bbv-specialize.scm 951 */
																																						bool_t
																																							BgL__ortest_1115z00_10504;
																																						BgL__ortest_1115z00_10504
																																							=
																																							(BgL_classz00_10494
																																							==
																																							BgL_oclassz00_10500);
																																						if (BgL__ortest_1115z00_10504)
																																							{	/* SawBbv/bbv-specialize.scm 951 */
																																								BgL_res4118z00_10499
																																									=
																																									BgL__ortest_1115z00_10504;
																																							}
																																						else
																																							{	/* SawBbv/bbv-specialize.scm 951 */
																																								long
																																									BgL_odepthz00_10505;
																																								{	/* SawBbv/bbv-specialize.scm 951 */
																																									obj_t
																																										BgL_arg1855z00_10506;
																																									BgL_arg1855z00_10506
																																										=
																																										(BgL_oclassz00_10500);
																																									BgL_odepthz00_10505
																																										=
																																										BGL_CLASS_DEPTH
																																										(BgL_arg1855z00_10506);
																																								}
																																								if ((1L < BgL_odepthz00_10505))
																																									{	/* SawBbv/bbv-specialize.scm 951 */
																																										obj_t
																																											BgL_arg1853z00_10507;
																																										{	/* SawBbv/bbv-specialize.scm 951 */
																																											obj_t
																																												BgL_arg1854z00_10508;
																																											BgL_arg1854z00_10508
																																												=
																																												(BgL_oclassz00_10500);
																																											BgL_arg1853z00_10507
																																												=
																																												BGL_CLASS_ANCESTORS_REF
																																												(BgL_arg1854z00_10508,
																																												1L);
																																										}
																																										BgL_res4118z00_10499
																																											=
																																											(BgL_arg1853z00_10507
																																											==
																																											BgL_classz00_10494);
																																									}
																																								else
																																									{	/* SawBbv/bbv-specialize.scm 951 */
																																										BgL_res4118z00_10499
																																											=
																																											(
																																											(bool_t)
																																											0);
																																									}
																																							}
																																					}
																																				}
																																				BgL_test4663z00_17122
																																					=
																																					BgL_res4118z00_10499;
																																			}
																																	}
																																else
																																	{	/* SawBbv/bbv-specialize.scm 951 */
																																		BgL_test4663z00_17122
																																			=
																																			((bool_t)
																																			0);
																																	}
																															}
																															if (BgL_test4663z00_17122)
																																{	/* SawBbv/bbv-specialize.scm 951 */
																																	BgL_nvz00_10552
																																		=
																																		(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_10492)))->BgL_valuez00);
																																}
																															else
																																{	/* SawBbv/bbv-specialize.scm 951 */
																																	BgL_nvz00_10552
																																		=
																																		((obj_t)
																																		BGl_vlenzd2rangezd2zzsaw_bbvzd2rangezd2
																																		());
																																}
																														}
																													}
																												}
																											}
																										}
																									else
																										{	/* SawBbv/bbv-specialize.scm 954 */
																											bool_t
																												BgL_test4668z00_17149;
																											{	/* SawBbv/bbv-specialize.scm 954 */
																												obj_t
																													BgL_arg3364z00_10509;
																												BgL_arg3364z00_10509 =
																													CAR(((obj_t)
																														BgL_argsz00_10448));
																												BgL_test4668z00_17149 =
																													BGl_rtl_inszd2movzf3z21zzsaw_bbvzd2typeszd2
																													(((BgL_rtl_insz00_bglt) BgL_arg3364z00_10509));
																											}
																											if (BgL_test4668z00_17149)
																												{	/* SawBbv/bbv-specialize.scm 956 */
																													BgL_rtl_insz00_bglt
																														BgL_i1577z00_10510;
																													BgL_i1577z00_10510 =
																														(
																														(BgL_rtl_insz00_bglt)
																														CAR(((obj_t)
																																BgL_argsz00_10448)));
																													{
																														obj_t
																															BgL_argsz00_17157;
																														BgL_argsz00_17157 =
																															(((BgL_rtl_insz00_bglt) COBJECT(BgL_i1577z00_10510))->BgL_argsz00);
																														BgL_argsz00_10448 =
																															BgL_argsz00_17157;
																														goto
																															BgL_loopz00_10447;
																													}
																												}
																											else
																												{	/* SawBbv/bbv-specialize.scm 958 */
																													bool_t
																														BgL_test4669z00_17159;
																													{	/* SawBbv/bbv-specialize.scm 958 */
																														obj_t
																															BgL_arg3362z00_10511;
																														BgL_arg3362z00_10511
																															=
																															CAR(((obj_t)
																																BgL_argsz00_10448));
																														BgL_test4669z00_17159
																															=
																															BGl_rtl_inszd2callzf3z21zzsaw_bbvzd2typeszd2
																															(((BgL_rtl_insz00_bglt) BgL_arg3362z00_10511));
																													}
																													if (BgL_test4669z00_17159)
																														{	/* SawBbv/bbv-specialize.scm 961 */
																															obj_t
																																BgL_iz00_10512;
																															{	/* SawBbv/bbv-specialize.scm 964 */
																																obj_t
																																	BgL_fun3361z00_10513;
																																{	/* SawBbv/bbv-specialize.scm 964 */
																																	obj_t
																																		BgL_arg3359z00_10514;
																																	BgL_arg3359z00_10514
																																		=
																																		CAR(((obj_t)
																																			BgL_argsz00_10448));
																																	BgL_fun3361z00_10513
																																		=
																																		BGl_rtl_inszd2specializa7erz75zzsaw_bbvzd2specializa7ez75
																																		(((BgL_rtl_insz00_bglt) BgL_arg3359z00_10514));
																																}
																																{	/* SawBbv/bbv-specialize.scm 965 */
																																	obj_t
																																		BgL_arg3360z00_10515;
																																	BgL_arg3360z00_10515
																																		=
																																		CAR(((obj_t)
																																			BgL_argsz00_10448));
																																	BgL_iz00_10512
																																		=
																																		BGL_PROCEDURE_CALL5
																																		(BgL_fun3361z00_10513,
																																		BgL_arg3360z00_10515,
																																		((obj_t)
																																			BgL_insz00_9851),
																																		BgL_bsz00_9852,
																																		BgL_ctxz00_9853,
																																		((obj_t) (
																																				(BgL_bbvzd2queuezd2_bglt)
																																				BgL_queuez00_9854)));
																																}
																															}
																															{	/* SawBbv/bbv-specialize.scm 964 */
																																obj_t
																																	BgL_cctxz00_10516;
																																{	/* SawBbv/bbv-specialize.scm 966 */
																																	obj_t
																																		BgL_tmpz00_10517;
																																	{	/* SawBbv/bbv-specialize.scm 966 */
																																		int
																																			BgL_tmpz00_17181;
																																		BgL_tmpz00_17181
																																			=
																																			(int)
																																			(1L);
																																		BgL_tmpz00_10517
																																			=
																																			BGL_MVALUES_VAL
																																			(BgL_tmpz00_17181);
																																	}
																																	{	/* SawBbv/bbv-specialize.scm 966 */
																																		int
																																			BgL_tmpz00_17184;
																																		BgL_tmpz00_17184
																																			=
																																			(int)
																																			(1L);
																																		BGL_MVALUES_VAL_SET
																																			(BgL_tmpz00_17184,
																																			BUNSPEC);
																																	}
																																	BgL_cctxz00_10516
																																		=
																																		BgL_tmpz00_10517;
																																}
																																{	/* SawBbv/bbv-specialize.scm 967 */
																																	obj_t
																																		BgL_ez00_10518;
																																	{	/* SawBbv/bbv-specialize.scm 967 */
																																		obj_t
																																			BgL_arg3358z00_10519;
																																		BgL_arg3358z00_10519
																																			=
																																			(((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_iz00_10512))))->BgL_destz00);
																																		BgL_ez00_10518
																																			=
																																			BGl_bbvzd2ctxzd2getz00zzsaw_bbvzd2typeszd2
																																			(((BgL_bbvzd2ctxzd2_bglt) BgL_cctxz00_10516), ((BgL_rtl_regz00_bglt) BgL_arg3358z00_10519));
																																	}
																																	{	/* SawBbv/bbv-specialize.scm 971 */
																																		bool_t
																																			BgL_test4670z00_17193;
																																		{	/* SawBbv/bbv-specialize.scm 971 */
																																			obj_t
																																				BgL_classz00_10520;
																																			BgL_classz00_10520
																																				=
																																				BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2;
																																			if (BGL_OBJECTP(BgL_ez00_10518))
																																				{	/* SawBbv/bbv-specialize.scm 971 */
																																					BgL_objectz00_bglt
																																						BgL_arg1858z00_10521;
																																					BgL_arg1858z00_10521
																																						=
																																						(BgL_objectz00_bglt)
																																						(BgL_ez00_10518);
																																					if (BGL_CONDEXPAND_ISA_ARCH64())
																																						{	/* SawBbv/bbv-specialize.scm 971 */
																																							long
																																								BgL_idxz00_10522;
																																							BgL_idxz00_10522
																																								=
																																								BGL_OBJECT_INHERITANCE_NUM
																																								(BgL_arg1858z00_10521);
																																							BgL_test4670z00_17193
																																								=
																																								(VECTOR_REF
																																								(BGl_za2inheritancesza2z00zz__objectz00,
																																									(BgL_idxz00_10522
																																										+
																																										1L))
																																								==
																																								BgL_classz00_10520);
																																						}
																																					else
																																						{	/* SawBbv/bbv-specialize.scm 971 */
																																							bool_t
																																								BgL_res4119z00_10525;
																																							{	/* SawBbv/bbv-specialize.scm 971 */
																																								obj_t
																																									BgL_oclassz00_10526;
																																								{	/* SawBbv/bbv-specialize.scm 971 */
																																									obj_t
																																										BgL_arg1866z00_10527;
																																									long
																																										BgL_arg1867z00_10528;
																																									BgL_arg1866z00_10527
																																										=
																																										(BGl_za2classesza2z00zz__objectz00);
																																									{	/* SawBbv/bbv-specialize.scm 971 */
																																										long
																																											BgL_arg1869z00_10529;
																																										BgL_arg1869z00_10529
																																											=
																																											BGL_OBJECT_CLASS_NUM
																																											(BgL_arg1858z00_10521);
																																										BgL_arg1867z00_10528
																																											=
																																											(BgL_arg1869z00_10529
																																											-
																																											OBJECT_TYPE);
																																									}
																																									BgL_oclassz00_10526
																																										=
																																										VECTOR_REF
																																										(BgL_arg1866z00_10527,
																																										BgL_arg1867z00_10528);
																																								}
																																								{	/* SawBbv/bbv-specialize.scm 971 */
																																									bool_t
																																										BgL__ortest_1115z00_10530;
																																									BgL__ortest_1115z00_10530
																																										=
																																										(BgL_classz00_10520
																																										==
																																										BgL_oclassz00_10526);
																																									if (BgL__ortest_1115z00_10530)
																																										{	/* SawBbv/bbv-specialize.scm 971 */
																																											BgL_res4119z00_10525
																																												=
																																												BgL__ortest_1115z00_10530;
																																										}
																																									else
																																										{	/* SawBbv/bbv-specialize.scm 971 */
																																											long
																																												BgL_odepthz00_10531;
																																											{	/* SawBbv/bbv-specialize.scm 971 */
																																												obj_t
																																													BgL_arg1855z00_10532;
																																												BgL_arg1855z00_10532
																																													=
																																													(BgL_oclassz00_10526);
																																												BgL_odepthz00_10531
																																													=
																																													BGL_CLASS_DEPTH
																																													(BgL_arg1855z00_10532);
																																											}
																																											if ((1L < BgL_odepthz00_10531))
																																												{	/* SawBbv/bbv-specialize.scm 971 */
																																													obj_t
																																														BgL_arg1853z00_10533;
																																													{	/* SawBbv/bbv-specialize.scm 971 */
																																														obj_t
																																															BgL_arg1854z00_10534;
																																														BgL_arg1854z00_10534
																																															=
																																															(BgL_oclassz00_10526);
																																														BgL_arg1853z00_10533
																																															=
																																															BGL_CLASS_ANCESTORS_REF
																																															(BgL_arg1854z00_10534,
																																															1L);
																																													}
																																													BgL_res4119z00_10525
																																														=
																																														(BgL_arg1853z00_10533
																																														==
																																														BgL_classz00_10520);
																																												}
																																											else
																																												{	/* SawBbv/bbv-specialize.scm 971 */
																																													BgL_res4119z00_10525
																																														=
																																														(
																																														(bool_t)
																																														0);
																																												}
																																										}
																																								}
																																							}
																																							BgL_test4670z00_17193
																																								=
																																								BgL_res4119z00_10525;
																																						}
																																				}
																																			else
																																				{	/* SawBbv/bbv-specialize.scm 971 */
																																					BgL_test4670z00_17193
																																						=
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																		if (BgL_test4670z00_17193)
																																			{	/* SawBbv/bbv-specialize.scm 971 */
																																				BgL_nvz00_10552
																																					=
																																					(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_10518)))->BgL_valuez00);
																																			}
																																		else
																																			{	/* SawBbv/bbv-specialize.scm 971 */
																																				BgL_nvz00_10552
																																					=
																																					(
																																					(obj_t)
																																					BGl_fixnumzd2rangezd2zzsaw_bbvzd2rangezd2
																																					());
																																			}
																																	}
																																}
																															}
																														}
																													else
																														{	/* SawBbv/bbv-specialize.scm 958 */
																															BgL_nvz00_10552 =
																																((obj_t)
																																BGl_fixnumzd2rangezd2zzsaw_bbvzd2rangezd2
																																());
																														}
																												}
																										}
																								}
																						}
																				}
																			}
																		else
																			{	/* SawBbv/bbv-specialize.scm 932 */
																				BgL_nvz00_10552 =
																					((obj_t) CNST_TABLE_REF(4));
																			}
																	}
															}
														}
													}
												else
													{	/* SawBbv/bbv-specialize.scm 985 */
														if (BGl_rtl_inszd2loadizf3z21zzsaw_bbvzd2typeszd2
															(BgL_iz00_10535))
															{
																obj_t BgL_iz00_17227;

																BgL_iz00_17227 = ((obj_t) BgL_iz00_10535);
																BgL_iz00_10404 = BgL_iz00_17227;
																goto BgL_newzd2valuezd2loadiz00_10401;
															}
														else
															{	/* SawBbv/bbv-specialize.scm 986 */
																BgL_nvz00_10552 = ((obj_t) CNST_TABLE_REF(4));
															}
													}
											}
										{	/* SawBbv/bbv-specialize.scm 1001 */
											BgL_bbvzd2ctxzd2_bglt BgL_nctxz00_10553;

											{	/* SawBbv/bbv-specialize.scm 1002 */
												obj_t BgL_arg3277z00_10554;
												obj_t BgL_arg3278z00_10555;

												BgL_arg3277z00_10554 =
													(((BgL_rtl_insz00_bglt) COBJECT(
															((BgL_rtl_insz00_bglt) BgL_iz00_9850)))->
													BgL_destz00);
												{	/* SawBbv/bbv-specialize.scm 1002 */
													obj_t BgL_arg3282z00_10556;

													{	/* SawBbv/bbv-specialize.scm 1002 */
														bool_t BgL_test4676z00_17234;

														{	/* SawBbv/bbv-specialize.scm 1002 */
															BgL_valuez00_bglt BgL_arg3288z00_10557;

															BgL_arg3288z00_10557 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			BgL_i1582z00_10539)))->BgL_valuez00);
															{	/* SawBbv/bbv-specialize.scm 1002 */
																obj_t BgL_classz00_10558;

																BgL_classz00_10558 = BGl_funz00zzast_varz00;
																{	/* SawBbv/bbv-specialize.scm 1002 */
																	BgL_objectz00_bglt BgL_arg1858z00_10559;

																	{	/* SawBbv/bbv-specialize.scm 1002 */
																		obj_t BgL_tmpz00_17237;

																		BgL_tmpz00_17237 =
																			((obj_t)
																			((BgL_objectz00_bglt)
																				BgL_arg3288z00_10557));
																		BgL_arg1858z00_10559 =
																			(BgL_objectz00_bglt) (BgL_tmpz00_17237);
																	}
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* SawBbv/bbv-specialize.scm 1002 */
																			long BgL_idxz00_10560;

																			BgL_idxz00_10560 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1858z00_10559);
																			BgL_test4676z00_17234 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_10560 + 2L)) ==
																				BgL_classz00_10558);
																		}
																	else
																		{	/* SawBbv/bbv-specialize.scm 1002 */
																			bool_t BgL_res4120z00_10563;

																			{	/* SawBbv/bbv-specialize.scm 1002 */
																				obj_t BgL_oclassz00_10564;

																				{	/* SawBbv/bbv-specialize.scm 1002 */
																					obj_t BgL_arg1866z00_10565;
																					long BgL_arg1867z00_10566;

																					BgL_arg1866z00_10565 =
																						(BGl_za2classesza2z00zz__objectz00);
																					{	/* SawBbv/bbv-specialize.scm 1002 */
																						long BgL_arg1869z00_10567;

																						BgL_arg1869z00_10567 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1858z00_10559);
																						BgL_arg1867z00_10566 =
																							(BgL_arg1869z00_10567 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_10564 =
																						VECTOR_REF(BgL_arg1866z00_10565,
																						BgL_arg1867z00_10566);
																				}
																				{	/* SawBbv/bbv-specialize.scm 1002 */
																					bool_t BgL__ortest_1115z00_10568;

																					BgL__ortest_1115z00_10568 =
																						(BgL_classz00_10558 ==
																						BgL_oclassz00_10564);
																					if (BgL__ortest_1115z00_10568)
																						{	/* SawBbv/bbv-specialize.scm 1002 */
																							BgL_res4120z00_10563 =
																								BgL__ortest_1115z00_10568;
																						}
																					else
																						{	/* SawBbv/bbv-specialize.scm 1002 */
																							long BgL_odepthz00_10569;

																							{	/* SawBbv/bbv-specialize.scm 1002 */
																								obj_t BgL_arg1855z00_10570;

																								BgL_arg1855z00_10570 =
																									(BgL_oclassz00_10564);
																								BgL_odepthz00_10569 =
																									BGL_CLASS_DEPTH
																									(BgL_arg1855z00_10570);
																							}
																							if ((2L < BgL_odepthz00_10569))
																								{	/* SawBbv/bbv-specialize.scm 1002 */
																									obj_t BgL_arg1853z00_10571;

																									{	/* SawBbv/bbv-specialize.scm 1002 */
																										obj_t BgL_arg1854z00_10572;

																										BgL_arg1854z00_10572 =
																											(BgL_oclassz00_10564);
																										BgL_arg1853z00_10571 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_arg1854z00_10572,
																											2L);
																									}
																									BgL_res4120z00_10563 =
																										(BgL_arg1853z00_10571 ==
																										BgL_classz00_10558);
																								}
																							else
																								{	/* SawBbv/bbv-specialize.scm 1002 */
																									BgL_res4120z00_10563 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test4676z00_17234 =
																				BgL_res4120z00_10563;
																		}
																}
															}
														}
														if (BgL_test4676z00_17234)
															{	/* SawBbv/bbv-specialize.scm 1002 */
																BgL_arg3282z00_10556 =
																	((obj_t)
																	(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					BgL_i1582z00_10539)))->BgL_typez00));
															}
														else
															{	/* SawBbv/bbv-specialize.scm 1002 */
																BgL_arg3282z00_10556 =
																	BGl_za2objza2z00zztype_cachez00;
															}
													}
													{	/* SawBbv/bbv-specialize.scm 1002 */
														obj_t BgL_list3283z00_10573;

														BgL_list3283z00_10573 =
															MAKE_YOUNG_PAIR(BgL_arg3282z00_10556, BNIL);
														BgL_arg3278z00_10555 = BgL_list3283z00_10573;
													}
												}
												BgL_nctxz00_10553 =
													BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2
													(BgL_ctxz00_10536,
													((BgL_rtl_regz00_bglt) BgL_arg3277z00_10554),
													BgL_arg3278z00_10555, ((bool_t) 1), BFALSE, BINT(0L),
													BgL_nvz00_10552);
											}
											{	/* SawBbv/bbv-specialize.scm 1002 */

												{	/* SawBbv/bbv-specialize.scm 1007 */
													int BgL_tmpz00_17267;

													BgL_tmpz00_17267 = (int) (2L);
													BGL_MVALUES_NUMBER_SET(BgL_tmpz00_17267);
												}
												{	/* SawBbv/bbv-specialize.scm 1007 */
													obj_t BgL_auxz00_17272;
													int BgL_tmpz00_17270;

													BgL_auxz00_17272 = ((obj_t) BgL_nctxz00_10553);
													BgL_tmpz00_17270 = (int) (1L);
													BGL_MVALUES_VAL_SET(BgL_tmpz00_17270,
														BgL_auxz00_17272);
												}
												BgL_auxz00_16786 = BgL_sz00_10540;
				}}}}}}}}
				return ((obj_t) BgL_auxz00_16786);
			}
		}

	}



/* rtl_ins-return-specialize? */
	bool_t
		BGl_rtl_inszd2returnzd2specializa7ezf3z54zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt BgL_iz00_328)
	{
		{	/* SawBbv/bbv-specialize.scm 1012 */
			{	/* SawBbv/bbv-specialize.scm 1014 */
				bool_t BgL_test4680z00_17276;

				{	/* SawBbv/bbv-specialize.scm 1014 */
					BgL_rtl_funz00_bglt BgL_arg3382z00_3572;

					BgL_arg3382z00_3572 =
						(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_328))->BgL_funz00);
					{	/* SawBbv/bbv-specialize.scm 1014 */
						obj_t BgL_classz00_7164;

						BgL_classz00_7164 = BGl_rtl_returnz00zzsaw_defsz00;
						{	/* SawBbv/bbv-specialize.scm 1014 */
							BgL_objectz00_bglt BgL_arg1858z00_7166;

							{	/* SawBbv/bbv-specialize.scm 1014 */
								obj_t BgL_tmpz00_17278;

								BgL_tmpz00_17278 =
									((obj_t) ((BgL_objectz00_bglt) BgL_arg3382z00_3572));
								BgL_arg1858z00_7166 = (BgL_objectz00_bglt) (BgL_tmpz00_17278);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawBbv/bbv-specialize.scm 1014 */
									long BgL_idxz00_7172;

									BgL_idxz00_7172 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_7166);
									BgL_test4680z00_17276 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_7172 + 3L)) == BgL_classz00_7164);
								}
							else
								{	/* SawBbv/bbv-specialize.scm 1014 */
									bool_t BgL_res4122z00_7197;

									{	/* SawBbv/bbv-specialize.scm 1014 */
										obj_t BgL_oclassz00_7180;

										{	/* SawBbv/bbv-specialize.scm 1014 */
											obj_t BgL_arg1866z00_7188;
											long BgL_arg1867z00_7189;

											BgL_arg1866z00_7188 = (BGl_za2classesza2z00zz__objectz00);
											{	/* SawBbv/bbv-specialize.scm 1014 */
												long BgL_arg1869z00_7190;

												BgL_arg1869z00_7190 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_7166);
												BgL_arg1867z00_7189 =
													(BgL_arg1869z00_7190 - OBJECT_TYPE);
											}
											BgL_oclassz00_7180 =
												VECTOR_REF(BgL_arg1866z00_7188, BgL_arg1867z00_7189);
										}
										{	/* SawBbv/bbv-specialize.scm 1014 */
											bool_t BgL__ortest_1115z00_7181;

											BgL__ortest_1115z00_7181 =
												(BgL_classz00_7164 == BgL_oclassz00_7180);
											if (BgL__ortest_1115z00_7181)
												{	/* SawBbv/bbv-specialize.scm 1014 */
													BgL_res4122z00_7197 = BgL__ortest_1115z00_7181;
												}
											else
												{	/* SawBbv/bbv-specialize.scm 1014 */
													long BgL_odepthz00_7182;

													{	/* SawBbv/bbv-specialize.scm 1014 */
														obj_t BgL_arg1855z00_7183;

														BgL_arg1855z00_7183 = (BgL_oclassz00_7180);
														BgL_odepthz00_7182 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_7183);
													}
													if ((3L < BgL_odepthz00_7182))
														{	/* SawBbv/bbv-specialize.scm 1014 */
															obj_t BgL_arg1853z00_7185;

															{	/* SawBbv/bbv-specialize.scm 1014 */
																obj_t BgL_arg1854z00_7186;

																BgL_arg1854z00_7186 = (BgL_oclassz00_7180);
																BgL_arg1853z00_7185 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_7186,
																	3L);
															}
															BgL_res4122z00_7197 =
																(BgL_arg1853z00_7185 == BgL_classz00_7164);
														}
													else
														{	/* SawBbv/bbv-specialize.scm 1014 */
															BgL_res4122z00_7197 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test4680z00_17276 = BgL_res4122z00_7197;
								}
						}
					}
				}
				if (BgL_test4680z00_17276)
					{	/* SawBbv/bbv-specialize.scm 1015 */
						obj_t BgL_arg3379z00_3570;

						BgL_arg3379z00_3570 =
							CAR((((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_328))->BgL_argsz00));
						{	/* SawBbv/bbv-specialize.scm 1015 */
							obj_t BgL_classz00_7199;

							BgL_classz00_7199 = BGl_rtl_regz00zzsaw_defsz00;
							if (BGL_OBJECTP(BgL_arg3379z00_3570))
								{	/* SawBbv/bbv-specialize.scm 1015 */
									BgL_objectz00_bglt BgL_arg1858z00_7201;

									BgL_arg1858z00_7201 =
										(BgL_objectz00_bglt) (BgL_arg3379z00_3570);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawBbv/bbv-specialize.scm 1015 */
											long BgL_idxz00_7207;

											BgL_idxz00_7207 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_7201);
											return
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_7207 + 1L)) == BgL_classz00_7199);
										}
									else
										{	/* SawBbv/bbv-specialize.scm 1015 */
											bool_t BgL_res4123z00_7232;

											{	/* SawBbv/bbv-specialize.scm 1015 */
												obj_t BgL_oclassz00_7215;

												{	/* SawBbv/bbv-specialize.scm 1015 */
													obj_t BgL_arg1866z00_7223;
													long BgL_arg1867z00_7224;

													BgL_arg1866z00_7223 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* SawBbv/bbv-specialize.scm 1015 */
														long BgL_arg1869z00_7225;

														BgL_arg1869z00_7225 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_7201);
														BgL_arg1867z00_7224 =
															(BgL_arg1869z00_7225 - OBJECT_TYPE);
													}
													BgL_oclassz00_7215 =
														VECTOR_REF(BgL_arg1866z00_7223,
														BgL_arg1867z00_7224);
												}
												{	/* SawBbv/bbv-specialize.scm 1015 */
													bool_t BgL__ortest_1115z00_7216;

													BgL__ortest_1115z00_7216 =
														(BgL_classz00_7199 == BgL_oclassz00_7215);
													if (BgL__ortest_1115z00_7216)
														{	/* SawBbv/bbv-specialize.scm 1015 */
															BgL_res4123z00_7232 = BgL__ortest_1115z00_7216;
														}
													else
														{	/* SawBbv/bbv-specialize.scm 1015 */
															long BgL_odepthz00_7217;

															{	/* SawBbv/bbv-specialize.scm 1015 */
																obj_t BgL_arg1855z00_7218;

																BgL_arg1855z00_7218 = (BgL_oclassz00_7215);
																BgL_odepthz00_7217 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_7218);
															}
															if ((1L < BgL_odepthz00_7217))
																{	/* SawBbv/bbv-specialize.scm 1015 */
																	obj_t BgL_arg1853z00_7220;

																	{	/* SawBbv/bbv-specialize.scm 1015 */
																		obj_t BgL_arg1854z00_7221;

																		BgL_arg1854z00_7221 = (BgL_oclassz00_7215);
																		BgL_arg1853z00_7220 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_7221, 1L);
																	}
																	BgL_res4123z00_7232 =
																		(BgL_arg1853z00_7220 == BgL_classz00_7199);
																}
															else
																{	/* SawBbv/bbv-specialize.scm 1015 */
																	BgL_res4123z00_7232 = ((bool_t) 0);
																}
														}
												}
											}
											return BgL_res4123z00_7232;
										}
								}
							else
								{	/* SawBbv/bbv-specialize.scm 1015 */
									return ((bool_t) 0);
								}
						}
					}
				else
					{	/* SawBbv/bbv-specialize.scm 1014 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_ins-specialize-return */
	obj_t
		BGl_z62rtl_inszd2specializa7ezd2returnzc5zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9855, obj_t BgL_iz00_9856, obj_t BgL_insz00_9857,
		obj_t BgL_bsz00_9858, obj_t BgL_ctxz00_9859, obj_t BgL_queuez00_9860)
	{
		{	/* SawBbv/bbv-specialize.scm 1020 */
			{
				BgL_rtl_insz00_bglt BgL_auxz00_17325;

				{	/* SawBbv/bbv-specialize.scm 1022 */
					obj_t BgL_ez00_10577;

					{	/* SawBbv/bbv-specialize.scm 1022 */
						obj_t BgL_arg3405z00_10578;

						BgL_arg3405z00_10578 =
							CAR(
							(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_iz00_9856)))->BgL_argsz00));
						BgL_ez00_10577 =
							BGl_bbvzd2ctxzd2getz00zzsaw_bbvzd2typeszd2(
							((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_9859),
							((BgL_rtl_regz00_bglt) BgL_arg3405z00_10578));
					}
					{	/* SawBbv/bbv-specialize.scm 1024 */
						bool_t BgL_test4688z00_17332;

						{	/* SawBbv/bbv-specialize.scm 1024 */
							obj_t BgL_arg3403z00_10579;

							BgL_arg3403z00_10579 =
								(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
										((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_10577)))->
								BgL_valuez00);
							BgL_test4688z00_17332 =
								BGl_bbvzd2singletonzf3z21zzsaw_bbvzd2rangezd2
								(BgL_arg3403z00_10579);
						}
						if (BgL_test4688z00_17332)
							{	/* SawBbv/bbv-specialize.scm 1025 */
								BgL_rtl_returnz00_bglt BgL_i1601z00_10580;

								BgL_i1601z00_10580 =
									((BgL_rtl_returnz00_bglt)
									(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_iz00_9856)))->BgL_funz00));
								{	/* SawBbv/bbv-specialize.scm 1026 */
									BgL_rtl_insz00_bglt BgL_loadiz00_10581;

									{	/* SawBbv/bbv-specialize.scm 1026 */
										BgL_rtl_insz00_bglt BgL_new1602z00_10582;

										{	/* SawBbv/bbv-specialize.scm 1026 */
											BgL_rtl_insz00_bglt BgL_tmp1611z00_10583;
											BgL_rtl_inszf2bbvzf2_bglt BgL_wide1612z00_10584;

											{
												BgL_rtl_insz00_bglt BgL_auxz00_17339;

												{	/* SawBbv/bbv-specialize.scm 1026 */
													BgL_rtl_insz00_bglt BgL_new1610z00_10585;

													BgL_new1610z00_10585 =
														((BgL_rtl_insz00_bglt)
														BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_rtl_insz00_bgl))));
													{	/* SawBbv/bbv-specialize.scm 1026 */
														long BgL_arg3402z00_10586;

														BgL_arg3402z00_10586 =
															BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1610z00_10585),
															BgL_arg3402z00_10586);
													}
													{	/* SawBbv/bbv-specialize.scm 1026 */
														BgL_objectz00_bglt BgL_tmpz00_17344;

														BgL_tmpz00_17344 =
															((BgL_objectz00_bglt) BgL_new1610z00_10585);
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17344, BFALSE);
													}
													((BgL_objectz00_bglt) BgL_new1610z00_10585);
													BgL_auxz00_17339 = BgL_new1610z00_10585;
												}
												BgL_tmp1611z00_10583 =
													((BgL_rtl_insz00_bglt) BgL_auxz00_17339);
											}
											BgL_wide1612z00_10584 =
												((BgL_rtl_inszf2bbvzf2_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_rtl_inszf2bbvzf2_bgl))));
											{	/* SawBbv/bbv-specialize.scm 1026 */
												obj_t BgL_auxz00_17352;
												BgL_objectz00_bglt BgL_tmpz00_17350;

												BgL_auxz00_17352 = ((obj_t) BgL_wide1612z00_10584);
												BgL_tmpz00_17350 =
													((BgL_objectz00_bglt) BgL_tmp1611z00_10583);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17350,
													BgL_auxz00_17352);
											}
											((BgL_objectz00_bglt) BgL_tmp1611z00_10583);
											{	/* SawBbv/bbv-specialize.scm 1026 */
												long BgL_arg3401z00_10587;

												BgL_arg3401z00_10587 =
													BGL_CLASS_NUM
													(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
												BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
														BgL_tmp1611z00_10583), BgL_arg3401z00_10587);
											}
											BgL_new1602z00_10582 =
												((BgL_rtl_insz00_bglt) BgL_tmp1611z00_10583);
										}
										((((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_new1602z00_10582)))->
												BgL_locz00) =
											((obj_t) (((BgL_rtl_insz00_bglt)
														COBJECT(((BgL_rtl_insz00_bglt) BgL_iz00_9856)))->
													BgL_locz00)), BUNSPEC);
										((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
															BgL_new1602z00_10582)))->BgL_z52spillz52) =
											((obj_t) (((BgL_rtl_insz00_bglt)
														COBJECT(((BgL_rtl_insz00_bglt) BgL_iz00_9856)))->
													BgL_z52spillz52)), BUNSPEC);
										{
											obj_t BgL_auxz00_17368;

											{	/* SawBbv/bbv-specialize.scm 1030 */
												obj_t BgL_pairz00_10588;

												BgL_pairz00_10588 =
													(((BgL_rtl_insz00_bglt) COBJECT(
															((BgL_rtl_insz00_bglt) BgL_iz00_9856)))->
													BgL_argsz00);
												BgL_auxz00_17368 = CAR(BgL_pairz00_10588);
											}
											((((BgL_rtl_insz00_bglt) COBJECT(
															((BgL_rtl_insz00_bglt) BgL_new1602z00_10582)))->
													BgL_destz00) = ((obj_t) BgL_auxz00_17368), BUNSPEC);
										}
										{
											BgL_rtl_funz00_bglt BgL_auxz00_17374;

											{	/* SawBbv/bbv-specialize.scm 1029 */
												BgL_rtl_movz00_bglt BgL_new1614z00_10589;

												{	/* SawBbv/bbv-specialize.scm 1029 */
													BgL_rtl_movz00_bglt BgL_new1613z00_10590;

													BgL_new1613z00_10590 =
														((BgL_rtl_movz00_bglt)
														BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_rtl_movz00_bgl))));
													{	/* SawBbv/bbv-specialize.scm 1029 */
														long BgL_arg3392z00_10591;

														{	/* SawBbv/bbv-specialize.scm 1029 */
															obj_t BgL_classz00_10592;

															BgL_classz00_10592 = BGl_rtl_movz00zzsaw_defsz00;
															BgL_arg3392z00_10591 =
																BGL_CLASS_NUM(BgL_classz00_10592);
														}
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1613z00_10590),
															BgL_arg3392z00_10591);
													}
													BgL_new1614z00_10589 = BgL_new1613z00_10590;
												}
												((((BgL_rtl_funz00_bglt) COBJECT(
																((BgL_rtl_funz00_bglt) BgL_new1614z00_10589)))->
														BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
												BgL_auxz00_17374 =
													((BgL_rtl_funz00_bglt) BgL_new1614z00_10589);
											}
											((((BgL_rtl_insz00_bglt) COBJECT(
															((BgL_rtl_insz00_bglt) BgL_new1602z00_10582)))->
													BgL_funz00) =
												((BgL_rtl_funz00_bglt) BgL_auxz00_17374), BUNSPEC);
										}
										{
											obj_t BgL_auxz00_17384;

											{	/* SawBbv/bbv-specialize.scm 1028 */
												BgL_rtl_insz00_bglt BgL_arg3393z00_10593;

												{	/* SawBbv/bbv-specialize.scm 1028 */
													obj_t BgL_arg3396z00_10594;
													obj_t BgL_arg3397z00_10595;
													BgL_typez00_bglt BgL_arg3398z00_10596;

													{	/* SawBbv/bbv-specialize.scm 1028 */
														obj_t BgL_pairz00_10597;

														BgL_pairz00_10597 =
															(((BgL_rtl_insz00_bglt) COBJECT(
																	((BgL_rtl_insz00_bglt) BgL_iz00_9856)))->
															BgL_argsz00);
														BgL_arg3396z00_10594 = CAR(BgL_pairz00_10597);
													}
													BgL_arg3397z00_10595 =
														(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
																((BgL_bbvzd2ctxentryzd2_bglt)
																	BgL_ez00_10577)))->BgL_valuez00);
													BgL_arg3398z00_10596 =
														(((BgL_rtl_returnz00_bglt)
															COBJECT(BgL_i1601z00_10580))->BgL_typez00);
													BgL_arg3393z00_10593 =
														BGl_rangezd2ze3loadiz31zzsaw_bbvzd2specializa7ez75((
															(BgL_rtl_insz00_bglt) BgL_iz00_9856),
														BgL_arg3396z00_10594, BgL_arg3397z00_10595,
														((obj_t) BgL_arg3398z00_10596));
												}
												{	/* SawBbv/bbv-specialize.scm 1027 */
													obj_t BgL_list3394z00_10598;

													BgL_list3394z00_10598 =
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_arg3393z00_10593), BNIL);
													BgL_auxz00_17384 = BgL_list3394z00_10598;
											}}
											((((BgL_rtl_insz00_bglt) COBJECT(
															((BgL_rtl_insz00_bglt) BgL_new1602z00_10582)))->
													BgL_argsz00) = ((obj_t) BgL_auxz00_17384), BUNSPEC);
										}
										{
											obj_t BgL_auxz00_17404;
											BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_17398;

											{
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_17405;

												{
													obj_t BgL_auxz00_17406;

													{	/* SawBbv/bbv-specialize.scm 1027 */
														BgL_objectz00_bglt BgL_tmpz00_17407;

														BgL_tmpz00_17407 =
															((BgL_objectz00_bglt)
															((BgL_rtl_insz00_bglt)
																((BgL_rtl_insz00_bglt) BgL_iz00_9856)));
														BgL_auxz00_17406 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_17407);
													}
													BgL_auxz00_17405 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_17406);
												}
												BgL_auxz00_17404 =
													(((BgL_rtl_inszf2bbvzf2_bglt)
														COBJECT(BgL_auxz00_17405))->BgL_defz00);
											}
											{
												obj_t BgL_auxz00_17399;

												{	/* SawBbv/bbv-specialize.scm 1027 */
													BgL_objectz00_bglt BgL_tmpz00_17400;

													BgL_tmpz00_17400 =
														((BgL_objectz00_bglt) BgL_new1602z00_10582);
													BgL_auxz00_17399 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_17400);
												}
												BgL_auxz00_17398 =
													((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_17399);
											}
											((((BgL_rtl_inszf2bbvzf2_bglt)
														COBJECT(BgL_auxz00_17398))->BgL_defz00) =
												((obj_t) BgL_auxz00_17404), BUNSPEC);
										}
										{
											obj_t BgL_auxz00_17421;
											BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_17415;

											{
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_17422;

												{
													obj_t BgL_auxz00_17423;

													{	/* SawBbv/bbv-specialize.scm 1027 */
														BgL_objectz00_bglt BgL_tmpz00_17424;

														BgL_tmpz00_17424 =
															((BgL_objectz00_bglt)
															((BgL_rtl_insz00_bglt)
																((BgL_rtl_insz00_bglt) BgL_iz00_9856)));
														BgL_auxz00_17423 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_17424);
													}
													BgL_auxz00_17422 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_17423);
												}
												BgL_auxz00_17421 =
													(((BgL_rtl_inszf2bbvzf2_bglt)
														COBJECT(BgL_auxz00_17422))->BgL_outz00);
											}
											{
												obj_t BgL_auxz00_17416;

												{	/* SawBbv/bbv-specialize.scm 1027 */
													BgL_objectz00_bglt BgL_tmpz00_17417;

													BgL_tmpz00_17417 =
														((BgL_objectz00_bglt) BgL_new1602z00_10582);
													BgL_auxz00_17416 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_17417);
												}
												BgL_auxz00_17415 =
													((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_17416);
											}
											((((BgL_rtl_inszf2bbvzf2_bglt)
														COBJECT(BgL_auxz00_17415))->BgL_outz00) =
												((obj_t) BgL_auxz00_17421), BUNSPEC);
										}
										{
											obj_t BgL_auxz00_17438;
											BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_17432;

											{
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_17439;

												{
													obj_t BgL_auxz00_17440;

													{	/* SawBbv/bbv-specialize.scm 1027 */
														BgL_objectz00_bglt BgL_tmpz00_17441;

														BgL_tmpz00_17441 =
															((BgL_objectz00_bglt)
															((BgL_rtl_insz00_bglt)
																((BgL_rtl_insz00_bglt) BgL_iz00_9856)));
														BgL_auxz00_17440 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_17441);
													}
													BgL_auxz00_17439 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_17440);
												}
												BgL_auxz00_17438 =
													(((BgL_rtl_inszf2bbvzf2_bglt)
														COBJECT(BgL_auxz00_17439))->BgL_inz00);
											}
											{
												obj_t BgL_auxz00_17433;

												{	/* SawBbv/bbv-specialize.scm 1027 */
													BgL_objectz00_bglt BgL_tmpz00_17434;

													BgL_tmpz00_17434 =
														((BgL_objectz00_bglt) BgL_new1602z00_10582);
													BgL_auxz00_17433 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_17434);
												}
												BgL_auxz00_17432 =
													((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_17433);
											}
											((((BgL_rtl_inszf2bbvzf2_bglt)
														COBJECT(BgL_auxz00_17432))->BgL_inz00) =
												((obj_t) BgL_auxz00_17438), BUNSPEC);
										}
										{
											BgL_bbvzd2ctxzd2_bglt BgL_auxz00_17455;
											BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_17449;

											{
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_17456;

												{
													obj_t BgL_auxz00_17457;

													{	/* SawBbv/bbv-specialize.scm 1027 */
														BgL_objectz00_bglt BgL_tmpz00_17458;

														BgL_tmpz00_17458 =
															((BgL_objectz00_bglt)
															((BgL_rtl_insz00_bglt)
																((BgL_rtl_insz00_bglt) BgL_iz00_9856)));
														BgL_auxz00_17457 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_17458);
													}
													BgL_auxz00_17456 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_17457);
												}
												BgL_auxz00_17455 =
													(((BgL_rtl_inszf2bbvzf2_bglt)
														COBJECT(BgL_auxz00_17456))->BgL_ctxz00);
											}
											{
												obj_t BgL_auxz00_17450;

												{	/* SawBbv/bbv-specialize.scm 1027 */
													BgL_objectz00_bglt BgL_tmpz00_17451;

													BgL_tmpz00_17451 =
														((BgL_objectz00_bglt) BgL_new1602z00_10582);
													BgL_auxz00_17450 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_17451);
												}
												BgL_auxz00_17449 =
													((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_17450);
											}
											((((BgL_rtl_inszf2bbvzf2_bglt)
														COBJECT(BgL_auxz00_17449))->BgL_ctxz00) =
												((BgL_bbvzd2ctxzd2_bglt) BgL_auxz00_17455), BUNSPEC);
										}
										{
											obj_t BgL_auxz00_17472;
											BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_17466;

											{
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_17473;

												{
													obj_t BgL_auxz00_17474;

													{	/* SawBbv/bbv-specialize.scm 1027 */
														BgL_objectz00_bglt BgL_tmpz00_17475;

														BgL_tmpz00_17475 =
															((BgL_objectz00_bglt)
															((BgL_rtl_insz00_bglt)
																((BgL_rtl_insz00_bglt) BgL_iz00_9856)));
														BgL_auxz00_17474 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_17475);
													}
													BgL_auxz00_17473 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_17474);
												}
												BgL_auxz00_17472 =
													(((BgL_rtl_inszf2bbvzf2_bglt)
														COBJECT(BgL_auxz00_17473))->BgL_z52hashz52);
											}
											{
												obj_t BgL_auxz00_17467;

												{	/* SawBbv/bbv-specialize.scm 1027 */
													BgL_objectz00_bglt BgL_tmpz00_17468;

													BgL_tmpz00_17468 =
														((BgL_objectz00_bglt) BgL_new1602z00_10582);
													BgL_auxz00_17467 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_17468);
												}
												BgL_auxz00_17466 =
													((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_17467);
											}
											((((BgL_rtl_inszf2bbvzf2_bglt)
														COBJECT(BgL_auxz00_17466))->BgL_z52hashz52) =
												((obj_t) BgL_auxz00_17472), BUNSPEC);
										}
										BgL_loadiz00_10581 = BgL_new1602z00_10582;
									}
									{	/* SawBbv/bbv-specialize.scm 1031 */
										BgL_rtl_insz00_bglt BgL_val0_2399z00_10599;

										{	/* SawBbv/bbv-specialize.scm 1031 */
											BgL_rtl_insz00_bglt BgL_new1615z00_10600;

											{	/* SawBbv/bbv-specialize.scm 1032 */
												BgL_rtl_insz00_bglt BgL_tmp1624z00_10601;
												BgL_rtl_inszf2bbvzf2_bglt BgL_wide1625z00_10602;

												{
													BgL_rtl_insz00_bglt BgL_auxz00_17483;

													{	/* SawBbv/bbv-specialize.scm 1032 */
														BgL_rtl_insz00_bglt BgL_new1623z00_10603;

														BgL_new1623z00_10603 =
															((BgL_rtl_insz00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_rtl_insz00_bgl))));
														{	/* SawBbv/bbv-specialize.scm 1032 */
															long BgL_arg3390z00_10604;

															BgL_arg3390z00_10604 =
																BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1623z00_10603),
																BgL_arg3390z00_10604);
														}
														{	/* SawBbv/bbv-specialize.scm 1032 */
															BgL_objectz00_bglt BgL_tmpz00_17488;

															BgL_tmpz00_17488 =
																((BgL_objectz00_bglt) BgL_new1623z00_10603);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17488, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1623z00_10603);
														BgL_auxz00_17483 = BgL_new1623z00_10603;
													}
													BgL_tmp1624z00_10601 =
														((BgL_rtl_insz00_bglt) BgL_auxz00_17483);
												}
												BgL_wide1625z00_10602 =
													((BgL_rtl_inszf2bbvzf2_bglt)
													BOBJECT(GC_MALLOC(sizeof(struct
																BgL_rtl_inszf2bbvzf2_bgl))));
												{	/* SawBbv/bbv-specialize.scm 1032 */
													obj_t BgL_auxz00_17496;
													BgL_objectz00_bglt BgL_tmpz00_17494;

													BgL_auxz00_17496 = ((obj_t) BgL_wide1625z00_10602);
													BgL_tmpz00_17494 =
														((BgL_objectz00_bglt) BgL_tmp1624z00_10601);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17494,
														BgL_auxz00_17496);
												}
												((BgL_objectz00_bglt) BgL_tmp1624z00_10601);
												{	/* SawBbv/bbv-specialize.scm 1032 */
													long BgL_arg3389z00_10605;

													BgL_arg3389z00_10605 =
														BGL_CLASS_NUM
														(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
													BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
															BgL_tmp1624z00_10601), BgL_arg3389z00_10605);
												}
												BgL_new1615z00_10600 =
													((BgL_rtl_insz00_bglt) BgL_tmp1624z00_10601);
											}
											((((BgL_rtl_insz00_bglt) COBJECT(
															((BgL_rtl_insz00_bglt) BgL_new1615z00_10600)))->
													BgL_locz00) =
												((obj_t) (((BgL_rtl_insz00_bglt)
															COBJECT(((BgL_rtl_insz00_bglt) BgL_iz00_9856)))->
														BgL_locz00)), BUNSPEC);
											((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
																BgL_new1615z00_10600)))->BgL_z52spillz52) =
												((obj_t) (((BgL_rtl_insz00_bglt)
															COBJECT(((BgL_rtl_insz00_bglt) BgL_iz00_9856)))->
														BgL_z52spillz52)), BUNSPEC);
											((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
																BgL_new1615z00_10600)))->BgL_destz00) =
												((obj_t) (((BgL_rtl_insz00_bglt)
															COBJECT(((BgL_rtl_insz00_bglt) BgL_iz00_9856)))->
														BgL_destz00)), BUNSPEC);
											((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
																BgL_new1615z00_10600)))->BgL_funz00) =
												((BgL_rtl_funz00_bglt) (((BgL_rtl_insz00_bglt)
															COBJECT(((BgL_rtl_insz00_bglt) BgL_iz00_9856)))->
														BgL_funz00)), BUNSPEC);
											{
												obj_t BgL_auxz00_17520;

												{	/* SawBbv/bbv-specialize.scm 1032 */
													obj_t BgL_arg3387z00_10606;

													{	/* SawBbv/bbv-specialize.scm 1032 */
														obj_t BgL_pairz00_10607;

														BgL_pairz00_10607 =
															(((BgL_rtl_insz00_bglt) COBJECT(
																	((BgL_rtl_insz00_bglt) BgL_iz00_9856)))->
															BgL_argsz00);
														BgL_arg3387z00_10606 = CDR(BgL_pairz00_10607);
													}
													BgL_auxz00_17520 =
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_loadiz00_10581), BgL_arg3387z00_10606);
												}
												((((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt) BgL_new1615z00_10600)))->
														BgL_argsz00) = ((obj_t) BgL_auxz00_17520), BUNSPEC);
											}
											{
												obj_t BgL_auxz00_17534;
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_17528;

												{
													BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_17535;

													{
														obj_t BgL_auxz00_17536;

														{	/* SawBbv/bbv-specialize.scm 1032 */
															BgL_objectz00_bglt BgL_tmpz00_17537;

															BgL_tmpz00_17537 =
																((BgL_objectz00_bglt)
																((BgL_rtl_insz00_bglt)
																	((BgL_rtl_insz00_bglt) BgL_iz00_9856)));
															BgL_auxz00_17536 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_17537);
														}
														BgL_auxz00_17535 =
															((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_17536);
													}
													BgL_auxz00_17534 =
														(((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_17535))->BgL_defz00);
												}
												{
													obj_t BgL_auxz00_17529;

													{	/* SawBbv/bbv-specialize.scm 1032 */
														BgL_objectz00_bglt BgL_tmpz00_17530;

														BgL_tmpz00_17530 =
															((BgL_objectz00_bglt) BgL_new1615z00_10600);
														BgL_auxz00_17529 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_17530);
													}
													BgL_auxz00_17528 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_17529);
												}
												((((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_17528))->BgL_defz00) =
													((obj_t) BgL_auxz00_17534), BUNSPEC);
											}
											{
												obj_t BgL_auxz00_17551;
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_17545;

												{
													BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_17552;

													{
														obj_t BgL_auxz00_17553;

														{	/* SawBbv/bbv-specialize.scm 1032 */
															BgL_objectz00_bglt BgL_tmpz00_17554;

															BgL_tmpz00_17554 =
																((BgL_objectz00_bglt)
																((BgL_rtl_insz00_bglt)
																	((BgL_rtl_insz00_bglt) BgL_iz00_9856)));
															BgL_auxz00_17553 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_17554);
														}
														BgL_auxz00_17552 =
															((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_17553);
													}
													BgL_auxz00_17551 =
														(((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_17552))->BgL_outz00);
												}
												{
													obj_t BgL_auxz00_17546;

													{	/* SawBbv/bbv-specialize.scm 1032 */
														BgL_objectz00_bglt BgL_tmpz00_17547;

														BgL_tmpz00_17547 =
															((BgL_objectz00_bglt) BgL_new1615z00_10600);
														BgL_auxz00_17546 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_17547);
													}
													BgL_auxz00_17545 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_17546);
												}
												((((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_17545))->BgL_outz00) =
													((obj_t) BgL_auxz00_17551), BUNSPEC);
											}
											{
												obj_t BgL_auxz00_17568;
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_17562;

												{
													BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_17569;

													{
														obj_t BgL_auxz00_17570;

														{	/* SawBbv/bbv-specialize.scm 1032 */
															BgL_objectz00_bglt BgL_tmpz00_17571;

															BgL_tmpz00_17571 =
																((BgL_objectz00_bglt)
																((BgL_rtl_insz00_bglt)
																	((BgL_rtl_insz00_bglt) BgL_iz00_9856)));
															BgL_auxz00_17570 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_17571);
														}
														BgL_auxz00_17569 =
															((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_17570);
													}
													BgL_auxz00_17568 =
														(((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_17569))->BgL_inz00);
												}
												{
													obj_t BgL_auxz00_17563;

													{	/* SawBbv/bbv-specialize.scm 1032 */
														BgL_objectz00_bglt BgL_tmpz00_17564;

														BgL_tmpz00_17564 =
															((BgL_objectz00_bglt) BgL_new1615z00_10600);
														BgL_auxz00_17563 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_17564);
													}
													BgL_auxz00_17562 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_17563);
												}
												((((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_17562))->BgL_inz00) =
													((obj_t) BgL_auxz00_17568), BUNSPEC);
											}
											{
												BgL_bbvzd2ctxzd2_bglt BgL_auxz00_17585;
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_17579;

												{
													BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_17586;

													{
														obj_t BgL_auxz00_17587;

														{	/* SawBbv/bbv-specialize.scm 1032 */
															BgL_objectz00_bglt BgL_tmpz00_17588;

															BgL_tmpz00_17588 =
																((BgL_objectz00_bglt)
																((BgL_rtl_insz00_bglt)
																	((BgL_rtl_insz00_bglt) BgL_iz00_9856)));
															BgL_auxz00_17587 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_17588);
														}
														BgL_auxz00_17586 =
															((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_17587);
													}
													BgL_auxz00_17585 =
														(((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_17586))->BgL_ctxz00);
												}
												{
													obj_t BgL_auxz00_17580;

													{	/* SawBbv/bbv-specialize.scm 1032 */
														BgL_objectz00_bglt BgL_tmpz00_17581;

														BgL_tmpz00_17581 =
															((BgL_objectz00_bglt) BgL_new1615z00_10600);
														BgL_auxz00_17580 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_17581);
													}
													BgL_auxz00_17579 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_17580);
												}
												((((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_17579))->BgL_ctxz00) =
													((BgL_bbvzd2ctxzd2_bglt) BgL_auxz00_17585), BUNSPEC);
											}
											{
												obj_t BgL_auxz00_17602;
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_17596;

												{
													BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_17603;

													{
														obj_t BgL_auxz00_17604;

														{	/* SawBbv/bbv-specialize.scm 1032 */
															BgL_objectz00_bglt BgL_tmpz00_17605;

															BgL_tmpz00_17605 =
																((BgL_objectz00_bglt)
																((BgL_rtl_insz00_bglt)
																	((BgL_rtl_insz00_bglt) BgL_iz00_9856)));
															BgL_auxz00_17604 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_17605);
														}
														BgL_auxz00_17603 =
															((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_17604);
													}
													BgL_auxz00_17602 =
														(((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_17603))->BgL_z52hashz52);
												}
												{
													obj_t BgL_auxz00_17597;

													{	/* SawBbv/bbv-specialize.scm 1032 */
														BgL_objectz00_bglt BgL_tmpz00_17598;

														BgL_tmpz00_17598 =
															((BgL_objectz00_bglt) BgL_new1615z00_10600);
														BgL_auxz00_17597 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_17598);
													}
													BgL_auxz00_17596 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_17597);
												}
												((((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_17596))->BgL_z52hashz52) =
													((obj_t) BgL_auxz00_17602), BUNSPEC);
											}
											BgL_val0_2399z00_10599 = BgL_new1615z00_10600;
										}
										{	/* SawBbv/bbv-specialize.scm 1031 */
											int BgL_tmpz00_17613;

											BgL_tmpz00_17613 = (int) (2L);
											BGL_MVALUES_NUMBER_SET(BgL_tmpz00_17613);
										}
										{	/* SawBbv/bbv-specialize.scm 1031 */
											int BgL_tmpz00_17616;

											BgL_tmpz00_17616 = (int) (1L);
											BGL_MVALUES_VAL_SET(BgL_tmpz00_17616, BgL_ctxz00_9859);
										}
										BgL_auxz00_17325 =
											((BgL_rtl_insz00_bglt) BgL_val0_2399z00_10599);
							}}}
						else
							{	/* SawBbv/bbv-specialize.scm 1024 */
								{	/* SawBbv/bbv-specialize.scm 1034 */
									int BgL_tmpz00_17620;

									BgL_tmpz00_17620 = (int) (2L);
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_17620);
								}
								{	/* SawBbv/bbv-specialize.scm 1034 */
									int BgL_tmpz00_17623;

									BgL_tmpz00_17623 = (int) (1L);
									BGL_MVALUES_VAL_SET(BgL_tmpz00_17623, BgL_ctxz00_9859);
								}
								BgL_auxz00_17325 = ((BgL_rtl_insz00_bglt) BgL_iz00_9856);
				}}}
				return ((obj_t) BgL_auxz00_17325);
			}
		}

	}



/* rtl_ins-specialize-vlen */
	BgL_rtl_insz00_bglt
		BGl_rtl_inszd2specializa7ezd2vlenza7zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt BgL_iz00_334, obj_t BgL_insz00_335,
		obj_t BgL_bsz00_336, obj_t BgL_ctxz00_337,
		BgL_bbvzd2queuezd2_bglt BgL_queuez00_338)
	{
		{	/* SawBbv/bbv-specialize.scm 1039 */
			{	/* SawBbv/bbv-specialize.scm 1042 */
				obj_t BgL_rangez00_3624;

				BgL_rangez00_3624 =
					BGl_rtlzd2rangezd2zzsaw_bbvzd2rangezd2(
					((obj_t) BgL_iz00_334), ((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_337));
				{	/* SawBbv/bbv-specialize.scm 1042 */
					BgL_bbvzd2ctxzd2_bglt BgL_nctxz00_3625;

					{	/* SawBbv/bbv-specialize.scm 1043 */
						obj_t BgL_arg3410z00_3639;
						obj_t BgL_arg3412z00_3640;

						BgL_arg3410z00_3639 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt)
										((BgL_rtl_insz00_bglt) BgL_iz00_334))))->BgL_destz00);
						{	/* SawBbv/bbv-specialize.scm 1043 */
							obj_t BgL_list3413z00_3644;

							BgL_list3413z00_3644 =
								MAKE_YOUNG_PAIR(BGl_za2longza2z00zztype_cachez00, BNIL);
							BgL_arg3412z00_3640 = BgL_list3413z00_3644;
						}
						BgL_nctxz00_3625 =
							BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2(
							((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_337),
							((BgL_rtl_regz00_bglt) BgL_arg3410z00_3639), BgL_arg3412z00_3640,
							((bool_t) 1), BFALSE, BINT(1L), BgL_rangez00_3624);
					}
					{	/* SawBbv/bbv-specialize.scm 1043 */

						{	/* SawBbv/bbv-specialize.scm 1046 */
							BgL_rtl_insz00_bglt BgL_val0_2403z00_3626;

							{	/* SawBbv/bbv-specialize.scm 1046 */
								BgL_rtl_insz00_bglt BgL_new1627z00_3629;

								{	/* SawBbv/bbv-specialize.scm 1047 */
									BgL_rtl_insz00_bglt BgL_tmp1635z00_3634;
									BgL_rtl_inszf2bbvzf2_bglt BgL_wide1636z00_3635;

									{
										BgL_rtl_insz00_bglt BgL_auxz00_17639;

										{	/* SawBbv/bbv-specialize.scm 1047 */
											BgL_rtl_insz00_bglt BgL_new1634z00_3637;

											BgL_new1634z00_3637 =
												((BgL_rtl_insz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_rtl_insz00_bgl))));
											{	/* SawBbv/bbv-specialize.scm 1047 */
												long BgL_arg3409z00_3638;

												BgL_arg3409z00_3638 =
													BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1634z00_3637),
													BgL_arg3409z00_3638);
											}
											{	/* SawBbv/bbv-specialize.scm 1047 */
												BgL_objectz00_bglt BgL_tmpz00_17644;

												BgL_tmpz00_17644 =
													((BgL_objectz00_bglt) BgL_new1634z00_3637);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17644, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1634z00_3637);
											BgL_auxz00_17639 = BgL_new1634z00_3637;
										}
										BgL_tmp1635z00_3634 =
											((BgL_rtl_insz00_bglt) BgL_auxz00_17639);
									}
									BgL_wide1636z00_3635 =
										((BgL_rtl_inszf2bbvzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_rtl_inszf2bbvzf2_bgl))));
									{	/* SawBbv/bbv-specialize.scm 1047 */
										obj_t BgL_auxz00_17652;
										BgL_objectz00_bglt BgL_tmpz00_17650;

										BgL_auxz00_17652 = ((obj_t) BgL_wide1636z00_3635);
										BgL_tmpz00_17650 =
											((BgL_objectz00_bglt) BgL_tmp1635z00_3634);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17650, BgL_auxz00_17652);
									}
									((BgL_objectz00_bglt) BgL_tmp1635z00_3634);
									{	/* SawBbv/bbv-specialize.scm 1047 */
										long BgL_arg3408z00_3636;

										BgL_arg3408z00_3636 =
											BGL_CLASS_NUM(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_tmp1635z00_3634),
											BgL_arg3408z00_3636);
									}
									BgL_new1627z00_3629 =
										((BgL_rtl_insz00_bglt) BgL_tmp1635z00_3634);
								}
								((((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_new1627z00_3629)))->
										BgL_locz00) =
									((obj_t) (((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_334))->
											BgL_locz00)), BUNSPEC);
								((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
													BgL_new1627z00_3629)))->BgL_z52spillz52) =
									((obj_t) (((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_334))->
											BgL_z52spillz52)), BUNSPEC);
								((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
													BgL_new1627z00_3629)))->BgL_destz00) =
									((obj_t) (((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_334))->
											BgL_destz00)), BUNSPEC);
								((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
													BgL_new1627z00_3629)))->BgL_funz00) =
									((BgL_rtl_funz00_bglt) (((BgL_rtl_insz00_bglt)
												COBJECT(BgL_iz00_334))->BgL_funz00)), BUNSPEC);
								((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
													BgL_new1627z00_3629)))->BgL_argsz00) =
									((obj_t) (((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_334))->
											BgL_argsz00)), BUNSPEC);
								{
									obj_t BgL_auxz00_17681;
									BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_17675;

									{
										BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_17682;

										{
											obj_t BgL_auxz00_17683;

											{	/* SawBbv/bbv-specialize.scm 1047 */
												BgL_objectz00_bglt BgL_tmpz00_17684;

												BgL_tmpz00_17684 =
													((BgL_objectz00_bglt)
													((BgL_rtl_insz00_bglt) BgL_iz00_334));
												BgL_auxz00_17683 =
													BGL_OBJECT_WIDENING(BgL_tmpz00_17684);
											}
											BgL_auxz00_17682 =
												((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_17683);
										}
										BgL_auxz00_17681 =
											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_17682))->
											BgL_defz00);
									}
									{
										obj_t BgL_auxz00_17676;

										{	/* SawBbv/bbv-specialize.scm 1047 */
											BgL_objectz00_bglt BgL_tmpz00_17677;

											BgL_tmpz00_17677 =
												((BgL_objectz00_bglt) BgL_new1627z00_3629);
											BgL_auxz00_17676 = BGL_OBJECT_WIDENING(BgL_tmpz00_17677);
										}
										BgL_auxz00_17675 =
											((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_17676);
									}
									((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_17675))->
											BgL_defz00) = ((obj_t) BgL_auxz00_17681), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_17697;
									BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_17691;

									{
										BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_17698;

										{
											obj_t BgL_auxz00_17699;

											{	/* SawBbv/bbv-specialize.scm 1047 */
												BgL_objectz00_bglt BgL_tmpz00_17700;

												BgL_tmpz00_17700 =
													((BgL_objectz00_bglt)
													((BgL_rtl_insz00_bglt) BgL_iz00_334));
												BgL_auxz00_17699 =
													BGL_OBJECT_WIDENING(BgL_tmpz00_17700);
											}
											BgL_auxz00_17698 =
												((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_17699);
										}
										BgL_auxz00_17697 =
											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_17698))->
											BgL_outz00);
									}
									{
										obj_t BgL_auxz00_17692;

										{	/* SawBbv/bbv-specialize.scm 1047 */
											BgL_objectz00_bglt BgL_tmpz00_17693;

											BgL_tmpz00_17693 =
												((BgL_objectz00_bglt) BgL_new1627z00_3629);
											BgL_auxz00_17692 = BGL_OBJECT_WIDENING(BgL_tmpz00_17693);
										}
										BgL_auxz00_17691 =
											((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_17692);
									}
									((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_17691))->
											BgL_outz00) = ((obj_t) BgL_auxz00_17697), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_17713;
									BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_17707;

									{
										BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_17714;

										{
											obj_t BgL_auxz00_17715;

											{	/* SawBbv/bbv-specialize.scm 1047 */
												BgL_objectz00_bglt BgL_tmpz00_17716;

												BgL_tmpz00_17716 =
													((BgL_objectz00_bglt)
													((BgL_rtl_insz00_bglt) BgL_iz00_334));
												BgL_auxz00_17715 =
													BGL_OBJECT_WIDENING(BgL_tmpz00_17716);
											}
											BgL_auxz00_17714 =
												((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_17715);
										}
										BgL_auxz00_17713 =
											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_17714))->
											BgL_inz00);
									}
									{
										obj_t BgL_auxz00_17708;

										{	/* SawBbv/bbv-specialize.scm 1047 */
											BgL_objectz00_bglt BgL_tmpz00_17709;

											BgL_tmpz00_17709 =
												((BgL_objectz00_bglt) BgL_new1627z00_3629);
											BgL_auxz00_17708 = BGL_OBJECT_WIDENING(BgL_tmpz00_17709);
										}
										BgL_auxz00_17707 =
											((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_17708);
									}
									((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_17707))->
											BgL_inz00) = ((obj_t) BgL_auxz00_17713), BUNSPEC);
								}
								{
									BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_17723;

									{
										obj_t BgL_auxz00_17724;

										{	/* SawBbv/bbv-specialize.scm 1047 */
											BgL_objectz00_bglt BgL_tmpz00_17725;

											BgL_tmpz00_17725 =
												((BgL_objectz00_bglt) BgL_new1627z00_3629);
											BgL_auxz00_17724 = BGL_OBJECT_WIDENING(BgL_tmpz00_17725);
										}
										BgL_auxz00_17723 =
											((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_17724);
									}
									((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_17723))->
											BgL_ctxz00) =
										((BgL_bbvzd2ctxzd2_bglt) ((BgL_bbvzd2ctxzd2_bglt)
												BgL_ctxz00_337)), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_17737;
									BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_17731;

									{
										BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_17738;

										{
											obj_t BgL_auxz00_17739;

											{	/* SawBbv/bbv-specialize.scm 1047 */
												BgL_objectz00_bglt BgL_tmpz00_17740;

												BgL_tmpz00_17740 =
													((BgL_objectz00_bglt)
													((BgL_rtl_insz00_bglt) BgL_iz00_334));
												BgL_auxz00_17739 =
													BGL_OBJECT_WIDENING(BgL_tmpz00_17740);
											}
											BgL_auxz00_17738 =
												((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_17739);
										}
										BgL_auxz00_17737 =
											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_17738))->
											BgL_z52hashz52);
									}
									{
										obj_t BgL_auxz00_17732;

										{	/* SawBbv/bbv-specialize.scm 1047 */
											BgL_objectz00_bglt BgL_tmpz00_17733;

											BgL_tmpz00_17733 =
												((BgL_objectz00_bglt) BgL_new1627z00_3629);
											BgL_auxz00_17732 = BGL_OBJECT_WIDENING(BgL_tmpz00_17733);
										}
										BgL_auxz00_17731 =
											((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_17732);
									}
									((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_17731))->
											BgL_z52hashz52) = ((obj_t) BgL_auxz00_17737), BUNSPEC);
								}
								BgL_val0_2403z00_3626 = BgL_new1627z00_3629;
							}
							{	/* SawBbv/bbv-specialize.scm 1046 */
								int BgL_tmpz00_17747;

								BgL_tmpz00_17747 = (int) (2L);
								BGL_MVALUES_NUMBER_SET(BgL_tmpz00_17747);
							}
							{	/* SawBbv/bbv-specialize.scm 1046 */
								obj_t BgL_auxz00_17752;
								int BgL_tmpz00_17750;

								BgL_auxz00_17752 = ((obj_t) BgL_nctxz00_3625);
								BgL_tmpz00_17750 = (int) (1L);
								BGL_MVALUES_VAL_SET(BgL_tmpz00_17750, BgL_auxz00_17752);
							}
							return BgL_val0_2403z00_3626;
						}
					}
				}
			}
		}

	}



/* &rtl_ins-specialize-vlen */
	obj_t BGl_z62rtl_inszd2specializa7ezd2vlenzc5zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9861, obj_t BgL_iz00_9862, obj_t BgL_insz00_9863,
		obj_t BgL_bsz00_9864, obj_t BgL_ctxz00_9865, obj_t BgL_queuez00_9866)
	{
		{	/* SawBbv/bbv-specialize.scm 1039 */
			return
				((obj_t)
				BGl_rtl_inszd2specializa7ezd2vlenza7zzsaw_bbvzd2specializa7ez75(
					((BgL_rtl_insz00_bglt) BgL_iz00_9862), BgL_insz00_9863,
					BgL_bsz00_9864, BgL_ctxz00_9865,
					((BgL_bbvzd2queuezd2_bglt) BgL_queuez00_9866)));
		}

	}



/* rtl_ins-vector-bound-check? */
	bool_t
		BGl_rtl_inszd2vectorzd2boundzd2checkzf3z21zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt BgL_iz00_339)
	{
		{	/* SawBbv/bbv-specialize.scm 1053 */
			if (BGl_rtl_inszd2ifnezf3z21zzsaw_bbvzd2typeszd2(BgL_iz00_339))
				{	/* SawBbv/bbv-specialize.scm 1056 */
					bool_t BgL_test4690z00_17761;

					{	/* SawBbv/bbv-specialize.scm 1056 */
						bool_t BgL_test4691z00_17762;

						{	/* SawBbv/bbv-specialize.scm 1056 */
							obj_t BgL_arg3440z00_3673;

							BgL_arg3440z00_3673 =
								CAR(
								(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_339))->BgL_argsz00));
							{	/* SawBbv/bbv-specialize.scm 1056 */
								obj_t BgL_classz00_7296;

								BgL_classz00_7296 = BGl_rtl_insz00zzsaw_defsz00;
								if (BGL_OBJECTP(BgL_arg3440z00_3673))
									{	/* SawBbv/bbv-specialize.scm 1056 */
										BgL_objectz00_bglt BgL_arg1858z00_7298;

										BgL_arg1858z00_7298 =
											(BgL_objectz00_bglt) (BgL_arg3440z00_3673);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* SawBbv/bbv-specialize.scm 1056 */
												long BgL_idxz00_7304;

												BgL_idxz00_7304 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_7298);
												BgL_test4691z00_17762 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_7304 + 1L)) == BgL_classz00_7296);
											}
										else
											{	/* SawBbv/bbv-specialize.scm 1056 */
												bool_t BgL_res4126z00_7329;

												{	/* SawBbv/bbv-specialize.scm 1056 */
													obj_t BgL_oclassz00_7312;

													{	/* SawBbv/bbv-specialize.scm 1056 */
														obj_t BgL_arg1866z00_7320;
														long BgL_arg1867z00_7321;

														BgL_arg1866z00_7320 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* SawBbv/bbv-specialize.scm 1056 */
															long BgL_arg1869z00_7322;

															BgL_arg1869z00_7322 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_7298);
															BgL_arg1867z00_7321 =
																(BgL_arg1869z00_7322 - OBJECT_TYPE);
														}
														BgL_oclassz00_7312 =
															VECTOR_REF(BgL_arg1866z00_7320,
															BgL_arg1867z00_7321);
													}
													{	/* SawBbv/bbv-specialize.scm 1056 */
														bool_t BgL__ortest_1115z00_7313;

														BgL__ortest_1115z00_7313 =
															(BgL_classz00_7296 == BgL_oclassz00_7312);
														if (BgL__ortest_1115z00_7313)
															{	/* SawBbv/bbv-specialize.scm 1056 */
																BgL_res4126z00_7329 = BgL__ortest_1115z00_7313;
															}
														else
															{	/* SawBbv/bbv-specialize.scm 1056 */
																long BgL_odepthz00_7314;

																{	/* SawBbv/bbv-specialize.scm 1056 */
																	obj_t BgL_arg1855z00_7315;

																	BgL_arg1855z00_7315 = (BgL_oclassz00_7312);
																	BgL_odepthz00_7314 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_7315);
																}
																if ((1L < BgL_odepthz00_7314))
																	{	/* SawBbv/bbv-specialize.scm 1056 */
																		obj_t BgL_arg1853z00_7317;

																		{	/* SawBbv/bbv-specialize.scm 1056 */
																			obj_t BgL_arg1854z00_7318;

																			BgL_arg1854z00_7318 =
																				(BgL_oclassz00_7312);
																			BgL_arg1853z00_7317 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_7318, 1L);
																		}
																		BgL_res4126z00_7329 =
																			(BgL_arg1853z00_7317 ==
																			BgL_classz00_7296);
																	}
																else
																	{	/* SawBbv/bbv-specialize.scm 1056 */
																		BgL_res4126z00_7329 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test4691z00_17762 = BgL_res4126z00_7329;
											}
									}
								else
									{	/* SawBbv/bbv-specialize.scm 1056 */
										BgL_test4691z00_17762 = ((bool_t) 0);
									}
							}
						}
						if (BgL_test4691z00_17762)
							{	/* SawBbv/bbv-specialize.scm 1056 */
								obj_t BgL_arg3437z00_3671;

								BgL_arg3437z00_3671 =
									CAR(
									(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_339))->BgL_argsz00));
								BgL_test4690z00_17761 =
									BGl_rtl_inszd2callzf3z21zzsaw_bbvzd2typeszd2(
									((BgL_rtl_insz00_bglt) BgL_arg3437z00_3671));
							}
						else
							{	/* SawBbv/bbv-specialize.scm 1056 */
								BgL_test4690z00_17761 = ((bool_t) 0);
							}
					}
					if (BgL_test4690z00_17761)
						{	/* SawBbv/bbv-specialize.scm 1057 */
							BgL_rtl_insz00_bglt BgL_i1638z00_3655;

							{	/* SawBbv/bbv-specialize.scm 1057 */
								obj_t BgL_pairz00_7331;

								BgL_pairz00_7331 =
									(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_339))->BgL_argsz00);
								BgL_i1638z00_3655 =
									((BgL_rtl_insz00_bglt) CAR(BgL_pairz00_7331));
							}
							{	/* SawBbv/bbv-specialize.scm 1058 */
								BgL_rtl_callz00_bglt BgL_i1639z00_3656;

								BgL_i1639z00_3656 =
									((BgL_rtl_callz00_bglt)
									(((BgL_rtl_insz00_bglt) COBJECT(BgL_i1638z00_3655))->
										BgL_funz00));
								{	/* SawBbv/bbv-specialize.scm 1059 */
									bool_t BgL_test4696z00_17796;

									{	/* SawBbv/bbv-specialize.scm 1059 */
										bool_t BgL_test4697z00_17797;

										{	/* SawBbv/bbv-specialize.scm 1059 */
											obj_t BgL_arg3435z00_3668;

											BgL_arg3435z00_3668 =
												((obj_t)
												(((BgL_rtl_callz00_bglt) COBJECT(BgL_i1639z00_3656))->
													BgL_varz00));
											BgL_test4697z00_17797 =
												(BgL_arg3435z00_3668 ==
												BGl_za2vectorzd2boundzd2checkza2z00zzsaw_bbvzd2cachezd2);
										}
										if (BgL_test4697z00_17797)
											{	/* SawBbv/bbv-specialize.scm 1059 */
												BgL_test4696z00_17796 = ((bool_t) 1);
											}
										else
											{	/* SawBbv/bbv-specialize.scm 1059 */
												obj_t BgL_arg3433z00_3667;

												BgL_arg3433z00_3667 =
													((obj_t)
													(((BgL_rtl_callz00_bglt) COBJECT(BgL_i1639z00_3656))->
														BgL_varz00));
												BgL_test4696z00_17796 =
													(BgL_arg3433z00_3667 ==
													BGl_za2stringzd2boundzd2checkza2z00zzsaw_bbvzd2cachezd2);
											}
									}
									if (BgL_test4696z00_17796)
										{	/* SawBbv/bbv-specialize.scm 1060 */
											obj_t BgL_argsz00_3662;

											BgL_argsz00_3662 =
												BGl_rtl_inszd2argsza2z70zzsaw_defsz00(BgL_iz00_339);
											{	/* SawBbv/bbv-specialize.scm 1061 */
												bool_t BgL_test4698z00_17805;

												{	/* SawBbv/bbv-specialize.scm 1061 */
													obj_t BgL_arg3432z00_3665;

													BgL_arg3432z00_3665 = CAR(((obj_t) BgL_argsz00_3662));
													{	/* SawBbv/bbv-specialize.scm 1061 */
														obj_t BgL_classz00_7333;

														BgL_classz00_7333 = BGl_rtl_regz00zzsaw_defsz00;
														if (BGL_OBJECTP(BgL_arg3432z00_3665))
															{	/* SawBbv/bbv-specialize.scm 1061 */
																BgL_objectz00_bglt BgL_arg1858z00_7335;

																BgL_arg1858z00_7335 =
																	(BgL_objectz00_bglt) (BgL_arg3432z00_3665);
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* SawBbv/bbv-specialize.scm 1061 */
																		long BgL_idxz00_7341;

																		BgL_idxz00_7341 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1858z00_7335);
																		BgL_test4698z00_17805 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_7341 + 1L)) ==
																			BgL_classz00_7333);
																	}
																else
																	{	/* SawBbv/bbv-specialize.scm 1061 */
																		bool_t BgL_res4127z00_7366;

																		{	/* SawBbv/bbv-specialize.scm 1061 */
																			obj_t BgL_oclassz00_7349;

																			{	/* SawBbv/bbv-specialize.scm 1061 */
																				obj_t BgL_arg1866z00_7357;
																				long BgL_arg1867z00_7358;

																				BgL_arg1866z00_7357 =
																					(BGl_za2classesza2z00zz__objectz00);
																				{	/* SawBbv/bbv-specialize.scm 1061 */
																					long BgL_arg1869z00_7359;

																					BgL_arg1869z00_7359 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1858z00_7335);
																					BgL_arg1867z00_7358 =
																						(BgL_arg1869z00_7359 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_7349 =
																					VECTOR_REF(BgL_arg1866z00_7357,
																					BgL_arg1867z00_7358);
																			}
																			{	/* SawBbv/bbv-specialize.scm 1061 */
																				bool_t BgL__ortest_1115z00_7350;

																				BgL__ortest_1115z00_7350 =
																					(BgL_classz00_7333 ==
																					BgL_oclassz00_7349);
																				if (BgL__ortest_1115z00_7350)
																					{	/* SawBbv/bbv-specialize.scm 1061 */
																						BgL_res4127z00_7366 =
																							BgL__ortest_1115z00_7350;
																					}
																				else
																					{	/* SawBbv/bbv-specialize.scm 1061 */
																						long BgL_odepthz00_7351;

																						{	/* SawBbv/bbv-specialize.scm 1061 */
																							obj_t BgL_arg1855z00_7352;

																							BgL_arg1855z00_7352 =
																								(BgL_oclassz00_7349);
																							BgL_odepthz00_7351 =
																								BGL_CLASS_DEPTH
																								(BgL_arg1855z00_7352);
																						}
																						if ((1L < BgL_odepthz00_7351))
																							{	/* SawBbv/bbv-specialize.scm 1061 */
																								obj_t BgL_arg1853z00_7354;

																								{	/* SawBbv/bbv-specialize.scm 1061 */
																									obj_t BgL_arg1854z00_7355;

																									BgL_arg1854z00_7355 =
																										(BgL_oclassz00_7349);
																									BgL_arg1853z00_7354 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_arg1854z00_7355, 1L);
																								}
																								BgL_res4127z00_7366 =
																									(BgL_arg1853z00_7354 ==
																									BgL_classz00_7333);
																							}
																						else
																							{	/* SawBbv/bbv-specialize.scm 1061 */
																								BgL_res4127z00_7366 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test4698z00_17805 = BgL_res4127z00_7366;
																	}
															}
														else
															{	/* SawBbv/bbv-specialize.scm 1061 */
																BgL_test4698z00_17805 = ((bool_t) 0);
															}
													}
												}
												if (BgL_test4698z00_17805)
													{	/* SawBbv/bbv-specialize.scm 1061 */
														obj_t BgL_arg3431z00_3664;

														{	/* SawBbv/bbv-specialize.scm 1061 */
															obj_t BgL_pairz00_7370;

															BgL_pairz00_7370 =
																CDR(((obj_t) BgL_argsz00_3662));
															BgL_arg3431z00_3664 = CAR(BgL_pairz00_7370);
														}
														{	/* SawBbv/bbv-specialize.scm 1061 */
															obj_t BgL_classz00_7371;

															BgL_classz00_7371 = BGl_rtl_regz00zzsaw_defsz00;
															if (BGL_OBJECTP(BgL_arg3431z00_3664))
																{	/* SawBbv/bbv-specialize.scm 1061 */
																	BgL_objectz00_bglt BgL_arg1858z00_7373;

																	BgL_arg1858z00_7373 =
																		(BgL_objectz00_bglt) (BgL_arg3431z00_3664);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* SawBbv/bbv-specialize.scm 1061 */
																			long BgL_idxz00_7379;

																			BgL_idxz00_7379 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1858z00_7373);
																			return (VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_7379 + 1L)) ==
																				BgL_classz00_7371);
																		}
																	else
																		{	/* SawBbv/bbv-specialize.scm 1061 */
																			bool_t BgL_res4128z00_7404;

																			{	/* SawBbv/bbv-specialize.scm 1061 */
																				obj_t BgL_oclassz00_7387;

																				{	/* SawBbv/bbv-specialize.scm 1061 */
																					obj_t BgL_arg1866z00_7395;
																					long BgL_arg1867z00_7396;

																					BgL_arg1866z00_7395 =
																						(BGl_za2classesza2z00zz__objectz00);
																					{	/* SawBbv/bbv-specialize.scm 1061 */
																						long BgL_arg1869z00_7397;

																						BgL_arg1869z00_7397 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1858z00_7373);
																						BgL_arg1867z00_7396 =
																							(BgL_arg1869z00_7397 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_7387 =
																						VECTOR_REF(BgL_arg1866z00_7395,
																						BgL_arg1867z00_7396);
																				}
																				{	/* SawBbv/bbv-specialize.scm 1061 */
																					bool_t BgL__ortest_1115z00_7388;

																					BgL__ortest_1115z00_7388 =
																						(BgL_classz00_7371 ==
																						BgL_oclassz00_7387);
																					if (BgL__ortest_1115z00_7388)
																						{	/* SawBbv/bbv-specialize.scm 1061 */
																							BgL_res4128z00_7404 =
																								BgL__ortest_1115z00_7388;
																						}
																					else
																						{	/* SawBbv/bbv-specialize.scm 1061 */
																							long BgL_odepthz00_7389;

																							{	/* SawBbv/bbv-specialize.scm 1061 */
																								obj_t BgL_arg1855z00_7390;

																								BgL_arg1855z00_7390 =
																									(BgL_oclassz00_7387);
																								BgL_odepthz00_7389 =
																									BGL_CLASS_DEPTH
																									(BgL_arg1855z00_7390);
																							}
																							if ((1L < BgL_odepthz00_7389))
																								{	/* SawBbv/bbv-specialize.scm 1061 */
																									obj_t BgL_arg1853z00_7392;

																									{	/* SawBbv/bbv-specialize.scm 1061 */
																										obj_t BgL_arg1854z00_7393;

																										BgL_arg1854z00_7393 =
																											(BgL_oclassz00_7387);
																										BgL_arg1853z00_7392 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_arg1854z00_7393, 1L);
																									}
																									BgL_res4128z00_7404 =
																										(BgL_arg1853z00_7392 ==
																										BgL_classz00_7371);
																								}
																							else
																								{	/* SawBbv/bbv-specialize.scm 1061 */
																									BgL_res4128z00_7404 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			return BgL_res4128z00_7404;
																		}
																}
															else
																{	/* SawBbv/bbv-specialize.scm 1061 */
																	return ((bool_t) 0);
																}
														}
													}
												else
													{	/* SawBbv/bbv-specialize.scm 1061 */
														return ((bool_t) 0);
													}
											}
										}
									else
										{	/* SawBbv/bbv-specialize.scm 1059 */
											return ((bool_t) 0);
										}
								}
							}
						}
					else
						{	/* SawBbv/bbv-specialize.scm 1056 */
							return ((bool_t) 0);
						}
				}
			else
				{	/* SawBbv/bbv-specialize.scm 1054 */
					return ((bool_t) 0);
				}
		}

	}



/* &rtl_ins-specialize-vector-bound-check */
	obj_t
		BGl_z62rtl_inszd2specializa7ezd2vectorzd2boundzd2checkzc5zzsaw_bbvzd2specializa7ez75
		(obj_t BgL_envz00_9867, obj_t BgL_iz00_9868, obj_t BgL_insz00_9869,
		obj_t BgL_bsz00_9870, obj_t BgL_ctxz00_9871, obj_t BgL_queuez00_9872)
	{
		{	/* SawBbv/bbv-specialize.scm 1066 */
			{
				BgL_rtl_insz00_bglt BgL_auxz00_17855;

				{
					BgL_rtl_insz00_bglt BgL_iz00_10620;
					obj_t BgL_ctxzb2zb2_10621;
					obj_t BgL_ctxzd2zd2_10622;

					{	/* SawBbv/bbv-specialize.scm 1091 */
						BgL_rtl_insz00_bglt BgL_i1666z00_10637;

						{	/* SawBbv/bbv-specialize.scm 1091 */
							obj_t BgL_pairz00_10638;

							BgL_pairz00_10638 =
								(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_iz00_9868)))->BgL_argsz00);
							BgL_i1666z00_10637 =
								((BgL_rtl_insz00_bglt) CAR(BgL_pairz00_10638));
						}
						{	/* SawBbv/bbv-specialize.scm 1093 */
							obj_t BgL_vecz00_10639;

							BgL_vecz00_10639 =
								CAR(
								(((BgL_rtl_insz00_bglt) COBJECT(BgL_i1666z00_10637))->
									BgL_argsz00));
							{	/* SawBbv/bbv-specialize.scm 1093 */
								obj_t BgL_lenz00_10640;

								{	/* SawBbv/bbv-specialize.scm 1094 */
									obj_t BgL_pairz00_10641;

									BgL_pairz00_10641 =
										(((BgL_rtl_insz00_bglt) COBJECT(BgL_i1666z00_10637))->
										BgL_argsz00);
									BgL_lenz00_10640 = CAR(CDR(BgL_pairz00_10641));
								}
								{	/* SawBbv/bbv-specialize.scm 1094 */
									obj_t BgL_az00_10642;

									BgL_az00_10642 =
										BGl_bbvzd2ctxzd2getz00zzsaw_bbvzd2typeszd2(
										((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_9871),
										((BgL_rtl_regz00_bglt) BgL_vecz00_10639));
									{	/* SawBbv/bbv-specialize.scm 1095 */
										obj_t BgL_lz00_10643;

										BgL_lz00_10643 =
											BGl_bbvzd2ctxzd2getz00zzsaw_bbvzd2typeszd2(
											((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_9871),
											((BgL_rtl_regz00_bglt) BgL_lenz00_10640));
										{	/* SawBbv/bbv-specialize.scm 1096 */
											obj_t BgL_vaz00_10644;

											BgL_vaz00_10644 =
												(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
														((BgL_bbvzd2ctxentryzd2_bglt) BgL_az00_10642)))->
												BgL_valuez00);
											{	/* SawBbv/bbv-specialize.scm 1097 */
												obj_t BgL_vlz00_10645;

												BgL_vlz00_10645 =
													(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
															((BgL_bbvzd2ctxentryzd2_bglt) BgL_lz00_10643)))->
													BgL_valuez00);
												{	/* SawBbv/bbv-specialize.scm 1098 */

													if (CBOOL
														(BGl_za2bbvzd2optimzd2boundza2z00zzsaw_bbvzd2configzd2))
														{	/* SawBbv/bbv-specialize.scm 1109 */
															bool_t BgL_test4708z00_17877;

															{	/* SawBbv/bbv-specialize.scm 1109 */
																obj_t BgL_classz00_10646;

																BgL_classz00_10646 =
																	BGl_bbvzd2rangezd2zzsaw_bbvzd2rangezd2;
																if (BGL_OBJECTP(BgL_vaz00_10644))
																	{	/* SawBbv/bbv-specialize.scm 1109 */
																		BgL_objectz00_bglt BgL_arg1858z00_10647;

																		BgL_arg1858z00_10647 =
																			(BgL_objectz00_bglt) (BgL_vaz00_10644);
																		if (BGL_CONDEXPAND_ISA_ARCH64())
																			{	/* SawBbv/bbv-specialize.scm 1109 */
																				long BgL_idxz00_10648;

																				BgL_idxz00_10648 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1858z00_10647);
																				BgL_test4708z00_17877 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_10648 + 1L)) ==
																					BgL_classz00_10646);
																			}
																		else
																			{	/* SawBbv/bbv-specialize.scm 1109 */
																				bool_t BgL_res4129z00_10651;

																				{	/* SawBbv/bbv-specialize.scm 1109 */
																					obj_t BgL_oclassz00_10652;

																					{	/* SawBbv/bbv-specialize.scm 1109 */
																						obj_t BgL_arg1866z00_10653;
																						long BgL_arg1867z00_10654;

																						BgL_arg1866z00_10653 =
																							(BGl_za2classesza2z00zz__objectz00);
																						{	/* SawBbv/bbv-specialize.scm 1109 */
																							long BgL_arg1869z00_10655;

																							BgL_arg1869z00_10655 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1858z00_10647);
																							BgL_arg1867z00_10654 =
																								(BgL_arg1869z00_10655 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_10652 =
																							VECTOR_REF(BgL_arg1866z00_10653,
																							BgL_arg1867z00_10654);
																					}
																					{	/* SawBbv/bbv-specialize.scm 1109 */
																						bool_t BgL__ortest_1115z00_10656;

																						BgL__ortest_1115z00_10656 =
																							(BgL_classz00_10646 ==
																							BgL_oclassz00_10652);
																						if (BgL__ortest_1115z00_10656)
																							{	/* SawBbv/bbv-specialize.scm 1109 */
																								BgL_res4129z00_10651 =
																									BgL__ortest_1115z00_10656;
																							}
																						else
																							{	/* SawBbv/bbv-specialize.scm 1109 */
																								long BgL_odepthz00_10657;

																								{	/* SawBbv/bbv-specialize.scm 1109 */
																									obj_t BgL_arg1855z00_10658;

																									BgL_arg1855z00_10658 =
																										(BgL_oclassz00_10652);
																									BgL_odepthz00_10657 =
																										BGL_CLASS_DEPTH
																										(BgL_arg1855z00_10658);
																								}
																								if ((1L < BgL_odepthz00_10657))
																									{	/* SawBbv/bbv-specialize.scm 1109 */
																										obj_t BgL_arg1853z00_10659;

																										{	/* SawBbv/bbv-specialize.scm 1109 */
																											obj_t
																												BgL_arg1854z00_10660;
																											BgL_arg1854z00_10660 =
																												(BgL_oclassz00_10652);
																											BgL_arg1853z00_10659 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_arg1854z00_10660,
																												1L);
																										}
																										BgL_res4129z00_10651 =
																											(BgL_arg1853z00_10659 ==
																											BgL_classz00_10646);
																									}
																								else
																									{	/* SawBbv/bbv-specialize.scm 1109 */
																										BgL_res4129z00_10651 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_test4708z00_17877 =
																					BgL_res4129z00_10651;
																			}
																	}
																else
																	{	/* SawBbv/bbv-specialize.scm 1109 */
																		BgL_test4708z00_17877 = ((bool_t) 0);
																	}
															}
															if (BgL_test4708z00_17877)
																{	/* SawBbv/bbv-specialize.scm 1118 */
																	bool_t BgL_test4713z00_17900;

																	{	/* SawBbv/bbv-specialize.scm 1118 */
																		obj_t BgL_classz00_10661;

																		BgL_classz00_10661 =
																			BGl_bbvzd2rangezd2zzsaw_bbvzd2rangezd2;
																		if (BGL_OBJECTP(BgL_vlz00_10645))
																			{	/* SawBbv/bbv-specialize.scm 1118 */
																				BgL_objectz00_bglt BgL_arg1858z00_10662;

																				BgL_arg1858z00_10662 =
																					(BgL_objectz00_bglt)
																					(BgL_vlz00_10645);
																				if (BGL_CONDEXPAND_ISA_ARCH64())
																					{	/* SawBbv/bbv-specialize.scm 1118 */
																						long BgL_idxz00_10663;

																						BgL_idxz00_10663 =
																							BGL_OBJECT_INHERITANCE_NUM
																							(BgL_arg1858z00_10662);
																						BgL_test4713z00_17900 =
																							(VECTOR_REF
																							(BGl_za2inheritancesza2z00zz__objectz00,
																								(BgL_idxz00_10663 + 1L)) ==
																							BgL_classz00_10661);
																					}
																				else
																					{	/* SawBbv/bbv-specialize.scm 1118 */
																						bool_t BgL_res4130z00_10666;

																						{	/* SawBbv/bbv-specialize.scm 1118 */
																							obj_t BgL_oclassz00_10667;

																							{	/* SawBbv/bbv-specialize.scm 1118 */
																								obj_t BgL_arg1866z00_10668;
																								long BgL_arg1867z00_10669;

																								BgL_arg1866z00_10668 =
																									(BGl_za2classesza2z00zz__objectz00);
																								{	/* SawBbv/bbv-specialize.scm 1118 */
																									long BgL_arg1869z00_10670;

																									BgL_arg1869z00_10670 =
																										BGL_OBJECT_CLASS_NUM
																										(BgL_arg1858z00_10662);
																									BgL_arg1867z00_10669 =
																										(BgL_arg1869z00_10670 -
																										OBJECT_TYPE);
																								}
																								BgL_oclassz00_10667 =
																									VECTOR_REF
																									(BgL_arg1866z00_10668,
																									BgL_arg1867z00_10669);
																							}
																							{	/* SawBbv/bbv-specialize.scm 1118 */
																								bool_t
																									BgL__ortest_1115z00_10671;
																								BgL__ortest_1115z00_10671 =
																									(BgL_classz00_10661 ==
																									BgL_oclassz00_10667);
																								if (BgL__ortest_1115z00_10671)
																									{	/* SawBbv/bbv-specialize.scm 1118 */
																										BgL_res4130z00_10666 =
																											BgL__ortest_1115z00_10671;
																									}
																								else
																									{	/* SawBbv/bbv-specialize.scm 1118 */
																										long BgL_odepthz00_10672;

																										{	/* SawBbv/bbv-specialize.scm 1118 */
																											obj_t
																												BgL_arg1855z00_10673;
																											BgL_arg1855z00_10673 =
																												(BgL_oclassz00_10667);
																											BgL_odepthz00_10672 =
																												BGL_CLASS_DEPTH
																												(BgL_arg1855z00_10673);
																										}
																										if (
																											(1L <
																												BgL_odepthz00_10672))
																											{	/* SawBbv/bbv-specialize.scm 1118 */
																												obj_t
																													BgL_arg1853z00_10674;
																												{	/* SawBbv/bbv-specialize.scm 1118 */
																													obj_t
																														BgL_arg1854z00_10675;
																													BgL_arg1854z00_10675 =
																														(BgL_oclassz00_10667);
																													BgL_arg1853z00_10674 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_arg1854z00_10675,
																														1L);
																												}
																												BgL_res4130z00_10666 =
																													(BgL_arg1853z00_10674
																													==
																													BgL_classz00_10661);
																											}
																										else
																											{	/* SawBbv/bbv-specialize.scm 1118 */
																												BgL_res4130z00_10666 =
																													((bool_t) 0);
																											}
																									}
																							}
																						}
																						BgL_test4713z00_17900 =
																							BgL_res4130z00_10666;
																					}
																			}
																		else
																			{	/* SawBbv/bbv-specialize.scm 1118 */
																				BgL_test4713z00_17900 = ((bool_t) 0);
																			}
																	}
																	if (BgL_test4713z00_17900)
																		{	/* SawBbv/bbv-specialize.scm 1121 */
																			bool_t BgL_test4718z00_17923;

																			{	/* SawBbv/bbv-specialize.scm 1121 */
																				obj_t BgL_arg3490z00_10676;

																				BgL_arg3490z00_10676 =
																					BGl_bbvzd2rangezc3z11zzsaw_bbvzd2rangezd2
																					(((BgL_bbvzd2rangezd2_bglt)
																						BgL_vaz00_10644),
																					((BgL_bbvzd2rangezd2_bglt)
																						BgL_vlz00_10645));
																				BgL_test4718z00_17923 =
																					(BgL_arg3490z00_10676 == BTRUE);
																			}
																			if (BgL_test4718z00_17923)
																				{	/* SawBbv/bbv-specialize.scm 1124 */
																					BgL_rtl_ifnez00_bglt
																						BgL_i1669z00_10677;
																					BgL_i1669z00_10677 =
																						((BgL_rtl_ifnez00_bglt) ((
																								(BgL_rtl_insz00_bglt)
																								COBJECT(((BgL_rtl_insz00_bglt) (
																											(BgL_rtl_insz00_bglt) (
																												(BgL_rtl_insz00_bglt)
																												BgL_iz00_9868)))))->
																							BgL_funz00));
																					{	/* SawBbv/bbv-specialize.scm 1125 */
																						BgL_rtl_goz00_bglt BgL_funz00_10678;

																						{	/* SawBbv/bbv-specialize.scm 1125 */
																							BgL_rtl_funz00_bglt
																								BgL_duplicated1672z00_10679;
																							BgL_rtl_goz00_bglt
																								BgL_new1670z00_10680;
																							BgL_duplicated1672z00_10679 =
																								(((BgL_rtl_insz00_bglt)
																									COBJECT(((BgL_rtl_insz00_bglt)
																											((BgL_rtl_insz00_bglt) (
																													(BgL_rtl_insz00_bglt)
																													BgL_iz00_9868)))))->
																								BgL_funz00);
																							{	/* SawBbv/bbv-specialize.scm 1125 */
																								BgL_rtl_goz00_bglt
																									BgL_new1673z00_10681;
																								BgL_new1673z00_10681 =
																									((BgL_rtl_goz00_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_rtl_goz00_bgl))));
																								{	/* SawBbv/bbv-specialize.scm 1125 */
																									long BgL_arg3471z00_10682;

																									BgL_arg3471z00_10682 =
																										BGL_CLASS_NUM
																										(BGl_rtl_goz00zzsaw_defsz00);
																									BGL_OBJECT_CLASS_NUM_SET((
																											(BgL_objectz00_bglt)
																											BgL_new1673z00_10681),
																										BgL_arg3471z00_10682);
																								}
																								BgL_new1670z00_10680 =
																									BgL_new1673z00_10681;
																							}
																							((((BgL_rtl_funz00_bglt) COBJECT(
																											((BgL_rtl_funz00_bglt)
																												BgL_new1670z00_10680)))->
																									BgL_locz00) =
																								((obj_t) (((BgL_rtl_funz00_bglt)
																											COBJECT
																											(BgL_duplicated1672z00_10679))->
																										BgL_locz00)), BUNSPEC);
																							{
																								BgL_blockz00_bglt
																									BgL_auxz00_17944;
																								{	/* SawBbv/bbv-specialize.scm 1126 */
																									BgL_blockz00_bglt
																										BgL_arg3469z00_10683;
																									BgL_arg3469z00_10683 =
																										(((BgL_rtl_ifnez00_bglt)
																											COBJECT
																											(BgL_i1669z00_10677))->
																										BgL_thenz00);
																									BgL_auxz00_17944 =
																										((BgL_blockz00_bglt)
																										BGl_bbvzd2blockzd2zzsaw_bbvzd2specializa7ez75
																										(BgL_arg3469z00_10683,
																											((BgL_bbvzd2ctxzd2_bglt)
																												BgL_ctxz00_9871),
																											((BgL_bbvzd2queuezd2_bglt)
																												BgL_queuez00_9872),
																											BgL_bsz00_9870));
																								}
																								((((BgL_rtl_goz00_bglt)
																											COBJECT
																											(BgL_new1670z00_10680))->
																										BgL_toz00) =
																									((BgL_blockz00_bglt)
																										BgL_auxz00_17944), BUNSPEC);
																							}
																							BgL_funz00_10678 =
																								BgL_new1670z00_10680;
																						}
																						{	/* SawBbv/bbv-specialize.scm 1125 */
																							obj_t BgL_vlenregz00_10684;

																							BgL_vlenregz00_10684 =
																								((obj_t)
																								(((BgL_bbvzd2ctxentryzd2_bglt)
																										COBJECT((
																												(BgL_bbvzd2ctxentryzd2_bglt)
																												BgL_lz00_10643)))->
																									BgL_regz00));
																							{	/* SawBbv/bbv-specialize.scm 1127 */
																								BgL_rtl_insz00_bglt
																									BgL_niz00_10685;
																								{	/* SawBbv/bbv-specialize.scm 1128 */
																									BgL_rtl_insz00_bglt
																										BgL_new1674z00_10686;
																									{	/* SawBbv/bbv-specialize.scm 1128 */
																										BgL_rtl_insz00_bglt
																											BgL_tmp1682z00_10687;
																										BgL_rtl_inszf2bbvzf2_bglt
																											BgL_wide1683z00_10688;
																										{
																											BgL_rtl_insz00_bglt
																												BgL_auxz00_17954;
																											{	/* SawBbv/bbv-specialize.scm 1128 */
																												BgL_rtl_insz00_bglt
																													BgL_new1681z00_10689;
																												BgL_new1681z00_10689 =
																													((BgL_rtl_insz00_bglt)
																													BOBJECT(GC_MALLOC
																														(sizeof(struct
																																BgL_rtl_insz00_bgl))));
																												{	/* SawBbv/bbv-specialize.scm 1128 */
																													long
																														BgL_arg3468z00_10690;
																													BgL_arg3468z00_10690 =
																														BGL_CLASS_NUM
																														(BGl_rtl_insz00zzsaw_defsz00);
																													BGL_OBJECT_CLASS_NUM_SET
																														(((BgL_objectz00_bglt) BgL_new1681z00_10689), BgL_arg3468z00_10690);
																												}
																												{	/* SawBbv/bbv-specialize.scm 1128 */
																													BgL_objectz00_bglt
																														BgL_tmpz00_17959;
																													BgL_tmpz00_17959 =
																														(
																														(BgL_objectz00_bglt)
																														BgL_new1681z00_10689);
																													BGL_OBJECT_WIDENING_SET
																														(BgL_tmpz00_17959,
																														BFALSE);
																												}
																												((BgL_objectz00_bglt)
																													BgL_new1681z00_10689);
																												BgL_auxz00_17954 =
																													BgL_new1681z00_10689;
																											}
																											BgL_tmp1682z00_10687 =
																												((BgL_rtl_insz00_bglt)
																												BgL_auxz00_17954);
																										}
																										BgL_wide1683z00_10688 =
																											(
																											(BgL_rtl_inszf2bbvzf2_bglt)
																											BOBJECT(GC_MALLOC(sizeof
																													(struct
																														BgL_rtl_inszf2bbvzf2_bgl))));
																										{	/* SawBbv/bbv-specialize.scm 1128 */
																											obj_t BgL_auxz00_17967;
																											BgL_objectz00_bglt
																												BgL_tmpz00_17965;
																											BgL_auxz00_17967 =
																												((obj_t)
																												BgL_wide1683z00_10688);
																											BgL_tmpz00_17965 =
																												((BgL_objectz00_bglt)
																												BgL_tmp1682z00_10687);
																											BGL_OBJECT_WIDENING_SET
																												(BgL_tmpz00_17965,
																												BgL_auxz00_17967);
																										}
																										((BgL_objectz00_bglt)
																											BgL_tmp1682z00_10687);
																										{	/* SawBbv/bbv-specialize.scm 1128 */
																											long BgL_arg3467z00_10691;

																											BgL_arg3467z00_10691 =
																												BGL_CLASS_NUM
																												(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																											BGL_OBJECT_CLASS_NUM_SET((
																													(BgL_objectz00_bglt)
																													BgL_tmp1682z00_10687),
																												BgL_arg3467z00_10691);
																										}
																										BgL_new1674z00_10686 =
																											((BgL_rtl_insz00_bglt)
																											BgL_tmp1682z00_10687);
																									}
																									((((BgL_rtl_insz00_bglt)
																												COBJECT((
																														(BgL_rtl_insz00_bglt)
																														BgL_new1674z00_10686)))->
																											BgL_locz00) =
																										((obj_t) ((
																													(BgL_rtl_insz00_bglt)
																													COBJECT((
																															(BgL_rtl_insz00_bglt)
																															BgL_iz00_9868)))->
																												BgL_locz00)), BUNSPEC);
																									((((BgL_rtl_insz00_bglt)
																												COBJECT((
																														(BgL_rtl_insz00_bglt)
																														BgL_new1674z00_10686)))->
																											BgL_z52spillz52) =
																										((obj_t) ((
																													(BgL_rtl_insz00_bglt)
																													COBJECT((
																															(BgL_rtl_insz00_bglt)
																															BgL_iz00_9868)))->
																												BgL_z52spillz52)),
																										BUNSPEC);
																									((((BgL_rtl_insz00_bglt)
																												COBJECT((
																														(BgL_rtl_insz00_bglt)
																														BgL_new1674z00_10686)))->
																											BgL_destz00) =
																										((obj_t) ((
																													(BgL_rtl_insz00_bglt)
																													COBJECT((
																															(BgL_rtl_insz00_bglt)
																															BgL_iz00_9868)))->
																												BgL_destz00)), BUNSPEC);
																									((((BgL_rtl_insz00_bglt)
																												COBJECT((
																														(BgL_rtl_insz00_bglt)
																														BgL_new1674z00_10686)))->
																											BgL_funz00) =
																										((BgL_rtl_funz00_bglt) (
																												(BgL_rtl_funz00_bglt)
																												BgL_funz00_10678)),
																										BUNSPEC);
																									((((BgL_rtl_insz00_bglt)
																												COBJECT((
																														(BgL_rtl_insz00_bglt)
																														BgL_new1674z00_10686)))->
																											BgL_argsz00) =
																										((obj_t) BNIL), BUNSPEC);
																									{
																										obj_t BgL_auxz00_17998;
																										BgL_rtl_inszf2bbvzf2_bglt
																											BgL_auxz00_17992;
																										{
																											BgL_rtl_inszf2bbvzf2_bglt
																												BgL_auxz00_17999;
																											{
																												obj_t BgL_auxz00_18000;

																												{	/* SawBbv/bbv-specialize.scm 1130 */
																													BgL_objectz00_bglt
																														BgL_tmpz00_18001;
																													BgL_tmpz00_18001 =
																														(
																														(BgL_objectz00_bglt)
																														((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_iz00_9868)));
																													BgL_auxz00_18000 =
																														BGL_OBJECT_WIDENING
																														(BgL_tmpz00_18001);
																												}
																												BgL_auxz00_17999 =
																													(
																													(BgL_rtl_inszf2bbvzf2_bglt)
																													BgL_auxz00_18000);
																											}
																											BgL_auxz00_17998 =
																												(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_17999))->BgL_defz00);
																										}
																										{
																											obj_t BgL_auxz00_17993;

																											{	/* SawBbv/bbv-specialize.scm 1130 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_17994;
																												BgL_tmpz00_17994 =
																													((BgL_objectz00_bglt)
																													BgL_new1674z00_10686);
																												BgL_auxz00_17993 =
																													BGL_OBJECT_WIDENING
																													(BgL_tmpz00_17994);
																											}
																											BgL_auxz00_17992 =
																												(
																												(BgL_rtl_inszf2bbvzf2_bglt)
																												BgL_auxz00_17993);
																										}
																										((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_17992))->BgL_defz00) = ((obj_t) BgL_auxz00_17998), BUNSPEC);
																									}
																									{
																										obj_t BgL_auxz00_18015;
																										BgL_rtl_inszf2bbvzf2_bglt
																											BgL_auxz00_18009;
																										{
																											BgL_rtl_inszf2bbvzf2_bglt
																												BgL_auxz00_18016;
																											{
																												obj_t BgL_auxz00_18017;

																												{	/* SawBbv/bbv-specialize.scm 1130 */
																													BgL_objectz00_bglt
																														BgL_tmpz00_18018;
																													BgL_tmpz00_18018 =
																														(
																														(BgL_objectz00_bglt)
																														((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_iz00_9868)));
																													BgL_auxz00_18017 =
																														BGL_OBJECT_WIDENING
																														(BgL_tmpz00_18018);
																												}
																												BgL_auxz00_18016 =
																													(
																													(BgL_rtl_inszf2bbvzf2_bglt)
																													BgL_auxz00_18017);
																											}
																											BgL_auxz00_18015 =
																												(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_18016))->BgL_outz00);
																										}
																										{
																											obj_t BgL_auxz00_18010;

																											{	/* SawBbv/bbv-specialize.scm 1130 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_18011;
																												BgL_tmpz00_18011 =
																													((BgL_objectz00_bglt)
																													BgL_new1674z00_10686);
																												BgL_auxz00_18010 =
																													BGL_OBJECT_WIDENING
																													(BgL_tmpz00_18011);
																											}
																											BgL_auxz00_18009 =
																												(
																												(BgL_rtl_inszf2bbvzf2_bglt)
																												BgL_auxz00_18010);
																										}
																										((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_18009))->BgL_outz00) = ((obj_t) BgL_auxz00_18015), BUNSPEC);
																									}
																									{
																										obj_t BgL_auxz00_18032;
																										BgL_rtl_inszf2bbvzf2_bglt
																											BgL_auxz00_18026;
																										{
																											BgL_rtl_inszf2bbvzf2_bglt
																												BgL_auxz00_18033;
																											{
																												obj_t BgL_auxz00_18034;

																												{	/* SawBbv/bbv-specialize.scm 1130 */
																													BgL_objectz00_bglt
																														BgL_tmpz00_18035;
																													BgL_tmpz00_18035 =
																														(
																														(BgL_objectz00_bglt)
																														((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_iz00_9868)));
																													BgL_auxz00_18034 =
																														BGL_OBJECT_WIDENING
																														(BgL_tmpz00_18035);
																												}
																												BgL_auxz00_18033 =
																													(
																													(BgL_rtl_inszf2bbvzf2_bglt)
																													BgL_auxz00_18034);
																											}
																											BgL_auxz00_18032 =
																												(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_18033))->BgL_inz00);
																										}
																										{
																											obj_t BgL_auxz00_18027;

																											{	/* SawBbv/bbv-specialize.scm 1130 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_18028;
																												BgL_tmpz00_18028 =
																													((BgL_objectz00_bglt)
																													BgL_new1674z00_10686);
																												BgL_auxz00_18027 =
																													BGL_OBJECT_WIDENING
																													(BgL_tmpz00_18028);
																											}
																											BgL_auxz00_18026 =
																												(
																												(BgL_rtl_inszf2bbvzf2_bglt)
																												BgL_auxz00_18027);
																										}
																										((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_18026))->BgL_inz00) = ((obj_t) BgL_auxz00_18032), BUNSPEC);
																									}
																									{
																										BgL_rtl_inszf2bbvzf2_bglt
																											BgL_auxz00_18043;
																										{
																											obj_t BgL_auxz00_18044;

																											{	/* SawBbv/bbv-specialize.scm 1129 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_18045;
																												BgL_tmpz00_18045 =
																													((BgL_objectz00_bglt)
																													BgL_new1674z00_10686);
																												BgL_auxz00_18044 =
																													BGL_OBJECT_WIDENING
																													(BgL_tmpz00_18045);
																											}
																											BgL_auxz00_18043 =
																												(
																												(BgL_rtl_inszf2bbvzf2_bglt)
																												BgL_auxz00_18044);
																										}
																										((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_18043))->BgL_ctxz00) = ((BgL_bbvzd2ctxzd2_bglt) ((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_9871)), BUNSPEC);
																									}
																									{
																										obj_t BgL_auxz00_18057;
																										BgL_rtl_inszf2bbvzf2_bglt
																											BgL_auxz00_18051;
																										{
																											BgL_rtl_inszf2bbvzf2_bglt
																												BgL_auxz00_18058;
																											{
																												obj_t BgL_auxz00_18059;

																												{	/* SawBbv/bbv-specialize.scm 1129 */
																													BgL_objectz00_bglt
																														BgL_tmpz00_18060;
																													BgL_tmpz00_18060 =
																														(
																														(BgL_objectz00_bglt)
																														((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_iz00_9868)));
																													BgL_auxz00_18059 =
																														BGL_OBJECT_WIDENING
																														(BgL_tmpz00_18060);
																												}
																												BgL_auxz00_18058 =
																													(
																													(BgL_rtl_inszf2bbvzf2_bglt)
																													BgL_auxz00_18059);
																											}
																											BgL_auxz00_18057 =
																												(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_18058))->BgL_z52hashz52);
																										}
																										{
																											obj_t BgL_auxz00_18052;

																											{	/* SawBbv/bbv-specialize.scm 1129 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_18053;
																												BgL_tmpz00_18053 =
																													((BgL_objectz00_bglt)
																													BgL_new1674z00_10686);
																												BgL_auxz00_18052 =
																													BGL_OBJECT_WIDENING
																													(BgL_tmpz00_18053);
																											}
																											BgL_auxz00_18051 =
																												(
																												(BgL_rtl_inszf2bbvzf2_bglt)
																												BgL_auxz00_18052);
																										}
																										((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_18051))->BgL_z52hashz52) = ((obj_t) BgL_auxz00_18057), BUNSPEC);
																									}
																									BgL_niz00_10685 =
																										BgL_new1674z00_10686;
																								}
																								{	/* SawBbv/bbv-specialize.scm 1128 */

																									{	/* SawBbv/bbv-specialize.scm 1132 */
																										bool_t
																											BgL_test4719z00_18068;
																										{	/* SawBbv/bbv-specialize.scm 1132 */
																											obj_t BgL_classz00_10692;

																											BgL_classz00_10692 =
																												BGl_rtl_regz00zzsaw_defsz00;
																											if (BGL_OBJECTP
																												(BgL_vlenregz00_10684))
																												{	/* SawBbv/bbv-specialize.scm 1132 */
																													BgL_objectz00_bglt
																														BgL_arg1858z00_10693;
																													BgL_arg1858z00_10693 =
																														(BgL_objectz00_bglt)
																														(BgL_vlenregz00_10684);
																													if (BGL_CONDEXPAND_ISA_ARCH64())
																														{	/* SawBbv/bbv-specialize.scm 1132 */
																															long
																																BgL_idxz00_10694;
																															BgL_idxz00_10694 =
																																BGL_OBJECT_INHERITANCE_NUM
																																(BgL_arg1858z00_10693);
																															BgL_test4719z00_18068
																																=
																																(VECTOR_REF
																																(BGl_za2inheritancesza2z00zz__objectz00,
																																	(BgL_idxz00_10694
																																		+ 1L)) ==
																																BgL_classz00_10692);
																														}
																													else
																														{	/* SawBbv/bbv-specialize.scm 1132 */
																															bool_t
																																BgL_res4131z00_10697;
																															{	/* SawBbv/bbv-specialize.scm 1132 */
																																obj_t
																																	BgL_oclassz00_10698;
																																{	/* SawBbv/bbv-specialize.scm 1132 */
																																	obj_t
																																		BgL_arg1866z00_10699;
																																	long
																																		BgL_arg1867z00_10700;
																																	BgL_arg1866z00_10699
																																		=
																																		(BGl_za2classesza2z00zz__objectz00);
																																	{	/* SawBbv/bbv-specialize.scm 1132 */
																																		long
																																			BgL_arg1869z00_10701;
																																		BgL_arg1869z00_10701
																																			=
																																			BGL_OBJECT_CLASS_NUM
																																			(BgL_arg1858z00_10693);
																																		BgL_arg1867z00_10700
																																			=
																																			(BgL_arg1869z00_10701
																																			-
																																			OBJECT_TYPE);
																																	}
																																	BgL_oclassz00_10698
																																		=
																																		VECTOR_REF
																																		(BgL_arg1866z00_10699,
																																		BgL_arg1867z00_10700);
																																}
																																{	/* SawBbv/bbv-specialize.scm 1132 */
																																	bool_t
																																		BgL__ortest_1115z00_10702;
																																	BgL__ortest_1115z00_10702
																																		=
																																		(BgL_classz00_10692
																																		==
																																		BgL_oclassz00_10698);
																																	if (BgL__ortest_1115z00_10702)
																																		{	/* SawBbv/bbv-specialize.scm 1132 */
																																			BgL_res4131z00_10697
																																				=
																																				BgL__ortest_1115z00_10702;
																																		}
																																	else
																																		{	/* SawBbv/bbv-specialize.scm 1132 */
																																			long
																																				BgL_odepthz00_10703;
																																			{	/* SawBbv/bbv-specialize.scm 1132 */
																																				obj_t
																																					BgL_arg1855z00_10704;
																																				BgL_arg1855z00_10704
																																					=
																																					(BgL_oclassz00_10698);
																																				BgL_odepthz00_10703
																																					=
																																					BGL_CLASS_DEPTH
																																					(BgL_arg1855z00_10704);
																																			}
																																			if (
																																				(1L <
																																					BgL_odepthz00_10703))
																																				{	/* SawBbv/bbv-specialize.scm 1132 */
																																					obj_t
																																						BgL_arg1853z00_10705;
																																					{	/* SawBbv/bbv-specialize.scm 1132 */
																																						obj_t
																																							BgL_arg1854z00_10706;
																																						BgL_arg1854z00_10706
																																							=
																																							(BgL_oclassz00_10698);
																																						BgL_arg1853z00_10705
																																							=
																																							BGL_CLASS_ANCESTORS_REF
																																							(BgL_arg1854z00_10706,
																																							1L);
																																					}
																																					BgL_res4131z00_10697
																																						=
																																						(BgL_arg1853z00_10705
																																						==
																																						BgL_classz00_10692);
																																				}
																																			else
																																				{	/* SawBbv/bbv-specialize.scm 1132 */
																																					BgL_res4131z00_10697
																																						=
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																}
																															}
																															BgL_test4719z00_18068
																																=
																																BgL_res4131z00_10697;
																														}
																												}
																											else
																												{	/* SawBbv/bbv-specialize.scm 1132 */
																													BgL_test4719z00_18068
																														= ((bool_t) 0);
																												}
																										}
																										if (BgL_test4719z00_18068)
																											{	/* SawBbv/bbv-specialize.scm 1136 */
																												bool_t
																													BgL_test4724z00_18091;
																												{	/* SawBbv/bbv-specialize.scm 1136 */
																													obj_t
																														BgL_arg3465z00_10707;
																													{
																														BgL_rtl_inszf2bbvzf2_bglt
																															BgL_auxz00_18092;
																														{
																															obj_t
																																BgL_auxz00_18093;
																															{	/* SawBbv/bbv-specialize.scm 1136 */
																																BgL_objectz00_bglt
																																	BgL_tmpz00_18094;
																																BgL_tmpz00_18094
																																	=
																																	(
																																	(BgL_objectz00_bglt)
																																	((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_iz00_9868)));
																																BgL_auxz00_18093
																																	=
																																	BGL_OBJECT_WIDENING
																																	(BgL_tmpz00_18094);
																															}
																															BgL_auxz00_18092 =
																																(
																																(BgL_rtl_inszf2bbvzf2_bglt)
																																BgL_auxz00_18093);
																														}
																														BgL_arg3465z00_10707
																															=
																															(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_18092))->BgL_outz00);
																													}
																													{	/* SawBbv/bbv-specialize.scm 1136 */
																														long
																															BgL_basez00_10708;
																														long
																															BgL_bitz00_10709;
																														{	/* SawBbv/bbv-specialize.scm 1136 */
																															int
																																BgL_arg3965z00_10710;
																															{
																																BgL_rtl_regzf2razf2_bglt
																																	BgL_auxz00_18101;
																																{
																																	obj_t
																																		BgL_auxz00_18102;
																																	{	/* SawBbv/bbv-specialize.scm 1136 */
																																		BgL_objectz00_bglt
																																			BgL_tmpz00_18103;
																																		BgL_tmpz00_18103
																																			=
																																			(
																																			(BgL_objectz00_bglt)
																																			((BgL_rtl_regz00_bglt) BgL_vlenregz00_10684));
																																		BgL_auxz00_18102
																																			=
																																			BGL_OBJECT_WIDENING
																																			(BgL_tmpz00_18103);
																																	}
																																	BgL_auxz00_18101
																																		=
																																		(
																																		(BgL_rtl_regzf2razf2_bglt)
																																		BgL_auxz00_18102);
																																}
																																BgL_arg3965z00_10710
																																	=
																																	(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_18101))->BgL_numz00);
																															}
																															BgL_basez00_10708
																																=
																																((long)
																																(BgL_arg3965z00_10710)
																																/ 8L);
																														}
																														{	/* SawBbv/bbv-specialize.scm 1136 */
																															int
																																BgL_arg3966z00_10711;
																															{
																																BgL_rtl_regzf2razf2_bglt
																																	BgL_auxz00_18111;
																																{
																																	obj_t
																																		BgL_auxz00_18112;
																																	{	/* SawBbv/bbv-specialize.scm 1136 */
																																		BgL_objectz00_bglt
																																			BgL_tmpz00_18113;
																																		BgL_tmpz00_18113
																																			=
																																			(
																																			(BgL_objectz00_bglt)
																																			((BgL_rtl_regz00_bglt) BgL_vlenregz00_10684));
																																		BgL_auxz00_18112
																																			=
																																			BGL_OBJECT_WIDENING
																																			(BgL_tmpz00_18113);
																																	}
																																	BgL_auxz00_18111
																																		=
																																		(
																																		(BgL_rtl_regzf2razf2_bglt)
																																		BgL_auxz00_18112);
																																}
																																BgL_arg3966z00_10711
																																	=
																																	(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_18111))->BgL_numz00);
																															}
																															{	/* SawBbv/bbv-specialize.scm 1136 */
																																long
																																	BgL_n1z00_10712;
																																long
																																	BgL_n2z00_10713;
																																BgL_n1z00_10712
																																	=
																																	(long)
																																	(BgL_arg3966z00_10711);
																																BgL_n2z00_10713
																																	= 8L;
																																{	/* SawBbv/bbv-specialize.scm 1136 */
																																	bool_t
																																		BgL_test4725z00_18120;
																																	{	/* SawBbv/bbv-specialize.scm 1136 */
																																		long
																																			BgL_arg1375z00_10714;
																																		BgL_arg1375z00_10714
																																			=
																																			(((BgL_n1z00_10712) | (BgL_n2z00_10713)) & -2147483648);
																																		BgL_test4725z00_18120
																																			=
																																			(BgL_arg1375z00_10714
																																			== 0L);
																																	}
																																	if (BgL_test4725z00_18120)
																																		{	/* SawBbv/bbv-specialize.scm 1136 */
																																			int32_t
																																				BgL_arg1372z00_10715;
																																			{	/* SawBbv/bbv-specialize.scm 1136 */
																																				int32_t
																																					BgL_arg1373z00_10716;
																																				int32_t
																																					BgL_arg1374z00_10717;
																																				BgL_arg1373z00_10716
																																					=
																																					(int32_t)
																																					(BgL_n1z00_10712);
																																				BgL_arg1374z00_10717
																																					=
																																					(int32_t)
																																					(BgL_n2z00_10713);
																																				BgL_arg1372z00_10715
																																					=
																																					(BgL_arg1373z00_10716
																																					%
																																					BgL_arg1374z00_10717);
																																			}
																																			{	/* SawBbv/bbv-specialize.scm 1136 */
																																				long
																																					BgL_arg1477z00_10718;
																																				BgL_arg1477z00_10718
																																					=
																																					(long)
																																					(BgL_arg1372z00_10715);
																																				BgL_bitz00_10709
																																					=
																																					(long)
																																					(BgL_arg1477z00_10718);
																																		}}
																																	else
																																		{	/* SawBbv/bbv-specialize.scm 1136 */
																																			BgL_bitz00_10709
																																				=
																																				(BgL_n1z00_10712
																																				%
																																				BgL_n2z00_10713);
																																		}
																																}
																															}
																														}
																														if (
																															(BgL_basez00_10708
																																<
																																STRING_LENGTH(((
																																			(BgL_regsetz00_bglt)
																																			COBJECT((
																																					(BgL_regsetz00_bglt)
																																					BgL_arg3465z00_10707)))->
																																		BgL_stringz00))))
																															{	/* SawBbv/bbv-specialize.scm 1136 */
																																BgL_test4724z00_18091
																																	=
																																	(((STRING_REF(
																																				(((BgL_regsetz00_bglt) COBJECT(((BgL_regsetz00_bglt) BgL_arg3465z00_10707)))->BgL_stringz00), BgL_basez00_10708)) & (1L << (int) (BgL_bitz00_10709))) > 0L);
																															}
																														else
																															{	/* SawBbv/bbv-specialize.scm 1136 */
																																BgL_test4724z00_18091
																																	=
																																	((bool_t) 0);
																															}
																													}
																												}
																												if (BgL_test4724z00_18091)
																													{	/* SawBbv/bbv-specialize.scm 1136 */
																														BFALSE;
																													}
																												else
																													{	/* SawBbv/bbv-specialize.scm 1137 */
																														BgL_regsetz00_bglt
																															BgL_insetz00_10719;
																														{	/* SawBbv/bbv-specialize.scm 1137 */
																															obj_t
																																BgL_arg3464z00_10720;
																															{
																																BgL_rtl_inszf2bbvzf2_bglt
																																	BgL_auxz00_18142;
																																{
																																	obj_t
																																		BgL_auxz00_18143;
																																	{	/* SawBbv/bbv-specialize.scm 1137 */
																																		BgL_objectz00_bglt
																																			BgL_tmpz00_18144;
																																		BgL_tmpz00_18144
																																			=
																																			(
																																			(BgL_objectz00_bglt)
																																			((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_iz00_9868)));
																																		BgL_auxz00_18143
																																			=
																																			BGL_OBJECT_WIDENING
																																			(BgL_tmpz00_18144);
																																	}
																																	BgL_auxz00_18142
																																		=
																																		(
																																		(BgL_rtl_inszf2bbvzf2_bglt)
																																		BgL_auxz00_18143);
																																}
																																BgL_arg3464z00_10720
																																	=
																																	(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_18142))->BgL_inz00);
																															}
																															BgL_insetz00_10719
																																=
																																BGl_duplicatezd2regsetzd2zzsaw_regsetz00
																																(((BgL_regsetz00_bglt) BgL_arg3464z00_10720));
																														}
																														BGl_regsetzd2removez12zc0zzsaw_regsetz00
																															(BgL_insetz00_10719,
																															((BgL_rtl_regz00_bglt) BgL_vlenregz00_10684));
																														{
																															BgL_rtl_inszf2bbvzf2_bglt
																																BgL_auxz00_18155;
																															{
																																obj_t
																																	BgL_auxz00_18156;
																																{	/* SawBbv/bbv-specialize.scm 1140 */
																																	BgL_objectz00_bglt
																																		BgL_tmpz00_18157;
																																	BgL_tmpz00_18157
																																		=
																																		(
																																		(BgL_objectz00_bglt)
																																		BgL_niz00_10685);
																																	BgL_auxz00_18156
																																		=
																																		BGL_OBJECT_WIDENING
																																		(BgL_tmpz00_18157);
																																}
																																BgL_auxz00_18155
																																	=
																																	(
																																	(BgL_rtl_inszf2bbvzf2_bglt)
																																	BgL_auxz00_18156);
																															}
																															((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_18155))->BgL_inz00) = ((obj_t) ((obj_t) BgL_insetz00_10719)), BUNSPEC);
																														}
																														{	/* SawBbv/bbv-specialize.scm 1141 */
																															bool_t
																																BgL_test4727z00_18163;
																															if (NULLP(((obj_t)
																																		BgL_insz00_9869)))
																																{	/* SawBbv/bbv-specialize.scm 1141 */
																																	BgL_test4727z00_18163
																																		=
																																		((bool_t)
																																		0);
																																}
																															else
																																{	/* SawBbv/bbv-specialize.scm 1142 */
																																	bool_t
																																		BgL__ortest_1685z00_10721;
																																	{	/* SawBbv/bbv-specialize.scm 1142 */
																																		obj_t
																																			BgL_arg3463z00_10722;
																																		BgL_arg3463z00_10722
																																			=
																																			CAR((
																																				(obj_t)
																																				BgL_insz00_9869));
																																		BgL__ortest_1685z00_10721
																																			=
																																			BGl_rtl_inszd2vlenzf3z21zzsaw_bbvzd2typeszd2
																																			(((BgL_rtl_insz00_bglt) BgL_arg3463z00_10722));
																																	}
																																	if (BgL__ortest_1685z00_10721)
																																		{	/* SawBbv/bbv-specialize.scm 1142 */
																																			BgL_test4727z00_18163
																																				=
																																				BgL__ortest_1685z00_10721;
																																		}
																																	else
																																		{	/* SawBbv/bbv-specialize.scm 1143 */
																																			obj_t
																																				BgL_arg3461z00_10723;
																																			BgL_arg3461z00_10723
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_insz00_9869));
																																			BgL_test4727z00_18163
																																				=
																																				BGl_rtl_inszd2strlenzf3z21zzsaw_bbvzd2typeszd2
																																				(((BgL_rtl_insz00_bglt) BgL_arg3461z00_10723));
																																		}
																																}
																															if (BgL_test4727z00_18163)
																																{	/* SawBbv/bbv-specialize.scm 1144 */
																																	BgL_rtl_insz00_bglt
																																		BgL_i1686z00_10724;
																																	BgL_i1686z00_10724
																																		=
																																		(
																																		(BgL_rtl_insz00_bglt)
																																		CAR(((obj_t)
																																				((obj_t)
																																					BgL_insz00_9869))));
																																	if (((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt) BgL_i1686z00_10724)))->BgL_destz00) == BgL_vlenregz00_10684))
																																		{	/* SawBbv/bbv-specialize.scm 1145 */
																																			{	/* SawBbv/bbv-specialize.scm 1146 */
																																				BgL_regsetz00_bglt
																																					BgL_outsetz00_10725;
																																				{	/* SawBbv/bbv-specialize.scm 1146 */
																																					obj_t
																																						BgL_arg3457z00_10726;
																																					{
																																						BgL_rtl_inszf2bbvzf2_bglt
																																							BgL_auxz00_18184;
																																						{
																																							obj_t
																																								BgL_auxz00_18185;
																																							{	/* SawBbv/bbv-specialize.scm 1146 */
																																								BgL_objectz00_bglt
																																									BgL_tmpz00_18186;
																																								BgL_tmpz00_18186
																																									=
																																									(
																																									(BgL_objectz00_bglt)
																																									BgL_i1686z00_10724);
																																								BgL_auxz00_18185
																																									=
																																									BGL_OBJECT_WIDENING
																																									(BgL_tmpz00_18186);
																																							}
																																							BgL_auxz00_18184
																																								=
																																								(
																																								(BgL_rtl_inszf2bbvzf2_bglt)
																																								BgL_auxz00_18185);
																																						}
																																						BgL_arg3457z00_10726
																																							=
																																							(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_18184))->BgL_outz00);
																																					}
																																					BgL_outsetz00_10725
																																						=
																																						BGl_duplicatezd2regsetzd2zzsaw_regsetz00
																																						(((BgL_regsetz00_bglt) BgL_arg3457z00_10726));
																																				}
																																				{	/* SawBbv/bbv-specialize.scm 1147 */
																																					obj_t
																																						BgL_arg3456z00_10727;
																																					BgL_arg3456z00_10727
																																						=
																																						(((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt) BgL_i1686z00_10724)))->BgL_destz00);
																																					BGl_regsetzd2removez12zc0zzsaw_regsetz00
																																						(BgL_outsetz00_10725,
																																						((BgL_rtl_regz00_bglt) BgL_arg3456z00_10727));
																																				}
																																				{
																																					BgL_rtl_inszf2bbvzf2_bglt
																																						BgL_auxz00_18197;
																																					{
																																						obj_t
																																							BgL_auxz00_18198;
																																						{	/* SawBbv/bbv-specialize.scm 1148 */
																																							BgL_objectz00_bglt
																																								BgL_tmpz00_18199;
																																							BgL_tmpz00_18199
																																								=
																																								(
																																								(BgL_objectz00_bglt)
																																								BgL_i1686z00_10724);
																																							BgL_auxz00_18198
																																								=
																																								BGL_OBJECT_WIDENING
																																								(BgL_tmpz00_18199);
																																						}
																																						BgL_auxz00_18197
																																							=
																																							(
																																							(BgL_rtl_inszf2bbvzf2_bglt)
																																							BgL_auxz00_18198);
																																					}
																																					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_18197))->BgL_outz00) = ((obj_t) ((obj_t) BgL_outsetz00_10725)), BUNSPEC);
																																				}
																																			}
																																			{
																																				BgL_rtl_funz00_bglt
																																					BgL_auxz00_18205;
																																				{	/* SawBbv/bbv-specialize.scm 1149 */
																																					BgL_rtl_nopz00_bglt
																																						BgL_new1688z00_10728;
																																					{	/* SawBbv/bbv-specialize.scm 1149 */
																																						BgL_rtl_nopz00_bglt
																																							BgL_new1687z00_10729;
																																						BgL_new1687z00_10729
																																							=
																																							(
																																							(BgL_rtl_nopz00_bglt)
																																							BOBJECT
																																							(GC_MALLOC
																																								(sizeof
																																									(struct
																																										BgL_rtl_nopz00_bgl))));
																																						{	/* SawBbv/bbv-specialize.scm 1149 */
																																							long
																																								BgL_arg3458z00_10730;
																																							{	/* SawBbv/bbv-specialize.scm 1149 */
																																								obj_t
																																									BgL_classz00_10731;
																																								BgL_classz00_10731
																																									=
																																									BGl_rtl_nopz00zzsaw_defsz00;
																																								BgL_arg3458z00_10730
																																									=
																																									BGL_CLASS_NUM
																																									(BgL_classz00_10731);
																																							}
																																							BGL_OBJECT_CLASS_NUM_SET
																																								(
																																								((BgL_objectz00_bglt) BgL_new1687z00_10729), BgL_arg3458z00_10730);
																																						}
																																						BgL_new1688z00_10728
																																							=
																																							BgL_new1687z00_10729;
																																					}
																																					((((BgL_rtl_funz00_bglt) COBJECT(((BgL_rtl_funz00_bglt) BgL_new1688z00_10728)))->BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
																																					BgL_auxz00_18205
																																						=
																																						(
																																						(BgL_rtl_funz00_bglt)
																																						BgL_new1688z00_10728);
																																				}
																																				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt) BgL_i1686z00_10724)))->BgL_funz00) = ((BgL_rtl_funz00_bglt) BgL_auxz00_18205), BUNSPEC);
																																			}
																																			((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt) BgL_i1686z00_10724)))->BgL_argsz00) = ((obj_t) BNIL), BUNSPEC);
																																		}
																																	else
																																		{	/* SawBbv/bbv-specialize.scm 1145 */
																																			BFALSE;
																																		}
																																}
																															else
																																{	/* SawBbv/bbv-specialize.scm 1141 */
																																	BFALSE;
																																}
																														}
																													}
																											}
																										else
																											{	/* SawBbv/bbv-specialize.scm 1132 */
																												BFALSE;
																											}
																									}
																									{	/* SawBbv/bbv-specialize.scm 1151 */
																										int BgL_tmpz00_18217;

																										BgL_tmpz00_18217 =
																											(int) (2L);
																										BGL_MVALUES_NUMBER_SET
																											(BgL_tmpz00_18217);
																									}
																									{	/* SawBbv/bbv-specialize.scm 1151 */
																										int BgL_tmpz00_18220;

																										BgL_tmpz00_18220 =
																											(int) (1L);
																										BGL_MVALUES_VAL_SET
																											(BgL_tmpz00_18220,
																											BgL_ctxz00_9871);
																									}
																									BgL_auxz00_17855 =
																										BgL_niz00_10685;
																				}}}}}
																			else
																				{	/* SawBbv/bbv-specialize.scm 1159 */
																					bool_t BgL_test4731z00_18223;

																					{	/* SawBbv/bbv-specialize.scm 1159 */
																						bool_t BgL_test4732z00_18224;

																						{	/* SawBbv/bbv-specialize.scm 1159 */
																							obj_t BgL_arg3489z00_10732;

																							BgL_arg3489z00_10732 =
																								BGl_bbvzd2rangeze3z31zzsaw_bbvzd2rangezd2
																								(((BgL_bbvzd2rangezd2_bglt)
																									BgL_vaz00_10644),
																								((BgL_bbvzd2rangezd2_bglt)
																									BgL_vlz00_10645));
																							BgL_test4732z00_18224 =
																								(BgL_arg3489z00_10732 == BTRUE);
																						}
																						if (BgL_test4732z00_18224)
																							{	/* SawBbv/bbv-specialize.scm 1159 */
																								BgL_test4731z00_18223 =
																									((bool_t) 1);
																							}
																						else
																							{	/* SawBbv/bbv-specialize.scm 1160 */
																								obj_t BgL_arg3486z00_10733;

																								{	/* SawBbv/bbv-specialize.scm 1160 */
																									BgL_bbvzd2rangezd2_bglt
																										BgL_arg3488z00_10734;
																									BgL_arg3488z00_10734 =
																										BGl_vlenzd2rangezd2zzsaw_bbvzd2rangezd2
																										();
																									BgL_arg3486z00_10733 =
																										BGl_bbvzd2rangezc3z11zzsaw_bbvzd2rangezd2
																										(((BgL_bbvzd2rangezd2_bglt)
																											BgL_vaz00_10644),
																										BgL_arg3488z00_10734);
																								}
																								BgL_test4731z00_18223 =
																									(BgL_arg3486z00_10733 ==
																									BTRUE);
																							}
																					}
																					if (BgL_test4731z00_18223)
																						{	/* SawBbv/bbv-specialize.scm 1162 */
																							BgL_rtl_insz00_bglt
																								BgL_val0_2409z00_10735;
																							{	/* SawBbv/bbv-specialize.scm 1162 */
																								BgL_rtl_insz00_bglt
																									BgL_new1689z00_10736;
																								{	/* SawBbv/bbv-specialize.scm 1162 */
																									BgL_rtl_insz00_bglt
																										BgL_tmp1698z00_10737;
																									BgL_rtl_inszf2bbvzf2_bglt
																										BgL_wide1699z00_10738;
																									{
																										BgL_rtl_insz00_bglt
																											BgL_auxz00_18233;
																										{	/* SawBbv/bbv-specialize.scm 1162 */
																											BgL_rtl_insz00_bglt
																												BgL_new1697z00_10739;
																											BgL_new1697z00_10739 =
																												((BgL_rtl_insz00_bglt)
																												BOBJECT(GC_MALLOC(sizeof
																														(struct
																															BgL_rtl_insz00_bgl))));
																											{	/* SawBbv/bbv-specialize.scm 1162 */
																												long
																													BgL_arg3480z00_10740;
																												BgL_arg3480z00_10740 =
																													BGL_CLASS_NUM
																													(BGl_rtl_insz00zzsaw_defsz00);
																												BGL_OBJECT_CLASS_NUM_SET
																													(((BgL_objectz00_bglt)
																														BgL_new1697z00_10739),
																													BgL_arg3480z00_10740);
																											}
																											{	/* SawBbv/bbv-specialize.scm 1162 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_18238;
																												BgL_tmpz00_18238 =
																													((BgL_objectz00_bglt)
																													BgL_new1697z00_10739);
																												BGL_OBJECT_WIDENING_SET
																													(BgL_tmpz00_18238,
																													BFALSE);
																											}
																											((BgL_objectz00_bglt)
																												BgL_new1697z00_10739);
																											BgL_auxz00_18233 =
																												BgL_new1697z00_10739;
																										}
																										BgL_tmp1698z00_10737 =
																											((BgL_rtl_insz00_bglt)
																											BgL_auxz00_18233);
																									}
																									BgL_wide1699z00_10738 =
																										((BgL_rtl_inszf2bbvzf2_bglt)
																										BOBJECT(GC_MALLOC(sizeof
																												(struct
																													BgL_rtl_inszf2bbvzf2_bgl))));
																									{	/* SawBbv/bbv-specialize.scm 1162 */
																										obj_t BgL_auxz00_18246;
																										BgL_objectz00_bglt
																											BgL_tmpz00_18244;
																										BgL_auxz00_18246 =
																											((obj_t)
																											BgL_wide1699z00_10738);
																										BgL_tmpz00_18244 =
																											((BgL_objectz00_bglt)
																											BgL_tmp1698z00_10737);
																										BGL_OBJECT_WIDENING_SET
																											(BgL_tmpz00_18244,
																											BgL_auxz00_18246);
																									}
																									((BgL_objectz00_bglt)
																										BgL_tmp1698z00_10737);
																									{	/* SawBbv/bbv-specialize.scm 1162 */
																										long BgL_arg3479z00_10741;

																										BgL_arg3479z00_10741 =
																											BGL_CLASS_NUM
																											(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																										BGL_OBJECT_CLASS_NUM_SET((
																												(BgL_objectz00_bglt)
																												BgL_tmp1698z00_10737),
																											BgL_arg3479z00_10741);
																									}
																									BgL_new1689z00_10736 =
																										((BgL_rtl_insz00_bglt)
																										BgL_tmp1698z00_10737);
																								}
																								((((BgL_rtl_insz00_bglt)
																											COBJECT((
																													(BgL_rtl_insz00_bglt)
																													BgL_new1689z00_10736)))->
																										BgL_locz00) =
																									((obj_t) ((
																												(BgL_rtl_insz00_bglt)
																												COBJECT((
																														(BgL_rtl_insz00_bglt)
																														BgL_iz00_9868)))->
																											BgL_locz00)), BUNSPEC);
																								((((BgL_rtl_insz00_bglt)
																											COBJECT((
																													(BgL_rtl_insz00_bglt)
																													BgL_new1689z00_10736)))->
																										BgL_z52spillz52) =
																									((obj_t) ((
																												(BgL_rtl_insz00_bglt)
																												COBJECT((
																														(BgL_rtl_insz00_bglt)
																														BgL_iz00_9868)))->
																											BgL_z52spillz52)),
																									BUNSPEC);
																								((((BgL_rtl_insz00_bglt)
																											COBJECT((
																													(BgL_rtl_insz00_bglt)
																													BgL_new1689z00_10736)))->
																										BgL_destz00) =
																									((obj_t) ((
																												(BgL_rtl_insz00_bglt)
																												COBJECT((
																														(BgL_rtl_insz00_bglt)
																														BgL_iz00_9868)))->
																											BgL_destz00)), BUNSPEC);
																								{
																									BgL_rtl_funz00_bglt
																										BgL_auxz00_18266;
																									{
																										BgL_rtl_loadiz00_bglt
																											BgL_auxz00_18268;
																										{	/* SawBbv/bbv-specialize.scm 1073 */
																											BgL_rtl_loadiz00_bglt
																												BgL_new1646z00_10613;
																											{	/* SawBbv/bbv-specialize.scm 1073 */
																												BgL_rtl_loadiz00_bglt
																													BgL_new1645z00_10614;
																												BgL_new1645z00_10614 =
																													(
																													(BgL_rtl_loadiz00_bglt)
																													BOBJECT(GC_MALLOC
																														(sizeof(struct
																																BgL_rtl_loadiz00_bgl))));
																												{	/* SawBbv/bbv-specialize.scm 1073 */
																													long
																														BgL_arg3508z00_10615;
																													BgL_arg3508z00_10615 =
																														BGL_CLASS_NUM
																														(BGl_rtl_loadiz00zzsaw_defsz00);
																													BGL_OBJECT_CLASS_NUM_SET
																														(((BgL_objectz00_bglt) BgL_new1645z00_10614), BgL_arg3508z00_10615);
																												}
																												BgL_new1646z00_10613 =
																													BgL_new1645z00_10614;
																											}
																											((((BgL_rtl_funz00_bglt)
																														COBJECT((
																																(BgL_rtl_funz00_bglt)
																																BgL_new1646z00_10613)))->
																													BgL_locz00) =
																												((obj_t) BFALSE),
																												BUNSPEC);
																											{
																												BgL_atomz00_bglt
																													BgL_auxz00_18275;
																												{	/* SawBbv/bbv-specialize.scm 1074 */
																													BgL_literalz00_bglt
																														BgL_new1648z00_10616;
																													{	/* SawBbv/bbv-specialize.scm 1074 */
																														BgL_literalz00_bglt
																															BgL_new1647z00_10617;
																														BgL_new1647z00_10617
																															=
																															(
																															(BgL_literalz00_bglt)
																															BOBJECT(GC_MALLOC
																																(sizeof(struct
																																		BgL_literalz00_bgl))));
																														{	/* SawBbv/bbv-specialize.scm 1074 */
																															long
																																BgL_arg3507z00_10618;
																															{	/* SawBbv/bbv-specialize.scm 1074 */
																																obj_t
																																	BgL_classz00_10619;
																																BgL_classz00_10619
																																	=
																																	BGl_literalz00zzast_nodez00;
																																BgL_arg3507z00_10618
																																	=
																																	BGL_CLASS_NUM
																																	(BgL_classz00_10619);
																															}
																															BGL_OBJECT_CLASS_NUM_SET
																																(((BgL_objectz00_bglt) BgL_new1647z00_10617), BgL_arg3507z00_10618);
																														}
																														{	/* SawBbv/bbv-specialize.scm 1074 */
																															BgL_objectz00_bglt
																																BgL_tmpz00_18280;
																															BgL_tmpz00_18280 =
																																(
																																(BgL_objectz00_bglt)
																																BgL_new1647z00_10617);
																															BGL_OBJECT_WIDENING_SET
																																(BgL_tmpz00_18280,
																																BFALSE);
																														}
																														((BgL_objectz00_bglt) BgL_new1647z00_10617);
																														BgL_new1648z00_10616
																															=
																															BgL_new1647z00_10617;
																													}
																													((((BgL_nodez00_bglt)
																																COBJECT((
																																		(BgL_nodez00_bglt)
																																		BgL_new1648z00_10616)))->
																															BgL_locz00) =
																														((obj_t) BFALSE),
																														BUNSPEC);
																													((((BgL_nodez00_bglt)
																																COBJECT((
																																		(BgL_nodez00_bglt)
																																		BgL_new1648z00_10616)))->
																															BgL_typez00) =
																														((BgL_typez00_bglt)
																															((BgL_typez00_bglt) BGl_za2boolza2z00zztype_cachez00)), BUNSPEC);
																													((((BgL_atomz00_bglt)
																																COBJECT((
																																		(BgL_atomz00_bglt)
																																		BgL_new1648z00_10616)))->
																															BgL_valuez00) =
																														((obj_t) BFALSE),
																														BUNSPEC);
																													BgL_auxz00_18275 =
																														((BgL_atomz00_bglt)
																														BgL_new1648z00_10616);
																												}
																												((((BgL_rtl_loadiz00_bglt) COBJECT(BgL_new1646z00_10613))->BgL_constantz00) = ((BgL_atomz00_bglt) BgL_auxz00_18275), BUNSPEC);
																											}
																											BgL_auxz00_18268 =
																												BgL_new1646z00_10613;
																										}
																										BgL_auxz00_18266 =
																											((BgL_rtl_funz00_bglt)
																											BgL_auxz00_18268);
																									}
																									((((BgL_rtl_insz00_bglt)
																												COBJECT((
																														(BgL_rtl_insz00_bglt)
																														BgL_new1689z00_10736)))->
																											BgL_funz00) =
																										((BgL_rtl_funz00_bglt)
																											BgL_auxz00_18266),
																										BUNSPEC);
																								}
																								((((BgL_rtl_insz00_bglt)
																											COBJECT((
																													(BgL_rtl_insz00_bglt)
																													BgL_new1689z00_10736)))->
																										BgL_argsz00) =
																									((obj_t) BNIL), BUNSPEC);
																								{
																									obj_t BgL_auxz00_18303;
																									BgL_rtl_inszf2bbvzf2_bglt
																										BgL_auxz00_18297;
																									{
																										BgL_rtl_inszf2bbvzf2_bglt
																											BgL_auxz00_18304;
																										{
																											obj_t BgL_auxz00_18305;

																											{	/* SawBbv/bbv-specialize.scm 1162 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_18306;
																												BgL_tmpz00_18306 =
																													((BgL_objectz00_bglt)
																													((BgL_rtl_insz00_bglt)
																														((BgL_rtl_insz00_bglt) BgL_iz00_9868)));
																												BgL_auxz00_18305 =
																													BGL_OBJECT_WIDENING
																													(BgL_tmpz00_18306);
																											}
																											BgL_auxz00_18304 =
																												(
																												(BgL_rtl_inszf2bbvzf2_bglt)
																												BgL_auxz00_18305);
																										}
																										BgL_auxz00_18303 =
																											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_18304))->BgL_defz00);
																									}
																									{
																										obj_t BgL_auxz00_18298;

																										{	/* SawBbv/bbv-specialize.scm 1162 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_18299;
																											BgL_tmpz00_18299 =
																												((BgL_objectz00_bglt)
																												BgL_new1689z00_10736);
																											BgL_auxz00_18298 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_18299);
																										}
																										BgL_auxz00_18297 =
																											(
																											(BgL_rtl_inszf2bbvzf2_bglt)
																											BgL_auxz00_18298);
																									}
																									((((BgL_rtl_inszf2bbvzf2_bglt)
																												COBJECT
																												(BgL_auxz00_18297))->
																											BgL_defz00) =
																										((obj_t) BgL_auxz00_18303),
																										BUNSPEC);
																								}
																								{
																									obj_t BgL_auxz00_18320;
																									BgL_rtl_inszf2bbvzf2_bglt
																										BgL_auxz00_18314;
																									{
																										BgL_rtl_inszf2bbvzf2_bglt
																											BgL_auxz00_18321;
																										{
																											obj_t BgL_auxz00_18322;

																											{	/* SawBbv/bbv-specialize.scm 1162 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_18323;
																												BgL_tmpz00_18323 =
																													((BgL_objectz00_bglt)
																													((BgL_rtl_insz00_bglt)
																														((BgL_rtl_insz00_bglt) BgL_iz00_9868)));
																												BgL_auxz00_18322 =
																													BGL_OBJECT_WIDENING
																													(BgL_tmpz00_18323);
																											}
																											BgL_auxz00_18321 =
																												(
																												(BgL_rtl_inszf2bbvzf2_bglt)
																												BgL_auxz00_18322);
																										}
																										BgL_auxz00_18320 =
																											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_18321))->BgL_outz00);
																									}
																									{
																										obj_t BgL_auxz00_18315;

																										{	/* SawBbv/bbv-specialize.scm 1162 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_18316;
																											BgL_tmpz00_18316 =
																												((BgL_objectz00_bglt)
																												BgL_new1689z00_10736);
																											BgL_auxz00_18315 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_18316);
																										}
																										BgL_auxz00_18314 =
																											(
																											(BgL_rtl_inszf2bbvzf2_bglt)
																											BgL_auxz00_18315);
																									}
																									((((BgL_rtl_inszf2bbvzf2_bglt)
																												COBJECT
																												(BgL_auxz00_18314))->
																											BgL_outz00) =
																										((obj_t) BgL_auxz00_18320),
																										BUNSPEC);
																								}
																								{
																									obj_t BgL_auxz00_18337;
																									BgL_rtl_inszf2bbvzf2_bglt
																										BgL_auxz00_18331;
																									{
																										BgL_rtl_inszf2bbvzf2_bglt
																											BgL_auxz00_18338;
																										{
																											obj_t BgL_auxz00_18339;

																											{	/* SawBbv/bbv-specialize.scm 1162 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_18340;
																												BgL_tmpz00_18340 =
																													((BgL_objectz00_bglt)
																													((BgL_rtl_insz00_bglt)
																														((BgL_rtl_insz00_bglt) BgL_iz00_9868)));
																												BgL_auxz00_18339 =
																													BGL_OBJECT_WIDENING
																													(BgL_tmpz00_18340);
																											}
																											BgL_auxz00_18338 =
																												(
																												(BgL_rtl_inszf2bbvzf2_bglt)
																												BgL_auxz00_18339);
																										}
																										BgL_auxz00_18337 =
																											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_18338))->BgL_inz00);
																									}
																									{
																										obj_t BgL_auxz00_18332;

																										{	/* SawBbv/bbv-specialize.scm 1162 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_18333;
																											BgL_tmpz00_18333 =
																												((BgL_objectz00_bglt)
																												BgL_new1689z00_10736);
																											BgL_auxz00_18332 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_18333);
																										}
																										BgL_auxz00_18331 =
																											(
																											(BgL_rtl_inszf2bbvzf2_bglt)
																											BgL_auxz00_18332);
																									}
																									((((BgL_rtl_inszf2bbvzf2_bglt)
																												COBJECT
																												(BgL_auxz00_18331))->
																											BgL_inz00) =
																										((obj_t) BgL_auxz00_18337),
																										BUNSPEC);
																								}
																								{
																									BgL_bbvzd2ctxzd2_bglt
																										BgL_auxz00_18354;
																									BgL_rtl_inszf2bbvzf2_bglt
																										BgL_auxz00_18348;
																									{
																										BgL_rtl_inszf2bbvzf2_bglt
																											BgL_auxz00_18355;
																										{
																											obj_t BgL_auxz00_18356;

																											{	/* SawBbv/bbv-specialize.scm 1162 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_18357;
																												BgL_tmpz00_18357 =
																													((BgL_objectz00_bglt)
																													((BgL_rtl_insz00_bglt)
																														((BgL_rtl_insz00_bglt) BgL_iz00_9868)));
																												BgL_auxz00_18356 =
																													BGL_OBJECT_WIDENING
																													(BgL_tmpz00_18357);
																											}
																											BgL_auxz00_18355 =
																												(
																												(BgL_rtl_inszf2bbvzf2_bglt)
																												BgL_auxz00_18356);
																										}
																										BgL_auxz00_18354 =
																											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_18355))->BgL_ctxz00);
																									}
																									{
																										obj_t BgL_auxz00_18349;

																										{	/* SawBbv/bbv-specialize.scm 1162 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_18350;
																											BgL_tmpz00_18350 =
																												((BgL_objectz00_bglt)
																												BgL_new1689z00_10736);
																											BgL_auxz00_18349 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_18350);
																										}
																										BgL_auxz00_18348 =
																											(
																											(BgL_rtl_inszf2bbvzf2_bglt)
																											BgL_auxz00_18349);
																									}
																									((((BgL_rtl_inszf2bbvzf2_bglt)
																												COBJECT
																												(BgL_auxz00_18348))->
																											BgL_ctxz00) =
																										((BgL_bbvzd2ctxzd2_bglt)
																											BgL_auxz00_18354),
																										BUNSPEC);
																								}
																								{
																									obj_t BgL_auxz00_18371;
																									BgL_rtl_inszf2bbvzf2_bglt
																										BgL_auxz00_18365;
																									{
																										BgL_rtl_inszf2bbvzf2_bglt
																											BgL_auxz00_18372;
																										{
																											obj_t BgL_auxz00_18373;

																											{	/* SawBbv/bbv-specialize.scm 1162 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_18374;
																												BgL_tmpz00_18374 =
																													((BgL_objectz00_bglt)
																													((BgL_rtl_insz00_bglt)
																														((BgL_rtl_insz00_bglt) BgL_iz00_9868)));
																												BgL_auxz00_18373 =
																													BGL_OBJECT_WIDENING
																													(BgL_tmpz00_18374);
																											}
																											BgL_auxz00_18372 =
																												(
																												(BgL_rtl_inszf2bbvzf2_bglt)
																												BgL_auxz00_18373);
																										}
																										BgL_auxz00_18371 =
																											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_18372))->BgL_z52hashz52);
																									}
																									{
																										obj_t BgL_auxz00_18366;

																										{	/* SawBbv/bbv-specialize.scm 1162 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_18367;
																											BgL_tmpz00_18367 =
																												((BgL_objectz00_bglt)
																												BgL_new1689z00_10736);
																											BgL_auxz00_18366 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_18367);
																										}
																										BgL_auxz00_18365 =
																											(
																											(BgL_rtl_inszf2bbvzf2_bglt)
																											BgL_auxz00_18366);
																									}
																									((((BgL_rtl_inszf2bbvzf2_bglt)
																												COBJECT
																												(BgL_auxz00_18365))->
																											BgL_z52hashz52) =
																										((obj_t) BgL_auxz00_18371),
																										BUNSPEC);
																								}
																								BgL_val0_2409z00_10735 =
																									BgL_new1689z00_10736;
																							}
																							{	/* SawBbv/bbv-specialize.scm 1162 */
																								int BgL_tmpz00_18382;

																								BgL_tmpz00_18382 = (int) (2L);
																								BGL_MVALUES_NUMBER_SET
																									(BgL_tmpz00_18382);
																							}
																							{	/* SawBbv/bbv-specialize.scm 1162 */
																								int BgL_tmpz00_18385;

																								BgL_tmpz00_18385 = (int) (1L);
																								BGL_MVALUES_VAL_SET
																									(BgL_tmpz00_18385,
																									BgL_ctxz00_9871);
																							}
																							BgL_auxz00_17855 =
																								BgL_val0_2409z00_10735;
																						}
																					else
																						{	/* SawBbv/bbv-specialize.scm 1166 */
																							BgL_bbvzd2ctxzd2_bglt
																								BgL_ctxzb2zb2_10742;
																							{	/* SawBbv/bbv-specialize.scm 1166 */
																								obj_t BgL_arg3481z00_10743;
																								BgL_bbvzd2rangezd2_bglt
																									BgL_arg3483z00_10744;
																								{	/* SawBbv/bbv-specialize.scm 1166 */
																									obj_t BgL_list3484z00_10745;

																									BgL_list3484z00_10745 =
																										MAKE_YOUNG_PAIR
																										(BGl_za2bintza2z00zztype_cachez00,
																										BNIL);
																									BgL_arg3481z00_10743 =
																										BgL_list3484z00_10745;
																								}
																								{	/* SawBbv/bbv-specialize.scm 1167 */
																									BgL_bbvzd2rangezd2_bglt
																										BgL_arg3485z00_10746;
																									BgL_arg3485z00_10746 =
																										BGl_vlenzd2rangezd2zzsaw_bbvzd2rangezd2
																										();
																									BgL_arg3483z00_10744 =
																										BGl_bbvzd2rangezd2ltz00zzsaw_bbvzd2rangezd2
																										(((BgL_bbvzd2rangezd2_bglt)
																											BgL_vlz00_10645),
																										BgL_arg3485z00_10746);
																								}
																								BgL_ctxzb2zb2_10742 =
																									BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2
																									(((BgL_bbvzd2ctxzd2_bglt)
																										BgL_ctxz00_9871),
																									((BgL_rtl_regz00_bglt)
																										BgL_vecz00_10639),
																									BgL_arg3481z00_10743,
																									((bool_t) 1), BFALSE,
																									BINT(1L),
																									((obj_t)
																										BgL_arg3483z00_10744));
																							}
																							BgL_iz00_10620 =
																								((BgL_rtl_insz00_bglt)
																								BgL_iz00_9868);
																							BgL_ctxzb2zb2_10621 =
																								((obj_t) BgL_ctxzb2zb2_10742);
																							BgL_ctxzd2zd2_10622 =
																								BgL_ctxz00_9871;
																						BgL_dupzd2ifnezd2_10612:
																							{	/* SawBbv/bbv-specialize.scm 1078 */
																								BgL_rtl_ifnez00_bglt
																									BgL_i1650z00_10623;
																								BgL_i1650z00_10623 =
																									((BgL_rtl_ifnez00_bglt) ((
																											(BgL_rtl_insz00_bglt)
																											COBJECT(BgL_iz00_10620))->
																										BgL_funz00));
																								{	/* SawBbv/bbv-specialize.scm 1079 */
																									BgL_rtl_ifnez00_bglt
																										BgL_nfunz00_10624;
																									{	/* SawBbv/bbv-specialize.scm 1079 */
																										BgL_rtl_funz00_bglt
																											BgL_duplicated1653z00_10625;
																										BgL_rtl_ifnez00_bglt
																											BgL_new1651z00_10626;
																										BgL_duplicated1653z00_10625
																											=
																											(((BgL_rtl_insz00_bglt)
																												COBJECT
																												(BgL_iz00_10620))->
																											BgL_funz00);
																										{	/* SawBbv/bbv-specialize.scm 1079 */
																											BgL_rtl_ifnez00_bglt
																												BgL_new1654z00_10627;
																											BgL_new1654z00_10627 =
																												((BgL_rtl_ifnez00_bglt)
																												BOBJECT(GC_MALLOC(sizeof
																														(struct
																															BgL_rtl_ifnez00_bgl))));
																											{	/* SawBbv/bbv-specialize.scm 1079 */
																												long
																													BgL_arg3514z00_10628;
																												BgL_arg3514z00_10628 =
																													BGL_CLASS_NUM
																													(BGl_rtl_ifnez00zzsaw_defsz00);
																												BGL_OBJECT_CLASS_NUM_SET
																													(((BgL_objectz00_bglt)
																														BgL_new1654z00_10627),
																													BgL_arg3514z00_10628);
																											}
																											BgL_new1651z00_10626 =
																												BgL_new1654z00_10627;
																										}
																										((((BgL_rtl_funz00_bglt)
																													COBJECT((
																															(BgL_rtl_funz00_bglt)
																															BgL_new1651z00_10626)))->
																												BgL_locz00) =
																											((obj_t) ((
																														(BgL_rtl_funz00_bglt)
																														COBJECT
																														(BgL_duplicated1653z00_10625))->
																													BgL_locz00)),
																											BUNSPEC);
																										{
																											BgL_blockz00_bglt
																												BgL_auxz00_18407;
																											{	/* SawBbv/bbv-specialize.scm 1080 */
																												BgL_blockz00_bglt
																													BgL_arg3513z00_10629;
																												BgL_arg3513z00_10629 =
																													(((BgL_rtl_ifnez00_bglt) COBJECT(BgL_i1650z00_10623))->BgL_thenz00);
																												BgL_auxz00_18407 =
																													((BgL_blockz00_bglt)
																													BGl_bbvzd2blockzd2zzsaw_bbvzd2specializa7ez75
																													(BgL_arg3513z00_10629,
																														((BgL_bbvzd2ctxzd2_bglt) BgL_ctxzb2zb2_10621), ((BgL_bbvzd2queuezd2_bglt) BgL_queuez00_9872), BgL_bsz00_9870));
																											}
																											((((BgL_rtl_ifnez00_bglt)
																														COBJECT
																														(BgL_new1651z00_10626))->
																													BgL_thenz00) =
																												((BgL_blockz00_bglt)
																													BgL_auxz00_18407),
																												BUNSPEC);
																										}
																										BgL_nfunz00_10624 =
																											BgL_new1651z00_10626;
																									}
																									{	/* SawBbv/bbv-specialize.scm 1081 */
																										BgL_rtl_insz00_bglt
																											BgL_val0_2405z00_10630;
																										{	/* SawBbv/bbv-specialize.scm 1081 */
																											BgL_rtl_insz00_bglt
																												BgL_new1655z00_10631;
																											{	/* SawBbv/bbv-specialize.scm 1082 */
																												BgL_rtl_insz00_bglt
																													BgL_tmp1663z00_10632;
																												BgL_rtl_inszf2bbvzf2_bglt
																													BgL_wide1664z00_10633;
																												{
																													BgL_rtl_insz00_bglt
																														BgL_auxz00_18414;
																													{	/* SawBbv/bbv-specialize.scm 1082 */
																														BgL_rtl_insz00_bglt
																															BgL_new1662z00_10634;
																														BgL_new1662z00_10634
																															=
																															(
																															(BgL_rtl_insz00_bglt)
																															BOBJECT(GC_MALLOC
																																(sizeof(struct
																																		BgL_rtl_insz00_bgl))));
																														{	/* SawBbv/bbv-specialize.scm 1082 */
																															long
																																BgL_arg3512z00_10635;
																															BgL_arg3512z00_10635
																																=
																																BGL_CLASS_NUM
																																(BGl_rtl_insz00zzsaw_defsz00);
																															BGL_OBJECT_CLASS_NUM_SET
																																(((BgL_objectz00_bglt) BgL_new1662z00_10634), BgL_arg3512z00_10635);
																														}
																														{	/* SawBbv/bbv-specialize.scm 1082 */
																															BgL_objectz00_bglt
																																BgL_tmpz00_18419;
																															BgL_tmpz00_18419 =
																																(
																																(BgL_objectz00_bglt)
																																BgL_new1662z00_10634);
																															BGL_OBJECT_WIDENING_SET
																																(BgL_tmpz00_18419,
																																BFALSE);
																														}
																														((BgL_objectz00_bglt) BgL_new1662z00_10634);
																														BgL_auxz00_18414 =
																															BgL_new1662z00_10634;
																													}
																													BgL_tmp1663z00_10632 =
																														(
																														(BgL_rtl_insz00_bglt)
																														BgL_auxz00_18414);
																												}
																												BgL_wide1664z00_10633 =
																													(
																													(BgL_rtl_inszf2bbvzf2_bglt)
																													BOBJECT(GC_MALLOC
																														(sizeof(struct
																																BgL_rtl_inszf2bbvzf2_bgl))));
																												{	/* SawBbv/bbv-specialize.scm 1082 */
																													obj_t
																														BgL_auxz00_18427;
																													BgL_objectz00_bglt
																														BgL_tmpz00_18425;
																													BgL_auxz00_18427 =
																														((obj_t)
																														BgL_wide1664z00_10633);
																													BgL_tmpz00_18425 =
																														(
																														(BgL_objectz00_bglt)
																														BgL_tmp1663z00_10632);
																													BGL_OBJECT_WIDENING_SET
																														(BgL_tmpz00_18425,
																														BgL_auxz00_18427);
																												}
																												((BgL_objectz00_bglt)
																													BgL_tmp1663z00_10632);
																												{	/* SawBbv/bbv-specialize.scm 1082 */
																													long
																														BgL_arg3511z00_10636;
																													BgL_arg3511z00_10636 =
																														BGL_CLASS_NUM
																														(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																													BGL_OBJECT_CLASS_NUM_SET
																														(((BgL_objectz00_bglt) BgL_tmp1663z00_10632), BgL_arg3511z00_10636);
																												}
																												BgL_new1655z00_10631 =
																													((BgL_rtl_insz00_bglt)
																													BgL_tmp1663z00_10632);
																											}
																											((((BgL_rtl_insz00_bglt)
																														COBJECT((
																																(BgL_rtl_insz00_bglt)
																																BgL_new1655z00_10631)))->
																													BgL_locz00) =
																												((obj_t) ((
																															(BgL_rtl_insz00_bglt)
																															COBJECT
																															(BgL_iz00_10620))->
																														BgL_locz00)),
																												BUNSPEC);
																											((((BgL_rtl_insz00_bglt)
																														COBJECT((
																																(BgL_rtl_insz00_bglt)
																																BgL_new1655z00_10631)))->
																													BgL_z52spillz52) =
																												((obj_t) ((
																															(BgL_rtl_insz00_bglt)
																															COBJECT
																															(BgL_iz00_10620))->
																														BgL_z52spillz52)),
																												BUNSPEC);
																											((((BgL_rtl_insz00_bglt)
																														COBJECT((
																																(BgL_rtl_insz00_bglt)
																																BgL_new1655z00_10631)))->
																													BgL_destz00) =
																												((obj_t) ((
																															(BgL_rtl_insz00_bglt)
																															COBJECT
																															(BgL_iz00_10620))->
																														BgL_destz00)),
																												BUNSPEC);
																											((((BgL_rtl_insz00_bglt)
																														COBJECT((
																																(BgL_rtl_insz00_bglt)
																																BgL_new1655z00_10631)))->
																													BgL_funz00) =
																												((BgL_rtl_funz00_bglt) (
																														(BgL_rtl_funz00_bglt)
																														BgL_nfunz00_10624)),
																												BUNSPEC);
																											((((BgL_rtl_insz00_bglt)
																														COBJECT((
																																(BgL_rtl_insz00_bglt)
																																BgL_new1655z00_10631)))->
																													BgL_argsz00) =
																												((obj_t) ((
																															(BgL_rtl_insz00_bglt)
																															COBJECT
																															(BgL_iz00_10620))->
																														BgL_argsz00)),
																												BUNSPEC);
																											{
																												obj_t BgL_auxz00_18456;
																												BgL_rtl_inszf2bbvzf2_bglt
																													BgL_auxz00_18450;
																												{
																													BgL_rtl_inszf2bbvzf2_bglt
																														BgL_auxz00_18457;
																													{
																														obj_t
																															BgL_auxz00_18458;
																														{	/* SawBbv/bbv-specialize.scm 1082 */
																															BgL_objectz00_bglt
																																BgL_tmpz00_18459;
																															BgL_tmpz00_18459 =
																																(
																																(BgL_objectz00_bglt)
																																((BgL_rtl_insz00_bglt) BgL_iz00_10620));
																															BgL_auxz00_18458 =
																																BGL_OBJECT_WIDENING
																																(BgL_tmpz00_18459);
																														}
																														BgL_auxz00_18457 =
																															(
																															(BgL_rtl_inszf2bbvzf2_bglt)
																															BgL_auxz00_18458);
																													}
																													BgL_auxz00_18456 =
																														(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_18457))->BgL_defz00);
																												}
																												{
																													obj_t
																														BgL_auxz00_18451;
																													{	/* SawBbv/bbv-specialize.scm 1082 */
																														BgL_objectz00_bglt
																															BgL_tmpz00_18452;
																														BgL_tmpz00_18452 =
																															(
																															(BgL_objectz00_bglt)
																															BgL_new1655z00_10631);
																														BgL_auxz00_18451 =
																															BGL_OBJECT_WIDENING
																															(BgL_tmpz00_18452);
																													}
																													BgL_auxz00_18450 =
																														(
																														(BgL_rtl_inszf2bbvzf2_bglt)
																														BgL_auxz00_18451);
																												}
																												((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_18450))->BgL_defz00) = ((obj_t) BgL_auxz00_18456), BUNSPEC);
																											}
																											{
																												obj_t BgL_auxz00_18472;
																												BgL_rtl_inszf2bbvzf2_bglt
																													BgL_auxz00_18466;
																												{
																													BgL_rtl_inszf2bbvzf2_bglt
																														BgL_auxz00_18473;
																													{
																														obj_t
																															BgL_auxz00_18474;
																														{	/* SawBbv/bbv-specialize.scm 1082 */
																															BgL_objectz00_bglt
																																BgL_tmpz00_18475;
																															BgL_tmpz00_18475 =
																																(
																																(BgL_objectz00_bglt)
																																((BgL_rtl_insz00_bglt) BgL_iz00_10620));
																															BgL_auxz00_18474 =
																																BGL_OBJECT_WIDENING
																																(BgL_tmpz00_18475);
																														}
																														BgL_auxz00_18473 =
																															(
																															(BgL_rtl_inszf2bbvzf2_bglt)
																															BgL_auxz00_18474);
																													}
																													BgL_auxz00_18472 =
																														(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_18473))->BgL_outz00);
																												}
																												{
																													obj_t
																														BgL_auxz00_18467;
																													{	/* SawBbv/bbv-specialize.scm 1082 */
																														BgL_objectz00_bglt
																															BgL_tmpz00_18468;
																														BgL_tmpz00_18468 =
																															(
																															(BgL_objectz00_bglt)
																															BgL_new1655z00_10631);
																														BgL_auxz00_18467 =
																															BGL_OBJECT_WIDENING
																															(BgL_tmpz00_18468);
																													}
																													BgL_auxz00_18466 =
																														(
																														(BgL_rtl_inszf2bbvzf2_bglt)
																														BgL_auxz00_18467);
																												}
																												((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_18466))->BgL_outz00) = ((obj_t) BgL_auxz00_18472), BUNSPEC);
																											}
																											{
																												obj_t BgL_auxz00_18488;
																												BgL_rtl_inszf2bbvzf2_bglt
																													BgL_auxz00_18482;
																												{
																													BgL_rtl_inszf2bbvzf2_bglt
																														BgL_auxz00_18489;
																													{
																														obj_t
																															BgL_auxz00_18490;
																														{	/* SawBbv/bbv-specialize.scm 1082 */
																															BgL_objectz00_bglt
																																BgL_tmpz00_18491;
																															BgL_tmpz00_18491 =
																																(
																																(BgL_objectz00_bglt)
																																((BgL_rtl_insz00_bglt) BgL_iz00_10620));
																															BgL_auxz00_18490 =
																																BGL_OBJECT_WIDENING
																																(BgL_tmpz00_18491);
																														}
																														BgL_auxz00_18489 =
																															(
																															(BgL_rtl_inszf2bbvzf2_bglt)
																															BgL_auxz00_18490);
																													}
																													BgL_auxz00_18488 =
																														(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_18489))->BgL_inz00);
																												}
																												{
																													obj_t
																														BgL_auxz00_18483;
																													{	/* SawBbv/bbv-specialize.scm 1082 */
																														BgL_objectz00_bglt
																															BgL_tmpz00_18484;
																														BgL_tmpz00_18484 =
																															(
																															(BgL_objectz00_bglt)
																															BgL_new1655z00_10631);
																														BgL_auxz00_18483 =
																															BGL_OBJECT_WIDENING
																															(BgL_tmpz00_18484);
																													}
																													BgL_auxz00_18482 =
																														(
																														(BgL_rtl_inszf2bbvzf2_bglt)
																														BgL_auxz00_18483);
																												}
																												((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_18482))->BgL_inz00) = ((obj_t) BgL_auxz00_18488), BUNSPEC);
																											}
																											{
																												BgL_rtl_inszf2bbvzf2_bglt
																													BgL_auxz00_18498;
																												{
																													obj_t
																														BgL_auxz00_18499;
																													{	/* SawBbv/bbv-specialize.scm 1082 */
																														BgL_objectz00_bglt
																															BgL_tmpz00_18500;
																														BgL_tmpz00_18500 =
																															(
																															(BgL_objectz00_bglt)
																															BgL_new1655z00_10631);
																														BgL_auxz00_18499 =
																															BGL_OBJECT_WIDENING
																															(BgL_tmpz00_18500);
																													}
																													BgL_auxz00_18498 =
																														(
																														(BgL_rtl_inszf2bbvzf2_bglt)
																														BgL_auxz00_18499);
																												}
																												((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_18498))->BgL_ctxz00) = ((BgL_bbvzd2ctxzd2_bglt) ((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_9871)), BUNSPEC);
																											}
																											{
																												obj_t BgL_auxz00_18512;
																												BgL_rtl_inszf2bbvzf2_bglt
																													BgL_auxz00_18506;
																												{
																													BgL_rtl_inszf2bbvzf2_bglt
																														BgL_auxz00_18513;
																													{
																														obj_t
																															BgL_auxz00_18514;
																														{	/* SawBbv/bbv-specialize.scm 1082 */
																															BgL_objectz00_bglt
																																BgL_tmpz00_18515;
																															BgL_tmpz00_18515 =
																																(
																																(BgL_objectz00_bglt)
																																((BgL_rtl_insz00_bglt) BgL_iz00_10620));
																															BgL_auxz00_18514 =
																																BGL_OBJECT_WIDENING
																																(BgL_tmpz00_18515);
																														}
																														BgL_auxz00_18513 =
																															(
																															(BgL_rtl_inszf2bbvzf2_bglt)
																															BgL_auxz00_18514);
																													}
																													BgL_auxz00_18512 =
																														(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_18513))->BgL_z52hashz52);
																												}
																												{
																													obj_t
																														BgL_auxz00_18507;
																													{	/* SawBbv/bbv-specialize.scm 1082 */
																														BgL_objectz00_bglt
																															BgL_tmpz00_18508;
																														BgL_tmpz00_18508 =
																															(
																															(BgL_objectz00_bglt)
																															BgL_new1655z00_10631);
																														BgL_auxz00_18507 =
																															BGL_OBJECT_WIDENING
																															(BgL_tmpz00_18508);
																													}
																													BgL_auxz00_18506 =
																														(
																														(BgL_rtl_inszf2bbvzf2_bglt)
																														BgL_auxz00_18507);
																												}
																												((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_18506))->BgL_z52hashz52) = ((obj_t) BgL_auxz00_18512), BUNSPEC);
																											}
																											BgL_val0_2405z00_10630 =
																												BgL_new1655z00_10631;
																										}
																										{	/* SawBbv/bbv-specialize.scm 1081 */
																											int BgL_tmpz00_18522;

																											BgL_tmpz00_18522 =
																												(int) (2L);
																											BGL_MVALUES_NUMBER_SET
																												(BgL_tmpz00_18522);
																										}
																										{	/* SawBbv/bbv-specialize.scm 1081 */
																											int BgL_tmpz00_18525;

																											BgL_tmpz00_18525 =
																												(int) (1L);
																											BGL_MVALUES_VAL_SET
																												(BgL_tmpz00_18525,
																												BgL_ctxzd2zd2_10622);
																										}
																										BgL_auxz00_17855 =
																											BgL_val0_2405z00_10630;
																		}}}}}}
																	else
																		{
																			obj_t BgL_ctxzd2zd2_18533;
																			obj_t BgL_ctxzb2zb2_18532;
																			BgL_rtl_insz00_bglt BgL_iz00_18530;

																			BgL_iz00_18530 =
																				((BgL_rtl_insz00_bglt) BgL_iz00_9868);
																			BgL_ctxzb2zb2_18532 = BgL_ctxz00_9871;
																			BgL_ctxzd2zd2_18533 = BgL_ctxz00_9871;
																			BgL_ctxzd2zd2_10622 = BgL_ctxzd2zd2_18533;
																			BgL_ctxzb2zb2_10621 = BgL_ctxzb2zb2_18532;
																			BgL_iz00_10620 = BgL_iz00_18530;
																			goto BgL_dupzd2ifnezd2_10612;
																		}
																}
															else
																{	/* SawBbv/bbv-specialize.scm 1111 */
																	bool_t BgL_test4733z00_18534;

																	{	/* SawBbv/bbv-specialize.scm 1111 */
																		obj_t BgL_classz00_10747;

																		BgL_classz00_10747 =
																			BGl_bbvzd2rangezd2zzsaw_bbvzd2rangezd2;
																		if (BGL_OBJECTP(BgL_vlz00_10645))
																			{	/* SawBbv/bbv-specialize.scm 1111 */
																				BgL_objectz00_bglt BgL_arg1858z00_10748;

																				BgL_arg1858z00_10748 =
																					(BgL_objectz00_bglt)
																					(BgL_vlz00_10645);
																				if (BGL_CONDEXPAND_ISA_ARCH64())
																					{	/* SawBbv/bbv-specialize.scm 1111 */
																						long BgL_idxz00_10749;

																						BgL_idxz00_10749 =
																							BGL_OBJECT_INHERITANCE_NUM
																							(BgL_arg1858z00_10748);
																						BgL_test4733z00_18534 =
																							(VECTOR_REF
																							(BGl_za2inheritancesza2z00zz__objectz00,
																								(BgL_idxz00_10749 + 1L)) ==
																							BgL_classz00_10747);
																					}
																				else
																					{	/* SawBbv/bbv-specialize.scm 1111 */
																						bool_t BgL_res4133z00_10752;

																						{	/* SawBbv/bbv-specialize.scm 1111 */
																							obj_t BgL_oclassz00_10753;

																							{	/* SawBbv/bbv-specialize.scm 1111 */
																								obj_t BgL_arg1866z00_10754;
																								long BgL_arg1867z00_10755;

																								BgL_arg1866z00_10754 =
																									(BGl_za2classesza2z00zz__objectz00);
																								{	/* SawBbv/bbv-specialize.scm 1111 */
																									long BgL_arg1869z00_10756;

																									BgL_arg1869z00_10756 =
																										BGL_OBJECT_CLASS_NUM
																										(BgL_arg1858z00_10748);
																									BgL_arg1867z00_10755 =
																										(BgL_arg1869z00_10756 -
																										OBJECT_TYPE);
																								}
																								BgL_oclassz00_10753 =
																									VECTOR_REF
																									(BgL_arg1866z00_10754,
																									BgL_arg1867z00_10755);
																							}
																							{	/* SawBbv/bbv-specialize.scm 1111 */
																								bool_t
																									BgL__ortest_1115z00_10757;
																								BgL__ortest_1115z00_10757 =
																									(BgL_classz00_10747 ==
																									BgL_oclassz00_10753);
																								if (BgL__ortest_1115z00_10757)
																									{	/* SawBbv/bbv-specialize.scm 1111 */
																										BgL_res4133z00_10752 =
																											BgL__ortest_1115z00_10757;
																									}
																								else
																									{	/* SawBbv/bbv-specialize.scm 1111 */
																										long BgL_odepthz00_10758;

																										{	/* SawBbv/bbv-specialize.scm 1111 */
																											obj_t
																												BgL_arg1855z00_10759;
																											BgL_arg1855z00_10759 =
																												(BgL_oclassz00_10753);
																											BgL_odepthz00_10758 =
																												BGL_CLASS_DEPTH
																												(BgL_arg1855z00_10759);
																										}
																										if (
																											(1L <
																												BgL_odepthz00_10758))
																											{	/* SawBbv/bbv-specialize.scm 1111 */
																												obj_t
																													BgL_arg1853z00_10760;
																												{	/* SawBbv/bbv-specialize.scm 1111 */
																													obj_t
																														BgL_arg1854z00_10761;
																													BgL_arg1854z00_10761 =
																														(BgL_oclassz00_10753);
																													BgL_arg1853z00_10760 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_arg1854z00_10761,
																														1L);
																												}
																												BgL_res4133z00_10752 =
																													(BgL_arg1853z00_10760
																													==
																													BgL_classz00_10747);
																											}
																										else
																											{	/* SawBbv/bbv-specialize.scm 1111 */
																												BgL_res4133z00_10752 =
																													((bool_t) 0);
																											}
																									}
																							}
																						}
																						BgL_test4733z00_18534 =
																							BgL_res4133z00_10752;
																					}
																			}
																		else
																			{	/* SawBbv/bbv-specialize.scm 1111 */
																				BgL_test4733z00_18534 = ((bool_t) 0);
																			}
																	}
																	if (BgL_test4733z00_18534)
																		{	/* SawBbv/bbv-specialize.scm 1112 */
																			BgL_bbvzd2ctxzd2_bglt BgL_ctxzb2zb2_10762;

																			{	/* SawBbv/bbv-specialize.scm 1112 */
																				obj_t BgL_arg3493z00_10763;

																				{	/* SawBbv/bbv-specialize.scm 1112 */
																					obj_t BgL_list3494z00_10764;

																					BgL_list3494z00_10764 =
																						MAKE_YOUNG_PAIR
																						(BGl_za2vectorza2z00zztype_cachez00,
																						BNIL);
																					BgL_arg3493z00_10763 =
																						BgL_list3494z00_10764;
																				}
																				BgL_ctxzb2zb2_10762 =
																					BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2
																					(((BgL_bbvzd2ctxzd2_bglt)
																						BgL_ctxz00_9871),
																					((BgL_rtl_regz00_bglt)
																						BgL_vecz00_10639),
																					BgL_arg3493z00_10763, ((bool_t) 1),
																					BFALSE, BINT(1L), BgL_vlz00_10645);
																			}
																			{
																				obj_t BgL_ctxzd2zd2_18566;
																				obj_t BgL_ctxzb2zb2_18564;
																				BgL_rtl_insz00_bglt BgL_iz00_18562;

																				BgL_iz00_18562 =
																					((BgL_rtl_insz00_bglt) BgL_iz00_9868);
																				BgL_ctxzb2zb2_18564 =
																					((obj_t) BgL_ctxzb2zb2_10762);
																				BgL_ctxzd2zd2_18566 = BgL_ctxz00_9871;
																				BgL_ctxzd2zd2_10622 =
																					BgL_ctxzd2zd2_18566;
																				BgL_ctxzb2zb2_10621 =
																					BgL_ctxzb2zb2_18564;
																				BgL_iz00_10620 = BgL_iz00_18562;
																				goto BgL_dupzd2ifnezd2_10612;
																			}
																		}
																	else
																		{
																			obj_t BgL_ctxzd2zd2_18570;
																			obj_t BgL_ctxzb2zb2_18569;
																			BgL_rtl_insz00_bglt BgL_iz00_18567;

																			BgL_iz00_18567 =
																				((BgL_rtl_insz00_bglt) BgL_iz00_9868);
																			BgL_ctxzb2zb2_18569 = BgL_ctxz00_9871;
																			BgL_ctxzd2zd2_18570 = BgL_ctxz00_9871;
																			BgL_ctxzd2zd2_10622 = BgL_ctxzd2zd2_18570;
																			BgL_ctxzb2zb2_10621 = BgL_ctxzb2zb2_18569;
																			BgL_iz00_10620 = BgL_iz00_18567;
																			goto BgL_dupzd2ifnezd2_10612;
																		}
																}
														}
													else
														{	/* SawBbv/bbv-specialize.scm 1104 */
															BgL_bbvzd2ctxzd2_bglt BgL_ctxzb2zb2_10765;

															{	/* SawBbv/bbv-specialize.scm 1104 */
																obj_t BgL_arg3495z00_10766;
																BgL_bbvzd2rangezd2_bglt BgL_arg3496z00_10767;

																{	/* SawBbv/bbv-specialize.scm 1104 */
																	obj_t BgL_list3497z00_10768;

																	BgL_list3497z00_10768 =
																		MAKE_YOUNG_PAIR
																		(BGl_za2bintza2z00zztype_cachez00, BNIL);
																	BgL_arg3495z00_10766 = BgL_list3497z00_10768;
																}
																{	/* SawBbv/bbv-specialize.scm 1105 */
																	BgL_bbvzd2rangezd2_bglt BgL_arg3498z00_10769;

																	BgL_arg3498z00_10769 =
																		BGl_vlenzd2rangezd2zzsaw_bbvzd2rangezd2();
																	BgL_arg3496z00_10767 =
																		BGl_bbvzd2rangezd2ltz00zzsaw_bbvzd2rangezd2(
																		((BgL_bbvzd2rangezd2_bglt) BgL_vlz00_10645),
																		BgL_arg3498z00_10769);
																}
																BgL_ctxzb2zb2_10765 =
																	BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2(
																	((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_9871),
																	((BgL_rtl_regz00_bglt) BgL_vecz00_10639),
																	BgL_arg3495z00_10766, ((bool_t) 1), BFALSE,
																	BINT(1L), ((obj_t) BgL_arg3496z00_10767));
															}
															{
																obj_t BgL_ctxzd2zd2_18584;
																obj_t BgL_ctxzb2zb2_18582;
																BgL_rtl_insz00_bglt BgL_iz00_18580;

																BgL_iz00_18580 =
																	((BgL_rtl_insz00_bglt) BgL_iz00_9868);
																BgL_ctxzb2zb2_18582 =
																	((obj_t) BgL_ctxzb2zb2_10765);
																BgL_ctxzd2zd2_18584 = BgL_ctxz00_9871;
																BgL_ctxzd2zd2_10622 = BgL_ctxzd2zd2_18584;
																BgL_ctxzb2zb2_10621 = BgL_ctxzb2zb2_18582;
																BgL_iz00_10620 = BgL_iz00_18580;
																goto BgL_dupzd2ifnezd2_10612;
															}
														}
												}
											}
										}
									}
								}
							}
						}
					}
				}
				return ((obj_t) BgL_auxz00_17855);
			}
		}

	}



/* &rtl_ins-specialize-resolved-ifne */
	obj_t
		BGl_z62rtl_inszd2specializa7ezd2resolvedzd2ifnez17zzsaw_bbvzd2specializa7ez75
		(obj_t BgL_envz00_9873, obj_t BgL_iz00_9874, obj_t BgL_insz00_9875,
		obj_t BgL_bsz00_9876, obj_t BgL_ctxz00_9877, obj_t BgL_queuez00_9878)
	{
		{	/* SawBbv/bbv-specialize.scm 1175 */
			{
				BgL_rtl_insz00_bglt BgL_auxz00_18586;

				{	/* SawBbv/bbv-specialize.scm 1177 */
					BgL_rtl_insz00_bglt BgL_i1701z00_10773;

					{	/* SawBbv/bbv-specialize.scm 1177 */
						obj_t BgL_pairz00_10774;

						BgL_pairz00_10774 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_iz00_9874)))->BgL_argsz00);
						BgL_i1701z00_10773 = ((BgL_rtl_insz00_bglt) CAR(BgL_pairz00_10774));
					}
					{	/* SawBbv/bbv-specialize.scm 1178 */
						BgL_rtl_loadiz00_bglt BgL_i1702z00_10775;

						BgL_i1702z00_10775 =
							((BgL_rtl_loadiz00_bglt)
							(((BgL_rtl_insz00_bglt) COBJECT(BgL_i1701z00_10773))->
								BgL_funz00));
						if ((((obj_t) (((BgL_rtl_loadiz00_bglt)
											COBJECT(BgL_i1702z00_10775))->BgL_constantz00)) ==
								BFALSE))
							{	/* SawBbv/bbv-specialize.scm 1182 */
								BgL_rtl_nopz00_bglt BgL_funz00_10776;

								{	/* SawBbv/bbv-specialize.scm 1182 */
									BgL_rtl_funz00_bglt BgL_duplicated1707z00_10777;
									BgL_rtl_nopz00_bglt BgL_new1705z00_10778;

									BgL_duplicated1707z00_10777 =
										(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_iz00_9874)))->BgL_funz00);
									{	/* SawBbv/bbv-specialize.scm 1182 */
										BgL_rtl_nopz00_bglt BgL_new1708z00_10779;

										BgL_new1708z00_10779 =
											((BgL_rtl_nopz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_rtl_nopz00_bgl))));
										{	/* SawBbv/bbv-specialize.scm 1182 */
											long BgL_arg3521z00_10780;

											BgL_arg3521z00_10780 =
												BGL_CLASS_NUM(BGl_rtl_nopz00zzsaw_defsz00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1708z00_10779),
												BgL_arg3521z00_10780);
										}
										BgL_new1705z00_10778 = BgL_new1708z00_10779;
									}
									((((BgL_rtl_funz00_bglt) COBJECT(
													((BgL_rtl_funz00_bglt) BgL_new1705z00_10778)))->
											BgL_locz00) =
										((obj_t) (((BgL_rtl_funz00_bglt)
													COBJECT(BgL_duplicated1707z00_10777))->BgL_locz00)),
										BUNSPEC);
									BgL_funz00_10776 = BgL_new1705z00_10778;
								}
								{	/* SawBbv/bbv-specialize.scm 1182 */
									BgL_rtl_insz00_bglt BgL_niz00_10781;

									{	/* SawBbv/bbv-specialize.scm 1183 */
										BgL_rtl_insz00_bglt BgL_new1709z00_10782;

										{	/* SawBbv/bbv-specialize.scm 1183 */
											BgL_rtl_insz00_bglt BgL_tmp1717z00_10783;
											BgL_rtl_inszf2bbvzf2_bglt BgL_wide1718z00_10784;

											{
												BgL_rtl_insz00_bglt BgL_auxz00_18606;

												{	/* SawBbv/bbv-specialize.scm 1183 */
													BgL_rtl_insz00_bglt BgL_new1716z00_10785;

													BgL_new1716z00_10785 =
														((BgL_rtl_insz00_bglt)
														BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_rtl_insz00_bgl))));
													{	/* SawBbv/bbv-specialize.scm 1183 */
														long BgL_arg3520z00_10786;

														BgL_arg3520z00_10786 =
															BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1716z00_10785),
															BgL_arg3520z00_10786);
													}
													{	/* SawBbv/bbv-specialize.scm 1183 */
														BgL_objectz00_bglt BgL_tmpz00_18611;

														BgL_tmpz00_18611 =
															((BgL_objectz00_bglt) BgL_new1716z00_10785);
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18611, BFALSE);
													}
													((BgL_objectz00_bglt) BgL_new1716z00_10785);
													BgL_auxz00_18606 = BgL_new1716z00_10785;
												}
												BgL_tmp1717z00_10783 =
													((BgL_rtl_insz00_bglt) BgL_auxz00_18606);
											}
											BgL_wide1718z00_10784 =
												((BgL_rtl_inszf2bbvzf2_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_rtl_inszf2bbvzf2_bgl))));
											{	/* SawBbv/bbv-specialize.scm 1183 */
												obj_t BgL_auxz00_18619;
												BgL_objectz00_bglt BgL_tmpz00_18617;

												BgL_auxz00_18619 = ((obj_t) BgL_wide1718z00_10784);
												BgL_tmpz00_18617 =
													((BgL_objectz00_bglt) BgL_tmp1717z00_10783);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18617,
													BgL_auxz00_18619);
											}
											((BgL_objectz00_bglt) BgL_tmp1717z00_10783);
											{	/* SawBbv/bbv-specialize.scm 1183 */
												long BgL_arg3518z00_10787;

												BgL_arg3518z00_10787 =
													BGL_CLASS_NUM
													(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
												BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
														BgL_tmp1717z00_10783), BgL_arg3518z00_10787);
											}
											BgL_new1709z00_10782 =
												((BgL_rtl_insz00_bglt) BgL_tmp1717z00_10783);
										}
										((((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_new1709z00_10782)))->
												BgL_locz00) =
											((obj_t) (((BgL_rtl_insz00_bglt)
														COBJECT(((BgL_rtl_insz00_bglt) BgL_iz00_9874)))->
													BgL_locz00)), BUNSPEC);
										((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
															BgL_new1709z00_10782)))->BgL_z52spillz52) =
											((obj_t) (((BgL_rtl_insz00_bglt)
														COBJECT(((BgL_rtl_insz00_bglt) BgL_iz00_9874)))->
													BgL_z52spillz52)), BUNSPEC);
										((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
															BgL_new1709z00_10782)))->BgL_destz00) =
											((obj_t) (((BgL_rtl_insz00_bglt)
														COBJECT(((BgL_rtl_insz00_bglt) BgL_iz00_9874)))->
													BgL_destz00)), BUNSPEC);
										((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
															BgL_new1709z00_10782)))->BgL_funz00) =
											((BgL_rtl_funz00_bglt) ((BgL_rtl_funz00_bglt)
													BgL_funz00_10776)), BUNSPEC);
										((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
															BgL_new1709z00_10782)))->BgL_argsz00) =
											((obj_t) BNIL), BUNSPEC);
										{
											obj_t BgL_auxz00_18650;
											BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_18644;

											{
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_18651;

												{
													obj_t BgL_auxz00_18652;

													{	/* SawBbv/bbv-specialize.scm 1185 */
														BgL_objectz00_bglt BgL_tmpz00_18653;

														BgL_tmpz00_18653 =
															((BgL_objectz00_bglt)
															((BgL_rtl_insz00_bglt)
																((BgL_rtl_insz00_bglt) BgL_iz00_9874)));
														BgL_auxz00_18652 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_18653);
													}
													BgL_auxz00_18651 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_18652);
												}
												BgL_auxz00_18650 =
													(((BgL_rtl_inszf2bbvzf2_bglt)
														COBJECT(BgL_auxz00_18651))->BgL_defz00);
											}
											{
												obj_t BgL_auxz00_18645;

												{	/* SawBbv/bbv-specialize.scm 1185 */
													BgL_objectz00_bglt BgL_tmpz00_18646;

													BgL_tmpz00_18646 =
														((BgL_objectz00_bglt) BgL_new1709z00_10782);
													BgL_auxz00_18645 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_18646);
												}
												BgL_auxz00_18644 =
													((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_18645);
											}
											((((BgL_rtl_inszf2bbvzf2_bglt)
														COBJECT(BgL_auxz00_18644))->BgL_defz00) =
												((obj_t) BgL_auxz00_18650), BUNSPEC);
										}
										{
											obj_t BgL_auxz00_18667;
											BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_18661;

											{
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_18668;

												{
													obj_t BgL_auxz00_18669;

													{	/* SawBbv/bbv-specialize.scm 1185 */
														BgL_objectz00_bglt BgL_tmpz00_18670;

														BgL_tmpz00_18670 =
															((BgL_objectz00_bglt)
															((BgL_rtl_insz00_bglt)
																((BgL_rtl_insz00_bglt) BgL_iz00_9874)));
														BgL_auxz00_18669 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_18670);
													}
													BgL_auxz00_18668 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_18669);
												}
												BgL_auxz00_18667 =
													(((BgL_rtl_inszf2bbvzf2_bglt)
														COBJECT(BgL_auxz00_18668))->BgL_outz00);
											}
											{
												obj_t BgL_auxz00_18662;

												{	/* SawBbv/bbv-specialize.scm 1185 */
													BgL_objectz00_bglt BgL_tmpz00_18663;

													BgL_tmpz00_18663 =
														((BgL_objectz00_bglt) BgL_new1709z00_10782);
													BgL_auxz00_18662 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_18663);
												}
												BgL_auxz00_18661 =
													((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_18662);
											}
											((((BgL_rtl_inszf2bbvzf2_bglt)
														COBJECT(BgL_auxz00_18661))->BgL_outz00) =
												((obj_t) BgL_auxz00_18667), BUNSPEC);
										}
										{
											obj_t BgL_auxz00_18684;
											BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_18678;

											{
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_18685;

												{
													obj_t BgL_auxz00_18686;

													{	/* SawBbv/bbv-specialize.scm 1185 */
														BgL_objectz00_bglt BgL_tmpz00_18687;

														BgL_tmpz00_18687 =
															((BgL_objectz00_bglt)
															((BgL_rtl_insz00_bglt)
																((BgL_rtl_insz00_bglt) BgL_iz00_9874)));
														BgL_auxz00_18686 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_18687);
													}
													BgL_auxz00_18685 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_18686);
												}
												BgL_auxz00_18684 =
													(((BgL_rtl_inszf2bbvzf2_bglt)
														COBJECT(BgL_auxz00_18685))->BgL_inz00);
											}
											{
												obj_t BgL_auxz00_18679;

												{	/* SawBbv/bbv-specialize.scm 1185 */
													BgL_objectz00_bglt BgL_tmpz00_18680;

													BgL_tmpz00_18680 =
														((BgL_objectz00_bglt) BgL_new1709z00_10782);
													BgL_auxz00_18679 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_18680);
												}
												BgL_auxz00_18678 =
													((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_18679);
											}
											((((BgL_rtl_inszf2bbvzf2_bglt)
														COBJECT(BgL_auxz00_18678))->BgL_inz00) =
												((obj_t) BgL_auxz00_18684), BUNSPEC);
										}
										{
											BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_18695;

											{
												obj_t BgL_auxz00_18696;

												{	/* SawBbv/bbv-specialize.scm 1184 */
													BgL_objectz00_bglt BgL_tmpz00_18697;

													BgL_tmpz00_18697 =
														((BgL_objectz00_bglt) BgL_new1709z00_10782);
													BgL_auxz00_18696 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_18697);
												}
												BgL_auxz00_18695 =
													((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_18696);
											}
											((((BgL_rtl_inszf2bbvzf2_bglt)
														COBJECT(BgL_auxz00_18695))->BgL_ctxz00) =
												((BgL_bbvzd2ctxzd2_bglt) ((BgL_bbvzd2ctxzd2_bglt)
														BgL_ctxz00_9877)), BUNSPEC);
										}
										{
											obj_t BgL_auxz00_18709;
											BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_18703;

											{
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_18710;

												{
													obj_t BgL_auxz00_18711;

													{	/* SawBbv/bbv-specialize.scm 1184 */
														BgL_objectz00_bglt BgL_tmpz00_18712;

														BgL_tmpz00_18712 =
															((BgL_objectz00_bglt)
															((BgL_rtl_insz00_bglt)
																((BgL_rtl_insz00_bglt) BgL_iz00_9874)));
														BgL_auxz00_18711 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_18712);
													}
													BgL_auxz00_18710 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_18711);
												}
												BgL_auxz00_18709 =
													(((BgL_rtl_inszf2bbvzf2_bglt)
														COBJECT(BgL_auxz00_18710))->BgL_z52hashz52);
											}
											{
												obj_t BgL_auxz00_18704;

												{	/* SawBbv/bbv-specialize.scm 1184 */
													BgL_objectz00_bglt BgL_tmpz00_18705;

													BgL_tmpz00_18705 =
														((BgL_objectz00_bglt) BgL_new1709z00_10782);
													BgL_auxz00_18704 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_18705);
												}
												BgL_auxz00_18703 =
													((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_18704);
											}
											((((BgL_rtl_inszf2bbvzf2_bglt)
														COBJECT(BgL_auxz00_18703))->BgL_z52hashz52) =
												((obj_t) BgL_auxz00_18709), BUNSPEC);
										}
										BgL_niz00_10781 = BgL_new1709z00_10782;
									}
									{	/* SawBbv/bbv-specialize.scm 1183 */

										{	/* SawBbv/bbv-specialize.scm 1187 */
											int BgL_tmpz00_18720;

											BgL_tmpz00_18720 = (int) (2L);
											BGL_MVALUES_NUMBER_SET(BgL_tmpz00_18720);
										}
										{	/* SawBbv/bbv-specialize.scm 1187 */
											int BgL_tmpz00_18723;

											BgL_tmpz00_18723 = (int) (1L);
											BGL_MVALUES_VAL_SET(BgL_tmpz00_18723, BgL_ctxz00_9877);
										}
										BgL_auxz00_18586 = BgL_niz00_10781;
							}}}
						else
							{	/* SawBbv/bbv-specialize.scm 1188 */
								BgL_rtl_ifnez00_bglt BgL_i1719z00_10788;

								BgL_i1719z00_10788 =
									((BgL_rtl_ifnez00_bglt)
									(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_iz00_9874)))->BgL_funz00));
								{	/* SawBbv/bbv-specialize.scm 1189 */
									BgL_rtl_goz00_bglt BgL_funz00_10789;

									{	/* SawBbv/bbv-specialize.scm 1189 */
										BgL_rtl_funz00_bglt BgL_duplicated1722z00_10790;
										BgL_rtl_goz00_bglt BgL_new1720z00_10791;

										BgL_duplicated1722z00_10790 =
											(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_iz00_9874)))->BgL_funz00);
										{	/* SawBbv/bbv-specialize.scm 1189 */
											BgL_rtl_goz00_bglt BgL_new1723z00_10792;

											BgL_new1723z00_10792 =
												((BgL_rtl_goz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_rtl_goz00_bgl))));
											{	/* SawBbv/bbv-specialize.scm 1189 */
												long BgL_arg3526z00_10793;

												BgL_arg3526z00_10793 =
													BGL_CLASS_NUM(BGl_rtl_goz00zzsaw_defsz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1723z00_10792),
													BgL_arg3526z00_10793);
											}
											BgL_new1720z00_10791 = BgL_new1723z00_10792;
										}
										((((BgL_rtl_funz00_bglt) COBJECT(
														((BgL_rtl_funz00_bglt) BgL_new1720z00_10791)))->
												BgL_locz00) =
											((obj_t) (((BgL_rtl_funz00_bglt)
														COBJECT(BgL_duplicated1722z00_10790))->BgL_locz00)),
											BUNSPEC);
										{
											BgL_blockz00_bglt BgL_auxz00_18738;

											{	/* SawBbv/bbv-specialize.scm 1190 */
												BgL_blockz00_bglt BgL_arg3525z00_10794;

												BgL_arg3525z00_10794 =
													(((BgL_rtl_ifnez00_bglt)
														COBJECT(BgL_i1719z00_10788))->BgL_thenz00);
												BgL_auxz00_18738 =
													((BgL_blockz00_bglt)
													BGl_bbvzd2blockzd2zzsaw_bbvzd2specializa7ez75
													(BgL_arg3525z00_10794,
														((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_9877),
														((BgL_bbvzd2queuezd2_bglt) BgL_queuez00_9878),
														BgL_bsz00_9876));
											}
											((((BgL_rtl_goz00_bglt) COBJECT(BgL_new1720z00_10791))->
													BgL_toz00) =
												((BgL_blockz00_bglt) BgL_auxz00_18738), BUNSPEC);
										}
										BgL_funz00_10789 = BgL_new1720z00_10791;
									}
									{	/* SawBbv/bbv-specialize.scm 1189 */
										BgL_rtl_insz00_bglt BgL_niz00_10795;

										{	/* SawBbv/bbv-specialize.scm 1192 */
											BgL_rtl_insz00_bglt BgL_new1724z00_10796;

											{	/* SawBbv/bbv-specialize.scm 1192 */
												BgL_rtl_insz00_bglt BgL_tmp1732z00_10797;
												BgL_rtl_inszf2bbvzf2_bglt BgL_wide1733z00_10798;

												{
													BgL_rtl_insz00_bglt BgL_auxz00_18745;

													{	/* SawBbv/bbv-specialize.scm 1192 */
														BgL_rtl_insz00_bglt BgL_new1731z00_10799;

														BgL_new1731z00_10799 =
															((BgL_rtl_insz00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_rtl_insz00_bgl))));
														{	/* SawBbv/bbv-specialize.scm 1192 */
															long BgL_arg3524z00_10800;

															BgL_arg3524z00_10800 =
																BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1731z00_10799),
																BgL_arg3524z00_10800);
														}
														{	/* SawBbv/bbv-specialize.scm 1192 */
															BgL_objectz00_bglt BgL_tmpz00_18750;

															BgL_tmpz00_18750 =
																((BgL_objectz00_bglt) BgL_new1731z00_10799);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18750, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1731z00_10799);
														BgL_auxz00_18745 = BgL_new1731z00_10799;
													}
													BgL_tmp1732z00_10797 =
														((BgL_rtl_insz00_bglt) BgL_auxz00_18745);
												}
												BgL_wide1733z00_10798 =
													((BgL_rtl_inszf2bbvzf2_bglt)
													BOBJECT(GC_MALLOC(sizeof(struct
																BgL_rtl_inszf2bbvzf2_bgl))));
												{	/* SawBbv/bbv-specialize.scm 1192 */
													obj_t BgL_auxz00_18758;
													BgL_objectz00_bglt BgL_tmpz00_18756;

													BgL_auxz00_18758 = ((obj_t) BgL_wide1733z00_10798);
													BgL_tmpz00_18756 =
														((BgL_objectz00_bglt) BgL_tmp1732z00_10797);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18756,
														BgL_auxz00_18758);
												}
												((BgL_objectz00_bglt) BgL_tmp1732z00_10797);
												{	/* SawBbv/bbv-specialize.scm 1192 */
													long BgL_arg3522z00_10801;

													BgL_arg3522z00_10801 =
														BGL_CLASS_NUM
														(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
													BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
															BgL_tmp1732z00_10797), BgL_arg3522z00_10801);
												}
												BgL_new1724z00_10796 =
													((BgL_rtl_insz00_bglt) BgL_tmp1732z00_10797);
											}
											((((BgL_rtl_insz00_bglt) COBJECT(
															((BgL_rtl_insz00_bglt) BgL_new1724z00_10796)))->
													BgL_locz00) =
												((obj_t) (((BgL_rtl_insz00_bglt)
															COBJECT(((BgL_rtl_insz00_bglt) BgL_iz00_9874)))->
														BgL_locz00)), BUNSPEC);
											((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
																BgL_new1724z00_10796)))->BgL_z52spillz52) =
												((obj_t) (((BgL_rtl_insz00_bglt)
															COBJECT(((BgL_rtl_insz00_bglt) BgL_iz00_9874)))->
														BgL_z52spillz52)), BUNSPEC);
											((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
																BgL_new1724z00_10796)))->BgL_destz00) =
												((obj_t) (((BgL_rtl_insz00_bglt)
															COBJECT(((BgL_rtl_insz00_bglt) BgL_iz00_9874)))->
														BgL_destz00)), BUNSPEC);
											((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
																BgL_new1724z00_10796)))->BgL_funz00) =
												((BgL_rtl_funz00_bglt) ((BgL_rtl_funz00_bglt)
														BgL_funz00_10789)), BUNSPEC);
											((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
																BgL_new1724z00_10796)))->BgL_argsz00) =
												((obj_t) BNIL), BUNSPEC);
											{
												obj_t BgL_auxz00_18789;
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_18783;

												{
													BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_18790;

													{
														obj_t BgL_auxz00_18791;

														{	/* SawBbv/bbv-specialize.scm 1194 */
															BgL_objectz00_bglt BgL_tmpz00_18792;

															BgL_tmpz00_18792 =
																((BgL_objectz00_bglt)
																((BgL_rtl_insz00_bglt)
																	((BgL_rtl_insz00_bglt) BgL_iz00_9874)));
															BgL_auxz00_18791 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_18792);
														}
														BgL_auxz00_18790 =
															((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_18791);
													}
													BgL_auxz00_18789 =
														(((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_18790))->BgL_defz00);
												}
												{
													obj_t BgL_auxz00_18784;

													{	/* SawBbv/bbv-specialize.scm 1194 */
														BgL_objectz00_bglt BgL_tmpz00_18785;

														BgL_tmpz00_18785 =
															((BgL_objectz00_bglt) BgL_new1724z00_10796);
														BgL_auxz00_18784 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_18785);
													}
													BgL_auxz00_18783 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_18784);
												}
												((((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_18783))->BgL_defz00) =
													((obj_t) BgL_auxz00_18789), BUNSPEC);
											}
											{
												obj_t BgL_auxz00_18806;
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_18800;

												{
													BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_18807;

													{
														obj_t BgL_auxz00_18808;

														{	/* SawBbv/bbv-specialize.scm 1194 */
															BgL_objectz00_bglt BgL_tmpz00_18809;

															BgL_tmpz00_18809 =
																((BgL_objectz00_bglt)
																((BgL_rtl_insz00_bglt)
																	((BgL_rtl_insz00_bglt) BgL_iz00_9874)));
															BgL_auxz00_18808 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_18809);
														}
														BgL_auxz00_18807 =
															((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_18808);
													}
													BgL_auxz00_18806 =
														(((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_18807))->BgL_outz00);
												}
												{
													obj_t BgL_auxz00_18801;

													{	/* SawBbv/bbv-specialize.scm 1194 */
														BgL_objectz00_bglt BgL_tmpz00_18802;

														BgL_tmpz00_18802 =
															((BgL_objectz00_bglt) BgL_new1724z00_10796);
														BgL_auxz00_18801 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_18802);
													}
													BgL_auxz00_18800 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_18801);
												}
												((((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_18800))->BgL_outz00) =
													((obj_t) BgL_auxz00_18806), BUNSPEC);
											}
											{
												obj_t BgL_auxz00_18823;
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_18817;

												{
													BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_18824;

													{
														obj_t BgL_auxz00_18825;

														{	/* SawBbv/bbv-specialize.scm 1194 */
															BgL_objectz00_bglt BgL_tmpz00_18826;

															BgL_tmpz00_18826 =
																((BgL_objectz00_bglt)
																((BgL_rtl_insz00_bglt)
																	((BgL_rtl_insz00_bglt) BgL_iz00_9874)));
															BgL_auxz00_18825 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_18826);
														}
														BgL_auxz00_18824 =
															((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_18825);
													}
													BgL_auxz00_18823 =
														(((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_18824))->BgL_inz00);
												}
												{
													obj_t BgL_auxz00_18818;

													{	/* SawBbv/bbv-specialize.scm 1194 */
														BgL_objectz00_bglt BgL_tmpz00_18819;

														BgL_tmpz00_18819 =
															((BgL_objectz00_bglt) BgL_new1724z00_10796);
														BgL_auxz00_18818 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_18819);
													}
													BgL_auxz00_18817 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_18818);
												}
												((((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_18817))->BgL_inz00) =
													((obj_t) BgL_auxz00_18823), BUNSPEC);
											}
											{
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_18834;

												{
													obj_t BgL_auxz00_18835;

													{	/* SawBbv/bbv-specialize.scm 1193 */
														BgL_objectz00_bglt BgL_tmpz00_18836;

														BgL_tmpz00_18836 =
															((BgL_objectz00_bglt) BgL_new1724z00_10796);
														BgL_auxz00_18835 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_18836);
													}
													BgL_auxz00_18834 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_18835);
												}
												((((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_18834))->BgL_ctxz00) =
													((BgL_bbvzd2ctxzd2_bglt) ((BgL_bbvzd2ctxzd2_bglt)
															BgL_ctxz00_9877)), BUNSPEC);
											}
											{
												obj_t BgL_auxz00_18848;
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_18842;

												{
													BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_18849;

													{
														obj_t BgL_auxz00_18850;

														{	/* SawBbv/bbv-specialize.scm 1193 */
															BgL_objectz00_bglt BgL_tmpz00_18851;

															BgL_tmpz00_18851 =
																((BgL_objectz00_bglt)
																((BgL_rtl_insz00_bglt)
																	((BgL_rtl_insz00_bglt) BgL_iz00_9874)));
															BgL_auxz00_18850 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_18851);
														}
														BgL_auxz00_18849 =
															((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_18850);
													}
													BgL_auxz00_18848 =
														(((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_18849))->BgL_z52hashz52);
												}
												{
													obj_t BgL_auxz00_18843;

													{	/* SawBbv/bbv-specialize.scm 1193 */
														BgL_objectz00_bglt BgL_tmpz00_18844;

														BgL_tmpz00_18844 =
															((BgL_objectz00_bglt) BgL_new1724z00_10796);
														BgL_auxz00_18843 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_18844);
													}
													BgL_auxz00_18842 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_18843);
												}
												((((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_18842))->BgL_z52hashz52) =
													((obj_t) BgL_auxz00_18848), BUNSPEC);
											}
											BgL_niz00_10795 = BgL_new1724z00_10796;
										}
										{	/* SawBbv/bbv-specialize.scm 1192 */

											{	/* SawBbv/bbv-specialize.scm 1196 */
												int BgL_tmpz00_18859;

												BgL_tmpz00_18859 = (int) (2L);
												BGL_MVALUES_NUMBER_SET(BgL_tmpz00_18859);
											}
											{	/* SawBbv/bbv-specialize.scm 1196 */
												int BgL_tmpz00_18862;

												BgL_tmpz00_18862 = (int) (1L);
												BGL_MVALUES_VAL_SET(BgL_tmpz00_18862, BgL_ctxz00_9877);
											}
											BgL_auxz00_18586 = BgL_niz00_10795;
				}}}}}}
				return ((obj_t) BgL_auxz00_18586);
			}
		}

	}



/* rtl_ins-fxcmp? */
	bool_t
		BGl_rtl_inszd2fxcmpzf3z21zzsaw_bbvzd2specializa7ez75(BgL_rtl_insz00_bglt
		BgL_iz00_350)
	{
		{	/* SawBbv/bbv-specialize.scm 1201 */
			{
				obj_t BgL_iz00_3908;

				{	/* SawBbv/bbv-specialize.scm 1222 */
					bool_t BgL_test4739z00_18866;

					{	/* SawBbv/bbv-specialize.scm 1222 */
						BgL_rtl_funz00_bglt BgL_arg3541z00_3898;

						BgL_arg3541z00_3898 =
							(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_350))->BgL_funz00);
						{	/* SawBbv/bbv-specialize.scm 1222 */
							obj_t BgL_classz00_7782;

							BgL_classz00_7782 = BGl_rtl_callz00zzsaw_defsz00;
							{	/* SawBbv/bbv-specialize.scm 1222 */
								BgL_objectz00_bglt BgL_arg1858z00_7784;

								{	/* SawBbv/bbv-specialize.scm 1222 */
									obj_t BgL_tmpz00_18868;

									BgL_tmpz00_18868 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg3541z00_3898));
									BgL_arg1858z00_7784 = (BgL_objectz00_bglt) (BgL_tmpz00_18868);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-specialize.scm 1222 */
										long BgL_idxz00_7790;

										BgL_idxz00_7790 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_7784);
										BgL_test4739z00_18866 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_7790 + 2L)) == BgL_classz00_7782);
									}
								else
									{	/* SawBbv/bbv-specialize.scm 1222 */
										bool_t BgL_res4138z00_7815;

										{	/* SawBbv/bbv-specialize.scm 1222 */
											obj_t BgL_oclassz00_7798;

											{	/* SawBbv/bbv-specialize.scm 1222 */
												obj_t BgL_arg1866z00_7806;
												long BgL_arg1867z00_7807;

												BgL_arg1866z00_7806 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* SawBbv/bbv-specialize.scm 1222 */
													long BgL_arg1869z00_7808;

													BgL_arg1869z00_7808 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_7784);
													BgL_arg1867z00_7807 =
														(BgL_arg1869z00_7808 - OBJECT_TYPE);
												}
												BgL_oclassz00_7798 =
													VECTOR_REF(BgL_arg1866z00_7806, BgL_arg1867z00_7807);
											}
											{	/* SawBbv/bbv-specialize.scm 1222 */
												bool_t BgL__ortest_1115z00_7799;

												BgL__ortest_1115z00_7799 =
													(BgL_classz00_7782 == BgL_oclassz00_7798);
												if (BgL__ortest_1115z00_7799)
													{	/* SawBbv/bbv-specialize.scm 1222 */
														BgL_res4138z00_7815 = BgL__ortest_1115z00_7799;
													}
												else
													{	/* SawBbv/bbv-specialize.scm 1222 */
														long BgL_odepthz00_7800;

														{	/* SawBbv/bbv-specialize.scm 1222 */
															obj_t BgL_arg1855z00_7801;

															BgL_arg1855z00_7801 = (BgL_oclassz00_7798);
															BgL_odepthz00_7800 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_7801);
														}
														if ((2L < BgL_odepthz00_7800))
															{	/* SawBbv/bbv-specialize.scm 1222 */
																obj_t BgL_arg1853z00_7803;

																{	/* SawBbv/bbv-specialize.scm 1222 */
																	obj_t BgL_arg1854z00_7804;

																	BgL_arg1854z00_7804 = (BgL_oclassz00_7798);
																	BgL_arg1853z00_7803 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_7804,
																		2L);
																}
																BgL_res4138z00_7815 =
																	(BgL_arg1853z00_7803 == BgL_classz00_7782);
															}
														else
															{	/* SawBbv/bbv-specialize.scm 1222 */
																BgL_res4138z00_7815 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test4739z00_18866 = BgL_res4138z00_7815;
									}
							}
						}
					}
					if (BgL_test4739z00_18866)
						{	/* SawBbv/bbv-specialize.scm 1222 */
							BgL_iz00_3908 = ((obj_t) BgL_iz00_350);
						BgL_zc3z04anonymousza33547ze3z87_3909:
							{	/* SawBbv/bbv-specialize.scm 1211 */
								bool_t BgL_test4743z00_18891;

								{	/* SawBbv/bbv-specialize.scm 1211 */
									obj_t BgL_classz00_7713;

									BgL_classz00_7713 = BGl_rtl_insz00zzsaw_defsz00;
									if (BGL_OBJECTP(BgL_iz00_3908))
										{	/* SawBbv/bbv-specialize.scm 1211 */
											BgL_objectz00_bglt BgL_arg1858z00_7715;

											BgL_arg1858z00_7715 =
												(BgL_objectz00_bglt) (BgL_iz00_3908);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* SawBbv/bbv-specialize.scm 1211 */
													long BgL_idxz00_7721;

													BgL_idxz00_7721 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_7715);
													BgL_test4743z00_18891 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_7721 + 1L)) == BgL_classz00_7713);
												}
											else
												{	/* SawBbv/bbv-specialize.scm 1211 */
													bool_t BgL_res4136z00_7746;

													{	/* SawBbv/bbv-specialize.scm 1211 */
														obj_t BgL_oclassz00_7729;

														{	/* SawBbv/bbv-specialize.scm 1211 */
															obj_t BgL_arg1866z00_7737;
															long BgL_arg1867z00_7738;

															BgL_arg1866z00_7737 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* SawBbv/bbv-specialize.scm 1211 */
																long BgL_arg1869z00_7739;

																BgL_arg1869z00_7739 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_7715);
																BgL_arg1867z00_7738 =
																	(BgL_arg1869z00_7739 - OBJECT_TYPE);
															}
															BgL_oclassz00_7729 =
																VECTOR_REF(BgL_arg1866z00_7737,
																BgL_arg1867z00_7738);
														}
														{	/* SawBbv/bbv-specialize.scm 1211 */
															bool_t BgL__ortest_1115z00_7730;

															BgL__ortest_1115z00_7730 =
																(BgL_classz00_7713 == BgL_oclassz00_7729);
															if (BgL__ortest_1115z00_7730)
																{	/* SawBbv/bbv-specialize.scm 1211 */
																	BgL_res4136z00_7746 =
																		BgL__ortest_1115z00_7730;
																}
															else
																{	/* SawBbv/bbv-specialize.scm 1211 */
																	long BgL_odepthz00_7731;

																	{	/* SawBbv/bbv-specialize.scm 1211 */
																		obj_t BgL_arg1855z00_7732;

																		BgL_arg1855z00_7732 = (BgL_oclassz00_7729);
																		BgL_odepthz00_7731 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_7732);
																	}
																	if ((1L < BgL_odepthz00_7731))
																		{	/* SawBbv/bbv-specialize.scm 1211 */
																			obj_t BgL_arg1853z00_7734;

																			{	/* SawBbv/bbv-specialize.scm 1211 */
																				obj_t BgL_arg1854z00_7735;

																				BgL_arg1854z00_7735 =
																					(BgL_oclassz00_7729);
																				BgL_arg1853z00_7734 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_7735, 1L);
																			}
																			BgL_res4136z00_7746 =
																				(BgL_arg1853z00_7734 ==
																				BgL_classz00_7713);
																		}
																	else
																		{	/* SawBbv/bbv-specialize.scm 1211 */
																			BgL_res4136z00_7746 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test4743z00_18891 = BgL_res4136z00_7746;
												}
										}
									else
										{	/* SawBbv/bbv-specialize.scm 1211 */
											BgL_test4743z00_18891 = ((bool_t) 0);
										}
								}
								if (BgL_test4743z00_18891)
									{	/* SawBbv/bbv-specialize.scm 1213 */
										bool_t BgL_test4748z00_18914;

										{	/* SawBbv/bbv-specialize.scm 1213 */
											BgL_rtl_funz00_bglt BgL_arg3561z00_3927;

											BgL_arg3561z00_3927 =
												(((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_iz00_3908)))->
												BgL_funz00);
											{	/* SawBbv/bbv-specialize.scm 1213 */
												obj_t BgL_classz00_7747;

												BgL_classz00_7747 = BGl_rtl_callz00zzsaw_defsz00;
												{	/* SawBbv/bbv-specialize.scm 1213 */
													BgL_objectz00_bglt BgL_arg1858z00_7749;

													{	/* SawBbv/bbv-specialize.scm 1213 */
														obj_t BgL_tmpz00_18917;

														BgL_tmpz00_18917 =
															((obj_t)
															((BgL_objectz00_bglt) BgL_arg3561z00_3927));
														BgL_arg1858z00_7749 =
															(BgL_objectz00_bglt) (BgL_tmpz00_18917);
													}
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* SawBbv/bbv-specialize.scm 1213 */
															long BgL_idxz00_7755;

															BgL_idxz00_7755 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_7749);
															BgL_test4748z00_18914 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_7755 + 2L)) == BgL_classz00_7747);
														}
													else
														{	/* SawBbv/bbv-specialize.scm 1213 */
															bool_t BgL_res4137z00_7780;

															{	/* SawBbv/bbv-specialize.scm 1213 */
																obj_t BgL_oclassz00_7763;

																{	/* SawBbv/bbv-specialize.scm 1213 */
																	obj_t BgL_arg1866z00_7771;
																	long BgL_arg1867z00_7772;

																	BgL_arg1866z00_7771 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* SawBbv/bbv-specialize.scm 1213 */
																		long BgL_arg1869z00_7773;

																		BgL_arg1869z00_7773 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_7749);
																		BgL_arg1867z00_7772 =
																			(BgL_arg1869z00_7773 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_7763 =
																		VECTOR_REF(BgL_arg1866z00_7771,
																		BgL_arg1867z00_7772);
																}
																{	/* SawBbv/bbv-specialize.scm 1213 */
																	bool_t BgL__ortest_1115z00_7764;

																	BgL__ortest_1115z00_7764 =
																		(BgL_classz00_7747 == BgL_oclassz00_7763);
																	if (BgL__ortest_1115z00_7764)
																		{	/* SawBbv/bbv-specialize.scm 1213 */
																			BgL_res4137z00_7780 =
																				BgL__ortest_1115z00_7764;
																		}
																	else
																		{	/* SawBbv/bbv-specialize.scm 1213 */
																			long BgL_odepthz00_7765;

																			{	/* SawBbv/bbv-specialize.scm 1213 */
																				obj_t BgL_arg1855z00_7766;

																				BgL_arg1855z00_7766 =
																					(BgL_oclassz00_7763);
																				BgL_odepthz00_7765 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_7766);
																			}
																			if ((2L < BgL_odepthz00_7765))
																				{	/* SawBbv/bbv-specialize.scm 1213 */
																					obj_t BgL_arg1853z00_7768;

																					{	/* SawBbv/bbv-specialize.scm 1213 */
																						obj_t BgL_arg1854z00_7769;

																						BgL_arg1854z00_7769 =
																							(BgL_oclassz00_7763);
																						BgL_arg1853z00_7768 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_7769, 2L);
																					}
																					BgL_res4137z00_7780 =
																						(BgL_arg1853z00_7768 ==
																						BgL_classz00_7747);
																				}
																			else
																				{	/* SawBbv/bbv-specialize.scm 1213 */
																					BgL_res4137z00_7780 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test4748z00_18914 = BgL_res4137z00_7780;
														}
												}
											}
										}
										if (BgL_test4748z00_18914)
											{	/* SawBbv/bbv-specialize.scm 1214 */
												BgL_rtl_callz00_bglt BgL_i1738z00_3914;

												BgL_i1738z00_3914 =
													((BgL_rtl_callz00_bglt)
													(((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt) BgL_iz00_3908)))->
														BgL_funz00));
												if ((bgl_list_length((((BgL_rtl_insz00_bglt)
																	COBJECT(((BgL_rtl_insz00_bglt)
																			BgL_iz00_3908)))->BgL_argsz00)) == 2L))
													{	/* SawBbv/bbv-specialize.scm 1216 */
														bool_t BgL__ortest_1740z00_3916;

														{	/* SawBbv/bbv-specialize.scm 1216 */
															obj_t BgL_arg3556z00_3924;

															BgL_arg3556z00_3924 =
																((obj_t)
																(((BgL_rtl_callz00_bglt)
																		COBJECT(BgL_i1738z00_3914))->BgL_varz00));
															BgL__ortest_1740z00_3916 =
																(BgL_arg3556z00_3924 ==
																BGl_za2zc3fxza2zc3zzsaw_bbvzd2cachezd2);
														}
														if (BgL__ortest_1740z00_3916)
															{	/* SawBbv/bbv-specialize.scm 1216 */
																return BgL__ortest_1740z00_3916;
															}
														else
															{	/* SawBbv/bbv-specialize.scm 1216 */
																bool_t BgL__ortest_1741z00_3917;

																{	/* SawBbv/bbv-specialize.scm 1216 */
																	obj_t BgL_arg3555z00_3923;

																	BgL_arg3555z00_3923 =
																		((obj_t)
																		(((BgL_rtl_callz00_bglt)
																				COBJECT(BgL_i1738z00_3914))->
																			BgL_varz00));
																	BgL__ortest_1741z00_3917 =
																		(BgL_arg3555z00_3923 ==
																		BGl_za2zc3zd3fxza2z10zzsaw_bbvzd2cachezd2);
																}
																if (BgL__ortest_1741z00_3917)
																	{	/* SawBbv/bbv-specialize.scm 1216 */
																		return BgL__ortest_1741z00_3917;
																	}
																else
																	{	/* SawBbv/bbv-specialize.scm 1217 */
																		bool_t BgL__ortest_1742z00_3918;

																		{	/* SawBbv/bbv-specialize.scm 1217 */
																			obj_t BgL_arg3554z00_3922;

																			BgL_arg3554z00_3922 =
																				((obj_t)
																				(((BgL_rtl_callz00_bglt)
																						COBJECT(BgL_i1738z00_3914))->
																					BgL_varz00));
																			BgL__ortest_1742z00_3918 =
																				(BgL_arg3554z00_3922 ==
																				BGl_za2ze3fxza2ze3zzsaw_bbvzd2cachezd2);
																		}
																		if (BgL__ortest_1742z00_3918)
																			{	/* SawBbv/bbv-specialize.scm 1217 */
																				return BgL__ortest_1742z00_3918;
																			}
																		else
																			{	/* SawBbv/bbv-specialize.scm 1217 */
																				bool_t BgL__ortest_1743z00_3919;

																				{	/* SawBbv/bbv-specialize.scm 1217 */
																					obj_t BgL_arg3553z00_3921;

																					BgL_arg3553z00_3921 =
																						((obj_t)
																						(((BgL_rtl_callz00_bglt)
																								COBJECT(BgL_i1738z00_3914))->
																							BgL_varz00));
																					BgL__ortest_1743z00_3919 =
																						(BgL_arg3553z00_3921 ==
																						BGl_za2ze3zd3fxza2z30zzsaw_bbvzd2cachezd2);
																				}
																				if (BgL__ortest_1743z00_3919)
																					{	/* SawBbv/bbv-specialize.scm 1217 */
																						return BgL__ortest_1743z00_3919;
																					}
																				else
																					{	/* SawBbv/bbv-specialize.scm 1218 */
																						obj_t BgL_arg3552z00_3920;

																						BgL_arg3552z00_3920 =
																							((obj_t)
																							(((BgL_rtl_callz00_bglt)
																									COBJECT(BgL_i1738z00_3914))->
																								BgL_varz00));
																						return (BgL_arg3552z00_3920 ==
																							BGl_za2zd3fxza2zd3zzsaw_bbvzd2cachezd2);
																					}
																			}
																	}
															}
													}
												else
													{	/* SawBbv/bbv-specialize.scm 1215 */
														return ((bool_t) 0);
													}
											}
										else
											{	/* SawBbv/bbv-specialize.scm 1213 */
												return ((bool_t) 0);
											}
									}
								else
									{	/* SawBbv/bbv-specialize.scm 1211 */
										return ((bool_t) 0);
									}
							}
						}
					else
						{	/* SawBbv/bbv-specialize.scm 1223 */
							bool_t BgL_test4757z00_18968;

							{	/* SawBbv/bbv-specialize.scm 1223 */
								BgL_rtl_funz00_bglt BgL_arg3540z00_3897;

								BgL_arg3540z00_3897 =
									(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_350))->BgL_funz00);
								{	/* SawBbv/bbv-specialize.scm 1223 */
									obj_t BgL_classz00_7816;

									BgL_classz00_7816 = BGl_rtl_ifnez00zzsaw_defsz00;
									{	/* SawBbv/bbv-specialize.scm 1223 */
										BgL_objectz00_bglt BgL_arg1858z00_7818;

										{	/* SawBbv/bbv-specialize.scm 1223 */
											obj_t BgL_tmpz00_18970;

											BgL_tmpz00_18970 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg3540z00_3897));
											BgL_arg1858z00_7818 =
												(BgL_objectz00_bglt) (BgL_tmpz00_18970);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* SawBbv/bbv-specialize.scm 1223 */
												long BgL_idxz00_7824;

												BgL_idxz00_7824 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_7818);
												BgL_test4757z00_18968 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_7824 + 3L)) == BgL_classz00_7816);
											}
										else
											{	/* SawBbv/bbv-specialize.scm 1223 */
												bool_t BgL_res4139z00_7849;

												{	/* SawBbv/bbv-specialize.scm 1223 */
													obj_t BgL_oclassz00_7832;

													{	/* SawBbv/bbv-specialize.scm 1223 */
														obj_t BgL_arg1866z00_7840;
														long BgL_arg1867z00_7841;

														BgL_arg1866z00_7840 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* SawBbv/bbv-specialize.scm 1223 */
															long BgL_arg1869z00_7842;

															BgL_arg1869z00_7842 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_7818);
															BgL_arg1867z00_7841 =
																(BgL_arg1869z00_7842 - OBJECT_TYPE);
														}
														BgL_oclassz00_7832 =
															VECTOR_REF(BgL_arg1866z00_7840,
															BgL_arg1867z00_7841);
													}
													{	/* SawBbv/bbv-specialize.scm 1223 */
														bool_t BgL__ortest_1115z00_7833;

														BgL__ortest_1115z00_7833 =
															(BgL_classz00_7816 == BgL_oclassz00_7832);
														if (BgL__ortest_1115z00_7833)
															{	/* SawBbv/bbv-specialize.scm 1223 */
																BgL_res4139z00_7849 = BgL__ortest_1115z00_7833;
															}
														else
															{	/* SawBbv/bbv-specialize.scm 1223 */
																long BgL_odepthz00_7834;

																{	/* SawBbv/bbv-specialize.scm 1223 */
																	obj_t BgL_arg1855z00_7835;

																	BgL_arg1855z00_7835 = (BgL_oclassz00_7832);
																	BgL_odepthz00_7834 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_7835);
																}
																if ((3L < BgL_odepthz00_7834))
																	{	/* SawBbv/bbv-specialize.scm 1223 */
																		obj_t BgL_arg1853z00_7837;

																		{	/* SawBbv/bbv-specialize.scm 1223 */
																			obj_t BgL_arg1854z00_7838;

																			BgL_arg1854z00_7838 =
																				(BgL_oclassz00_7832);
																			BgL_arg1853z00_7837 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_7838, 3L);
																		}
																		BgL_res4139z00_7849 =
																			(BgL_arg1853z00_7837 ==
																			BgL_classz00_7816);
																	}
																else
																	{	/* SawBbv/bbv-specialize.scm 1223 */
																		BgL_res4139z00_7849 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test4757z00_18968 = BgL_res4139z00_7849;
											}
									}
								}
							}
							if (BgL_test4757z00_18968)
								{
									obj_t BgL_iz00_18993;

									BgL_iz00_18993 =
										CAR(
										(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_350))->
											BgL_argsz00));
									BgL_iz00_3908 = BgL_iz00_18993;
									goto BgL_zc3z04anonymousza33547ze3z87_3909;
								}
							else
								{	/* SawBbv/bbv-specialize.scm 1223 */
									return ((bool_t) 0);
								}
						}
				}
			}
		}

	}



/* reg~0 */
	obj_t BGl_regze70ze7zzsaw_bbvzd2specializa7ez75(obj_t BgL_az00_4005)
	{
		{	/* SawBbv/bbv-specialize.scm 1249 */
			{	/* SawBbv/bbv-specialize.scm 1240 */
				bool_t BgL_test4761z00_18996;

				{	/* SawBbv/bbv-specialize.scm 1240 */
					obj_t BgL_classz00_7865;

					BgL_classz00_7865 = BGl_rtl_regz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_az00_4005))
						{	/* SawBbv/bbv-specialize.scm 1240 */
							BgL_objectz00_bglt BgL_arg1858z00_7867;

							BgL_arg1858z00_7867 = (BgL_objectz00_bglt) (BgL_az00_4005);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawBbv/bbv-specialize.scm 1240 */
									long BgL_idxz00_7873;

									BgL_idxz00_7873 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_7867);
									BgL_test4761z00_18996 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_7873 + 1L)) == BgL_classz00_7865);
								}
							else
								{	/* SawBbv/bbv-specialize.scm 1240 */
									bool_t BgL_res4140z00_7898;

									{	/* SawBbv/bbv-specialize.scm 1240 */
										obj_t BgL_oclassz00_7881;

										{	/* SawBbv/bbv-specialize.scm 1240 */
											obj_t BgL_arg1866z00_7889;
											long BgL_arg1867z00_7890;

											BgL_arg1866z00_7889 = (BGl_za2classesza2z00zz__objectz00);
											{	/* SawBbv/bbv-specialize.scm 1240 */
												long BgL_arg1869z00_7891;

												BgL_arg1869z00_7891 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_7867);
												BgL_arg1867z00_7890 =
													(BgL_arg1869z00_7891 - OBJECT_TYPE);
											}
											BgL_oclassz00_7881 =
												VECTOR_REF(BgL_arg1866z00_7889, BgL_arg1867z00_7890);
										}
										{	/* SawBbv/bbv-specialize.scm 1240 */
											bool_t BgL__ortest_1115z00_7882;

											BgL__ortest_1115z00_7882 =
												(BgL_classz00_7865 == BgL_oclassz00_7881);
											if (BgL__ortest_1115z00_7882)
												{	/* SawBbv/bbv-specialize.scm 1240 */
													BgL_res4140z00_7898 = BgL__ortest_1115z00_7882;
												}
											else
												{	/* SawBbv/bbv-specialize.scm 1240 */
													long BgL_odepthz00_7883;

													{	/* SawBbv/bbv-specialize.scm 1240 */
														obj_t BgL_arg1855z00_7884;

														BgL_arg1855z00_7884 = (BgL_oclassz00_7881);
														BgL_odepthz00_7883 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_7884);
													}
													if ((1L < BgL_odepthz00_7883))
														{	/* SawBbv/bbv-specialize.scm 1240 */
															obj_t BgL_arg1853z00_7886;

															{	/* SawBbv/bbv-specialize.scm 1240 */
																obj_t BgL_arg1854z00_7887;

																BgL_arg1854z00_7887 = (BgL_oclassz00_7881);
																BgL_arg1853z00_7886 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_7887,
																	1L);
															}
															BgL_res4140z00_7898 =
																(BgL_arg1853z00_7886 == BgL_classz00_7865);
														}
													else
														{	/* SawBbv/bbv-specialize.scm 1240 */
															BgL_res4140z00_7898 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test4761z00_18996 = BgL_res4140z00_7898;
								}
						}
					else
						{	/* SawBbv/bbv-specialize.scm 1240 */
							BgL_test4761z00_18996 = ((bool_t) 0);
						}
				}
				if (BgL_test4761z00_18996)
					{	/* SawBbv/bbv-specialize.scm 1240 */
						return BgL_az00_4005;
					}
				else
					{	/* SawBbv/bbv-specialize.scm 1242 */
						bool_t BgL_test4766z00_19019;

						{	/* SawBbv/bbv-specialize.scm 1242 */
							obj_t BgL_classz00_7899;

							BgL_classz00_7899 = BGl_rtl_insz00zzsaw_defsz00;
							if (BGL_OBJECTP(BgL_az00_4005))
								{	/* SawBbv/bbv-specialize.scm 1242 */
									BgL_objectz00_bglt BgL_arg1858z00_7901;

									BgL_arg1858z00_7901 = (BgL_objectz00_bglt) (BgL_az00_4005);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawBbv/bbv-specialize.scm 1242 */
											long BgL_idxz00_7907;

											BgL_idxz00_7907 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_7901);
											BgL_test4766z00_19019 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_7907 + 1L)) == BgL_classz00_7899);
										}
									else
										{	/* SawBbv/bbv-specialize.scm 1242 */
											bool_t BgL_res4141z00_7932;

											{	/* SawBbv/bbv-specialize.scm 1242 */
												obj_t BgL_oclassz00_7915;

												{	/* SawBbv/bbv-specialize.scm 1242 */
													obj_t BgL_arg1866z00_7923;
													long BgL_arg1867z00_7924;

													BgL_arg1866z00_7923 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* SawBbv/bbv-specialize.scm 1242 */
														long BgL_arg1869z00_7925;

														BgL_arg1869z00_7925 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_7901);
														BgL_arg1867z00_7924 =
															(BgL_arg1869z00_7925 - OBJECT_TYPE);
													}
													BgL_oclassz00_7915 =
														VECTOR_REF(BgL_arg1866z00_7923,
														BgL_arg1867z00_7924);
												}
												{	/* SawBbv/bbv-specialize.scm 1242 */
													bool_t BgL__ortest_1115z00_7916;

													BgL__ortest_1115z00_7916 =
														(BgL_classz00_7899 == BgL_oclassz00_7915);
													if (BgL__ortest_1115z00_7916)
														{	/* SawBbv/bbv-specialize.scm 1242 */
															BgL_res4141z00_7932 = BgL__ortest_1115z00_7916;
														}
													else
														{	/* SawBbv/bbv-specialize.scm 1242 */
															long BgL_odepthz00_7917;

															{	/* SawBbv/bbv-specialize.scm 1242 */
																obj_t BgL_arg1855z00_7918;

																BgL_arg1855z00_7918 = (BgL_oclassz00_7915);
																BgL_odepthz00_7917 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_7918);
															}
															if ((1L < BgL_odepthz00_7917))
																{	/* SawBbv/bbv-specialize.scm 1242 */
																	obj_t BgL_arg1853z00_7920;

																	{	/* SawBbv/bbv-specialize.scm 1242 */
																		obj_t BgL_arg1854z00_7921;

																		BgL_arg1854z00_7921 = (BgL_oclassz00_7915);
																		BgL_arg1853z00_7920 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_7921, 1L);
																	}
																	BgL_res4141z00_7932 =
																		(BgL_arg1853z00_7920 == BgL_classz00_7899);
																}
															else
																{	/* SawBbv/bbv-specialize.scm 1242 */
																	BgL_res4141z00_7932 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test4766z00_19019 = BgL_res4141z00_7932;
										}
								}
							else
								{	/* SawBbv/bbv-specialize.scm 1242 */
									BgL_test4766z00_19019 = ((bool_t) 0);
								}
						}
						if (BgL_test4766z00_19019)
							{	/* SawBbv/bbv-specialize.scm 1244 */
								bool_t BgL_test4771z00_19042;

								{	/* SawBbv/bbv-specialize.scm 1244 */
									BgL_rtl_funz00_bglt BgL_arg3612z00_4030;

									BgL_arg3612z00_4030 =
										(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_az00_4005)))->BgL_funz00);
									{	/* SawBbv/bbv-specialize.scm 1244 */
										obj_t BgL_classz00_7933;

										BgL_classz00_7933 = BGl_rtl_callz00zzsaw_defsz00;
										{	/* SawBbv/bbv-specialize.scm 1244 */
											BgL_objectz00_bglt BgL_arg1858z00_7935;

											{	/* SawBbv/bbv-specialize.scm 1244 */
												obj_t BgL_tmpz00_19045;

												BgL_tmpz00_19045 =
													((obj_t) ((BgL_objectz00_bglt) BgL_arg3612z00_4030));
												BgL_arg1858z00_7935 =
													(BgL_objectz00_bglt) (BgL_tmpz00_19045);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* SawBbv/bbv-specialize.scm 1244 */
													long BgL_idxz00_7941;

													BgL_idxz00_7941 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_7935);
													BgL_test4771z00_19042 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_7941 + 2L)) == BgL_classz00_7933);
												}
											else
												{	/* SawBbv/bbv-specialize.scm 1244 */
													bool_t BgL_res4142z00_7966;

													{	/* SawBbv/bbv-specialize.scm 1244 */
														obj_t BgL_oclassz00_7949;

														{	/* SawBbv/bbv-specialize.scm 1244 */
															obj_t BgL_arg1866z00_7957;
															long BgL_arg1867z00_7958;

															BgL_arg1866z00_7957 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* SawBbv/bbv-specialize.scm 1244 */
																long BgL_arg1869z00_7959;

																BgL_arg1869z00_7959 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_7935);
																BgL_arg1867z00_7958 =
																	(BgL_arg1869z00_7959 - OBJECT_TYPE);
															}
															BgL_oclassz00_7949 =
																VECTOR_REF(BgL_arg1866z00_7957,
																BgL_arg1867z00_7958);
														}
														{	/* SawBbv/bbv-specialize.scm 1244 */
															bool_t BgL__ortest_1115z00_7950;

															BgL__ortest_1115z00_7950 =
																(BgL_classz00_7933 == BgL_oclassz00_7949);
															if (BgL__ortest_1115z00_7950)
																{	/* SawBbv/bbv-specialize.scm 1244 */
																	BgL_res4142z00_7966 =
																		BgL__ortest_1115z00_7950;
																}
															else
																{	/* SawBbv/bbv-specialize.scm 1244 */
																	long BgL_odepthz00_7951;

																	{	/* SawBbv/bbv-specialize.scm 1244 */
																		obj_t BgL_arg1855z00_7952;

																		BgL_arg1855z00_7952 = (BgL_oclassz00_7949);
																		BgL_odepthz00_7951 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_7952);
																	}
																	if ((2L < BgL_odepthz00_7951))
																		{	/* SawBbv/bbv-specialize.scm 1244 */
																			obj_t BgL_arg1853z00_7954;

																			{	/* SawBbv/bbv-specialize.scm 1244 */
																				obj_t BgL_arg1854z00_7955;

																				BgL_arg1854z00_7955 =
																					(BgL_oclassz00_7949);
																				BgL_arg1853z00_7954 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_7955, 2L);
																			}
																			BgL_res4142z00_7966 =
																				(BgL_arg1853z00_7954 ==
																				BgL_classz00_7933);
																		}
																	else
																		{	/* SawBbv/bbv-specialize.scm 1244 */
																			BgL_res4142z00_7966 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test4771z00_19042 = BgL_res4142z00_7966;
												}
										}
									}
								}
								if (BgL_test4771z00_19042)
									{	/* SawBbv/bbv-specialize.scm 1245 */
										BgL_rtl_callz00_bglt BgL_i1755z00_4012;

										BgL_i1755z00_4012 =
											((BgL_rtl_callz00_bglt)
											(((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_az00_4005)))->
												BgL_funz00));
										{	/* SawBbv/bbv-specialize.scm 1246 */
											bool_t BgL_test4775z00_19071;

											{	/* SawBbv/bbv-specialize.scm 1246 */
												bool_t BgL_test4776z00_19072;

												{	/* SawBbv/bbv-specialize.scm 1246 */
													obj_t BgL_arg3611z00_4029;

													BgL_arg3611z00_4029 =
														((obj_t)
														(((BgL_rtl_callz00_bglt)
																COBJECT(BgL_i1755z00_4012))->BgL_varz00));
													BgL_test4776z00_19072 =
														(BgL_arg3611z00_4029 ==
														BGl_za2bintzd2ze3longza2z31zzsaw_bbvzd2cachezd2);
												}
												if (BgL_test4776z00_19072)
													{	/* SawBbv/bbv-specialize.scm 1246 */
														BgL_test4775z00_19071 = ((bool_t) 1);
													}
												else
													{	/* SawBbv/bbv-specialize.scm 1247 */
														obj_t BgL_arg3610z00_4028;

														BgL_arg3610z00_4028 =
															((obj_t)
															(((BgL_rtl_callz00_bglt)
																	COBJECT(BgL_i1755z00_4012))->BgL_varz00));
														BgL_test4775z00_19071 =
															(BgL_arg3610z00_4028 ==
															BGl_za2intzd2ze3longza2z31zzsaw_bbvzd2cachezd2);
													}
											}
											if (BgL_test4775z00_19071)
												{	/* SawBbv/bbv-specialize.scm 1248 */
													bool_t BgL_test4777z00_19079;

													{	/* SawBbv/bbv-specialize.scm 1248 */
														obj_t BgL_arg3604z00_4022;

														{	/* SawBbv/bbv-specialize.scm 1248 */
															obj_t BgL_pairz00_7967;

															BgL_pairz00_7967 =
																(((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt) BgL_az00_4005)))->
																BgL_argsz00);
															BgL_arg3604z00_4022 = CAR(BgL_pairz00_7967);
														}
														{	/* SawBbv/bbv-specialize.scm 1248 */
															obj_t BgL_classz00_7968;

															BgL_classz00_7968 = BGl_rtl_regz00zzsaw_defsz00;
															if (BGL_OBJECTP(BgL_arg3604z00_4022))
																{	/* SawBbv/bbv-specialize.scm 1248 */
																	BgL_objectz00_bglt BgL_arg1858z00_7970;

																	BgL_arg1858z00_7970 =
																		(BgL_objectz00_bglt) (BgL_arg3604z00_4022);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* SawBbv/bbv-specialize.scm 1248 */
																			long BgL_idxz00_7976;

																			BgL_idxz00_7976 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1858z00_7970);
																			BgL_test4777z00_19079 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_7976 + 1L)) ==
																				BgL_classz00_7968);
																		}
																	else
																		{	/* SawBbv/bbv-specialize.scm 1248 */
																			bool_t BgL_res4143z00_8001;

																			{	/* SawBbv/bbv-specialize.scm 1248 */
																				obj_t BgL_oclassz00_7984;

																				{	/* SawBbv/bbv-specialize.scm 1248 */
																					obj_t BgL_arg1866z00_7992;
																					long BgL_arg1867z00_7993;

																					BgL_arg1866z00_7992 =
																						(BGl_za2classesza2z00zz__objectz00);
																					{	/* SawBbv/bbv-specialize.scm 1248 */
																						long BgL_arg1869z00_7994;

																						BgL_arg1869z00_7994 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1858z00_7970);
																						BgL_arg1867z00_7993 =
																							(BgL_arg1869z00_7994 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_7984 =
																						VECTOR_REF(BgL_arg1866z00_7992,
																						BgL_arg1867z00_7993);
																				}
																				{	/* SawBbv/bbv-specialize.scm 1248 */
																					bool_t BgL__ortest_1115z00_7985;

																					BgL__ortest_1115z00_7985 =
																						(BgL_classz00_7968 ==
																						BgL_oclassz00_7984);
																					if (BgL__ortest_1115z00_7985)
																						{	/* SawBbv/bbv-specialize.scm 1248 */
																							BgL_res4143z00_8001 =
																								BgL__ortest_1115z00_7985;
																						}
																					else
																						{	/* SawBbv/bbv-specialize.scm 1248 */
																							long BgL_odepthz00_7986;

																							{	/* SawBbv/bbv-specialize.scm 1248 */
																								obj_t BgL_arg1855z00_7987;

																								BgL_arg1855z00_7987 =
																									(BgL_oclassz00_7984);
																								BgL_odepthz00_7986 =
																									BGL_CLASS_DEPTH
																									(BgL_arg1855z00_7987);
																							}
																							if ((1L < BgL_odepthz00_7986))
																								{	/* SawBbv/bbv-specialize.scm 1248 */
																									obj_t BgL_arg1853z00_7989;

																									{	/* SawBbv/bbv-specialize.scm 1248 */
																										obj_t BgL_arg1854z00_7990;

																										BgL_arg1854z00_7990 =
																											(BgL_oclassz00_7984);
																										BgL_arg1853z00_7989 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_arg1854z00_7990, 1L);
																									}
																									BgL_res4143z00_8001 =
																										(BgL_arg1853z00_7989 ==
																										BgL_classz00_7968);
																								}
																							else
																								{	/* SawBbv/bbv-specialize.scm 1248 */
																									BgL_res4143z00_8001 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test4777z00_19079 =
																				BgL_res4143z00_8001;
																		}
																}
															else
																{	/* SawBbv/bbv-specialize.scm 1248 */
																	BgL_test4777z00_19079 = ((bool_t) 0);
																}
														}
													}
													if (BgL_test4777z00_19079)
														{	/* SawBbv/bbv-specialize.scm 1248 */
															obj_t BgL_pairz00_8002;

															BgL_pairz00_8002 =
																(((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt) BgL_az00_4005)))->
																BgL_argsz00);
															return CAR(BgL_pairz00_8002);
														}
													else
														{	/* SawBbv/bbv-specialize.scm 1248 */
															return BFALSE;
														}
												}
											else
												{	/* SawBbv/bbv-specialize.scm 1249 */
													bool_t BgL_test4782z00_19108;

													{	/* SawBbv/bbv-specialize.scm 1249 */
														obj_t BgL_arg3608z00_4026;

														BgL_arg3608z00_4026 =
															(((BgL_rtl_insz00_bglt) COBJECT(
																	((BgL_rtl_insz00_bglt) BgL_az00_4005)))->
															BgL_destz00);
														{	/* SawBbv/bbv-specialize.scm 1249 */
															obj_t BgL_classz00_8003;

															BgL_classz00_8003 = BGl_rtl_regz00zzsaw_defsz00;
															if (BGL_OBJECTP(BgL_arg3608z00_4026))
																{	/* SawBbv/bbv-specialize.scm 1249 */
																	BgL_objectz00_bglt BgL_arg1858z00_8005;

																	BgL_arg1858z00_8005 =
																		(BgL_objectz00_bglt) (BgL_arg3608z00_4026);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* SawBbv/bbv-specialize.scm 1249 */
																			long BgL_idxz00_8011;

																			BgL_idxz00_8011 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1858z00_8005);
																			BgL_test4782z00_19108 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_8011 + 1L)) ==
																				BgL_classz00_8003);
																		}
																	else
																		{	/* SawBbv/bbv-specialize.scm 1249 */
																			bool_t BgL_res4144z00_8036;

																			{	/* SawBbv/bbv-specialize.scm 1249 */
																				obj_t BgL_oclassz00_8019;

																				{	/* SawBbv/bbv-specialize.scm 1249 */
																					obj_t BgL_arg1866z00_8027;
																					long BgL_arg1867z00_8028;

																					BgL_arg1866z00_8027 =
																						(BGl_za2classesza2z00zz__objectz00);
																					{	/* SawBbv/bbv-specialize.scm 1249 */
																						long BgL_arg1869z00_8029;

																						BgL_arg1869z00_8029 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1858z00_8005);
																						BgL_arg1867z00_8028 =
																							(BgL_arg1869z00_8029 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_8019 =
																						VECTOR_REF(BgL_arg1866z00_8027,
																						BgL_arg1867z00_8028);
																				}
																				{	/* SawBbv/bbv-specialize.scm 1249 */
																					bool_t BgL__ortest_1115z00_8020;

																					BgL__ortest_1115z00_8020 =
																						(BgL_classz00_8003 ==
																						BgL_oclassz00_8019);
																					if (BgL__ortest_1115z00_8020)
																						{	/* SawBbv/bbv-specialize.scm 1249 */
																							BgL_res4144z00_8036 =
																								BgL__ortest_1115z00_8020;
																						}
																					else
																						{	/* SawBbv/bbv-specialize.scm 1249 */
																							long BgL_odepthz00_8021;

																							{	/* SawBbv/bbv-specialize.scm 1249 */
																								obj_t BgL_arg1855z00_8022;

																								BgL_arg1855z00_8022 =
																									(BgL_oclassz00_8019);
																								BgL_odepthz00_8021 =
																									BGL_CLASS_DEPTH
																									(BgL_arg1855z00_8022);
																							}
																							if ((1L < BgL_odepthz00_8021))
																								{	/* SawBbv/bbv-specialize.scm 1249 */
																									obj_t BgL_arg1853z00_8024;

																									{	/* SawBbv/bbv-specialize.scm 1249 */
																										obj_t BgL_arg1854z00_8025;

																										BgL_arg1854z00_8025 =
																											(BgL_oclassz00_8019);
																										BgL_arg1853z00_8024 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_arg1854z00_8025, 1L);
																									}
																									BgL_res4144z00_8036 =
																										(BgL_arg1853z00_8024 ==
																										BgL_classz00_8003);
																								}
																							else
																								{	/* SawBbv/bbv-specialize.scm 1249 */
																									BgL_res4144z00_8036 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test4782z00_19108 =
																				BgL_res4144z00_8036;
																		}
																}
															else
																{	/* SawBbv/bbv-specialize.scm 1249 */
																	BgL_test4782z00_19108 = ((bool_t) 0);
																}
														}
													}
													if (BgL_test4782z00_19108)
														{	/* SawBbv/bbv-specialize.scm 1249 */
															return
																(((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt) BgL_az00_4005)))->
																BgL_destz00);
														}
													else
														{	/* SawBbv/bbv-specialize.scm 1249 */
															return BFALSE;
														}
												}
										}
									}
								else
									{	/* SawBbv/bbv-specialize.scm 1244 */
										return BFALSE;
									}
							}
						else
							{	/* SawBbv/bbv-specialize.scm 1242 */
								return BFALSE;
							}
					}
			}
		}

	}



/* commute-op~0 */
	obj_t BGl_commutezd2opze70z35zzsaw_bbvzd2specializa7ez75(obj_t BgL_opz00_4052)
	{
		{	/* SawBbv/bbv-specialize.scm 1271 */
			if ((BgL_opz00_4052 == ((obj_t) CNST_TABLE_REF(5))))
				{	/* SawBbv/bbv-specialize.scm 1265 */
					return ((obj_t) CNST_TABLE_REF(6));
				}
			else
				{	/* SawBbv/bbv-specialize.scm 1265 */
					if ((BgL_opz00_4052 == ((obj_t) CNST_TABLE_REF(7))))
						{	/* SawBbv/bbv-specialize.scm 1265 */
							return ((obj_t) CNST_TABLE_REF(8));
						}
					else
						{	/* SawBbv/bbv-specialize.scm 1265 */
							if ((BgL_opz00_4052 == ((obj_t) CNST_TABLE_REF(6))))
								{	/* SawBbv/bbv-specialize.scm 1265 */
									return ((obj_t) CNST_TABLE_REF(5));
								}
							else
								{	/* SawBbv/bbv-specialize.scm 1265 */
									if ((BgL_opz00_4052 == ((obj_t) CNST_TABLE_REF(8))))
										{	/* SawBbv/bbv-specialize.scm 1265 */
											return ((obj_t) CNST_TABLE_REF(7));
										}
									else
										{	/* SawBbv/bbv-specialize.scm 1265 */
											if ((BgL_opz00_4052 == ((obj_t) CNST_TABLE_REF(9))))
												{	/* SawBbv/bbv-specialize.scm 1265 */
													return ((obj_t) CNST_TABLE_REF(9));
												}
											else
												{	/* SawBbv/bbv-specialize.scm 1265 */
													return BgL_opz00_4052;
												}
										}
								}
						}
				}
		}

	}



/* narrowing~0 */
	BgL_bbvzd2ctxzd2_bglt
		BGl_narrowingze70ze7zzsaw_bbvzd2specializa7ez75(BgL_rtl_regz00_bglt
		BgL_regz00_4094, BgL_bbvzd2rangezd2_bglt BgL_intrz00_4095,
		BgL_bbvzd2rangezd2_bglt BgL_intez00_4096, obj_t BgL_opz00_4097,
		BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_4098)
	{
		{	/* SawBbv/bbv-specialize.scm 1309 */
			{
				BgL_rtl_regz00_bglt BgL_regz00_4071;
				BgL_bbvzd2rangezd2_bglt BgL_intrz00_4072;
				BgL_bbvzd2rangezd2_bglt BgL_intez00_4073;
				obj_t BgL_opzb2zb2_4074;
				obj_t BgL_opzd2zd2_4075;
				BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_4076;

				if ((BgL_opz00_4097 == ((obj_t) CNST_TABLE_REF(5))))
					{	/* SawBbv/bbv-specialize.scm 1295 */
						BgL_regz00_4071 = BgL_regz00_4094;
						BgL_intrz00_4072 = BgL_intrz00_4095;
						BgL_intez00_4073 = BgL_intez00_4096;
						BgL_opzb2zb2_4074 =
							BGl_bbvzd2rangezd2ltzd2envzd2zzsaw_bbvzd2rangezd2;
						BgL_opzd2zd2_4075 =
							BGl_bbvzd2rangezd2gtezd2envzd2zzsaw_bbvzd2rangezd2;
						BgL_ctxz00_4076 = BgL_ctxz00_4098;
					BgL_zc3z04anonymousza33642ze3z87_4077:
						{	/* SawBbv/bbv-specialize.scm 1283 */
							obj_t BgL_intezb2zb2_4078;

							BgL_intezb2zb2_4078 =
								BGL_PROCEDURE_CALL2(BgL_opzb2zb2_4074,
								((obj_t) BgL_intrz00_4072), ((obj_t) BgL_intez00_4073));
							{	/* SawBbv/bbv-specialize.scm 1283 */
								obj_t BgL_intezd2zd2_4079;

								BgL_intezd2zd2_4079 =
									BGL_PROCEDURE_CALL2(BgL_opzd2zd2_4075,
									((obj_t) BgL_intrz00_4072), ((obj_t) BgL_intez00_4073));
								{	/* SawBbv/bbv-specialize.scm 1284 */
									BgL_bbvzd2ctxzd2_bglt BgL_ctxzb2zb2_4080;

									{	/* SawBbv/bbv-specialize.scm 1285 */
										obj_t BgL_arg3645z00_4089;

										{	/* SawBbv/bbv-specialize.scm 1285 */
											obj_t BgL_list3646z00_4093;

											BgL_list3646z00_4093 =
												MAKE_YOUNG_PAIR(BGl_za2bintza2z00zztype_cachez00, BNIL);
											BgL_arg3645z00_4089 = BgL_list3646z00_4093;
										}
										BgL_ctxzb2zb2_4080 =
											BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2(BgL_ctxz00_4076,
											BgL_regz00_4071, BgL_arg3645z00_4089, ((bool_t) 1),
											BFALSE, BINT(1L), BgL_intezb2zb2_4078);
									}
									{	/* SawBbv/bbv-specialize.scm 1285 */
										BgL_bbvzd2ctxzd2_bglt BgL_ctxzd2zd2_4081;

										{	/* SawBbv/bbv-specialize.scm 1286 */
											obj_t BgL_arg3643z00_4084;

											{	/* SawBbv/bbv-specialize.scm 1286 */
												obj_t BgL_list3644z00_4088;

												BgL_list3644z00_4088 =
													MAKE_YOUNG_PAIR(BGl_za2bintza2z00zztype_cachez00,
													BNIL);
												BgL_arg3643z00_4084 = BgL_list3644z00_4088;
											}
											BgL_ctxzd2zd2_4081 =
												BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2(BgL_ctxz00_4076,
												BgL_regz00_4071, BgL_arg3643z00_4084, ((bool_t) 1),
												BFALSE, BINT(1L), BgL_intezd2zd2_4079);
										}
										{	/* SawBbv/bbv-specialize.scm 1286 */

											{	/* SawBbv/bbv-specialize.scm 1287 */
												int BgL_tmpz00_19189;

												BgL_tmpz00_19189 = (int) (2L);
												BGL_MVALUES_NUMBER_SET(BgL_tmpz00_19189);
											}
											{	/* SawBbv/bbv-specialize.scm 1287 */
												obj_t BgL_auxz00_19194;
												int BgL_tmpz00_19192;

												BgL_auxz00_19194 = ((obj_t) BgL_ctxzd2zd2_4081);
												BgL_tmpz00_19192 = (int) (1L);
												BGL_MVALUES_VAL_SET(BgL_tmpz00_19192, BgL_auxz00_19194);
											}
											return BgL_ctxzb2zb2_4080;
										}
									}
								}
							}
						}
					}
				else
					{	/* SawBbv/bbv-specialize.scm 1295 */
						if ((BgL_opz00_4097 == ((obj_t) CNST_TABLE_REF(7))))
							{
								BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_19206;
								obj_t BgL_opzd2zd2_19205;
								obj_t BgL_opzb2zb2_19204;
								BgL_bbvzd2rangezd2_bglt BgL_intez00_19203;
								BgL_bbvzd2rangezd2_bglt BgL_intrz00_19202;
								BgL_rtl_regz00_bglt BgL_regz00_19201;

								BgL_regz00_19201 = BgL_regz00_4094;
								BgL_intrz00_19202 = BgL_intrz00_4095;
								BgL_intez00_19203 = BgL_intez00_4096;
								BgL_opzb2zb2_19204 =
									BGl_bbvzd2rangezd2ltezd2envzd2zzsaw_bbvzd2rangezd2;
								BgL_opzd2zd2_19205 =
									BGl_bbvzd2rangezd2gtzd2envzd2zzsaw_bbvzd2rangezd2;
								BgL_ctxz00_19206 = BgL_ctxz00_4098;
								BgL_ctxz00_4076 = BgL_ctxz00_19206;
								BgL_opzd2zd2_4075 = BgL_opzd2zd2_19205;
								BgL_opzb2zb2_4074 = BgL_opzb2zb2_19204;
								BgL_intez00_4073 = BgL_intez00_19203;
								BgL_intrz00_4072 = BgL_intrz00_19202;
								BgL_regz00_4071 = BgL_regz00_19201;
								goto BgL_zc3z04anonymousza33642ze3z87_4077;
							}
						else
							{	/* SawBbv/bbv-specialize.scm 1295 */
								if ((BgL_opz00_4097 == ((obj_t) CNST_TABLE_REF(6))))
									{
										BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_19216;
										obj_t BgL_opzd2zd2_19215;
										obj_t BgL_opzb2zb2_19214;
										BgL_bbvzd2rangezd2_bglt BgL_intez00_19213;
										BgL_bbvzd2rangezd2_bglt BgL_intrz00_19212;
										BgL_rtl_regz00_bglt BgL_regz00_19211;

										BgL_regz00_19211 = BgL_regz00_4094;
										BgL_intrz00_19212 = BgL_intrz00_4095;
										BgL_intez00_19213 = BgL_intez00_4096;
										BgL_opzb2zb2_19214 =
											BGl_bbvzd2rangezd2gtzd2envzd2zzsaw_bbvzd2rangezd2;
										BgL_opzd2zd2_19215 =
											BGl_bbvzd2rangezd2ltezd2envzd2zzsaw_bbvzd2rangezd2;
										BgL_ctxz00_19216 = BgL_ctxz00_4098;
										BgL_ctxz00_4076 = BgL_ctxz00_19216;
										BgL_opzd2zd2_4075 = BgL_opzd2zd2_19215;
										BgL_opzb2zb2_4074 = BgL_opzb2zb2_19214;
										BgL_intez00_4073 = BgL_intez00_19213;
										BgL_intrz00_4072 = BgL_intrz00_19212;
										BgL_regz00_4071 = BgL_regz00_19211;
										goto BgL_zc3z04anonymousza33642ze3z87_4077;
									}
								else
									{	/* SawBbv/bbv-specialize.scm 1295 */
										if ((BgL_opz00_4097 == ((obj_t) CNST_TABLE_REF(8))))
											{
												BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_19226;
												obj_t BgL_opzd2zd2_19225;
												obj_t BgL_opzb2zb2_19224;
												BgL_bbvzd2rangezd2_bglt BgL_intez00_19223;
												BgL_bbvzd2rangezd2_bglt BgL_intrz00_19222;
												BgL_rtl_regz00_bglt BgL_regz00_19221;

												BgL_regz00_19221 = BgL_regz00_4094;
												BgL_intrz00_19222 = BgL_intrz00_4095;
												BgL_intez00_19223 = BgL_intez00_4096;
												BgL_opzb2zb2_19224 =
													BGl_bbvzd2rangezd2gtezd2envzd2zzsaw_bbvzd2rangezd2;
												BgL_opzd2zd2_19225 =
													BGl_bbvzd2rangezd2ltzd2envzd2zzsaw_bbvzd2rangezd2;
												BgL_ctxz00_19226 = BgL_ctxz00_4098;
												BgL_ctxz00_4076 = BgL_ctxz00_19226;
												BgL_opzd2zd2_4075 = BgL_opzd2zd2_19225;
												BgL_opzb2zb2_4074 = BgL_opzb2zb2_19224;
												BgL_intez00_4073 = BgL_intez00_19223;
												BgL_intrz00_4072 = BgL_intrz00_19222;
												BgL_regz00_4071 = BgL_regz00_19221;
												goto BgL_zc3z04anonymousza33642ze3z87_4077;
											}
										else
											{	/* SawBbv/bbv-specialize.scm 1295 */
												if ((BgL_opz00_4097 == ((obj_t) CNST_TABLE_REF(9))))
													{
														BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_19236;
														obj_t BgL_opzd2zd2_19235;
														obj_t BgL_opzb2zb2_19234;
														BgL_bbvzd2rangezd2_bglt BgL_intez00_19233;
														BgL_bbvzd2rangezd2_bglt BgL_intrz00_19232;
														BgL_rtl_regz00_bglt BgL_regz00_19231;

														BgL_regz00_19231 = BgL_regz00_4094;
														BgL_intrz00_19232 = BgL_intrz00_4095;
														BgL_intez00_19233 = BgL_intez00_4096;
														BgL_opzb2zb2_19234 =
															BGl_bbvzd2rangezd2eqzd2envzd2zzsaw_bbvzd2rangezd2;
														BgL_opzd2zd2_19235 =
															BGl_bbvzd2rangezd2neqzd2envzd2zzsaw_bbvzd2rangezd2;
														BgL_ctxz00_19236 = BgL_ctxz00_4098;
														BgL_ctxz00_4076 = BgL_ctxz00_19236;
														BgL_opzd2zd2_4075 = BgL_opzd2zd2_19235;
														BgL_opzb2zb2_4074 = BgL_opzb2zb2_19234;
														BgL_intez00_4073 = BgL_intez00_19233;
														BgL_intrz00_4072 = BgL_intrz00_19232;
														BgL_regz00_4071 = BgL_regz00_19231;
														goto BgL_zc3z04anonymousza33642ze3z87_4077;
													}
												else
													{	/* SawBbv/bbv-specialize.scm 1295 */
														if (
															(BgL_opz00_4097 == ((obj_t) CNST_TABLE_REF(10))))
															{
																BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_19246;
																obj_t BgL_opzd2zd2_19245;
																obj_t BgL_opzb2zb2_19244;
																BgL_bbvzd2rangezd2_bglt BgL_intez00_19243;
																BgL_bbvzd2rangezd2_bglt BgL_intrz00_19242;
																BgL_rtl_regz00_bglt BgL_regz00_19241;

																BgL_regz00_19241 = BgL_regz00_4094;
																BgL_intrz00_19242 = BgL_intrz00_4095;
																BgL_intez00_19243 = BgL_intez00_4096;
																BgL_opzb2zb2_19244 =
																	BGl_bbvzd2rangezd2neqzd2envzd2zzsaw_bbvzd2rangezd2;
																BgL_opzd2zd2_19245 =
																	BGl_bbvzd2rangezd2eqzd2envzd2zzsaw_bbvzd2rangezd2;
																BgL_ctxz00_19246 = BgL_ctxz00_4098;
																BgL_ctxz00_4076 = BgL_ctxz00_19246;
																BgL_opzd2zd2_4075 = BgL_opzd2zd2_19245;
																BgL_opzb2zb2_4074 = BgL_opzb2zb2_19244;
																BgL_intez00_4073 = BgL_intez00_19243;
																BgL_intrz00_4072 = BgL_intrz00_19242;
																BgL_regz00_4071 = BgL_regz00_19241;
																goto BgL_zc3z04anonymousza33642ze3z87_4077;
															}
														else
															{	/* SawBbv/bbv-specialize.scm 1295 */
																{	/* SawBbv/bbv-specialize.scm 1309 */
																	int BgL_tmpz00_19247;

																	BgL_tmpz00_19247 = (int) (2L);
																	BGL_MVALUES_NUMBER_SET(BgL_tmpz00_19247);
																}
																{	/* SawBbv/bbv-specialize.scm 1309 */
																	obj_t BgL_auxz00_19252;
																	int BgL_tmpz00_19250;

																	BgL_auxz00_19252 = ((obj_t) BgL_ctxz00_4098);
																	BgL_tmpz00_19250 = (int) (1L);
																	BGL_MVALUES_VAL_SET(BgL_tmpz00_19250,
																		BgL_auxz00_19252);
																}
																return BgL_ctxz00_4098;
															}
													}
											}
									}
							}
					}
			}
		}

	}



/* specialize/op~0 */
	obj_t BGl_specializa7ezf2opze70zb2zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_opz00_4109, obj_t BgL_lhsz00_4110, obj_t BgL_rhsz00_4111,
		BgL_bbvzd2rangezd2_bglt BgL_intlz00_4112,
		BgL_bbvzd2rangezd2_bglt BgL_intrz00_4113,
		BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_4114)
	{
		{	/* SawBbv/bbv-specialize.scm 1348 */
		BGl_specializa7ezf2opze70zb2zzsaw_bbvzd2specializa7ez75:
			{	/* SawBbv/bbv-specialize.scm 1315 */
				bool_t BgL_test4798z00_19255;

				{	/* SawBbv/bbv-specialize.scm 1315 */
					bool_t BgL_test4799z00_19256;

					{	/* SawBbv/bbv-specialize.scm 1315 */
						obj_t BgL_classz00_8055;

						BgL_classz00_8055 = BGl_rtl_insz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_lhsz00_4110))
							{	/* SawBbv/bbv-specialize.scm 1315 */
								BgL_objectz00_bglt BgL_arg1858z00_8057;

								BgL_arg1858z00_8057 = (BgL_objectz00_bglt) (BgL_lhsz00_4110);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-specialize.scm 1315 */
										long BgL_idxz00_8063;

										BgL_idxz00_8063 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_8057);
										BgL_test4799z00_19256 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_8063 + 1L)) == BgL_classz00_8055);
									}
								else
									{	/* SawBbv/bbv-specialize.scm 1315 */
										bool_t BgL_res4147z00_8088;

										{	/* SawBbv/bbv-specialize.scm 1315 */
											obj_t BgL_oclassz00_8071;

											{	/* SawBbv/bbv-specialize.scm 1315 */
												obj_t BgL_arg1866z00_8079;
												long BgL_arg1867z00_8080;

												BgL_arg1866z00_8079 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* SawBbv/bbv-specialize.scm 1315 */
													long BgL_arg1869z00_8081;

													BgL_arg1869z00_8081 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_8057);
													BgL_arg1867z00_8080 =
														(BgL_arg1869z00_8081 - OBJECT_TYPE);
												}
												BgL_oclassz00_8071 =
													VECTOR_REF(BgL_arg1866z00_8079, BgL_arg1867z00_8080);
											}
											{	/* SawBbv/bbv-specialize.scm 1315 */
												bool_t BgL__ortest_1115z00_8072;

												BgL__ortest_1115z00_8072 =
													(BgL_classz00_8055 == BgL_oclassz00_8071);
												if (BgL__ortest_1115z00_8072)
													{	/* SawBbv/bbv-specialize.scm 1315 */
														BgL_res4147z00_8088 = BgL__ortest_1115z00_8072;
													}
												else
													{	/* SawBbv/bbv-specialize.scm 1315 */
														long BgL_odepthz00_8073;

														{	/* SawBbv/bbv-specialize.scm 1315 */
															obj_t BgL_arg1855z00_8074;

															BgL_arg1855z00_8074 = (BgL_oclassz00_8071);
															BgL_odepthz00_8073 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_8074);
														}
														if ((1L < BgL_odepthz00_8073))
															{	/* SawBbv/bbv-specialize.scm 1315 */
																obj_t BgL_arg1853z00_8076;

																{	/* SawBbv/bbv-specialize.scm 1315 */
																	obj_t BgL_arg1854z00_8077;

																	BgL_arg1854z00_8077 = (BgL_oclassz00_8071);
																	BgL_arg1853z00_8076 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_8077,
																		1L);
																}
																BgL_res4147z00_8088 =
																	(BgL_arg1853z00_8076 == BgL_classz00_8055);
															}
														else
															{	/* SawBbv/bbv-specialize.scm 1315 */
																BgL_res4147z00_8088 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test4799z00_19256 = BgL_res4147z00_8088;
									}
							}
						else
							{	/* SawBbv/bbv-specialize.scm 1315 */
								BgL_test4799z00_19256 = ((bool_t) 0);
							}
					}
					if (BgL_test4799z00_19256)
						{	/* SawBbv/bbv-specialize.scm 1315 */
							BgL_test4798z00_19255 =
								BGl_rtl_inszd2movzf3z21zzsaw_bbvzd2typeszd2(
								((BgL_rtl_insz00_bglt) BgL_lhsz00_4110));
						}
					else
						{	/* SawBbv/bbv-specialize.scm 1315 */
							BgL_test4798z00_19255 = ((bool_t) 0);
						}
				}
				if (BgL_test4798z00_19255)
					{	/* SawBbv/bbv-specialize.scm 1317 */
						obj_t BgL_arg3657z00_4119;

						{	/* SawBbv/bbv-specialize.scm 1317 */
							obj_t BgL_pairz00_8089;

							BgL_pairz00_8089 =
								(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_lhsz00_4110)))->BgL_argsz00);
							BgL_arg3657z00_4119 = CAR(BgL_pairz00_8089);
						}
						{
							BgL_bbvzd2rangezd2_bglt BgL_intlz00_19287;
							obj_t BgL_rhsz00_19285;
							obj_t BgL_lhsz00_19284;

							BgL_lhsz00_19284 = BgL_arg3657z00_4119;
							BgL_rhsz00_19285 = ((obj_t) BgL_intlz00_4112);
							BgL_intlz00_19287 = ((BgL_bbvzd2rangezd2_bglt) BgL_rhsz00_4111);
							BgL_intlz00_4112 = BgL_intlz00_19287;
							BgL_rhsz00_4111 = BgL_rhsz00_19285;
							BgL_lhsz00_4110 = BgL_lhsz00_19284;
							goto BGl_specializa7ezf2opze70zb2zzsaw_bbvzd2specializa7ez75;
						}
					}
				else
					{	/* SawBbv/bbv-specialize.scm 1318 */
						bool_t BgL_test4804z00_19289;

						{	/* SawBbv/bbv-specialize.scm 1318 */
							bool_t BgL_test4805z00_19290;

							{	/* SawBbv/bbv-specialize.scm 1318 */
								obj_t BgL_classz00_8090;

								BgL_classz00_8090 = BGl_rtl_insz00zzsaw_defsz00;
								if (BGL_OBJECTP(BgL_rhsz00_4111))
									{	/* SawBbv/bbv-specialize.scm 1318 */
										BgL_objectz00_bglt BgL_arg1858z00_8092;

										BgL_arg1858z00_8092 =
											(BgL_objectz00_bglt) (BgL_rhsz00_4111);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* SawBbv/bbv-specialize.scm 1318 */
												long BgL_idxz00_8098;

												BgL_idxz00_8098 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_8092);
												BgL_test4805z00_19290 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_8098 + 1L)) == BgL_classz00_8090);
											}
										else
											{	/* SawBbv/bbv-specialize.scm 1318 */
												bool_t BgL_res4148z00_8123;

												{	/* SawBbv/bbv-specialize.scm 1318 */
													obj_t BgL_oclassz00_8106;

													{	/* SawBbv/bbv-specialize.scm 1318 */
														obj_t BgL_arg1866z00_8114;
														long BgL_arg1867z00_8115;

														BgL_arg1866z00_8114 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* SawBbv/bbv-specialize.scm 1318 */
															long BgL_arg1869z00_8116;

															BgL_arg1869z00_8116 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_8092);
															BgL_arg1867z00_8115 =
																(BgL_arg1869z00_8116 - OBJECT_TYPE);
														}
														BgL_oclassz00_8106 =
															VECTOR_REF(BgL_arg1866z00_8114,
															BgL_arg1867z00_8115);
													}
													{	/* SawBbv/bbv-specialize.scm 1318 */
														bool_t BgL__ortest_1115z00_8107;

														BgL__ortest_1115z00_8107 =
															(BgL_classz00_8090 == BgL_oclassz00_8106);
														if (BgL__ortest_1115z00_8107)
															{	/* SawBbv/bbv-specialize.scm 1318 */
																BgL_res4148z00_8123 = BgL__ortest_1115z00_8107;
															}
														else
															{	/* SawBbv/bbv-specialize.scm 1318 */
																long BgL_odepthz00_8108;

																{	/* SawBbv/bbv-specialize.scm 1318 */
																	obj_t BgL_arg1855z00_8109;

																	BgL_arg1855z00_8109 = (BgL_oclassz00_8106);
																	BgL_odepthz00_8108 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_8109);
																}
																if ((1L < BgL_odepthz00_8108))
																	{	/* SawBbv/bbv-specialize.scm 1318 */
																		obj_t BgL_arg1853z00_8111;

																		{	/* SawBbv/bbv-specialize.scm 1318 */
																			obj_t BgL_arg1854z00_8112;

																			BgL_arg1854z00_8112 =
																				(BgL_oclassz00_8106);
																			BgL_arg1853z00_8111 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_8112, 1L);
																		}
																		BgL_res4148z00_8123 =
																			(BgL_arg1853z00_8111 ==
																			BgL_classz00_8090);
																	}
																else
																	{	/* SawBbv/bbv-specialize.scm 1318 */
																		BgL_res4148z00_8123 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test4805z00_19290 = BgL_res4148z00_8123;
											}
									}
								else
									{	/* SawBbv/bbv-specialize.scm 1318 */
										BgL_test4805z00_19290 = ((bool_t) 0);
									}
							}
							if (BgL_test4805z00_19290)
								{	/* SawBbv/bbv-specialize.scm 1318 */
									BgL_test4804z00_19289 =
										BGl_rtl_inszd2movzf3z21zzsaw_bbvzd2typeszd2(
										((BgL_rtl_insz00_bglt) BgL_rhsz00_4111));
								}
							else
								{	/* SawBbv/bbv-specialize.scm 1318 */
									BgL_test4804z00_19289 = ((bool_t) 0);
								}
						}
						if (BgL_test4804z00_19289)
							{	/* SawBbv/bbv-specialize.scm 1320 */
								obj_t BgL_arg3661z00_4124;

								{	/* SawBbv/bbv-specialize.scm 1320 */
									obj_t BgL_pairz00_8124;

									BgL_pairz00_8124 =
										(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_rhsz00_4111)))->BgL_argsz00);
									BgL_arg3661z00_4124 = CAR(BgL_pairz00_8124);
								}
								{
									BgL_bbvzd2rangezd2_bglt BgL_intlz00_19320;
									obj_t BgL_rhsz00_19318;

									BgL_rhsz00_19318 = ((obj_t) BgL_intlz00_4112);
									BgL_intlz00_19320 =
										((BgL_bbvzd2rangezd2_bglt) BgL_arg3661z00_4124);
									BgL_intlz00_4112 = BgL_intlz00_19320;
									BgL_rhsz00_4111 = BgL_rhsz00_19318;
									goto BGl_specializa7ezf2opze70zb2zzsaw_bbvzd2specializa7ez75;
								}
							}
						else
							{	/* SawBbv/bbv-specialize.scm 1321 */
								bool_t BgL_test4810z00_19322;

								if (CBOOL(BGl_regze70ze7zzsaw_bbvzd2specializa7ez75
										(BgL_lhsz00_4110)))
									{	/* SawBbv/bbv-specialize.scm 1321 */
										BgL_test4810z00_19322 =
											CBOOL(BGl_regze70ze7zzsaw_bbvzd2specializa7ez75
											(BgL_rhsz00_4111));
									}
								else
									{	/* SawBbv/bbv-specialize.scm 1321 */
										BgL_test4810z00_19322 = ((bool_t) 0);
									}
								if (BgL_test4810z00_19322)
									{	/* SawBbv/bbv-specialize.scm 1323 */
										obj_t BgL_lregz00_4128;
										obj_t BgL_rregz00_4129;

										BgL_lregz00_4128 =
											BGl_regze70ze7zzsaw_bbvzd2specializa7ez75
											(BgL_lhsz00_4110);
										BgL_rregz00_4129 =
											BGl_regze70ze7zzsaw_bbvzd2specializa7ez75
											(BgL_rhsz00_4111);
										{	/* SawBbv/bbv-specialize.scm 1325 */
											BgL_bbvzd2ctxzd2_bglt BgL_lctxzb2zb2_4130;

											BgL_lctxzb2zb2_4130 =
												BGl_narrowingze70ze7zzsaw_bbvzd2specializa7ez75(
												((BgL_rtl_regz00_bglt) BgL_lregz00_4128),
												BgL_intlz00_4112, BgL_intrz00_4113, BgL_opz00_4109,
												BgL_ctxz00_4114);
											{	/* SawBbv/bbv-specialize.scm 1326 */
												obj_t BgL_lctxzd2zd2_4131;

												{	/* SawBbv/bbv-specialize.scm 1329 */
													obj_t BgL_tmpz00_8125;

													{	/* SawBbv/bbv-specialize.scm 1329 */
														int BgL_tmpz00_19332;

														BgL_tmpz00_19332 = (int) (1L);
														BgL_tmpz00_8125 = BGL_MVALUES_VAL(BgL_tmpz00_19332);
													}
													{	/* SawBbv/bbv-specialize.scm 1329 */
														int BgL_tmpz00_19335;

														BgL_tmpz00_19335 = (int) (1L);
														BGL_MVALUES_VAL_SET(BgL_tmpz00_19335, BUNSPEC);
													}
													BgL_lctxzd2zd2_4131 = BgL_tmpz00_8125;
												}
												{	/* SawBbv/bbv-specialize.scm 1329 */
													BgL_bbvzd2ctxzd2_bglt BgL_rctxzb2zb2_4132;

													{	/* SawBbv/bbv-specialize.scm 1330 */
														obj_t BgL_arg3669z00_4144;

														BgL_arg3669z00_4144 =
															BGl_commutezd2opze70z35zzsaw_bbvzd2specializa7ez75
															(BgL_opz00_4109);
														BgL_rctxzb2zb2_4132 =
															BGl_narrowingze70ze7zzsaw_bbvzd2specializa7ez75((
																(BgL_rtl_regz00_bglt) BgL_rregz00_4129),
															BgL_intrz00_4113, BgL_intlz00_4112,
															BgL_arg3669z00_4144, BgL_ctxz00_4114);
													}
													{	/* SawBbv/bbv-specialize.scm 1330 */
														obj_t BgL_rctxzd2zd2_4133;

														{	/* SawBbv/bbv-specialize.scm 1333 */
															obj_t BgL_tmpz00_8126;

															{	/* SawBbv/bbv-specialize.scm 1333 */
																int BgL_tmpz00_19341;

																BgL_tmpz00_19341 = (int) (1L);
																BgL_tmpz00_8126 =
																	BGL_MVALUES_VAL(BgL_tmpz00_19341);
															}
															{	/* SawBbv/bbv-specialize.scm 1333 */
																int BgL_tmpz00_19344;

																BgL_tmpz00_19344 = (int) (1L);
																BGL_MVALUES_VAL_SET(BgL_tmpz00_19344, BUNSPEC);
															}
															BgL_rctxzd2zd2_4133 = BgL_tmpz00_8126;
														}
														{	/* SawBbv/bbv-specialize.scm 1333 */
															obj_t BgL_lregzb2zb2_4134;
															obj_t BgL_lregzd2zd2_4135;
															obj_t BgL_rregzb2zb2_4136;
															obj_t BgL_rregzd2zd2_4137;

															BgL_lregzb2zb2_4134 =
																BGl_bbvzd2ctxzd2getz00zzsaw_bbvzd2typeszd2
																(BgL_lctxzb2zb2_4130,
																((BgL_rtl_regz00_bglt) BgL_lregz00_4128));
															BgL_lregzd2zd2_4135 =
																BGl_bbvzd2ctxzd2getz00zzsaw_bbvzd2typeszd2((
																	(BgL_bbvzd2ctxzd2_bglt) BgL_lctxzd2zd2_4131),
																((BgL_rtl_regz00_bglt) BgL_lregz00_4128));
															BgL_rregzb2zb2_4136 =
																BGl_bbvzd2ctxzd2getz00zzsaw_bbvzd2typeszd2
																(BgL_rctxzb2zb2_4132,
																((BgL_rtl_regz00_bglt) BgL_rregz00_4129));
															BgL_rregzd2zd2_4137 =
																BGl_bbvzd2ctxzd2getz00zzsaw_bbvzd2typeszd2((
																	(BgL_bbvzd2ctxzd2_bglt) BgL_rctxzd2zd2_4133),
																((BgL_rtl_regz00_bglt) BgL_rregz00_4129));
															{	/* SawBbv/bbv-specialize.scm 1337 */
																obj_t BgL_val0_2419z00_4138;
																obj_t BgL_val1_2420z00_4139;

																{	/* SawBbv/bbv-specialize.scm 1338 */
																	obj_t BgL_list3665z00_4140;

																	{	/* SawBbv/bbv-specialize.scm 1338 */
																		obj_t BgL_arg3666z00_4141;

																		BgL_arg3666z00_4141 =
																			MAKE_YOUNG_PAIR(BgL_rregzb2zb2_4136,
																			BNIL);
																		BgL_list3665z00_4140 =
																			MAKE_YOUNG_PAIR(BgL_lregzb2zb2_4134,
																			BgL_arg3666z00_4141);
																	}
																	BgL_val0_2419z00_4138 =
																		BGl_extendzd2ctxzf2entryza2z82zzsaw_bbvzd2typeszd2
																		(BgL_ctxz00_4114, BgL_list3665z00_4140);
																}
																{	/* SawBbv/bbv-specialize.scm 1339 */
																	obj_t BgL_list3667z00_4142;

																	{	/* SawBbv/bbv-specialize.scm 1339 */
																		obj_t BgL_arg3668z00_4143;

																		BgL_arg3668z00_4143 =
																			MAKE_YOUNG_PAIR(BgL_rregzd2zd2_4137,
																			BNIL);
																		BgL_list3667z00_4142 =
																			MAKE_YOUNG_PAIR(BgL_lregzd2zd2_4135,
																			BgL_arg3668z00_4143);
																	}
																	BgL_val1_2420z00_4139 =
																		BGl_extendzd2ctxzf2entryza2z82zzsaw_bbvzd2typeszd2
																		(BgL_ctxz00_4114, BgL_list3667z00_4142);
																}
																{	/* SawBbv/bbv-specialize.scm 1337 */
																	int BgL_tmpz00_19363;

																	BgL_tmpz00_19363 = (int) (2L);
																	BGL_MVALUES_NUMBER_SET(BgL_tmpz00_19363);
																}
																{	/* SawBbv/bbv-specialize.scm 1337 */
																	int BgL_tmpz00_19366;

																	BgL_tmpz00_19366 = (int) (1L);
																	BGL_MVALUES_VAL_SET(BgL_tmpz00_19366,
																		BgL_val1_2420z00_4139);
																}
																return BgL_val0_2419z00_4138;
															}
														}
													}
												}
											}
										}
									}
								else
									{	/* SawBbv/bbv-specialize.scm 1321 */
										if (CBOOL(BGl_regze70ze7zzsaw_bbvzd2specializa7ez75
												(BgL_lhsz00_4110)))
											{	/* SawBbv/bbv-specialize.scm 1342 */
												obj_t BgL_arg3671z00_4146;

												BgL_arg3671z00_4146 =
													BGl_regze70ze7zzsaw_bbvzd2specializa7ez75
													(BgL_lhsz00_4110);
												return ((obj_t)
													BGl_narrowingze70ze7zzsaw_bbvzd2specializa7ez75((
															(BgL_rtl_regz00_bglt) BgL_arg3671z00_4146),
														BgL_intlz00_4112, BgL_intrz00_4113, BgL_opz00_4109,
														BgL_ctxz00_4114));
											}
										else
											{	/* SawBbv/bbv-specialize.scm 1340 */
												if (CBOOL(BGl_regze70ze7zzsaw_bbvzd2specializa7ez75
														(BgL_rhsz00_4111)))
													{	/* SawBbv/bbv-specialize.scm 1345 */
														obj_t BgL_arg3673z00_4148;
														obj_t BgL_arg3674z00_4149;

														BgL_arg3673z00_4148 =
															BGl_regze70ze7zzsaw_bbvzd2specializa7ez75
															(BgL_rhsz00_4111);
														BgL_arg3674z00_4149 =
															BGl_commutezd2opze70z35zzsaw_bbvzd2specializa7ez75
															(BgL_opz00_4109);
														return ((obj_t)
															BGl_narrowingze70ze7zzsaw_bbvzd2specializa7ez75((
																	(BgL_rtl_regz00_bglt) BgL_arg3673z00_4148),
																BgL_intrz00_4113, BgL_intlz00_4112,
																BgL_arg3674z00_4149, BgL_ctxz00_4114));
													}
												else
													{	/* SawBbv/bbv-specialize.scm 1343 */
														{	/* SawBbv/bbv-specialize.scm 1348 */
															int BgL_tmpz00_19384;

															BgL_tmpz00_19384 = (int) (2L);
															BGL_MVALUES_NUMBER_SET(BgL_tmpz00_19384);
														}
														{	/* SawBbv/bbv-specialize.scm 1348 */
															obj_t BgL_auxz00_19389;
															int BgL_tmpz00_19387;

															BgL_auxz00_19389 = ((obj_t) BgL_ctxz00_4114);
															BgL_tmpz00_19387 = (int) (1L);
															BGL_MVALUES_VAL_SET(BgL_tmpz00_19387,
																BgL_auxz00_19389);
														}
														return ((obj_t) BgL_ctxz00_4114);
													}
											}
									}
							}
					}
			}
		}

	}



/* fxcmp-op~0 */
	obj_t BGl_fxcmpzd2opze70z35zzsaw_bbvzd2specializa7ez75(obj_t BgL_iz00_4033)
	{
		{	/* SawBbv/bbv-specialize.scm 1262 */
			{	/* SawBbv/bbv-specialize.scm 1256 */
				BgL_rtl_callz00_bglt BgL_i1757z00_4036;

				BgL_i1757z00_4036 =
					((BgL_rtl_callz00_bglt)
					(((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_iz00_4033)))->BgL_funz00));
				{	/* SawBbv/bbv-specialize.scm 1258 */
					bool_t BgL_test4814z00_19396;

					{	/* SawBbv/bbv-specialize.scm 1258 */
						obj_t BgL_arg3629z00_4051;

						BgL_arg3629z00_4051 =
							((obj_t)
							(((BgL_rtl_callz00_bglt) COBJECT(BgL_i1757z00_4036))->
								BgL_varz00));
						BgL_test4814z00_19396 =
							(BgL_arg3629z00_4051 == BGl_za2zc3fxza2zc3zzsaw_bbvzd2cachezd2);
					}
					if (BgL_test4814z00_19396)
						{	/* SawBbv/bbv-specialize.scm 1258 */
							return ((obj_t) CNST_TABLE_REF(5));
						}
					else
						{	/* SawBbv/bbv-specialize.scm 1259 */
							bool_t BgL_test4815z00_19402;

							{	/* SawBbv/bbv-specialize.scm 1259 */
								obj_t BgL_arg3628z00_4050;

								BgL_arg3628z00_4050 =
									((obj_t)
									(((BgL_rtl_callz00_bglt) COBJECT(BgL_i1757z00_4036))->
										BgL_varz00));
								BgL_test4815z00_19402 =
									(BgL_arg3628z00_4050 ==
									BGl_za2zc3zd3fxza2z10zzsaw_bbvzd2cachezd2);
							}
							if (BgL_test4815z00_19402)
								{	/* SawBbv/bbv-specialize.scm 1259 */
									return ((obj_t) CNST_TABLE_REF(7));
								}
							else
								{	/* SawBbv/bbv-specialize.scm 1260 */
									bool_t BgL_test4816z00_19408;

									{	/* SawBbv/bbv-specialize.scm 1260 */
										obj_t BgL_arg3627z00_4049;

										BgL_arg3627z00_4049 =
											((obj_t)
											(((BgL_rtl_callz00_bglt) COBJECT(BgL_i1757z00_4036))->
												BgL_varz00));
										BgL_test4816z00_19408 =
											(BgL_arg3627z00_4049 ==
											BGl_za2ze3fxza2ze3zzsaw_bbvzd2cachezd2);
									}
									if (BgL_test4816z00_19408)
										{	/* SawBbv/bbv-specialize.scm 1260 */
											return ((obj_t) CNST_TABLE_REF(6));
										}
									else
										{	/* SawBbv/bbv-specialize.scm 1261 */
											bool_t BgL_test4817z00_19414;

											{	/* SawBbv/bbv-specialize.scm 1261 */
												obj_t BgL_arg3626z00_4048;

												BgL_arg3626z00_4048 =
													((obj_t)
													(((BgL_rtl_callz00_bglt) COBJECT(BgL_i1757z00_4036))->
														BgL_varz00));
												BgL_test4817z00_19414 =
													(BgL_arg3626z00_4048 ==
													BGl_za2ze3zd3fxza2z30zzsaw_bbvzd2cachezd2);
											}
											if (BgL_test4817z00_19414)
												{	/* SawBbv/bbv-specialize.scm 1261 */
													return ((obj_t) CNST_TABLE_REF(8));
												}
											else
												{	/* SawBbv/bbv-specialize.scm 1262 */
													bool_t BgL_test4818z00_19420;

													{	/* SawBbv/bbv-specialize.scm 1262 */
														obj_t BgL_arg3625z00_4047;

														BgL_arg3625z00_4047 =
															((obj_t)
															(((BgL_rtl_callz00_bglt)
																	COBJECT(BgL_i1757z00_4036))->BgL_varz00));
														BgL_test4818z00_19420 =
															(BgL_arg3625z00_4047 ==
															BGl_za2zd3fxza2zd3zzsaw_bbvzd2cachezd2);
													}
													if (BgL_test4818z00_19420)
														{	/* SawBbv/bbv-specialize.scm 1262 */
															return ((obj_t) CNST_TABLE_REF(9));
														}
													else
														{	/* SawBbv/bbv-specialize.scm 1262 */
															return BFALSE;
														}
												}
										}
								}
						}
				}
			}
		}

	}



/* specialize-fxcmp/call~0 */
	BgL_rtl_insz00_bglt
		BGl_specializa7ezd2fxcmpzf2callze70z60zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt BgL_iz00_4155, BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_4156)
	{
		{	/* SawBbv/bbv-specialize.scm 1392 */
			{
				BgL_rtl_insz00_bglt BgL_iz00_4060;
				obj_t BgL_opz00_4061;
				BgL_bbvzd2rangezd2_bglt BgL_intlz00_4062;
				BgL_bbvzd2rangezd2_bglt BgL_intrz00_4063;

				{	/* SawBbv/bbv-specialize.scm 1357 */
					obj_t BgL_lhsz00_4160;

					BgL_lhsz00_4160 =
						CAR((((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_4155))->BgL_argsz00));
					{	/* SawBbv/bbv-specialize.scm 1357 */
						obj_t BgL_rhsz00_4161;

						{	/* SawBbv/bbv-specialize.scm 1358 */
							obj_t BgL_pairz00_8128;

							BgL_pairz00_8128 =
								(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_4155))->BgL_argsz00);
							BgL_rhsz00_4161 = CAR(CDR(BgL_pairz00_8128));
						}
						{	/* SawBbv/bbv-specialize.scm 1358 */
							obj_t BgL_intlz00_4162;

							BgL_intlz00_4162 =
								BGl_rtlzd2rangezd2zzsaw_bbvzd2rangezd2(BgL_lhsz00_4160,
								BgL_ctxz00_4156);
							{	/* SawBbv/bbv-specialize.scm 1359 */
								obj_t BgL_intrz00_4163;

								BgL_intrz00_4163 =
									BGl_rtlzd2rangezd2zzsaw_bbvzd2rangezd2(BgL_rhsz00_4161,
									BgL_ctxz00_4156);
								{	/* SawBbv/bbv-specialize.scm 1360 */
									obj_t BgL_opz00_4164;

									BgL_opz00_4164 =
										BGl_fxcmpzd2opze70z35zzsaw_bbvzd2specializa7ez75(
										((obj_t) BgL_iz00_4155));
									{	/* SawBbv/bbv-specialize.scm 1361 */

										{	/* SawBbv/bbv-specialize.scm 1367 */
											bool_t BgL_test4819z00_19435;

											{	/* SawBbv/bbv-specialize.scm 1367 */
												bool_t BgL_test4820z00_19436;

												{	/* SawBbv/bbv-specialize.scm 1367 */
													obj_t BgL_classz00_8132;

													BgL_classz00_8132 =
														BGl_bbvzd2rangezd2zzsaw_bbvzd2rangezd2;
													if (BGL_OBJECTP(BgL_intlz00_4162))
														{	/* SawBbv/bbv-specialize.scm 1367 */
															BgL_objectz00_bglt BgL_arg1858z00_8134;

															BgL_arg1858z00_8134 =
																(BgL_objectz00_bglt) (BgL_intlz00_4162);
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* SawBbv/bbv-specialize.scm 1367 */
																	long BgL_idxz00_8140;

																	BgL_idxz00_8140 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_8134);
																	BgL_test4820z00_19436 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_8140 + 1L)) ==
																		BgL_classz00_8132);
																}
															else
																{	/* SawBbv/bbv-specialize.scm 1367 */
																	bool_t BgL_res4149z00_8165;

																	{	/* SawBbv/bbv-specialize.scm 1367 */
																		obj_t BgL_oclassz00_8148;

																		{	/* SawBbv/bbv-specialize.scm 1367 */
																			obj_t BgL_arg1866z00_8156;
																			long BgL_arg1867z00_8157;

																			BgL_arg1866z00_8156 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* SawBbv/bbv-specialize.scm 1367 */
																				long BgL_arg1869z00_8158;

																				BgL_arg1869z00_8158 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_8134);
																				BgL_arg1867z00_8157 =
																					(BgL_arg1869z00_8158 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_8148 =
																				VECTOR_REF(BgL_arg1866z00_8156,
																				BgL_arg1867z00_8157);
																		}
																		{	/* SawBbv/bbv-specialize.scm 1367 */
																			bool_t BgL__ortest_1115z00_8149;

																			BgL__ortest_1115z00_8149 =
																				(BgL_classz00_8132 ==
																				BgL_oclassz00_8148);
																			if (BgL__ortest_1115z00_8149)
																				{	/* SawBbv/bbv-specialize.scm 1367 */
																					BgL_res4149z00_8165 =
																						BgL__ortest_1115z00_8149;
																				}
																			else
																				{	/* SawBbv/bbv-specialize.scm 1367 */
																					long BgL_odepthz00_8150;

																					{	/* SawBbv/bbv-specialize.scm 1367 */
																						obj_t BgL_arg1855z00_8151;

																						BgL_arg1855z00_8151 =
																							(BgL_oclassz00_8148);
																						BgL_odepthz00_8150 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_8151);
																					}
																					if ((1L < BgL_odepthz00_8150))
																						{	/* SawBbv/bbv-specialize.scm 1367 */
																							obj_t BgL_arg1853z00_8153;

																							{	/* SawBbv/bbv-specialize.scm 1367 */
																								obj_t BgL_arg1854z00_8154;

																								BgL_arg1854z00_8154 =
																									(BgL_oclassz00_8148);
																								BgL_arg1853z00_8153 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_8154, 1L);
																							}
																							BgL_res4149z00_8165 =
																								(BgL_arg1853z00_8153 ==
																								BgL_classz00_8132);
																						}
																					else
																						{	/* SawBbv/bbv-specialize.scm 1367 */
																							BgL_res4149z00_8165 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test4820z00_19436 = BgL_res4149z00_8165;
																}
														}
													else
														{	/* SawBbv/bbv-specialize.scm 1367 */
															BgL_test4820z00_19436 = ((bool_t) 0);
														}
												}
												if (BgL_test4820z00_19436)
													{	/* SawBbv/bbv-specialize.scm 1367 */
														obj_t BgL_classz00_8166;

														BgL_classz00_8166 =
															BGl_bbvzd2rangezd2zzsaw_bbvzd2rangezd2;
														if (BGL_OBJECTP(BgL_intrz00_4163))
															{	/* SawBbv/bbv-specialize.scm 1367 */
																BgL_objectz00_bglt BgL_arg1858z00_8168;

																BgL_arg1858z00_8168 =
																	(BgL_objectz00_bglt) (BgL_intrz00_4163);
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* SawBbv/bbv-specialize.scm 1367 */
																		long BgL_idxz00_8174;

																		BgL_idxz00_8174 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1858z00_8168);
																		BgL_test4819z00_19435 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_8174 + 1L)) ==
																			BgL_classz00_8166);
																	}
																else
																	{	/* SawBbv/bbv-specialize.scm 1367 */
																		bool_t BgL_res4150z00_8199;

																		{	/* SawBbv/bbv-specialize.scm 1367 */
																			obj_t BgL_oclassz00_8182;

																			{	/* SawBbv/bbv-specialize.scm 1367 */
																				obj_t BgL_arg1866z00_8190;
																				long BgL_arg1867z00_8191;

																				BgL_arg1866z00_8190 =
																					(BGl_za2classesza2z00zz__objectz00);
																				{	/* SawBbv/bbv-specialize.scm 1367 */
																					long BgL_arg1869z00_8192;

																					BgL_arg1869z00_8192 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1858z00_8168);
																					BgL_arg1867z00_8191 =
																						(BgL_arg1869z00_8192 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_8182 =
																					VECTOR_REF(BgL_arg1866z00_8190,
																					BgL_arg1867z00_8191);
																			}
																			{	/* SawBbv/bbv-specialize.scm 1367 */
																				bool_t BgL__ortest_1115z00_8183;

																				BgL__ortest_1115z00_8183 =
																					(BgL_classz00_8166 ==
																					BgL_oclassz00_8182);
																				if (BgL__ortest_1115z00_8183)
																					{	/* SawBbv/bbv-specialize.scm 1367 */
																						BgL_res4150z00_8199 =
																							BgL__ortest_1115z00_8183;
																					}
																				else
																					{	/* SawBbv/bbv-specialize.scm 1367 */
																						long BgL_odepthz00_8184;

																						{	/* SawBbv/bbv-specialize.scm 1367 */
																							obj_t BgL_arg1855z00_8185;

																							BgL_arg1855z00_8185 =
																								(BgL_oclassz00_8182);
																							BgL_odepthz00_8184 =
																								BGL_CLASS_DEPTH
																								(BgL_arg1855z00_8185);
																						}
																						if ((1L < BgL_odepthz00_8184))
																							{	/* SawBbv/bbv-specialize.scm 1367 */
																								obj_t BgL_arg1853z00_8187;

																								{	/* SawBbv/bbv-specialize.scm 1367 */
																									obj_t BgL_arg1854z00_8188;

																									BgL_arg1854z00_8188 =
																										(BgL_oclassz00_8182);
																									BgL_arg1853z00_8187 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_arg1854z00_8188, 1L);
																								}
																								BgL_res4150z00_8199 =
																									(BgL_arg1853z00_8187 ==
																									BgL_classz00_8166);
																							}
																						else
																							{	/* SawBbv/bbv-specialize.scm 1367 */
																								BgL_res4150z00_8199 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test4819z00_19435 = BgL_res4150z00_8199;
																	}
															}
														else
															{	/* SawBbv/bbv-specialize.scm 1367 */
																BgL_test4819z00_19435 = ((bool_t) 0);
															}
													}
												else
													{	/* SawBbv/bbv-specialize.scm 1367 */
														BgL_test4819z00_19435 = ((bool_t) 0);
													}
											}
											if (BgL_test4819z00_19435)
												{

													{	/* SawBbv/bbv-specialize.scm 1370 */
														long BgL_aux1786z00_4168;

														{	/* SawBbv/bbv-specialize.scm 1370 */
															obj_t BgL_aux1773z00_4197;

															BgL_iz00_4060 = BgL_iz00_4155;
															BgL_opz00_4061 = BgL_opz00_4164;
															BgL_intlz00_4062 =
																((BgL_bbvzd2rangezd2_bglt) BgL_intlz00_4162);
															BgL_intrz00_4063 =
																((BgL_bbvzd2rangezd2_bglt) BgL_intrz00_4163);
															if (
																(BgL_opz00_4061 == ((obj_t) CNST_TABLE_REF(5))))
																{	/* SawBbv/bbv-specialize.scm 1274 */
																	BgL_aux1773z00_4197 =
																		BGl_bbvzd2rangezc3z11zzsaw_bbvzd2rangezd2
																		(BgL_intlz00_4062, BgL_intrz00_4063);
																}
															else
																{	/* SawBbv/bbv-specialize.scm 1274 */
																	if (
																		(BgL_opz00_4061 ==
																			((obj_t) CNST_TABLE_REF(7))))
																		{	/* SawBbv/bbv-specialize.scm 1274 */
																			BgL_aux1773z00_4197 =
																				BGl_bbvzd2rangezc3zd3zc2zzsaw_bbvzd2rangezd2
																				(BgL_intlz00_4062, BgL_intrz00_4063);
																		}
																	else
																		{	/* SawBbv/bbv-specialize.scm 1274 */
																			if (
																				(BgL_opz00_4061 ==
																					((obj_t) CNST_TABLE_REF(6))))
																				{	/* SawBbv/bbv-specialize.scm 1274 */
																					BgL_aux1773z00_4197 =
																						BGl_bbvzd2rangeze3z31zzsaw_bbvzd2rangezd2
																						(BgL_intlz00_4062,
																						BgL_intrz00_4063);
																				}
																			else
																				{	/* SawBbv/bbv-specialize.scm 1274 */
																					if (
																						(BgL_opz00_4061 ==
																							((obj_t) CNST_TABLE_REF(8))))
																						{	/* SawBbv/bbv-specialize.scm 1274 */
																							BgL_aux1773z00_4197 =
																								BGl_bbvzd2rangeze3zd3ze2zzsaw_bbvzd2rangezd2
																								(BgL_intlz00_4062,
																								BgL_intrz00_4063);
																						}
																					else
																						{	/* SawBbv/bbv-specialize.scm 1274 */
																							if (
																								(BgL_opz00_4061 ==
																									((obj_t) CNST_TABLE_REF(9))))
																								{	/* SawBbv/bbv-specialize.scm 1274 */
																									BgL_aux1773z00_4197 =
																										BGl_bbvzd2rangezd3z01zzsaw_bbvzd2rangezd2
																										(BgL_intlz00_4062,
																										BgL_intrz00_4063);
																								}
																							else
																								{	/* SawBbv/bbv-specialize.scm 1274 */
																									BgL_aux1773z00_4197 = BUNSPEC;
																								}
																						}
																				}
																		}
																}
															if (CNSTP(BgL_aux1773z00_4197))
																{	/* SawBbv/bbv-specialize.scm 1370 */
																	BgL_aux1786z00_4168 =
																		CCNST(BgL_aux1773z00_4197);
																}
															else
																{	/* SawBbv/bbv-specialize.scm 1370 */
																	BgL_aux1786z00_4168 = (-1L);
																}
														}
														switch (BgL_aux1786z00_4168)
															{
															case 4L:

																{	/* SawBbv/bbv-specialize.scm 1373 */
																	BgL_rtl_insz00_bglt BgL_val0_2429z00_4169;

																	{	/* SawBbv/bbv-specialize.scm 1373 */
																		BgL_rtl_insz00_bglt BgL_new1787z00_4173;

																		{	/* SawBbv/bbv-specialize.scm 1374 */
																			BgL_rtl_insz00_bglt BgL_tmp1795z00_4178;
																			BgL_rtl_inszf2bbvzf2_bglt
																				BgL_wide1796z00_4179;
																			{
																				BgL_rtl_insz00_bglt BgL_auxz00_19511;

																				{	/* SawBbv/bbv-specialize.scm 1374 */
																					BgL_rtl_insz00_bglt
																						BgL_new1794z00_4181;
																					BgL_new1794z00_4181 =
																						((BgL_rtl_insz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_rtl_insz00_bgl))));
																					{	/* SawBbv/bbv-specialize.scm 1374 */
																						long BgL_arg3679z00_4182;

																						BgL_arg3679z00_4182 =
																							BGL_CLASS_NUM
																							(BGl_rtl_insz00zzsaw_defsz00);
																						BGL_OBJECT_CLASS_NUM_SET((
																								(BgL_objectz00_bglt)
																								BgL_new1794z00_4181),
																							BgL_arg3679z00_4182);
																					}
																					{	/* SawBbv/bbv-specialize.scm 1374 */
																						BgL_objectz00_bglt BgL_tmpz00_19516;

																						BgL_tmpz00_19516 =
																							((BgL_objectz00_bglt)
																							BgL_new1794z00_4181);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_tmpz00_19516, BFALSE);
																					}
																					((BgL_objectz00_bglt)
																						BgL_new1794z00_4181);
																					BgL_auxz00_19511 =
																						BgL_new1794z00_4181;
																				}
																				BgL_tmp1795z00_4178 =
																					((BgL_rtl_insz00_bglt)
																					BgL_auxz00_19511);
																			}
																			BgL_wide1796z00_4179 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_rtl_inszf2bbvzf2_bgl))));
																			{	/* SawBbv/bbv-specialize.scm 1374 */
																				obj_t BgL_auxz00_19524;
																				BgL_objectz00_bglt BgL_tmpz00_19522;

																				BgL_auxz00_19524 =
																					((obj_t) BgL_wide1796z00_4179);
																				BgL_tmpz00_19522 =
																					((BgL_objectz00_bglt)
																					BgL_tmp1795z00_4178);
																				BGL_OBJECT_WIDENING_SET
																					(BgL_tmpz00_19522, BgL_auxz00_19524);
																			}
																			((BgL_objectz00_bglt)
																				BgL_tmp1795z00_4178);
																			{	/* SawBbv/bbv-specialize.scm 1374 */
																				long BgL_arg3678z00_4180;

																				BgL_arg3678z00_4180 =
																					BGL_CLASS_NUM
																					(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_tmp1795z00_4178),
																					BgL_arg3678z00_4180);
																			}
																			BgL_new1787z00_4173 =
																				((BgL_rtl_insz00_bglt)
																				BgL_tmp1795z00_4178);
																		}
																		((((BgL_rtl_insz00_bglt) COBJECT(
																						((BgL_rtl_insz00_bglt)
																							BgL_new1787z00_4173)))->
																				BgL_locz00) =
																			((obj_t) (((BgL_rtl_insz00_bglt)
																						COBJECT(BgL_iz00_4155))->
																					BgL_locz00)), BUNSPEC);
																		((((BgL_rtl_insz00_bglt)
																					COBJECT(((BgL_rtl_insz00_bglt)
																							BgL_new1787z00_4173)))->
																				BgL_z52spillz52) =
																			((obj_t) (((BgL_rtl_insz00_bglt)
																						COBJECT(BgL_iz00_4155))->
																					BgL_z52spillz52)), BUNSPEC);
																		((((BgL_rtl_insz00_bglt)
																					COBJECT(((BgL_rtl_insz00_bglt)
																							BgL_new1787z00_4173)))->
																				BgL_destz00) =
																			((obj_t) (((BgL_rtl_insz00_bglt)
																						COBJECT(BgL_iz00_4155))->
																					BgL_destz00)), BUNSPEC);
																		{
																			BgL_rtl_funz00_bglt BgL_auxz00_19541;

																			{
																				BgL_rtl_loadiz00_bglt BgL_auxz00_19543;

																				{	/* SawBbv/bbv-specialize.scm 1232 */
																					BgL_rtl_loadiz00_bglt
																						BgL_new1746z00_3992;
																					{	/* SawBbv/bbv-specialize.scm 1232 */
																						BgL_rtl_loadiz00_bglt
																							BgL_new1745z00_3996;
																						BgL_new1745z00_3996 =
																							((BgL_rtl_loadiz00_bglt)
																							BOBJECT(GC_MALLOC(sizeof(struct
																										BgL_rtl_loadiz00_bgl))));
																						{	/* SawBbv/bbv-specialize.scm 1232 */
																							long BgL_arg3585z00_3997;

																							BgL_arg3585z00_3997 =
																								BGL_CLASS_NUM
																								(BGl_rtl_loadiz00zzsaw_defsz00);
																							BGL_OBJECT_CLASS_NUM_SET((
																									(BgL_objectz00_bglt)
																									BgL_new1745z00_3996),
																								BgL_arg3585z00_3997);
																						}
																						BgL_new1746z00_3992 =
																							BgL_new1745z00_3996;
																					}
																					((((BgL_rtl_funz00_bglt) COBJECT(
																									((BgL_rtl_funz00_bglt)
																										BgL_new1746z00_3992)))->
																							BgL_locz00) =
																						((obj_t) BFALSE), BUNSPEC);
																					{
																						BgL_atomz00_bglt BgL_auxz00_19550;

																						{	/* SawBbv/bbv-specialize.scm 1233 */
																							BgL_literalz00_bglt
																								BgL_new1748z00_3993;
																							{	/* SawBbv/bbv-specialize.scm 1233 */
																								BgL_literalz00_bglt
																									BgL_new1747z00_3994;
																								BgL_new1747z00_3994 =
																									((BgL_literalz00_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_literalz00_bgl))));
																								{	/* SawBbv/bbv-specialize.scm 1233 */
																									long BgL_arg3584z00_3995;

																									{	/* SawBbv/bbv-specialize.scm 1233 */
																										obj_t BgL_classz00_7854;

																										BgL_classz00_7854 =
																											BGl_literalz00zzast_nodez00;
																										BgL_arg3584z00_3995 =
																											BGL_CLASS_NUM
																											(BgL_classz00_7854);
																									}
																									BGL_OBJECT_CLASS_NUM_SET(
																										((BgL_objectz00_bglt)
																											BgL_new1747z00_3994),
																										BgL_arg3584z00_3995);
																								}
																								{	/* SawBbv/bbv-specialize.scm 1233 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_19555;
																									BgL_tmpz00_19555 =
																										((BgL_objectz00_bglt)
																										BgL_new1747z00_3994);
																									BGL_OBJECT_WIDENING_SET
																										(BgL_tmpz00_19555, BFALSE);
																								}
																								((BgL_objectz00_bglt)
																									BgL_new1747z00_3994);
																								BgL_new1748z00_3993 =
																									BgL_new1747z00_3994;
																							}
																							((((BgL_nodez00_bglt) COBJECT(
																											((BgL_nodez00_bglt)
																												BgL_new1748z00_3993)))->
																									BgL_locz00) =
																								((obj_t) BFALSE), BUNSPEC);
																							((((BgL_nodez00_bglt)
																										COBJECT(((BgL_nodez00_bglt)
																												BgL_new1748z00_3993)))->
																									BgL_typez00) =
																								((BgL_typez00_bglt) (
																										(BgL_typez00_bglt)
																										BGl_za2boolza2z00zztype_cachez00)),
																								BUNSPEC);
																							((((BgL_atomz00_bglt)
																										COBJECT(((BgL_atomz00_bglt)
																												BgL_new1748z00_3993)))->
																									BgL_valuez00) =
																								((obj_t) BTRUE), BUNSPEC);
																							BgL_auxz00_19550 =
																								((BgL_atomz00_bglt)
																								BgL_new1748z00_3993);
																						}
																						((((BgL_rtl_loadiz00_bglt)
																									COBJECT
																									(BgL_new1746z00_3992))->
																								BgL_constantz00) =
																							((BgL_atomz00_bglt)
																								BgL_auxz00_19550), BUNSPEC);
																					}
																					BgL_auxz00_19543 =
																						BgL_new1746z00_3992;
																				}
																				BgL_auxz00_19541 =
																					((BgL_rtl_funz00_bglt)
																					BgL_auxz00_19543);
																			}
																			((((BgL_rtl_insz00_bglt) COBJECT(
																							((BgL_rtl_insz00_bglt)
																								BgL_new1787z00_4173)))->
																					BgL_funz00) =
																				((BgL_rtl_funz00_bglt)
																					BgL_auxz00_19541), BUNSPEC);
																		}
																		((((BgL_rtl_insz00_bglt) COBJECT(
																						((BgL_rtl_insz00_bglt)
																							BgL_new1787z00_4173)))->
																				BgL_argsz00) = ((obj_t) BNIL), BUNSPEC);
																		{
																			obj_t BgL_auxz00_19578;
																			BgL_rtl_inszf2bbvzf2_bglt
																				BgL_auxz00_19572;
																			{
																				BgL_rtl_inszf2bbvzf2_bglt
																					BgL_auxz00_19579;
																				{
																					obj_t BgL_auxz00_19580;

																					{	/* SawBbv/bbv-specialize.scm 1374 */
																						BgL_objectz00_bglt BgL_tmpz00_19581;

																						BgL_tmpz00_19581 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_insz00_bglt)
																								BgL_iz00_4155));
																						BgL_auxz00_19580 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_19581);
																					}
																					BgL_auxz00_19579 =
																						((BgL_rtl_inszf2bbvzf2_bglt)
																						BgL_auxz00_19580);
																				}
																				BgL_auxz00_19578 =
																					(((BgL_rtl_inszf2bbvzf2_bglt)
																						COBJECT(BgL_auxz00_19579))->
																					BgL_defz00);
																			}
																			{
																				obj_t BgL_auxz00_19573;

																				{	/* SawBbv/bbv-specialize.scm 1374 */
																					BgL_objectz00_bglt BgL_tmpz00_19574;

																					BgL_tmpz00_19574 =
																						((BgL_objectz00_bglt)
																						BgL_new1787z00_4173);
																					BgL_auxz00_19573 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_19574);
																				}
																				BgL_auxz00_19572 =
																					((BgL_rtl_inszf2bbvzf2_bglt)
																					BgL_auxz00_19573);
																			}
																			((((BgL_rtl_inszf2bbvzf2_bglt)
																						COBJECT(BgL_auxz00_19572))->
																					BgL_defz00) =
																				((obj_t) BgL_auxz00_19578), BUNSPEC);
																		}
																		{
																			obj_t BgL_auxz00_19594;
																			BgL_rtl_inszf2bbvzf2_bglt
																				BgL_auxz00_19588;
																			{
																				BgL_rtl_inszf2bbvzf2_bglt
																					BgL_auxz00_19595;
																				{
																					obj_t BgL_auxz00_19596;

																					{	/* SawBbv/bbv-specialize.scm 1374 */
																						BgL_objectz00_bglt BgL_tmpz00_19597;

																						BgL_tmpz00_19597 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_insz00_bglt)
																								BgL_iz00_4155));
																						BgL_auxz00_19596 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_19597);
																					}
																					BgL_auxz00_19595 =
																						((BgL_rtl_inszf2bbvzf2_bglt)
																						BgL_auxz00_19596);
																				}
																				BgL_auxz00_19594 =
																					(((BgL_rtl_inszf2bbvzf2_bglt)
																						COBJECT(BgL_auxz00_19595))->
																					BgL_outz00);
																			}
																			{
																				obj_t BgL_auxz00_19589;

																				{	/* SawBbv/bbv-specialize.scm 1374 */
																					BgL_objectz00_bglt BgL_tmpz00_19590;

																					BgL_tmpz00_19590 =
																						((BgL_objectz00_bglt)
																						BgL_new1787z00_4173);
																					BgL_auxz00_19589 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_19590);
																				}
																				BgL_auxz00_19588 =
																					((BgL_rtl_inszf2bbvzf2_bglt)
																					BgL_auxz00_19589);
																			}
																			((((BgL_rtl_inszf2bbvzf2_bglt)
																						COBJECT(BgL_auxz00_19588))->
																					BgL_outz00) =
																				((obj_t) BgL_auxz00_19594), BUNSPEC);
																		}
																		{
																			obj_t BgL_auxz00_19610;
																			BgL_rtl_inszf2bbvzf2_bglt
																				BgL_auxz00_19604;
																			{
																				BgL_rtl_inszf2bbvzf2_bglt
																					BgL_auxz00_19611;
																				{
																					obj_t BgL_auxz00_19612;

																					{	/* SawBbv/bbv-specialize.scm 1374 */
																						BgL_objectz00_bglt BgL_tmpz00_19613;

																						BgL_tmpz00_19613 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_insz00_bglt)
																								BgL_iz00_4155));
																						BgL_auxz00_19612 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_19613);
																					}
																					BgL_auxz00_19611 =
																						((BgL_rtl_inszf2bbvzf2_bglt)
																						BgL_auxz00_19612);
																				}
																				BgL_auxz00_19610 =
																					(((BgL_rtl_inszf2bbvzf2_bglt)
																						COBJECT(BgL_auxz00_19611))->
																					BgL_inz00);
																			}
																			{
																				obj_t BgL_auxz00_19605;

																				{	/* SawBbv/bbv-specialize.scm 1374 */
																					BgL_objectz00_bglt BgL_tmpz00_19606;

																					BgL_tmpz00_19606 =
																						((BgL_objectz00_bglt)
																						BgL_new1787z00_4173);
																					BgL_auxz00_19605 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_19606);
																				}
																				BgL_auxz00_19604 =
																					((BgL_rtl_inszf2bbvzf2_bglt)
																					BgL_auxz00_19605);
																			}
																			((((BgL_rtl_inszf2bbvzf2_bglt)
																						COBJECT(BgL_auxz00_19604))->
																					BgL_inz00) =
																				((obj_t) BgL_auxz00_19610), BUNSPEC);
																		}
																		{
																			BgL_rtl_inszf2bbvzf2_bglt
																				BgL_auxz00_19620;
																			{
																				obj_t BgL_auxz00_19621;

																				{	/* SawBbv/bbv-specialize.scm 1374 */
																					BgL_objectz00_bglt BgL_tmpz00_19622;

																					BgL_tmpz00_19622 =
																						((BgL_objectz00_bglt)
																						BgL_new1787z00_4173);
																					BgL_auxz00_19621 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_19622);
																				}
																				BgL_auxz00_19620 =
																					((BgL_rtl_inszf2bbvzf2_bglt)
																					BgL_auxz00_19621);
																			}
																			((((BgL_rtl_inszf2bbvzf2_bglt)
																						COBJECT(BgL_auxz00_19620))->
																					BgL_ctxz00) =
																				((BgL_bbvzd2ctxzd2_bglt)
																					BgL_ctxz00_4156), BUNSPEC);
																		}
																		{
																			obj_t BgL_auxz00_19633;
																			BgL_rtl_inszf2bbvzf2_bglt
																				BgL_auxz00_19627;
																			{
																				BgL_rtl_inszf2bbvzf2_bglt
																					BgL_auxz00_19634;
																				{
																					obj_t BgL_auxz00_19635;

																					{	/* SawBbv/bbv-specialize.scm 1374 */
																						BgL_objectz00_bglt BgL_tmpz00_19636;

																						BgL_tmpz00_19636 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_insz00_bglt)
																								BgL_iz00_4155));
																						BgL_auxz00_19635 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_19636);
																					}
																					BgL_auxz00_19634 =
																						((BgL_rtl_inszf2bbvzf2_bglt)
																						BgL_auxz00_19635);
																				}
																				BgL_auxz00_19633 =
																					(((BgL_rtl_inszf2bbvzf2_bglt)
																						COBJECT(BgL_auxz00_19634))->
																					BgL_z52hashz52);
																			}
																			{
																				obj_t BgL_auxz00_19628;

																				{	/* SawBbv/bbv-specialize.scm 1374 */
																					BgL_objectz00_bglt BgL_tmpz00_19629;

																					BgL_tmpz00_19629 =
																						((BgL_objectz00_bglt)
																						BgL_new1787z00_4173);
																					BgL_auxz00_19628 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_19629);
																				}
																				BgL_auxz00_19627 =
																					((BgL_rtl_inszf2bbvzf2_bglt)
																					BgL_auxz00_19628);
																			}
																			((((BgL_rtl_inszf2bbvzf2_bglt)
																						COBJECT(BgL_auxz00_19627))->
																					BgL_z52hashz52) =
																				((obj_t) BgL_auxz00_19633), BUNSPEC);
																		}
																		BgL_val0_2429z00_4169 = BgL_new1787z00_4173;
																	}
																	{	/* SawBbv/bbv-specialize.scm 1373 */
																		int BgL_tmpz00_19643;

																		BgL_tmpz00_19643 = (int) (3L);
																		BGL_MVALUES_NUMBER_SET(BgL_tmpz00_19643);
																	}
																	{	/* SawBbv/bbv-specialize.scm 1373 */
																		obj_t BgL_auxz00_19648;
																		int BgL_tmpz00_19646;

																		BgL_auxz00_19648 =
																			((obj_t) BgL_ctxz00_4156);
																		BgL_tmpz00_19646 = (int) (1L);
																		BGL_MVALUES_VAL_SET(BgL_tmpz00_19646,
																			BgL_auxz00_19648);
																	}
																	{	/* SawBbv/bbv-specialize.scm 1373 */
																		obj_t BgL_auxz00_19653;
																		int BgL_tmpz00_19651;

																		BgL_auxz00_19653 =
																			((obj_t) BgL_ctxz00_4156);
																		BgL_tmpz00_19651 = (int) (2L);
																		BGL_MVALUES_VAL_SET(BgL_tmpz00_19651,
																			BgL_auxz00_19653);
																	}
																	return BgL_val0_2429z00_4169;
																}
																break;
															case 2L:

																{	/* SawBbv/bbv-specialize.scm 1380 */
																	BgL_rtl_insz00_bglt BgL_val0_2432z00_4183;

																	{	/* SawBbv/bbv-specialize.scm 1380 */
																		BgL_rtl_insz00_bglt BgL_new1797z00_4187;

																		{	/* SawBbv/bbv-specialize.scm 1381 */
																			BgL_rtl_insz00_bglt BgL_tmp1805z00_4192;
																			BgL_rtl_inszf2bbvzf2_bglt
																				BgL_wide1806z00_4193;
																			{
																				BgL_rtl_insz00_bglt BgL_auxz00_19656;

																				{	/* SawBbv/bbv-specialize.scm 1381 */
																					BgL_rtl_insz00_bglt
																						BgL_new1804z00_4195;
																					BgL_new1804z00_4195 =
																						((BgL_rtl_insz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_rtl_insz00_bgl))));
																					{	/* SawBbv/bbv-specialize.scm 1381 */
																						long BgL_arg3681z00_4196;

																						BgL_arg3681z00_4196 =
																							BGL_CLASS_NUM
																							(BGl_rtl_insz00zzsaw_defsz00);
																						BGL_OBJECT_CLASS_NUM_SET((
																								(BgL_objectz00_bglt)
																								BgL_new1804z00_4195),
																							BgL_arg3681z00_4196);
																					}
																					{	/* SawBbv/bbv-specialize.scm 1381 */
																						BgL_objectz00_bglt BgL_tmpz00_19661;

																						BgL_tmpz00_19661 =
																							((BgL_objectz00_bglt)
																							BgL_new1804z00_4195);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_tmpz00_19661, BFALSE);
																					}
																					((BgL_objectz00_bglt)
																						BgL_new1804z00_4195);
																					BgL_auxz00_19656 =
																						BgL_new1804z00_4195;
																				}
																				BgL_tmp1805z00_4192 =
																					((BgL_rtl_insz00_bglt)
																					BgL_auxz00_19656);
																			}
																			BgL_wide1806z00_4193 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_rtl_inszf2bbvzf2_bgl))));
																			{	/* SawBbv/bbv-specialize.scm 1381 */
																				obj_t BgL_auxz00_19669;
																				BgL_objectz00_bglt BgL_tmpz00_19667;

																				BgL_auxz00_19669 =
																					((obj_t) BgL_wide1806z00_4193);
																				BgL_tmpz00_19667 =
																					((BgL_objectz00_bglt)
																					BgL_tmp1805z00_4192);
																				BGL_OBJECT_WIDENING_SET
																					(BgL_tmpz00_19667, BgL_auxz00_19669);
																			}
																			((BgL_objectz00_bglt)
																				BgL_tmp1805z00_4192);
																			{	/* SawBbv/bbv-specialize.scm 1381 */
																				long BgL_arg3680z00_4194;

																				BgL_arg3680z00_4194 =
																					BGL_CLASS_NUM
																					(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_tmp1805z00_4192),
																					BgL_arg3680z00_4194);
																			}
																			BgL_new1797z00_4187 =
																				((BgL_rtl_insz00_bglt)
																				BgL_tmp1805z00_4192);
																		}
																		((((BgL_rtl_insz00_bglt) COBJECT(
																						((BgL_rtl_insz00_bglt)
																							BgL_new1797z00_4187)))->
																				BgL_locz00) =
																			((obj_t) (((BgL_rtl_insz00_bglt)
																						COBJECT(BgL_iz00_4155))->
																					BgL_locz00)), BUNSPEC);
																		((((BgL_rtl_insz00_bglt)
																					COBJECT(((BgL_rtl_insz00_bglt)
																							BgL_new1797z00_4187)))->
																				BgL_z52spillz52) =
																			((obj_t) (((BgL_rtl_insz00_bglt)
																						COBJECT(BgL_iz00_4155))->
																					BgL_z52spillz52)), BUNSPEC);
																		((((BgL_rtl_insz00_bglt)
																					COBJECT(((BgL_rtl_insz00_bglt)
																							BgL_new1797z00_4187)))->
																				BgL_destz00) =
																			((obj_t) (((BgL_rtl_insz00_bglt)
																						COBJECT(BgL_iz00_4155))->
																					BgL_destz00)), BUNSPEC);
																		{
																			BgL_rtl_funz00_bglt BgL_auxz00_19686;

																			{
																				BgL_rtl_loadiz00_bglt BgL_auxz00_19688;

																				{	/* SawBbv/bbv-specialize.scm 1236 */
																					BgL_rtl_loadiz00_bglt
																						BgL_new1750z00_3999;
																					{	/* SawBbv/bbv-specialize.scm 1236 */
																						BgL_rtl_loadiz00_bglt
																							BgL_new1749z00_4003;
																						BgL_new1749z00_4003 =
																							((BgL_rtl_loadiz00_bglt)
																							BOBJECT(GC_MALLOC(sizeof(struct
																										BgL_rtl_loadiz00_bgl))));
																						{	/* SawBbv/bbv-specialize.scm 1236 */
																							long BgL_arg3589z00_4004;

																							BgL_arg3589z00_4004 =
																								BGL_CLASS_NUM
																								(BGl_rtl_loadiz00zzsaw_defsz00);
																							BGL_OBJECT_CLASS_NUM_SET((
																									(BgL_objectz00_bglt)
																									BgL_new1749z00_4003),
																								BgL_arg3589z00_4004);
																						}
																						BgL_new1750z00_3999 =
																							BgL_new1749z00_4003;
																					}
																					((((BgL_rtl_funz00_bglt) COBJECT(
																									((BgL_rtl_funz00_bglt)
																										BgL_new1750z00_3999)))->
																							BgL_locz00) =
																						((obj_t) BFALSE), BUNSPEC);
																					{
																						BgL_atomz00_bglt BgL_auxz00_19695;

																						{	/* SawBbv/bbv-specialize.scm 1237 */
																							BgL_literalz00_bglt
																								BgL_new1752z00_4000;
																							{	/* SawBbv/bbv-specialize.scm 1237 */
																								BgL_literalz00_bglt
																									BgL_new1751z00_4001;
																								BgL_new1751z00_4001 =
																									((BgL_literalz00_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_literalz00_bgl))));
																								{	/* SawBbv/bbv-specialize.scm 1237 */
																									long BgL_arg3588z00_4002;

																									{	/* SawBbv/bbv-specialize.scm 1237 */
																										obj_t BgL_classz00_7861;

																										BgL_classz00_7861 =
																											BGl_literalz00zzast_nodez00;
																										BgL_arg3588z00_4002 =
																											BGL_CLASS_NUM
																											(BgL_classz00_7861);
																									}
																									BGL_OBJECT_CLASS_NUM_SET(
																										((BgL_objectz00_bglt)
																											BgL_new1751z00_4001),
																										BgL_arg3588z00_4002);
																								}
																								{	/* SawBbv/bbv-specialize.scm 1237 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_19700;
																									BgL_tmpz00_19700 =
																										((BgL_objectz00_bglt)
																										BgL_new1751z00_4001);
																									BGL_OBJECT_WIDENING_SET
																										(BgL_tmpz00_19700, BFALSE);
																								}
																								((BgL_objectz00_bglt)
																									BgL_new1751z00_4001);
																								BgL_new1752z00_4000 =
																									BgL_new1751z00_4001;
																							}
																							((((BgL_nodez00_bglt) COBJECT(
																											((BgL_nodez00_bglt)
																												BgL_new1752z00_4000)))->
																									BgL_locz00) =
																								((obj_t) BFALSE), BUNSPEC);
																							((((BgL_nodez00_bglt)
																										COBJECT(((BgL_nodez00_bglt)
																												BgL_new1752z00_4000)))->
																									BgL_typez00) =
																								((BgL_typez00_bglt) (
																										(BgL_typez00_bglt)
																										BGl_za2boolza2z00zztype_cachez00)),
																								BUNSPEC);
																							((((BgL_atomz00_bglt)
																										COBJECT(((BgL_atomz00_bglt)
																												BgL_new1752z00_4000)))->
																									BgL_valuez00) =
																								((obj_t) BFALSE), BUNSPEC);
																							BgL_auxz00_19695 =
																								((BgL_atomz00_bglt)
																								BgL_new1752z00_4000);
																						}
																						((((BgL_rtl_loadiz00_bglt)
																									COBJECT
																									(BgL_new1750z00_3999))->
																								BgL_constantz00) =
																							((BgL_atomz00_bglt)
																								BgL_auxz00_19695), BUNSPEC);
																					}
																					BgL_auxz00_19688 =
																						BgL_new1750z00_3999;
																				}
																				BgL_auxz00_19686 =
																					((BgL_rtl_funz00_bglt)
																					BgL_auxz00_19688);
																			}
																			((((BgL_rtl_insz00_bglt) COBJECT(
																							((BgL_rtl_insz00_bglt)
																								BgL_new1797z00_4187)))->
																					BgL_funz00) =
																				((BgL_rtl_funz00_bglt)
																					BgL_auxz00_19686), BUNSPEC);
																		}
																		((((BgL_rtl_insz00_bglt) COBJECT(
																						((BgL_rtl_insz00_bglt)
																							BgL_new1797z00_4187)))->
																				BgL_argsz00) = ((obj_t) BNIL), BUNSPEC);
																		{
																			obj_t BgL_auxz00_19723;
																			BgL_rtl_inszf2bbvzf2_bglt
																				BgL_auxz00_19717;
																			{
																				BgL_rtl_inszf2bbvzf2_bglt
																					BgL_auxz00_19724;
																				{
																					obj_t BgL_auxz00_19725;

																					{	/* SawBbv/bbv-specialize.scm 1381 */
																						BgL_objectz00_bglt BgL_tmpz00_19726;

																						BgL_tmpz00_19726 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_insz00_bglt)
																								BgL_iz00_4155));
																						BgL_auxz00_19725 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_19726);
																					}
																					BgL_auxz00_19724 =
																						((BgL_rtl_inszf2bbvzf2_bglt)
																						BgL_auxz00_19725);
																				}
																				BgL_auxz00_19723 =
																					(((BgL_rtl_inszf2bbvzf2_bglt)
																						COBJECT(BgL_auxz00_19724))->
																					BgL_defz00);
																			}
																			{
																				obj_t BgL_auxz00_19718;

																				{	/* SawBbv/bbv-specialize.scm 1381 */
																					BgL_objectz00_bglt BgL_tmpz00_19719;

																					BgL_tmpz00_19719 =
																						((BgL_objectz00_bglt)
																						BgL_new1797z00_4187);
																					BgL_auxz00_19718 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_19719);
																				}
																				BgL_auxz00_19717 =
																					((BgL_rtl_inszf2bbvzf2_bglt)
																					BgL_auxz00_19718);
																			}
																			((((BgL_rtl_inszf2bbvzf2_bglt)
																						COBJECT(BgL_auxz00_19717))->
																					BgL_defz00) =
																				((obj_t) BgL_auxz00_19723), BUNSPEC);
																		}
																		{
																			obj_t BgL_auxz00_19739;
																			BgL_rtl_inszf2bbvzf2_bglt
																				BgL_auxz00_19733;
																			{
																				BgL_rtl_inszf2bbvzf2_bglt
																					BgL_auxz00_19740;
																				{
																					obj_t BgL_auxz00_19741;

																					{	/* SawBbv/bbv-specialize.scm 1381 */
																						BgL_objectz00_bglt BgL_tmpz00_19742;

																						BgL_tmpz00_19742 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_insz00_bglt)
																								BgL_iz00_4155));
																						BgL_auxz00_19741 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_19742);
																					}
																					BgL_auxz00_19740 =
																						((BgL_rtl_inszf2bbvzf2_bglt)
																						BgL_auxz00_19741);
																				}
																				BgL_auxz00_19739 =
																					(((BgL_rtl_inszf2bbvzf2_bglt)
																						COBJECT(BgL_auxz00_19740))->
																					BgL_outz00);
																			}
																			{
																				obj_t BgL_auxz00_19734;

																				{	/* SawBbv/bbv-specialize.scm 1381 */
																					BgL_objectz00_bglt BgL_tmpz00_19735;

																					BgL_tmpz00_19735 =
																						((BgL_objectz00_bglt)
																						BgL_new1797z00_4187);
																					BgL_auxz00_19734 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_19735);
																				}
																				BgL_auxz00_19733 =
																					((BgL_rtl_inszf2bbvzf2_bglt)
																					BgL_auxz00_19734);
																			}
																			((((BgL_rtl_inszf2bbvzf2_bglt)
																						COBJECT(BgL_auxz00_19733))->
																					BgL_outz00) =
																				((obj_t) BgL_auxz00_19739), BUNSPEC);
																		}
																		{
																			obj_t BgL_auxz00_19755;
																			BgL_rtl_inszf2bbvzf2_bglt
																				BgL_auxz00_19749;
																			{
																				BgL_rtl_inszf2bbvzf2_bglt
																					BgL_auxz00_19756;
																				{
																					obj_t BgL_auxz00_19757;

																					{	/* SawBbv/bbv-specialize.scm 1381 */
																						BgL_objectz00_bglt BgL_tmpz00_19758;

																						BgL_tmpz00_19758 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_insz00_bglt)
																								BgL_iz00_4155));
																						BgL_auxz00_19757 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_19758);
																					}
																					BgL_auxz00_19756 =
																						((BgL_rtl_inszf2bbvzf2_bglt)
																						BgL_auxz00_19757);
																				}
																				BgL_auxz00_19755 =
																					(((BgL_rtl_inszf2bbvzf2_bglt)
																						COBJECT(BgL_auxz00_19756))->
																					BgL_inz00);
																			}
																			{
																				obj_t BgL_auxz00_19750;

																				{	/* SawBbv/bbv-specialize.scm 1381 */
																					BgL_objectz00_bglt BgL_tmpz00_19751;

																					BgL_tmpz00_19751 =
																						((BgL_objectz00_bglt)
																						BgL_new1797z00_4187);
																					BgL_auxz00_19750 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_19751);
																				}
																				BgL_auxz00_19749 =
																					((BgL_rtl_inszf2bbvzf2_bglt)
																					BgL_auxz00_19750);
																			}
																			((((BgL_rtl_inszf2bbvzf2_bglt)
																						COBJECT(BgL_auxz00_19749))->
																					BgL_inz00) =
																				((obj_t) BgL_auxz00_19755), BUNSPEC);
																		}
																		{
																			BgL_rtl_inszf2bbvzf2_bglt
																				BgL_auxz00_19765;
																			{
																				obj_t BgL_auxz00_19766;

																				{	/* SawBbv/bbv-specialize.scm 1381 */
																					BgL_objectz00_bglt BgL_tmpz00_19767;

																					BgL_tmpz00_19767 =
																						((BgL_objectz00_bglt)
																						BgL_new1797z00_4187);
																					BgL_auxz00_19766 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_19767);
																				}
																				BgL_auxz00_19765 =
																					((BgL_rtl_inszf2bbvzf2_bglt)
																					BgL_auxz00_19766);
																			}
																			((((BgL_rtl_inszf2bbvzf2_bglt)
																						COBJECT(BgL_auxz00_19765))->
																					BgL_ctxz00) =
																				((BgL_bbvzd2ctxzd2_bglt)
																					BgL_ctxz00_4156), BUNSPEC);
																		}
																		{
																			obj_t BgL_auxz00_19778;
																			BgL_rtl_inszf2bbvzf2_bglt
																				BgL_auxz00_19772;
																			{
																				BgL_rtl_inszf2bbvzf2_bglt
																					BgL_auxz00_19779;
																				{
																					obj_t BgL_auxz00_19780;

																					{	/* SawBbv/bbv-specialize.scm 1381 */
																						BgL_objectz00_bglt BgL_tmpz00_19781;

																						BgL_tmpz00_19781 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_insz00_bglt)
																								BgL_iz00_4155));
																						BgL_auxz00_19780 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_19781);
																					}
																					BgL_auxz00_19779 =
																						((BgL_rtl_inszf2bbvzf2_bglt)
																						BgL_auxz00_19780);
																				}
																				BgL_auxz00_19778 =
																					(((BgL_rtl_inszf2bbvzf2_bglt)
																						COBJECT(BgL_auxz00_19779))->
																					BgL_z52hashz52);
																			}
																			{
																				obj_t BgL_auxz00_19773;

																				{	/* SawBbv/bbv-specialize.scm 1381 */
																					BgL_objectz00_bglt BgL_tmpz00_19774;

																					BgL_tmpz00_19774 =
																						((BgL_objectz00_bglt)
																						BgL_new1797z00_4187);
																					BgL_auxz00_19773 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_19774);
																				}
																				BgL_auxz00_19772 =
																					((BgL_rtl_inszf2bbvzf2_bglt)
																					BgL_auxz00_19773);
																			}
																			((((BgL_rtl_inszf2bbvzf2_bglt)
																						COBJECT(BgL_auxz00_19772))->
																					BgL_z52hashz52) =
																				((obj_t) BgL_auxz00_19778), BUNSPEC);
																		}
																		BgL_val0_2432z00_4183 = BgL_new1797z00_4187;
																	}
																	{	/* SawBbv/bbv-specialize.scm 1380 */
																		int BgL_tmpz00_19788;

																		BgL_tmpz00_19788 = (int) (3L);
																		BGL_MVALUES_NUMBER_SET(BgL_tmpz00_19788);
																	}
																	{	/* SawBbv/bbv-specialize.scm 1380 */
																		obj_t BgL_auxz00_19793;
																		int BgL_tmpz00_19791;

																		BgL_auxz00_19793 =
																			((obj_t) BgL_ctxz00_4156);
																		BgL_tmpz00_19791 = (int) (1L);
																		BGL_MVALUES_VAL_SET(BgL_tmpz00_19791,
																			BgL_auxz00_19793);
																	}
																	{	/* SawBbv/bbv-specialize.scm 1380 */
																		obj_t BgL_auxz00_19798;
																		int BgL_tmpz00_19796;

																		BgL_auxz00_19798 =
																			((obj_t) BgL_ctxz00_4156);
																		BgL_tmpz00_19796 = (int) (2L);
																		BGL_MVALUES_VAL_SET(BgL_tmpz00_19796,
																			BgL_auxz00_19798);
																	}
																	return BgL_val0_2432z00_4183;
																}
																break;
															default:
																{	/* SawBbv/bbv-specialize.scm 1387 */
																	obj_t BgL_ctxzb2zb2_4199;

																	BgL_ctxzb2zb2_4199 =
																		BGl_specializa7ezf2opze70zb2zzsaw_bbvzd2specializa7ez75
																		(BgL_opz00_4164, BgL_lhsz00_4160,
																		BgL_rhsz00_4161,
																		((BgL_bbvzd2rangezd2_bglt)
																			BgL_intlz00_4162),
																		((BgL_bbvzd2rangezd2_bglt)
																			BgL_intrz00_4163), BgL_ctxz00_4156);
																	{	/* SawBbv/bbv-specialize.scm 1388 */
																		obj_t BgL_ctxzd2zd2_4200;

																		{	/* SawBbv/bbv-specialize.scm 1391 */
																			obj_t BgL_tmpz00_8200;

																			{	/* SawBbv/bbv-specialize.scm 1391 */
																				int BgL_tmpz00_19804;

																				BgL_tmpz00_19804 = (int) (1L);
																				BgL_tmpz00_8200 =
																					BGL_MVALUES_VAL(BgL_tmpz00_19804);
																			}
																			{	/* SawBbv/bbv-specialize.scm 1391 */
																				int BgL_tmpz00_19807;

																				BgL_tmpz00_19807 = (int) (1L);
																				BGL_MVALUES_VAL_SET(BgL_tmpz00_19807,
																					BUNSPEC);
																			}
																			BgL_ctxzd2zd2_4200 = BgL_tmpz00_8200;
																		}
																		{	/* SawBbv/bbv-specialize.scm 1391 */
																			BgL_rtl_insz00_bglt BgL_val0_2426z00_4201;

																			{	/* SawBbv/bbv-specialize.scm 1391 */
																				BgL_rtl_insz00_bglt BgL_new1774z00_4205;

																				{	/* SawBbv/bbv-specialize.scm 1391 */
																					BgL_rtl_insz00_bglt
																						BgL_tmp1783z00_4211;
																					BgL_rtl_inszf2bbvzf2_bglt
																						BgL_wide1784z00_4212;
																					{
																						BgL_rtl_insz00_bglt
																							BgL_auxz00_19810;
																						{	/* SawBbv/bbv-specialize.scm 1391 */
																							BgL_rtl_insz00_bglt
																								BgL_new1782z00_4214;
																							BgL_new1782z00_4214 =
																								((BgL_rtl_insz00_bglt)
																								BOBJECT(GC_MALLOC(sizeof(struct
																											BgL_rtl_insz00_bgl))));
																							{	/* SawBbv/bbv-specialize.scm 1391 */
																								long BgL_arg3684z00_4215;

																								BgL_arg3684z00_4215 =
																									BGL_CLASS_NUM
																									(BGl_rtl_insz00zzsaw_defsz00);
																								BGL_OBJECT_CLASS_NUM_SET((
																										(BgL_objectz00_bglt)
																										BgL_new1782z00_4214),
																									BgL_arg3684z00_4215);
																							}
																							{	/* SawBbv/bbv-specialize.scm 1391 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_19815;
																								BgL_tmpz00_19815 =
																									((BgL_objectz00_bglt)
																									BgL_new1782z00_4214);
																								BGL_OBJECT_WIDENING_SET
																									(BgL_tmpz00_19815, BFALSE);
																							}
																							((BgL_objectz00_bglt)
																								BgL_new1782z00_4214);
																							BgL_auxz00_19810 =
																								BgL_new1782z00_4214;
																						}
																						BgL_tmp1783z00_4211 =
																							((BgL_rtl_insz00_bglt)
																							BgL_auxz00_19810);
																					}
																					BgL_wide1784z00_4212 =
																						((BgL_rtl_inszf2bbvzf2_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_rtl_inszf2bbvzf2_bgl))));
																					{	/* SawBbv/bbv-specialize.scm 1391 */
																						obj_t BgL_auxz00_19823;
																						BgL_objectz00_bglt BgL_tmpz00_19821;

																						BgL_auxz00_19823 =
																							((obj_t) BgL_wide1784z00_4212);
																						BgL_tmpz00_19821 =
																							((BgL_objectz00_bglt)
																							BgL_tmp1783z00_4211);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_tmpz00_19821,
																							BgL_auxz00_19823);
																					}
																					((BgL_objectz00_bglt)
																						BgL_tmp1783z00_4211);
																					{	/* SawBbv/bbv-specialize.scm 1391 */
																						long BgL_arg3683z00_4213;

																						BgL_arg3683z00_4213 =
																							BGL_CLASS_NUM
																							(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																						BGL_OBJECT_CLASS_NUM_SET((
																								(BgL_objectz00_bglt)
																								BgL_tmp1783z00_4211),
																							BgL_arg3683z00_4213);
																					}
																					BgL_new1774z00_4205 =
																						((BgL_rtl_insz00_bglt)
																						BgL_tmp1783z00_4211);
																				}
																				((((BgL_rtl_insz00_bglt) COBJECT(
																								((BgL_rtl_insz00_bglt)
																									BgL_new1774z00_4205)))->
																						BgL_locz00) =
																					((obj_t) (((BgL_rtl_insz00_bglt)
																								COBJECT(BgL_iz00_4155))->
																							BgL_locz00)), BUNSPEC);
																				((((BgL_rtl_insz00_bglt)
																							COBJECT(((BgL_rtl_insz00_bglt)
																									BgL_new1774z00_4205)))->
																						BgL_z52spillz52) =
																					((obj_t) (((BgL_rtl_insz00_bglt)
																								COBJECT(BgL_iz00_4155))->
																							BgL_z52spillz52)), BUNSPEC);
																				((((BgL_rtl_insz00_bglt)
																							COBJECT(((BgL_rtl_insz00_bglt)
																									BgL_new1774z00_4205)))->
																						BgL_destz00) =
																					((obj_t) (((BgL_rtl_insz00_bglt)
																								COBJECT(BgL_iz00_4155))->
																							BgL_destz00)), BUNSPEC);
																				((((BgL_rtl_insz00_bglt)
																							COBJECT(((BgL_rtl_insz00_bglt)
																									BgL_new1774z00_4205)))->
																						BgL_funz00) =
																					((BgL_rtl_funz00_bglt) ((
																								(BgL_rtl_insz00_bglt)
																								COBJECT(BgL_iz00_4155))->
																							BgL_funz00)), BUNSPEC);
																				((((BgL_rtl_insz00_bglt)
																							COBJECT(((BgL_rtl_insz00_bglt)
																									BgL_new1774z00_4205)))->
																						BgL_argsz00) =
																					((obj_t) (((BgL_rtl_insz00_bglt)
																								COBJECT(BgL_iz00_4155))->
																							BgL_argsz00)), BUNSPEC);
																				{
																					obj_t BgL_auxz00_19852;
																					BgL_rtl_inszf2bbvzf2_bglt
																						BgL_auxz00_19846;
																					{
																						BgL_rtl_inszf2bbvzf2_bglt
																							BgL_auxz00_19853;
																						{
																							obj_t BgL_auxz00_19854;

																							{	/* SawBbv/bbv-specialize.scm 1391 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_19855;
																								BgL_tmpz00_19855 =
																									((BgL_objectz00_bglt) (
																										(BgL_rtl_insz00_bglt)
																										BgL_iz00_4155));
																								BgL_auxz00_19854 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_19855);
																							}
																							BgL_auxz00_19853 =
																								((BgL_rtl_inszf2bbvzf2_bglt)
																								BgL_auxz00_19854);
																						}
																						BgL_auxz00_19852 =
																							(((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_19853))->
																							BgL_defz00);
																					}
																					{
																						obj_t BgL_auxz00_19847;

																						{	/* SawBbv/bbv-specialize.scm 1391 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_19848;
																							BgL_tmpz00_19848 =
																								((BgL_objectz00_bglt)
																								BgL_new1774z00_4205);
																							BgL_auxz00_19847 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_19848);
																						}
																						BgL_auxz00_19846 =
																							((BgL_rtl_inszf2bbvzf2_bglt)
																							BgL_auxz00_19847);
																					}
																					((((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_19846))->
																							BgL_defz00) =
																						((obj_t) BgL_auxz00_19852),
																						BUNSPEC);
																				}
																				{
																					obj_t BgL_auxz00_19868;
																					BgL_rtl_inszf2bbvzf2_bglt
																						BgL_auxz00_19862;
																					{
																						BgL_rtl_inszf2bbvzf2_bglt
																							BgL_auxz00_19869;
																						{
																							obj_t BgL_auxz00_19870;

																							{	/* SawBbv/bbv-specialize.scm 1391 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_19871;
																								BgL_tmpz00_19871 =
																									((BgL_objectz00_bglt) (
																										(BgL_rtl_insz00_bglt)
																										BgL_iz00_4155));
																								BgL_auxz00_19870 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_19871);
																							}
																							BgL_auxz00_19869 =
																								((BgL_rtl_inszf2bbvzf2_bglt)
																								BgL_auxz00_19870);
																						}
																						BgL_auxz00_19868 =
																							(((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_19869))->
																							BgL_outz00);
																					}
																					{
																						obj_t BgL_auxz00_19863;

																						{	/* SawBbv/bbv-specialize.scm 1391 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_19864;
																							BgL_tmpz00_19864 =
																								((BgL_objectz00_bglt)
																								BgL_new1774z00_4205);
																							BgL_auxz00_19863 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_19864);
																						}
																						BgL_auxz00_19862 =
																							((BgL_rtl_inszf2bbvzf2_bglt)
																							BgL_auxz00_19863);
																					}
																					((((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_19862))->
																							BgL_outz00) =
																						((obj_t) BgL_auxz00_19868),
																						BUNSPEC);
																				}
																				{
																					obj_t BgL_auxz00_19884;
																					BgL_rtl_inszf2bbvzf2_bglt
																						BgL_auxz00_19878;
																					{
																						BgL_rtl_inszf2bbvzf2_bglt
																							BgL_auxz00_19885;
																						{
																							obj_t BgL_auxz00_19886;

																							{	/* SawBbv/bbv-specialize.scm 1391 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_19887;
																								BgL_tmpz00_19887 =
																									((BgL_objectz00_bglt) (
																										(BgL_rtl_insz00_bglt)
																										BgL_iz00_4155));
																								BgL_auxz00_19886 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_19887);
																							}
																							BgL_auxz00_19885 =
																								((BgL_rtl_inszf2bbvzf2_bglt)
																								BgL_auxz00_19886);
																						}
																						BgL_auxz00_19884 =
																							(((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_19885))->
																							BgL_inz00);
																					}
																					{
																						obj_t BgL_auxz00_19879;

																						{	/* SawBbv/bbv-specialize.scm 1391 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_19880;
																							BgL_tmpz00_19880 =
																								((BgL_objectz00_bglt)
																								BgL_new1774z00_4205);
																							BgL_auxz00_19879 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_19880);
																						}
																						BgL_auxz00_19878 =
																							((BgL_rtl_inszf2bbvzf2_bglt)
																							BgL_auxz00_19879);
																					}
																					((((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_19878))->
																							BgL_inz00) =
																						((obj_t) BgL_auxz00_19884),
																						BUNSPEC);
																				}
																				{
																					BgL_bbvzd2ctxzd2_bglt
																						BgL_auxz00_19900;
																					BgL_rtl_inszf2bbvzf2_bglt
																						BgL_auxz00_19894;
																					{
																						BgL_rtl_inszf2bbvzf2_bglt
																							BgL_auxz00_19901;
																						{
																							obj_t BgL_auxz00_19902;

																							{	/* SawBbv/bbv-specialize.scm 1391 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_19903;
																								BgL_tmpz00_19903 =
																									((BgL_objectz00_bglt) (
																										(BgL_rtl_insz00_bglt)
																										BgL_iz00_4155));
																								BgL_auxz00_19902 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_19903);
																							}
																							BgL_auxz00_19901 =
																								((BgL_rtl_inszf2bbvzf2_bglt)
																								BgL_auxz00_19902);
																						}
																						BgL_auxz00_19900 =
																							(((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_19901))->
																							BgL_ctxz00);
																					}
																					{
																						obj_t BgL_auxz00_19895;

																						{	/* SawBbv/bbv-specialize.scm 1391 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_19896;
																							BgL_tmpz00_19896 =
																								((BgL_objectz00_bglt)
																								BgL_new1774z00_4205);
																							BgL_auxz00_19895 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_19896);
																						}
																						BgL_auxz00_19894 =
																							((BgL_rtl_inszf2bbvzf2_bglt)
																							BgL_auxz00_19895);
																					}
																					((((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_19894))->
																							BgL_ctxz00) =
																						((BgL_bbvzd2ctxzd2_bglt)
																							BgL_auxz00_19900), BUNSPEC);
																				}
																				{
																					obj_t BgL_auxz00_19916;
																					BgL_rtl_inszf2bbvzf2_bglt
																						BgL_auxz00_19910;
																					{
																						BgL_rtl_inszf2bbvzf2_bglt
																							BgL_auxz00_19917;
																						{
																							obj_t BgL_auxz00_19918;

																							{	/* SawBbv/bbv-specialize.scm 1391 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_19919;
																								BgL_tmpz00_19919 =
																									((BgL_objectz00_bglt) (
																										(BgL_rtl_insz00_bglt)
																										BgL_iz00_4155));
																								BgL_auxz00_19918 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_19919);
																							}
																							BgL_auxz00_19917 =
																								((BgL_rtl_inszf2bbvzf2_bglt)
																								BgL_auxz00_19918);
																						}
																						BgL_auxz00_19916 =
																							(((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_19917))->
																							BgL_z52hashz52);
																					}
																					{
																						obj_t BgL_auxz00_19911;

																						{	/* SawBbv/bbv-specialize.scm 1391 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_19912;
																							BgL_tmpz00_19912 =
																								((BgL_objectz00_bglt)
																								BgL_new1774z00_4205);
																							BgL_auxz00_19911 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_19912);
																						}
																						BgL_auxz00_19910 =
																							((BgL_rtl_inszf2bbvzf2_bglt)
																							BgL_auxz00_19911);
																					}
																					((((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_19910))->
																							BgL_z52hashz52) =
																						((obj_t) BgL_auxz00_19916),
																						BUNSPEC);
																				}
																				BgL_val0_2426z00_4201 =
																					BgL_new1774z00_4205;
																			}
																			{	/* SawBbv/bbv-specialize.scm 1391 */
																				int BgL_tmpz00_19926;

																				BgL_tmpz00_19926 = (int) (3L);
																				BGL_MVALUES_NUMBER_SET
																					(BgL_tmpz00_19926);
																			}
																			{	/* SawBbv/bbv-specialize.scm 1391 */
																				int BgL_tmpz00_19929;

																				BgL_tmpz00_19929 = (int) (1L);
																				BGL_MVALUES_VAL_SET(BgL_tmpz00_19929,
																					BgL_ctxzb2zb2_4199);
																			}
																			{	/* SawBbv/bbv-specialize.scm 1391 */
																				int BgL_tmpz00_19932;

																				BgL_tmpz00_19932 = (int) (2L);
																				BGL_MVALUES_VAL_SET(BgL_tmpz00_19932,
																					BgL_ctxzd2zd2_4200);
																			}
																			return BgL_val0_2426z00_4201;
																		}
																	}
																}
															}
													}
												}
											else
												{	/* SawBbv/bbv-specialize.scm 1368 */
													BgL_rtl_insz00_bglt BgL_val0_2423z00_4216;

													{	/* SawBbv/bbv-specialize.scm 1368 */
														BgL_rtl_insz00_bglt BgL_new1762z00_4220;

														{	/* SawBbv/bbv-specialize.scm 1368 */
															BgL_rtl_insz00_bglt BgL_tmp1771z00_4226;
															BgL_rtl_inszf2bbvzf2_bglt BgL_wide1772z00_4227;

															{
																BgL_rtl_insz00_bglt BgL_auxz00_19936;

																{	/* SawBbv/bbv-specialize.scm 1368 */
																	BgL_rtl_insz00_bglt BgL_new1770z00_4229;

																	BgL_new1770z00_4229 =
																		((BgL_rtl_insz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_rtl_insz00_bgl))));
																	{	/* SawBbv/bbv-specialize.scm 1368 */
																		long BgL_arg3686z00_4230;

																		BgL_arg3686z00_4230 =
																			BGL_CLASS_NUM
																			(BGl_rtl_insz00zzsaw_defsz00);
																		BGL_OBJECT_CLASS_NUM_SET((
																				(BgL_objectz00_bglt)
																				BgL_new1770z00_4229),
																			BgL_arg3686z00_4230);
																	}
																	{	/* SawBbv/bbv-specialize.scm 1368 */
																		BgL_objectz00_bglt BgL_tmpz00_19941;

																		BgL_tmpz00_19941 =
																			((BgL_objectz00_bglt)
																			BgL_new1770z00_4229);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19941,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1770z00_4229);
																	BgL_auxz00_19936 = BgL_new1770z00_4229;
																}
																BgL_tmp1771z00_4226 =
																	((BgL_rtl_insz00_bglt) BgL_auxz00_19936);
															}
															BgL_wide1772z00_4227 =
																((BgL_rtl_inszf2bbvzf2_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_rtl_inszf2bbvzf2_bgl))));
															{	/* SawBbv/bbv-specialize.scm 1368 */
																obj_t BgL_auxz00_19949;
																BgL_objectz00_bglt BgL_tmpz00_19947;

																BgL_auxz00_19949 =
																	((obj_t) BgL_wide1772z00_4227);
																BgL_tmpz00_19947 =
																	((BgL_objectz00_bglt) BgL_tmp1771z00_4226);
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19947,
																	BgL_auxz00_19949);
															}
															((BgL_objectz00_bglt) BgL_tmp1771z00_4226);
															{	/* SawBbv/bbv-specialize.scm 1368 */
																long BgL_arg3685z00_4228;

																BgL_arg3685z00_4228 =
																	BGL_CLASS_NUM
																	(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																		BgL_tmp1771z00_4226), BgL_arg3685z00_4228);
															}
															BgL_new1762z00_4220 =
																((BgL_rtl_insz00_bglt) BgL_tmp1771z00_4226);
														}
														((((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt)
																			BgL_new1762z00_4220)))->BgL_locz00) =
															((obj_t) (((BgL_rtl_insz00_bglt)
																		COBJECT(BgL_iz00_4155))->BgL_locz00)),
															BUNSPEC);
														((((BgL_rtl_insz00_bglt)
																	COBJECT(((BgL_rtl_insz00_bglt)
																			BgL_new1762z00_4220)))->BgL_z52spillz52) =
															((obj_t) (((BgL_rtl_insz00_bglt)
																		COBJECT(BgL_iz00_4155))->BgL_z52spillz52)),
															BUNSPEC);
														((((BgL_rtl_insz00_bglt)
																	COBJECT(((BgL_rtl_insz00_bglt)
																			BgL_new1762z00_4220)))->BgL_destz00) =
															((obj_t) (((BgL_rtl_insz00_bglt)
																		COBJECT(BgL_iz00_4155))->BgL_destz00)),
															BUNSPEC);
														((((BgL_rtl_insz00_bglt)
																	COBJECT(((BgL_rtl_insz00_bglt)
																			BgL_new1762z00_4220)))->BgL_funz00) =
															((BgL_rtl_funz00_bglt) (((BgL_rtl_insz00_bglt)
																		COBJECT(BgL_iz00_4155))->BgL_funz00)),
															BUNSPEC);
														((((BgL_rtl_insz00_bglt)
																	COBJECT(((BgL_rtl_insz00_bglt)
																			BgL_new1762z00_4220)))->BgL_argsz00) =
															((obj_t) (((BgL_rtl_insz00_bglt)
																		COBJECT(BgL_iz00_4155))->BgL_argsz00)),
															BUNSPEC);
														{
															obj_t BgL_auxz00_19978;
															BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_19972;

															{
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_19979;

																{
																	obj_t BgL_auxz00_19980;

																	{	/* SawBbv/bbv-specialize.scm 1368 */
																		BgL_objectz00_bglt BgL_tmpz00_19981;

																		BgL_tmpz00_19981 =
																			((BgL_objectz00_bglt)
																			((BgL_rtl_insz00_bglt) BgL_iz00_4155));
																		BgL_auxz00_19980 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_19981);
																	}
																	BgL_auxz00_19979 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_19980);
																}
																BgL_auxz00_19978 =
																	(((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_19979))->BgL_defz00);
															}
															{
																obj_t BgL_auxz00_19973;

																{	/* SawBbv/bbv-specialize.scm 1368 */
																	BgL_objectz00_bglt BgL_tmpz00_19974;

																	BgL_tmpz00_19974 =
																		((BgL_objectz00_bglt) BgL_new1762z00_4220);
																	BgL_auxz00_19973 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_19974);
																}
																BgL_auxz00_19972 =
																	((BgL_rtl_inszf2bbvzf2_bglt)
																	BgL_auxz00_19973);
															}
															((((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_19972))->BgL_defz00) =
																((obj_t) BgL_auxz00_19978), BUNSPEC);
														}
														{
															obj_t BgL_auxz00_19994;
															BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_19988;

															{
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_19995;

																{
																	obj_t BgL_auxz00_19996;

																	{	/* SawBbv/bbv-specialize.scm 1368 */
																		BgL_objectz00_bglt BgL_tmpz00_19997;

																		BgL_tmpz00_19997 =
																			((BgL_objectz00_bglt)
																			((BgL_rtl_insz00_bglt) BgL_iz00_4155));
																		BgL_auxz00_19996 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_19997);
																	}
																	BgL_auxz00_19995 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_19996);
																}
																BgL_auxz00_19994 =
																	(((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_19995))->BgL_outz00);
															}
															{
																obj_t BgL_auxz00_19989;

																{	/* SawBbv/bbv-specialize.scm 1368 */
																	BgL_objectz00_bglt BgL_tmpz00_19990;

																	BgL_tmpz00_19990 =
																		((BgL_objectz00_bglt) BgL_new1762z00_4220);
																	BgL_auxz00_19989 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_19990);
																}
																BgL_auxz00_19988 =
																	((BgL_rtl_inszf2bbvzf2_bglt)
																	BgL_auxz00_19989);
															}
															((((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_19988))->BgL_outz00) =
																((obj_t) BgL_auxz00_19994), BUNSPEC);
														}
														{
															obj_t BgL_auxz00_20010;
															BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_20004;

															{
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_20011;

																{
																	obj_t BgL_auxz00_20012;

																	{	/* SawBbv/bbv-specialize.scm 1368 */
																		BgL_objectz00_bglt BgL_tmpz00_20013;

																		BgL_tmpz00_20013 =
																			((BgL_objectz00_bglt)
																			((BgL_rtl_insz00_bglt) BgL_iz00_4155));
																		BgL_auxz00_20012 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_20013);
																	}
																	BgL_auxz00_20011 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_20012);
																}
																BgL_auxz00_20010 =
																	(((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_20011))->BgL_inz00);
															}
															{
																obj_t BgL_auxz00_20005;

																{	/* SawBbv/bbv-specialize.scm 1368 */
																	BgL_objectz00_bglt BgL_tmpz00_20006;

																	BgL_tmpz00_20006 =
																		((BgL_objectz00_bglt) BgL_new1762z00_4220);
																	BgL_auxz00_20005 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_20006);
																}
																BgL_auxz00_20004 =
																	((BgL_rtl_inszf2bbvzf2_bglt)
																	BgL_auxz00_20005);
															}
															((((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_20004))->BgL_inz00) =
																((obj_t) BgL_auxz00_20010), BUNSPEC);
														}
														{
															BgL_bbvzd2ctxzd2_bglt BgL_auxz00_20026;
															BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_20020;

															{
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_20027;

																{
																	obj_t BgL_auxz00_20028;

																	{	/* SawBbv/bbv-specialize.scm 1368 */
																		BgL_objectz00_bglt BgL_tmpz00_20029;

																		BgL_tmpz00_20029 =
																			((BgL_objectz00_bglt)
																			((BgL_rtl_insz00_bglt) BgL_iz00_4155));
																		BgL_auxz00_20028 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_20029);
																	}
																	BgL_auxz00_20027 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_20028);
																}
																BgL_auxz00_20026 =
																	(((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_20027))->BgL_ctxz00);
															}
															{
																obj_t BgL_auxz00_20021;

																{	/* SawBbv/bbv-specialize.scm 1368 */
																	BgL_objectz00_bglt BgL_tmpz00_20022;

																	BgL_tmpz00_20022 =
																		((BgL_objectz00_bglt) BgL_new1762z00_4220);
																	BgL_auxz00_20021 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_20022);
																}
																BgL_auxz00_20020 =
																	((BgL_rtl_inszf2bbvzf2_bglt)
																	BgL_auxz00_20021);
															}
															((((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_20020))->BgL_ctxz00) =
																((BgL_bbvzd2ctxzd2_bglt) BgL_auxz00_20026),
																BUNSPEC);
														}
														{
															obj_t BgL_auxz00_20042;
															BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_20036;

															{
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_20043;

																{
																	obj_t BgL_auxz00_20044;

																	{	/* SawBbv/bbv-specialize.scm 1368 */
																		BgL_objectz00_bglt BgL_tmpz00_20045;

																		BgL_tmpz00_20045 =
																			((BgL_objectz00_bglt)
																			((BgL_rtl_insz00_bglt) BgL_iz00_4155));
																		BgL_auxz00_20044 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_20045);
																	}
																	BgL_auxz00_20043 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_20044);
																}
																BgL_auxz00_20042 =
																	(((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_20043))->BgL_z52hashz52);
															}
															{
																obj_t BgL_auxz00_20037;

																{	/* SawBbv/bbv-specialize.scm 1368 */
																	BgL_objectz00_bglt BgL_tmpz00_20038;

																	BgL_tmpz00_20038 =
																		((BgL_objectz00_bglt) BgL_new1762z00_4220);
																	BgL_auxz00_20037 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_20038);
																}
																BgL_auxz00_20036 =
																	((BgL_rtl_inszf2bbvzf2_bglt)
																	BgL_auxz00_20037);
															}
															((((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_20036))->
																	BgL_z52hashz52) =
																((obj_t) BgL_auxz00_20042), BUNSPEC);
														}
														BgL_val0_2423z00_4216 = BgL_new1762z00_4220;
													}
													{	/* SawBbv/bbv-specialize.scm 1368 */
														int BgL_tmpz00_20052;

														BgL_tmpz00_20052 = (int) (3L);
														BGL_MVALUES_NUMBER_SET(BgL_tmpz00_20052);
													}
													{	/* SawBbv/bbv-specialize.scm 1368 */
														obj_t BgL_auxz00_20057;
														int BgL_tmpz00_20055;

														BgL_auxz00_20057 = ((obj_t) BgL_ctxz00_4156);
														BgL_tmpz00_20055 = (int) (1L);
														BGL_MVALUES_VAL_SET(BgL_tmpz00_20055,
															BgL_auxz00_20057);
													}
													{	/* SawBbv/bbv-specialize.scm 1368 */
														obj_t BgL_auxz00_20062;
														int BgL_tmpz00_20060;

														BgL_auxz00_20062 = ((obj_t) BgL_ctxz00_4156);
														BgL_tmpz00_20060 = (int) (2L);
														BGL_MVALUES_VAL_SET(BgL_tmpz00_20060,
															BgL_auxz00_20062);
													}
													return BgL_val0_2423z00_4216;
												}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &rtl_ins-specialize-fxcmp */
	obj_t
		BGl_z62rtl_inszd2specializa7ezd2fxcmpzc5zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9813, obj_t BgL_iz00_9814, obj_t BgL_insz00_9815,
		obj_t BgL_bsz00_9816, obj_t BgL_ctxz00_9817, obj_t BgL_queuez00_9818)
	{
		{	/* SawBbv/bbv-specialize.scm 1229 */
			{
				BgL_rtl_insz00_bglt BgL_iz00_10831;
				BgL_rtl_insz00_bglt BgL_insz00_10832;
				obj_t BgL_ctxzb2zb2_10833;
				BgL_rtl_insz00_bglt BgL_iz00_10808;
				BgL_rtl_insz00_bglt BgL_insz00_10809;
				obj_t BgL_ctxzd2zd2_10810;

				{	/* SawBbv/bbv-specialize.scm 1442 */
					bool_t BgL_test4835z00_20065;

					{	/* SawBbv/bbv-specialize.scm 1442 */
						BgL_rtl_funz00_bglt BgL_arg3582z00_10880;

						BgL_arg3582z00_10880 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_iz00_9814)))->BgL_funz00);
						{	/* SawBbv/bbv-specialize.scm 1442 */
							obj_t BgL_classz00_10881;

							BgL_classz00_10881 = BGl_rtl_ifnez00zzsaw_defsz00;
							{	/* SawBbv/bbv-specialize.scm 1442 */
								BgL_objectz00_bglt BgL_arg1858z00_10882;

								{	/* SawBbv/bbv-specialize.scm 1442 */
									obj_t BgL_tmpz00_20068;

									BgL_tmpz00_20068 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg3582z00_10880));
									BgL_arg1858z00_10882 =
										(BgL_objectz00_bglt) (BgL_tmpz00_20068);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-specialize.scm 1442 */
										long BgL_idxz00_10883;

										BgL_idxz00_10883 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_10882);
										BgL_test4835z00_20065 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_10883 + 3L)) == BgL_classz00_10881);
									}
								else
									{	/* SawBbv/bbv-specialize.scm 1442 */
										bool_t BgL_res4152z00_10886;

										{	/* SawBbv/bbv-specialize.scm 1442 */
											obj_t BgL_oclassz00_10887;

											{	/* SawBbv/bbv-specialize.scm 1442 */
												obj_t BgL_arg1866z00_10888;
												long BgL_arg1867z00_10889;

												BgL_arg1866z00_10888 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* SawBbv/bbv-specialize.scm 1442 */
													long BgL_arg1869z00_10890;

													BgL_arg1869z00_10890 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_10882);
													BgL_arg1867z00_10889 =
														(BgL_arg1869z00_10890 - OBJECT_TYPE);
												}
												BgL_oclassz00_10887 =
													VECTOR_REF(BgL_arg1866z00_10888,
													BgL_arg1867z00_10889);
											}
											{	/* SawBbv/bbv-specialize.scm 1442 */
												bool_t BgL__ortest_1115z00_10891;

												BgL__ortest_1115z00_10891 =
													(BgL_classz00_10881 == BgL_oclassz00_10887);
												if (BgL__ortest_1115z00_10891)
													{	/* SawBbv/bbv-specialize.scm 1442 */
														BgL_res4152z00_10886 = BgL__ortest_1115z00_10891;
													}
												else
													{	/* SawBbv/bbv-specialize.scm 1442 */
														long BgL_odepthz00_10892;

														{	/* SawBbv/bbv-specialize.scm 1442 */
															obj_t BgL_arg1855z00_10893;

															BgL_arg1855z00_10893 = (BgL_oclassz00_10887);
															BgL_odepthz00_10892 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_10893);
														}
														if ((3L < BgL_odepthz00_10892))
															{	/* SawBbv/bbv-specialize.scm 1442 */
																obj_t BgL_arg1853z00_10894;

																{	/* SawBbv/bbv-specialize.scm 1442 */
																	obj_t BgL_arg1854z00_10895;

																	BgL_arg1854z00_10895 = (BgL_oclassz00_10887);
																	BgL_arg1853z00_10894 =
																		BGL_CLASS_ANCESTORS_REF
																		(BgL_arg1854z00_10895, 3L);
																}
																BgL_res4152z00_10886 =
																	(BgL_arg1853z00_10894 == BgL_classz00_10881);
															}
														else
															{	/* SawBbv/bbv-specialize.scm 1442 */
																BgL_res4152z00_10886 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test4835z00_20065 = BgL_res4152z00_10886;
									}
							}
						}
					}
					if (BgL_test4835z00_20065)
						{	/* SawBbv/bbv-specialize.scm 1443 */
							BgL_rtl_ifnez00_bglt BgL_i1867z00_10896;

							BgL_i1867z00_10896 =
								((BgL_rtl_ifnez00_bglt)
								(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_iz00_9814)))->BgL_funz00));
							{	/* SawBbv/bbv-specialize.scm 1444 */
								BgL_rtl_insz00_bglt BgL_insz00_10897;

								{	/* SawBbv/bbv-specialize.scm 1445 */
									obj_t BgL_arg3573z00_10898;

									BgL_arg3573z00_10898 =
										CAR(
										(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_iz00_9814)))->
											BgL_argsz00));
									BgL_insz00_10897 =
										BGl_specializa7ezd2fxcmpzf2callze70z60zzsaw_bbvzd2specializa7ez75
										(((BgL_rtl_insz00_bglt) BgL_arg3573z00_10898),
										((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_9817));
								}
								{	/* SawBbv/bbv-specialize.scm 1445 */
									obj_t BgL_ctxzb2zb2_10899;
									obj_t BgL_ctxzd2zd2_10900;

									{	/* SawBbv/bbv-specialize.scm 1449 */
										obj_t BgL_tmpz00_10901;

										{	/* SawBbv/bbv-specialize.scm 1449 */
											int BgL_tmpz00_20100;

											BgL_tmpz00_20100 = (int) (1L);
											BgL_tmpz00_10901 = BGL_MVALUES_VAL(BgL_tmpz00_20100);
										}
										{	/* SawBbv/bbv-specialize.scm 1449 */
											int BgL_tmpz00_20103;

											BgL_tmpz00_20103 = (int) (1L);
											BGL_MVALUES_VAL_SET(BgL_tmpz00_20103, BUNSPEC);
										}
										BgL_ctxzb2zb2_10899 = BgL_tmpz00_10901;
									}
									{	/* SawBbv/bbv-specialize.scm 1449 */
										obj_t BgL_tmpz00_10902;

										{	/* SawBbv/bbv-specialize.scm 1449 */
											int BgL_tmpz00_20106;

											BgL_tmpz00_20106 = (int) (2L);
											BgL_tmpz00_10902 = BGL_MVALUES_VAL(BgL_tmpz00_20106);
										}
										{	/* SawBbv/bbv-specialize.scm 1449 */
											int BgL_tmpz00_20109;

											BgL_tmpz00_20109 = (int) (2L);
											BGL_MVALUES_VAL_SET(BgL_tmpz00_20109, BUNSPEC);
										}
										BgL_ctxzd2zd2_10900 = BgL_tmpz00_10902;
									}
									if (BGl_rtl_inszd2truezf3z21zzsaw_bbvzd2typeszd2(
											((BgL_rtl_insz00_bglt) BgL_insz00_10897)))
										{
											BgL_rtl_insz00_bglt BgL_auxz00_20115;

											BgL_iz00_10831 = ((BgL_rtl_insz00_bglt) BgL_iz00_9814);
											BgL_insz00_10832 = BgL_insz00_10897;
											BgL_ctxzb2zb2_10833 = BgL_ctxzb2zb2_10899;
											{	/* SawBbv/bbv-specialize.scm 1396 */
												BgL_rtl_ifnez00_bglt BgL_i1808z00_10834;

												BgL_i1808z00_10834 =
													((BgL_rtl_ifnez00_bglt)
													(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_10831))->
														BgL_funz00));
												{	/* SawBbv/bbv-specialize.scm 1397 */
													obj_t BgL_assertz00_10835;

													if (
														((long)
															CINT
															(BGl_za2bbvzd2assertza2zd2zzsaw_bbvzd2configzd2)
															>= 3L))
														{	/* SawBbv/bbv-specialize.scm 1398 */
															obj_t BgL_insz00_10836;

															BgL_insz00_10836 =
																CAR(
																(((BgL_rtl_insz00_bglt)
																		COBJECT(BgL_iz00_10831))->BgL_argsz00));
															{	/* SawBbv/bbv-specialize.scm 1401 */
																obj_t BgL_arg3704z00_10837;
																obj_t BgL_arg3705z00_10838;
																obj_t BgL_arg3706z00_10839;
																obj_t BgL_arg3707z00_10840;

																BgL_arg3704z00_10837 =
																	BGl_fxcmpzd2opze70z35zzsaw_bbvzd2specializa7ez75
																	(BgL_insz00_10836);
																{	/* SawBbv/bbv-specialize.scm 1401 */
																	obj_t BgL_pairz00_10841;

																	BgL_pairz00_10841 =
																		(((BgL_rtl_insz00_bglt) COBJECT(
																				((BgL_rtl_insz00_bglt)
																					BgL_insz00_10836)))->BgL_argsz00);
																	BgL_arg3705z00_10838 = CAR(BgL_pairz00_10841);
																}
																{	/* SawBbv/bbv-specialize.scm 1401 */
																	obj_t BgL_pairz00_10842;

																	BgL_pairz00_10842 =
																		(((BgL_rtl_insz00_bglt) COBJECT(
																				((BgL_rtl_insz00_bglt)
																					BgL_insz00_10836)))->BgL_argsz00);
																	BgL_arg3706z00_10839 =
																		CAR(CDR(BgL_pairz00_10842));
																}
																BgL_arg3707z00_10840 =
																	(((BgL_rtl_insz00_bglt)
																		COBJECT(BgL_iz00_10831))->BgL_locz00);
																BgL_assertz00_10835 =
																	BGl_rtlzd2assertzd2fxcmpz00zzsaw_bbvzd2debugzd2
																	(BgL_arg3704z00_10837, BgL_arg3705z00_10838,
																	BgL_arg3706z00_10839, ((bool_t) 1),
																	((BgL_bbvzd2ctxzd2_bglt) BgL_ctxzb2zb2_10833),
																	BgL_arg3707z00_10840,
																	BGl_string4213z00zzsaw_bbvzd2specializa7ez75);
														}}
													else
														{	/* SawBbv/bbv-specialize.scm 1397 */
															BgL_assertz00_10835 = BFALSE;
														}
													{	/* SawBbv/bbv-specialize.scm 1397 */
														BgL_rtl_insz00_bglt BgL_niz00_10843;

														if (CBOOL(BgL_assertz00_10835))
															{	/* SawBbv/bbv-specialize.scm 1405 */
																BgL_rtl_insz00_bglt BgL_new1810z00_10844;

																{	/* SawBbv/bbv-specialize.scm 1405 */
																	BgL_rtl_insz00_bglt BgL_tmp1818z00_10845;
																	BgL_rtl_inszf2bbvzf2_bglt
																		BgL_wide1819z00_10846;
																	{
																		BgL_rtl_insz00_bglt BgL_auxz00_20136;

																		{	/* SawBbv/bbv-specialize.scm 1405 */
																			BgL_rtl_insz00_bglt BgL_new1817z00_10847;

																			BgL_new1817z00_10847 =
																				((BgL_rtl_insz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_rtl_insz00_bgl))));
																			{	/* SawBbv/bbv-specialize.scm 1405 */
																				long BgL_arg3698z00_10848;

																				BgL_arg3698z00_10848 =
																					BGL_CLASS_NUM
																					(BGl_rtl_insz00zzsaw_defsz00);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_new1817z00_10847),
																					BgL_arg3698z00_10848);
																			}
																			{	/* SawBbv/bbv-specialize.scm 1405 */
																				BgL_objectz00_bglt BgL_tmpz00_20141;

																				BgL_tmpz00_20141 =
																					((BgL_objectz00_bglt)
																					BgL_new1817z00_10847);
																				BGL_OBJECT_WIDENING_SET
																					(BgL_tmpz00_20141, BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1817z00_10847);
																			BgL_auxz00_20136 = BgL_new1817z00_10847;
																		}
																		BgL_tmp1818z00_10845 =
																			((BgL_rtl_insz00_bglt) BgL_auxz00_20136);
																	}
																	BgL_wide1819z00_10846 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_rtl_inszf2bbvzf2_bgl))));
																	{	/* SawBbv/bbv-specialize.scm 1405 */
																		obj_t BgL_auxz00_20149;
																		BgL_objectz00_bglt BgL_tmpz00_20147;

																		BgL_auxz00_20149 =
																			((obj_t) BgL_wide1819z00_10846);
																		BgL_tmpz00_20147 =
																			((BgL_objectz00_bglt)
																			BgL_tmp1818z00_10845);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_20147,
																			BgL_auxz00_20149);
																	}
																	((BgL_objectz00_bglt) BgL_tmp1818z00_10845);
																	{	/* SawBbv/bbv-specialize.scm 1405 */
																		long BgL_arg3697z00_10849;

																		BgL_arg3697z00_10849 =
																			BGL_CLASS_NUM
																			(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																		BGL_OBJECT_CLASS_NUM_SET((
																				(BgL_objectz00_bglt)
																				BgL_tmp1818z00_10845),
																			BgL_arg3697z00_10849);
																	}
																	BgL_new1810z00_10844 =
																		((BgL_rtl_insz00_bglt)
																		BgL_tmp1818z00_10845);
																}
																((((BgL_rtl_insz00_bglt) COBJECT(
																				((BgL_rtl_insz00_bglt)
																					BgL_new1810z00_10844)))->BgL_locz00) =
																	((obj_t) (((BgL_rtl_insz00_bglt)
																				COBJECT(BgL_iz00_10831))->BgL_locz00)),
																	BUNSPEC);
																((((BgL_rtl_insz00_bglt)
																			COBJECT(((BgL_rtl_insz00_bglt)
																					BgL_new1810z00_10844)))->
																		BgL_z52spillz52) =
																	((obj_t) (((BgL_rtl_insz00_bglt)
																				COBJECT(BgL_iz00_10831))->
																			BgL_z52spillz52)), BUNSPEC);
																((((BgL_rtl_insz00_bglt)
																			COBJECT(((BgL_rtl_insz00_bglt)
																					BgL_new1810z00_10844)))->
																		BgL_destz00) =
																	((obj_t) (((BgL_rtl_insz00_bglt)
																				COBJECT(BgL_iz00_10831))->BgL_destz00)),
																	BUNSPEC);
																{
																	BgL_rtl_funz00_bglt BgL_auxz00_20166;

																	{	/* SawBbv/bbv-specialize.scm 1407 */
																		BgL_rtl_funz00_bglt
																			BgL_duplicated1822z00_10850;
																		BgL_rtl_ifnez00_bglt BgL_new1820z00_10851;

																		BgL_duplicated1822z00_10850 =
																			(((BgL_rtl_insz00_bglt)
																				COBJECT(BgL_iz00_10831))->BgL_funz00);
																		{	/* SawBbv/bbv-specialize.scm 1407 */
																			BgL_rtl_ifnez00_bglt BgL_new1823z00_10852;

																			BgL_new1823z00_10852 =
																				((BgL_rtl_ifnez00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_rtl_ifnez00_bgl))));
																			{	/* SawBbv/bbv-specialize.scm 1407 */
																				long BgL_arg3691z00_10853;

																				{	/* SawBbv/bbv-specialize.scm 1407 */
																					obj_t BgL_classz00_10854;

																					BgL_classz00_10854 =
																						BGl_rtl_ifnez00zzsaw_defsz00;
																					BgL_arg3691z00_10853 =
																						BGL_CLASS_NUM(BgL_classz00_10854);
																				}
																				BGL_OBJECT_CLASS_NUM_SET(
																					((BgL_objectz00_bglt)
																						BgL_new1823z00_10852),
																					BgL_arg3691z00_10853);
																			}
																			BgL_new1820z00_10851 =
																				BgL_new1823z00_10852;
																		}
																		((((BgL_rtl_funz00_bglt) COBJECT(
																						((BgL_rtl_funz00_bglt)
																							BgL_new1820z00_10851)))->
																				BgL_locz00) =
																			((obj_t) (((BgL_rtl_funz00_bglt)
																						COBJECT
																						(BgL_duplicated1822z00_10850))->
																					BgL_locz00)), BUNSPEC);
																		{
																			BgL_blockz00_bglt BgL_auxz00_20176;

																			{	/* SawBbv/bbv-specialize.scm 1408 */
																				BgL_blockz00_bglt BgL_arg3690z00_10855;

																				BgL_arg3690z00_10855 =
																					(((BgL_rtl_ifnez00_bglt)
																						COBJECT(BgL_i1808z00_10834))->
																					BgL_thenz00);
																				BgL_auxz00_20176 =
																					((BgL_blockz00_bglt)
																					BGl_bbvzd2blockzd2zzsaw_bbvzd2specializa7ez75
																					(BgL_arg3690z00_10855,
																						((BgL_bbvzd2ctxzd2_bglt)
																							BgL_ctxzb2zb2_10833),
																						((BgL_bbvzd2queuezd2_bglt)
																							BgL_queuez00_9818),
																						BgL_bsz00_9816));
																			}
																			((((BgL_rtl_ifnez00_bglt)
																						COBJECT(BgL_new1820z00_10851))->
																					BgL_thenz00) =
																				((BgL_blockz00_bglt) BgL_auxz00_20176),
																				BUNSPEC);
																		}
																		BgL_auxz00_20166 =
																			((BgL_rtl_funz00_bglt)
																			BgL_new1820z00_10851);
																	}
																	((((BgL_rtl_insz00_bglt) COBJECT(
																					((BgL_rtl_insz00_bglt)
																						BgL_new1810z00_10844)))->
																			BgL_funz00) =
																		((BgL_rtl_funz00_bglt) BgL_auxz00_20166),
																		BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_20185;

																	{	/* SawBbv/bbv-specialize.scm 1410 */
																		obj_t BgL_iz00_10856;

																		{	/* SawBbv/bbv-specialize.scm 1410 */
																			obj_t BgL_pairz00_10857;

																			BgL_pairz00_10857 =
																				(((BgL_rtl_insz00_bglt)
																					COBJECT(BgL_iz00_10831))->
																				BgL_argsz00);
																			BgL_iz00_10856 = CAR(BgL_pairz00_10857);
																		}
																		{	/* SawBbv/bbv-specialize.scm 1412 */
																			BgL_rtl_insz00_bglt BgL_arg3692z00_10858;

																			{	/* SawBbv/bbv-specialize.scm 1412 */
																				BgL_rtl_insz00_bglt
																					BgL_new1825z00_10859;
																				{	/* SawBbv/bbv-specialize.scm 1412 */
																					BgL_rtl_insz00_bglt
																						BgL_tmp1833z00_10860;
																					BgL_rtl_inszf2bbvzf2_bglt
																						BgL_wide1834z00_10861;
																					{
																						BgL_rtl_insz00_bglt
																							BgL_auxz00_20189;
																						{	/* SawBbv/bbv-specialize.scm 1412 */
																							BgL_rtl_insz00_bglt
																								BgL_new1832z00_10862;
																							BgL_new1832z00_10862 =
																								((BgL_rtl_insz00_bglt)
																								BOBJECT(GC_MALLOC(sizeof(struct
																											BgL_rtl_insz00_bgl))));
																							{	/* SawBbv/bbv-specialize.scm 1412 */
																								long BgL_arg3695z00_10863;

																								{	/* SawBbv/bbv-specialize.scm 1412 */
																									obj_t BgL_classz00_10864;

																									BgL_classz00_10864 =
																										BGl_rtl_insz00zzsaw_defsz00;
																									BgL_arg3695z00_10863 =
																										BGL_CLASS_NUM
																										(BgL_classz00_10864);
																								}
																								BGL_OBJECT_CLASS_NUM_SET(
																									((BgL_objectz00_bglt)
																										BgL_new1832z00_10862),
																									BgL_arg3695z00_10863);
																							}
																							{	/* SawBbv/bbv-specialize.scm 1412 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_20194;
																								BgL_tmpz00_20194 =
																									((BgL_objectz00_bglt)
																									BgL_new1832z00_10862);
																								BGL_OBJECT_WIDENING_SET
																									(BgL_tmpz00_20194, BFALSE);
																							}
																							((BgL_objectz00_bglt)
																								BgL_new1832z00_10862);
																							BgL_auxz00_20189 =
																								BgL_new1832z00_10862;
																						}
																						BgL_tmp1833z00_10860 =
																							((BgL_rtl_insz00_bglt)
																							BgL_auxz00_20189);
																					}
																					BgL_wide1834z00_10861 =
																						((BgL_rtl_inszf2bbvzf2_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_rtl_inszf2bbvzf2_bgl))));
																					{	/* SawBbv/bbv-specialize.scm 1412 */
																						obj_t BgL_auxz00_20202;
																						BgL_objectz00_bglt BgL_tmpz00_20200;

																						BgL_auxz00_20202 =
																							((obj_t) BgL_wide1834z00_10861);
																						BgL_tmpz00_20200 =
																							((BgL_objectz00_bglt)
																							BgL_tmp1833z00_10860);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_tmpz00_20200,
																							BgL_auxz00_20202);
																					}
																					((BgL_objectz00_bglt)
																						BgL_tmp1833z00_10860);
																					{	/* SawBbv/bbv-specialize.scm 1412 */
																						long BgL_arg3694z00_10865;

																						{	/* SawBbv/bbv-specialize.scm 1412 */
																							obj_t BgL_classz00_10866;

																							BgL_classz00_10866 =
																								BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2;
																							BgL_arg3694z00_10865 =
																								BGL_CLASS_NUM
																								(BgL_classz00_10866);
																						}
																						BGL_OBJECT_CLASS_NUM_SET(
																							((BgL_objectz00_bglt)
																								BgL_tmp1833z00_10860),
																							BgL_arg3694z00_10865);
																					}
																					BgL_new1825z00_10859 =
																						((BgL_rtl_insz00_bglt)
																						BgL_tmp1833z00_10860);
																				}
																				((((BgL_rtl_insz00_bglt) COBJECT(
																								((BgL_rtl_insz00_bglt)
																									BgL_new1825z00_10859)))->
																						BgL_locz00) =
																					((obj_t) (((BgL_rtl_insz00_bglt)
																								COBJECT(((BgL_rtl_insz00_bglt)
																										BgL_iz00_10856)))->
																							BgL_locz00)), BUNSPEC);
																				((((BgL_rtl_insz00_bglt)
																							COBJECT(((BgL_rtl_insz00_bglt)
																									BgL_new1825z00_10859)))->
																						BgL_z52spillz52) =
																					((obj_t) (((BgL_rtl_insz00_bglt)
																								COBJECT(((BgL_rtl_insz00_bglt)
																										BgL_iz00_10856)))->
																							BgL_z52spillz52)), BUNSPEC);
																				((((BgL_rtl_insz00_bglt)
																							COBJECT(((BgL_rtl_insz00_bglt)
																									BgL_new1825z00_10859)))->
																						BgL_destz00) =
																					((obj_t) (((BgL_rtl_insz00_bglt)
																								COBJECT(((BgL_rtl_insz00_bglt)
																										BgL_iz00_10856)))->
																							BgL_destz00)), BUNSPEC);
																				((((BgL_rtl_insz00_bglt)
																							COBJECT(((BgL_rtl_insz00_bglt)
																									BgL_new1825z00_10859)))->
																						BgL_funz00) =
																					((BgL_rtl_funz00_bglt) (
																							(BgL_rtl_funz00_bglt)
																							BgL_assertz00_10835)), BUNSPEC);
																				((((BgL_rtl_insz00_bglt)
																							COBJECT(((BgL_rtl_insz00_bglt)
																									BgL_new1825z00_10859)))->
																						BgL_argsz00) =
																					((obj_t) (((BgL_rtl_insz00_bglt)
																								COBJECT(((BgL_rtl_insz00_bglt)
																										BgL_iz00_10856)))->
																							BgL_argsz00)), BUNSPEC);
																				{
																					obj_t BgL_auxz00_20235;
																					BgL_rtl_inszf2bbvzf2_bglt
																						BgL_auxz00_20229;
																					{
																						BgL_rtl_inszf2bbvzf2_bglt
																							BgL_auxz00_20236;
																						{
																							obj_t BgL_auxz00_20237;

																							{	/* SawBbv/bbv-specialize.scm 1414 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_20238;
																								BgL_tmpz00_20238 =
																									((BgL_objectz00_bglt) (
																										(BgL_rtl_insz00_bglt) (
																											(BgL_rtl_insz00_bglt)
																											BgL_iz00_10856)));
																								BgL_auxz00_20237 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_20238);
																							}
																							BgL_auxz00_20236 =
																								((BgL_rtl_inszf2bbvzf2_bglt)
																								BgL_auxz00_20237);
																						}
																						BgL_auxz00_20235 =
																							(((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_20236))->
																							BgL_defz00);
																					}
																					{
																						obj_t BgL_auxz00_20230;

																						{	/* SawBbv/bbv-specialize.scm 1414 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_20231;
																							BgL_tmpz00_20231 =
																								((BgL_objectz00_bglt)
																								BgL_new1825z00_10859);
																							BgL_auxz00_20230 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_20231);
																						}
																						BgL_auxz00_20229 =
																							((BgL_rtl_inszf2bbvzf2_bglt)
																							BgL_auxz00_20230);
																					}
																					((((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_20229))->
																							BgL_defz00) =
																						((obj_t) BgL_auxz00_20235),
																						BUNSPEC);
																				}
																				{
																					obj_t BgL_auxz00_20252;
																					BgL_rtl_inszf2bbvzf2_bglt
																						BgL_auxz00_20246;
																					{
																						BgL_rtl_inszf2bbvzf2_bglt
																							BgL_auxz00_20253;
																						{
																							obj_t BgL_auxz00_20254;

																							{	/* SawBbv/bbv-specialize.scm 1414 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_20255;
																								BgL_tmpz00_20255 =
																									((BgL_objectz00_bglt) (
																										(BgL_rtl_insz00_bglt) (
																											(BgL_rtl_insz00_bglt)
																											BgL_iz00_10856)));
																								BgL_auxz00_20254 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_20255);
																							}
																							BgL_auxz00_20253 =
																								((BgL_rtl_inszf2bbvzf2_bglt)
																								BgL_auxz00_20254);
																						}
																						BgL_auxz00_20252 =
																							(((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_20253))->
																							BgL_outz00);
																					}
																					{
																						obj_t BgL_auxz00_20247;

																						{	/* SawBbv/bbv-specialize.scm 1414 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_20248;
																							BgL_tmpz00_20248 =
																								((BgL_objectz00_bglt)
																								BgL_new1825z00_10859);
																							BgL_auxz00_20247 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_20248);
																						}
																						BgL_auxz00_20246 =
																							((BgL_rtl_inszf2bbvzf2_bglt)
																							BgL_auxz00_20247);
																					}
																					((((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_20246))->
																							BgL_outz00) =
																						((obj_t) BgL_auxz00_20252),
																						BUNSPEC);
																				}
																				{
																					obj_t BgL_auxz00_20269;
																					BgL_rtl_inszf2bbvzf2_bglt
																						BgL_auxz00_20263;
																					{
																						BgL_rtl_inszf2bbvzf2_bglt
																							BgL_auxz00_20270;
																						{
																							obj_t BgL_auxz00_20271;

																							{	/* SawBbv/bbv-specialize.scm 1414 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_20272;
																								BgL_tmpz00_20272 =
																									((BgL_objectz00_bglt) (
																										(BgL_rtl_insz00_bglt) (
																											(BgL_rtl_insz00_bglt)
																											BgL_iz00_10856)));
																								BgL_auxz00_20271 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_20272);
																							}
																							BgL_auxz00_20270 =
																								((BgL_rtl_inszf2bbvzf2_bglt)
																								BgL_auxz00_20271);
																						}
																						BgL_auxz00_20269 =
																							(((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_20270))->
																							BgL_inz00);
																					}
																					{
																						obj_t BgL_auxz00_20264;

																						{	/* SawBbv/bbv-specialize.scm 1414 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_20265;
																							BgL_tmpz00_20265 =
																								((BgL_objectz00_bglt)
																								BgL_new1825z00_10859);
																							BgL_auxz00_20264 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_20265);
																						}
																						BgL_auxz00_20263 =
																							((BgL_rtl_inszf2bbvzf2_bglt)
																							BgL_auxz00_20264);
																					}
																					((((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_20263))->
																							BgL_inz00) =
																						((obj_t) BgL_auxz00_20269),
																						BUNSPEC);
																				}
																				{
																					BgL_rtl_inszf2bbvzf2_bglt
																						BgL_auxz00_20280;
																					{
																						obj_t BgL_auxz00_20281;

																						{	/* SawBbv/bbv-specialize.scm 1413 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_20282;
																							BgL_tmpz00_20282 =
																								((BgL_objectz00_bglt)
																								BgL_new1825z00_10859);
																							BgL_auxz00_20281 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_20282);
																						}
																						BgL_auxz00_20280 =
																							((BgL_rtl_inszf2bbvzf2_bglt)
																							BgL_auxz00_20281);
																					}
																					((((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_20280))->
																							BgL_ctxz00) =
																						((BgL_bbvzd2ctxzd2_bglt) (
																								(BgL_bbvzd2ctxzd2_bglt)
																								BgL_ctxz00_9817)), BUNSPEC);
																				}
																				{
																					obj_t BgL_auxz00_20294;
																					BgL_rtl_inszf2bbvzf2_bglt
																						BgL_auxz00_20288;
																					{
																						BgL_rtl_inszf2bbvzf2_bglt
																							BgL_auxz00_20295;
																						{
																							obj_t BgL_auxz00_20296;

																							{	/* SawBbv/bbv-specialize.scm 1413 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_20297;
																								BgL_tmpz00_20297 =
																									((BgL_objectz00_bglt) (
																										(BgL_rtl_insz00_bglt) (
																											(BgL_rtl_insz00_bglt)
																											BgL_iz00_10856)));
																								BgL_auxz00_20296 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_20297);
																							}
																							BgL_auxz00_20295 =
																								((BgL_rtl_inszf2bbvzf2_bglt)
																								BgL_auxz00_20296);
																						}
																						BgL_auxz00_20294 =
																							(((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_20295))->
																							BgL_z52hashz52);
																					}
																					{
																						obj_t BgL_auxz00_20289;

																						{	/* SawBbv/bbv-specialize.scm 1413 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_20290;
																							BgL_tmpz00_20290 =
																								((BgL_objectz00_bglt)
																								BgL_new1825z00_10859);
																							BgL_auxz00_20289 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_20290);
																						}
																						BgL_auxz00_20288 =
																							((BgL_rtl_inszf2bbvzf2_bglt)
																							BgL_auxz00_20289);
																					}
																					((((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_20288))->
																							BgL_z52hashz52) =
																						((obj_t) BgL_auxz00_20294),
																						BUNSPEC);
																				}
																				BgL_arg3692z00_10858 =
																					BgL_new1825z00_10859;
																			}
																			{	/* SawBbv/bbv-specialize.scm 1412 */
																				obj_t BgL_list3693z00_10867;

																				BgL_list3693z00_10867 =
																					MAKE_YOUNG_PAIR(
																					((obj_t) BgL_arg3692z00_10858), BNIL);
																				BgL_auxz00_20185 =
																					BgL_list3693z00_10867;
																	}}}
																	((((BgL_rtl_insz00_bglt) COBJECT(
																					((BgL_rtl_insz00_bglt)
																						BgL_new1810z00_10844)))->
																			BgL_argsz00) =
																		((obj_t) BgL_auxz00_20185), BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_20314;
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_20308;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_20315;

																		{
																			obj_t BgL_auxz00_20316;

																			{	/* SawBbv/bbv-specialize.scm 1410 */
																				BgL_objectz00_bglt BgL_tmpz00_20317;

																				BgL_tmpz00_20317 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt)
																						BgL_iz00_10831));
																				BgL_auxz00_20316 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_20317);
																			}
																			BgL_auxz00_20315 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_20316);
																		}
																		BgL_auxz00_20314 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_20315))->BgL_defz00);
																	}
																	{
																		obj_t BgL_auxz00_20309;

																		{	/* SawBbv/bbv-specialize.scm 1410 */
																			BgL_objectz00_bglt BgL_tmpz00_20310;

																			BgL_tmpz00_20310 =
																				((BgL_objectz00_bglt)
																				BgL_new1810z00_10844);
																			BgL_auxz00_20309 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_20310);
																		}
																		BgL_auxz00_20308 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_20309);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_20308))->
																			BgL_defz00) =
																		((obj_t) BgL_auxz00_20314), BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_20330;
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_20324;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_20331;

																		{
																			obj_t BgL_auxz00_20332;

																			{	/* SawBbv/bbv-specialize.scm 1410 */
																				BgL_objectz00_bglt BgL_tmpz00_20333;

																				BgL_tmpz00_20333 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt)
																						BgL_iz00_10831));
																				BgL_auxz00_20332 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_20333);
																			}
																			BgL_auxz00_20331 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_20332);
																		}
																		BgL_auxz00_20330 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_20331))->BgL_outz00);
																	}
																	{
																		obj_t BgL_auxz00_20325;

																		{	/* SawBbv/bbv-specialize.scm 1410 */
																			BgL_objectz00_bglt BgL_tmpz00_20326;

																			BgL_tmpz00_20326 =
																				((BgL_objectz00_bglt)
																				BgL_new1810z00_10844);
																			BgL_auxz00_20325 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_20326);
																		}
																		BgL_auxz00_20324 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_20325);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_20324))->
																			BgL_outz00) =
																		((obj_t) BgL_auxz00_20330), BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_20346;
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_20340;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_20347;

																		{
																			obj_t BgL_auxz00_20348;

																			{	/* SawBbv/bbv-specialize.scm 1410 */
																				BgL_objectz00_bglt BgL_tmpz00_20349;

																				BgL_tmpz00_20349 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt)
																						BgL_iz00_10831));
																				BgL_auxz00_20348 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_20349);
																			}
																			BgL_auxz00_20347 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_20348);
																		}
																		BgL_auxz00_20346 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_20347))->BgL_inz00);
																	}
																	{
																		obj_t BgL_auxz00_20341;

																		{	/* SawBbv/bbv-specialize.scm 1410 */
																			BgL_objectz00_bglt BgL_tmpz00_20342;

																			BgL_tmpz00_20342 =
																				((BgL_objectz00_bglt)
																				BgL_new1810z00_10844);
																			BgL_auxz00_20341 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_20342);
																		}
																		BgL_auxz00_20340 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_20341);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_20340))->BgL_inz00) =
																		((obj_t) BgL_auxz00_20346), BUNSPEC);
																}
																{
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_20356;

																	{
																		obj_t BgL_auxz00_20357;

																		{	/* SawBbv/bbv-specialize.scm 1406 */
																			BgL_objectz00_bglt BgL_tmpz00_20358;

																			BgL_tmpz00_20358 =
																				((BgL_objectz00_bglt)
																				BgL_new1810z00_10844);
																			BgL_auxz00_20357 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_20358);
																		}
																		BgL_auxz00_20356 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_20357);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_20356))->
																			BgL_ctxz00) =
																		((BgL_bbvzd2ctxzd2_bglt) (
																				(BgL_bbvzd2ctxzd2_bglt)
																				BgL_ctxz00_9817)), BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_20370;
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_20364;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_20371;

																		{
																			obj_t BgL_auxz00_20372;

																			{	/* SawBbv/bbv-specialize.scm 1406 */
																				BgL_objectz00_bglt BgL_tmpz00_20373;

																				BgL_tmpz00_20373 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt)
																						BgL_iz00_10831));
																				BgL_auxz00_20372 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_20373);
																			}
																			BgL_auxz00_20371 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_20372);
																		}
																		BgL_auxz00_20370 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_20371))->
																			BgL_z52hashz52);
																	}
																	{
																		obj_t BgL_auxz00_20365;

																		{	/* SawBbv/bbv-specialize.scm 1406 */
																			BgL_objectz00_bglt BgL_tmpz00_20366;

																			BgL_tmpz00_20366 =
																				((BgL_objectz00_bglt)
																				BgL_new1810z00_10844);
																			BgL_auxz00_20365 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_20366);
																		}
																		BgL_auxz00_20364 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_20365);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_20364))->
																			BgL_z52hashz52) =
																		((obj_t) BgL_auxz00_20370), BUNSPEC);
																}
																BgL_niz00_10843 = BgL_new1810z00_10844;
															}
														else
															{	/* SawBbv/bbv-specialize.scm 1415 */
																BgL_rtl_insz00_bglt BgL_new1835z00_10868;

																{	/* SawBbv/bbv-specialize.scm 1415 */
																	BgL_rtl_insz00_bglt BgL_tmp1843z00_10869;
																	BgL_rtl_inszf2bbvzf2_bglt
																		BgL_wide1844z00_10870;
																	{
																		BgL_rtl_insz00_bglt BgL_auxz00_20380;

																		{	/* SawBbv/bbv-specialize.scm 1415 */
																			BgL_rtl_insz00_bglt BgL_new1842z00_10871;

																			BgL_new1842z00_10871 =
																				((BgL_rtl_insz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_rtl_insz00_bgl))));
																			{	/* SawBbv/bbv-specialize.scm 1415 */
																				long BgL_arg3702z00_10872;

																				BgL_arg3702z00_10872 =
																					BGL_CLASS_NUM
																					(BGl_rtl_insz00zzsaw_defsz00);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_new1842z00_10871),
																					BgL_arg3702z00_10872);
																			}
																			{	/* SawBbv/bbv-specialize.scm 1415 */
																				BgL_objectz00_bglt BgL_tmpz00_20385;

																				BgL_tmpz00_20385 =
																					((BgL_objectz00_bglt)
																					BgL_new1842z00_10871);
																				BGL_OBJECT_WIDENING_SET
																					(BgL_tmpz00_20385, BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1842z00_10871);
																			BgL_auxz00_20380 = BgL_new1842z00_10871;
																		}
																		BgL_tmp1843z00_10869 =
																			((BgL_rtl_insz00_bglt) BgL_auxz00_20380);
																	}
																	BgL_wide1844z00_10870 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_rtl_inszf2bbvzf2_bgl))));
																	{	/* SawBbv/bbv-specialize.scm 1415 */
																		obj_t BgL_auxz00_20393;
																		BgL_objectz00_bglt BgL_tmpz00_20391;

																		BgL_auxz00_20393 =
																			((obj_t) BgL_wide1844z00_10870);
																		BgL_tmpz00_20391 =
																			((BgL_objectz00_bglt)
																			BgL_tmp1843z00_10869);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_20391,
																			BgL_auxz00_20393);
																	}
																	((BgL_objectz00_bglt) BgL_tmp1843z00_10869);
																	{	/* SawBbv/bbv-specialize.scm 1415 */
																		long BgL_arg3701z00_10873;

																		BgL_arg3701z00_10873 =
																			BGL_CLASS_NUM
																			(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																		BGL_OBJECT_CLASS_NUM_SET((
																				(BgL_objectz00_bglt)
																				BgL_tmp1843z00_10869),
																			BgL_arg3701z00_10873);
																	}
																	BgL_new1835z00_10868 =
																		((BgL_rtl_insz00_bglt)
																		BgL_tmp1843z00_10869);
																}
																((((BgL_rtl_insz00_bglt) COBJECT(
																				((BgL_rtl_insz00_bglt)
																					BgL_new1835z00_10868)))->BgL_locz00) =
																	((obj_t) (((BgL_rtl_insz00_bglt)
																				COBJECT(BgL_iz00_10831))->BgL_locz00)),
																	BUNSPEC);
																((((BgL_rtl_insz00_bglt)
																			COBJECT(((BgL_rtl_insz00_bglt)
																					BgL_new1835z00_10868)))->
																		BgL_z52spillz52) =
																	((obj_t) (((BgL_rtl_insz00_bglt)
																				COBJECT(BgL_iz00_10831))->
																			BgL_z52spillz52)), BUNSPEC);
																((((BgL_rtl_insz00_bglt)
																			COBJECT(((BgL_rtl_insz00_bglt)
																					BgL_new1835z00_10868)))->
																		BgL_destz00) =
																	((obj_t) (((BgL_rtl_insz00_bglt)
																				COBJECT(BgL_iz00_10831))->BgL_destz00)),
																	BUNSPEC);
																{
																	BgL_rtl_funz00_bglt BgL_auxz00_20410;

																	{	/* SawBbv/bbv-specialize.scm 1417 */
																		BgL_rtl_funz00_bglt
																			BgL_duplicated1847z00_10874;
																		BgL_rtl_goz00_bglt BgL_new1845z00_10875;

																		BgL_duplicated1847z00_10874 =
																			(((BgL_rtl_insz00_bglt)
																				COBJECT(BgL_iz00_10831))->BgL_funz00);
																		{	/* SawBbv/bbv-specialize.scm 1417 */
																			BgL_rtl_goz00_bglt BgL_new1848z00_10876;

																			BgL_new1848z00_10876 =
																				((BgL_rtl_goz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_rtl_goz00_bgl))));
																			{	/* SawBbv/bbv-specialize.scm 1417 */
																				long BgL_arg3700z00_10877;

																				{	/* SawBbv/bbv-specialize.scm 1417 */
																					obj_t BgL_classz00_10878;

																					BgL_classz00_10878 =
																						BGl_rtl_goz00zzsaw_defsz00;
																					BgL_arg3700z00_10877 =
																						BGL_CLASS_NUM(BgL_classz00_10878);
																				}
																				BGL_OBJECT_CLASS_NUM_SET(
																					((BgL_objectz00_bglt)
																						BgL_new1848z00_10876),
																					BgL_arg3700z00_10877);
																			}
																			BgL_new1845z00_10875 =
																				BgL_new1848z00_10876;
																		}
																		((((BgL_rtl_funz00_bglt) COBJECT(
																						((BgL_rtl_funz00_bglt)
																							BgL_new1845z00_10875)))->
																				BgL_locz00) =
																			((obj_t) (((BgL_rtl_funz00_bglt)
																						COBJECT
																						(BgL_duplicated1847z00_10874))->
																					BgL_locz00)), BUNSPEC);
																		{
																			BgL_blockz00_bglt BgL_auxz00_20420;

																			{	/* SawBbv/bbv-specialize.scm 1418 */
																				BgL_blockz00_bglt BgL_arg3699z00_10879;

																				BgL_arg3699z00_10879 =
																					(((BgL_rtl_ifnez00_bglt)
																						COBJECT(BgL_i1808z00_10834))->
																					BgL_thenz00);
																				BgL_auxz00_20420 =
																					((BgL_blockz00_bglt)
																					BGl_bbvzd2blockzd2zzsaw_bbvzd2specializa7ez75
																					(BgL_arg3699z00_10879,
																						((BgL_bbvzd2ctxzd2_bglt)
																							BgL_ctxzb2zb2_10833),
																						((BgL_bbvzd2queuezd2_bglt)
																							BgL_queuez00_9818),
																						BgL_bsz00_9816));
																			}
																			((((BgL_rtl_goz00_bglt)
																						COBJECT(BgL_new1845z00_10875))->
																					BgL_toz00) =
																				((BgL_blockz00_bglt) BgL_auxz00_20420),
																				BUNSPEC);
																		}
																		BgL_auxz00_20410 =
																			((BgL_rtl_funz00_bglt)
																			BgL_new1845z00_10875);
																	}
																	((((BgL_rtl_insz00_bglt) COBJECT(
																					((BgL_rtl_insz00_bglt)
																						BgL_new1835z00_10868)))->
																			BgL_funz00) =
																		((BgL_rtl_funz00_bglt) BgL_auxz00_20410),
																		BUNSPEC);
																}
																((((BgL_rtl_insz00_bglt) COBJECT(
																				((BgL_rtl_insz00_bglt)
																					BgL_new1835z00_10868)))->
																		BgL_argsz00) = ((obj_t) BNIL), BUNSPEC);
																{
																	obj_t BgL_auxz00_20437;
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_20431;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_20438;

																		{
																			obj_t BgL_auxz00_20439;

																			{	/* SawBbv/bbv-specialize.scm 1420 */
																				BgL_objectz00_bglt BgL_tmpz00_20440;

																				BgL_tmpz00_20440 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt)
																						BgL_iz00_10831));
																				BgL_auxz00_20439 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_20440);
																			}
																			BgL_auxz00_20438 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_20439);
																		}
																		BgL_auxz00_20437 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_20438))->BgL_defz00);
																	}
																	{
																		obj_t BgL_auxz00_20432;

																		{	/* SawBbv/bbv-specialize.scm 1420 */
																			BgL_objectz00_bglt BgL_tmpz00_20433;

																			BgL_tmpz00_20433 =
																				((BgL_objectz00_bglt)
																				BgL_new1835z00_10868);
																			BgL_auxz00_20432 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_20433);
																		}
																		BgL_auxz00_20431 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_20432);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_20431))->
																			BgL_defz00) =
																		((obj_t) BgL_auxz00_20437), BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_20453;
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_20447;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_20454;

																		{
																			obj_t BgL_auxz00_20455;

																			{	/* SawBbv/bbv-specialize.scm 1420 */
																				BgL_objectz00_bglt BgL_tmpz00_20456;

																				BgL_tmpz00_20456 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt)
																						BgL_iz00_10831));
																				BgL_auxz00_20455 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_20456);
																			}
																			BgL_auxz00_20454 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_20455);
																		}
																		BgL_auxz00_20453 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_20454))->BgL_outz00);
																	}
																	{
																		obj_t BgL_auxz00_20448;

																		{	/* SawBbv/bbv-specialize.scm 1420 */
																			BgL_objectz00_bglt BgL_tmpz00_20449;

																			BgL_tmpz00_20449 =
																				((BgL_objectz00_bglt)
																				BgL_new1835z00_10868);
																			BgL_auxz00_20448 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_20449);
																		}
																		BgL_auxz00_20447 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_20448);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_20447))->
																			BgL_outz00) =
																		((obj_t) BgL_auxz00_20453), BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_20469;
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_20463;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_20470;

																		{
																			obj_t BgL_auxz00_20471;

																			{	/* SawBbv/bbv-specialize.scm 1420 */
																				BgL_objectz00_bglt BgL_tmpz00_20472;

																				BgL_tmpz00_20472 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt)
																						BgL_iz00_10831));
																				BgL_auxz00_20471 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_20472);
																			}
																			BgL_auxz00_20470 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_20471);
																		}
																		BgL_auxz00_20469 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_20470))->BgL_inz00);
																	}
																	{
																		obj_t BgL_auxz00_20464;

																		{	/* SawBbv/bbv-specialize.scm 1420 */
																			BgL_objectz00_bglt BgL_tmpz00_20465;

																			BgL_tmpz00_20465 =
																				((BgL_objectz00_bglt)
																				BgL_new1835z00_10868);
																			BgL_auxz00_20464 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_20465);
																		}
																		BgL_auxz00_20463 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_20464);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_20463))->BgL_inz00) =
																		((obj_t) BgL_auxz00_20469), BUNSPEC);
																}
																{
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_20479;

																	{
																		obj_t BgL_auxz00_20480;

																		{	/* SawBbv/bbv-specialize.scm 1416 */
																			BgL_objectz00_bglt BgL_tmpz00_20481;

																			BgL_tmpz00_20481 =
																				((BgL_objectz00_bglt)
																				BgL_new1835z00_10868);
																			BgL_auxz00_20480 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_20481);
																		}
																		BgL_auxz00_20479 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_20480);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_20479))->
																			BgL_ctxz00) =
																		((BgL_bbvzd2ctxzd2_bglt) (
																				(BgL_bbvzd2ctxzd2_bglt)
																				BgL_ctxz00_9817)), BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_20493;
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_20487;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_20494;

																		{
																			obj_t BgL_auxz00_20495;

																			{	/* SawBbv/bbv-specialize.scm 1416 */
																				BgL_objectz00_bglt BgL_tmpz00_20496;

																				BgL_tmpz00_20496 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt)
																						BgL_iz00_10831));
																				BgL_auxz00_20495 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_20496);
																			}
																			BgL_auxz00_20494 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_20495);
																		}
																		BgL_auxz00_20493 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_20494))->
																			BgL_z52hashz52);
																	}
																	{
																		obj_t BgL_auxz00_20488;

																		{	/* SawBbv/bbv-specialize.scm 1416 */
																			BgL_objectz00_bglt BgL_tmpz00_20489;

																			BgL_tmpz00_20489 =
																				((BgL_objectz00_bglt)
																				BgL_new1835z00_10868);
																			BgL_auxz00_20488 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_20489);
																		}
																		BgL_auxz00_20487 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_20488);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_20487))->
																			BgL_z52hashz52) =
																		((obj_t) BgL_auxz00_20493), BUNSPEC);
																}
																BgL_niz00_10843 = BgL_new1835z00_10868;
															}
														{	/* SawBbv/bbv-specialize.scm 1404 */

															{	/* SawBbv/bbv-specialize.scm 1421 */
																int BgL_tmpz00_20503;

																BgL_tmpz00_20503 = (int) (2L);
																BGL_MVALUES_NUMBER_SET(BgL_tmpz00_20503);
															}
															{	/* SawBbv/bbv-specialize.scm 1421 */
																int BgL_tmpz00_20506;

																BgL_tmpz00_20506 = (int) (1L);
																BGL_MVALUES_VAL_SET(BgL_tmpz00_20506,
																	BgL_ctxzb2zb2_10833);
															}
															BgL_auxz00_20115 = BgL_niz00_10843;
											}}}}
											return ((obj_t) BgL_auxz00_20115);
										}
									else
										{	/* SawBbv/bbv-specialize.scm 1449 */
											if (BGl_rtl_inszd2falsezf3z21zzsaw_bbvzd2typeszd2(
													((BgL_rtl_insz00_bglt) BgL_insz00_10897)))
												{
													BgL_rtl_insz00_bglt BgL_auxz00_20514;

													BgL_iz00_10808 =
														((BgL_rtl_insz00_bglt) BgL_iz00_9814);
													BgL_insz00_10809 = BgL_insz00_10897;
													BgL_ctxzd2zd2_10810 = BgL_ctxzd2zd2_10900;
													{	/* SawBbv/bbv-specialize.scm 1425 */
														obj_t BgL_assertz00_10811;

														if (
															((long)
																CINT
																(BGl_za2bbvzd2assertza2zd2zzsaw_bbvzd2configzd2)
																>= 3L))
															{	/* SawBbv/bbv-specialize.scm 1426 */
																obj_t BgL_insz00_10812;

																BgL_insz00_10812 =
																	CAR(
																	(((BgL_rtl_insz00_bglt)
																			COBJECT(BgL_iz00_10808))->BgL_argsz00));
																{	/* SawBbv/bbv-specialize.scm 1429 */
																	obj_t BgL_arg3716z00_10813;
																	obj_t BgL_arg3717z00_10814;
																	obj_t BgL_arg3718z00_10815;
																	obj_t BgL_arg3719z00_10816;

																	BgL_arg3716z00_10813 =
																		BGl_fxcmpzd2opze70z35zzsaw_bbvzd2specializa7ez75
																		(BgL_insz00_10812);
																	{	/* SawBbv/bbv-specialize.scm 1429 */
																		obj_t BgL_pairz00_10817;

																		BgL_pairz00_10817 =
																			(((BgL_rtl_insz00_bglt) COBJECT(
																					((BgL_rtl_insz00_bglt)
																						BgL_insz00_10812)))->BgL_argsz00);
																		BgL_arg3717z00_10814 =
																			CAR(BgL_pairz00_10817);
																	}
																	{	/* SawBbv/bbv-specialize.scm 1429 */
																		obj_t BgL_pairz00_10818;

																		BgL_pairz00_10818 =
																			(((BgL_rtl_insz00_bglt) COBJECT(
																					((BgL_rtl_insz00_bglt)
																						BgL_insz00_10812)))->BgL_argsz00);
																		BgL_arg3718z00_10815 =
																			CAR(CDR(BgL_pairz00_10818));
																	}
																	BgL_arg3719z00_10816 =
																		(((BgL_rtl_insz00_bglt)
																			COBJECT(BgL_iz00_10808))->BgL_locz00);
																	BgL_assertz00_10811 =
																		BGl_rtlzd2assertzd2fxcmpz00zzsaw_bbvzd2debugzd2
																		(BgL_arg3716z00_10813, BgL_arg3717z00_10814,
																		BgL_arg3718z00_10815, ((bool_t) 0),
																		((BgL_bbvzd2ctxzd2_bglt)
																			BgL_ctxzd2zd2_10810),
																		BgL_arg3719z00_10816,
																		BGl_string4212z00zzsaw_bbvzd2specializa7ez75);
															}}
														else
															{	/* SawBbv/bbv-specialize.scm 1425 */
																BgL_assertz00_10811 = BFALSE;
															}
														{	/* SawBbv/bbv-specialize.scm 1425 */
															BgL_rtl_insz00_bglt BgL_niz00_10819;

															{	/* SawBbv/bbv-specialize.scm 1432 */
																BgL_rtl_insz00_bglt BgL_new1851z00_10820;

																{	/* SawBbv/bbv-specialize.scm 1432 */
																	BgL_rtl_insz00_bglt BgL_tmp1859z00_10821;
																	BgL_rtl_inszf2bbvzf2_bglt
																		BgL_wide1860z00_10822;
																	{
																		BgL_rtl_insz00_bglt BgL_auxz00_20531;

																		{	/* SawBbv/bbv-specialize.scm 1432 */
																			BgL_rtl_insz00_bglt BgL_new1858z00_10823;

																			BgL_new1858z00_10823 =
																				((BgL_rtl_insz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_rtl_insz00_bgl))));
																			{	/* SawBbv/bbv-specialize.scm 1432 */
																				long BgL_arg3714z00_10824;

																				BgL_arg3714z00_10824 =
																					BGL_CLASS_NUM
																					(BGl_rtl_insz00zzsaw_defsz00);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_new1858z00_10823),
																					BgL_arg3714z00_10824);
																			}
																			{	/* SawBbv/bbv-specialize.scm 1432 */
																				BgL_objectz00_bglt BgL_tmpz00_20536;

																				BgL_tmpz00_20536 =
																					((BgL_objectz00_bglt)
																					BgL_new1858z00_10823);
																				BGL_OBJECT_WIDENING_SET
																					(BgL_tmpz00_20536, BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1858z00_10823);
																			BgL_auxz00_20531 = BgL_new1858z00_10823;
																		}
																		BgL_tmp1859z00_10821 =
																			((BgL_rtl_insz00_bglt) BgL_auxz00_20531);
																	}
																	BgL_wide1860z00_10822 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_rtl_inszf2bbvzf2_bgl))));
																	{	/* SawBbv/bbv-specialize.scm 1432 */
																		obj_t BgL_auxz00_20544;
																		BgL_objectz00_bglt BgL_tmpz00_20542;

																		BgL_auxz00_20544 =
																			((obj_t) BgL_wide1860z00_10822);
																		BgL_tmpz00_20542 =
																			((BgL_objectz00_bglt)
																			BgL_tmp1859z00_10821);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_20542,
																			BgL_auxz00_20544);
																	}
																	((BgL_objectz00_bglt) BgL_tmp1859z00_10821);
																	{	/* SawBbv/bbv-specialize.scm 1432 */
																		long BgL_arg3713z00_10825;

																		BgL_arg3713z00_10825 =
																			BGL_CLASS_NUM
																			(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																		BGL_OBJECT_CLASS_NUM_SET((
																				(BgL_objectz00_bglt)
																				BgL_tmp1859z00_10821),
																			BgL_arg3713z00_10825);
																	}
																	BgL_new1851z00_10820 =
																		((BgL_rtl_insz00_bglt)
																		BgL_tmp1859z00_10821);
																}
																((((BgL_rtl_insz00_bglt) COBJECT(
																				((BgL_rtl_insz00_bglt)
																					BgL_new1851z00_10820)))->BgL_locz00) =
																	((obj_t) (((BgL_rtl_insz00_bglt)
																				COBJECT(BgL_iz00_10808))->BgL_locz00)),
																	BUNSPEC);
																((((BgL_rtl_insz00_bglt)
																			COBJECT(((BgL_rtl_insz00_bglt)
																					BgL_new1851z00_10820)))->
																		BgL_z52spillz52) =
																	((obj_t) (((BgL_rtl_insz00_bglt)
																				COBJECT(BgL_iz00_10808))->
																			BgL_z52spillz52)), BUNSPEC);
																((((BgL_rtl_insz00_bglt)
																			COBJECT(((BgL_rtl_insz00_bglt)
																					BgL_new1851z00_10820)))->
																		BgL_destz00) =
																	((obj_t) (((BgL_rtl_insz00_bglt)
																				COBJECT(BgL_iz00_10808))->BgL_destz00)),
																	BUNSPEC);
																{
																	BgL_rtl_funz00_bglt BgL_auxz00_20561;

																	if (CBOOL(BgL_assertz00_10811))
																		{	/* SawBbv/bbv-specialize.scm 1435 */
																			BgL_auxz00_20561 =
																				((BgL_rtl_funz00_bglt)
																				BgL_assertz00_10811);
																		}
																	else
																		{	/* SawBbv/bbv-specialize.scm 1435 */
																			BgL_rtl_funz00_bglt
																				BgL_duplicated1864z00_10826;
																			BgL_rtl_nopz00_bglt BgL_new1862z00_10827;

																			BgL_duplicated1864z00_10826 =
																				(((BgL_rtl_insz00_bglt)
																					COBJECT(BgL_iz00_10808))->BgL_funz00);
																			{	/* SawBbv/bbv-specialize.scm 1435 */
																				BgL_rtl_nopz00_bglt
																					BgL_new1865z00_10828;
																				BgL_new1865z00_10828 =
																					((BgL_rtl_nopz00_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_rtl_nopz00_bgl))));
																				{	/* SawBbv/bbv-specialize.scm 1435 */
																					long BgL_arg3712z00_10829;

																					{	/* SawBbv/bbv-specialize.scm 1435 */
																						obj_t BgL_classz00_10830;

																						BgL_classz00_10830 =
																							BGl_rtl_nopz00zzsaw_defsz00;
																						BgL_arg3712z00_10829 =
																							BGL_CLASS_NUM(BgL_classz00_10830);
																					}
																					BGL_OBJECT_CLASS_NUM_SET(
																						((BgL_objectz00_bglt)
																							BgL_new1865z00_10828),
																						BgL_arg3712z00_10829);
																				}
																				BgL_new1862z00_10827 =
																					BgL_new1865z00_10828;
																			}
																			((((BgL_rtl_funz00_bglt) COBJECT(
																							((BgL_rtl_funz00_bglt)
																								BgL_new1862z00_10827)))->
																					BgL_locz00) =
																				((obj_t) (((BgL_rtl_funz00_bglt)
																							COBJECT
																							(BgL_duplicated1864z00_10826))->
																						BgL_locz00)), BUNSPEC);
																			BgL_auxz00_20561 =
																				((BgL_rtl_funz00_bglt)
																				BgL_new1862z00_10827);
																		}
																	((((BgL_rtl_insz00_bglt) COBJECT(
																					((BgL_rtl_insz00_bglt)
																						BgL_new1851z00_10820)))->
																			BgL_funz00) =
																		((BgL_rtl_funz00_bglt) BgL_auxz00_20561),
																		BUNSPEC);
																}
																((((BgL_rtl_insz00_bglt) COBJECT(
																				((BgL_rtl_insz00_bglt)
																					BgL_new1851z00_10820)))->
																		BgL_argsz00) = ((obj_t) BNIL), BUNSPEC);
																{
																	obj_t BgL_auxz00_20584;
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_20578;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_20585;

																		{
																			obj_t BgL_auxz00_20586;

																			{	/* SawBbv/bbv-specialize.scm 1434 */
																				BgL_objectz00_bglt BgL_tmpz00_20587;

																				BgL_tmpz00_20587 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt)
																						BgL_iz00_10808));
																				BgL_auxz00_20586 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_20587);
																			}
																			BgL_auxz00_20585 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_20586);
																		}
																		BgL_auxz00_20584 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_20585))->BgL_defz00);
																	}
																	{
																		obj_t BgL_auxz00_20579;

																		{	/* SawBbv/bbv-specialize.scm 1434 */
																			BgL_objectz00_bglt BgL_tmpz00_20580;

																			BgL_tmpz00_20580 =
																				((BgL_objectz00_bglt)
																				BgL_new1851z00_10820);
																			BgL_auxz00_20579 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_20580);
																		}
																		BgL_auxz00_20578 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_20579);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_20578))->
																			BgL_defz00) =
																		((obj_t) BgL_auxz00_20584), BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_20600;
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_20594;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_20601;

																		{
																			obj_t BgL_auxz00_20602;

																			{	/* SawBbv/bbv-specialize.scm 1434 */
																				BgL_objectz00_bglt BgL_tmpz00_20603;

																				BgL_tmpz00_20603 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt)
																						BgL_iz00_10808));
																				BgL_auxz00_20602 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_20603);
																			}
																			BgL_auxz00_20601 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_20602);
																		}
																		BgL_auxz00_20600 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_20601))->BgL_outz00);
																	}
																	{
																		obj_t BgL_auxz00_20595;

																		{	/* SawBbv/bbv-specialize.scm 1434 */
																			BgL_objectz00_bglt BgL_tmpz00_20596;

																			BgL_tmpz00_20596 =
																				((BgL_objectz00_bglt)
																				BgL_new1851z00_10820);
																			BgL_auxz00_20595 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_20596);
																		}
																		BgL_auxz00_20594 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_20595);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_20594))->
																			BgL_outz00) =
																		((obj_t) BgL_auxz00_20600), BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_20616;
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_20610;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_20617;

																		{
																			obj_t BgL_auxz00_20618;

																			{	/* SawBbv/bbv-specialize.scm 1434 */
																				BgL_objectz00_bglt BgL_tmpz00_20619;

																				BgL_tmpz00_20619 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt)
																						BgL_iz00_10808));
																				BgL_auxz00_20618 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_20619);
																			}
																			BgL_auxz00_20617 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_20618);
																		}
																		BgL_auxz00_20616 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_20617))->BgL_inz00);
																	}
																	{
																		obj_t BgL_auxz00_20611;

																		{	/* SawBbv/bbv-specialize.scm 1434 */
																			BgL_objectz00_bglt BgL_tmpz00_20612;

																			BgL_tmpz00_20612 =
																				((BgL_objectz00_bglt)
																				BgL_new1851z00_10820);
																			BgL_auxz00_20611 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_20612);
																		}
																		BgL_auxz00_20610 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_20611);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_20610))->BgL_inz00) =
																		((obj_t) BgL_auxz00_20616), BUNSPEC);
																}
																{
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_20626;

																	{
																		obj_t BgL_auxz00_20627;

																		{	/* SawBbv/bbv-specialize.scm 1433 */
																			BgL_objectz00_bglt BgL_tmpz00_20628;

																			BgL_tmpz00_20628 =
																				((BgL_objectz00_bglt)
																				BgL_new1851z00_10820);
																			BgL_auxz00_20627 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_20628);
																		}
																		BgL_auxz00_20626 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_20627);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_20626))->
																			BgL_ctxz00) =
																		((BgL_bbvzd2ctxzd2_bglt) (
																				(BgL_bbvzd2ctxzd2_bglt)
																				BgL_ctxz00_9817)), BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_20640;
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_20634;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_20641;

																		{
																			obj_t BgL_auxz00_20642;

																			{	/* SawBbv/bbv-specialize.scm 1433 */
																				BgL_objectz00_bglt BgL_tmpz00_20643;

																				BgL_tmpz00_20643 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt)
																						BgL_iz00_10808));
																				BgL_auxz00_20642 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_20643);
																			}
																			BgL_auxz00_20641 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_20642);
																		}
																		BgL_auxz00_20640 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_20641))->
																			BgL_z52hashz52);
																	}
																	{
																		obj_t BgL_auxz00_20635;

																		{	/* SawBbv/bbv-specialize.scm 1433 */
																			BgL_objectz00_bglt BgL_tmpz00_20636;

																			BgL_tmpz00_20636 =
																				((BgL_objectz00_bglt)
																				BgL_new1851z00_10820);
																			BgL_auxz00_20635 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_20636);
																		}
																		BgL_auxz00_20634 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_20635);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_20634))->
																			BgL_z52hashz52) =
																		((obj_t) BgL_auxz00_20640), BUNSPEC);
																}
																BgL_niz00_10819 = BgL_new1851z00_10820;
															}
															{	/* SawBbv/bbv-specialize.scm 1432 */

																{	/* SawBbv/bbv-specialize.scm 1436 */
																	int BgL_tmpz00_20650;

																	BgL_tmpz00_20650 = (int) (2L);
																	BGL_MVALUES_NUMBER_SET(BgL_tmpz00_20650);
																}
																{	/* SawBbv/bbv-specialize.scm 1436 */
																	int BgL_tmpz00_20653;

																	BgL_tmpz00_20653 = (int) (1L);
																	BGL_MVALUES_VAL_SET(BgL_tmpz00_20653,
																		BgL_ctxzd2zd2_10810);
																}
																BgL_auxz00_20514 = BgL_niz00_10819;
													}}}
													return ((obj_t) BgL_auxz00_20514);
												}
											else
												{	/* SawBbv/bbv-specialize.scm 1454 */
													BgL_rtl_ifnez00_bglt BgL_funz00_10903;

													{	/* SawBbv/bbv-specialize.scm 1454 */
														BgL_rtl_funz00_bglt BgL_duplicated1870z00_10904;
														BgL_rtl_ifnez00_bglt BgL_new1868z00_10905;

														BgL_duplicated1870z00_10904 =
															(((BgL_rtl_insz00_bglt) COBJECT(
																	((BgL_rtl_insz00_bglt) BgL_iz00_9814)))->
															BgL_funz00);
														{	/* SawBbv/bbv-specialize.scm 1454 */
															BgL_rtl_ifnez00_bglt BgL_new1871z00_10906;

															BgL_new1871z00_10906 =
																((BgL_rtl_ifnez00_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_rtl_ifnez00_bgl))));
															{	/* SawBbv/bbv-specialize.scm 1454 */
																long BgL_arg3572z00_10907;

																BgL_arg3572z00_10907 =
																	BGL_CLASS_NUM(BGl_rtl_ifnez00zzsaw_defsz00);
																BGL_OBJECT_CLASS_NUM_SET(
																	((BgL_objectz00_bglt) BgL_new1871z00_10906),
																	BgL_arg3572z00_10907);
															}
															BgL_new1868z00_10905 = BgL_new1871z00_10906;
														}
														((((BgL_rtl_funz00_bglt) COBJECT(
																		((BgL_rtl_funz00_bglt)
																			BgL_new1868z00_10905)))->BgL_locz00) =
															((obj_t) (((BgL_rtl_funz00_bglt)
																		COBJECT(BgL_duplicated1870z00_10904))->
																	BgL_locz00)), BUNSPEC);
														{
															BgL_blockz00_bglt BgL_auxz00_20667;

															{	/* SawBbv/bbv-specialize.scm 1455 */
																BgL_blockz00_bglt BgL_arg3571z00_10908;

																BgL_arg3571z00_10908 =
																	(((BgL_rtl_ifnez00_bglt)
																		COBJECT(BgL_i1867z00_10896))->BgL_thenz00);
																BgL_auxz00_20667 =
																	((BgL_blockz00_bglt)
																	BGl_bbvzd2blockzd2zzsaw_bbvzd2specializa7ez75
																	(BgL_arg3571z00_10908,
																		((BgL_bbvzd2ctxzd2_bglt)
																			BgL_ctxzb2zb2_10899),
																		((BgL_bbvzd2queuezd2_bglt)
																			BgL_queuez00_9818), BgL_bsz00_9816));
															}
															((((BgL_rtl_ifnez00_bglt)
																		COBJECT(BgL_new1868z00_10905))->
																	BgL_thenz00) =
																((BgL_blockz00_bglt) BgL_auxz00_20667),
																BUNSPEC);
														}
														BgL_funz00_10903 = BgL_new1868z00_10905;
													}
													{	/* SawBbv/bbv-specialize.scm 1457 */
														BgL_rtl_insz00_bglt BgL_val0_2439z00_10909;

														{	/* SawBbv/bbv-specialize.scm 1457 */
															BgL_rtl_insz00_bglt BgL_new1872z00_10910;

															{	/* SawBbv/bbv-specialize.scm 1458 */
																BgL_rtl_insz00_bglt BgL_tmp1880z00_10911;
																BgL_rtl_inszf2bbvzf2_bglt BgL_wide1881z00_10912;

																{
																	BgL_rtl_insz00_bglt BgL_auxz00_20674;

																	{	/* SawBbv/bbv-specialize.scm 1458 */
																		BgL_rtl_insz00_bglt BgL_new1879z00_10913;

																		BgL_new1879z00_10913 =
																			((BgL_rtl_insz00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_rtl_insz00_bgl))));
																		{	/* SawBbv/bbv-specialize.scm 1458 */
																			long BgL_arg3570z00_10914;

																			BgL_arg3570z00_10914 =
																				BGL_CLASS_NUM
																				(BGl_rtl_insz00zzsaw_defsz00);
																			BGL_OBJECT_CLASS_NUM_SET((
																					(BgL_objectz00_bglt)
																					BgL_new1879z00_10913),
																				BgL_arg3570z00_10914);
																		}
																		{	/* SawBbv/bbv-specialize.scm 1458 */
																			BgL_objectz00_bglt BgL_tmpz00_20679;

																			BgL_tmpz00_20679 =
																				((BgL_objectz00_bglt)
																				BgL_new1879z00_10913);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_20679,
																				BFALSE);
																		}
																		((BgL_objectz00_bglt) BgL_new1879z00_10913);
																		BgL_auxz00_20674 = BgL_new1879z00_10913;
																	}
																	BgL_tmp1880z00_10911 =
																		((BgL_rtl_insz00_bglt) BgL_auxz00_20674);
																}
																BgL_wide1881z00_10912 =
																	((BgL_rtl_inszf2bbvzf2_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_rtl_inszf2bbvzf2_bgl))));
																{	/* SawBbv/bbv-specialize.scm 1458 */
																	obj_t BgL_auxz00_20687;
																	BgL_objectz00_bglt BgL_tmpz00_20685;

																	BgL_auxz00_20687 =
																		((obj_t) BgL_wide1881z00_10912);
																	BgL_tmpz00_20685 =
																		((BgL_objectz00_bglt) BgL_tmp1880z00_10911);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_20685,
																		BgL_auxz00_20687);
																}
																((BgL_objectz00_bglt) BgL_tmp1880z00_10911);
																{	/* SawBbv/bbv-specialize.scm 1458 */
																	long BgL_arg3568z00_10915;

																	BgL_arg3568z00_10915 =
																		BGL_CLASS_NUM
																		(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																	BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																			BgL_tmp1880z00_10911),
																		BgL_arg3568z00_10915);
																}
																BgL_new1872z00_10910 =
																	((BgL_rtl_insz00_bglt) BgL_tmp1880z00_10911);
															}
															((((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				BgL_new1872z00_10910)))->BgL_locz00) =
																((obj_t) (((BgL_rtl_insz00_bglt)
																			COBJECT(((BgL_rtl_insz00_bglt)
																					BgL_iz00_9814)))->BgL_locz00)),
																BUNSPEC);
															((((BgL_rtl_insz00_bglt)
																		COBJECT(((BgL_rtl_insz00_bglt)
																				BgL_new1872z00_10910)))->
																	BgL_z52spillz52) =
																((obj_t) (((BgL_rtl_insz00_bglt)
																			COBJECT(((BgL_rtl_insz00_bglt)
																					BgL_iz00_9814)))->BgL_z52spillz52)),
																BUNSPEC);
															((((BgL_rtl_insz00_bglt)
																		COBJECT(((BgL_rtl_insz00_bglt)
																				BgL_new1872z00_10910)))->BgL_destz00) =
																((obj_t) (((BgL_rtl_insz00_bglt)
																			COBJECT(((BgL_rtl_insz00_bglt)
																					BgL_iz00_9814)))->BgL_destz00)),
																BUNSPEC);
															((((BgL_rtl_insz00_bglt)
																		COBJECT(((BgL_rtl_insz00_bglt)
																				BgL_new1872z00_10910)))->BgL_funz00) =
																((BgL_rtl_funz00_bglt) ((BgL_rtl_funz00_bglt)
																		BgL_funz00_10903)), BUNSPEC);
															{
																obj_t BgL_auxz00_20710;

																{	/* SawBbv/bbv-specialize.scm 1459 */
																	obj_t BgL_list3566z00_10916;

																	BgL_list3566z00_10916 =
																		MAKE_YOUNG_PAIR(
																		((obj_t) BgL_insz00_10897), BNIL);
																	BgL_auxz00_20710 = BgL_list3566z00_10916;
																}
																((((BgL_rtl_insz00_bglt) COBJECT(
																				((BgL_rtl_insz00_bglt)
																					BgL_new1872z00_10910)))->
																		BgL_argsz00) =
																	((obj_t) BgL_auxz00_20710), BUNSPEC);
															}
															{
																obj_t BgL_auxz00_20721;
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_20715;

																{
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_20722;

																	{
																		obj_t BgL_auxz00_20723;

																		{	/* SawBbv/bbv-specialize.scm 1458 */
																			BgL_objectz00_bglt BgL_tmpz00_20724;

																			BgL_tmpz00_20724 =
																				((BgL_objectz00_bglt)
																				((BgL_rtl_insz00_bglt)
																					((BgL_rtl_insz00_bglt)
																						BgL_iz00_9814)));
																			BgL_auxz00_20723 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_20724);
																		}
																		BgL_auxz00_20722 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_20723);
																	}
																	BgL_auxz00_20721 =
																		(((BgL_rtl_inszf2bbvzf2_bglt)
																			COBJECT(BgL_auxz00_20722))->BgL_defz00);
																}
																{
																	obj_t BgL_auxz00_20716;

																	{	/* SawBbv/bbv-specialize.scm 1458 */
																		BgL_objectz00_bglt BgL_tmpz00_20717;

																		BgL_tmpz00_20717 =
																			((BgL_objectz00_bglt)
																			BgL_new1872z00_10910);
																		BgL_auxz00_20716 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_20717);
																	}
																	BgL_auxz00_20715 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_20716);
																}
																((((BgL_rtl_inszf2bbvzf2_bglt)
																			COBJECT(BgL_auxz00_20715))->BgL_defz00) =
																	((obj_t) BgL_auxz00_20721), BUNSPEC);
															}
															{
																obj_t BgL_auxz00_20738;
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_20732;

																{
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_20739;

																	{
																		obj_t BgL_auxz00_20740;

																		{	/* SawBbv/bbv-specialize.scm 1458 */
																			BgL_objectz00_bglt BgL_tmpz00_20741;

																			BgL_tmpz00_20741 =
																				((BgL_objectz00_bglt)
																				((BgL_rtl_insz00_bglt)
																					((BgL_rtl_insz00_bglt)
																						BgL_iz00_9814)));
																			BgL_auxz00_20740 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_20741);
																		}
																		BgL_auxz00_20739 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_20740);
																	}
																	BgL_auxz00_20738 =
																		(((BgL_rtl_inszf2bbvzf2_bglt)
																			COBJECT(BgL_auxz00_20739))->BgL_outz00);
																}
																{
																	obj_t BgL_auxz00_20733;

																	{	/* SawBbv/bbv-specialize.scm 1458 */
																		BgL_objectz00_bglt BgL_tmpz00_20734;

																		BgL_tmpz00_20734 =
																			((BgL_objectz00_bglt)
																			BgL_new1872z00_10910);
																		BgL_auxz00_20733 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_20734);
																	}
																	BgL_auxz00_20732 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_20733);
																}
																((((BgL_rtl_inszf2bbvzf2_bglt)
																			COBJECT(BgL_auxz00_20732))->BgL_outz00) =
																	((obj_t) BgL_auxz00_20738), BUNSPEC);
															}
															{
																obj_t BgL_auxz00_20755;
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_20749;

																{
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_20756;

																	{
																		obj_t BgL_auxz00_20757;

																		{	/* SawBbv/bbv-specialize.scm 1458 */
																			BgL_objectz00_bglt BgL_tmpz00_20758;

																			BgL_tmpz00_20758 =
																				((BgL_objectz00_bglt)
																				((BgL_rtl_insz00_bglt)
																					((BgL_rtl_insz00_bglt)
																						BgL_iz00_9814)));
																			BgL_auxz00_20757 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_20758);
																		}
																		BgL_auxz00_20756 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_20757);
																	}
																	BgL_auxz00_20755 =
																		(((BgL_rtl_inszf2bbvzf2_bglt)
																			COBJECT(BgL_auxz00_20756))->BgL_inz00);
																}
																{
																	obj_t BgL_auxz00_20750;

																	{	/* SawBbv/bbv-specialize.scm 1458 */
																		BgL_objectz00_bglt BgL_tmpz00_20751;

																		BgL_tmpz00_20751 =
																			((BgL_objectz00_bglt)
																			BgL_new1872z00_10910);
																		BgL_auxz00_20750 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_20751);
																	}
																	BgL_auxz00_20749 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_20750);
																}
																((((BgL_rtl_inszf2bbvzf2_bglt)
																			COBJECT(BgL_auxz00_20749))->BgL_inz00) =
																	((obj_t) BgL_auxz00_20755), BUNSPEC);
															}
															{
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_20766;

																{
																	obj_t BgL_auxz00_20767;

																	{	/* SawBbv/bbv-specialize.scm 1458 */
																		BgL_objectz00_bglt BgL_tmpz00_20768;

																		BgL_tmpz00_20768 =
																			((BgL_objectz00_bglt)
																			BgL_new1872z00_10910);
																		BgL_auxz00_20767 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_20768);
																	}
																	BgL_auxz00_20766 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_20767);
																}
																((((BgL_rtl_inszf2bbvzf2_bglt)
																			COBJECT(BgL_auxz00_20766))->BgL_ctxz00) =
																	((BgL_bbvzd2ctxzd2_bglt) (
																			(BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_9817)),
																	BUNSPEC);
															}
															{
																obj_t BgL_auxz00_20780;
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_20774;

																{
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_20781;

																	{
																		obj_t BgL_auxz00_20782;

																		{	/* SawBbv/bbv-specialize.scm 1458 */
																			BgL_objectz00_bglt BgL_tmpz00_20783;

																			BgL_tmpz00_20783 =
																				((BgL_objectz00_bglt)
																				((BgL_rtl_insz00_bglt)
																					((BgL_rtl_insz00_bglt)
																						BgL_iz00_9814)));
																			BgL_auxz00_20782 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_20783);
																		}
																		BgL_auxz00_20781 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_20782);
																	}
																	BgL_auxz00_20780 =
																		(((BgL_rtl_inszf2bbvzf2_bglt)
																			COBJECT(BgL_auxz00_20781))->
																		BgL_z52hashz52);
																}
																{
																	obj_t BgL_auxz00_20775;

																	{	/* SawBbv/bbv-specialize.scm 1458 */
																		BgL_objectz00_bglt BgL_tmpz00_20776;

																		BgL_tmpz00_20776 =
																			((BgL_objectz00_bglt)
																			BgL_new1872z00_10910);
																		BgL_auxz00_20775 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_20776);
																	}
																	BgL_auxz00_20774 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_20775);
																}
																((((BgL_rtl_inszf2bbvzf2_bglt)
																			COBJECT(BgL_auxz00_20774))->
																		BgL_z52hashz52) =
																	((obj_t) BgL_auxz00_20780), BUNSPEC);
															}
															BgL_val0_2439z00_10909 = BgL_new1872z00_10910;
														}
														{	/* SawBbv/bbv-specialize.scm 1457 */
															int BgL_tmpz00_20791;

															BgL_tmpz00_20791 = (int) (2L);
															BGL_MVALUES_NUMBER_SET(BgL_tmpz00_20791);
														}
														{	/* SawBbv/bbv-specialize.scm 1457 */
															int BgL_tmpz00_20794;

															BgL_tmpz00_20794 = (int) (1L);
															BGL_MVALUES_VAL_SET(BgL_tmpz00_20794,
																BgL_ctxzd2zd2_10900);
														}
														return ((obj_t) BgL_val0_2439z00_10909);
													}
												}
										}
								}
							}
						}
					else
						{	/* SawBbv/bbv-specialize.scm 1462 */
							bool_t BgL_test4845z00_20798;

							{	/* SawBbv/bbv-specialize.scm 1462 */
								BgL_rtl_funz00_bglt BgL_arg3581z00_10917;

								BgL_arg3581z00_10917 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_iz00_9814)))->BgL_funz00);
								{	/* SawBbv/bbv-specialize.scm 1462 */
									obj_t BgL_classz00_10918;

									BgL_classz00_10918 = BGl_rtl_callz00zzsaw_defsz00;
									{	/* SawBbv/bbv-specialize.scm 1462 */
										BgL_objectz00_bglt BgL_arg1858z00_10919;

										{	/* SawBbv/bbv-specialize.scm 1462 */
											obj_t BgL_tmpz00_20801;

											BgL_tmpz00_20801 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg3581z00_10917));
											BgL_arg1858z00_10919 =
												(BgL_objectz00_bglt) (BgL_tmpz00_20801);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* SawBbv/bbv-specialize.scm 1462 */
												long BgL_idxz00_10920;

												BgL_idxz00_10920 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_10919);
												BgL_test4845z00_20798 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_10920 + 2L)) == BgL_classz00_10918);
											}
										else
											{	/* SawBbv/bbv-specialize.scm 1462 */
												bool_t BgL_res4154z00_10923;

												{	/* SawBbv/bbv-specialize.scm 1462 */
													obj_t BgL_oclassz00_10924;

													{	/* SawBbv/bbv-specialize.scm 1462 */
														obj_t BgL_arg1866z00_10925;
														long BgL_arg1867z00_10926;

														BgL_arg1866z00_10925 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* SawBbv/bbv-specialize.scm 1462 */
															long BgL_arg1869z00_10927;

															BgL_arg1869z00_10927 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_10919);
															BgL_arg1867z00_10926 =
																(BgL_arg1869z00_10927 - OBJECT_TYPE);
														}
														BgL_oclassz00_10924 =
															VECTOR_REF(BgL_arg1866z00_10925,
															BgL_arg1867z00_10926);
													}
													{	/* SawBbv/bbv-specialize.scm 1462 */
														bool_t BgL__ortest_1115z00_10928;

														BgL__ortest_1115z00_10928 =
															(BgL_classz00_10918 == BgL_oclassz00_10924);
														if (BgL__ortest_1115z00_10928)
															{	/* SawBbv/bbv-specialize.scm 1462 */
																BgL_res4154z00_10923 =
																	BgL__ortest_1115z00_10928;
															}
														else
															{	/* SawBbv/bbv-specialize.scm 1462 */
																long BgL_odepthz00_10929;

																{	/* SawBbv/bbv-specialize.scm 1462 */
																	obj_t BgL_arg1855z00_10930;

																	BgL_arg1855z00_10930 = (BgL_oclassz00_10924);
																	BgL_odepthz00_10929 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_10930);
																}
																if ((2L < BgL_odepthz00_10929))
																	{	/* SawBbv/bbv-specialize.scm 1462 */
																		obj_t BgL_arg1853z00_10931;

																		{	/* SawBbv/bbv-specialize.scm 1462 */
																			obj_t BgL_arg1854z00_10932;

																			BgL_arg1854z00_10932 =
																				(BgL_oclassz00_10924);
																			BgL_arg1853z00_10931 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_10932, 2L);
																		}
																		BgL_res4154z00_10923 =
																			(BgL_arg1853z00_10931 ==
																			BgL_classz00_10918);
																	}
																else
																	{	/* SawBbv/bbv-specialize.scm 1462 */
																		BgL_res4154z00_10923 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test4845z00_20798 = BgL_res4154z00_10923;
											}
									}
								}
							}
							if (BgL_test4845z00_20798)
								{	/* SawBbv/bbv-specialize.scm 1463 */
									BgL_rtl_insz00_bglt BgL_insz00_10933;

									BgL_insz00_10933 =
										BGl_specializa7ezd2fxcmpzf2callze70z60zzsaw_bbvzd2specializa7ez75
										(((BgL_rtl_insz00_bglt) BgL_iz00_9814),
										((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_9817));
									{	/* SawBbv/bbv-specialize.scm 1464 */
										obj_t BgL_ctxzb2zb2_10934;
										obj_t BgL_ctxzd2zd2_10935;

										{	/* SawBbv/bbv-specialize.scm 1466 */
											obj_t BgL_tmpz00_10936;

											{	/* SawBbv/bbv-specialize.scm 1466 */
												int BgL_tmpz00_20827;

												BgL_tmpz00_20827 = (int) (1L);
												BgL_tmpz00_10936 = BGL_MVALUES_VAL(BgL_tmpz00_20827);
											}
											{	/* SawBbv/bbv-specialize.scm 1466 */
												int BgL_tmpz00_20830;

												BgL_tmpz00_20830 = (int) (1L);
												BGL_MVALUES_VAL_SET(BgL_tmpz00_20830, BUNSPEC);
											}
											BgL_ctxzb2zb2_10934 = BgL_tmpz00_10936;
										}
										{	/* SawBbv/bbv-specialize.scm 1466 */
											obj_t BgL_tmpz00_10937;

											{	/* SawBbv/bbv-specialize.scm 1466 */
												int BgL_tmpz00_20833;

												BgL_tmpz00_20833 = (int) (2L);
												BgL_tmpz00_10937 = BGL_MVALUES_VAL(BgL_tmpz00_20833);
											}
											{	/* SawBbv/bbv-specialize.scm 1466 */
												int BgL_tmpz00_20836;

												BgL_tmpz00_20836 = (int) (2L);
												BGL_MVALUES_VAL_SET(BgL_tmpz00_20836, BUNSPEC);
											}
											BgL_ctxzd2zd2_10935 = BgL_tmpz00_10937;
										}
										if (BGl_rtl_inszd2truezf3z21zzsaw_bbvzd2typeszd2(
												((BgL_rtl_insz00_bglt) BgL_insz00_10933)))
											{	/* SawBbv/bbv-specialize.scm 1466 */
												{	/* SawBbv/bbv-specialize.scm 1466 */
													int BgL_tmpz00_20842;

													BgL_tmpz00_20842 = (int) (2L);
													BGL_MVALUES_NUMBER_SET(BgL_tmpz00_20842);
												}
												{	/* SawBbv/bbv-specialize.scm 1466 */
													int BgL_tmpz00_20845;

													BgL_tmpz00_20845 = (int) (1L);
													BGL_MVALUES_VAL_SET(BgL_tmpz00_20845,
														BgL_ctxzb2zb2_10934);
												}
												return ((obj_t) BgL_insz00_10933);
											}
										else
											{	/* SawBbv/bbv-specialize.scm 1466 */
												if (BGl_rtl_inszd2falsezf3z21zzsaw_bbvzd2typeszd2(
														((BgL_rtl_insz00_bglt) BgL_insz00_10933)))
													{	/* SawBbv/bbv-specialize.scm 1467 */
														{	/* SawBbv/bbv-specialize.scm 1467 */
															int BgL_tmpz00_20852;

															BgL_tmpz00_20852 = (int) (2L);
															BGL_MVALUES_NUMBER_SET(BgL_tmpz00_20852);
														}
														{	/* SawBbv/bbv-specialize.scm 1467 */
															int BgL_tmpz00_20855;

															BgL_tmpz00_20855 = (int) (1L);
															BGL_MVALUES_VAL_SET(BgL_tmpz00_20855,
																BgL_ctxzd2zd2_10935);
														}
														return ((obj_t) BgL_insz00_10933);
													}
												else
													{	/* SawBbv/bbv-specialize.scm 1467 */
														{	/* SawBbv/bbv-specialize.scm 1468 */
															int BgL_tmpz00_20859;

															BgL_tmpz00_20859 = (int) (2L);
															BGL_MVALUES_NUMBER_SET(BgL_tmpz00_20859);
														}
														{	/* SawBbv/bbv-specialize.scm 1468 */
															obj_t BgL_auxz00_20864;
															int BgL_tmpz00_20862;

															BgL_auxz00_20864 =
																((obj_t)
																((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_9817));
															BgL_tmpz00_20862 = (int) (1L);
															BGL_MVALUES_VAL_SET(BgL_tmpz00_20862,
																BgL_auxz00_20864);
														}
														return ((obj_t) BgL_insz00_10933);
													}
											}
									}
								}
							else
								{	/* SawBbv/bbv-specialize.scm 1471 */
									obj_t BgL_arg3579z00_10938;

									BgL_arg3579z00_10938 =
										BGl_shapez00zztools_shapez00(
										((obj_t) ((BgL_rtl_insz00_bglt) BgL_iz00_9814)));
									return
										BGl_errorz00zz__errorz00
										(BGl_string4214z00zzsaw_bbvzd2specializa7ez75,
										BGl_string4215z00zzsaw_bbvzd2specializa7ez75,
										BgL_arg3579z00_10938);
								}
						}
				}
			}
		}

	}



/* rtl_ins-fxop? */
	bool_t BGl_rtl_inszd2fxopzf3z21zzsaw_bbvzd2specializa7ez75(BgL_rtl_insz00_bglt
		BgL_iz00_356)
	{
		{	/* SawBbv/bbv-specialize.scm 1476 */
			{
				BgL_rtl_insz00_bglt BgL_iz00_4373;

				{	/* SawBbv/bbv-specialize.scm 1504 */
					bool_t BgL_test4851z00_20873;

					{	/* SawBbv/bbv-specialize.scm 1504 */
						BgL_rtl_funz00_bglt BgL_arg3725z00_4358;

						BgL_arg3725z00_4358 =
							(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_356))->BgL_funz00);
						{	/* SawBbv/bbv-specialize.scm 1504 */
							obj_t BgL_classz00_8600;

							BgL_classz00_8600 = BGl_rtl_callz00zzsaw_defsz00;
							{	/* SawBbv/bbv-specialize.scm 1504 */
								BgL_objectz00_bglt BgL_arg1858z00_8602;

								{	/* SawBbv/bbv-specialize.scm 1504 */
									obj_t BgL_tmpz00_20875;

									BgL_tmpz00_20875 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg3725z00_4358));
									BgL_arg1858z00_8602 = (BgL_objectz00_bglt) (BgL_tmpz00_20875);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-specialize.scm 1504 */
										long BgL_idxz00_8608;

										BgL_idxz00_8608 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_8602);
										BgL_test4851z00_20873 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_8608 + 2L)) == BgL_classz00_8600);
									}
								else
									{	/* SawBbv/bbv-specialize.scm 1504 */
										bool_t BgL_res4159z00_8633;

										{	/* SawBbv/bbv-specialize.scm 1504 */
											obj_t BgL_oclassz00_8616;

											{	/* SawBbv/bbv-specialize.scm 1504 */
												obj_t BgL_arg1866z00_8624;
												long BgL_arg1867z00_8625;

												BgL_arg1866z00_8624 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* SawBbv/bbv-specialize.scm 1504 */
													long BgL_arg1869z00_8626;

													BgL_arg1869z00_8626 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_8602);
													BgL_arg1867z00_8625 =
														(BgL_arg1869z00_8626 - OBJECT_TYPE);
												}
												BgL_oclassz00_8616 =
													VECTOR_REF(BgL_arg1866z00_8624, BgL_arg1867z00_8625);
											}
											{	/* SawBbv/bbv-specialize.scm 1504 */
												bool_t BgL__ortest_1115z00_8617;

												BgL__ortest_1115z00_8617 =
													(BgL_classz00_8600 == BgL_oclassz00_8616);
												if (BgL__ortest_1115z00_8617)
													{	/* SawBbv/bbv-specialize.scm 1504 */
														BgL_res4159z00_8633 = BgL__ortest_1115z00_8617;
													}
												else
													{	/* SawBbv/bbv-specialize.scm 1504 */
														long BgL_odepthz00_8618;

														{	/* SawBbv/bbv-specialize.scm 1504 */
															obj_t BgL_arg1855z00_8619;

															BgL_arg1855z00_8619 = (BgL_oclassz00_8616);
															BgL_odepthz00_8618 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_8619);
														}
														if ((2L < BgL_odepthz00_8618))
															{	/* SawBbv/bbv-specialize.scm 1504 */
																obj_t BgL_arg1853z00_8621;

																{	/* SawBbv/bbv-specialize.scm 1504 */
																	obj_t BgL_arg1854z00_8622;

																	BgL_arg1854z00_8622 = (BgL_oclassz00_8616);
																	BgL_arg1853z00_8621 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_8622,
																		2L);
																}
																BgL_res4159z00_8633 =
																	(BgL_arg1853z00_8621 == BgL_classz00_8600);
															}
														else
															{	/* SawBbv/bbv-specialize.scm 1504 */
																BgL_res4159z00_8633 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test4851z00_20873 = BgL_res4159z00_8633;
									}
							}
						}
					}
					if (BgL_test4851z00_20873)
						{	/* SawBbv/bbv-specialize.scm 1504 */
							BgL_iz00_4373 = BgL_iz00_356;
							{	/* SawBbv/bbv-specialize.scm 1490 */
								BgL_rtl_callz00_bglt BgL_i1889z00_4376;

								BgL_i1889z00_4376 =
									((BgL_rtl_callz00_bglt)
									(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_4373))->BgL_funz00));
								if (
									(bgl_list_length(
											(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_4373))->
												BgL_argsz00)) == 2L))
									{	/* SawBbv/bbv-specialize.scm 1492 */
										bool_t BgL_test4856z00_20904;

										{	/* SawBbv/bbv-specialize.scm 1492 */
											bool_t BgL__ortest_1893z00_4384;

											{	/* SawBbv/bbv-specialize.scm 1492 */
												obj_t BgL_arg3744z00_4396;

												BgL_arg3744z00_4396 =
													((obj_t)
													(((BgL_rtl_callz00_bglt) COBJECT(BgL_i1889z00_4376))->
														BgL_varz00));
												BgL__ortest_1893z00_4384 =
													(BgL_arg3744z00_4396 ==
													BGl_za2zb2fxza2zb2zzsaw_bbvzd2cachezd2);
											}
											if (BgL__ortest_1893z00_4384)
												{	/* SawBbv/bbv-specialize.scm 1492 */
													BgL_test4856z00_20904 = BgL__ortest_1893z00_4384;
												}
											else
												{	/* SawBbv/bbv-specialize.scm 1493 */
													bool_t BgL__ortest_1894z00_4385;

													{	/* SawBbv/bbv-specialize.scm 1493 */
														obj_t BgL_arg3743z00_4395;

														BgL_arg3743z00_4395 =
															((obj_t)
															(((BgL_rtl_callz00_bglt)
																	COBJECT(BgL_i1889z00_4376))->BgL_varz00));
														BgL__ortest_1894z00_4385 =
															(BgL_arg3743z00_4395 ==
															BGl_za2zd2fxza2zd2zzsaw_bbvzd2cachezd2);
													}
													if (BgL__ortest_1894z00_4385)
														{	/* SawBbv/bbv-specialize.scm 1493 */
															BgL_test4856z00_20904 = BgL__ortest_1894z00_4385;
														}
													else
														{	/* SawBbv/bbv-specialize.scm 1494 */
															bool_t BgL__ortest_1895z00_4386;

															{	/* SawBbv/bbv-specialize.scm 1494 */
																obj_t BgL_arg3742z00_4394;

																BgL_arg3742z00_4394 =
																	((obj_t)
																	(((BgL_rtl_callz00_bglt)
																			COBJECT(BgL_i1889z00_4376))->BgL_varz00));
																BgL__ortest_1895z00_4386 =
																	(BgL_arg3742z00_4394 ==
																	BGl_za2zd2fxzd2safeza2z00zzsaw_bbvzd2cachezd2);
															}
															if (BgL__ortest_1895z00_4386)
																{	/* SawBbv/bbv-specialize.scm 1494 */
																	BgL_test4856z00_20904 =
																		BgL__ortest_1895z00_4386;
																}
															else
																{	/* SawBbv/bbv-specialize.scm 1495 */
																	bool_t BgL__ortest_1896z00_4387;

																	{	/* SawBbv/bbv-specialize.scm 1495 */
																		obj_t BgL_arg3741z00_4393;

																		BgL_arg3741z00_4393 =
																			((obj_t)
																			(((BgL_rtl_callz00_bglt)
																					COBJECT(BgL_i1889z00_4376))->
																				BgL_varz00));
																		BgL__ortest_1896z00_4387 =
																			(BgL_arg3741z00_4393 ==
																			BGl_za2zb2fxzd2safeza2z60zzsaw_bbvzd2cachezd2);
																	}
																	if (BgL__ortest_1896z00_4387)
																		{	/* SawBbv/bbv-specialize.scm 1495 */
																			BgL_test4856z00_20904 =
																				BgL__ortest_1896z00_4387;
																		}
																	else
																		{	/* SawBbv/bbv-specialize.scm 1496 */
																			bool_t BgL__ortest_1897z00_4388;

																			{	/* SawBbv/bbv-specialize.scm 1496 */
																				obj_t BgL_arg3740z00_4392;

																				BgL_arg3740z00_4392 =
																					((obj_t)
																					(((BgL_rtl_callz00_bglt)
																							COBJECT(BgL_i1889z00_4376))->
																						BgL_varz00));
																				BgL__ortest_1897z00_4388 =
																					(BgL_arg3740z00_4392 ==
																					BGl_za22zb2za2zb2zzsaw_bbvzd2cachezd2);
																			}
																			if (BgL__ortest_1897z00_4388)
																				{	/* SawBbv/bbv-specialize.scm 1496 */
																					BgL_test4856z00_20904 =
																						BgL__ortest_1897z00_4388;
																				}
																			else
																				{	/* SawBbv/bbv-specialize.scm 1497 */
																					bool_t BgL__ortest_1898z00_4389;

																					{	/* SawBbv/bbv-specialize.scm 1497 */
																						obj_t BgL_arg3739z00_4391;

																						BgL_arg3739z00_4391 =
																							((obj_t)
																							(((BgL_rtl_callz00_bglt)
																									COBJECT(BgL_i1889z00_4376))->
																								BgL_varz00));
																						BgL__ortest_1898z00_4389 =
																							(BgL_arg3739z00_4391 ==
																							BGl_za2subfxza2z00zzsaw_bbvzd2cachezd2);
																					}
																					if (BgL__ortest_1898z00_4389)
																						{	/* SawBbv/bbv-specialize.scm 1497 */
																							BgL_test4856z00_20904 =
																								BgL__ortest_1898z00_4389;
																						}
																					else
																						{	/* SawBbv/bbv-specialize.scm 1498 */
																							obj_t BgL_arg3738z00_4390;

																							BgL_arg3738z00_4390 =
																								((obj_t)
																								(((BgL_rtl_callz00_bglt)
																										COBJECT
																										(BgL_i1889z00_4376))->
																									BgL_varz00));
																							BgL_test4856z00_20904 =
																								(BgL_arg3738z00_4390 ==
																								BGl_za2addfxza2z00zzsaw_bbvzd2cachezd2);
																						}
																				}
																		}
																}
														}
												}
										}
										if (BgL_test4856z00_20904)
											{	/* SawBbv/bbv-specialize.scm 1492 */
												if (BGl_rtl_inszd2integerzf3ze70zc6zzsaw_bbvzd2specializa7ez75(CAR((((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_4373))->BgL_argsz00))))
													{	/* SawBbv/bbv-specialize.scm 1500 */
														obj_t BgL_arg3734z00_4380;

														{	/* SawBbv/bbv-specialize.scm 1500 */
															obj_t BgL_pairz00_8596;

															BgL_pairz00_8596 =
																(((BgL_rtl_insz00_bglt)
																	COBJECT(BgL_iz00_4373))->BgL_argsz00);
															BgL_arg3734z00_4380 = CAR(CDR(BgL_pairz00_8596));
														}
														return
															BGl_rtl_inszd2integerzf3ze70zc6zzsaw_bbvzd2specializa7ez75
															(BgL_arg3734z00_4380);
													}
												else
													{	/* SawBbv/bbv-specialize.scm 1499 */
														return ((bool_t) 0);
													}
											}
										else
											{	/* SawBbv/bbv-specialize.scm 1492 */
												return ((bool_t) 0);
											}
									}
								else
									{	/* SawBbv/bbv-specialize.scm 1491 */
										return ((bool_t) 0);
									}
							}
						}
					else
						{	/* SawBbv/bbv-specialize.scm 1504 */
							return ((bool_t) 0);
						}
				}
			}
		}

	}



/* rtl_ins-integer?~0 */
	bool_t BGl_rtl_inszd2integerzf3ze70zc6zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_iz00_4368)
	{
		{	/* SawBbv/bbv-specialize.scm 1486 */
			{
				obj_t BgL_az00_4359;

				{	/* SawBbv/bbv-specialize.scm 1486 */
					bool_t BgL__ortest_1885z00_4370;

					BgL_az00_4359 = BgL_iz00_4368;
					{	/* SawBbv/bbv-specialize.scm 1479 */
						bool_t BgL__ortest_1882z00_4361;

						{	/* SawBbv/bbv-specialize.scm 1479 */
							obj_t BgL_classz00_8458;

							BgL_classz00_8458 = BGl_rtl_regz00zzsaw_defsz00;
							if (BGL_OBJECTP(BgL_az00_4359))
								{	/* SawBbv/bbv-specialize.scm 1479 */
									BgL_objectz00_bglt BgL_arg1858z00_8460;

									BgL_arg1858z00_8460 = (BgL_objectz00_bglt) (BgL_az00_4359);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawBbv/bbv-specialize.scm 1479 */
											long BgL_idxz00_8466;

											BgL_idxz00_8466 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_8460);
											BgL__ortest_1882z00_4361 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_8466 + 1L)) == BgL_classz00_8458);
										}
									else
										{	/* SawBbv/bbv-specialize.scm 1479 */
											bool_t BgL_res4155z00_8491;

											{	/* SawBbv/bbv-specialize.scm 1479 */
												obj_t BgL_oclassz00_8474;

												{	/* SawBbv/bbv-specialize.scm 1479 */
													obj_t BgL_arg1866z00_8482;
													long BgL_arg1867z00_8483;

													BgL_arg1866z00_8482 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* SawBbv/bbv-specialize.scm 1479 */
														long BgL_arg1869z00_8484;

														BgL_arg1869z00_8484 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_8460);
														BgL_arg1867z00_8483 =
															(BgL_arg1869z00_8484 - OBJECT_TYPE);
													}
													BgL_oclassz00_8474 =
														VECTOR_REF(BgL_arg1866z00_8482,
														BgL_arg1867z00_8483);
												}
												{	/* SawBbv/bbv-specialize.scm 1479 */
													bool_t BgL__ortest_1115z00_8475;

													BgL__ortest_1115z00_8475 =
														(BgL_classz00_8458 == BgL_oclassz00_8474);
													if (BgL__ortest_1115z00_8475)
														{	/* SawBbv/bbv-specialize.scm 1479 */
															BgL_res4155z00_8491 = BgL__ortest_1115z00_8475;
														}
													else
														{	/* SawBbv/bbv-specialize.scm 1479 */
															long BgL_odepthz00_8476;

															{	/* SawBbv/bbv-specialize.scm 1479 */
																obj_t BgL_arg1855z00_8477;

																BgL_arg1855z00_8477 = (BgL_oclassz00_8474);
																BgL_odepthz00_8476 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_8477);
															}
															if ((1L < BgL_odepthz00_8476))
																{	/* SawBbv/bbv-specialize.scm 1479 */
																	obj_t BgL_arg1853z00_8479;

																	{	/* SawBbv/bbv-specialize.scm 1479 */
																		obj_t BgL_arg1854z00_8480;

																		BgL_arg1854z00_8480 = (BgL_oclassz00_8474);
																		BgL_arg1853z00_8479 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_8480, 1L);
																	}
																	BgL_res4155z00_8491 =
																		(BgL_arg1853z00_8479 == BgL_classz00_8458);
																}
															else
																{	/* SawBbv/bbv-specialize.scm 1479 */
																	BgL_res4155z00_8491 = ((bool_t) 0);
																}
														}
												}
											}
											BgL__ortest_1882z00_4361 = BgL_res4155z00_8491;
										}
								}
							else
								{	/* SawBbv/bbv-specialize.scm 1479 */
									BgL__ortest_1882z00_4361 = ((bool_t) 0);
								}
						}
						if (BgL__ortest_1882z00_4361)
							{	/* SawBbv/bbv-specialize.scm 1479 */
								BgL__ortest_1885z00_4370 = BgL__ortest_1882z00_4361;
							}
						else
							{	/* SawBbv/bbv-specialize.scm 1480 */
								bool_t BgL_test4869z00_20963;

								{	/* SawBbv/bbv-specialize.scm 1480 */
									obj_t BgL_classz00_8492;

									BgL_classz00_8492 = BGl_rtl_insz00zzsaw_defsz00;
									if (BGL_OBJECTP(BgL_az00_4359))
										{	/* SawBbv/bbv-specialize.scm 1480 */
											BgL_objectz00_bglt BgL_arg1858z00_8494;

											BgL_arg1858z00_8494 =
												(BgL_objectz00_bglt) (BgL_az00_4359);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* SawBbv/bbv-specialize.scm 1480 */
													long BgL_idxz00_8500;

													BgL_idxz00_8500 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_8494);
													BgL_test4869z00_20963 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_8500 + 1L)) == BgL_classz00_8492);
												}
											else
												{	/* SawBbv/bbv-specialize.scm 1480 */
													bool_t BgL_res4156z00_8525;

													{	/* SawBbv/bbv-specialize.scm 1480 */
														obj_t BgL_oclassz00_8508;

														{	/* SawBbv/bbv-specialize.scm 1480 */
															obj_t BgL_arg1866z00_8516;
															long BgL_arg1867z00_8517;

															BgL_arg1866z00_8516 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* SawBbv/bbv-specialize.scm 1480 */
																long BgL_arg1869z00_8518;

																BgL_arg1869z00_8518 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_8494);
																BgL_arg1867z00_8517 =
																	(BgL_arg1869z00_8518 - OBJECT_TYPE);
															}
															BgL_oclassz00_8508 =
																VECTOR_REF(BgL_arg1866z00_8516,
																BgL_arg1867z00_8517);
														}
														{	/* SawBbv/bbv-specialize.scm 1480 */
															bool_t BgL__ortest_1115z00_8509;

															BgL__ortest_1115z00_8509 =
																(BgL_classz00_8492 == BgL_oclassz00_8508);
															if (BgL__ortest_1115z00_8509)
																{	/* SawBbv/bbv-specialize.scm 1480 */
																	BgL_res4156z00_8525 =
																		BgL__ortest_1115z00_8509;
																}
															else
																{	/* SawBbv/bbv-specialize.scm 1480 */
																	long BgL_odepthz00_8510;

																	{	/* SawBbv/bbv-specialize.scm 1480 */
																		obj_t BgL_arg1855z00_8511;

																		BgL_arg1855z00_8511 = (BgL_oclassz00_8508);
																		BgL_odepthz00_8510 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_8511);
																	}
																	if ((1L < BgL_odepthz00_8510))
																		{	/* SawBbv/bbv-specialize.scm 1480 */
																			obj_t BgL_arg1853z00_8513;

																			{	/* SawBbv/bbv-specialize.scm 1480 */
																				obj_t BgL_arg1854z00_8514;

																				BgL_arg1854z00_8514 =
																					(BgL_oclassz00_8508);
																				BgL_arg1853z00_8513 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_8514, 1L);
																			}
																			BgL_res4156z00_8525 =
																				(BgL_arg1853z00_8513 ==
																				BgL_classz00_8492);
																		}
																	else
																		{	/* SawBbv/bbv-specialize.scm 1480 */
																			BgL_res4156z00_8525 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test4869z00_20963 = BgL_res4156z00_8525;
												}
										}
									else
										{	/* SawBbv/bbv-specialize.scm 1480 */
											BgL_test4869z00_20963 = ((bool_t) 0);
										}
								}
								if (BgL_test4869z00_20963)
									{	/* SawBbv/bbv-specialize.scm 1482 */
										bool_t BgL_test4874z00_20986;

										{	/* SawBbv/bbv-specialize.scm 1482 */
											BgL_rtl_funz00_bglt BgL_arg3730z00_4367;

											BgL_arg3730z00_4367 =
												(((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_az00_4359)))->
												BgL_funz00);
											{	/* SawBbv/bbv-specialize.scm 1482 */
												obj_t BgL_classz00_8526;

												BgL_classz00_8526 = BGl_rtl_callz00zzsaw_defsz00;
												{	/* SawBbv/bbv-specialize.scm 1482 */
													BgL_objectz00_bglt BgL_arg1858z00_8528;

													{	/* SawBbv/bbv-specialize.scm 1482 */
														obj_t BgL_tmpz00_20989;

														BgL_tmpz00_20989 =
															((obj_t)
															((BgL_objectz00_bglt) BgL_arg3730z00_4367));
														BgL_arg1858z00_8528 =
															(BgL_objectz00_bglt) (BgL_tmpz00_20989);
													}
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* SawBbv/bbv-specialize.scm 1482 */
															long BgL_idxz00_8534;

															BgL_idxz00_8534 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_8528);
															BgL_test4874z00_20986 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_8534 + 2L)) == BgL_classz00_8526);
														}
													else
														{	/* SawBbv/bbv-specialize.scm 1482 */
															bool_t BgL_res4157z00_8559;

															{	/* SawBbv/bbv-specialize.scm 1482 */
																obj_t BgL_oclassz00_8542;

																{	/* SawBbv/bbv-specialize.scm 1482 */
																	obj_t BgL_arg1866z00_8550;
																	long BgL_arg1867z00_8551;

																	BgL_arg1866z00_8550 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* SawBbv/bbv-specialize.scm 1482 */
																		long BgL_arg1869z00_8552;

																		BgL_arg1869z00_8552 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_8528);
																		BgL_arg1867z00_8551 =
																			(BgL_arg1869z00_8552 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_8542 =
																		VECTOR_REF(BgL_arg1866z00_8550,
																		BgL_arg1867z00_8551);
																}
																{	/* SawBbv/bbv-specialize.scm 1482 */
																	bool_t BgL__ortest_1115z00_8543;

																	BgL__ortest_1115z00_8543 =
																		(BgL_classz00_8526 == BgL_oclassz00_8542);
																	if (BgL__ortest_1115z00_8543)
																		{	/* SawBbv/bbv-specialize.scm 1482 */
																			BgL_res4157z00_8559 =
																				BgL__ortest_1115z00_8543;
																		}
																	else
																		{	/* SawBbv/bbv-specialize.scm 1482 */
																			long BgL_odepthz00_8544;

																			{	/* SawBbv/bbv-specialize.scm 1482 */
																				obj_t BgL_arg1855z00_8545;

																				BgL_arg1855z00_8545 =
																					(BgL_oclassz00_8542);
																				BgL_odepthz00_8544 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_8545);
																			}
																			if ((2L < BgL_odepthz00_8544))
																				{	/* SawBbv/bbv-specialize.scm 1482 */
																					obj_t BgL_arg1853z00_8547;

																					{	/* SawBbv/bbv-specialize.scm 1482 */
																						obj_t BgL_arg1854z00_8548;

																						BgL_arg1854z00_8548 =
																							(BgL_oclassz00_8542);
																						BgL_arg1853z00_8547 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_8548, 2L);
																					}
																					BgL_res4157z00_8559 =
																						(BgL_arg1853z00_8547 ==
																						BgL_classz00_8526);
																				}
																			else
																				{	/* SawBbv/bbv-specialize.scm 1482 */
																					BgL_res4157z00_8559 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test4874z00_20986 = BgL_res4157z00_8559;
														}
												}
											}
										}
										if (BgL_test4874z00_20986)
											{	/* SawBbv/bbv-specialize.scm 1483 */
												obj_t BgL_arg3729z00_4366;

												BgL_arg3729z00_4366 =
													(((BgL_rtl_insz00_bglt) COBJECT(
															((BgL_rtl_insz00_bglt) BgL_az00_4359)))->
													BgL_destz00);
												{	/* SawBbv/bbv-specialize.scm 1483 */
													obj_t BgL_classz00_8560;

													BgL_classz00_8560 = BGl_rtl_regz00zzsaw_defsz00;
													if (BGL_OBJECTP(BgL_arg3729z00_4366))
														{	/* SawBbv/bbv-specialize.scm 1483 */
															BgL_objectz00_bglt BgL_arg1858z00_8562;

															BgL_arg1858z00_8562 =
																(BgL_objectz00_bglt) (BgL_arg3729z00_4366);
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* SawBbv/bbv-specialize.scm 1483 */
																	long BgL_idxz00_8568;

																	BgL_idxz00_8568 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_8562);
																	BgL__ortest_1885z00_4370 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_8568 + 1L)) ==
																		BgL_classz00_8560);
																}
															else
																{	/* SawBbv/bbv-specialize.scm 1483 */
																	bool_t BgL_res4158z00_8593;

																	{	/* SawBbv/bbv-specialize.scm 1483 */
																		obj_t BgL_oclassz00_8576;

																		{	/* SawBbv/bbv-specialize.scm 1483 */
																			obj_t BgL_arg1866z00_8584;
																			long BgL_arg1867z00_8585;

																			BgL_arg1866z00_8584 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* SawBbv/bbv-specialize.scm 1483 */
																				long BgL_arg1869z00_8586;

																				BgL_arg1869z00_8586 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_8562);
																				BgL_arg1867z00_8585 =
																					(BgL_arg1869z00_8586 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_8576 =
																				VECTOR_REF(BgL_arg1866z00_8584,
																				BgL_arg1867z00_8585);
																		}
																		{	/* SawBbv/bbv-specialize.scm 1483 */
																			bool_t BgL__ortest_1115z00_8577;

																			BgL__ortest_1115z00_8577 =
																				(BgL_classz00_8560 ==
																				BgL_oclassz00_8576);
																			if (BgL__ortest_1115z00_8577)
																				{	/* SawBbv/bbv-specialize.scm 1483 */
																					BgL_res4158z00_8593 =
																						BgL__ortest_1115z00_8577;
																				}
																			else
																				{	/* SawBbv/bbv-specialize.scm 1483 */
																					long BgL_odepthz00_8578;

																					{	/* SawBbv/bbv-specialize.scm 1483 */
																						obj_t BgL_arg1855z00_8579;

																						BgL_arg1855z00_8579 =
																							(BgL_oclassz00_8576);
																						BgL_odepthz00_8578 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_8579);
																					}
																					if ((1L < BgL_odepthz00_8578))
																						{	/* SawBbv/bbv-specialize.scm 1483 */
																							obj_t BgL_arg1853z00_8581;

																							{	/* SawBbv/bbv-specialize.scm 1483 */
																								obj_t BgL_arg1854z00_8582;

																								BgL_arg1854z00_8582 =
																									(BgL_oclassz00_8576);
																								BgL_arg1853z00_8581 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_8582, 1L);
																							}
																							BgL_res4158z00_8593 =
																								(BgL_arg1853z00_8581 ==
																								BgL_classz00_8560);
																						}
																					else
																						{	/* SawBbv/bbv-specialize.scm 1483 */
																							BgL_res4158z00_8593 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL__ortest_1885z00_4370 =
																		BgL_res4158z00_8593;
																}
														}
													else
														{	/* SawBbv/bbv-specialize.scm 1483 */
															BgL__ortest_1885z00_4370 = ((bool_t) 0);
														}
												}
											}
										else
											{	/* SawBbv/bbv-specialize.scm 1482 */
												BgL__ortest_1885z00_4370 = ((bool_t) 0);
											}
									}
								else
									{	/* SawBbv/bbv-specialize.scm 1480 */
										BgL__ortest_1885z00_4370 = ((bool_t) 0);
									}
							}
					}
					if (BgL__ortest_1885z00_4370)
						{	/* SawBbv/bbv-specialize.scm 1486 */
							return BgL__ortest_1885z00_4370;
						}
					else
						{	/* SawBbv/bbv-specialize.scm 1486 */
							bool_t BgL__ortest_1886z00_4371;

							BgL__ortest_1886z00_4371 =
								BGl_rtl_inszd2vlenzf3z21zzsaw_bbvzd2typeszd2(
								((BgL_rtl_insz00_bglt) BgL_iz00_4368));
							if (BgL__ortest_1886z00_4371)
								{	/* SawBbv/bbv-specialize.scm 1486 */
									return BgL__ortest_1886z00_4371;
								}
							else
								{	/* SawBbv/bbv-specialize.scm 1486 */
									bool_t BgL__ortest_1887z00_4372;

									BgL__ortest_1887z00_4372 =
										BGl_rtl_inszd2strlenzf3z21zzsaw_bbvzd2typeszd2(
										((BgL_rtl_insz00_bglt) BgL_iz00_4368));
									if (BgL__ortest_1887z00_4372)
										{	/* SawBbv/bbv-specialize.scm 1486 */
											return BgL__ortest_1887z00_4372;
										}
									else
										{	/* SawBbv/bbv-specialize.scm 1486 */
											return
												BGl_rtl_inszd2loadizf3z21zzsaw_bbvzd2typeszd2(
												((BgL_rtl_insz00_bglt) BgL_iz00_4368));
										}
								}
						}
				}
			}
		}

	}



/* fx-ov->fx~0 */
	BgL_rtl_insz00_bglt
		BGl_fxzd2ovzd2ze3fxze70z04zzsaw_bbvzd2specializa7ez75(BgL_globalz00_bglt
		BgL_varz00_4518, obj_t BgL_insz00_4519, obj_t BgL_regz00_4520,
		BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_4521,
		BgL_bbvzd2ctxzd2_bglt BgL_nctxz00_4522)
	{
		{	/* SawBbv/bbv-specialize.scm 1559 */
			{	/* SawBbv/bbv-specialize.scm 1545 */
				BgL_rtl_callz00_bglt BgL_i1906z00_4525;

				BgL_i1906z00_4525 =
					((BgL_rtl_callz00_bglt)
					(((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_insz00_4519)))->BgL_funz00));
				{	/* SawBbv/bbv-specialize.scm 1546 */
					obj_t BgL_lhsz00_4526;

					{	/* SawBbv/bbv-specialize.scm 1546 */
						obj_t BgL_pairz00_8735;

						BgL_pairz00_8735 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_insz00_4519)))->BgL_argsz00);
						BgL_lhsz00_4526 = CAR(BgL_pairz00_8735);
					}
					{	/* SawBbv/bbv-specialize.scm 1546 */
						obj_t BgL_rhsz00_4527;

						{	/* SawBbv/bbv-specialize.scm 1547 */
							obj_t BgL_pairz00_8736;

							BgL_pairz00_8736 =
								(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_insz00_4519)))->BgL_argsz00);
							BgL_rhsz00_4527 = CAR(CDR(BgL_pairz00_8736));
						}
						{	/* SawBbv/bbv-specialize.scm 1547 */
							BgL_rtl_callz00_bglt BgL_subcallz00_4528;

							{	/* SawBbv/bbv-specialize.scm 1548 */
								BgL_rtl_funz00_bglt BgL_duplicated1909z00_4544;
								BgL_rtl_callz00_bglt BgL_new1907z00_4545;

								BgL_duplicated1909z00_4544 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_insz00_4519)))->BgL_funz00);
								{	/* SawBbv/bbv-specialize.scm 1548 */
									BgL_rtl_callz00_bglt BgL_new1910z00_4557;

									BgL_new1910z00_4557 =
										((BgL_rtl_callz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_rtl_callz00_bgl))));
									{	/* SawBbv/bbv-specialize.scm 1548 */
										long BgL_arg3825z00_4558;

										BgL_arg3825z00_4558 =
											BGL_CLASS_NUM(BGl_rtl_callz00zzsaw_defsz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1910z00_4557),
											BgL_arg3825z00_4558);
									}
									BgL_new1907z00_4545 = BgL_new1910z00_4557;
								}
								((((BgL_rtl_funz00_bglt) COBJECT(
												((BgL_rtl_funz00_bglt) BgL_new1907z00_4545)))->
										BgL_locz00) =
									((obj_t) (((BgL_rtl_funz00_bglt)
												COBJECT(BgL_duplicated1909z00_4544))->BgL_locz00)),
									BUNSPEC);
								{
									BgL_globalz00_bglt BgL_auxz00_21064;

									{	/* SawBbv/bbv-specialize.scm 1550 */
										bool_t BgL_test4885z00_21065;

										{	/* SawBbv/bbv-specialize.scm 1550 */
											obj_t BgL_arg3824z00_4556;

											BgL_arg3824z00_4556 =
												((obj_t)
												(((BgL_rtl_callz00_bglt) COBJECT(BgL_i1906z00_4525))->
													BgL_varz00));
											BgL_test4885z00_21065 =
												(BgL_arg3824z00_4556 ==
												BGl_za2z42zd2fxzf2ovza2z62zzsaw_bbvzd2cachezd2);
										}
										if (BgL_test4885z00_21065)
											{	/* SawBbv/bbv-specialize.scm 1550 */
												BgL_auxz00_21064 =
													((BgL_globalz00_bglt)
													BGl_za2z42zd2fxzf2wzd2ovza2zb0zzsaw_bbvzd2cachezd2);
											}
										else
											{	/* SawBbv/bbv-specialize.scm 1551 */
												bool_t BgL_test4886z00_21070;

												{	/* SawBbv/bbv-specialize.scm 1551 */
													obj_t BgL_arg3823z00_4555;

													BgL_arg3823z00_4555 =
														((obj_t)
														(((BgL_rtl_callz00_bglt)
																COBJECT(BgL_i1906z00_4525))->BgL_varz00));
													BgL_test4886z00_21070 =
														(BgL_arg3823z00_4555 ==
														BGl_za2z42zb2fxzf2ovza2z02zzsaw_bbvzd2cachezd2);
												}
												if (BgL_test4886z00_21070)
													{	/* SawBbv/bbv-specialize.scm 1551 */
														BgL_auxz00_21064 =
															((BgL_globalz00_bglt)
															BGl_za2z42zb2fxzf2wzd2ovza2zd0zzsaw_bbvzd2cachezd2);
													}
												else
													{	/* SawBbv/bbv-specialize.scm 1552 */
														bool_t BgL_test4887z00_21075;

														{	/* SawBbv/bbv-specialize.scm 1552 */
															obj_t BgL_arg3822z00_4554;

															BgL_arg3822z00_4554 =
																((obj_t)
																(((BgL_rtl_callz00_bglt)
																		COBJECT(BgL_i1906z00_4525))->BgL_varz00));
															BgL_test4887z00_21075 =
																(BgL_arg3822z00_4554 ==
																BGl_za2z42za2fxzf2ovza2z12zzsaw_bbvzd2cachezd2);
														}
														if (BgL_test4887z00_21075)
															{	/* SawBbv/bbv-specialize.scm 1552 */
																BgL_auxz00_21064 =
																	((BgL_globalz00_bglt)
																	BGl_za2z42za2fxzf2wzd2ovza2zc0zzsaw_bbvzd2cachezd2);
															}
														else
															{	/* SawBbv/bbv-specialize.scm 1553 */
																obj_t BgL_arg3820z00_4552;

																{	/* SawBbv/bbv-specialize.scm 1553 */
																	BgL_globalz00_bglt BgL_arg3821z00_4553;

																	BgL_arg3821z00_4553 =
																		(((BgL_rtl_callz00_bglt)
																			COBJECT(BgL_i1906z00_4525))->BgL_varz00);
																	BgL_arg3820z00_4552 =
																		BGl_shapez00zztools_shapez00(((obj_t)
																			BgL_arg3821z00_4553));
																}
																BgL_auxz00_21064 =
																	((BgL_globalz00_bglt)
																	BGl_errorz00zz__errorz00
																	(BGl_string4218z00zzsaw_bbvzd2specializa7ez75,
																		BGl_string4219z00zzsaw_bbvzd2specializa7ez75,
																		BgL_arg3820z00_4552));
															}
													}
											}
									}
									((((BgL_rtl_callz00_bglt) COBJECT(BgL_new1907z00_4545))->
											BgL_varz00) =
										((BgL_globalz00_bglt) BgL_auxz00_21064), BUNSPEC);
								}
								BgL_subcallz00_4528 = BgL_new1907z00_4545;
							}
							{	/* SawBbv/bbv-specialize.scm 1548 */

								{	/* SawBbv/bbv-specialize.scm 1554 */
									BgL_rtl_insz00_bglt BgL_val0_2447z00_4529;

									{	/* SawBbv/bbv-specialize.scm 1554 */
										BgL_rtl_insz00_bglt BgL_new1911z00_4532;

										{	/* SawBbv/bbv-specialize.scm 1558 */
											BgL_rtl_insz00_bglt BgL_tmp1919z00_4539;
											BgL_rtl_inszf2bbvzf2_bglt BgL_wide1920z00_4540;

											{
												BgL_rtl_insz00_bglt BgL_auxz00_21086;

												{	/* SawBbv/bbv-specialize.scm 1558 */
													BgL_rtl_insz00_bglt BgL_new1918z00_4542;

													BgL_new1918z00_4542 =
														((BgL_rtl_insz00_bglt)
														BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_rtl_insz00_bgl))));
													{	/* SawBbv/bbv-specialize.scm 1558 */
														long BgL_arg3813z00_4543;

														BgL_arg3813z00_4543 =
															BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1918z00_4542),
															BgL_arg3813z00_4543);
													}
													{	/* SawBbv/bbv-specialize.scm 1558 */
														BgL_objectz00_bglt BgL_tmpz00_21091;

														BgL_tmpz00_21091 =
															((BgL_objectz00_bglt) BgL_new1918z00_4542);
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_21091, BFALSE);
													}
													((BgL_objectz00_bglt) BgL_new1918z00_4542);
													BgL_auxz00_21086 = BgL_new1918z00_4542;
												}
												BgL_tmp1919z00_4539 =
													((BgL_rtl_insz00_bglt) BgL_auxz00_21086);
											}
											BgL_wide1920z00_4540 =
												((BgL_rtl_inszf2bbvzf2_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_rtl_inszf2bbvzf2_bgl))));
											{	/* SawBbv/bbv-specialize.scm 1558 */
												obj_t BgL_auxz00_21099;
												BgL_objectz00_bglt BgL_tmpz00_21097;

												BgL_auxz00_21099 = ((obj_t) BgL_wide1920z00_4540);
												BgL_tmpz00_21097 =
													((BgL_objectz00_bglt) BgL_tmp1919z00_4539);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_21097,
													BgL_auxz00_21099);
											}
											((BgL_objectz00_bglt) BgL_tmp1919z00_4539);
											{	/* SawBbv/bbv-specialize.scm 1558 */
												long BgL_arg3812z00_4541;

												BgL_arg3812z00_4541 =
													BGL_CLASS_NUM
													(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
												BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
														BgL_tmp1919z00_4539), BgL_arg3812z00_4541);
											}
											BgL_new1911z00_4532 =
												((BgL_rtl_insz00_bglt) BgL_tmp1919z00_4539);
										}
										((((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_new1911z00_4532)))->
												BgL_locz00) =
											((obj_t) (((BgL_rtl_insz00_bglt)
														COBJECT(((BgL_rtl_insz00_bglt) BgL_insz00_4519)))->
													BgL_locz00)), BUNSPEC);
										((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
															BgL_new1911z00_4532)))->BgL_z52spillz52) =
											((obj_t) (((BgL_rtl_insz00_bglt)
														COBJECT(((BgL_rtl_insz00_bglt) BgL_insz00_4519)))->
													BgL_z52spillz52)), BUNSPEC);
										((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
															BgL_new1911z00_4532)))->BgL_destz00) =
											((obj_t) BgL_regz00_4520), BUNSPEC);
										((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
															BgL_new1911z00_4532)))->BgL_funz00) =
											((BgL_rtl_funz00_bglt) ((BgL_rtl_funz00_bglt)
													BgL_subcallz00_4528)), BUNSPEC);
										{
											obj_t BgL_auxz00_21120;

											{	/* SawBbv/bbv-specialize.scm 1557 */
												obj_t BgL_list3810z00_4533;

												{	/* SawBbv/bbv-specialize.scm 1557 */
													obj_t BgL_arg3811z00_4534;

													BgL_arg3811z00_4534 =
														MAKE_YOUNG_PAIR(BgL_rhsz00_4527, BNIL);
													BgL_list3810z00_4533 =
														MAKE_YOUNG_PAIR(BgL_lhsz00_4526,
														BgL_arg3811z00_4534);
												}
												BgL_auxz00_21120 = BgL_list3810z00_4533;
											}
											((((BgL_rtl_insz00_bglt) COBJECT(
															((BgL_rtl_insz00_bglt) BgL_new1911z00_4532)))->
													BgL_argsz00) = ((obj_t) BgL_auxz00_21120), BUNSPEC);
										}
										{
											obj_t BgL_auxz00_21131;
											BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_21125;

											{
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_21132;

												{
													obj_t BgL_auxz00_21133;

													{	/* SawBbv/bbv-specialize.scm 1558 */
														BgL_objectz00_bglt BgL_tmpz00_21134;

														BgL_tmpz00_21134 =
															((BgL_objectz00_bglt)
															((BgL_rtl_insz00_bglt)
																((BgL_rtl_insz00_bglt) BgL_insz00_4519)));
														BgL_auxz00_21133 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_21134);
													}
													BgL_auxz00_21132 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_21133);
												}
												BgL_auxz00_21131 =
													(((BgL_rtl_inszf2bbvzf2_bglt)
														COBJECT(BgL_auxz00_21132))->BgL_defz00);
											}
											{
												obj_t BgL_auxz00_21126;

												{	/* SawBbv/bbv-specialize.scm 1558 */
													BgL_objectz00_bglt BgL_tmpz00_21127;

													BgL_tmpz00_21127 =
														((BgL_objectz00_bglt) BgL_new1911z00_4532);
													BgL_auxz00_21126 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_21127);
												}
												BgL_auxz00_21125 =
													((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_21126);
											}
											((((BgL_rtl_inszf2bbvzf2_bglt)
														COBJECT(BgL_auxz00_21125))->BgL_defz00) =
												((obj_t) BgL_auxz00_21131), BUNSPEC);
										}
										{
											obj_t BgL_auxz00_21148;
											BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_21142;

											{
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_21149;

												{
													obj_t BgL_auxz00_21150;

													{	/* SawBbv/bbv-specialize.scm 1558 */
														BgL_objectz00_bglt BgL_tmpz00_21151;

														BgL_tmpz00_21151 =
															((BgL_objectz00_bglt)
															((BgL_rtl_insz00_bglt)
																((BgL_rtl_insz00_bglt) BgL_insz00_4519)));
														BgL_auxz00_21150 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_21151);
													}
													BgL_auxz00_21149 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_21150);
												}
												BgL_auxz00_21148 =
													(((BgL_rtl_inszf2bbvzf2_bglt)
														COBJECT(BgL_auxz00_21149))->BgL_outz00);
											}
											{
												obj_t BgL_auxz00_21143;

												{	/* SawBbv/bbv-specialize.scm 1558 */
													BgL_objectz00_bglt BgL_tmpz00_21144;

													BgL_tmpz00_21144 =
														((BgL_objectz00_bglt) BgL_new1911z00_4532);
													BgL_auxz00_21143 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_21144);
												}
												BgL_auxz00_21142 =
													((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_21143);
											}
											((((BgL_rtl_inszf2bbvzf2_bglt)
														COBJECT(BgL_auxz00_21142))->BgL_outz00) =
												((obj_t) BgL_auxz00_21148), BUNSPEC);
										}
										{
											obj_t BgL_auxz00_21165;
											BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_21159;

											{
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_21166;

												{
													obj_t BgL_auxz00_21167;

													{	/* SawBbv/bbv-specialize.scm 1558 */
														BgL_objectz00_bglt BgL_tmpz00_21168;

														BgL_tmpz00_21168 =
															((BgL_objectz00_bglt)
															((BgL_rtl_insz00_bglt)
																((BgL_rtl_insz00_bglt) BgL_insz00_4519)));
														BgL_auxz00_21167 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_21168);
													}
													BgL_auxz00_21166 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_21167);
												}
												BgL_auxz00_21165 =
													(((BgL_rtl_inszf2bbvzf2_bglt)
														COBJECT(BgL_auxz00_21166))->BgL_inz00);
											}
											{
												obj_t BgL_auxz00_21160;

												{	/* SawBbv/bbv-specialize.scm 1558 */
													BgL_objectz00_bglt BgL_tmpz00_21161;

													BgL_tmpz00_21161 =
														((BgL_objectz00_bglt) BgL_new1911z00_4532);
													BgL_auxz00_21160 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_21161);
												}
												BgL_auxz00_21159 =
													((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_21160);
											}
											((((BgL_rtl_inszf2bbvzf2_bglt)
														COBJECT(BgL_auxz00_21159))->BgL_inz00) =
												((obj_t) BgL_auxz00_21165), BUNSPEC);
										}
										{
											BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_21176;

											{
												obj_t BgL_auxz00_21177;

												{	/* SawBbv/bbv-specialize.scm 1558 */
													BgL_objectz00_bglt BgL_tmpz00_21178;

													BgL_tmpz00_21178 =
														((BgL_objectz00_bglt) BgL_new1911z00_4532);
													BgL_auxz00_21177 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_21178);
												}
												BgL_auxz00_21176 =
													((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_21177);
											}
											((((BgL_rtl_inszf2bbvzf2_bglt)
														COBJECT(BgL_auxz00_21176))->BgL_ctxz00) =
												((BgL_bbvzd2ctxzd2_bglt) BgL_nctxz00_4522), BUNSPEC);
										}
										{
											obj_t BgL_auxz00_21189;
											BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_21183;

											{
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_21190;

												{
													obj_t BgL_auxz00_21191;

													{	/* SawBbv/bbv-specialize.scm 1558 */
														BgL_objectz00_bglt BgL_tmpz00_21192;

														BgL_tmpz00_21192 =
															((BgL_objectz00_bglt)
															((BgL_rtl_insz00_bglt)
																((BgL_rtl_insz00_bglt) BgL_insz00_4519)));
														BgL_auxz00_21191 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_21192);
													}
													BgL_auxz00_21190 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_21191);
												}
												BgL_auxz00_21189 =
													(((BgL_rtl_inszf2bbvzf2_bglt)
														COBJECT(BgL_auxz00_21190))->BgL_z52hashz52);
											}
											{
												obj_t BgL_auxz00_21184;

												{	/* SawBbv/bbv-specialize.scm 1558 */
													BgL_objectz00_bglt BgL_tmpz00_21185;

													BgL_tmpz00_21185 =
														((BgL_objectz00_bglt) BgL_new1911z00_4532);
													BgL_auxz00_21184 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_21185);
												}
												BgL_auxz00_21183 =
													((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_21184);
											}
											((((BgL_rtl_inszf2bbvzf2_bglt)
														COBJECT(BgL_auxz00_21183))->BgL_z52hashz52) =
												((obj_t) BgL_auxz00_21189), BUNSPEC);
										}
										BgL_val0_2447z00_4529 = BgL_new1911z00_4532;
									}
									{	/* SawBbv/bbv-specialize.scm 1554 */
										int BgL_tmpz00_21200;

										BgL_tmpz00_21200 = (int) (2L);
										BGL_MVALUES_NUMBER_SET(BgL_tmpz00_21200);
									}
									{	/* SawBbv/bbv-specialize.scm 1554 */
										obj_t BgL_auxz00_21205;
										int BgL_tmpz00_21203;

										BgL_auxz00_21205 = ((obj_t) BgL_nctxz00_4522);
										BgL_tmpz00_21203 = (int) (1L);
										BGL_MVALUES_VAL_SET(BgL_tmpz00_21203, BgL_auxz00_21205);
									}
									return BgL_val0_2447z00_4529;
								}
							}
						}
					}
				}
			}
		}

	}



/* &rtl_ins-specialize-fxovop */
	obj_t
		BGl_z62rtl_inszd2specializa7ezd2fxovopzc5zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9807, obj_t BgL_iz00_9808, obj_t BgL_insz00_9809,
		obj_t BgL_bsz00_9810, obj_t BgL_ctxz00_9811, obj_t BgL_queuez00_9812)
	{
		{	/* SawBbv/bbv-specialize.scm 1512 */
			{
				BgL_rtl_insz00_bglt BgL_auxz00_21208;

				{
					BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_10966;
					obj_t BgL_regz00_10967;
					BgL_rtl_insz00_bglt BgL_iz00_10968;
					BgL_rtl_insz00_bglt BgL_iz00_10945;
					obj_t BgL_callz00_10946;
					BgL_rtl_funz00_bglt BgL_funz00_10947;
					obj_t BgL_regz00_10948;
					obj_t BgL_valuez00_10949;

					{	/* SawBbv/bbv-specialize.scm 1576 */
						obj_t BgL_callz00_11036;

						BgL_callz00_11036 =
							CAR(
							(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_iz00_9808)))->BgL_argsz00));
						{	/* SawBbv/bbv-specialize.scm 1577 */
							BgL_rtl_insz00_bglt BgL_i1937z00_11037;

							{	/* SawBbv/bbv-specialize.scm 1577 */
								obj_t BgL_pairz00_11038;

								BgL_pairz00_11038 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_iz00_9808)))->BgL_argsz00);
								BgL_i1937z00_11037 =
									((BgL_rtl_insz00_bglt) CAR(BgL_pairz00_11038));
							}
							{	/* SawBbv/bbv-specialize.scm 1578 */
								obj_t BgL_regz00_11039;

								{	/* SawBbv/bbv-specialize.scm 1578 */
									obj_t BgL_pairz00_11040;

									BgL_pairz00_11040 =
										(((BgL_rtl_insz00_bglt) COBJECT(BgL_i1937z00_11037))->
										BgL_argsz00);
									BgL_regz00_11039 = CAR(CDR(CDR(BgL_pairz00_11040)));
								}
								{	/* SawBbv/bbv-specialize.scm 1578 */
									obj_t BgL_lhsz00_11041;

									BgL_lhsz00_11041 =
										CAR(
										(((BgL_rtl_insz00_bglt) COBJECT(BgL_i1937z00_11037))->
											BgL_argsz00));
									{	/* SawBbv/bbv-specialize.scm 1579 */
										obj_t BgL_rhsz00_11042;

										{	/* SawBbv/bbv-specialize.scm 1580 */
											obj_t BgL_pairz00_11043;

											BgL_pairz00_11043 =
												(((BgL_rtl_insz00_bglt) COBJECT(BgL_i1937z00_11037))->
												BgL_argsz00);
											BgL_rhsz00_11042 = CAR(CDR(BgL_pairz00_11043));
										}
										{	/* SawBbv/bbv-specialize.scm 1580 */
											obj_t BgL_intlz00_11044;

											BgL_intlz00_11044 =
												BGl_rtlzd2rangezd2zzsaw_bbvzd2rangezd2(BgL_lhsz00_11041,
												((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_9811));
											{	/* SawBbv/bbv-specialize.scm 1581 */
												obj_t BgL_intrz00_11045;

												BgL_intrz00_11045 =
													BGl_rtlzd2rangezd2zzsaw_bbvzd2rangezd2
													(BgL_rhsz00_11042,
													((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_9811));
												{	/* SawBbv/bbv-specialize.scm 1582 */

													{	/* SawBbv/bbv-specialize.scm 1583 */
														BgL_rtl_callz00_bglt BgL_i1938z00_11046;

														BgL_i1938z00_11046 =
															((BgL_rtl_callz00_bglt)
															(((BgL_rtl_insz00_bglt)
																	COBJECT(BgL_i1937z00_11037))->BgL_funz00));
														{	/* SawBbv/bbv-specialize.scm 1585 */
															bool_t BgL_test4888z00_21231;

															{	/* SawBbv/bbv-specialize.scm 1585 */
																bool_t BgL_test4889z00_21232;

																{	/* SawBbv/bbv-specialize.scm 1585 */
																	obj_t BgL_classz00_11047;

																	BgL_classz00_11047 =
																		BGl_bbvzd2rangezd2zzsaw_bbvzd2rangezd2;
																	if (BGL_OBJECTP(BgL_intlz00_11044))
																		{	/* SawBbv/bbv-specialize.scm 1585 */
																			BgL_objectz00_bglt BgL_arg1858z00_11048;

																			BgL_arg1858z00_11048 =
																				(BgL_objectz00_bglt)
																				(BgL_intlz00_11044);
																			if (BGL_CONDEXPAND_ISA_ARCH64())
																				{	/* SawBbv/bbv-specialize.scm 1585 */
																					long BgL_idxz00_11049;

																					BgL_idxz00_11049 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1858z00_11048);
																					BgL_test4889z00_21232 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_11049 + 1L)) ==
																						BgL_classz00_11047);
																				}
																			else
																				{	/* SawBbv/bbv-specialize.scm 1585 */
																					bool_t BgL_res4165z00_11052;

																					{	/* SawBbv/bbv-specialize.scm 1585 */
																						obj_t BgL_oclassz00_11053;

																						{	/* SawBbv/bbv-specialize.scm 1585 */
																							obj_t BgL_arg1866z00_11054;
																							long BgL_arg1867z00_11055;

																							BgL_arg1866z00_11054 =
																								(BGl_za2classesza2z00zz__objectz00);
																							{	/* SawBbv/bbv-specialize.scm 1585 */
																								long BgL_arg1869z00_11056;

																								BgL_arg1869z00_11056 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1858z00_11048);
																								BgL_arg1867z00_11055 =
																									(BgL_arg1869z00_11056 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_11053 =
																								VECTOR_REF(BgL_arg1866z00_11054,
																								BgL_arg1867z00_11055);
																						}
																						{	/* SawBbv/bbv-specialize.scm 1585 */
																							bool_t BgL__ortest_1115z00_11057;

																							BgL__ortest_1115z00_11057 =
																								(BgL_classz00_11047 ==
																								BgL_oclassz00_11053);
																							if (BgL__ortest_1115z00_11057)
																								{	/* SawBbv/bbv-specialize.scm 1585 */
																									BgL_res4165z00_11052 =
																										BgL__ortest_1115z00_11057;
																								}
																							else
																								{	/* SawBbv/bbv-specialize.scm 1585 */
																									long BgL_odepthz00_11058;

																									{	/* SawBbv/bbv-specialize.scm 1585 */
																										obj_t BgL_arg1855z00_11059;

																										BgL_arg1855z00_11059 =
																											(BgL_oclassz00_11053);
																										BgL_odepthz00_11058 =
																											BGL_CLASS_DEPTH
																											(BgL_arg1855z00_11059);
																									}
																									if (
																										(1L < BgL_odepthz00_11058))
																										{	/* SawBbv/bbv-specialize.scm 1585 */
																											obj_t
																												BgL_arg1853z00_11060;
																											{	/* SawBbv/bbv-specialize.scm 1585 */
																												obj_t
																													BgL_arg1854z00_11061;
																												BgL_arg1854z00_11061 =
																													(BgL_oclassz00_11053);
																												BgL_arg1853z00_11060 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_arg1854z00_11061,
																													1L);
																											}
																											BgL_res4165z00_11052 =
																												(BgL_arg1853z00_11060 ==
																												BgL_classz00_11047);
																										}
																									else
																										{	/* SawBbv/bbv-specialize.scm 1585 */
																											BgL_res4165z00_11052 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_test4889z00_21232 =
																						BgL_res4165z00_11052;
																				}
																		}
																	else
																		{	/* SawBbv/bbv-specialize.scm 1585 */
																			BgL_test4889z00_21232 = ((bool_t) 0);
																		}
																}
																if (BgL_test4889z00_21232)
																	{	/* SawBbv/bbv-specialize.scm 1585 */
																		bool_t BgL_test4894z00_21255;

																		{	/* SawBbv/bbv-specialize.scm 1585 */
																			obj_t BgL_classz00_11062;

																			BgL_classz00_11062 =
																				BGl_bbvzd2rangezd2zzsaw_bbvzd2rangezd2;
																			if (BGL_OBJECTP(BgL_intrz00_11045))
																				{	/* SawBbv/bbv-specialize.scm 1585 */
																					BgL_objectz00_bglt
																						BgL_arg1858z00_11063;
																					BgL_arg1858z00_11063 =
																						(BgL_objectz00_bglt)
																						(BgL_intrz00_11045);
																					if (BGL_CONDEXPAND_ISA_ARCH64())
																						{	/* SawBbv/bbv-specialize.scm 1585 */
																							long BgL_idxz00_11064;

																							BgL_idxz00_11064 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1858z00_11063);
																							BgL_test4894z00_21255 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_11064 + 1L)) ==
																								BgL_classz00_11062);
																						}
																					else
																						{	/* SawBbv/bbv-specialize.scm 1585 */
																							bool_t BgL_res4166z00_11067;

																							{	/* SawBbv/bbv-specialize.scm 1585 */
																								obj_t BgL_oclassz00_11068;

																								{	/* SawBbv/bbv-specialize.scm 1585 */
																									obj_t BgL_arg1866z00_11069;
																									long BgL_arg1867z00_11070;

																									BgL_arg1866z00_11069 =
																										(BGl_za2classesza2z00zz__objectz00);
																									{	/* SawBbv/bbv-specialize.scm 1585 */
																										long BgL_arg1869z00_11071;

																										BgL_arg1869z00_11071 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1858z00_11063);
																										BgL_arg1867z00_11070 =
																											(BgL_arg1869z00_11071 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_11068 =
																										VECTOR_REF
																										(BgL_arg1866z00_11069,
																										BgL_arg1867z00_11070);
																								}
																								{	/* SawBbv/bbv-specialize.scm 1585 */
																									bool_t
																										BgL__ortest_1115z00_11072;
																									BgL__ortest_1115z00_11072 =
																										(BgL_classz00_11062 ==
																										BgL_oclassz00_11068);
																									if (BgL__ortest_1115z00_11072)
																										{	/* SawBbv/bbv-specialize.scm 1585 */
																											BgL_res4166z00_11067 =
																												BgL__ortest_1115z00_11072;
																										}
																									else
																										{	/* SawBbv/bbv-specialize.scm 1585 */
																											long BgL_odepthz00_11073;

																											{	/* SawBbv/bbv-specialize.scm 1585 */
																												obj_t
																													BgL_arg1855z00_11074;
																												BgL_arg1855z00_11074 =
																													(BgL_oclassz00_11068);
																												BgL_odepthz00_11073 =
																													BGL_CLASS_DEPTH
																													(BgL_arg1855z00_11074);
																											}
																											if (
																												(1L <
																													BgL_odepthz00_11073))
																												{	/* SawBbv/bbv-specialize.scm 1585 */
																													obj_t
																														BgL_arg1853z00_11075;
																													{	/* SawBbv/bbv-specialize.scm 1585 */
																														obj_t
																															BgL_arg1854z00_11076;
																														BgL_arg1854z00_11076
																															=
																															(BgL_oclassz00_11068);
																														BgL_arg1853z00_11075
																															=
																															BGL_CLASS_ANCESTORS_REF
																															(BgL_arg1854z00_11076,
																															1L);
																													}
																													BgL_res4166z00_11067 =
																														(BgL_arg1853z00_11075
																														==
																														BgL_classz00_11062);
																												}
																											else
																												{	/* SawBbv/bbv-specialize.scm 1585 */
																													BgL_res4166z00_11067 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_test4894z00_21255 =
																								BgL_res4166z00_11067;
																						}
																				}
																			else
																				{	/* SawBbv/bbv-specialize.scm 1585 */
																					BgL_test4894z00_21255 = ((bool_t) 0);
																				}
																		}
																		if (BgL_test4894z00_21255)
																			{	/* SawBbv/bbv-specialize.scm 1585 */
																				BgL_test4888z00_21231 = ((bool_t) 0);
																			}
																		else
																			{	/* SawBbv/bbv-specialize.scm 1585 */
																				BgL_test4888z00_21231 = ((bool_t) 1);
																			}
																	}
																else
																	{	/* SawBbv/bbv-specialize.scm 1585 */
																		BgL_test4888z00_21231 = ((bool_t) 1);
																	}
															}
															if (BgL_test4888z00_21231)
																{	/* SawBbv/bbv-specialize.scm 1586 */
																	BgL_rtl_funz00_bglt BgL_arg3750z00_11077;

																	BgL_arg3750z00_11077 =
																		(((BgL_rtl_insz00_bglt) COBJECT(
																				((BgL_rtl_insz00_bglt)
																					BgL_iz00_9808)))->BgL_funz00);
																	BgL_iz00_10945 =
																		((BgL_rtl_insz00_bglt) BgL_iz00_9808);
																	BgL_callz00_10946 = BgL_callz00_11036;
																	BgL_funz00_10947 = BgL_arg3750z00_11077;
																	BgL_regz00_10948 = BgL_regz00_11039;
																	BgL_valuez00_10949 =
																		((obj_t) CNST_TABLE_REF(4));
																BgL_defaultz00_10943:
																	{	/* SawBbv/bbv-specialize.scm 1563 */
																		BgL_bbvzd2ctxzd2_bglt BgL_ctxzb2zb2_10950;

																		{	/* SawBbv/bbv-specialize.scm 1563 */
																			obj_t BgL_arg3833z00_10951;

																			{	/* SawBbv/bbv-specialize.scm 1563 */
																				obj_t BgL_list3834z00_10952;

																				BgL_list3834z00_10952 =
																					MAKE_YOUNG_PAIR
																					(BGl_za2bintza2z00zztype_cachez00,
																					BNIL);
																				BgL_arg3833z00_10951 =
																					BgL_list3834z00_10952;
																			}
																			BgL_ctxzb2zb2_10950 =
																				BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2(
																				((BgL_bbvzd2ctxzd2_bglt)
																					BgL_ctxz00_9811),
																				((BgL_rtl_regz00_bglt)
																					BgL_regz00_10948),
																				BgL_arg3833z00_10951, ((bool_t) 0),
																				BFALSE, BINT(1L), BgL_valuez00_10949);
																		}
																		{	/* SawBbv/bbv-specialize.scm 1563 */
																			BgL_bbvzd2ctxzd2_bglt BgL_nctxz00_10953;

																			BgL_ctxz00_10966 =
																				((BgL_bbvzd2ctxzd2_bglt)
																				BgL_ctxz00_9811);
																			BgL_regz00_10967 = BgL_regz00_10948;
																			BgL_iz00_10968 =
																				((BgL_rtl_insz00_bglt)
																				BgL_callz00_10946);
																			{	/* SawBbv/bbv-specialize.scm 1516 */
																				BgL_rtl_callz00_bglt BgL_i1901z00_10969;

																				BgL_i1901z00_10969 =
																					((BgL_rtl_callz00_bglt)
																					(((BgL_rtl_insz00_bglt)
																							COBJECT(BgL_iz00_10968))->
																						BgL_funz00));
																				{	/* SawBbv/bbv-specialize.scm 1517 */
																					obj_t BgL_lhsz00_10970;

																					BgL_lhsz00_10970 =
																						CAR(
																						(((BgL_rtl_insz00_bglt)
																								COBJECT(BgL_iz00_10968))->
																							BgL_argsz00));
																					{	/* SawBbv/bbv-specialize.scm 1517 */
																						obj_t BgL_rhsz00_10971;

																						{	/* SawBbv/bbv-specialize.scm 1518 */
																							obj_t BgL_pairz00_10972;

																							BgL_pairz00_10972 =
																								(((BgL_rtl_insz00_bglt)
																									COBJECT(BgL_iz00_10968))->
																								BgL_argsz00);
																							BgL_rhsz00_10971 =
																								CAR(CDR(BgL_pairz00_10972));
																						}
																						{	/* SawBbv/bbv-specialize.scm 1518 */
																							obj_t BgL_intlz00_10973;

																							BgL_intlz00_10973 =
																								BGl_rtlzd2rangezd2zzsaw_bbvzd2rangezd2
																								(BgL_lhsz00_10970,
																								BgL_ctxz00_10966);
																							{	/* SawBbv/bbv-specialize.scm 1519 */
																								obj_t BgL_intrz00_10974;

																								BgL_intrz00_10974 =
																									BGl_rtlzd2rangezd2zzsaw_bbvzd2rangezd2
																									(BgL_rhsz00_10971,
																									BgL_ctxz00_10966);
																								{	/* SawBbv/bbv-specialize.scm 1520 */
																									obj_t BgL_intvz00_10975;

																									{	/* SawBbv/bbv-specialize.scm 1522 */
																										bool_t
																											BgL_test4899z00_21294;
																										{	/* SawBbv/bbv-specialize.scm 1522 */
																											bool_t
																												BgL_test4900z00_21295;
																											{	/* SawBbv/bbv-specialize.scm 1522 */
																												obj_t
																													BgL_classz00_10976;
																												BgL_classz00_10976 =
																													BGl_bbvzd2rangezd2zzsaw_bbvzd2rangezd2;
																												if (BGL_OBJECTP
																													(BgL_intlz00_10973))
																													{	/* SawBbv/bbv-specialize.scm 1522 */
																														BgL_objectz00_bglt
																															BgL_arg1858z00_10977;
																														BgL_arg1858z00_10977
																															=
																															(BgL_objectz00_bglt)
																															(BgL_intlz00_10973);
																														if (BGL_CONDEXPAND_ISA_ARCH64())
																															{	/* SawBbv/bbv-specialize.scm 1522 */
																																long
																																	BgL_idxz00_10978;
																																BgL_idxz00_10978
																																	=
																																	BGL_OBJECT_INHERITANCE_NUM
																																	(BgL_arg1858z00_10977);
																																BgL_test4900z00_21295
																																	=
																																	(VECTOR_REF
																																	(BGl_za2inheritancesza2z00zz__objectz00,
																																		(BgL_idxz00_10978
																																			+ 1L)) ==
																																	BgL_classz00_10976);
																															}
																														else
																															{	/* SawBbv/bbv-specialize.scm 1522 */
																																bool_t
																																	BgL_res4160z00_10981;
																																{	/* SawBbv/bbv-specialize.scm 1522 */
																																	obj_t
																																		BgL_oclassz00_10982;
																																	{	/* SawBbv/bbv-specialize.scm 1522 */
																																		obj_t
																																			BgL_arg1866z00_10983;
																																		long
																																			BgL_arg1867z00_10984;
																																		BgL_arg1866z00_10983
																																			=
																																			(BGl_za2classesza2z00zz__objectz00);
																																		{	/* SawBbv/bbv-specialize.scm 1522 */
																																			long
																																				BgL_arg1869z00_10985;
																																			BgL_arg1869z00_10985
																																				=
																																				BGL_OBJECT_CLASS_NUM
																																				(BgL_arg1858z00_10977);
																																			BgL_arg1867z00_10984
																																				=
																																				(BgL_arg1869z00_10985
																																				-
																																				OBJECT_TYPE);
																																		}
																																		BgL_oclassz00_10982
																																			=
																																			VECTOR_REF
																																			(BgL_arg1866z00_10983,
																																			BgL_arg1867z00_10984);
																																	}
																																	{	/* SawBbv/bbv-specialize.scm 1522 */
																																		bool_t
																																			BgL__ortest_1115z00_10986;
																																		BgL__ortest_1115z00_10986
																																			=
																																			(BgL_classz00_10976
																																			==
																																			BgL_oclassz00_10982);
																																		if (BgL__ortest_1115z00_10986)
																																			{	/* SawBbv/bbv-specialize.scm 1522 */
																																				BgL_res4160z00_10981
																																					=
																																					BgL__ortest_1115z00_10986;
																																			}
																																		else
																																			{	/* SawBbv/bbv-specialize.scm 1522 */
																																				long
																																					BgL_odepthz00_10987;
																																				{	/* SawBbv/bbv-specialize.scm 1522 */
																																					obj_t
																																						BgL_arg1855z00_10988;
																																					BgL_arg1855z00_10988
																																						=
																																						(BgL_oclassz00_10982);
																																					BgL_odepthz00_10987
																																						=
																																						BGL_CLASS_DEPTH
																																						(BgL_arg1855z00_10988);
																																				}
																																				if (
																																					(1L <
																																						BgL_odepthz00_10987))
																																					{	/* SawBbv/bbv-specialize.scm 1522 */
																																						obj_t
																																							BgL_arg1853z00_10989;
																																						{	/* SawBbv/bbv-specialize.scm 1522 */
																																							obj_t
																																								BgL_arg1854z00_10990;
																																							BgL_arg1854z00_10990
																																								=
																																								(BgL_oclassz00_10982);
																																							BgL_arg1853z00_10989
																																								=
																																								BGL_CLASS_ANCESTORS_REF
																																								(BgL_arg1854z00_10990,
																																								1L);
																																						}
																																						BgL_res4160z00_10981
																																							=
																																							(BgL_arg1853z00_10989
																																							==
																																							BgL_classz00_10976);
																																					}
																																				else
																																					{	/* SawBbv/bbv-specialize.scm 1522 */
																																						BgL_res4160z00_10981
																																							=
																																							(
																																							(bool_t)
																																							0);
																																					}
																																			}
																																	}
																																}
																																BgL_test4900z00_21295
																																	=
																																	BgL_res4160z00_10981;
																															}
																													}
																												else
																													{	/* SawBbv/bbv-specialize.scm 1522 */
																														BgL_test4900z00_21295
																															= ((bool_t) 0);
																													}
																											}
																											if (BgL_test4900z00_21295)
																												{	/* SawBbv/bbv-specialize.scm 1522 */
																													obj_t
																														BgL_classz00_10991;
																													BgL_classz00_10991 =
																														BGl_bbvzd2rangezd2zzsaw_bbvzd2rangezd2;
																													if (BGL_OBJECTP
																														(BgL_intrz00_10974))
																														{	/* SawBbv/bbv-specialize.scm 1522 */
																															BgL_objectz00_bglt
																																BgL_arg1858z00_10992;
																															BgL_arg1858z00_10992
																																=
																																(BgL_objectz00_bglt)
																																(BgL_intrz00_10974);
																															if (BGL_CONDEXPAND_ISA_ARCH64())
																																{	/* SawBbv/bbv-specialize.scm 1522 */
																																	long
																																		BgL_idxz00_10993;
																																	BgL_idxz00_10993
																																		=
																																		BGL_OBJECT_INHERITANCE_NUM
																																		(BgL_arg1858z00_10992);
																																	BgL_test4899z00_21294
																																		=
																																		(VECTOR_REF
																																		(BGl_za2inheritancesza2z00zz__objectz00,
																																			(BgL_idxz00_10993
																																				+
																																				1L)) ==
																																		BgL_classz00_10991);
																																}
																															else
																																{	/* SawBbv/bbv-specialize.scm 1522 */
																																	bool_t
																																		BgL_res4161z00_10996;
																																	{	/* SawBbv/bbv-specialize.scm 1522 */
																																		obj_t
																																			BgL_oclassz00_10997;
																																		{	/* SawBbv/bbv-specialize.scm 1522 */
																																			obj_t
																																				BgL_arg1866z00_10998;
																																			long
																																				BgL_arg1867z00_10999;
																																			BgL_arg1866z00_10998
																																				=
																																				(BGl_za2classesza2z00zz__objectz00);
																																			{	/* SawBbv/bbv-specialize.scm 1522 */
																																				long
																																					BgL_arg1869z00_11000;
																																				BgL_arg1869z00_11000
																																					=
																																					BGL_OBJECT_CLASS_NUM
																																					(BgL_arg1858z00_10992);
																																				BgL_arg1867z00_10999
																																					=
																																					(BgL_arg1869z00_11000
																																					-
																																					OBJECT_TYPE);
																																			}
																																			BgL_oclassz00_10997
																																				=
																																				VECTOR_REF
																																				(BgL_arg1866z00_10998,
																																				BgL_arg1867z00_10999);
																																		}
																																		{	/* SawBbv/bbv-specialize.scm 1522 */
																																			bool_t
																																				BgL__ortest_1115z00_11001;
																																			BgL__ortest_1115z00_11001
																																				=
																																				(BgL_classz00_10991
																																				==
																																				BgL_oclassz00_10997);
																																			if (BgL__ortest_1115z00_11001)
																																				{	/* SawBbv/bbv-specialize.scm 1522 */
																																					BgL_res4161z00_10996
																																						=
																																						BgL__ortest_1115z00_11001;
																																				}
																																			else
																																				{	/* SawBbv/bbv-specialize.scm 1522 */
																																					long
																																						BgL_odepthz00_11002;
																																					{	/* SawBbv/bbv-specialize.scm 1522 */
																																						obj_t
																																							BgL_arg1855z00_11003;
																																						BgL_arg1855z00_11003
																																							=
																																							(BgL_oclassz00_10997);
																																						BgL_odepthz00_11002
																																							=
																																							BGL_CLASS_DEPTH
																																							(BgL_arg1855z00_11003);
																																					}
																																					if (
																																						(1L
																																							<
																																							BgL_odepthz00_11002))
																																						{	/* SawBbv/bbv-specialize.scm 1522 */
																																							obj_t
																																								BgL_arg1853z00_11004;
																																							{	/* SawBbv/bbv-specialize.scm 1522 */
																																								obj_t
																																									BgL_arg1854z00_11005;
																																								BgL_arg1854z00_11005
																																									=
																																									(BgL_oclassz00_10997);
																																								BgL_arg1853z00_11004
																																									=
																																									BGL_CLASS_ANCESTORS_REF
																																									(BgL_arg1854z00_11005,
																																									1L);
																																							}
																																							BgL_res4161z00_10996
																																								=
																																								(BgL_arg1853z00_11004
																																								==
																																								BgL_classz00_10991);
																																						}
																																					else
																																						{	/* SawBbv/bbv-specialize.scm 1522 */
																																							BgL_res4161z00_10996
																																								=
																																								(
																																								(bool_t)
																																								0);
																																						}
																																				}
																																		}
																																	}
																																	BgL_test4899z00_21294
																																		=
																																		BgL_res4161z00_10996;
																																}
																														}
																													else
																														{	/* SawBbv/bbv-specialize.scm 1522 */
																															BgL_test4899z00_21294
																																= ((bool_t) 0);
																														}
																												}
																											else
																												{	/* SawBbv/bbv-specialize.scm 1522 */
																													BgL_test4899z00_21294
																														= ((bool_t) 0);
																												}
																										}
																										if (BgL_test4899z00_21294)
																											{	/* SawBbv/bbv-specialize.scm 1524 */
																												bool_t
																													BgL_test4909z00_21340;
																												{	/* SawBbv/bbv-specialize.scm 1524 */
																													obj_t
																														BgL_arg3806z00_11006;
																													BgL_arg3806z00_11006 =
																														((obj_t) ((
																																(BgL_rtl_callz00_bglt)
																																COBJECT
																																(BgL_i1901z00_10969))->
																															BgL_varz00));
																													BgL_test4909z00_21340
																														=
																														(BgL_arg3806z00_11006
																														==
																														BGl_za2z42zd2fxzf2ovza2z62zzsaw_bbvzd2cachezd2);
																												}
																												if (BgL_test4909z00_21340)
																													{	/* SawBbv/bbv-specialize.scm 1524 */
																														BgL_intvz00_10975 =
																															((obj_t)
																															BGl_bbvzd2rangezd2subz00zzsaw_bbvzd2rangezd2
																															(((BgL_bbvzd2rangezd2_bglt) BgL_intlz00_10973), ((BgL_bbvzd2rangezd2_bglt) BgL_intrz00_10974)));
																													}
																												else
																													{	/* SawBbv/bbv-specialize.scm 1526 */
																														bool_t
																															BgL_test4910z00_21348;
																														{	/* SawBbv/bbv-specialize.scm 1526 */
																															obj_t
																																BgL_arg3805z00_11007;
																															BgL_arg3805z00_11007
																																=
																																((obj_t) ((
																																		(BgL_rtl_callz00_bglt)
																																		COBJECT
																																		(BgL_i1901z00_10969))->
																																	BgL_varz00));
																															BgL_test4910z00_21348
																																=
																																(BgL_arg3805z00_11007
																																==
																																BGl_za2z42zb2fxzf2ovza2z02zzsaw_bbvzd2cachezd2);
																														}
																														if (BgL_test4910z00_21348)
																															{	/* SawBbv/bbv-specialize.scm 1526 */
																																BgL_intvz00_10975
																																	=
																																	((obj_t)
																																	BGl_bbvzd2rangezd2addz00zzsaw_bbvzd2rangezd2
																																	(((BgL_bbvzd2rangezd2_bglt) BgL_intlz00_10973), ((BgL_bbvzd2rangezd2_bglt) BgL_intrz00_10974)));
																															}
																														else
																															{	/* SawBbv/bbv-specialize.scm 1528 */
																																bool_t
																																	BgL_test4911z00_21356;
																																{	/* SawBbv/bbv-specialize.scm 1528 */
																																	obj_t
																																		BgL_arg3804z00_11008;
																																	BgL_arg3804z00_11008
																																		=
																																		((obj_t) ((
																																				(BgL_rtl_callz00_bglt)
																																				COBJECT
																																				(BgL_i1901z00_10969))->
																																			BgL_varz00));
																																	BgL_test4911z00_21356
																																		=
																																		(BgL_arg3804z00_11008
																																		==
																																		BGl_za2z42za2fxzf2ovza2z12zzsaw_bbvzd2cachezd2);
																																}
																																if (BgL_test4911z00_21356)
																																	{	/* SawBbv/bbv-specialize.scm 1528 */
																																		BgL_intvz00_10975
																																			=
																																			((obj_t)
																																			BGl_bbvzd2rangezd2mulz00zzsaw_bbvzd2rangezd2
																																			(((BgL_bbvzd2rangezd2_bglt) BgL_intlz00_10973), ((BgL_bbvzd2rangezd2_bglt) BgL_intrz00_10974)));
																																	}
																																else
																																	{	/* SawBbv/bbv-specialize.scm 1531 */
																																		obj_t
																																			BgL_arg3802z00_11009;
																																		{	/* SawBbv/bbv-specialize.scm 1531 */
																																			BgL_rtl_funz00_bglt
																																				BgL_arg3803z00_11010;
																																			BgL_arg3803z00_11010
																																				=
																																				(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_10968))->BgL_funz00);
																																			BgL_arg3802z00_11009
																																				=
																																				BGl_shapez00zztools_shapez00
																																				(((obj_t) BgL_arg3803z00_11010));
																																		}
																																		BgL_intvz00_10975
																																			=
																																			BGl_errorz00zz__errorz00
																																			(BGl_string4216z00zzsaw_bbvzd2specializa7ez75,
																																			BGl_string4217z00zzsaw_bbvzd2specializa7ez75,
																																			BgL_arg3802z00_11009);
																																	}
																															}
																													}
																											}
																										else
																											{	/* SawBbv/bbv-specialize.scm 1522 */
																												BgL_intvz00_10975 =
																													((obj_t)
																													BGl_fixnumzd2rangezd2zzsaw_bbvzd2rangezd2
																													());
																											}
																									}
																									{	/* SawBbv/bbv-specialize.scm 1521 */

																										{	/* SawBbv/bbv-specialize.scm 1534 */
																											BgL_bbvzd2rangezd2_bglt
																												BgL_intxz00_11011;
																											{	/* SawBbv/bbv-specialize.scm 1534 */
																												BgL_bbvzd2rangezd2_bglt
																													BgL_new1904z00_11012;
																												{	/* SawBbv/bbv-specialize.scm 1535 */
																													BgL_bbvzd2rangezd2_bglt
																														BgL_new1903z00_11013;
																													BgL_new1903z00_11013 =
																														(
																														(BgL_bbvzd2rangezd2_bglt)
																														BOBJECT(GC_MALLOC
																															(sizeof(struct
																																	BgL_bbvzd2rangezd2_bgl))));
																													{	/* SawBbv/bbv-specialize.scm 1535 */
																														long
																															BgL_arg3793z00_11014;
																														BgL_arg3793z00_11014
																															=
																															BGL_CLASS_NUM
																															(BGl_bbvzd2rangezd2zzsaw_bbvzd2rangezd2);
																														BGL_OBJECT_CLASS_NUM_SET
																															(((BgL_objectz00_bglt) BgL_new1903z00_11013), BgL_arg3793z00_11014);
																													}
																													BgL_new1904z00_11012 =
																														BgL_new1903z00_11013;
																												}
																												{
																													obj_t
																														BgL_auxz00_21374;
																													{	/* SawBbv/bbv-specialize.scm 1535 */
																														obj_t
																															BgL_arg3787z00_11015;
																														long
																															BgL_arg3788z00_11016;
																														long
																															BgL_arg3789z00_11017;
																														BgL_arg3787z00_11015
																															=
																															(((BgL_bbvzd2rangezd2_bglt) COBJECT(((BgL_bbvzd2rangezd2_bglt) BgL_intvz00_10975)))->BgL_loz00);
																														{	/* SawBbv/bbv-specialize.scm 1535 */
																															long
																																BgL_arg3953z00_11018;
																															{	/* SawBbv/bbv-specialize.scm 1535 */
																																long
																																	BgL_arg3954z00_11019;
																																{	/* SawBbv/bbv-specialize.scm 1535 */
																																	long
																																		BgL_arg3955z00_11020;
																																	{	/* SawBbv/bbv-specialize.scm 1535 */
																																		obj_t
																																			BgL_arg3956z00_11021;
																																		BgL_arg3956z00_11021
																																			=
																																			BGl_bigloozd2configzd2zz__configurez00
																																			(((obj_t)
																																				CNST_TABLE_REF
																																				(11)));
																																		BgL_arg3955z00_11020
																																			=
																																			((long)
																																			CINT
																																			(BgL_arg3956z00_11021)
																																			- 2L);
																																	}
																																	BgL_arg3954z00_11019
																																		=
																																		(1L <<
																																		(int)
																																		(BgL_arg3955z00_11020));
																																}
																																BgL_arg3953z00_11018
																																	=
																																	NEG
																																	(BgL_arg3954z00_11019);
																															}
																															BgL_arg3788z00_11016
																																=
																																(BgL_arg3953z00_11018
																																- 1L);
																														}
																														{	/* SawBbv/bbv-specialize.scm 1535 */
																															long
																																BgL_arg3953z00_11022;
																															{	/* SawBbv/bbv-specialize.scm 1535 */
																																long
																																	BgL_arg3954z00_11023;
																																{	/* SawBbv/bbv-specialize.scm 1535 */
																																	long
																																		BgL_arg3955z00_11024;
																																	{	/* SawBbv/bbv-specialize.scm 1535 */
																																		obj_t
																																			BgL_arg3956z00_11025;
																																		BgL_arg3956z00_11025
																																			=
																																			BGl_bigloozd2configzd2zz__configurez00
																																			(((obj_t)
																																				CNST_TABLE_REF
																																				(11)));
																																		BgL_arg3955z00_11024
																																			=
																																			((long)
																																			CINT
																																			(BgL_arg3956z00_11025)
																																			- 2L);
																																	}
																																	BgL_arg3954z00_11023
																																		=
																																		(1L <<
																																		(int)
																																		(BgL_arg3955z00_11024));
																																}
																																BgL_arg3953z00_11022
																																	=
																																	NEG
																																	(BgL_arg3954z00_11023);
																															}
																															BgL_arg3789z00_11017
																																=
																																(BgL_arg3953z00_11022
																																- 1L);
																														}
																														BgL_auxz00_21374 =
																															BGl_maxrvz00zzsaw_bbvzd2rangezd2
																															(BgL_arg3787z00_11015,
																															BINT
																															(BgL_arg3788z00_11016),
																															BINT
																															(BgL_arg3789z00_11017));
																													}
																													((((BgL_bbvzd2rangezd2_bglt) COBJECT(BgL_new1904z00_11012))->BgL_loz00) = ((obj_t) BgL_auxz00_21374), BUNSPEC);
																												}
																												{
																													obj_t
																														BgL_auxz00_21399;
																													{	/* SawBbv/bbv-specialize.scm 1536 */
																														obj_t
																															BgL_arg3790z00_11026;
																														long
																															BgL_arg3791z00_11027;
																														long
																															BgL_arg3792z00_11028;
																														BgL_arg3790z00_11026
																															=
																															(((BgL_bbvzd2rangezd2_bglt) COBJECT(((BgL_bbvzd2rangezd2_bglt) BgL_intvz00_10975)))->BgL_upz00);
																														{	/* SawBbv/bbv-specialize.scm 1536 */
																															long
																																BgL_arg3955z00_11029;
																															{	/* SawBbv/bbv-specialize.scm 1536 */
																																obj_t
																																	BgL_arg3956z00_11030;
																																BgL_arg3956z00_11030
																																	=
																																	BGl_bigloozd2configzd2zz__configurez00
																																	(((obj_t)
																																		CNST_TABLE_REF
																																		(11)));
																																BgL_arg3955z00_11029
																																	=
																																	((long)
																																	CINT
																																	(BgL_arg3956z00_11030)
																																	- 2L);
																															}
																															BgL_arg3791z00_11027
																																=
																																(1L <<
																																(int)
																																(BgL_arg3955z00_11029));
																														}
																														{	/* SawBbv/bbv-specialize.scm 1536 */
																															long
																																BgL_arg3955z00_11031;
																															{	/* SawBbv/bbv-specialize.scm 1536 */
																																obj_t
																																	BgL_arg3956z00_11032;
																																BgL_arg3956z00_11032
																																	=
																																	BGl_bigloozd2configzd2zz__configurez00
																																	(((obj_t)
																																		CNST_TABLE_REF
																																		(11)));
																																BgL_arg3955z00_11031
																																	=
																																	((long)
																																	CINT
																																	(BgL_arg3956z00_11032)
																																	- 2L);
																															}
																															BgL_arg3792z00_11028
																																=
																																(1L <<
																																(int)
																																(BgL_arg3955z00_11031));
																														}
																														BgL_auxz00_21399 =
																															BGl_minrvz00zzsaw_bbvzd2rangezd2
																															(BgL_arg3790z00_11026,
																															BINT
																															(BgL_arg3791z00_11027),
																															BINT
																															(BgL_arg3792z00_11028));
																													}
																													((((BgL_bbvzd2rangezd2_bglt) COBJECT(BgL_new1904z00_11012))->BgL_upz00) = ((obj_t) BgL_auxz00_21399), BUNSPEC);
																												}
																												BgL_intxz00_11011 =
																													BgL_new1904z00_11012;
																											}
																											{	/* SawBbv/bbv-specialize.scm 1534 */
																												BgL_bbvzd2ctxzd2_bglt
																													BgL_nctxz00_11033;
																												{	/* SawBbv/bbv-specialize.scm 1537 */
																													obj_t
																														BgL_arg3785z00_11034;
																													{	/* SawBbv/bbv-specialize.scm 1537 */
																														obj_t
																															BgL_list3786z00_11035;
																														BgL_list3786z00_11035
																															=
																															MAKE_YOUNG_PAIR
																															(BGl_za2bintza2z00zztype_cachez00,
																															BNIL);
																														BgL_arg3785z00_11034
																															=
																															BgL_list3786z00_11035;
																													}
																													BgL_nctxz00_11033 =
																														BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2
																														(BgL_ctxz00_10966,
																														((BgL_rtl_regz00_bglt) BgL_regz00_10967), BgL_arg3785z00_11034, ((bool_t) 1), BFALSE, BINT(1L), ((obj_t) BgL_intxz00_11011));
																												}
																												{	/* SawBbv/bbv-specialize.scm 1537 */

																													BgL_nctxz00_10953 =
																														BgL_nctxz00_11033;
																			}}}}}}}}}}
																			{	/* SawBbv/bbv-specialize.scm 1564 */
																				BgL_rtl_insz00_bglt BgL_sz00_10954;

																				{	/* SawBbv/bbv-specialize.scm 1565 */
																					BgL_rtl_insz00_bglt
																						BgL_new1922z00_10955;
																					{	/* SawBbv/bbv-specialize.scm 1565 */
																						BgL_rtl_insz00_bglt
																							BgL_tmp1930z00_10956;
																						BgL_rtl_inszf2bbvzf2_bglt
																							BgL_wide1931z00_10957;
																						{
																							BgL_rtl_insz00_bglt
																								BgL_auxz00_21427;
																							{	/* SawBbv/bbv-specialize.scm 1565 */
																								BgL_rtl_insz00_bglt
																									BgL_new1929z00_10958;
																								BgL_new1929z00_10958 =
																									((BgL_rtl_insz00_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_rtl_insz00_bgl))));
																								{	/* SawBbv/bbv-specialize.scm 1565 */
																									long BgL_arg3832z00_10959;

																									BgL_arg3832z00_10959 =
																										BGL_CLASS_NUM
																										(BGl_rtl_insz00zzsaw_defsz00);
																									BGL_OBJECT_CLASS_NUM_SET((
																											(BgL_objectz00_bglt)
																											BgL_new1929z00_10958),
																										BgL_arg3832z00_10959);
																								}
																								{	/* SawBbv/bbv-specialize.scm 1565 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_21432;
																									BgL_tmpz00_21432 =
																										((BgL_objectz00_bglt)
																										BgL_new1929z00_10958);
																									BGL_OBJECT_WIDENING_SET
																										(BgL_tmpz00_21432, BFALSE);
																								}
																								((BgL_objectz00_bglt)
																									BgL_new1929z00_10958);
																								BgL_auxz00_21427 =
																									BgL_new1929z00_10958;
																							}
																							BgL_tmp1930z00_10956 =
																								((BgL_rtl_insz00_bglt)
																								BgL_auxz00_21427);
																						}
																						BgL_wide1931z00_10957 =
																							((BgL_rtl_inszf2bbvzf2_bglt)
																							BOBJECT(GC_MALLOC(sizeof(struct
																										BgL_rtl_inszf2bbvzf2_bgl))));
																						{	/* SawBbv/bbv-specialize.scm 1565 */
																							obj_t BgL_auxz00_21440;
																							BgL_objectz00_bglt
																								BgL_tmpz00_21438;
																							BgL_auxz00_21440 =
																								((obj_t) BgL_wide1931z00_10957);
																							BgL_tmpz00_21438 =
																								((BgL_objectz00_bglt)
																								BgL_tmp1930z00_10956);
																							BGL_OBJECT_WIDENING_SET
																								(BgL_tmpz00_21438,
																								BgL_auxz00_21440);
																						}
																						((BgL_objectz00_bglt)
																							BgL_tmp1930z00_10956);
																						{	/* SawBbv/bbv-specialize.scm 1565 */
																							long BgL_arg3831z00_10960;

																							BgL_arg3831z00_10960 =
																								BGL_CLASS_NUM
																								(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																							BGL_OBJECT_CLASS_NUM_SET((
																									(BgL_objectz00_bglt)
																									BgL_tmp1930z00_10956),
																								BgL_arg3831z00_10960);
																						}
																						BgL_new1922z00_10955 =
																							((BgL_rtl_insz00_bglt)
																							BgL_tmp1930z00_10956);
																					}
																					((((BgL_rtl_insz00_bglt) COBJECT(
																									((BgL_rtl_insz00_bglt)
																										BgL_new1922z00_10955)))->
																							BgL_locz00) =
																						((obj_t) (((BgL_rtl_insz00_bglt)
																									COBJECT(BgL_iz00_10945))->
																								BgL_locz00)), BUNSPEC);
																					((((BgL_rtl_insz00_bglt)
																								COBJECT(((BgL_rtl_insz00_bglt)
																										BgL_new1922z00_10955)))->
																							BgL_z52spillz52) =
																						((obj_t) (((BgL_rtl_insz00_bglt)
																									COBJECT(BgL_iz00_10945))->
																								BgL_z52spillz52)), BUNSPEC);
																					((((BgL_rtl_insz00_bglt)
																								COBJECT(((BgL_rtl_insz00_bglt)
																										BgL_new1922z00_10955)))->
																							BgL_destz00) =
																						((obj_t) (((BgL_rtl_insz00_bglt)
																									COBJECT(BgL_iz00_10945))->
																								BgL_destz00)), BUNSPEC);
																					{
																						BgL_rtl_funz00_bglt
																							BgL_auxz00_21457;
																						{	/* SawBbv/bbv-specialize.scm 1567 */
																							BgL_rtl_ifnez00_bglt
																								BgL_new1932z00_10961;
																							{	/* SawBbv/bbv-specialize.scm 1567 */
																								BgL_rtl_ifnez00_bglt
																									BgL_new1935z00_10962;
																								BgL_new1935z00_10962 =
																									((BgL_rtl_ifnez00_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_rtl_ifnez00_bgl))));
																								{	/* SawBbv/bbv-specialize.scm 1567 */
																									long BgL_arg3830z00_10963;

																									{	/* SawBbv/bbv-specialize.scm 1567 */
																										obj_t BgL_classz00_10964;

																										BgL_classz00_10964 =
																											BGl_rtl_ifnez00zzsaw_defsz00;
																										BgL_arg3830z00_10963 =
																											BGL_CLASS_NUM
																											(BgL_classz00_10964);
																									}
																									BGL_OBJECT_CLASS_NUM_SET(
																										((BgL_objectz00_bglt)
																											BgL_new1935z00_10962),
																										BgL_arg3830z00_10963);
																								}
																								BgL_new1932z00_10961 =
																									BgL_new1935z00_10962;
																							}
																							((((BgL_rtl_funz00_bglt) COBJECT(
																											((BgL_rtl_funz00_bglt)
																												BgL_new1932z00_10961)))->
																									BgL_locz00) =
																								((obj_t) (((BgL_rtl_funz00_bglt)
																											COBJECT
																											(BgL_funz00_10947))->
																										BgL_locz00)), BUNSPEC);
																							{
																								BgL_blockz00_bglt
																									BgL_auxz00_21466;
																								{	/* SawBbv/bbv-specialize.scm 1568 */
																									BgL_blockz00_bglt
																										BgL_arg3829z00_10965;
																									BgL_arg3829z00_10965 =
																										(((BgL_rtl_ifnez00_bglt)
																											COBJECT((
																													(BgL_rtl_ifnez00_bglt)
																													BgL_funz00_10947)))->
																										BgL_thenz00);
																									BgL_auxz00_21466 =
																										((BgL_blockz00_bglt)
																										BGl_bbvzd2blockzd2zzsaw_bbvzd2specializa7ez75
																										(BgL_arg3829z00_10965,
																											BgL_ctxzb2zb2_10950,
																											((BgL_bbvzd2queuezd2_bglt)
																												BgL_queuez00_9812),
																											BgL_bsz00_9810));
																								}
																								((((BgL_rtl_ifnez00_bglt)
																											COBJECT
																											(BgL_new1932z00_10961))->
																										BgL_thenz00) =
																									((BgL_blockz00_bglt)
																										BgL_auxz00_21466), BUNSPEC);
																							}
																							BgL_auxz00_21457 =
																								((BgL_rtl_funz00_bglt)
																								BgL_new1932z00_10961);
																						}
																						((((BgL_rtl_insz00_bglt) COBJECT(
																										((BgL_rtl_insz00_bglt)
																											BgL_new1922z00_10955)))->
																								BgL_funz00) =
																							((BgL_rtl_funz00_bglt)
																								BgL_auxz00_21457), BUNSPEC);
																					}
																					((((BgL_rtl_insz00_bglt) COBJECT(
																									((BgL_rtl_insz00_bglt)
																										BgL_new1922z00_10955)))->
																							BgL_argsz00) =
																						((obj_t) (((BgL_rtl_insz00_bglt)
																									COBJECT(BgL_iz00_10945))->
																								BgL_argsz00)), BUNSPEC);
																					{
																						obj_t BgL_auxz00_21484;
																						BgL_rtl_inszf2bbvzf2_bglt
																							BgL_auxz00_21478;
																						{
																							BgL_rtl_inszf2bbvzf2_bglt
																								BgL_auxz00_21485;
																							{
																								obj_t BgL_auxz00_21486;

																								{	/* SawBbv/bbv-specialize.scm 1567 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_21487;
																									BgL_tmpz00_21487 =
																										((BgL_objectz00_bglt) (
																											(BgL_rtl_insz00_bglt)
																											BgL_iz00_10945));
																									BgL_auxz00_21486 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_21487);
																								}
																								BgL_auxz00_21485 =
																									((BgL_rtl_inszf2bbvzf2_bglt)
																									BgL_auxz00_21486);
																							}
																							BgL_auxz00_21484 =
																								(((BgL_rtl_inszf2bbvzf2_bglt)
																									COBJECT(BgL_auxz00_21485))->
																								BgL_defz00);
																						}
																						{
																							obj_t BgL_auxz00_21479;

																							{	/* SawBbv/bbv-specialize.scm 1567 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_21480;
																								BgL_tmpz00_21480 =
																									((BgL_objectz00_bglt)
																									BgL_new1922z00_10955);
																								BgL_auxz00_21479 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_21480);
																							}
																							BgL_auxz00_21478 =
																								((BgL_rtl_inszf2bbvzf2_bglt)
																								BgL_auxz00_21479);
																						}
																						((((BgL_rtl_inszf2bbvzf2_bglt)
																									COBJECT(BgL_auxz00_21478))->
																								BgL_defz00) =
																							((obj_t) BgL_auxz00_21484),
																							BUNSPEC);
																					}
																					{
																						obj_t BgL_auxz00_21500;
																						BgL_rtl_inszf2bbvzf2_bglt
																							BgL_auxz00_21494;
																						{
																							BgL_rtl_inszf2bbvzf2_bglt
																								BgL_auxz00_21501;
																							{
																								obj_t BgL_auxz00_21502;

																								{	/* SawBbv/bbv-specialize.scm 1567 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_21503;
																									BgL_tmpz00_21503 =
																										((BgL_objectz00_bglt) (
																											(BgL_rtl_insz00_bglt)
																											BgL_iz00_10945));
																									BgL_auxz00_21502 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_21503);
																								}
																								BgL_auxz00_21501 =
																									((BgL_rtl_inszf2bbvzf2_bglt)
																									BgL_auxz00_21502);
																							}
																							BgL_auxz00_21500 =
																								(((BgL_rtl_inszf2bbvzf2_bglt)
																									COBJECT(BgL_auxz00_21501))->
																								BgL_outz00);
																						}
																						{
																							obj_t BgL_auxz00_21495;

																							{	/* SawBbv/bbv-specialize.scm 1567 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_21496;
																								BgL_tmpz00_21496 =
																									((BgL_objectz00_bglt)
																									BgL_new1922z00_10955);
																								BgL_auxz00_21495 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_21496);
																							}
																							BgL_auxz00_21494 =
																								((BgL_rtl_inszf2bbvzf2_bglt)
																								BgL_auxz00_21495);
																						}
																						((((BgL_rtl_inszf2bbvzf2_bglt)
																									COBJECT(BgL_auxz00_21494))->
																								BgL_outz00) =
																							((obj_t) BgL_auxz00_21500),
																							BUNSPEC);
																					}
																					{
																						obj_t BgL_auxz00_21516;
																						BgL_rtl_inszf2bbvzf2_bglt
																							BgL_auxz00_21510;
																						{
																							BgL_rtl_inszf2bbvzf2_bglt
																								BgL_auxz00_21517;
																							{
																								obj_t BgL_auxz00_21518;

																								{	/* SawBbv/bbv-specialize.scm 1567 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_21519;
																									BgL_tmpz00_21519 =
																										((BgL_objectz00_bglt) (
																											(BgL_rtl_insz00_bglt)
																											BgL_iz00_10945));
																									BgL_auxz00_21518 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_21519);
																								}
																								BgL_auxz00_21517 =
																									((BgL_rtl_inszf2bbvzf2_bglt)
																									BgL_auxz00_21518);
																							}
																							BgL_auxz00_21516 =
																								(((BgL_rtl_inszf2bbvzf2_bglt)
																									COBJECT(BgL_auxz00_21517))->
																								BgL_inz00);
																						}
																						{
																							obj_t BgL_auxz00_21511;

																							{	/* SawBbv/bbv-specialize.scm 1567 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_21512;
																								BgL_tmpz00_21512 =
																									((BgL_objectz00_bglt)
																									BgL_new1922z00_10955);
																								BgL_auxz00_21511 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_21512);
																							}
																							BgL_auxz00_21510 =
																								((BgL_rtl_inszf2bbvzf2_bglt)
																								BgL_auxz00_21511);
																						}
																						((((BgL_rtl_inszf2bbvzf2_bglt)
																									COBJECT(BgL_auxz00_21510))->
																								BgL_inz00) =
																							((obj_t) BgL_auxz00_21516),
																							BUNSPEC);
																					}
																					{
																						BgL_rtl_inszf2bbvzf2_bglt
																							BgL_auxz00_21526;
																						{
																							obj_t BgL_auxz00_21527;

																							{	/* SawBbv/bbv-specialize.scm 1566 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_21528;
																								BgL_tmpz00_21528 =
																									((BgL_objectz00_bglt)
																									BgL_new1922z00_10955);
																								BgL_auxz00_21527 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_21528);
																							}
																							BgL_auxz00_21526 =
																								((BgL_rtl_inszf2bbvzf2_bglt)
																								BgL_auxz00_21527);
																						}
																						((((BgL_rtl_inszf2bbvzf2_bglt)
																									COBJECT(BgL_auxz00_21526))->
																								BgL_ctxz00) =
																							((BgL_bbvzd2ctxzd2_bglt) (
																									(BgL_bbvzd2ctxzd2_bglt)
																									BgL_ctxz00_9811)), BUNSPEC);
																					}
																					{
																						obj_t BgL_auxz00_21540;
																						BgL_rtl_inszf2bbvzf2_bglt
																							BgL_auxz00_21534;
																						{
																							BgL_rtl_inszf2bbvzf2_bglt
																								BgL_auxz00_21541;
																							{
																								obj_t BgL_auxz00_21542;

																								{	/* SawBbv/bbv-specialize.scm 1566 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_21543;
																									BgL_tmpz00_21543 =
																										((BgL_objectz00_bglt) (
																											(BgL_rtl_insz00_bglt)
																											BgL_iz00_10945));
																									BgL_auxz00_21542 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_21543);
																								}
																								BgL_auxz00_21541 =
																									((BgL_rtl_inszf2bbvzf2_bglt)
																									BgL_auxz00_21542);
																							}
																							BgL_auxz00_21540 =
																								(((BgL_rtl_inszf2bbvzf2_bglt)
																									COBJECT(BgL_auxz00_21541))->
																								BgL_z52hashz52);
																						}
																						{
																							obj_t BgL_auxz00_21535;

																							{	/* SawBbv/bbv-specialize.scm 1566 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_21536;
																								BgL_tmpz00_21536 =
																									((BgL_objectz00_bglt)
																									BgL_new1922z00_10955);
																								BgL_auxz00_21535 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_21536);
																							}
																							BgL_auxz00_21534 =
																								((BgL_rtl_inszf2bbvzf2_bglt)
																								BgL_auxz00_21535);
																						}
																						((((BgL_rtl_inszf2bbvzf2_bglt)
																									COBJECT(BgL_auxz00_21534))->
																								BgL_z52hashz52) =
																							((obj_t) BgL_auxz00_21540),
																							BUNSPEC);
																					}
																					BgL_sz00_10954 = BgL_new1922z00_10955;
																				}
																				{	/* SawBbv/bbv-specialize.scm 1565 */

																					{	/* SawBbv/bbv-specialize.scm 1571 */
																						int BgL_tmpz00_21550;

																						BgL_tmpz00_21550 = (int) (2L);
																						BGL_MVALUES_NUMBER_SET
																							(BgL_tmpz00_21550);
																					}
																					{	/* SawBbv/bbv-specialize.scm 1571 */
																						obj_t BgL_auxz00_21555;
																						int BgL_tmpz00_21553;

																						BgL_auxz00_21555 =
																							((obj_t) BgL_nctxz00_10953);
																						BgL_tmpz00_21553 = (int) (1L);
																						BGL_MVALUES_VAL_SET
																							(BgL_tmpz00_21553,
																							BgL_auxz00_21555);
																					}
																					BgL_auxz00_21208 = BgL_sz00_10954;
																}}}}}
															else
																{	/* SawBbv/bbv-specialize.scm 1587 */
																	bool_t BgL_test4912z00_21561;

																	{	/* SawBbv/bbv-specialize.scm 1587 */
																		obj_t BgL_arg3778z00_11078;

																		BgL_arg3778z00_11078 =
																			((obj_t)
																			(((BgL_rtl_callz00_bglt)
																					COBJECT(BgL_i1938z00_11046))->
																				BgL_varz00));
																		BgL_test4912z00_21561 =
																			(BgL_arg3778z00_11078 ==
																			BGl_za2z42zb2fxzf2ovza2z02zzsaw_bbvzd2cachezd2);
																	}
																	if (BgL_test4912z00_21561)
																		{	/* SawBbv/bbv-specialize.scm 1588 */
																			BgL_bbvzd2rangezd2_bglt
																				BgL_rangez00_11079;
																			BgL_rangez00_11079 =
																				BGl_bbvzd2rangezd2addz00zzsaw_bbvzd2rangezd2
																				(((BgL_bbvzd2rangezd2_bglt)
																					BgL_intlz00_11044),
																				((BgL_bbvzd2rangezd2_bglt)
																					BgL_intrz00_11045));
																			if (BGl_bbvzd2rangezd2fixnumzf3zf3zzsaw_bbvzd2rangezd2(BgL_rangez00_11079))
																				{	/* SawBbv/bbv-specialize.scm 1593 */
																					BgL_bbvzd2ctxzd2_bglt
																						BgL_nctxz00_11080;
																					{	/* SawBbv/bbv-specialize.scm 1594 */
																						obj_t BgL_arg3755z00_11081;

																						{	/* SawBbv/bbv-specialize.scm 1594 */
																							obj_t BgL_list3756z00_11082;

																							BgL_list3756z00_11082 =
																								MAKE_YOUNG_PAIR
																								(BGl_za2bintza2z00zztype_cachez00,
																								BNIL);
																							BgL_arg3755z00_11081 =
																								BgL_list3756z00_11082;
																						}
																						BgL_nctxz00_11080 =
																							BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2
																							(((BgL_bbvzd2ctxzd2_bglt)
																								BgL_ctxz00_9811),
																							((BgL_rtl_regz00_bglt)
																								BgL_regz00_11039),
																							BgL_arg3755z00_11081,
																							((bool_t) 1), BFALSE, BINT(1L),
																							((obj_t) BgL_rangez00_11079));
																					}
																					{	/* SawBbv/bbv-specialize.scm 1597 */
																						BgL_rtl_insz00_bglt
																							BgL_val0_2451z00_11083;
																						BgL_val0_2451z00_11083 =
																							BGl_fxzd2ovzd2ze3fxze70z04zzsaw_bbvzd2specializa7ez75
																							((((BgL_rtl_callz00_bglt)
																									COBJECT(BgL_i1938z00_11046))->
																								BgL_varz00), BgL_callz00_11036,
																							BgL_regz00_11039,
																							((BgL_bbvzd2ctxzd2_bglt)
																								BgL_ctxz00_9811),
																							BgL_nctxz00_11080);
																						{	/* SawBbv/bbv-specialize.scm 1597 */
																							int BgL_tmpz00_21579;

																							BgL_tmpz00_21579 = (int) (2L);
																							BGL_MVALUES_NUMBER_SET
																								(BgL_tmpz00_21579);
																						}
																						{	/* SawBbv/bbv-specialize.scm 1597 */
																							obj_t BgL_auxz00_21584;
																							int BgL_tmpz00_21582;

																							BgL_auxz00_21584 =
																								((obj_t) BgL_nctxz00_11080);
																							BgL_tmpz00_21582 = (int) (1L);
																							BGL_MVALUES_VAL_SET
																								(BgL_tmpz00_21582,
																								BgL_auxz00_21584);
																						}
																						BgL_auxz00_21208 =
																							BgL_val0_2451z00_11083;
																				}}
																			else
																				{	/* SawBbv/bbv-specialize.scm 1599 */
																					BgL_rtl_funz00_bglt
																						BgL_arg3757z00_11084;
																					BgL_bbvzd2rangezd2_bglt
																						BgL_arg3758z00_11085;
																					BgL_arg3757z00_11084 =
																						(((BgL_rtl_insz00_bglt)
																							COBJECT(((BgL_rtl_insz00_bglt)
																									BgL_iz00_9808)))->BgL_funz00);
																					BgL_arg3758z00_11085 =
																						BGl_fixnumzd2rangezd2zzsaw_bbvzd2rangezd2
																						();
																					{
																						obj_t BgL_valuez00_21595;
																						obj_t BgL_regz00_21594;
																						BgL_rtl_funz00_bglt
																							BgL_funz00_21593;
																						obj_t BgL_callz00_21592;
																						BgL_rtl_insz00_bglt BgL_iz00_21590;

																						BgL_iz00_21590 =
																							((BgL_rtl_insz00_bglt)
																							BgL_iz00_9808);
																						BgL_callz00_21592 =
																							BgL_callz00_11036;
																						BgL_funz00_21593 =
																							BgL_arg3757z00_11084;
																						BgL_regz00_21594 = BgL_regz00_11039;
																						BgL_valuez00_21595 =
																							((obj_t) BgL_arg3758z00_11085);
																						BgL_valuez00_10949 =
																							BgL_valuez00_21595;
																						BgL_regz00_10948 = BgL_regz00_21594;
																						BgL_funz00_10947 = BgL_funz00_21593;
																						BgL_callz00_10946 =
																							BgL_callz00_21592;
																						BgL_iz00_10945 = BgL_iz00_21590;
																						goto BgL_defaultz00_10943;
																					}
																				}
																		}
																	else
																		{	/* SawBbv/bbv-specialize.scm 1600 */
																			bool_t BgL_test4914z00_21597;

																			{	/* SawBbv/bbv-specialize.scm 1600 */
																				obj_t BgL_arg3777z00_11086;

																				BgL_arg3777z00_11086 =
																					((obj_t)
																					(((BgL_rtl_callz00_bglt)
																							COBJECT(BgL_i1938z00_11046))->
																						BgL_varz00));
																				BgL_test4914z00_21597 =
																					(BgL_arg3777z00_11086 ==
																					BGl_za2z42zd2fxzf2ovza2z62zzsaw_bbvzd2cachezd2);
																			}
																			if (BgL_test4914z00_21597)
																				{	/* SawBbv/bbv-specialize.scm 1601 */
																					BgL_bbvzd2rangezd2_bglt
																						BgL_rangez00_11087;
																					BgL_rangez00_11087 =
																						BGl_bbvzd2rangezd2subz00zzsaw_bbvzd2rangezd2
																						(((BgL_bbvzd2rangezd2_bglt)
																							BgL_intlz00_11044),
																						((BgL_bbvzd2rangezd2_bglt)
																							BgL_intrz00_11045));
																					if (BGl_bbvzd2rangezd2fixnumzf3zf3zzsaw_bbvzd2rangezd2(BgL_rangez00_11087))
																						{	/* SawBbv/bbv-specialize.scm 1606 */
																							BgL_bbvzd2ctxzd2_bglt
																								BgL_nctxz00_11088;
																							{	/* SawBbv/bbv-specialize.scm 1607 */
																								obj_t BgL_arg3763z00_11089;

																								{	/* SawBbv/bbv-specialize.scm 1607 */
																									obj_t BgL_list3764z00_11090;

																									BgL_list3764z00_11090 =
																										MAKE_YOUNG_PAIR
																										(BGl_za2bintza2z00zztype_cachez00,
																										BNIL);
																									BgL_arg3763z00_11089 =
																										BgL_list3764z00_11090;
																								}
																								BgL_nctxz00_11088 =
																									BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2
																									(((BgL_bbvzd2ctxzd2_bglt)
																										BgL_ctxz00_9811),
																									((BgL_rtl_regz00_bglt)
																										BgL_regz00_11039),
																									BgL_arg3763z00_11089,
																									((bool_t) 1), BFALSE,
																									BINT(1L),
																									((obj_t) BgL_rangez00_11087));
																							}
																							{	/* SawBbv/bbv-specialize.scm 1610 */
																								BgL_rtl_insz00_bglt
																									BgL_val0_2453z00_11091;
																								BgL_val0_2453z00_11091 =
																									BGl_fxzd2ovzd2ze3fxze70z04zzsaw_bbvzd2specializa7ez75
																									((((BgL_rtl_callz00_bglt)
																											COBJECT
																											(BgL_i1938z00_11046))->
																										BgL_varz00),
																									BgL_callz00_11036,
																									BgL_regz00_11039,
																									((BgL_bbvzd2ctxzd2_bglt)
																										BgL_ctxz00_9811),
																									BgL_nctxz00_11088);
																								{	/* SawBbv/bbv-specialize.scm 1610 */
																									int BgL_tmpz00_21615;

																									BgL_tmpz00_21615 = (int) (2L);
																									BGL_MVALUES_NUMBER_SET
																										(BgL_tmpz00_21615);
																								}
																								{	/* SawBbv/bbv-specialize.scm 1610 */
																									obj_t BgL_auxz00_21620;
																									int BgL_tmpz00_21618;

																									BgL_auxz00_21620 =
																										((obj_t) BgL_nctxz00_11088);
																									BgL_tmpz00_21618 = (int) (1L);
																									BGL_MVALUES_VAL_SET
																										(BgL_tmpz00_21618,
																										BgL_auxz00_21620);
																								}
																								BgL_auxz00_21208 =
																									BgL_val0_2453z00_11091;
																						}}
																					else
																						{	/* SawBbv/bbv-specialize.scm 1612 */
																							BgL_rtl_funz00_bglt
																								BgL_arg3765z00_11092;
																							BgL_bbvzd2rangezd2_bglt
																								BgL_arg3766z00_11093;
																							BgL_arg3765z00_11092 =
																								(((BgL_rtl_insz00_bglt)
																									COBJECT(((BgL_rtl_insz00_bglt)
																											BgL_iz00_9808)))->
																								BgL_funz00);
																							BgL_arg3766z00_11093 =
																								BGl_fixnumzd2rangezd2zzsaw_bbvzd2rangezd2
																								();
																							{
																								obj_t BgL_valuez00_21631;
																								obj_t BgL_regz00_21630;
																								BgL_rtl_funz00_bglt
																									BgL_funz00_21629;
																								obj_t BgL_callz00_21628;
																								BgL_rtl_insz00_bglt
																									BgL_iz00_21626;
																								BgL_iz00_21626 =
																									((BgL_rtl_insz00_bglt)
																									BgL_iz00_9808);
																								BgL_callz00_21628 =
																									BgL_callz00_11036;
																								BgL_funz00_21629 =
																									BgL_arg3765z00_11092;
																								BgL_regz00_21630 =
																									BgL_regz00_11039;
																								BgL_valuez00_21631 =
																									((obj_t)
																									BgL_arg3766z00_11093);
																								BgL_valuez00_10949 =
																									BgL_valuez00_21631;
																								BgL_regz00_10948 =
																									BgL_regz00_21630;
																								BgL_funz00_10947 =
																									BgL_funz00_21629;
																								BgL_callz00_10946 =
																									BgL_callz00_21628;
																								BgL_iz00_10945 = BgL_iz00_21626;
																								goto BgL_defaultz00_10943;
																							}
																						}
																				}
																			else
																				{	/* SawBbv/bbv-specialize.scm 1613 */
																					bool_t BgL_test4916z00_21633;

																					{	/* SawBbv/bbv-specialize.scm 1613 */
																						obj_t BgL_arg3776z00_11094;

																						BgL_arg3776z00_11094 =
																							((obj_t)
																							(((BgL_rtl_callz00_bglt)
																									COBJECT(BgL_i1938z00_11046))->
																								BgL_varz00));
																						BgL_test4916z00_21633 =
																							(BgL_arg3776z00_11094 ==
																							BGl_za2z42za2fxzf2ovza2z12zzsaw_bbvzd2cachezd2);
																					}
																					if (BgL_test4916z00_21633)
																						{	/* SawBbv/bbv-specialize.scm 1614 */
																							BgL_bbvzd2rangezd2_bglt
																								BgL_rangez00_11095;
																							BgL_rangez00_11095 =
																								BGl_bbvzd2rangezd2mulz00zzsaw_bbvzd2rangezd2
																								(((BgL_bbvzd2rangezd2_bglt)
																									BgL_intlz00_11044),
																								((BgL_bbvzd2rangezd2_bglt)
																									BgL_intrz00_11045));
																							if (BGl_bbvzd2rangezd2fixnumzf3zf3zzsaw_bbvzd2rangezd2(BgL_rangez00_11095))
																								{	/* SawBbv/bbv-specialize.scm 1616 */
																									BgL_bbvzd2ctxzd2_bglt
																										BgL_nctxz00_11096;
																									{	/* SawBbv/bbv-specialize.scm 1617 */
																										obj_t BgL_arg3771z00_11097;

																										{	/* SawBbv/bbv-specialize.scm 1617 */
																											obj_t
																												BgL_list3772z00_11098;
																											BgL_list3772z00_11098 =
																												MAKE_YOUNG_PAIR
																												(BGl_za2bintza2z00zztype_cachez00,
																												BNIL);
																											BgL_arg3771z00_11097 =
																												BgL_list3772z00_11098;
																										}
																										BgL_nctxz00_11096 =
																											BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2
																											(((BgL_bbvzd2ctxzd2_bglt)
																												BgL_ctxz00_9811),
																											((BgL_rtl_regz00_bglt)
																												BgL_regz00_11039),
																											BgL_arg3771z00_11097,
																											((bool_t) 1), BFALSE,
																											BINT(1L),
																											((obj_t)
																												BgL_rangez00_11095));
																									}
																									{	/* SawBbv/bbv-specialize.scm 1620 */
																										BgL_rtl_insz00_bglt
																											BgL_val0_2455z00_11099;
																										BgL_val0_2455z00_11099 =
																											BGl_fxzd2ovzd2ze3fxze70z04zzsaw_bbvzd2specializa7ez75
																											((((BgL_rtl_callz00_bglt)
																													COBJECT
																													(BgL_i1938z00_11046))->
																												BgL_varz00),
																											BgL_callz00_11036,
																											BgL_regz00_11039,
																											((BgL_bbvzd2ctxzd2_bglt)
																												BgL_ctxz00_9811),
																											BgL_nctxz00_11096);
																										{	/* SawBbv/bbv-specialize.scm 1620 */
																											int BgL_tmpz00_21651;

																											BgL_tmpz00_21651 =
																												(int) (2L);
																											BGL_MVALUES_NUMBER_SET
																												(BgL_tmpz00_21651);
																										}
																										{	/* SawBbv/bbv-specialize.scm 1620 */
																											obj_t BgL_auxz00_21656;
																											int BgL_tmpz00_21654;

																											BgL_auxz00_21656 =
																												((obj_t)
																												BgL_nctxz00_11096);
																											BgL_tmpz00_21654 =
																												(int) (1L);
																											BGL_MVALUES_VAL_SET
																												(BgL_tmpz00_21654,
																												BgL_auxz00_21656);
																										}
																										BgL_auxz00_21208 =
																											BgL_val0_2455z00_11099;
																								}}
																							else
																								{	/* SawBbv/bbv-specialize.scm 1622 */
																									BgL_rtl_funz00_bglt
																										BgL_arg3773z00_11100;
																									BgL_bbvzd2rangezd2_bglt
																										BgL_arg3774z00_11101;
																									BgL_arg3773z00_11100 =
																										(((BgL_rtl_insz00_bglt)
																											COBJECT((
																													(BgL_rtl_insz00_bglt)
																													BgL_iz00_9808)))->
																										BgL_funz00);
																									BgL_arg3774z00_11101 =
																										BGl_fixnumzd2rangezd2zzsaw_bbvzd2rangezd2
																										();
																									{
																										obj_t BgL_valuez00_21667;
																										obj_t BgL_regz00_21666;
																										BgL_rtl_funz00_bglt
																											BgL_funz00_21665;
																										obj_t BgL_callz00_21664;
																										BgL_rtl_insz00_bglt
																											BgL_iz00_21662;
																										BgL_iz00_21662 =
																											((BgL_rtl_insz00_bglt)
																											BgL_iz00_9808);
																										BgL_callz00_21664 =
																											BgL_callz00_11036;
																										BgL_funz00_21665 =
																											BgL_arg3773z00_11100;
																										BgL_regz00_21666 =
																											BgL_regz00_11039;
																										BgL_valuez00_21667 =
																											((obj_t)
																											BgL_arg3774z00_11101);
																										BgL_valuez00_10949 =
																											BgL_valuez00_21667;
																										BgL_regz00_10948 =
																											BgL_regz00_21666;
																										BgL_funz00_10947 =
																											BgL_funz00_21665;
																										BgL_callz00_10946 =
																											BgL_callz00_21664;
																										BgL_iz00_10945 =
																											BgL_iz00_21662;
																										goto BgL_defaultz00_10943;
																									}
																								}
																						}
																					else
																						{	/* SawBbv/bbv-specialize.scm 1624 */
																							BgL_rtl_funz00_bglt
																								BgL_arg3775z00_11102;
																							BgL_arg3775z00_11102 =
																								(((BgL_rtl_insz00_bglt)
																									COBJECT(((BgL_rtl_insz00_bglt)
																											BgL_iz00_9808)))->
																								BgL_funz00);
																							{
																								obj_t BgL_valuez00_21676;
																								obj_t BgL_regz00_21675;
																								BgL_rtl_funz00_bglt
																									BgL_funz00_21674;
																								obj_t BgL_callz00_21673;
																								BgL_rtl_insz00_bglt
																									BgL_iz00_21671;
																								BgL_iz00_21671 =
																									((BgL_rtl_insz00_bglt)
																									BgL_iz00_9808);
																								BgL_callz00_21673 =
																									BgL_callz00_11036;
																								BgL_funz00_21674 =
																									BgL_arg3775z00_11102;
																								BgL_regz00_21675 =
																									BgL_regz00_11039;
																								BgL_valuez00_21676 =
																									((obj_t) CNST_TABLE_REF(4));
																								BgL_valuez00_10949 =
																									BgL_valuez00_21676;
																								BgL_regz00_10948 =
																									BgL_regz00_21675;
																								BgL_funz00_10947 =
																									BgL_funz00_21674;
																								BgL_callz00_10946 =
																									BgL_callz00_21673;
																								BgL_iz00_10945 = BgL_iz00_21671;
																								goto BgL_defaultz00_10943;
																							}
																						}
																				}
																		}
																}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
				return ((obj_t) BgL_auxz00_21208);
			}
		}

	}



/* 2->fx~0 */
	BgL_rtl_insz00_bglt
		BGl_2zd2ze3fxze70zd6zzsaw_bbvzd2specializa7ez75(BgL_globalz00_bglt
		BgL_varz00_4887, BgL_rtl_insz00_bglt BgL_iz00_4888, obj_t BgL_ctxz00_4889,
		BgL_bbvzd2ctxzd2_bglt BgL_nctxz00_4890)
	{
		{	/* SawBbv/bbv-specialize.scm 1673 */
			{	/* SawBbv/bbv-specialize.scm 1651 */
				BgL_rtl_callz00_bglt BgL_i1970z00_4893;

				BgL_i1970z00_4893 =
					((BgL_rtl_callz00_bglt)
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_4888))->BgL_funz00));
				{	/* SawBbv/bbv-specialize.scm 1652 */
					obj_t BgL_lhsz00_4894;

					BgL_lhsz00_4894 =
						CAR((((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_4888))->BgL_argsz00));
					{	/* SawBbv/bbv-specialize.scm 1652 */
						obj_t BgL_rhsz00_4895;

						{	/* SawBbv/bbv-specialize.scm 1653 */
							obj_t BgL_pairz00_8914;

							BgL_pairz00_8914 =
								(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_4888))->BgL_argsz00);
							BgL_rhsz00_4895 = CAR(CDR(BgL_pairz00_8914));
						}
						{	/* SawBbv/bbv-specialize.scm 1653 */
							BgL_rtl_insz00_bglt BgL_castlhsz00_4896;

							{	/* SawBbv/bbv-specialize.scm 1654 */
								BgL_rtl_insz00_bglt BgL_new1971z00_4957;

								{	/* SawBbv/bbv-specialize.scm 1654 */
									BgL_rtl_insz00_bglt BgL_tmp1980z00_4968;
									BgL_rtl_inszf2bbvzf2_bglt BgL_wide1981z00_4969;

									{
										BgL_rtl_insz00_bglt BgL_auxz00_21687;

										{	/* SawBbv/bbv-specialize.scm 1654 */
											BgL_rtl_insz00_bglt BgL_new1979z00_4971;

											BgL_new1979z00_4971 =
												((BgL_rtl_insz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_rtl_insz00_bgl))));
											{	/* SawBbv/bbv-specialize.scm 1654 */
												long BgL_arg3950z00_4972;

												BgL_arg3950z00_4972 =
													BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1979z00_4971),
													BgL_arg3950z00_4972);
											}
											{	/* SawBbv/bbv-specialize.scm 1654 */
												BgL_objectz00_bglt BgL_tmpz00_21692;

												BgL_tmpz00_21692 =
													((BgL_objectz00_bglt) BgL_new1979z00_4971);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_21692, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1979z00_4971);
											BgL_auxz00_21687 = BgL_new1979z00_4971;
										}
										BgL_tmp1980z00_4968 =
											((BgL_rtl_insz00_bglt) BgL_auxz00_21687);
									}
									BgL_wide1981z00_4969 =
										((BgL_rtl_inszf2bbvzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_rtl_inszf2bbvzf2_bgl))));
									{	/* SawBbv/bbv-specialize.scm 1654 */
										obj_t BgL_auxz00_21700;
										BgL_objectz00_bglt BgL_tmpz00_21698;

										BgL_auxz00_21700 = ((obj_t) BgL_wide1981z00_4969);
										BgL_tmpz00_21698 =
											((BgL_objectz00_bglt) BgL_tmp1980z00_4968);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_21698, BgL_auxz00_21700);
									}
									((BgL_objectz00_bglt) BgL_tmp1980z00_4968);
									{	/* SawBbv/bbv-specialize.scm 1654 */
										long BgL_arg3949z00_4970;

										BgL_arg3949z00_4970 =
											BGL_CLASS_NUM(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_tmp1980z00_4968),
											BgL_arg3949z00_4970);
									}
									BgL_new1971z00_4957 =
										((BgL_rtl_insz00_bglt) BgL_tmp1980z00_4968);
								}
								((((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_new1971z00_4957)))->
										BgL_locz00) =
									((obj_t) (((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_4888))->
											BgL_locz00)), BUNSPEC);
								((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
													BgL_new1971z00_4957)))->BgL_z52spillz52) =
									((obj_t) (((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_4888))->
											BgL_z52spillz52)), BUNSPEC);
								((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
													BgL_new1971z00_4957)))->BgL_destz00) =
									((obj_t) (((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_4888))->
											BgL_destz00)), BUNSPEC);
								{
									BgL_rtl_funz00_bglt BgL_auxz00_21717;

									{	/* SawBbv/bbv-specialize.scm 1655 */
										BgL_rtl_funz00_bglt BgL_duplicated1984z00_4958;
										BgL_rtl_callz00_bglt BgL_new1982z00_4959;

										BgL_duplicated1984z00_4958 =
											(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_4888))->
											BgL_funz00);
										{	/* SawBbv/bbv-specialize.scm 1655 */
											BgL_rtl_callz00_bglt BgL_new1985z00_4960;

											BgL_new1985z00_4960 =
												((BgL_rtl_callz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_rtl_callz00_bgl))));
											{	/* SawBbv/bbv-specialize.scm 1655 */
												long BgL_arg3947z00_4961;

												{	/* SawBbv/bbv-specialize.scm 1655 */
													obj_t BgL_classz00_8926;

													BgL_classz00_8926 = BGl_rtl_callz00zzsaw_defsz00;
													BgL_arg3947z00_4961 =
														BGL_CLASS_NUM(BgL_classz00_8926);
												}
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1985z00_4960),
													BgL_arg3947z00_4961);
											}
											BgL_new1982z00_4959 = BgL_new1985z00_4960;
										}
										((((BgL_rtl_funz00_bglt) COBJECT(
														((BgL_rtl_funz00_bglt) BgL_new1982z00_4959)))->
												BgL_locz00) =
											((obj_t) (((BgL_rtl_funz00_bglt)
														COBJECT(BgL_duplicated1984z00_4958))->BgL_locz00)),
											BUNSPEC);
										((((BgL_rtl_callz00_bglt) COBJECT(BgL_new1982z00_4959))->
												BgL_varz00) =
											((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
													BGl_za2bintzd2ze3longza2z31zzsaw_bbvzd2cachezd2)),
											BUNSPEC);
										BgL_auxz00_21717 =
											((BgL_rtl_funz00_bglt) BgL_new1982z00_4959);
									}
									((((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_new1971z00_4957)))->
											BgL_funz00) =
										((BgL_rtl_funz00_bglt) BgL_auxz00_21717), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_21731;

									{	/* SawBbv/bbv-specialize.scm 1657 */
										obj_t BgL_list3948z00_4962;

										BgL_list3948z00_4962 =
											MAKE_YOUNG_PAIR(BgL_lhsz00_4894, BNIL);
										BgL_auxz00_21731 = BgL_list3948z00_4962;
									}
									((((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_new1971z00_4957)))->
											BgL_argsz00) = ((obj_t) BgL_auxz00_21731), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_21741;
									BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_21735;

									{
										BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_21742;

										{
											obj_t BgL_auxz00_21743;

											{	/* SawBbv/bbv-specialize.scm 1657 */
												BgL_objectz00_bglt BgL_tmpz00_21744;

												BgL_tmpz00_21744 =
													((BgL_objectz00_bglt)
													((BgL_rtl_insz00_bglt) BgL_iz00_4888));
												BgL_auxz00_21743 =
													BGL_OBJECT_WIDENING(BgL_tmpz00_21744);
											}
											BgL_auxz00_21742 =
												((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_21743);
										}
										BgL_auxz00_21741 =
											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_21742))->
											BgL_defz00);
									}
									{
										obj_t BgL_auxz00_21736;

										{	/* SawBbv/bbv-specialize.scm 1657 */
											BgL_objectz00_bglt BgL_tmpz00_21737;

											BgL_tmpz00_21737 =
												((BgL_objectz00_bglt) BgL_new1971z00_4957);
											BgL_auxz00_21736 = BGL_OBJECT_WIDENING(BgL_tmpz00_21737);
										}
										BgL_auxz00_21735 =
											((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_21736);
									}
									((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_21735))->
											BgL_defz00) = ((obj_t) BgL_auxz00_21741), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_21757;
									BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_21751;

									{
										BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_21758;

										{
											obj_t BgL_auxz00_21759;

											{	/* SawBbv/bbv-specialize.scm 1657 */
												BgL_objectz00_bglt BgL_tmpz00_21760;

												BgL_tmpz00_21760 =
													((BgL_objectz00_bglt)
													((BgL_rtl_insz00_bglt) BgL_iz00_4888));
												BgL_auxz00_21759 =
													BGL_OBJECT_WIDENING(BgL_tmpz00_21760);
											}
											BgL_auxz00_21758 =
												((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_21759);
										}
										BgL_auxz00_21757 =
											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_21758))->
											BgL_outz00);
									}
									{
										obj_t BgL_auxz00_21752;

										{	/* SawBbv/bbv-specialize.scm 1657 */
											BgL_objectz00_bglt BgL_tmpz00_21753;

											BgL_tmpz00_21753 =
												((BgL_objectz00_bglt) BgL_new1971z00_4957);
											BgL_auxz00_21752 = BGL_OBJECT_WIDENING(BgL_tmpz00_21753);
										}
										BgL_auxz00_21751 =
											((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_21752);
									}
									((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_21751))->
											BgL_outz00) = ((obj_t) BgL_auxz00_21757), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_21773;
									BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_21767;

									{
										BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_21774;

										{
											obj_t BgL_auxz00_21775;

											{	/* SawBbv/bbv-specialize.scm 1657 */
												BgL_objectz00_bglt BgL_tmpz00_21776;

												BgL_tmpz00_21776 =
													((BgL_objectz00_bglt)
													((BgL_rtl_insz00_bglt) BgL_iz00_4888));
												BgL_auxz00_21775 =
													BGL_OBJECT_WIDENING(BgL_tmpz00_21776);
											}
											BgL_auxz00_21774 =
												((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_21775);
										}
										BgL_auxz00_21773 =
											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_21774))->
											BgL_inz00);
									}
									{
										obj_t BgL_auxz00_21768;

										{	/* SawBbv/bbv-specialize.scm 1657 */
											BgL_objectz00_bglt BgL_tmpz00_21769;

											BgL_tmpz00_21769 =
												((BgL_objectz00_bglt) BgL_new1971z00_4957);
											BgL_auxz00_21768 = BGL_OBJECT_WIDENING(BgL_tmpz00_21769);
										}
										BgL_auxz00_21767 =
											((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_21768);
									}
									((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_21767))->
											BgL_inz00) = ((obj_t) BgL_auxz00_21773), BUNSPEC);
								}
								{
									BgL_bbvzd2ctxzd2_bglt BgL_auxz00_21789;
									BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_21783;

									{
										BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_21790;

										{
											obj_t BgL_auxz00_21791;

											{	/* SawBbv/bbv-specialize.scm 1657 */
												BgL_objectz00_bglt BgL_tmpz00_21792;

												BgL_tmpz00_21792 =
													((BgL_objectz00_bglt)
													((BgL_rtl_insz00_bglt) BgL_iz00_4888));
												BgL_auxz00_21791 =
													BGL_OBJECT_WIDENING(BgL_tmpz00_21792);
											}
											BgL_auxz00_21790 =
												((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_21791);
										}
										BgL_auxz00_21789 =
											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_21790))->
											BgL_ctxz00);
									}
									{
										obj_t BgL_auxz00_21784;

										{	/* SawBbv/bbv-specialize.scm 1657 */
											BgL_objectz00_bglt BgL_tmpz00_21785;

											BgL_tmpz00_21785 =
												((BgL_objectz00_bglt) BgL_new1971z00_4957);
											BgL_auxz00_21784 = BGL_OBJECT_WIDENING(BgL_tmpz00_21785);
										}
										BgL_auxz00_21783 =
											((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_21784);
									}
									((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_21783))->
											BgL_ctxz00) =
										((BgL_bbvzd2ctxzd2_bglt) BgL_auxz00_21789), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_21805;
									BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_21799;

									{
										BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_21806;

										{
											obj_t BgL_auxz00_21807;

											{	/* SawBbv/bbv-specialize.scm 1657 */
												BgL_objectz00_bglt BgL_tmpz00_21808;

												BgL_tmpz00_21808 =
													((BgL_objectz00_bglt)
													((BgL_rtl_insz00_bglt) BgL_iz00_4888));
												BgL_auxz00_21807 =
													BGL_OBJECT_WIDENING(BgL_tmpz00_21808);
											}
											BgL_auxz00_21806 =
												((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_21807);
										}
										BgL_auxz00_21805 =
											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_21806))->
											BgL_z52hashz52);
									}
									{
										obj_t BgL_auxz00_21800;

										{	/* SawBbv/bbv-specialize.scm 1657 */
											BgL_objectz00_bglt BgL_tmpz00_21801;

											BgL_tmpz00_21801 =
												((BgL_objectz00_bglt) BgL_new1971z00_4957);
											BgL_auxz00_21800 = BGL_OBJECT_WIDENING(BgL_tmpz00_21801);
										}
										BgL_auxz00_21799 =
											((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_21800);
									}
									((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_21799))->
											BgL_z52hashz52) = ((obj_t) BgL_auxz00_21805), BUNSPEC);
								}
								BgL_castlhsz00_4896 = BgL_new1971z00_4957;
							}
							{	/* SawBbv/bbv-specialize.scm 1654 */
								BgL_rtl_insz00_bglt BgL_castrhsz00_4897;

								{	/* SawBbv/bbv-specialize.scm 1658 */
									BgL_rtl_insz00_bglt BgL_new1986z00_4940;

									{	/* SawBbv/bbv-specialize.scm 1658 */
										BgL_rtl_insz00_bglt BgL_tmp1995z00_4951;
										BgL_rtl_inszf2bbvzf2_bglt BgL_wide1996z00_4952;

										{
											BgL_rtl_insz00_bglt BgL_auxz00_21815;

											{	/* SawBbv/bbv-specialize.scm 1658 */
												BgL_rtl_insz00_bglt BgL_new1994z00_4954;

												BgL_new1994z00_4954 =
													((BgL_rtl_insz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_rtl_insz00_bgl))));
												{	/* SawBbv/bbv-specialize.scm 1658 */
													long BgL_arg3946z00_4955;

													BgL_arg3946z00_4955 =
														BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1994z00_4954),
														BgL_arg3946z00_4955);
												}
												{	/* SawBbv/bbv-specialize.scm 1658 */
													BgL_objectz00_bglt BgL_tmpz00_21820;

													BgL_tmpz00_21820 =
														((BgL_objectz00_bglt) BgL_new1994z00_4954);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_21820, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_new1994z00_4954);
												BgL_auxz00_21815 = BgL_new1994z00_4954;
											}
											BgL_tmp1995z00_4951 =
												((BgL_rtl_insz00_bglt) BgL_auxz00_21815);
										}
										BgL_wide1996z00_4952 =
											((BgL_rtl_inszf2bbvzf2_bglt)
											BOBJECT(GC_MALLOC(sizeof(struct
														BgL_rtl_inszf2bbvzf2_bgl))));
										{	/* SawBbv/bbv-specialize.scm 1658 */
											obj_t BgL_auxz00_21828;
											BgL_objectz00_bglt BgL_tmpz00_21826;

											BgL_auxz00_21828 = ((obj_t) BgL_wide1996z00_4952);
											BgL_tmpz00_21826 =
												((BgL_objectz00_bglt) BgL_tmp1995z00_4951);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_21826,
												BgL_auxz00_21828);
										}
										((BgL_objectz00_bglt) BgL_tmp1995z00_4951);
										{	/* SawBbv/bbv-specialize.scm 1658 */
											long BgL_arg3945z00_4953;

											BgL_arg3945z00_4953 =
												BGL_CLASS_NUM(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_tmp1995z00_4951),
												BgL_arg3945z00_4953);
										}
										BgL_new1986z00_4940 =
											((BgL_rtl_insz00_bglt) BgL_tmp1995z00_4951);
									}
									((((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_new1986z00_4940)))->
											BgL_locz00) =
										((obj_t) (((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_4888))->
												BgL_locz00)), BUNSPEC);
									((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
														BgL_new1986z00_4940)))->BgL_z52spillz52) =
										((obj_t) (((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_4888))->
												BgL_z52spillz52)), BUNSPEC);
									((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
														BgL_new1986z00_4940)))->BgL_destz00) =
										((obj_t) (((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_4888))->
												BgL_destz00)), BUNSPEC);
									{
										BgL_rtl_funz00_bglt BgL_auxz00_21845;

										{	/* SawBbv/bbv-specialize.scm 1659 */
											BgL_rtl_funz00_bglt BgL_duplicated1999z00_4941;
											BgL_rtl_callz00_bglt BgL_new1997z00_4942;

											BgL_duplicated1999z00_4941 =
												(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_4888))->
												BgL_funz00);
											{	/* SawBbv/bbv-specialize.scm 1659 */
												BgL_rtl_callz00_bglt BgL_new2000z00_4943;

												BgL_new2000z00_4943 =
													((BgL_rtl_callz00_bglt)
													BOBJECT(GC_MALLOC(sizeof(struct
																BgL_rtl_callz00_bgl))));
												{	/* SawBbv/bbv-specialize.scm 1659 */
													long BgL_arg3943z00_4944;

													{	/* SawBbv/bbv-specialize.scm 1659 */
														obj_t BgL_classz00_8948;

														BgL_classz00_8948 = BGl_rtl_callz00zzsaw_defsz00;
														BgL_arg3943z00_4944 =
															BGL_CLASS_NUM(BgL_classz00_8948);
													}
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new2000z00_4943),
														BgL_arg3943z00_4944);
												}
												BgL_new1997z00_4942 = BgL_new2000z00_4943;
											}
											((((BgL_rtl_funz00_bglt) COBJECT(
															((BgL_rtl_funz00_bglt) BgL_new1997z00_4942)))->
													BgL_locz00) =
												((obj_t) (((BgL_rtl_funz00_bglt)
															COBJECT(BgL_duplicated1999z00_4941))->
														BgL_locz00)), BUNSPEC);
											((((BgL_rtl_callz00_bglt) COBJECT(BgL_new1997z00_4942))->
													BgL_varz00) =
												((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
														BGl_za2bintzd2ze3longza2z31zzsaw_bbvzd2cachezd2)),
												BUNSPEC);
											BgL_auxz00_21845 =
												((BgL_rtl_funz00_bglt) BgL_new1997z00_4942);
										}
										((((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_new1986z00_4940)))->
												BgL_funz00) =
											((BgL_rtl_funz00_bglt) BgL_auxz00_21845), BUNSPEC);
									}
									{
										obj_t BgL_auxz00_21859;

										{	/* SawBbv/bbv-specialize.scm 1661 */
											obj_t BgL_list3944z00_4945;

											BgL_list3944z00_4945 =
												MAKE_YOUNG_PAIR(BgL_rhsz00_4895, BNIL);
											BgL_auxz00_21859 = BgL_list3944z00_4945;
										}
										((((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_new1986z00_4940)))->
												BgL_argsz00) = ((obj_t) BgL_auxz00_21859), BUNSPEC);
									}
									{
										obj_t BgL_auxz00_21869;
										BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_21863;

										{
											BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_21870;

											{
												obj_t BgL_auxz00_21871;

												{	/* SawBbv/bbv-specialize.scm 1661 */
													BgL_objectz00_bglt BgL_tmpz00_21872;

													BgL_tmpz00_21872 =
														((BgL_objectz00_bglt)
														((BgL_rtl_insz00_bglt) BgL_iz00_4888));
													BgL_auxz00_21871 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_21872);
												}
												BgL_auxz00_21870 =
													((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_21871);
											}
											BgL_auxz00_21869 =
												(((BgL_rtl_inszf2bbvzf2_bglt)
													COBJECT(BgL_auxz00_21870))->BgL_defz00);
										}
										{
											obj_t BgL_auxz00_21864;

											{	/* SawBbv/bbv-specialize.scm 1661 */
												BgL_objectz00_bglt BgL_tmpz00_21865;

												BgL_tmpz00_21865 =
													((BgL_objectz00_bglt) BgL_new1986z00_4940);
												BgL_auxz00_21864 =
													BGL_OBJECT_WIDENING(BgL_tmpz00_21865);
											}
											BgL_auxz00_21863 =
												((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_21864);
										}
										((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_21863))->
												BgL_defz00) = ((obj_t) BgL_auxz00_21869), BUNSPEC);
									}
									{
										obj_t BgL_auxz00_21885;
										BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_21879;

										{
											BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_21886;

											{
												obj_t BgL_auxz00_21887;

												{	/* SawBbv/bbv-specialize.scm 1661 */
													BgL_objectz00_bglt BgL_tmpz00_21888;

													BgL_tmpz00_21888 =
														((BgL_objectz00_bglt)
														((BgL_rtl_insz00_bglt) BgL_iz00_4888));
													BgL_auxz00_21887 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_21888);
												}
												BgL_auxz00_21886 =
													((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_21887);
											}
											BgL_auxz00_21885 =
												(((BgL_rtl_inszf2bbvzf2_bglt)
													COBJECT(BgL_auxz00_21886))->BgL_outz00);
										}
										{
											obj_t BgL_auxz00_21880;

											{	/* SawBbv/bbv-specialize.scm 1661 */
												BgL_objectz00_bglt BgL_tmpz00_21881;

												BgL_tmpz00_21881 =
													((BgL_objectz00_bglt) BgL_new1986z00_4940);
												BgL_auxz00_21880 =
													BGL_OBJECT_WIDENING(BgL_tmpz00_21881);
											}
											BgL_auxz00_21879 =
												((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_21880);
										}
										((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_21879))->
												BgL_outz00) = ((obj_t) BgL_auxz00_21885), BUNSPEC);
									}
									{
										obj_t BgL_auxz00_21901;
										BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_21895;

										{
											BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_21902;

											{
												obj_t BgL_auxz00_21903;

												{	/* SawBbv/bbv-specialize.scm 1661 */
													BgL_objectz00_bglt BgL_tmpz00_21904;

													BgL_tmpz00_21904 =
														((BgL_objectz00_bglt)
														((BgL_rtl_insz00_bglt) BgL_iz00_4888));
													BgL_auxz00_21903 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_21904);
												}
												BgL_auxz00_21902 =
													((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_21903);
											}
											BgL_auxz00_21901 =
												(((BgL_rtl_inszf2bbvzf2_bglt)
													COBJECT(BgL_auxz00_21902))->BgL_inz00);
										}
										{
											obj_t BgL_auxz00_21896;

											{	/* SawBbv/bbv-specialize.scm 1661 */
												BgL_objectz00_bglt BgL_tmpz00_21897;

												BgL_tmpz00_21897 =
													((BgL_objectz00_bglt) BgL_new1986z00_4940);
												BgL_auxz00_21896 =
													BGL_OBJECT_WIDENING(BgL_tmpz00_21897);
											}
											BgL_auxz00_21895 =
												((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_21896);
										}
										((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_21895))->
												BgL_inz00) = ((obj_t) BgL_auxz00_21901), BUNSPEC);
									}
									{
										BgL_bbvzd2ctxzd2_bglt BgL_auxz00_21917;
										BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_21911;

										{
											BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_21918;

											{
												obj_t BgL_auxz00_21919;

												{	/* SawBbv/bbv-specialize.scm 1661 */
													BgL_objectz00_bglt BgL_tmpz00_21920;

													BgL_tmpz00_21920 =
														((BgL_objectz00_bglt)
														((BgL_rtl_insz00_bglt) BgL_iz00_4888));
													BgL_auxz00_21919 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_21920);
												}
												BgL_auxz00_21918 =
													((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_21919);
											}
											BgL_auxz00_21917 =
												(((BgL_rtl_inszf2bbvzf2_bglt)
													COBJECT(BgL_auxz00_21918))->BgL_ctxz00);
										}
										{
											obj_t BgL_auxz00_21912;

											{	/* SawBbv/bbv-specialize.scm 1661 */
												BgL_objectz00_bglt BgL_tmpz00_21913;

												BgL_tmpz00_21913 =
													((BgL_objectz00_bglt) BgL_new1986z00_4940);
												BgL_auxz00_21912 =
													BGL_OBJECT_WIDENING(BgL_tmpz00_21913);
											}
											BgL_auxz00_21911 =
												((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_21912);
										}
										((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_21911))->
												BgL_ctxz00) =
											((BgL_bbvzd2ctxzd2_bglt) BgL_auxz00_21917), BUNSPEC);
									}
									{
										obj_t BgL_auxz00_21933;
										BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_21927;

										{
											BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_21934;

											{
												obj_t BgL_auxz00_21935;

												{	/* SawBbv/bbv-specialize.scm 1661 */
													BgL_objectz00_bglt BgL_tmpz00_21936;

													BgL_tmpz00_21936 =
														((BgL_objectz00_bglt)
														((BgL_rtl_insz00_bglt) BgL_iz00_4888));
													BgL_auxz00_21935 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_21936);
												}
												BgL_auxz00_21934 =
													((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_21935);
											}
											BgL_auxz00_21933 =
												(((BgL_rtl_inszf2bbvzf2_bglt)
													COBJECT(BgL_auxz00_21934))->BgL_z52hashz52);
										}
										{
											obj_t BgL_auxz00_21928;

											{	/* SawBbv/bbv-specialize.scm 1661 */
												BgL_objectz00_bglt BgL_tmpz00_21929;

												BgL_tmpz00_21929 =
													((BgL_objectz00_bglt) BgL_new1986z00_4940);
												BgL_auxz00_21928 =
													BGL_OBJECT_WIDENING(BgL_tmpz00_21929);
											}
											BgL_auxz00_21927 =
												((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_21928);
										}
										((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_21927))->
												BgL_z52hashz52) = ((obj_t) BgL_auxz00_21933), BUNSPEC);
									}
									BgL_castrhsz00_4897 = BgL_new1986z00_4940;
								}
								{	/* SawBbv/bbv-specialize.scm 1658 */
									BgL_rtl_callz00_bglt BgL_subcallz00_4898;

									{	/* SawBbv/bbv-specialize.scm 1662 */
										BgL_rtl_funz00_bglt BgL_duplicated2003z00_4932;
										BgL_rtl_callz00_bglt BgL_new2001z00_4933;

										BgL_duplicated2003z00_4932 =
											(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_4888))->
											BgL_funz00);
										{	/* SawBbv/bbv-specialize.scm 1662 */
											BgL_rtl_callz00_bglt BgL_new2004z00_4937;

											BgL_new2004z00_4937 =
												((BgL_rtl_callz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_rtl_callz00_bgl))));
											{	/* SawBbv/bbv-specialize.scm 1662 */
												long BgL_arg3942z00_4938;

												BgL_arg3942z00_4938 =
													BGL_CLASS_NUM(BGl_rtl_callz00zzsaw_defsz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new2004z00_4937),
													BgL_arg3942z00_4938);
											}
											BgL_new2001z00_4933 = BgL_new2004z00_4937;
										}
										((((BgL_rtl_funz00_bglt) COBJECT(
														((BgL_rtl_funz00_bglt) BgL_new2001z00_4933)))->
												BgL_locz00) =
											((obj_t) (((BgL_rtl_funz00_bglt)
														COBJECT(BgL_duplicated2003z00_4932))->BgL_locz00)),
											BUNSPEC);
										{
											BgL_globalz00_bglt BgL_auxz00_21951;

											{	/* SawBbv/bbv-specialize.scm 1663 */
												bool_t BgL_test4918z00_21952;

												{	/* SawBbv/bbv-specialize.scm 1663 */
													obj_t BgL_arg3941z00_4936;

													BgL_arg3941z00_4936 =
														((obj_t)
														(((BgL_rtl_callz00_bglt)
																COBJECT(BgL_i1970z00_4893))->BgL_varz00));
													BgL_test4918z00_21952 =
														(BgL_arg3941z00_4936 ==
														BGl_za22zd2za2zd2zzsaw_bbvzd2cachezd2);
												}
												if (BgL_test4918z00_21952)
													{	/* SawBbv/bbv-specialize.scm 1663 */
														BgL_auxz00_21951 =
															((BgL_globalz00_bglt)
															BGl_za2zd2fxza2zd2zzsaw_bbvzd2cachezd2);
													}
												else
													{	/* SawBbv/bbv-specialize.scm 1663 */
														BgL_auxz00_21951 =
															((BgL_globalz00_bglt)
															BGl_za2zb2fxza2zb2zzsaw_bbvzd2cachezd2);
													}
											}
											((((BgL_rtl_callz00_bglt) COBJECT(BgL_new2001z00_4933))->
													BgL_varz00) =
												((BgL_globalz00_bglt) BgL_auxz00_21951), BUNSPEC);
										}
										BgL_subcallz00_4898 = BgL_new2001z00_4933;
									}
									{	/* SawBbv/bbv-specialize.scm 1662 */
										BgL_rtl_callz00_bglt BgL_castresz00_4899;

										{	/* SawBbv/bbv-specialize.scm 1664 */
											BgL_rtl_funz00_bglt BgL_duplicated2007z00_4928;
											BgL_rtl_callz00_bglt BgL_new2005z00_4929;

											BgL_duplicated2007z00_4928 =
												(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_4888))->
												BgL_funz00);
											{	/* SawBbv/bbv-specialize.scm 1664 */
												BgL_rtl_callz00_bglt BgL_new2008z00_4930;

												BgL_new2008z00_4930 =
													((BgL_rtl_callz00_bglt)
													BOBJECT(GC_MALLOC(sizeof(struct
																BgL_rtl_callz00_bgl))));
												{	/* SawBbv/bbv-specialize.scm 1664 */
													long BgL_arg3938z00_4931;

													BgL_arg3938z00_4931 =
														BGL_CLASS_NUM(BGl_rtl_callz00zzsaw_defsz00);
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new2008z00_4930),
														BgL_arg3938z00_4931);
												}
												BgL_new2005z00_4929 = BgL_new2008z00_4930;
											}
											((((BgL_rtl_funz00_bglt) COBJECT(
															((BgL_rtl_funz00_bglt) BgL_new2005z00_4929)))->
													BgL_locz00) =
												((obj_t) (((BgL_rtl_funz00_bglt)
															COBJECT(BgL_duplicated2007z00_4928))->
														BgL_locz00)), BUNSPEC);
											((((BgL_rtl_callz00_bglt) COBJECT(BgL_new2005z00_4929))->
													BgL_varz00) =
												((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
														BGl_za2longzd2ze3bintza2z31zzsaw_bbvzd2cachezd2)),
												BUNSPEC);
											BgL_castresz00_4899 = BgL_new2005z00_4929;
										}
										{	/* SawBbv/bbv-specialize.scm 1664 */

											{	/* SawBbv/bbv-specialize.scm 1666 */
												BgL_rtl_insz00_bglt BgL_val0_2459z00_4900;

												{	/* SawBbv/bbv-specialize.scm 1666 */
													BgL_rtl_insz00_bglt BgL_new2009z00_4903;

													{	/* SawBbv/bbv-specialize.scm 1672 */
														BgL_rtl_insz00_bglt BgL_tmp2017z00_4923;
														BgL_rtl_inszf2bbvzf2_bglt BgL_wide2018z00_4924;

														{
															BgL_rtl_insz00_bglt BgL_auxz00_21969;

															{	/* SawBbv/bbv-specialize.scm 1672 */
																BgL_rtl_insz00_bglt BgL_new2016z00_4926;

																BgL_new2016z00_4926 =
																	((BgL_rtl_insz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_rtl_insz00_bgl))));
																{	/* SawBbv/bbv-specialize.scm 1672 */
																	long BgL_arg3937z00_4927;

																	BgL_arg3937z00_4927 =
																		BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new2016z00_4926),
																		BgL_arg3937z00_4927);
																}
																{	/* SawBbv/bbv-specialize.scm 1672 */
																	BgL_objectz00_bglt BgL_tmpz00_21974;

																	BgL_tmpz00_21974 =
																		((BgL_objectz00_bglt) BgL_new2016z00_4926);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_21974,
																		BFALSE);
																}
																((BgL_objectz00_bglt) BgL_new2016z00_4926);
																BgL_auxz00_21969 = BgL_new2016z00_4926;
															}
															BgL_tmp2017z00_4923 =
																((BgL_rtl_insz00_bglt) BgL_auxz00_21969);
														}
														BgL_wide2018z00_4924 =
															((BgL_rtl_inszf2bbvzf2_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_rtl_inszf2bbvzf2_bgl))));
														{	/* SawBbv/bbv-specialize.scm 1672 */
															obj_t BgL_auxz00_21982;
															BgL_objectz00_bglt BgL_tmpz00_21980;

															BgL_auxz00_21982 = ((obj_t) BgL_wide2018z00_4924);
															BgL_tmpz00_21980 =
																((BgL_objectz00_bglt) BgL_tmp2017z00_4923);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_21980,
																BgL_auxz00_21982);
														}
														((BgL_objectz00_bglt) BgL_tmp2017z00_4923);
														{	/* SawBbv/bbv-specialize.scm 1672 */
															long BgL_arg3936z00_4925;

															BgL_arg3936z00_4925 =
																BGL_CLASS_NUM
																(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
															BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																	BgL_tmp2017z00_4923), BgL_arg3936z00_4925);
														}
														BgL_new2009z00_4903 =
															((BgL_rtl_insz00_bglt) BgL_tmp2017z00_4923);
													}
													((((BgL_rtl_insz00_bglt) COBJECT(
																	((BgL_rtl_insz00_bglt)
																		BgL_new2009z00_4903)))->BgL_locz00) =
														((obj_t) (((BgL_rtl_insz00_bglt)
																	COBJECT(BgL_iz00_4888))->BgL_locz00)),
														BUNSPEC);
													((((BgL_rtl_insz00_bglt)
																COBJECT(((BgL_rtl_insz00_bglt)
																		BgL_new2009z00_4903)))->BgL_z52spillz52) =
														((obj_t) (((BgL_rtl_insz00_bglt)
																	COBJECT(BgL_iz00_4888))->BgL_z52spillz52)),
														BUNSPEC);
													((((BgL_rtl_insz00_bglt)
																COBJECT(((BgL_rtl_insz00_bglt)
																		BgL_new2009z00_4903)))->BgL_destz00) =
														((obj_t) (((BgL_rtl_insz00_bglt)
																	COBJECT(BgL_iz00_4888))->BgL_destz00)),
														BUNSPEC);
													((((BgL_rtl_insz00_bglt)
																COBJECT(((BgL_rtl_insz00_bglt)
																		BgL_new2009z00_4903)))->BgL_funz00) =
														((BgL_rtl_funz00_bglt) ((BgL_rtl_funz00_bglt)
																BgL_castresz00_4899)), BUNSPEC);
													{
														obj_t BgL_auxz00_22002;

														{	/* SawBbv/bbv-specialize.scm 1668 */
															BgL_rtl_insz00_bglt BgL_arg3930z00_4904;

															{	/* SawBbv/bbv-specialize.scm 1668 */
																BgL_rtl_insz00_bglt BgL_new2019z00_4907;

																{	/* SawBbv/bbv-specialize.scm 1671 */
																	BgL_rtl_insz00_bglt BgL_tmp2027z00_4914;
																	BgL_rtl_inszf2bbvzf2_bglt
																		BgL_wide2028z00_4915;
																	{
																		BgL_rtl_insz00_bglt BgL_auxz00_22004;

																		{	/* SawBbv/bbv-specialize.scm 1671 */
																			BgL_rtl_insz00_bglt BgL_new2026z00_4917;

																			BgL_new2026z00_4917 =
																				((BgL_rtl_insz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_rtl_insz00_bgl))));
																			{	/* SawBbv/bbv-specialize.scm 1671 */
																				long BgL_arg3935z00_4918;

																				{	/* SawBbv/bbv-specialize.scm 1671 */
																					obj_t BgL_classz00_8976;

																					BgL_classz00_8976 =
																						BGl_rtl_insz00zzsaw_defsz00;
																					BgL_arg3935z00_4918 =
																						BGL_CLASS_NUM(BgL_classz00_8976);
																				}
																				BGL_OBJECT_CLASS_NUM_SET(
																					((BgL_objectz00_bglt)
																						BgL_new2026z00_4917),
																					BgL_arg3935z00_4918);
																			}
																			{	/* SawBbv/bbv-specialize.scm 1671 */
																				BgL_objectz00_bglt BgL_tmpz00_22009;

																				BgL_tmpz00_22009 =
																					((BgL_objectz00_bglt)
																					BgL_new2026z00_4917);
																				BGL_OBJECT_WIDENING_SET
																					(BgL_tmpz00_22009, BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new2026z00_4917);
																			BgL_auxz00_22004 = BgL_new2026z00_4917;
																		}
																		BgL_tmp2027z00_4914 =
																			((BgL_rtl_insz00_bglt) BgL_auxz00_22004);
																	}
																	BgL_wide2028z00_4915 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_rtl_inszf2bbvzf2_bgl))));
																	{	/* SawBbv/bbv-specialize.scm 1671 */
																		obj_t BgL_auxz00_22017;
																		BgL_objectz00_bglt BgL_tmpz00_22015;

																		BgL_auxz00_22017 =
																			((obj_t) BgL_wide2028z00_4915);
																		BgL_tmpz00_22015 =
																			((BgL_objectz00_bglt)
																			BgL_tmp2027z00_4914);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_22015,
																			BgL_auxz00_22017);
																	}
																	((BgL_objectz00_bglt) BgL_tmp2027z00_4914);
																	{	/* SawBbv/bbv-specialize.scm 1671 */
																		long BgL_arg3934z00_4916;

																		{	/* SawBbv/bbv-specialize.scm 1671 */
																			obj_t BgL_classz00_8981;

																			BgL_classz00_8981 =
																				BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2;
																			BgL_arg3934z00_4916 =
																				BGL_CLASS_NUM(BgL_classz00_8981);
																		}
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_tmp2027z00_4914),
																			BgL_arg3934z00_4916);
																	}
																	BgL_new2019z00_4907 =
																		((BgL_rtl_insz00_bglt) BgL_tmp2027z00_4914);
																}
																((((BgL_rtl_insz00_bglt) COBJECT(
																				((BgL_rtl_insz00_bglt)
																					BgL_new2019z00_4907)))->BgL_locz00) =
																	((obj_t) (((BgL_rtl_insz00_bglt)
																				COBJECT(BgL_iz00_4888))->BgL_locz00)),
																	BUNSPEC);
																((((BgL_rtl_insz00_bglt)
																			COBJECT(((BgL_rtl_insz00_bglt)
																					BgL_new2019z00_4907)))->
																		BgL_z52spillz52) =
																	((obj_t) (((BgL_rtl_insz00_bglt)
																				COBJECT(BgL_iz00_4888))->
																			BgL_z52spillz52)), BUNSPEC);
																((((BgL_rtl_insz00_bglt)
																			COBJECT(((BgL_rtl_insz00_bglt)
																					BgL_new2019z00_4907)))->BgL_destz00) =
																	((obj_t) (((BgL_rtl_insz00_bglt)
																				COBJECT(BgL_iz00_4888))->BgL_destz00)),
																	BUNSPEC);
																((((BgL_rtl_insz00_bglt)
																			COBJECT(((BgL_rtl_insz00_bglt)
																					BgL_new2019z00_4907)))->BgL_funz00) =
																	((BgL_rtl_funz00_bglt) ((BgL_rtl_funz00_bglt)
																			BgL_subcallz00_4898)), BUNSPEC);
																{
																	obj_t BgL_auxz00_22037;

																	{	/* SawBbv/bbv-specialize.scm 1670 */
																		obj_t BgL_list3932z00_4908;

																		{	/* SawBbv/bbv-specialize.scm 1670 */
																			obj_t BgL_arg3933z00_4909;

																			BgL_arg3933z00_4909 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_castrhsz00_4897), BNIL);
																			BgL_list3932z00_4908 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_castlhsz00_4896),
																				BgL_arg3933z00_4909);
																		}
																		BgL_auxz00_22037 = BgL_list3932z00_4908;
																	}
																	((((BgL_rtl_insz00_bglt) COBJECT(
																					((BgL_rtl_insz00_bglt)
																						BgL_new2019z00_4907)))->
																			BgL_argsz00) =
																		((obj_t) BgL_auxz00_22037), BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_22050;
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_22044;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_22051;

																		{
																			obj_t BgL_auxz00_22052;

																			{	/* SawBbv/bbv-specialize.scm 1671 */
																				BgL_objectz00_bglt BgL_tmpz00_22053;

																				BgL_tmpz00_22053 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt)
																						BgL_iz00_4888));
																				BgL_auxz00_22052 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_22053);
																			}
																			BgL_auxz00_22051 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_22052);
																		}
																		BgL_auxz00_22050 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_22051))->BgL_defz00);
																	}
																	{
																		obj_t BgL_auxz00_22045;

																		{	/* SawBbv/bbv-specialize.scm 1671 */
																			BgL_objectz00_bglt BgL_tmpz00_22046;

																			BgL_tmpz00_22046 =
																				((BgL_objectz00_bglt)
																				BgL_new2019z00_4907);
																			BgL_auxz00_22045 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_22046);
																		}
																		BgL_auxz00_22044 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_22045);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_22044))->
																			BgL_defz00) =
																		((obj_t) BgL_auxz00_22050), BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_22066;
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_22060;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_22067;

																		{
																			obj_t BgL_auxz00_22068;

																			{	/* SawBbv/bbv-specialize.scm 1671 */
																				BgL_objectz00_bglt BgL_tmpz00_22069;

																				BgL_tmpz00_22069 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt)
																						BgL_iz00_4888));
																				BgL_auxz00_22068 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_22069);
																			}
																			BgL_auxz00_22067 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_22068);
																		}
																		BgL_auxz00_22066 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_22067))->BgL_outz00);
																	}
																	{
																		obj_t BgL_auxz00_22061;

																		{	/* SawBbv/bbv-specialize.scm 1671 */
																			BgL_objectz00_bglt BgL_tmpz00_22062;

																			BgL_tmpz00_22062 =
																				((BgL_objectz00_bglt)
																				BgL_new2019z00_4907);
																			BgL_auxz00_22061 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_22062);
																		}
																		BgL_auxz00_22060 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_22061);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_22060))->
																			BgL_outz00) =
																		((obj_t) BgL_auxz00_22066), BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_22082;
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_22076;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_22083;

																		{
																			obj_t BgL_auxz00_22084;

																			{	/* SawBbv/bbv-specialize.scm 1671 */
																				BgL_objectz00_bglt BgL_tmpz00_22085;

																				BgL_tmpz00_22085 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt)
																						BgL_iz00_4888));
																				BgL_auxz00_22084 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_22085);
																			}
																			BgL_auxz00_22083 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_22084);
																		}
																		BgL_auxz00_22082 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_22083))->BgL_inz00);
																	}
																	{
																		obj_t BgL_auxz00_22077;

																		{	/* SawBbv/bbv-specialize.scm 1671 */
																			BgL_objectz00_bglt BgL_tmpz00_22078;

																			BgL_tmpz00_22078 =
																				((BgL_objectz00_bglt)
																				BgL_new2019z00_4907);
																			BgL_auxz00_22077 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_22078);
																		}
																		BgL_auxz00_22076 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_22077);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_22076))->BgL_inz00) =
																		((obj_t) BgL_auxz00_22082), BUNSPEC);
																}
																{
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_22092;

																	{
																		obj_t BgL_auxz00_22093;

																		{	/* SawBbv/bbv-specialize.scm 1671 */
																			BgL_objectz00_bglt BgL_tmpz00_22094;

																			BgL_tmpz00_22094 =
																				((BgL_objectz00_bglt)
																				BgL_new2019z00_4907);
																			BgL_auxz00_22093 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_22094);
																		}
																		BgL_auxz00_22092 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_22093);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_22092))->
																			BgL_ctxz00) =
																		((BgL_bbvzd2ctxzd2_bglt) (
																				(BgL_bbvzd2ctxzd2_bglt)
																				BgL_ctxz00_4889)), BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_22106;
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_22100;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_22107;

																		{
																			obj_t BgL_auxz00_22108;

																			{	/* SawBbv/bbv-specialize.scm 1671 */
																				BgL_objectz00_bglt BgL_tmpz00_22109;

																				BgL_tmpz00_22109 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt)
																						BgL_iz00_4888));
																				BgL_auxz00_22108 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_22109);
																			}
																			BgL_auxz00_22107 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_22108);
																		}
																		BgL_auxz00_22106 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_22107))->
																			BgL_z52hashz52);
																	}
																	{
																		obj_t BgL_auxz00_22101;

																		{	/* SawBbv/bbv-specialize.scm 1671 */
																			BgL_objectz00_bglt BgL_tmpz00_22102;

																			BgL_tmpz00_22102 =
																				((BgL_objectz00_bglt)
																				BgL_new2019z00_4907);
																			BgL_auxz00_22101 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_22102);
																		}
																		BgL_auxz00_22100 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_22101);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_22100))->
																			BgL_z52hashz52) =
																		((obj_t) BgL_auxz00_22106), BUNSPEC);
																}
																BgL_arg3930z00_4904 = BgL_new2019z00_4907;
															}
															{	/* SawBbv/bbv-specialize.scm 1668 */
																obj_t BgL_list3931z00_4905;

																BgL_list3931z00_4905 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) BgL_arg3930z00_4904), BNIL);
																BgL_auxz00_22002 = BgL_list3931z00_4905;
														}}
														((((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt)
																			BgL_new2009z00_4903)))->BgL_argsz00) =
															((obj_t) BgL_auxz00_22002), BUNSPEC);
													}
													{
														obj_t BgL_auxz00_22125;
														BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_22119;

														{
															BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_22126;

															{
																obj_t BgL_auxz00_22127;

																{	/* SawBbv/bbv-specialize.scm 1672 */
																	BgL_objectz00_bglt BgL_tmpz00_22128;

																	BgL_tmpz00_22128 =
																		((BgL_objectz00_bglt)
																		((BgL_rtl_insz00_bglt) BgL_iz00_4888));
																	BgL_auxz00_22127 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_22128);
																}
																BgL_auxz00_22126 =
																	((BgL_rtl_inszf2bbvzf2_bglt)
																	BgL_auxz00_22127);
															}
															BgL_auxz00_22125 =
																(((BgL_rtl_inszf2bbvzf2_bglt)
																	COBJECT(BgL_auxz00_22126))->BgL_defz00);
														}
														{
															obj_t BgL_auxz00_22120;

															{	/* SawBbv/bbv-specialize.scm 1672 */
																BgL_objectz00_bglt BgL_tmpz00_22121;

																BgL_tmpz00_22121 =
																	((BgL_objectz00_bglt) BgL_new2009z00_4903);
																BgL_auxz00_22120 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_22121);
															}
															BgL_auxz00_22119 =
																((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_22120);
														}
														((((BgL_rtl_inszf2bbvzf2_bglt)
																	COBJECT(BgL_auxz00_22119))->BgL_defz00) =
															((obj_t) BgL_auxz00_22125), BUNSPEC);
													}
													{
														obj_t BgL_auxz00_22141;
														BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_22135;

														{
															BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_22142;

															{
																obj_t BgL_auxz00_22143;

																{	/* SawBbv/bbv-specialize.scm 1672 */
																	BgL_objectz00_bglt BgL_tmpz00_22144;

																	BgL_tmpz00_22144 =
																		((BgL_objectz00_bglt)
																		((BgL_rtl_insz00_bglt) BgL_iz00_4888));
																	BgL_auxz00_22143 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_22144);
																}
																BgL_auxz00_22142 =
																	((BgL_rtl_inszf2bbvzf2_bglt)
																	BgL_auxz00_22143);
															}
															BgL_auxz00_22141 =
																(((BgL_rtl_inszf2bbvzf2_bglt)
																	COBJECT(BgL_auxz00_22142))->BgL_outz00);
														}
														{
															obj_t BgL_auxz00_22136;

															{	/* SawBbv/bbv-specialize.scm 1672 */
																BgL_objectz00_bglt BgL_tmpz00_22137;

																BgL_tmpz00_22137 =
																	((BgL_objectz00_bglt) BgL_new2009z00_4903);
																BgL_auxz00_22136 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_22137);
															}
															BgL_auxz00_22135 =
																((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_22136);
														}
														((((BgL_rtl_inszf2bbvzf2_bglt)
																	COBJECT(BgL_auxz00_22135))->BgL_outz00) =
															((obj_t) BgL_auxz00_22141), BUNSPEC);
													}
													{
														obj_t BgL_auxz00_22157;
														BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_22151;

														{
															BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_22158;

															{
																obj_t BgL_auxz00_22159;

																{	/* SawBbv/bbv-specialize.scm 1672 */
																	BgL_objectz00_bglt BgL_tmpz00_22160;

																	BgL_tmpz00_22160 =
																		((BgL_objectz00_bglt)
																		((BgL_rtl_insz00_bglt) BgL_iz00_4888));
																	BgL_auxz00_22159 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_22160);
																}
																BgL_auxz00_22158 =
																	((BgL_rtl_inszf2bbvzf2_bglt)
																	BgL_auxz00_22159);
															}
															BgL_auxz00_22157 =
																(((BgL_rtl_inszf2bbvzf2_bglt)
																	COBJECT(BgL_auxz00_22158))->BgL_inz00);
														}
														{
															obj_t BgL_auxz00_22152;

															{	/* SawBbv/bbv-specialize.scm 1672 */
																BgL_objectz00_bglt BgL_tmpz00_22153;

																BgL_tmpz00_22153 =
																	((BgL_objectz00_bglt) BgL_new2009z00_4903);
																BgL_auxz00_22152 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_22153);
															}
															BgL_auxz00_22151 =
																((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_22152);
														}
														((((BgL_rtl_inszf2bbvzf2_bglt)
																	COBJECT(BgL_auxz00_22151))->BgL_inz00) =
															((obj_t) BgL_auxz00_22157), BUNSPEC);
													}
													{
														BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_22167;

														{
															obj_t BgL_auxz00_22168;

															{	/* SawBbv/bbv-specialize.scm 1672 */
																BgL_objectz00_bglt BgL_tmpz00_22169;

																BgL_tmpz00_22169 =
																	((BgL_objectz00_bglt) BgL_new2009z00_4903);
																BgL_auxz00_22168 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_22169);
															}
															BgL_auxz00_22167 =
																((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_22168);
														}
														((((BgL_rtl_inszf2bbvzf2_bglt)
																	COBJECT(BgL_auxz00_22167))->BgL_ctxz00) =
															((BgL_bbvzd2ctxzd2_bglt) BgL_nctxz00_4890),
															BUNSPEC);
													}
													{
														obj_t BgL_auxz00_22180;
														BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_22174;

														{
															BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_22181;

															{
																obj_t BgL_auxz00_22182;

																{	/* SawBbv/bbv-specialize.scm 1672 */
																	BgL_objectz00_bglt BgL_tmpz00_22183;

																	BgL_tmpz00_22183 =
																		((BgL_objectz00_bglt)
																		((BgL_rtl_insz00_bglt) BgL_iz00_4888));
																	BgL_auxz00_22182 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_22183);
																}
																BgL_auxz00_22181 =
																	((BgL_rtl_inszf2bbvzf2_bglt)
																	BgL_auxz00_22182);
															}
															BgL_auxz00_22180 =
																(((BgL_rtl_inszf2bbvzf2_bglt)
																	COBJECT(BgL_auxz00_22181))->BgL_z52hashz52);
														}
														{
															obj_t BgL_auxz00_22175;

															{	/* SawBbv/bbv-specialize.scm 1672 */
																BgL_objectz00_bglt BgL_tmpz00_22176;

																BgL_tmpz00_22176 =
																	((BgL_objectz00_bglt) BgL_new2009z00_4903);
																BgL_auxz00_22175 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_22176);
															}
															BgL_auxz00_22174 =
																((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_22175);
														}
														((((BgL_rtl_inszf2bbvzf2_bglt)
																	COBJECT(BgL_auxz00_22174))->BgL_z52hashz52) =
															((obj_t) BgL_auxz00_22180), BUNSPEC);
													}
													BgL_val0_2459z00_4900 = BgL_new2009z00_4903;
												}
												{	/* SawBbv/bbv-specialize.scm 1666 */
													int BgL_tmpz00_22190;

													BgL_tmpz00_22190 = (int) (2L);
													BGL_MVALUES_NUMBER_SET(BgL_tmpz00_22190);
												}
												{	/* SawBbv/bbv-specialize.scm 1666 */
													obj_t BgL_auxz00_22195;
													int BgL_tmpz00_22193;

													BgL_auxz00_22195 = ((obj_t) BgL_nctxz00_4890);
													BgL_tmpz00_22193 = (int) (1L);
													BGL_MVALUES_VAL_SET(BgL_tmpz00_22193,
														BgL_auxz00_22195);
												}
												return BgL_val0_2459z00_4900;
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* fx-safe->fx~0 */
	BgL_rtl_insz00_bglt
		BGl_fxzd2safezd2ze3fxze70z04zzsaw_bbvzd2specializa7ez75(BgL_globalz00_bglt
		BgL_varz00_4835, BgL_rtl_insz00_bglt BgL_iz00_4836, obj_t BgL_ctxz00_4837,
		BgL_bbvzd2ctxzd2_bglt BgL_nctxz00_4838)
	{
		{	/* SawBbv/bbv-specialize.scm 1647 */
			{	/* SawBbv/bbv-specialize.scm 1633 */
				BgL_rtl_callz00_bglt BgL_i1940z00_4841;

				BgL_i1940z00_4841 =
					((BgL_rtl_callz00_bglt)
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_4836))->BgL_funz00));
				{	/* SawBbv/bbv-specialize.scm 1634 */
					obj_t BgL_lhsz00_4842;

					BgL_lhsz00_4842 =
						CAR((((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_4836))->BgL_argsz00));
					{	/* SawBbv/bbv-specialize.scm 1634 */
						obj_t BgL_rhsz00_4843;

						{	/* SawBbv/bbv-specialize.scm 1635 */
							obj_t BgL_pairz00_8867;

							BgL_pairz00_8867 =
								(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_4836))->BgL_argsz00);
							BgL_rhsz00_4843 = CAR(CDR(BgL_pairz00_8867));
						}
						{	/* SawBbv/bbv-specialize.scm 1635 */
							BgL_rtl_callz00_bglt BgL_subcallz00_4844;

							{	/* SawBbv/bbv-specialize.scm 1636 */
								BgL_rtl_funz00_bglt BgL_duplicated1943z00_4878;
								BgL_rtl_callz00_bglt BgL_new1941z00_4879;

								BgL_duplicated1943z00_4878 =
									(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_4836))->BgL_funz00);
								{	/* SawBbv/bbv-specialize.scm 1636 */
									BgL_rtl_callz00_bglt BgL_new1944z00_4883;

									BgL_new1944z00_4883 =
										((BgL_rtl_callz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_rtl_callz00_bgl))));
									{	/* SawBbv/bbv-specialize.scm 1636 */
										long BgL_arg3926z00_4884;

										BgL_arg3926z00_4884 =
											BGL_CLASS_NUM(BGl_rtl_callz00zzsaw_defsz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1944z00_4883),
											BgL_arg3926z00_4884);
									}
									BgL_new1941z00_4879 = BgL_new1944z00_4883;
								}
								((((BgL_rtl_funz00_bglt) COBJECT(
												((BgL_rtl_funz00_bglt) BgL_new1941z00_4879)))->
										BgL_locz00) =
									((obj_t) (((BgL_rtl_funz00_bglt)
												COBJECT(BgL_duplicated1943z00_4878))->BgL_locz00)),
									BUNSPEC);
								{
									BgL_globalz00_bglt BgL_auxz00_22213;

									{	/* SawBbv/bbv-specialize.scm 1637 */
										bool_t BgL_test4919z00_22214;

										{	/* SawBbv/bbv-specialize.scm 1637 */
											obj_t BgL_arg3925z00_4882;

											BgL_arg3925z00_4882 =
												((obj_t)
												(((BgL_rtl_callz00_bglt) COBJECT(BgL_i1940z00_4841))->
													BgL_varz00));
											BgL_test4919z00_22214 =
												(BgL_arg3925z00_4882 ==
												BGl_za2zd2fxzd2safeza2z00zzsaw_bbvzd2cachezd2);
										}
										if (BgL_test4919z00_22214)
											{	/* SawBbv/bbv-specialize.scm 1637 */
												BgL_auxz00_22213 =
													((BgL_globalz00_bglt)
													BGl_za2zd2fxza2zd2zzsaw_bbvzd2cachezd2);
											}
										else
											{	/* SawBbv/bbv-specialize.scm 1637 */
												BgL_auxz00_22213 =
													((BgL_globalz00_bglt)
													BGl_za2zb2fxza2zb2zzsaw_bbvzd2cachezd2);
											}
									}
									((((BgL_rtl_callz00_bglt) COBJECT(BgL_new1941z00_4879))->
											BgL_varz00) =
										((BgL_globalz00_bglt) BgL_auxz00_22213), BUNSPEC);
								}
								BgL_subcallz00_4844 = BgL_new1941z00_4879;
							}
							{	/* SawBbv/bbv-specialize.scm 1636 */
								BgL_rtl_callz00_bglt BgL_castresz00_4845;

								{	/* SawBbv/bbv-specialize.scm 1638 */
									BgL_rtl_funz00_bglt BgL_duplicated1947z00_4874;
									BgL_rtl_callz00_bglt BgL_new1945z00_4875;

									BgL_duplicated1947z00_4874 =
										(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_4836))->
										BgL_funz00);
									{	/* SawBbv/bbv-specialize.scm 1638 */
										BgL_rtl_callz00_bglt BgL_new1948z00_4876;

										BgL_new1948z00_4876 =
											((BgL_rtl_callz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_rtl_callz00_bgl))));
										{	/* SawBbv/bbv-specialize.scm 1638 */
											long BgL_arg3922z00_4877;

											BgL_arg3922z00_4877 =
												BGL_CLASS_NUM(BGl_rtl_callz00zzsaw_defsz00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1948z00_4876),
												BgL_arg3922z00_4877);
										}
										BgL_new1945z00_4875 = BgL_new1948z00_4876;
									}
									((((BgL_rtl_funz00_bglt) COBJECT(
													((BgL_rtl_funz00_bglt) BgL_new1945z00_4875)))->
											BgL_locz00) =
										((obj_t) (((BgL_rtl_funz00_bglt)
													COBJECT(BgL_duplicated1947z00_4874))->BgL_locz00)),
										BUNSPEC);
									((((BgL_rtl_callz00_bglt) COBJECT(BgL_new1945z00_4875))->
											BgL_varz00) =
										((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
												BGl_za2longzd2ze3bintza2z31zzsaw_bbvzd2cachezd2)),
										BUNSPEC);
									BgL_castresz00_4845 = BgL_new1945z00_4875;
								}
								{	/* SawBbv/bbv-specialize.scm 1638 */

									{	/* SawBbv/bbv-specialize.scm 1640 */
										BgL_rtl_insz00_bglt BgL_val0_2457z00_4846;

										{	/* SawBbv/bbv-specialize.scm 1640 */
											BgL_rtl_insz00_bglt BgL_new1949z00_4849;

											{	/* SawBbv/bbv-specialize.scm 1646 */
												BgL_rtl_insz00_bglt BgL_tmp1957z00_4869;
												BgL_rtl_inszf2bbvzf2_bglt BgL_wide1958z00_4870;

												{
													BgL_rtl_insz00_bglt BgL_auxz00_22231;

													{	/* SawBbv/bbv-specialize.scm 1646 */
														BgL_rtl_insz00_bglt BgL_new1956z00_4872;

														BgL_new1956z00_4872 =
															((BgL_rtl_insz00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_rtl_insz00_bgl))));
														{	/* SawBbv/bbv-specialize.scm 1646 */
															long BgL_arg3921z00_4873;

															BgL_arg3921z00_4873 =
																BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1956z00_4872),
																BgL_arg3921z00_4873);
														}
														{	/* SawBbv/bbv-specialize.scm 1646 */
															BgL_objectz00_bglt BgL_tmpz00_22236;

															BgL_tmpz00_22236 =
																((BgL_objectz00_bglt) BgL_new1956z00_4872);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_22236, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1956z00_4872);
														BgL_auxz00_22231 = BgL_new1956z00_4872;
													}
													BgL_tmp1957z00_4869 =
														((BgL_rtl_insz00_bglt) BgL_auxz00_22231);
												}
												BgL_wide1958z00_4870 =
													((BgL_rtl_inszf2bbvzf2_bglt)
													BOBJECT(GC_MALLOC(sizeof(struct
																BgL_rtl_inszf2bbvzf2_bgl))));
												{	/* SawBbv/bbv-specialize.scm 1646 */
													obj_t BgL_auxz00_22244;
													BgL_objectz00_bglt BgL_tmpz00_22242;

													BgL_auxz00_22244 = ((obj_t) BgL_wide1958z00_4870);
													BgL_tmpz00_22242 =
														((BgL_objectz00_bglt) BgL_tmp1957z00_4869);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_22242,
														BgL_auxz00_22244);
												}
												((BgL_objectz00_bglt) BgL_tmp1957z00_4869);
												{	/* SawBbv/bbv-specialize.scm 1646 */
													long BgL_arg3920z00_4871;

													BgL_arg3920z00_4871 =
														BGL_CLASS_NUM
														(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
													BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
															BgL_tmp1957z00_4869), BgL_arg3920z00_4871);
												}
												BgL_new1949z00_4849 =
													((BgL_rtl_insz00_bglt) BgL_tmp1957z00_4869);
											}
											((((BgL_rtl_insz00_bglt) COBJECT(
															((BgL_rtl_insz00_bglt) BgL_new1949z00_4849)))->
													BgL_locz00) =
												((obj_t) (((BgL_rtl_insz00_bglt)
															COBJECT(BgL_iz00_4836))->BgL_locz00)), BUNSPEC);
											((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
																BgL_new1949z00_4849)))->BgL_z52spillz52) =
												((obj_t) (((BgL_rtl_insz00_bglt)
															COBJECT(BgL_iz00_4836))->BgL_z52spillz52)),
												BUNSPEC);
											((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
																BgL_new1949z00_4849)))->BgL_destz00) =
												((obj_t) (((BgL_rtl_insz00_bglt)
															COBJECT(BgL_iz00_4836))->BgL_destz00)), BUNSPEC);
											((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
																BgL_new1949z00_4849)))->BgL_funz00) =
												((BgL_rtl_funz00_bglt) ((BgL_rtl_funz00_bglt)
														BgL_castresz00_4845)), BUNSPEC);
											{
												obj_t BgL_auxz00_22264;

												{	/* SawBbv/bbv-specialize.scm 1642 */
													BgL_rtl_insz00_bglt BgL_arg3914z00_4850;

													{	/* SawBbv/bbv-specialize.scm 1642 */
														BgL_rtl_insz00_bglt BgL_new1959z00_4853;

														{	/* SawBbv/bbv-specialize.scm 1645 */
															BgL_rtl_insz00_bglt BgL_tmp1967z00_4860;
															BgL_rtl_inszf2bbvzf2_bglt BgL_wide1968z00_4861;

															{
																BgL_rtl_insz00_bglt BgL_auxz00_22266;

																{	/* SawBbv/bbv-specialize.scm 1645 */
																	BgL_rtl_insz00_bglt BgL_new1966z00_4863;

																	BgL_new1966z00_4863 =
																		((BgL_rtl_insz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_rtl_insz00_bgl))));
																	{	/* SawBbv/bbv-specialize.scm 1645 */
																		long BgL_arg3919z00_4864;

																		{	/* SawBbv/bbv-specialize.scm 1645 */
																			obj_t BgL_classz00_8885;

																			BgL_classz00_8885 =
																				BGl_rtl_insz00zzsaw_defsz00;
																			BgL_arg3919z00_4864 =
																				BGL_CLASS_NUM(BgL_classz00_8885);
																		}
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1966z00_4863),
																			BgL_arg3919z00_4864);
																	}
																	{	/* SawBbv/bbv-specialize.scm 1645 */
																		BgL_objectz00_bglt BgL_tmpz00_22271;

																		BgL_tmpz00_22271 =
																			((BgL_objectz00_bglt)
																			BgL_new1966z00_4863);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_22271,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1966z00_4863);
																	BgL_auxz00_22266 = BgL_new1966z00_4863;
																}
																BgL_tmp1967z00_4860 =
																	((BgL_rtl_insz00_bglt) BgL_auxz00_22266);
															}
															BgL_wide1968z00_4861 =
																((BgL_rtl_inszf2bbvzf2_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_rtl_inszf2bbvzf2_bgl))));
															{	/* SawBbv/bbv-specialize.scm 1645 */
																obj_t BgL_auxz00_22279;
																BgL_objectz00_bglt BgL_tmpz00_22277;

																BgL_auxz00_22279 =
																	((obj_t) BgL_wide1968z00_4861);
																BgL_tmpz00_22277 =
																	((BgL_objectz00_bglt) BgL_tmp1967z00_4860);
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_22277,
																	BgL_auxz00_22279);
															}
															((BgL_objectz00_bglt) BgL_tmp1967z00_4860);
															{	/* SawBbv/bbv-specialize.scm 1645 */
																long BgL_arg3918z00_4862;

																{	/* SawBbv/bbv-specialize.scm 1645 */
																	obj_t BgL_classz00_8890;

																	BgL_classz00_8890 =
																		BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2;
																	BgL_arg3918z00_4862 =
																		BGL_CLASS_NUM(BgL_classz00_8890);
																}
																BGL_OBJECT_CLASS_NUM_SET(
																	((BgL_objectz00_bglt) BgL_tmp1967z00_4860),
																	BgL_arg3918z00_4862);
															}
															BgL_new1959z00_4853 =
																((BgL_rtl_insz00_bglt) BgL_tmp1967z00_4860);
														}
														((((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt)
																			BgL_new1959z00_4853)))->BgL_locz00) =
															((obj_t) (((BgL_rtl_insz00_bglt)
																		COBJECT(BgL_iz00_4836))->BgL_locz00)),
															BUNSPEC);
														((((BgL_rtl_insz00_bglt)
																	COBJECT(((BgL_rtl_insz00_bglt)
																			BgL_new1959z00_4853)))->BgL_z52spillz52) =
															((obj_t) (((BgL_rtl_insz00_bglt)
																		COBJECT(BgL_iz00_4836))->BgL_z52spillz52)),
															BUNSPEC);
														((((BgL_rtl_insz00_bglt)
																	COBJECT(((BgL_rtl_insz00_bglt)
																			BgL_new1959z00_4853)))->BgL_destz00) =
															((obj_t) (((BgL_rtl_insz00_bglt)
																		COBJECT(BgL_iz00_4836))->BgL_destz00)),
															BUNSPEC);
														((((BgL_rtl_insz00_bglt)
																	COBJECT(((BgL_rtl_insz00_bglt)
																			BgL_new1959z00_4853)))->BgL_funz00) =
															((BgL_rtl_funz00_bglt) ((BgL_rtl_funz00_bglt)
																	BgL_subcallz00_4844)), BUNSPEC);
														{
															obj_t BgL_auxz00_22299;

															{	/* SawBbv/bbv-specialize.scm 1644 */
																obj_t BgL_list3916z00_4854;

																{	/* SawBbv/bbv-specialize.scm 1644 */
																	obj_t BgL_arg3917z00_4855;

																	BgL_arg3917z00_4855 =
																		MAKE_YOUNG_PAIR(BgL_rhsz00_4843, BNIL);
																	BgL_list3916z00_4854 =
																		MAKE_YOUNG_PAIR(BgL_lhsz00_4842,
																		BgL_arg3917z00_4855);
																}
																BgL_auxz00_22299 = BgL_list3916z00_4854;
															}
															((((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				BgL_new1959z00_4853)))->BgL_argsz00) =
																((obj_t) BgL_auxz00_22299), BUNSPEC);
														}
														{
															obj_t BgL_auxz00_22310;
															BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_22304;

															{
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_22311;

																{
																	obj_t BgL_auxz00_22312;

																	{	/* SawBbv/bbv-specialize.scm 1645 */
																		BgL_objectz00_bglt BgL_tmpz00_22313;

																		BgL_tmpz00_22313 =
																			((BgL_objectz00_bglt)
																			((BgL_rtl_insz00_bglt) BgL_iz00_4836));
																		BgL_auxz00_22312 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_22313);
																	}
																	BgL_auxz00_22311 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_22312);
																}
																BgL_auxz00_22310 =
																	(((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_22311))->BgL_defz00);
															}
															{
																obj_t BgL_auxz00_22305;

																{	/* SawBbv/bbv-specialize.scm 1645 */
																	BgL_objectz00_bglt BgL_tmpz00_22306;

																	BgL_tmpz00_22306 =
																		((BgL_objectz00_bglt) BgL_new1959z00_4853);
																	BgL_auxz00_22305 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_22306);
																}
																BgL_auxz00_22304 =
																	((BgL_rtl_inszf2bbvzf2_bglt)
																	BgL_auxz00_22305);
															}
															((((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_22304))->BgL_defz00) =
																((obj_t) BgL_auxz00_22310), BUNSPEC);
														}
														{
															obj_t BgL_auxz00_22326;
															BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_22320;

															{
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_22327;

																{
																	obj_t BgL_auxz00_22328;

																	{	/* SawBbv/bbv-specialize.scm 1645 */
																		BgL_objectz00_bglt BgL_tmpz00_22329;

																		BgL_tmpz00_22329 =
																			((BgL_objectz00_bglt)
																			((BgL_rtl_insz00_bglt) BgL_iz00_4836));
																		BgL_auxz00_22328 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_22329);
																	}
																	BgL_auxz00_22327 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_22328);
																}
																BgL_auxz00_22326 =
																	(((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_22327))->BgL_outz00);
															}
															{
																obj_t BgL_auxz00_22321;

																{	/* SawBbv/bbv-specialize.scm 1645 */
																	BgL_objectz00_bglt BgL_tmpz00_22322;

																	BgL_tmpz00_22322 =
																		((BgL_objectz00_bglt) BgL_new1959z00_4853);
																	BgL_auxz00_22321 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_22322);
																}
																BgL_auxz00_22320 =
																	((BgL_rtl_inszf2bbvzf2_bglt)
																	BgL_auxz00_22321);
															}
															((((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_22320))->BgL_outz00) =
																((obj_t) BgL_auxz00_22326), BUNSPEC);
														}
														{
															obj_t BgL_auxz00_22342;
															BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_22336;

															{
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_22343;

																{
																	obj_t BgL_auxz00_22344;

																	{	/* SawBbv/bbv-specialize.scm 1645 */
																		BgL_objectz00_bglt BgL_tmpz00_22345;

																		BgL_tmpz00_22345 =
																			((BgL_objectz00_bglt)
																			((BgL_rtl_insz00_bglt) BgL_iz00_4836));
																		BgL_auxz00_22344 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_22345);
																	}
																	BgL_auxz00_22343 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_22344);
																}
																BgL_auxz00_22342 =
																	(((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_22343))->BgL_inz00);
															}
															{
																obj_t BgL_auxz00_22337;

																{	/* SawBbv/bbv-specialize.scm 1645 */
																	BgL_objectz00_bglt BgL_tmpz00_22338;

																	BgL_tmpz00_22338 =
																		((BgL_objectz00_bglt) BgL_new1959z00_4853);
																	BgL_auxz00_22337 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_22338);
																}
																BgL_auxz00_22336 =
																	((BgL_rtl_inszf2bbvzf2_bglt)
																	BgL_auxz00_22337);
															}
															((((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_22336))->BgL_inz00) =
																((obj_t) BgL_auxz00_22342), BUNSPEC);
														}
														{
															BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_22352;

															{
																obj_t BgL_auxz00_22353;

																{	/* SawBbv/bbv-specialize.scm 1645 */
																	BgL_objectz00_bglt BgL_tmpz00_22354;

																	BgL_tmpz00_22354 =
																		((BgL_objectz00_bglt) BgL_new1959z00_4853);
																	BgL_auxz00_22353 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_22354);
																}
																BgL_auxz00_22352 =
																	((BgL_rtl_inszf2bbvzf2_bglt)
																	BgL_auxz00_22353);
															}
															((((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_22352))->BgL_ctxz00) =
																((BgL_bbvzd2ctxzd2_bglt) (
																		(BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_4837)),
																BUNSPEC);
														}
														{
															obj_t BgL_auxz00_22366;
															BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_22360;

															{
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_22367;

																{
																	obj_t BgL_auxz00_22368;

																	{	/* SawBbv/bbv-specialize.scm 1645 */
																		BgL_objectz00_bglt BgL_tmpz00_22369;

																		BgL_tmpz00_22369 =
																			((BgL_objectz00_bglt)
																			((BgL_rtl_insz00_bglt) BgL_iz00_4836));
																		BgL_auxz00_22368 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_22369);
																	}
																	BgL_auxz00_22367 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_22368);
																}
																BgL_auxz00_22366 =
																	(((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_22367))->BgL_z52hashz52);
															}
															{
																obj_t BgL_auxz00_22361;

																{	/* SawBbv/bbv-specialize.scm 1645 */
																	BgL_objectz00_bglt BgL_tmpz00_22362;

																	BgL_tmpz00_22362 =
																		((BgL_objectz00_bglt) BgL_new1959z00_4853);
																	BgL_auxz00_22361 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_22362);
																}
																BgL_auxz00_22360 =
																	((BgL_rtl_inszf2bbvzf2_bglt)
																	BgL_auxz00_22361);
															}
															((((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_22360))->
																	BgL_z52hashz52) =
																((obj_t) BgL_auxz00_22366), BUNSPEC);
														}
														BgL_arg3914z00_4850 = BgL_new1959z00_4853;
													}
													{	/* SawBbv/bbv-specialize.scm 1642 */
														obj_t BgL_list3915z00_4851;

														BgL_list3915z00_4851 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_arg3914z00_4850), BNIL);
														BgL_auxz00_22264 = BgL_list3915z00_4851;
												}}
												((((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt) BgL_new1949z00_4849)))->
														BgL_argsz00) = ((obj_t) BgL_auxz00_22264), BUNSPEC);
											}
											{
												obj_t BgL_auxz00_22385;
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_22379;

												{
													BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_22386;

													{
														obj_t BgL_auxz00_22387;

														{	/* SawBbv/bbv-specialize.scm 1646 */
															BgL_objectz00_bglt BgL_tmpz00_22388;

															BgL_tmpz00_22388 =
																((BgL_objectz00_bglt)
																((BgL_rtl_insz00_bglt) BgL_iz00_4836));
															BgL_auxz00_22387 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_22388);
														}
														BgL_auxz00_22386 =
															((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_22387);
													}
													BgL_auxz00_22385 =
														(((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_22386))->BgL_defz00);
												}
												{
													obj_t BgL_auxz00_22380;

													{	/* SawBbv/bbv-specialize.scm 1646 */
														BgL_objectz00_bglt BgL_tmpz00_22381;

														BgL_tmpz00_22381 =
															((BgL_objectz00_bglt) BgL_new1949z00_4849);
														BgL_auxz00_22380 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_22381);
													}
													BgL_auxz00_22379 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_22380);
												}
												((((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_22379))->BgL_defz00) =
													((obj_t) BgL_auxz00_22385), BUNSPEC);
											}
											{
												obj_t BgL_auxz00_22401;
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_22395;

												{
													BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_22402;

													{
														obj_t BgL_auxz00_22403;

														{	/* SawBbv/bbv-specialize.scm 1646 */
															BgL_objectz00_bglt BgL_tmpz00_22404;

															BgL_tmpz00_22404 =
																((BgL_objectz00_bglt)
																((BgL_rtl_insz00_bglt) BgL_iz00_4836));
															BgL_auxz00_22403 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_22404);
														}
														BgL_auxz00_22402 =
															((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_22403);
													}
													BgL_auxz00_22401 =
														(((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_22402))->BgL_outz00);
												}
												{
													obj_t BgL_auxz00_22396;

													{	/* SawBbv/bbv-specialize.scm 1646 */
														BgL_objectz00_bglt BgL_tmpz00_22397;

														BgL_tmpz00_22397 =
															((BgL_objectz00_bglt) BgL_new1949z00_4849);
														BgL_auxz00_22396 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_22397);
													}
													BgL_auxz00_22395 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_22396);
												}
												((((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_22395))->BgL_outz00) =
													((obj_t) BgL_auxz00_22401), BUNSPEC);
											}
											{
												obj_t BgL_auxz00_22417;
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_22411;

												{
													BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_22418;

													{
														obj_t BgL_auxz00_22419;

														{	/* SawBbv/bbv-specialize.scm 1646 */
															BgL_objectz00_bglt BgL_tmpz00_22420;

															BgL_tmpz00_22420 =
																((BgL_objectz00_bglt)
																((BgL_rtl_insz00_bglt) BgL_iz00_4836));
															BgL_auxz00_22419 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_22420);
														}
														BgL_auxz00_22418 =
															((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_22419);
													}
													BgL_auxz00_22417 =
														(((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_22418))->BgL_inz00);
												}
												{
													obj_t BgL_auxz00_22412;

													{	/* SawBbv/bbv-specialize.scm 1646 */
														BgL_objectz00_bglt BgL_tmpz00_22413;

														BgL_tmpz00_22413 =
															((BgL_objectz00_bglt) BgL_new1949z00_4849);
														BgL_auxz00_22412 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_22413);
													}
													BgL_auxz00_22411 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_22412);
												}
												((((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_22411))->BgL_inz00) =
													((obj_t) BgL_auxz00_22417), BUNSPEC);
											}
											{
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_22427;

												{
													obj_t BgL_auxz00_22428;

													{	/* SawBbv/bbv-specialize.scm 1646 */
														BgL_objectz00_bglt BgL_tmpz00_22429;

														BgL_tmpz00_22429 =
															((BgL_objectz00_bglt) BgL_new1949z00_4849);
														BgL_auxz00_22428 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_22429);
													}
													BgL_auxz00_22427 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_22428);
												}
												((((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_22427))->BgL_ctxz00) =
													((BgL_bbvzd2ctxzd2_bglt) BgL_nctxz00_4838), BUNSPEC);
											}
											{
												obj_t BgL_auxz00_22440;
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_22434;

												{
													BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_22441;

													{
														obj_t BgL_auxz00_22442;

														{	/* SawBbv/bbv-specialize.scm 1646 */
															BgL_objectz00_bglt BgL_tmpz00_22443;

															BgL_tmpz00_22443 =
																((BgL_objectz00_bglt)
																((BgL_rtl_insz00_bglt) BgL_iz00_4836));
															BgL_auxz00_22442 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_22443);
														}
														BgL_auxz00_22441 =
															((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_22442);
													}
													BgL_auxz00_22440 =
														(((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_22441))->BgL_z52hashz52);
												}
												{
													obj_t BgL_auxz00_22435;

													{	/* SawBbv/bbv-specialize.scm 1646 */
														BgL_objectz00_bglt BgL_tmpz00_22436;

														BgL_tmpz00_22436 =
															((BgL_objectz00_bglt) BgL_new1949z00_4849);
														BgL_auxz00_22435 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_22436);
													}
													BgL_auxz00_22434 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_22435);
												}
												((((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_22434))->BgL_z52hashz52) =
													((obj_t) BgL_auxz00_22440), BUNSPEC);
											}
											BgL_val0_2457z00_4846 = BgL_new1949z00_4849;
										}
										{	/* SawBbv/bbv-specialize.scm 1640 */
											int BgL_tmpz00_22450;

											BgL_tmpz00_22450 = (int) (2L);
											BGL_MVALUES_NUMBER_SET(BgL_tmpz00_22450);
										}
										{	/* SawBbv/bbv-specialize.scm 1640 */
											obj_t BgL_auxz00_22455;
											int BgL_tmpz00_22453;

											BgL_auxz00_22455 = ((obj_t) BgL_nctxz00_4838);
											BgL_tmpz00_22453 = (int) (1L);
											BGL_MVALUES_VAL_SET(BgL_tmpz00_22453, BgL_auxz00_22455);
										}
										return BgL_val0_2457z00_4846;
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &rtl_ins-specialize-fxop */
	obj_t BGl_z62rtl_inszd2specializa7ezd2fxopzc5zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_9819, obj_t BgL_iz00_9820, obj_t BgL_insz00_9821,
		obj_t BgL_bsz00_9822, obj_t BgL_ctxz00_9823, obj_t BgL_queuez00_9824)
	{
		{	/* SawBbv/bbv-specialize.scm 1629 */
			{
				BgL_rtl_insz00_bglt BgL_auxz00_22458;

				{	/* SawBbv/bbv-specialize.scm 1679 */
					BgL_rtl_callz00_bglt BgL_i2030z00_11106;

					BgL_i2030z00_11106 =
						((BgL_rtl_callz00_bglt)
						(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_iz00_9820)))->BgL_funz00));
					{	/* SawBbv/bbv-specialize.scm 1680 */
						obj_t BgL_lhsz00_11107;

						BgL_lhsz00_11107 =
							CAR(
							(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_iz00_9820)))->BgL_argsz00));
						{	/* SawBbv/bbv-specialize.scm 1680 */
							obj_t BgL_rhsz00_11108;

							{	/* SawBbv/bbv-specialize.scm 1681 */
								obj_t BgL_pairz00_11109;

								BgL_pairz00_11109 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_iz00_9820)))->BgL_argsz00);
								BgL_rhsz00_11108 = CAR(CDR(BgL_pairz00_11109));
							}
							{	/* SawBbv/bbv-specialize.scm 1681 */
								obj_t BgL_intlz00_11110;

								BgL_intlz00_11110 =
									BGl_rtlzd2rangezd2zzsaw_bbvzd2rangezd2(BgL_lhsz00_11107,
									((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_9823));
								{	/* SawBbv/bbv-specialize.scm 1682 */
									obj_t BgL_intrz00_11111;

									BgL_intrz00_11111 =
										BGl_rtlzd2rangezd2zzsaw_bbvzd2rangezd2(BgL_rhsz00_11108,
										((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_9823));
									{	/* SawBbv/bbv-specialize.scm 1683 */

										{	/* SawBbv/bbv-specialize.scm 1685 */
											bool_t BgL_test4920z00_22473;

											{	/* SawBbv/bbv-specialize.scm 1685 */
												bool_t BgL_test4921z00_22474;

												{	/* SawBbv/bbv-specialize.scm 1685 */
													obj_t BgL_classz00_11112;

													BgL_classz00_11112 =
														BGl_bbvzd2rangezd2zzsaw_bbvzd2rangezd2;
													if (BGL_OBJECTP(BgL_intlz00_11110))
														{	/* SawBbv/bbv-specialize.scm 1685 */
															BgL_objectz00_bglt BgL_arg1858z00_11113;

															BgL_arg1858z00_11113 =
																(BgL_objectz00_bglt) (BgL_intlz00_11110);
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* SawBbv/bbv-specialize.scm 1685 */
																	long BgL_idxz00_11114;

																	BgL_idxz00_11114 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_11113);
																	BgL_test4921z00_22474 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_11114 + 1L)) ==
																		BgL_classz00_11112);
																}
															else
																{	/* SawBbv/bbv-specialize.scm 1685 */
																	bool_t BgL_res4176z00_11117;

																	{	/* SawBbv/bbv-specialize.scm 1685 */
																		obj_t BgL_oclassz00_11118;

																		{	/* SawBbv/bbv-specialize.scm 1685 */
																			obj_t BgL_arg1866z00_11119;
																			long BgL_arg1867z00_11120;

																			BgL_arg1866z00_11119 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* SawBbv/bbv-specialize.scm 1685 */
																				long BgL_arg1869z00_11121;

																				BgL_arg1869z00_11121 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_11113);
																				BgL_arg1867z00_11120 =
																					(BgL_arg1869z00_11121 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_11118 =
																				VECTOR_REF(BgL_arg1866z00_11119,
																				BgL_arg1867z00_11120);
																		}
																		{	/* SawBbv/bbv-specialize.scm 1685 */
																			bool_t BgL__ortest_1115z00_11122;

																			BgL__ortest_1115z00_11122 =
																				(BgL_classz00_11112 ==
																				BgL_oclassz00_11118);
																			if (BgL__ortest_1115z00_11122)
																				{	/* SawBbv/bbv-specialize.scm 1685 */
																					BgL_res4176z00_11117 =
																						BgL__ortest_1115z00_11122;
																				}
																			else
																				{	/* SawBbv/bbv-specialize.scm 1685 */
																					long BgL_odepthz00_11123;

																					{	/* SawBbv/bbv-specialize.scm 1685 */
																						obj_t BgL_arg1855z00_11124;

																						BgL_arg1855z00_11124 =
																							(BgL_oclassz00_11118);
																						BgL_odepthz00_11123 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_11124);
																					}
																					if ((1L < BgL_odepthz00_11123))
																						{	/* SawBbv/bbv-specialize.scm 1685 */
																							obj_t BgL_arg1853z00_11125;

																							{	/* SawBbv/bbv-specialize.scm 1685 */
																								obj_t BgL_arg1854z00_11126;

																								BgL_arg1854z00_11126 =
																									(BgL_oclassz00_11118);
																								BgL_arg1853z00_11125 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_11126, 1L);
																							}
																							BgL_res4176z00_11117 =
																								(BgL_arg1853z00_11125 ==
																								BgL_classz00_11112);
																						}
																					else
																						{	/* SawBbv/bbv-specialize.scm 1685 */
																							BgL_res4176z00_11117 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test4921z00_22474 = BgL_res4176z00_11117;
																}
														}
													else
														{	/* SawBbv/bbv-specialize.scm 1685 */
															BgL_test4921z00_22474 = ((bool_t) 0);
														}
												}
												if (BgL_test4921z00_22474)
													{	/* SawBbv/bbv-specialize.scm 1685 */
														obj_t BgL_classz00_11127;

														BgL_classz00_11127 =
															BGl_bbvzd2rangezd2zzsaw_bbvzd2rangezd2;
														if (BGL_OBJECTP(BgL_intrz00_11111))
															{	/* SawBbv/bbv-specialize.scm 1685 */
																BgL_objectz00_bglt BgL_arg1858z00_11128;

																BgL_arg1858z00_11128 =
																	(BgL_objectz00_bglt) (BgL_intrz00_11111);
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* SawBbv/bbv-specialize.scm 1685 */
																		long BgL_idxz00_11129;

																		BgL_idxz00_11129 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1858z00_11128);
																		BgL_test4920z00_22473 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_11129 + 1L)) ==
																			BgL_classz00_11127);
																	}
																else
																	{	/* SawBbv/bbv-specialize.scm 1685 */
																		bool_t BgL_res4177z00_11132;

																		{	/* SawBbv/bbv-specialize.scm 1685 */
																			obj_t BgL_oclassz00_11133;

																			{	/* SawBbv/bbv-specialize.scm 1685 */
																				obj_t BgL_arg1866z00_11134;
																				long BgL_arg1867z00_11135;

																				BgL_arg1866z00_11134 =
																					(BGl_za2classesza2z00zz__objectz00);
																				{	/* SawBbv/bbv-specialize.scm 1685 */
																					long BgL_arg1869z00_11136;

																					BgL_arg1869z00_11136 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1858z00_11128);
																					BgL_arg1867z00_11135 =
																						(BgL_arg1869z00_11136 -
																						OBJECT_TYPE);
																				}
																				BgL_oclassz00_11133 =
																					VECTOR_REF(BgL_arg1866z00_11134,
																					BgL_arg1867z00_11135);
																			}
																			{	/* SawBbv/bbv-specialize.scm 1685 */
																				bool_t BgL__ortest_1115z00_11137;

																				BgL__ortest_1115z00_11137 =
																					(BgL_classz00_11127 ==
																					BgL_oclassz00_11133);
																				if (BgL__ortest_1115z00_11137)
																					{	/* SawBbv/bbv-specialize.scm 1685 */
																						BgL_res4177z00_11132 =
																							BgL__ortest_1115z00_11137;
																					}
																				else
																					{	/* SawBbv/bbv-specialize.scm 1685 */
																						long BgL_odepthz00_11138;

																						{	/* SawBbv/bbv-specialize.scm 1685 */
																							obj_t BgL_arg1855z00_11139;

																							BgL_arg1855z00_11139 =
																								(BgL_oclassz00_11133);
																							BgL_odepthz00_11138 =
																								BGL_CLASS_DEPTH
																								(BgL_arg1855z00_11139);
																						}
																						if ((1L < BgL_odepthz00_11138))
																							{	/* SawBbv/bbv-specialize.scm 1685 */
																								obj_t BgL_arg1853z00_11140;

																								{	/* SawBbv/bbv-specialize.scm 1685 */
																									obj_t BgL_arg1854z00_11141;

																									BgL_arg1854z00_11141 =
																										(BgL_oclassz00_11133);
																									BgL_arg1853z00_11140 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_arg1854z00_11141, 1L);
																								}
																								BgL_res4177z00_11132 =
																									(BgL_arg1853z00_11140 ==
																									BgL_classz00_11127);
																							}
																						else
																							{	/* SawBbv/bbv-specialize.scm 1685 */
																								BgL_res4177z00_11132 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test4920z00_22473 =
																			BgL_res4177z00_11132;
																	}
															}
														else
															{	/* SawBbv/bbv-specialize.scm 1685 */
																BgL_test4920z00_22473 = ((bool_t) 0);
															}
													}
												else
													{	/* SawBbv/bbv-specialize.scm 1685 */
														BgL_test4920z00_22473 = ((bool_t) 0);
													}
											}
											if (BgL_test4920z00_22473)
												{	/* SawBbv/bbv-specialize.scm 1690 */
													bool_t BgL_test4930z00_22519;

													{	/* SawBbv/bbv-specialize.scm 1690 */
														bool_t BgL_test4931z00_22520;

														{	/* SawBbv/bbv-specialize.scm 1690 */
															obj_t BgL_arg3908z00_11142;

															BgL_arg3908z00_11142 =
																((obj_t)
																(((BgL_rtl_callz00_bglt)
																		COBJECT(BgL_i2030z00_11106))->BgL_varz00));
															BgL_test4931z00_22520 =
																(BgL_arg3908z00_11142 ==
																BGl_za2zd2fxza2zd2zzsaw_bbvzd2cachezd2);
														}
														if (BgL_test4931z00_22520)
															{	/* SawBbv/bbv-specialize.scm 1690 */
																BgL_test4930z00_22519 = ((bool_t) 1);
															}
														else
															{	/* SawBbv/bbv-specialize.scm 1690 */
																obj_t BgL_arg3907z00_11143;

																BgL_arg3907z00_11143 =
																	((obj_t)
																	(((BgL_rtl_callz00_bglt)
																			COBJECT(BgL_i2030z00_11106))->
																		BgL_varz00));
																BgL_test4930z00_22519 =
																	(BgL_arg3907z00_11143 ==
																	BGl_za2subfxza2z00zzsaw_bbvzd2cachezd2);
															}
													}
													if (BgL_test4930z00_22519)
														{	/* SawBbv/bbv-specialize.scm 1691 */
															BgL_bbvzd2rangezd2_bglt BgL_rangez00_11144;

															BgL_rangez00_11144 =
																BGl_bbvzd2rangezd2subz00zzsaw_bbvzd2rangezd2(
																((BgL_bbvzd2rangezd2_bglt) BgL_intlz00_11110),
																((BgL_bbvzd2rangezd2_bglt) BgL_intrz00_11111));
															if (BGl_bbvzd2rangezd2fixnumzf3zf3zzsaw_bbvzd2rangezd2(BgL_rangez00_11144))
																{	/* SawBbv/bbv-specialize.scm 1694 */
																	BgL_bbvzd2ctxzd2_bglt BgL_nctxz00_11145;

																	{	/* SawBbv/bbv-specialize.scm 1694 */
																		obj_t BgL_arg3845z00_11146;
																		obj_t BgL_arg3846z00_11147;

																		BgL_arg3845z00_11146 =
																			(((BgL_rtl_insz00_bglt) COBJECT(
																					((BgL_rtl_insz00_bglt)
																						BgL_iz00_9820)))->BgL_destz00);
																		{	/* SawBbv/bbv-specialize.scm 1694 */
																			obj_t BgL_list3847z00_11148;

																			BgL_list3847z00_11148 =
																				MAKE_YOUNG_PAIR
																				(BGl_za2longza2z00zztype_cachez00,
																				BNIL);
																			BgL_arg3846z00_11147 =
																				BgL_list3847z00_11148;
																		}
																		BgL_nctxz00_11145 =
																			BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2(
																			((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_9823),
																			((BgL_rtl_regz00_bglt)
																				BgL_arg3845z00_11146),
																			BgL_arg3846z00_11147, ((bool_t) 1),
																			BFALSE, BINT(1L),
																			((obj_t) BgL_rangez00_11144));
																	}
																	{	/* SawBbv/bbv-specialize.scm 1697 */
																		BgL_rtl_insz00_bglt BgL_val0_2463z00_11149;

																		{	/* SawBbv/bbv-specialize.scm 1697 */
																			BgL_rtl_insz00_bglt BgL_new2041z00_11150;

																			{	/* SawBbv/bbv-specialize.scm 1698 */
																				BgL_rtl_insz00_bglt
																					BgL_tmp2049z00_11151;
																				BgL_rtl_inszf2bbvzf2_bglt
																					BgL_wide2050z00_11152;
																				{
																					BgL_rtl_insz00_bglt BgL_auxz00_22540;

																					{	/* SawBbv/bbv-specialize.scm 1698 */
																						BgL_rtl_insz00_bglt
																							BgL_new2048z00_11153;
																						BgL_new2048z00_11153 =
																							((BgL_rtl_insz00_bglt)
																							BOBJECT(GC_MALLOC(sizeof(struct
																										BgL_rtl_insz00_bgl))));
																						{	/* SawBbv/bbv-specialize.scm 1698 */
																							long BgL_arg3844z00_11154;

																							BgL_arg3844z00_11154 =
																								BGL_CLASS_NUM
																								(BGl_rtl_insz00zzsaw_defsz00);
																							BGL_OBJECT_CLASS_NUM_SET((
																									(BgL_objectz00_bglt)
																									BgL_new2048z00_11153),
																								BgL_arg3844z00_11154);
																						}
																						{	/* SawBbv/bbv-specialize.scm 1698 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_22545;
																							BgL_tmpz00_22545 =
																								((BgL_objectz00_bglt)
																								BgL_new2048z00_11153);
																							BGL_OBJECT_WIDENING_SET
																								(BgL_tmpz00_22545, BFALSE);
																						}
																						((BgL_objectz00_bglt)
																							BgL_new2048z00_11153);
																						BgL_auxz00_22540 =
																							BgL_new2048z00_11153;
																					}
																					BgL_tmp2049z00_11151 =
																						((BgL_rtl_insz00_bglt)
																						BgL_auxz00_22540);
																				}
																				BgL_wide2050z00_11152 =
																					((BgL_rtl_inszf2bbvzf2_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_rtl_inszf2bbvzf2_bgl))));
																				{	/* SawBbv/bbv-specialize.scm 1698 */
																					obj_t BgL_auxz00_22553;
																					BgL_objectz00_bglt BgL_tmpz00_22551;

																					BgL_auxz00_22553 =
																						((obj_t) BgL_wide2050z00_11152);
																					BgL_tmpz00_22551 =
																						((BgL_objectz00_bglt)
																						BgL_tmp2049z00_11151);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_tmpz00_22551,
																						BgL_auxz00_22553);
																				}
																				((BgL_objectz00_bglt)
																					BgL_tmp2049z00_11151);
																				{	/* SawBbv/bbv-specialize.scm 1698 */
																					long BgL_arg3843z00_11155;

																					BgL_arg3843z00_11155 =
																						BGL_CLASS_NUM
																						(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																					BGL_OBJECT_CLASS_NUM_SET((
																							(BgL_objectz00_bglt)
																							BgL_tmp2049z00_11151),
																						BgL_arg3843z00_11155);
																				}
																				BgL_new2041z00_11150 =
																					((BgL_rtl_insz00_bglt)
																					BgL_tmp2049z00_11151);
																			}
																			((((BgL_rtl_insz00_bglt) COBJECT(
																							((BgL_rtl_insz00_bglt)
																								BgL_new2041z00_11150)))->
																					BgL_locz00) =
																				((obj_t) (((BgL_rtl_insz00_bglt)
																							COBJECT(((BgL_rtl_insz00_bglt)
																									BgL_iz00_9820)))->
																						BgL_locz00)), BUNSPEC);
																			((((BgL_rtl_insz00_bglt)
																						COBJECT(((BgL_rtl_insz00_bglt)
																								BgL_new2041z00_11150)))->
																					BgL_z52spillz52) =
																				((obj_t) (((BgL_rtl_insz00_bglt)
																							COBJECT(((BgL_rtl_insz00_bglt)
																									BgL_iz00_9820)))->
																						BgL_z52spillz52)), BUNSPEC);
																			((((BgL_rtl_insz00_bglt)
																						COBJECT(((BgL_rtl_insz00_bglt)
																								BgL_new2041z00_11150)))->
																					BgL_destz00) =
																				((obj_t) (((BgL_rtl_insz00_bglt)
																							COBJECT(((BgL_rtl_insz00_bglt)
																									BgL_iz00_9820)))->
																						BgL_destz00)), BUNSPEC);
																			((((BgL_rtl_insz00_bglt)
																						COBJECT(((BgL_rtl_insz00_bglt)
																								BgL_new2041z00_11150)))->
																					BgL_funz00) =
																				((BgL_rtl_funz00_bglt) ((
																							(BgL_rtl_insz00_bglt)
																							COBJECT(((BgL_rtl_insz00_bglt)
																									BgL_iz00_9820)))->
																						BgL_funz00)), BUNSPEC);
																			((((BgL_rtl_insz00_bglt)
																						COBJECT(((BgL_rtl_insz00_bglt)
																								BgL_new2041z00_11150)))->
																					BgL_argsz00) =
																				((obj_t) (((BgL_rtl_insz00_bglt)
																							COBJECT(((BgL_rtl_insz00_bglt)
																									BgL_iz00_9820)))->
																						BgL_argsz00)), BUNSPEC);
																			{
																				obj_t BgL_auxz00_22587;
																				BgL_rtl_inszf2bbvzf2_bglt
																					BgL_auxz00_22581;
																				{
																					BgL_rtl_inszf2bbvzf2_bglt
																						BgL_auxz00_22588;
																					{
																						obj_t BgL_auxz00_22589;

																						{	/* SawBbv/bbv-specialize.scm 1698 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_22590;
																							BgL_tmpz00_22590 =
																								((BgL_objectz00_bglt) (
																									(BgL_rtl_insz00_bglt) (
																										(BgL_rtl_insz00_bglt)
																										BgL_iz00_9820)));
																							BgL_auxz00_22589 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_22590);
																						}
																						BgL_auxz00_22588 =
																							((BgL_rtl_inszf2bbvzf2_bglt)
																							BgL_auxz00_22589);
																					}
																					BgL_auxz00_22587 =
																						(((BgL_rtl_inszf2bbvzf2_bglt)
																							COBJECT(BgL_auxz00_22588))->
																						BgL_defz00);
																				}
																				{
																					obj_t BgL_auxz00_22582;

																					{	/* SawBbv/bbv-specialize.scm 1698 */
																						BgL_objectz00_bglt BgL_tmpz00_22583;

																						BgL_tmpz00_22583 =
																							((BgL_objectz00_bglt)
																							BgL_new2041z00_11150);
																						BgL_auxz00_22582 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_22583);
																					}
																					BgL_auxz00_22581 =
																						((BgL_rtl_inszf2bbvzf2_bglt)
																						BgL_auxz00_22582);
																				}
																				((((BgL_rtl_inszf2bbvzf2_bglt)
																							COBJECT(BgL_auxz00_22581))->
																						BgL_defz00) =
																					((obj_t) BgL_auxz00_22587), BUNSPEC);
																			}
																			{
																				obj_t BgL_auxz00_22604;
																				BgL_rtl_inszf2bbvzf2_bglt
																					BgL_auxz00_22598;
																				{
																					BgL_rtl_inszf2bbvzf2_bglt
																						BgL_auxz00_22605;
																					{
																						obj_t BgL_auxz00_22606;

																						{	/* SawBbv/bbv-specialize.scm 1698 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_22607;
																							BgL_tmpz00_22607 =
																								((BgL_objectz00_bglt) (
																									(BgL_rtl_insz00_bglt) (
																										(BgL_rtl_insz00_bglt)
																										BgL_iz00_9820)));
																							BgL_auxz00_22606 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_22607);
																						}
																						BgL_auxz00_22605 =
																							((BgL_rtl_inszf2bbvzf2_bglt)
																							BgL_auxz00_22606);
																					}
																					BgL_auxz00_22604 =
																						(((BgL_rtl_inszf2bbvzf2_bglt)
																							COBJECT(BgL_auxz00_22605))->
																						BgL_outz00);
																				}
																				{
																					obj_t BgL_auxz00_22599;

																					{	/* SawBbv/bbv-specialize.scm 1698 */
																						BgL_objectz00_bglt BgL_tmpz00_22600;

																						BgL_tmpz00_22600 =
																							((BgL_objectz00_bglt)
																							BgL_new2041z00_11150);
																						BgL_auxz00_22599 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_22600);
																					}
																					BgL_auxz00_22598 =
																						((BgL_rtl_inszf2bbvzf2_bglt)
																						BgL_auxz00_22599);
																				}
																				((((BgL_rtl_inszf2bbvzf2_bglt)
																							COBJECT(BgL_auxz00_22598))->
																						BgL_outz00) =
																					((obj_t) BgL_auxz00_22604), BUNSPEC);
																			}
																			{
																				obj_t BgL_auxz00_22621;
																				BgL_rtl_inszf2bbvzf2_bglt
																					BgL_auxz00_22615;
																				{
																					BgL_rtl_inszf2bbvzf2_bglt
																						BgL_auxz00_22622;
																					{
																						obj_t BgL_auxz00_22623;

																						{	/* SawBbv/bbv-specialize.scm 1698 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_22624;
																							BgL_tmpz00_22624 =
																								((BgL_objectz00_bglt) (
																									(BgL_rtl_insz00_bglt) (
																										(BgL_rtl_insz00_bglt)
																										BgL_iz00_9820)));
																							BgL_auxz00_22623 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_22624);
																						}
																						BgL_auxz00_22622 =
																							((BgL_rtl_inszf2bbvzf2_bglt)
																							BgL_auxz00_22623);
																					}
																					BgL_auxz00_22621 =
																						(((BgL_rtl_inszf2bbvzf2_bglt)
																							COBJECT(BgL_auxz00_22622))->
																						BgL_inz00);
																				}
																				{
																					obj_t BgL_auxz00_22616;

																					{	/* SawBbv/bbv-specialize.scm 1698 */
																						BgL_objectz00_bglt BgL_tmpz00_22617;

																						BgL_tmpz00_22617 =
																							((BgL_objectz00_bglt)
																							BgL_new2041z00_11150);
																						BgL_auxz00_22616 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_22617);
																					}
																					BgL_auxz00_22615 =
																						((BgL_rtl_inszf2bbvzf2_bglt)
																						BgL_auxz00_22616);
																				}
																				((((BgL_rtl_inszf2bbvzf2_bglt)
																							COBJECT(BgL_auxz00_22615))->
																						BgL_inz00) =
																					((obj_t) BgL_auxz00_22621), BUNSPEC);
																			}
																			{
																				BgL_rtl_inszf2bbvzf2_bglt
																					BgL_auxz00_22632;
																				{
																					obj_t BgL_auxz00_22633;

																					{	/* SawBbv/bbv-specialize.scm 1698 */
																						BgL_objectz00_bglt BgL_tmpz00_22634;

																						BgL_tmpz00_22634 =
																							((BgL_objectz00_bglt)
																							BgL_new2041z00_11150);
																						BgL_auxz00_22633 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_22634);
																					}
																					BgL_auxz00_22632 =
																						((BgL_rtl_inszf2bbvzf2_bglt)
																						BgL_auxz00_22633);
																				}
																				((((BgL_rtl_inszf2bbvzf2_bglt)
																							COBJECT(BgL_auxz00_22632))->
																						BgL_ctxz00) =
																					((BgL_bbvzd2ctxzd2_bglt) (
																							(BgL_bbvzd2ctxzd2_bglt)
																							BgL_ctxz00_9823)), BUNSPEC);
																			}
																			{
																				obj_t BgL_auxz00_22646;
																				BgL_rtl_inszf2bbvzf2_bglt
																					BgL_auxz00_22640;
																				{
																					BgL_rtl_inszf2bbvzf2_bglt
																						BgL_auxz00_22647;
																					{
																						obj_t BgL_auxz00_22648;

																						{	/* SawBbv/bbv-specialize.scm 1698 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_22649;
																							BgL_tmpz00_22649 =
																								((BgL_objectz00_bglt) (
																									(BgL_rtl_insz00_bglt) (
																										(BgL_rtl_insz00_bglt)
																										BgL_iz00_9820)));
																							BgL_auxz00_22648 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_22649);
																						}
																						BgL_auxz00_22647 =
																							((BgL_rtl_inszf2bbvzf2_bglt)
																							BgL_auxz00_22648);
																					}
																					BgL_auxz00_22646 =
																						(((BgL_rtl_inszf2bbvzf2_bglt)
																							COBJECT(BgL_auxz00_22647))->
																						BgL_z52hashz52);
																				}
																				{
																					obj_t BgL_auxz00_22641;

																					{	/* SawBbv/bbv-specialize.scm 1698 */
																						BgL_objectz00_bglt BgL_tmpz00_22642;

																						BgL_tmpz00_22642 =
																							((BgL_objectz00_bglt)
																							BgL_new2041z00_11150);
																						BgL_auxz00_22641 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_22642);
																					}
																					BgL_auxz00_22640 =
																						((BgL_rtl_inszf2bbvzf2_bglt)
																						BgL_auxz00_22641);
																				}
																				((((BgL_rtl_inszf2bbvzf2_bglt)
																							COBJECT(BgL_auxz00_22640))->
																						BgL_z52hashz52) =
																					((obj_t) BgL_auxz00_22646), BUNSPEC);
																			}
																			BgL_val0_2463z00_11149 =
																				BgL_new2041z00_11150;
																		}
																		{	/* SawBbv/bbv-specialize.scm 1697 */
																			int BgL_tmpz00_22657;

																			BgL_tmpz00_22657 = (int) (2L);
																			BGL_MVALUES_NUMBER_SET(BgL_tmpz00_22657);
																		}
																		{	/* SawBbv/bbv-specialize.scm 1697 */
																			obj_t BgL_auxz00_22662;
																			int BgL_tmpz00_22660;

																			BgL_auxz00_22662 =
																				((obj_t) BgL_nctxz00_11145);
																			BgL_tmpz00_22660 = (int) (1L);
																			BGL_MVALUES_VAL_SET(BgL_tmpz00_22660,
																				BgL_auxz00_22662);
																		}
																		BgL_auxz00_22458 = BgL_val0_2463z00_11149;
																}}
															else
																{	/* SawBbv/bbv-specialize.scm 1700 */
																	BgL_rtl_insz00_bglt BgL_val0_2465z00_11156;

																	{	/* SawBbv/bbv-specialize.scm 1700 */
																		BgL_rtl_insz00_bglt BgL_new2051z00_11157;

																		{	/* SawBbv/bbv-specialize.scm 1701 */
																			BgL_rtl_insz00_bglt BgL_tmp2059z00_11158;
																			BgL_rtl_inszf2bbvzf2_bglt
																				BgL_wide2060z00_11159;
																			{
																				BgL_rtl_insz00_bglt BgL_auxz00_22665;

																				{	/* SawBbv/bbv-specialize.scm 1701 */
																					BgL_rtl_insz00_bglt
																						BgL_new2058z00_11160;
																					BgL_new2058z00_11160 =
																						((BgL_rtl_insz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_rtl_insz00_bgl))));
																					{	/* SawBbv/bbv-specialize.scm 1701 */
																						long BgL_arg3849z00_11161;

																						BgL_arg3849z00_11161 =
																							BGL_CLASS_NUM
																							(BGl_rtl_insz00zzsaw_defsz00);
																						BGL_OBJECT_CLASS_NUM_SET((
																								(BgL_objectz00_bglt)
																								BgL_new2058z00_11160),
																							BgL_arg3849z00_11161);
																					}
																					{	/* SawBbv/bbv-specialize.scm 1701 */
																						BgL_objectz00_bglt BgL_tmpz00_22670;

																						BgL_tmpz00_22670 =
																							((BgL_objectz00_bglt)
																							BgL_new2058z00_11160);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_tmpz00_22670, BFALSE);
																					}
																					((BgL_objectz00_bglt)
																						BgL_new2058z00_11160);
																					BgL_auxz00_22665 =
																						BgL_new2058z00_11160;
																				}
																				BgL_tmp2059z00_11158 =
																					((BgL_rtl_insz00_bglt)
																					BgL_auxz00_22665);
																			}
																			BgL_wide2060z00_11159 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_rtl_inszf2bbvzf2_bgl))));
																			{	/* SawBbv/bbv-specialize.scm 1701 */
																				obj_t BgL_auxz00_22678;
																				BgL_objectz00_bglt BgL_tmpz00_22676;

																				BgL_auxz00_22678 =
																					((obj_t) BgL_wide2060z00_11159);
																				BgL_tmpz00_22676 =
																					((BgL_objectz00_bglt)
																					BgL_tmp2059z00_11158);
																				BGL_OBJECT_WIDENING_SET
																					(BgL_tmpz00_22676, BgL_auxz00_22678);
																			}
																			((BgL_objectz00_bglt)
																				BgL_tmp2059z00_11158);
																			{	/* SawBbv/bbv-specialize.scm 1701 */
																				long BgL_arg3848z00_11162;

																				BgL_arg3848z00_11162 =
																					BGL_CLASS_NUM
																					(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_tmp2059z00_11158),
																					BgL_arg3848z00_11162);
																			}
																			BgL_new2051z00_11157 =
																				((BgL_rtl_insz00_bglt)
																				BgL_tmp2059z00_11158);
																		}
																		((((BgL_rtl_insz00_bglt) COBJECT(
																						((BgL_rtl_insz00_bglt)
																							BgL_new2051z00_11157)))->
																				BgL_locz00) =
																			((obj_t) (((BgL_rtl_insz00_bglt)
																						COBJECT(((BgL_rtl_insz00_bglt)
																								BgL_iz00_9820)))->BgL_locz00)),
																			BUNSPEC);
																		((((BgL_rtl_insz00_bglt)
																					COBJECT(((BgL_rtl_insz00_bglt)
																							BgL_new2051z00_11157)))->
																				BgL_z52spillz52) =
																			((obj_t) (((BgL_rtl_insz00_bglt)
																						COBJECT(((BgL_rtl_insz00_bglt)
																								BgL_iz00_9820)))->
																					BgL_z52spillz52)), BUNSPEC);
																		((((BgL_rtl_insz00_bglt)
																					COBJECT(((BgL_rtl_insz00_bglt)
																							BgL_new2051z00_11157)))->
																				BgL_destz00) =
																			((obj_t) (((BgL_rtl_insz00_bglt)
																						COBJECT(((BgL_rtl_insz00_bglt)
																								BgL_iz00_9820)))->BgL_destz00)),
																			BUNSPEC);
																		((((BgL_rtl_insz00_bglt)
																					COBJECT(((BgL_rtl_insz00_bglt)
																							BgL_new2051z00_11157)))->
																				BgL_funz00) =
																			((BgL_rtl_funz00_bglt) ((
																						(BgL_rtl_insz00_bglt)
																						COBJECT(((BgL_rtl_insz00_bglt)
																								BgL_iz00_9820)))->BgL_funz00)),
																			BUNSPEC);
																		((((BgL_rtl_insz00_bglt)
																					COBJECT(((BgL_rtl_insz00_bglt)
																							BgL_new2051z00_11157)))->
																				BgL_argsz00) =
																			((obj_t) (((BgL_rtl_insz00_bglt)
																						COBJECT(((BgL_rtl_insz00_bglt)
																								BgL_iz00_9820)))->BgL_argsz00)),
																			BUNSPEC);
																		{
																			obj_t BgL_auxz00_22712;
																			BgL_rtl_inszf2bbvzf2_bglt
																				BgL_auxz00_22706;
																			{
																				BgL_rtl_inszf2bbvzf2_bglt
																					BgL_auxz00_22713;
																				{
																					obj_t BgL_auxz00_22714;

																					{	/* SawBbv/bbv-specialize.scm 1701 */
																						BgL_objectz00_bglt BgL_tmpz00_22715;

																						BgL_tmpz00_22715 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_insz00_bglt)
																								((BgL_rtl_insz00_bglt)
																									BgL_iz00_9820)));
																						BgL_auxz00_22714 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_22715);
																					}
																					BgL_auxz00_22713 =
																						((BgL_rtl_inszf2bbvzf2_bglt)
																						BgL_auxz00_22714);
																				}
																				BgL_auxz00_22712 =
																					(((BgL_rtl_inszf2bbvzf2_bglt)
																						COBJECT(BgL_auxz00_22713))->
																					BgL_defz00);
																			}
																			{
																				obj_t BgL_auxz00_22707;

																				{	/* SawBbv/bbv-specialize.scm 1701 */
																					BgL_objectz00_bglt BgL_tmpz00_22708;

																					BgL_tmpz00_22708 =
																						((BgL_objectz00_bglt)
																						BgL_new2051z00_11157);
																					BgL_auxz00_22707 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_22708);
																				}
																				BgL_auxz00_22706 =
																					((BgL_rtl_inszf2bbvzf2_bglt)
																					BgL_auxz00_22707);
																			}
																			((((BgL_rtl_inszf2bbvzf2_bglt)
																						COBJECT(BgL_auxz00_22706))->
																					BgL_defz00) =
																				((obj_t) BgL_auxz00_22712), BUNSPEC);
																		}
																		{
																			obj_t BgL_auxz00_22729;
																			BgL_rtl_inszf2bbvzf2_bglt
																				BgL_auxz00_22723;
																			{
																				BgL_rtl_inszf2bbvzf2_bglt
																					BgL_auxz00_22730;
																				{
																					obj_t BgL_auxz00_22731;

																					{	/* SawBbv/bbv-specialize.scm 1701 */
																						BgL_objectz00_bglt BgL_tmpz00_22732;

																						BgL_tmpz00_22732 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_insz00_bglt)
																								((BgL_rtl_insz00_bglt)
																									BgL_iz00_9820)));
																						BgL_auxz00_22731 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_22732);
																					}
																					BgL_auxz00_22730 =
																						((BgL_rtl_inszf2bbvzf2_bglt)
																						BgL_auxz00_22731);
																				}
																				BgL_auxz00_22729 =
																					(((BgL_rtl_inszf2bbvzf2_bglt)
																						COBJECT(BgL_auxz00_22730))->
																					BgL_outz00);
																			}
																			{
																				obj_t BgL_auxz00_22724;

																				{	/* SawBbv/bbv-specialize.scm 1701 */
																					BgL_objectz00_bglt BgL_tmpz00_22725;

																					BgL_tmpz00_22725 =
																						((BgL_objectz00_bglt)
																						BgL_new2051z00_11157);
																					BgL_auxz00_22724 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_22725);
																				}
																				BgL_auxz00_22723 =
																					((BgL_rtl_inszf2bbvzf2_bglt)
																					BgL_auxz00_22724);
																			}
																			((((BgL_rtl_inszf2bbvzf2_bglt)
																						COBJECT(BgL_auxz00_22723))->
																					BgL_outz00) =
																				((obj_t) BgL_auxz00_22729), BUNSPEC);
																		}
																		{
																			obj_t BgL_auxz00_22746;
																			BgL_rtl_inszf2bbvzf2_bglt
																				BgL_auxz00_22740;
																			{
																				BgL_rtl_inszf2bbvzf2_bglt
																					BgL_auxz00_22747;
																				{
																					obj_t BgL_auxz00_22748;

																					{	/* SawBbv/bbv-specialize.scm 1701 */
																						BgL_objectz00_bglt BgL_tmpz00_22749;

																						BgL_tmpz00_22749 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_insz00_bglt)
																								((BgL_rtl_insz00_bglt)
																									BgL_iz00_9820)));
																						BgL_auxz00_22748 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_22749);
																					}
																					BgL_auxz00_22747 =
																						((BgL_rtl_inszf2bbvzf2_bglt)
																						BgL_auxz00_22748);
																				}
																				BgL_auxz00_22746 =
																					(((BgL_rtl_inszf2bbvzf2_bglt)
																						COBJECT(BgL_auxz00_22747))->
																					BgL_inz00);
																			}
																			{
																				obj_t BgL_auxz00_22741;

																				{	/* SawBbv/bbv-specialize.scm 1701 */
																					BgL_objectz00_bglt BgL_tmpz00_22742;

																					BgL_tmpz00_22742 =
																						((BgL_objectz00_bglt)
																						BgL_new2051z00_11157);
																					BgL_auxz00_22741 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_22742);
																				}
																				BgL_auxz00_22740 =
																					((BgL_rtl_inszf2bbvzf2_bglt)
																					BgL_auxz00_22741);
																			}
																			((((BgL_rtl_inszf2bbvzf2_bglt)
																						COBJECT(BgL_auxz00_22740))->
																					BgL_inz00) =
																				((obj_t) BgL_auxz00_22746), BUNSPEC);
																		}
																		{
																			BgL_rtl_inszf2bbvzf2_bglt
																				BgL_auxz00_22757;
																			{
																				obj_t BgL_auxz00_22758;

																				{	/* SawBbv/bbv-specialize.scm 1701 */
																					BgL_objectz00_bglt BgL_tmpz00_22759;

																					BgL_tmpz00_22759 =
																						((BgL_objectz00_bglt)
																						BgL_new2051z00_11157);
																					BgL_auxz00_22758 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_22759);
																				}
																				BgL_auxz00_22757 =
																					((BgL_rtl_inszf2bbvzf2_bglt)
																					BgL_auxz00_22758);
																			}
																			((((BgL_rtl_inszf2bbvzf2_bglt)
																						COBJECT(BgL_auxz00_22757))->
																					BgL_ctxz00) =
																				((BgL_bbvzd2ctxzd2_bglt) (
																						(BgL_bbvzd2ctxzd2_bglt)
																						BgL_ctxz00_9823)), BUNSPEC);
																		}
																		{
																			obj_t BgL_auxz00_22771;
																			BgL_rtl_inszf2bbvzf2_bglt
																				BgL_auxz00_22765;
																			{
																				BgL_rtl_inszf2bbvzf2_bglt
																					BgL_auxz00_22772;
																				{
																					obj_t BgL_auxz00_22773;

																					{	/* SawBbv/bbv-specialize.scm 1701 */
																						BgL_objectz00_bglt BgL_tmpz00_22774;

																						BgL_tmpz00_22774 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_insz00_bglt)
																								((BgL_rtl_insz00_bglt)
																									BgL_iz00_9820)));
																						BgL_auxz00_22773 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_22774);
																					}
																					BgL_auxz00_22772 =
																						((BgL_rtl_inszf2bbvzf2_bglt)
																						BgL_auxz00_22773);
																				}
																				BgL_auxz00_22771 =
																					(((BgL_rtl_inszf2bbvzf2_bglt)
																						COBJECT(BgL_auxz00_22772))->
																					BgL_z52hashz52);
																			}
																			{
																				obj_t BgL_auxz00_22766;

																				{	/* SawBbv/bbv-specialize.scm 1701 */
																					BgL_objectz00_bglt BgL_tmpz00_22767;

																					BgL_tmpz00_22767 =
																						((BgL_objectz00_bglt)
																						BgL_new2051z00_11157);
																					BgL_auxz00_22766 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_22767);
																				}
																				BgL_auxz00_22765 =
																					((BgL_rtl_inszf2bbvzf2_bglt)
																					BgL_auxz00_22766);
																			}
																			((((BgL_rtl_inszf2bbvzf2_bglt)
																						COBJECT(BgL_auxz00_22765))->
																					BgL_z52hashz52) =
																				((obj_t) BgL_auxz00_22771), BUNSPEC);
																		}
																		BgL_val0_2465z00_11156 =
																			BgL_new2051z00_11157;
																	}
																	{	/* SawBbv/bbv-specialize.scm 1700 */
																		int BgL_tmpz00_22782;

																		BgL_tmpz00_22782 = (int) (2L);
																		BGL_MVALUES_NUMBER_SET(BgL_tmpz00_22782);
																	}
																	{	/* SawBbv/bbv-specialize.scm 1700 */
																		int BgL_tmpz00_22785;

																		BgL_tmpz00_22785 = (int) (1L);
																		BGL_MVALUES_VAL_SET(BgL_tmpz00_22785,
																			BgL_ctxz00_9823);
																	}
																	BgL_auxz00_22458 = BgL_val0_2465z00_11156;
														}}
													else
														{	/* SawBbv/bbv-specialize.scm 1703 */
															bool_t BgL_test4933z00_22788;

															{	/* SawBbv/bbv-specialize.scm 1703 */
																obj_t BgL_arg3906z00_11163;

																BgL_arg3906z00_11163 =
																	((obj_t)
																	(((BgL_rtl_callz00_bglt)
																			COBJECT(BgL_i2030z00_11106))->
																		BgL_varz00));
																BgL_test4933z00_22788 =
																	(BgL_arg3906z00_11163 ==
																	BGl_za2zd2fxzd2safeza2z00zzsaw_bbvzd2cachezd2);
															}
															if (BgL_test4933z00_22788)
																{	/* SawBbv/bbv-specialize.scm 1704 */
																	BgL_bbvzd2rangezd2_bglt BgL_rangez00_11164;

																	BgL_rangez00_11164 =
																		BGl_bbvzd2rangezd2subz00zzsaw_bbvzd2rangezd2
																		(((BgL_bbvzd2rangezd2_bglt)
																			BgL_intlz00_11110),
																		((BgL_bbvzd2rangezd2_bglt)
																			BgL_intrz00_11111));
																	if (BGl_bbvzd2rangezd2fixnumzf3zf3zzsaw_bbvzd2rangezd2(BgL_rangez00_11164))
																		{	/* SawBbv/bbv-specialize.scm 1707 */
																			BgL_bbvzd2ctxzd2_bglt BgL_nctxz00_11165;

																			{	/* SawBbv/bbv-specialize.scm 1707 */
																				obj_t BgL_arg3854z00_11166;
																				obj_t BgL_arg3855z00_11167;

																				BgL_arg3854z00_11166 =
																					(((BgL_rtl_insz00_bglt) COBJECT(
																							((BgL_rtl_insz00_bglt)
																								BgL_iz00_9820)))->BgL_destz00);
																				{	/* SawBbv/bbv-specialize.scm 1707 */
																					obj_t BgL_list3856z00_11168;

																					BgL_list3856z00_11168 =
																						MAKE_YOUNG_PAIR
																						(BGl_za2bintza2z00zztype_cachez00,
																						BNIL);
																					BgL_arg3855z00_11167 =
																						BgL_list3856z00_11168;
																				}
																				BgL_nctxz00_11165 =
																					BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2
																					(((BgL_bbvzd2ctxzd2_bglt)
																						BgL_ctxz00_9823),
																					((BgL_rtl_regz00_bglt)
																						BgL_arg3854z00_11166),
																					BgL_arg3855z00_11167, ((bool_t) 1),
																					BFALSE, BINT(1L),
																					((obj_t) BgL_rangez00_11164));
																			}
																			{	/* SawBbv/bbv-specialize.scm 1710 */
																				BgL_rtl_insz00_bglt
																					BgL_val0_2467z00_11169;
																				BgL_val0_2467z00_11169 =
																					BGl_fxzd2safezd2ze3fxze70z04zzsaw_bbvzd2specializa7ez75
																					((((BgL_rtl_callz00_bglt)
																							COBJECT(BgL_i2030z00_11106))->
																						BgL_varz00),
																					((BgL_rtl_insz00_bglt) BgL_iz00_9820),
																					BgL_ctxz00_9823, BgL_nctxz00_11165);
																				{	/* SawBbv/bbv-specialize.scm 1710 */
																					int BgL_tmpz00_22808;

																					BgL_tmpz00_22808 = (int) (2L);
																					BGL_MVALUES_NUMBER_SET
																						(BgL_tmpz00_22808);
																				}
																				{	/* SawBbv/bbv-specialize.scm 1710 */
																					obj_t BgL_auxz00_22813;
																					int BgL_tmpz00_22811;

																					BgL_auxz00_22813 =
																						((obj_t) BgL_nctxz00_11165);
																					BgL_tmpz00_22811 = (int) (1L);
																					BGL_MVALUES_VAL_SET(BgL_tmpz00_22811,
																						BgL_auxz00_22813);
																				}
																				BgL_auxz00_22458 =
																					BgL_val0_2467z00_11169;
																		}}
																	else
																		{	/* SawBbv/bbv-specialize.scm 1712 */
																			BgL_rtl_insz00_bglt
																				BgL_val0_2469z00_11170;
																			{	/* SawBbv/bbv-specialize.scm 1712 */
																				BgL_rtl_insz00_bglt
																					BgL_new2061z00_11171;
																				{	/* SawBbv/bbv-specialize.scm 1713 */
																					BgL_rtl_insz00_bglt
																						BgL_tmp2069z00_11172;
																					BgL_rtl_inszf2bbvzf2_bglt
																						BgL_wide2070z00_11173;
																					{
																						BgL_rtl_insz00_bglt
																							BgL_auxz00_22816;
																						{	/* SawBbv/bbv-specialize.scm 1713 */
																							BgL_rtl_insz00_bglt
																								BgL_new2068z00_11174;
																							BgL_new2068z00_11174 =
																								((BgL_rtl_insz00_bglt)
																								BOBJECT(GC_MALLOC(sizeof(struct
																											BgL_rtl_insz00_bgl))));
																							{	/* SawBbv/bbv-specialize.scm 1713 */
																								long BgL_arg3858z00_11175;

																								BgL_arg3858z00_11175 =
																									BGL_CLASS_NUM
																									(BGl_rtl_insz00zzsaw_defsz00);
																								BGL_OBJECT_CLASS_NUM_SET((
																										(BgL_objectz00_bglt)
																										BgL_new2068z00_11174),
																									BgL_arg3858z00_11175);
																							}
																							{	/* SawBbv/bbv-specialize.scm 1713 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_22821;
																								BgL_tmpz00_22821 =
																									((BgL_objectz00_bglt)
																									BgL_new2068z00_11174);
																								BGL_OBJECT_WIDENING_SET
																									(BgL_tmpz00_22821, BFALSE);
																							}
																							((BgL_objectz00_bglt)
																								BgL_new2068z00_11174);
																							BgL_auxz00_22816 =
																								BgL_new2068z00_11174;
																						}
																						BgL_tmp2069z00_11172 =
																							((BgL_rtl_insz00_bglt)
																							BgL_auxz00_22816);
																					}
																					BgL_wide2070z00_11173 =
																						((BgL_rtl_inszf2bbvzf2_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_rtl_inszf2bbvzf2_bgl))));
																					{	/* SawBbv/bbv-specialize.scm 1713 */
																						obj_t BgL_auxz00_22829;
																						BgL_objectz00_bglt BgL_tmpz00_22827;

																						BgL_auxz00_22829 =
																							((obj_t) BgL_wide2070z00_11173);
																						BgL_tmpz00_22827 =
																							((BgL_objectz00_bglt)
																							BgL_tmp2069z00_11172);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_tmpz00_22827,
																							BgL_auxz00_22829);
																					}
																					((BgL_objectz00_bglt)
																						BgL_tmp2069z00_11172);
																					{	/* SawBbv/bbv-specialize.scm 1713 */
																						long BgL_arg3857z00_11176;

																						BgL_arg3857z00_11176 =
																							BGL_CLASS_NUM
																							(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																						BGL_OBJECT_CLASS_NUM_SET((
																								(BgL_objectz00_bglt)
																								BgL_tmp2069z00_11172),
																							BgL_arg3857z00_11176);
																					}
																					BgL_new2061z00_11171 =
																						((BgL_rtl_insz00_bglt)
																						BgL_tmp2069z00_11172);
																				}
																				((((BgL_rtl_insz00_bglt) COBJECT(
																								((BgL_rtl_insz00_bglt)
																									BgL_new2061z00_11171)))->
																						BgL_locz00) =
																					((obj_t) (((BgL_rtl_insz00_bglt)
																								COBJECT(((BgL_rtl_insz00_bglt)
																										BgL_iz00_9820)))->
																							BgL_locz00)), BUNSPEC);
																				((((BgL_rtl_insz00_bglt)
																							COBJECT(((BgL_rtl_insz00_bglt)
																									BgL_new2061z00_11171)))->
																						BgL_z52spillz52) =
																					((obj_t) (((BgL_rtl_insz00_bglt)
																								COBJECT(((BgL_rtl_insz00_bglt)
																										BgL_iz00_9820)))->
																							BgL_z52spillz52)), BUNSPEC);
																				((((BgL_rtl_insz00_bglt)
																							COBJECT(((BgL_rtl_insz00_bglt)
																									BgL_new2061z00_11171)))->
																						BgL_destz00) =
																					((obj_t) (((BgL_rtl_insz00_bglt)
																								COBJECT(((BgL_rtl_insz00_bglt)
																										BgL_iz00_9820)))->
																							BgL_destz00)), BUNSPEC);
																				((((BgL_rtl_insz00_bglt)
																							COBJECT(((BgL_rtl_insz00_bglt)
																									BgL_new2061z00_11171)))->
																						BgL_funz00) =
																					((BgL_rtl_funz00_bglt) ((
																								(BgL_rtl_insz00_bglt)
																								COBJECT(((BgL_rtl_insz00_bglt)
																										BgL_iz00_9820)))->
																							BgL_funz00)), BUNSPEC);
																				((((BgL_rtl_insz00_bglt)
																							COBJECT(((BgL_rtl_insz00_bglt)
																									BgL_new2061z00_11171)))->
																						BgL_argsz00) =
																					((obj_t) (((BgL_rtl_insz00_bglt)
																								COBJECT(((BgL_rtl_insz00_bglt)
																										BgL_iz00_9820)))->
																							BgL_argsz00)), BUNSPEC);
																				{
																					obj_t BgL_auxz00_22863;
																					BgL_rtl_inszf2bbvzf2_bglt
																						BgL_auxz00_22857;
																					{
																						BgL_rtl_inszf2bbvzf2_bglt
																							BgL_auxz00_22864;
																						{
																							obj_t BgL_auxz00_22865;

																							{	/* SawBbv/bbv-specialize.scm 1713 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_22866;
																								BgL_tmpz00_22866 =
																									((BgL_objectz00_bglt) (
																										(BgL_rtl_insz00_bglt) (
																											(BgL_rtl_insz00_bglt)
																											BgL_iz00_9820)));
																								BgL_auxz00_22865 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_22866);
																							}
																							BgL_auxz00_22864 =
																								((BgL_rtl_inszf2bbvzf2_bglt)
																								BgL_auxz00_22865);
																						}
																						BgL_auxz00_22863 =
																							(((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_22864))->
																							BgL_defz00);
																					}
																					{
																						obj_t BgL_auxz00_22858;

																						{	/* SawBbv/bbv-specialize.scm 1713 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_22859;
																							BgL_tmpz00_22859 =
																								((BgL_objectz00_bglt)
																								BgL_new2061z00_11171);
																							BgL_auxz00_22858 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_22859);
																						}
																						BgL_auxz00_22857 =
																							((BgL_rtl_inszf2bbvzf2_bglt)
																							BgL_auxz00_22858);
																					}
																					((((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_22857))->
																							BgL_defz00) =
																						((obj_t) BgL_auxz00_22863),
																						BUNSPEC);
																				}
																				{
																					obj_t BgL_auxz00_22880;
																					BgL_rtl_inszf2bbvzf2_bglt
																						BgL_auxz00_22874;
																					{
																						BgL_rtl_inszf2bbvzf2_bglt
																							BgL_auxz00_22881;
																						{
																							obj_t BgL_auxz00_22882;

																							{	/* SawBbv/bbv-specialize.scm 1713 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_22883;
																								BgL_tmpz00_22883 =
																									((BgL_objectz00_bglt) (
																										(BgL_rtl_insz00_bglt) (
																											(BgL_rtl_insz00_bglt)
																											BgL_iz00_9820)));
																								BgL_auxz00_22882 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_22883);
																							}
																							BgL_auxz00_22881 =
																								((BgL_rtl_inszf2bbvzf2_bglt)
																								BgL_auxz00_22882);
																						}
																						BgL_auxz00_22880 =
																							(((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_22881))->
																							BgL_outz00);
																					}
																					{
																						obj_t BgL_auxz00_22875;

																						{	/* SawBbv/bbv-specialize.scm 1713 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_22876;
																							BgL_tmpz00_22876 =
																								((BgL_objectz00_bglt)
																								BgL_new2061z00_11171);
																							BgL_auxz00_22875 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_22876);
																						}
																						BgL_auxz00_22874 =
																							((BgL_rtl_inszf2bbvzf2_bglt)
																							BgL_auxz00_22875);
																					}
																					((((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_22874))->
																							BgL_outz00) =
																						((obj_t) BgL_auxz00_22880),
																						BUNSPEC);
																				}
																				{
																					obj_t BgL_auxz00_22897;
																					BgL_rtl_inszf2bbvzf2_bglt
																						BgL_auxz00_22891;
																					{
																						BgL_rtl_inszf2bbvzf2_bglt
																							BgL_auxz00_22898;
																						{
																							obj_t BgL_auxz00_22899;

																							{	/* SawBbv/bbv-specialize.scm 1713 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_22900;
																								BgL_tmpz00_22900 =
																									((BgL_objectz00_bglt) (
																										(BgL_rtl_insz00_bglt) (
																											(BgL_rtl_insz00_bglt)
																											BgL_iz00_9820)));
																								BgL_auxz00_22899 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_22900);
																							}
																							BgL_auxz00_22898 =
																								((BgL_rtl_inszf2bbvzf2_bglt)
																								BgL_auxz00_22899);
																						}
																						BgL_auxz00_22897 =
																							(((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_22898))->
																							BgL_inz00);
																					}
																					{
																						obj_t BgL_auxz00_22892;

																						{	/* SawBbv/bbv-specialize.scm 1713 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_22893;
																							BgL_tmpz00_22893 =
																								((BgL_objectz00_bglt)
																								BgL_new2061z00_11171);
																							BgL_auxz00_22892 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_22893);
																						}
																						BgL_auxz00_22891 =
																							((BgL_rtl_inszf2bbvzf2_bglt)
																							BgL_auxz00_22892);
																					}
																					((((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_22891))->
																							BgL_inz00) =
																						((obj_t) BgL_auxz00_22897),
																						BUNSPEC);
																				}
																				{
																					BgL_rtl_inszf2bbvzf2_bglt
																						BgL_auxz00_22908;
																					{
																						obj_t BgL_auxz00_22909;

																						{	/* SawBbv/bbv-specialize.scm 1713 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_22910;
																							BgL_tmpz00_22910 =
																								((BgL_objectz00_bglt)
																								BgL_new2061z00_11171);
																							BgL_auxz00_22909 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_22910);
																						}
																						BgL_auxz00_22908 =
																							((BgL_rtl_inszf2bbvzf2_bglt)
																							BgL_auxz00_22909);
																					}
																					((((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_22908))->
																							BgL_ctxz00) =
																						((BgL_bbvzd2ctxzd2_bglt) (
																								(BgL_bbvzd2ctxzd2_bglt)
																								BgL_ctxz00_9823)), BUNSPEC);
																				}
																				{
																					obj_t BgL_auxz00_22922;
																					BgL_rtl_inszf2bbvzf2_bglt
																						BgL_auxz00_22916;
																					{
																						BgL_rtl_inszf2bbvzf2_bglt
																							BgL_auxz00_22923;
																						{
																							obj_t BgL_auxz00_22924;

																							{	/* SawBbv/bbv-specialize.scm 1713 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_22925;
																								BgL_tmpz00_22925 =
																									((BgL_objectz00_bglt) (
																										(BgL_rtl_insz00_bglt) (
																											(BgL_rtl_insz00_bglt)
																											BgL_iz00_9820)));
																								BgL_auxz00_22924 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_22925);
																							}
																							BgL_auxz00_22923 =
																								((BgL_rtl_inszf2bbvzf2_bglt)
																								BgL_auxz00_22924);
																						}
																						BgL_auxz00_22922 =
																							(((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_22923))->
																							BgL_z52hashz52);
																					}
																					{
																						obj_t BgL_auxz00_22917;

																						{	/* SawBbv/bbv-specialize.scm 1713 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_22918;
																							BgL_tmpz00_22918 =
																								((BgL_objectz00_bglt)
																								BgL_new2061z00_11171);
																							BgL_auxz00_22917 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_22918);
																						}
																						BgL_auxz00_22916 =
																							((BgL_rtl_inszf2bbvzf2_bglt)
																							BgL_auxz00_22917);
																					}
																					((((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_22916))->
																							BgL_z52hashz52) =
																						((obj_t) BgL_auxz00_22922),
																						BUNSPEC);
																				}
																				BgL_val0_2469z00_11170 =
																					BgL_new2061z00_11171;
																			}
																			{	/* SawBbv/bbv-specialize.scm 1712 */
																				int BgL_tmpz00_22933;

																				BgL_tmpz00_22933 = (int) (2L);
																				BGL_MVALUES_NUMBER_SET
																					(BgL_tmpz00_22933);
																			}
																			{	/* SawBbv/bbv-specialize.scm 1712 */
																				int BgL_tmpz00_22936;

																				BgL_tmpz00_22936 = (int) (1L);
																				BGL_MVALUES_VAL_SET(BgL_tmpz00_22936,
																					BgL_ctxz00_9823);
																			}
																			BgL_auxz00_22458 = BgL_val0_2469z00_11170;
																}}
															else
																{	/* SawBbv/bbv-specialize.scm 1715 */
																	bool_t BgL_test4935z00_22939;

																	{	/* SawBbv/bbv-specialize.scm 1715 */
																		bool_t BgL_test4936z00_22940;

																		{	/* SawBbv/bbv-specialize.scm 1715 */
																			obj_t BgL_arg3905z00_11177;

																			BgL_arg3905z00_11177 =
																				((obj_t)
																				(((BgL_rtl_callz00_bglt)
																						COBJECT(BgL_i2030z00_11106))->
																					BgL_varz00));
																			BgL_test4936z00_22940 =
																				(BgL_arg3905z00_11177 ==
																				BGl_za2zb2fxza2zb2zzsaw_bbvzd2cachezd2);
																		}
																		if (BgL_test4936z00_22940)
																			{	/* SawBbv/bbv-specialize.scm 1715 */
																				BgL_test4935z00_22939 = ((bool_t) 1);
																			}
																		else
																			{	/* SawBbv/bbv-specialize.scm 1715 */
																				obj_t BgL_arg3904z00_11178;

																				BgL_arg3904z00_11178 =
																					((obj_t)
																					(((BgL_rtl_callz00_bglt)
																							COBJECT(BgL_i2030z00_11106))->
																						BgL_varz00));
																				BgL_test4935z00_22939 =
																					(BgL_arg3904z00_11178 ==
																					BGl_za2addfxza2z00zzsaw_bbvzd2cachezd2);
																			}
																	}
																	if (BgL_test4935z00_22939)
																		{	/* SawBbv/bbv-specialize.scm 1716 */
																			BgL_bbvzd2rangezd2_bglt
																				BgL_rangez00_11179;
																			BgL_rangez00_11179 =
																				BGl_bbvzd2rangezd2addz00zzsaw_bbvzd2rangezd2
																				(((BgL_bbvzd2rangezd2_bglt)
																					BgL_intlz00_11110),
																				((BgL_bbvzd2rangezd2_bglt)
																					BgL_intrz00_11111));
																			if (BGl_bbvzd2rangezd2fixnumzf3zf3zzsaw_bbvzd2rangezd2(BgL_rangez00_11179))
																				{	/* SawBbv/bbv-specialize.scm 1719 */
																					BgL_bbvzd2ctxzd2_bglt
																						BgL_nctxz00_11180;
																					{	/* SawBbv/bbv-specialize.scm 1719 */
																						obj_t BgL_arg3867z00_11181;
																						obj_t BgL_arg3868z00_11182;

																						BgL_arg3867z00_11181 =
																							(((BgL_rtl_insz00_bglt) COBJECT(
																									((BgL_rtl_insz00_bglt)
																										BgL_iz00_9820)))->
																							BgL_destz00);
																						{	/* SawBbv/bbv-specialize.scm 1719 */
																							obj_t BgL_list3869z00_11183;

																							BgL_list3869z00_11183 =
																								MAKE_YOUNG_PAIR
																								(BGl_za2longza2z00zztype_cachez00,
																								BNIL);
																							BgL_arg3868z00_11182 =
																								BgL_list3869z00_11183;
																						}
																						BgL_nctxz00_11180 =
																							BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2
																							(((BgL_bbvzd2ctxzd2_bglt)
																								BgL_ctxz00_9823),
																							((BgL_rtl_regz00_bglt)
																								BgL_arg3867z00_11181),
																							BgL_arg3868z00_11182,
																							((bool_t) 1), BFALSE, BINT(1L),
																							((obj_t) BgL_rangez00_11179));
																					}
																					{	/* SawBbv/bbv-specialize.scm 1722 */
																						BgL_rtl_insz00_bglt
																							BgL_val0_2471z00_11184;
																						{	/* SawBbv/bbv-specialize.scm 1722 */
																							BgL_rtl_insz00_bglt
																								BgL_new2071z00_11185;
																							{	/* SawBbv/bbv-specialize.scm 1723 */
																								BgL_rtl_insz00_bglt
																									BgL_tmp2079z00_11186;
																								BgL_rtl_inszf2bbvzf2_bglt
																									BgL_wide2080z00_11187;
																								{
																									BgL_rtl_insz00_bglt
																										BgL_auxz00_22960;
																									{	/* SawBbv/bbv-specialize.scm 1723 */
																										BgL_rtl_insz00_bglt
																											BgL_new2078z00_11188;
																										BgL_new2078z00_11188 =
																											((BgL_rtl_insz00_bglt)
																											BOBJECT(GC_MALLOC(sizeof
																													(struct
																														BgL_rtl_insz00_bgl))));
																										{	/* SawBbv/bbv-specialize.scm 1723 */
																											long BgL_arg3866z00_11189;

																											BgL_arg3866z00_11189 =
																												BGL_CLASS_NUM
																												(BGl_rtl_insz00zzsaw_defsz00);
																											BGL_OBJECT_CLASS_NUM_SET((
																													(BgL_objectz00_bglt)
																													BgL_new2078z00_11188),
																												BgL_arg3866z00_11189);
																										}
																										{	/* SawBbv/bbv-specialize.scm 1723 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_22965;
																											BgL_tmpz00_22965 =
																												((BgL_objectz00_bglt)
																												BgL_new2078z00_11188);
																											BGL_OBJECT_WIDENING_SET
																												(BgL_tmpz00_22965,
																												BFALSE);
																										}
																										((BgL_objectz00_bglt)
																											BgL_new2078z00_11188);
																										BgL_auxz00_22960 =
																											BgL_new2078z00_11188;
																									}
																									BgL_tmp2079z00_11186 =
																										((BgL_rtl_insz00_bglt)
																										BgL_auxz00_22960);
																								}
																								BgL_wide2080z00_11187 =
																									((BgL_rtl_inszf2bbvzf2_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_rtl_inszf2bbvzf2_bgl))));
																								{	/* SawBbv/bbv-specialize.scm 1723 */
																									obj_t BgL_auxz00_22973;
																									BgL_objectz00_bglt
																										BgL_tmpz00_22971;
																									BgL_auxz00_22973 =
																										((obj_t)
																										BgL_wide2080z00_11187);
																									BgL_tmpz00_22971 =
																										((BgL_objectz00_bglt)
																										BgL_tmp2079z00_11186);
																									BGL_OBJECT_WIDENING_SET
																										(BgL_tmpz00_22971,
																										BgL_auxz00_22973);
																								}
																								((BgL_objectz00_bglt)
																									BgL_tmp2079z00_11186);
																								{	/* SawBbv/bbv-specialize.scm 1723 */
																									long BgL_arg3865z00_11190;

																									BgL_arg3865z00_11190 =
																										BGL_CLASS_NUM
																										(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																									BGL_OBJECT_CLASS_NUM_SET((
																											(BgL_objectz00_bglt)
																											BgL_tmp2079z00_11186),
																										BgL_arg3865z00_11190);
																								}
																								BgL_new2071z00_11185 =
																									((BgL_rtl_insz00_bglt)
																									BgL_tmp2079z00_11186);
																							}
																							((((BgL_rtl_insz00_bglt) COBJECT(
																											((BgL_rtl_insz00_bglt)
																												BgL_new2071z00_11185)))->
																									BgL_locz00) =
																								((obj_t) (((BgL_rtl_insz00_bglt)
																											COBJECT((
																													(BgL_rtl_insz00_bglt)
																													BgL_iz00_9820)))->
																										BgL_locz00)), BUNSPEC);
																							((((BgL_rtl_insz00_bglt)
																										COBJECT((
																												(BgL_rtl_insz00_bglt)
																												BgL_new2071z00_11185)))->
																									BgL_z52spillz52) =
																								((obj_t) (((BgL_rtl_insz00_bglt)
																											COBJECT((
																													(BgL_rtl_insz00_bglt)
																													BgL_iz00_9820)))->
																										BgL_z52spillz52)), BUNSPEC);
																							((((BgL_rtl_insz00_bglt)
																										COBJECT((
																												(BgL_rtl_insz00_bglt)
																												BgL_new2071z00_11185)))->
																									BgL_destz00) =
																								((obj_t) (((BgL_rtl_insz00_bglt)
																											COBJECT((
																													(BgL_rtl_insz00_bglt)
																													BgL_iz00_9820)))->
																										BgL_destz00)), BUNSPEC);
																							((((BgL_rtl_insz00_bglt)
																										COBJECT((
																												(BgL_rtl_insz00_bglt)
																												BgL_new2071z00_11185)))->
																									BgL_funz00) =
																								((BgL_rtl_funz00_bglt) ((
																											(BgL_rtl_insz00_bglt)
																											COBJECT((
																													(BgL_rtl_insz00_bglt)
																													BgL_iz00_9820)))->
																										BgL_funz00)), BUNSPEC);
																							((((BgL_rtl_insz00_bglt)
																										COBJECT((
																												(BgL_rtl_insz00_bglt)
																												BgL_new2071z00_11185)))->
																									BgL_argsz00) =
																								((obj_t) (((BgL_rtl_insz00_bglt)
																											COBJECT((
																													(BgL_rtl_insz00_bglt)
																													BgL_iz00_9820)))->
																										BgL_argsz00)), BUNSPEC);
																							{
																								obj_t BgL_auxz00_23007;
																								BgL_rtl_inszf2bbvzf2_bglt
																									BgL_auxz00_23001;
																								{
																									BgL_rtl_inszf2bbvzf2_bglt
																										BgL_auxz00_23008;
																									{
																										obj_t BgL_auxz00_23009;

																										{	/* SawBbv/bbv-specialize.scm 1723 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_23010;
																											BgL_tmpz00_23010 =
																												((BgL_objectz00_bglt) (
																													(BgL_rtl_insz00_bglt)
																													((BgL_rtl_insz00_bglt)
																														BgL_iz00_9820)));
																											BgL_auxz00_23009 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_23010);
																										}
																										BgL_auxz00_23008 =
																											(
																											(BgL_rtl_inszf2bbvzf2_bglt)
																											BgL_auxz00_23009);
																									}
																									BgL_auxz00_23007 =
																										(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_23008))->BgL_defz00);
																								}
																								{
																									obj_t BgL_auxz00_23002;

																									{	/* SawBbv/bbv-specialize.scm 1723 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_23003;
																										BgL_tmpz00_23003 =
																											((BgL_objectz00_bglt)
																											BgL_new2071z00_11185);
																										BgL_auxz00_23002 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_23003);
																									}
																									BgL_auxz00_23001 =
																										((BgL_rtl_inszf2bbvzf2_bglt)
																										BgL_auxz00_23002);
																								}
																								((((BgL_rtl_inszf2bbvzf2_bglt)
																											COBJECT
																											(BgL_auxz00_23001))->
																										BgL_defz00) =
																									((obj_t) BgL_auxz00_23007),
																									BUNSPEC);
																							}
																							{
																								obj_t BgL_auxz00_23024;
																								BgL_rtl_inszf2bbvzf2_bglt
																									BgL_auxz00_23018;
																								{
																									BgL_rtl_inszf2bbvzf2_bglt
																										BgL_auxz00_23025;
																									{
																										obj_t BgL_auxz00_23026;

																										{	/* SawBbv/bbv-specialize.scm 1723 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_23027;
																											BgL_tmpz00_23027 =
																												((BgL_objectz00_bglt) (
																													(BgL_rtl_insz00_bglt)
																													((BgL_rtl_insz00_bglt)
																														BgL_iz00_9820)));
																											BgL_auxz00_23026 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_23027);
																										}
																										BgL_auxz00_23025 =
																											(
																											(BgL_rtl_inszf2bbvzf2_bglt)
																											BgL_auxz00_23026);
																									}
																									BgL_auxz00_23024 =
																										(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_23025))->BgL_outz00);
																								}
																								{
																									obj_t BgL_auxz00_23019;

																									{	/* SawBbv/bbv-specialize.scm 1723 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_23020;
																										BgL_tmpz00_23020 =
																											((BgL_objectz00_bglt)
																											BgL_new2071z00_11185);
																										BgL_auxz00_23019 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_23020);
																									}
																									BgL_auxz00_23018 =
																										((BgL_rtl_inszf2bbvzf2_bglt)
																										BgL_auxz00_23019);
																								}
																								((((BgL_rtl_inszf2bbvzf2_bglt)
																											COBJECT
																											(BgL_auxz00_23018))->
																										BgL_outz00) =
																									((obj_t) BgL_auxz00_23024),
																									BUNSPEC);
																							}
																							{
																								obj_t BgL_auxz00_23041;
																								BgL_rtl_inszf2bbvzf2_bglt
																									BgL_auxz00_23035;
																								{
																									BgL_rtl_inszf2bbvzf2_bglt
																										BgL_auxz00_23042;
																									{
																										obj_t BgL_auxz00_23043;

																										{	/* SawBbv/bbv-specialize.scm 1723 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_23044;
																											BgL_tmpz00_23044 =
																												((BgL_objectz00_bglt) (
																													(BgL_rtl_insz00_bglt)
																													((BgL_rtl_insz00_bglt)
																														BgL_iz00_9820)));
																											BgL_auxz00_23043 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_23044);
																										}
																										BgL_auxz00_23042 =
																											(
																											(BgL_rtl_inszf2bbvzf2_bglt)
																											BgL_auxz00_23043);
																									}
																									BgL_auxz00_23041 =
																										(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_23042))->BgL_inz00);
																								}
																								{
																									obj_t BgL_auxz00_23036;

																									{	/* SawBbv/bbv-specialize.scm 1723 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_23037;
																										BgL_tmpz00_23037 =
																											((BgL_objectz00_bglt)
																											BgL_new2071z00_11185);
																										BgL_auxz00_23036 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_23037);
																									}
																									BgL_auxz00_23035 =
																										((BgL_rtl_inszf2bbvzf2_bglt)
																										BgL_auxz00_23036);
																								}
																								((((BgL_rtl_inszf2bbvzf2_bglt)
																											COBJECT
																											(BgL_auxz00_23035))->
																										BgL_inz00) =
																									((obj_t) BgL_auxz00_23041),
																									BUNSPEC);
																							}
																							{
																								BgL_rtl_inszf2bbvzf2_bglt
																									BgL_auxz00_23052;
																								{
																									obj_t BgL_auxz00_23053;

																									{	/* SawBbv/bbv-specialize.scm 1723 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_23054;
																										BgL_tmpz00_23054 =
																											((BgL_objectz00_bglt)
																											BgL_new2071z00_11185);
																										BgL_auxz00_23053 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_23054);
																									}
																									BgL_auxz00_23052 =
																										((BgL_rtl_inszf2bbvzf2_bglt)
																										BgL_auxz00_23053);
																								}
																								((((BgL_rtl_inszf2bbvzf2_bglt)
																											COBJECT
																											(BgL_auxz00_23052))->
																										BgL_ctxz00) =
																									((BgL_bbvzd2ctxzd2_bglt) (
																											(BgL_bbvzd2ctxzd2_bglt)
																											BgL_ctxz00_9823)),
																									BUNSPEC);
																							}
																							{
																								obj_t BgL_auxz00_23066;
																								BgL_rtl_inszf2bbvzf2_bglt
																									BgL_auxz00_23060;
																								{
																									BgL_rtl_inszf2bbvzf2_bglt
																										BgL_auxz00_23067;
																									{
																										obj_t BgL_auxz00_23068;

																										{	/* SawBbv/bbv-specialize.scm 1723 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_23069;
																											BgL_tmpz00_23069 =
																												((BgL_objectz00_bglt) (
																													(BgL_rtl_insz00_bglt)
																													((BgL_rtl_insz00_bglt)
																														BgL_iz00_9820)));
																											BgL_auxz00_23068 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_23069);
																										}
																										BgL_auxz00_23067 =
																											(
																											(BgL_rtl_inszf2bbvzf2_bglt)
																											BgL_auxz00_23068);
																									}
																									BgL_auxz00_23066 =
																										(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_23067))->BgL_z52hashz52);
																								}
																								{
																									obj_t BgL_auxz00_23061;

																									{	/* SawBbv/bbv-specialize.scm 1723 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_23062;
																										BgL_tmpz00_23062 =
																											((BgL_objectz00_bglt)
																											BgL_new2071z00_11185);
																										BgL_auxz00_23061 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_23062);
																									}
																									BgL_auxz00_23060 =
																										((BgL_rtl_inszf2bbvzf2_bglt)
																										BgL_auxz00_23061);
																								}
																								((((BgL_rtl_inszf2bbvzf2_bglt)
																											COBJECT
																											(BgL_auxz00_23060))->
																										BgL_z52hashz52) =
																									((obj_t) BgL_auxz00_23066),
																									BUNSPEC);
																							}
																							BgL_val0_2471z00_11184 =
																								BgL_new2071z00_11185;
																						}
																						{	/* SawBbv/bbv-specialize.scm 1722 */
																							int BgL_tmpz00_23077;

																							BgL_tmpz00_23077 = (int) (2L);
																							BGL_MVALUES_NUMBER_SET
																								(BgL_tmpz00_23077);
																						}
																						{	/* SawBbv/bbv-specialize.scm 1722 */
																							obj_t BgL_auxz00_23082;
																							int BgL_tmpz00_23080;

																							BgL_auxz00_23082 =
																								((obj_t) BgL_nctxz00_11180);
																							BgL_tmpz00_23080 = (int) (1L);
																							BGL_MVALUES_VAL_SET
																								(BgL_tmpz00_23080,
																								BgL_auxz00_23082);
																						}
																						BgL_auxz00_22458 =
																							BgL_val0_2471z00_11184;
																				}}
																			else
																				{	/* SawBbv/bbv-specialize.scm 1725 */
																					BgL_rtl_insz00_bglt
																						BgL_val0_2473z00_11191;
																					{	/* SawBbv/bbv-specialize.scm 1725 */
																						BgL_rtl_insz00_bglt
																							BgL_new2081z00_11192;
																						{	/* SawBbv/bbv-specialize.scm 1726 */
																							BgL_rtl_insz00_bglt
																								BgL_tmp2089z00_11193;
																							BgL_rtl_inszf2bbvzf2_bglt
																								BgL_wide2090z00_11194;
																							{
																								BgL_rtl_insz00_bglt
																									BgL_auxz00_23085;
																								{	/* SawBbv/bbv-specialize.scm 1726 */
																									BgL_rtl_insz00_bglt
																										BgL_new2088z00_11195;
																									BgL_new2088z00_11195 =
																										((BgL_rtl_insz00_bglt)
																										BOBJECT(GC_MALLOC(sizeof
																												(struct
																													BgL_rtl_insz00_bgl))));
																									{	/* SawBbv/bbv-specialize.scm 1726 */
																										long BgL_arg3871z00_11196;

																										BgL_arg3871z00_11196 =
																											BGL_CLASS_NUM
																											(BGl_rtl_insz00zzsaw_defsz00);
																										BGL_OBJECT_CLASS_NUM_SET((
																												(BgL_objectz00_bglt)
																												BgL_new2088z00_11195),
																											BgL_arg3871z00_11196);
																									}
																									{	/* SawBbv/bbv-specialize.scm 1726 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_23090;
																										BgL_tmpz00_23090 =
																											((BgL_objectz00_bglt)
																											BgL_new2088z00_11195);
																										BGL_OBJECT_WIDENING_SET
																											(BgL_tmpz00_23090,
																											BFALSE);
																									}
																									((BgL_objectz00_bglt)
																										BgL_new2088z00_11195);
																									BgL_auxz00_23085 =
																										BgL_new2088z00_11195;
																								}
																								BgL_tmp2089z00_11193 =
																									((BgL_rtl_insz00_bglt)
																									BgL_auxz00_23085);
																							}
																							BgL_wide2090z00_11194 =
																								((BgL_rtl_inszf2bbvzf2_bglt)
																								BOBJECT(GC_MALLOC(sizeof(struct
																											BgL_rtl_inszf2bbvzf2_bgl))));
																							{	/* SawBbv/bbv-specialize.scm 1726 */
																								obj_t BgL_auxz00_23098;
																								BgL_objectz00_bglt
																									BgL_tmpz00_23096;
																								BgL_auxz00_23098 =
																									((obj_t)
																									BgL_wide2090z00_11194);
																								BgL_tmpz00_23096 =
																									((BgL_objectz00_bglt)
																									BgL_tmp2089z00_11193);
																								BGL_OBJECT_WIDENING_SET
																									(BgL_tmpz00_23096,
																									BgL_auxz00_23098);
																							}
																							((BgL_objectz00_bglt)
																								BgL_tmp2089z00_11193);
																							{	/* SawBbv/bbv-specialize.scm 1726 */
																								long BgL_arg3870z00_11197;

																								BgL_arg3870z00_11197 =
																									BGL_CLASS_NUM
																									(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																								BGL_OBJECT_CLASS_NUM_SET((
																										(BgL_objectz00_bglt)
																										BgL_tmp2089z00_11193),
																									BgL_arg3870z00_11197);
																							}
																							BgL_new2081z00_11192 =
																								((BgL_rtl_insz00_bglt)
																								BgL_tmp2089z00_11193);
																						}
																						((((BgL_rtl_insz00_bglt) COBJECT(
																										((BgL_rtl_insz00_bglt)
																											BgL_new2081z00_11192)))->
																								BgL_locz00) =
																							((obj_t) (((BgL_rtl_insz00_bglt)
																										COBJECT((
																												(BgL_rtl_insz00_bglt)
																												BgL_iz00_9820)))->
																									BgL_locz00)), BUNSPEC);
																						((((BgL_rtl_insz00_bglt)
																									COBJECT(((BgL_rtl_insz00_bglt)
																											BgL_new2081z00_11192)))->
																								BgL_z52spillz52) =
																							((obj_t) (((BgL_rtl_insz00_bglt)
																										COBJECT((
																												(BgL_rtl_insz00_bglt)
																												BgL_iz00_9820)))->
																									BgL_z52spillz52)), BUNSPEC);
																						((((BgL_rtl_insz00_bglt)
																									COBJECT(((BgL_rtl_insz00_bglt)
																											BgL_new2081z00_11192)))->
																								BgL_destz00) =
																							((obj_t) (((BgL_rtl_insz00_bglt)
																										COBJECT((
																												(BgL_rtl_insz00_bglt)
																												BgL_iz00_9820)))->
																									BgL_destz00)), BUNSPEC);
																						((((BgL_rtl_insz00_bglt)
																									COBJECT(((BgL_rtl_insz00_bglt)
																											BgL_new2081z00_11192)))->
																								BgL_funz00) =
																							((BgL_rtl_funz00_bglt) ((
																										(BgL_rtl_insz00_bglt)
																										COBJECT((
																												(BgL_rtl_insz00_bglt)
																												BgL_iz00_9820)))->
																									BgL_funz00)), BUNSPEC);
																						((((BgL_rtl_insz00_bglt)
																									COBJECT(((BgL_rtl_insz00_bglt)
																											BgL_new2081z00_11192)))->
																								BgL_argsz00) =
																							((obj_t) (((BgL_rtl_insz00_bglt)
																										COBJECT((
																												(BgL_rtl_insz00_bglt)
																												BgL_iz00_9820)))->
																									BgL_argsz00)), BUNSPEC);
																						{
																							obj_t BgL_auxz00_23132;
																							BgL_rtl_inszf2bbvzf2_bglt
																								BgL_auxz00_23126;
																							{
																								BgL_rtl_inszf2bbvzf2_bglt
																									BgL_auxz00_23133;
																								{
																									obj_t BgL_auxz00_23134;

																									{	/* SawBbv/bbv-specialize.scm 1726 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_23135;
																										BgL_tmpz00_23135 =
																											((BgL_objectz00_bglt) (
																												(BgL_rtl_insz00_bglt) (
																													(BgL_rtl_insz00_bglt)
																													BgL_iz00_9820)));
																										BgL_auxz00_23134 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_23135);
																									}
																									BgL_auxz00_23133 =
																										((BgL_rtl_inszf2bbvzf2_bglt)
																										BgL_auxz00_23134);
																								}
																								BgL_auxz00_23132 =
																									(((BgL_rtl_inszf2bbvzf2_bglt)
																										COBJECT(BgL_auxz00_23133))->
																									BgL_defz00);
																							}
																							{
																								obj_t BgL_auxz00_23127;

																								{	/* SawBbv/bbv-specialize.scm 1726 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_23128;
																									BgL_tmpz00_23128 =
																										((BgL_objectz00_bglt)
																										BgL_new2081z00_11192);
																									BgL_auxz00_23127 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_23128);
																								}
																								BgL_auxz00_23126 =
																									((BgL_rtl_inszf2bbvzf2_bglt)
																									BgL_auxz00_23127);
																							}
																							((((BgL_rtl_inszf2bbvzf2_bglt)
																										COBJECT(BgL_auxz00_23126))->
																									BgL_defz00) =
																								((obj_t) BgL_auxz00_23132),
																								BUNSPEC);
																						}
																						{
																							obj_t BgL_auxz00_23149;
																							BgL_rtl_inszf2bbvzf2_bglt
																								BgL_auxz00_23143;
																							{
																								BgL_rtl_inszf2bbvzf2_bglt
																									BgL_auxz00_23150;
																								{
																									obj_t BgL_auxz00_23151;

																									{	/* SawBbv/bbv-specialize.scm 1726 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_23152;
																										BgL_tmpz00_23152 =
																											((BgL_objectz00_bglt) (
																												(BgL_rtl_insz00_bglt) (
																													(BgL_rtl_insz00_bglt)
																													BgL_iz00_9820)));
																										BgL_auxz00_23151 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_23152);
																									}
																									BgL_auxz00_23150 =
																										((BgL_rtl_inszf2bbvzf2_bglt)
																										BgL_auxz00_23151);
																								}
																								BgL_auxz00_23149 =
																									(((BgL_rtl_inszf2bbvzf2_bglt)
																										COBJECT(BgL_auxz00_23150))->
																									BgL_outz00);
																							}
																							{
																								obj_t BgL_auxz00_23144;

																								{	/* SawBbv/bbv-specialize.scm 1726 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_23145;
																									BgL_tmpz00_23145 =
																										((BgL_objectz00_bglt)
																										BgL_new2081z00_11192);
																									BgL_auxz00_23144 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_23145);
																								}
																								BgL_auxz00_23143 =
																									((BgL_rtl_inszf2bbvzf2_bglt)
																									BgL_auxz00_23144);
																							}
																							((((BgL_rtl_inszf2bbvzf2_bglt)
																										COBJECT(BgL_auxz00_23143))->
																									BgL_outz00) =
																								((obj_t) BgL_auxz00_23149),
																								BUNSPEC);
																						}
																						{
																							obj_t BgL_auxz00_23166;
																							BgL_rtl_inszf2bbvzf2_bglt
																								BgL_auxz00_23160;
																							{
																								BgL_rtl_inszf2bbvzf2_bglt
																									BgL_auxz00_23167;
																								{
																									obj_t BgL_auxz00_23168;

																									{	/* SawBbv/bbv-specialize.scm 1726 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_23169;
																										BgL_tmpz00_23169 =
																											((BgL_objectz00_bglt) (
																												(BgL_rtl_insz00_bglt) (
																													(BgL_rtl_insz00_bglt)
																													BgL_iz00_9820)));
																										BgL_auxz00_23168 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_23169);
																									}
																									BgL_auxz00_23167 =
																										((BgL_rtl_inszf2bbvzf2_bglt)
																										BgL_auxz00_23168);
																								}
																								BgL_auxz00_23166 =
																									(((BgL_rtl_inszf2bbvzf2_bglt)
																										COBJECT(BgL_auxz00_23167))->
																									BgL_inz00);
																							}
																							{
																								obj_t BgL_auxz00_23161;

																								{	/* SawBbv/bbv-specialize.scm 1726 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_23162;
																									BgL_tmpz00_23162 =
																										((BgL_objectz00_bglt)
																										BgL_new2081z00_11192);
																									BgL_auxz00_23161 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_23162);
																								}
																								BgL_auxz00_23160 =
																									((BgL_rtl_inszf2bbvzf2_bglt)
																									BgL_auxz00_23161);
																							}
																							((((BgL_rtl_inszf2bbvzf2_bglt)
																										COBJECT(BgL_auxz00_23160))->
																									BgL_inz00) =
																								((obj_t) BgL_auxz00_23166),
																								BUNSPEC);
																						}
																						{
																							BgL_rtl_inszf2bbvzf2_bglt
																								BgL_auxz00_23177;
																							{
																								obj_t BgL_auxz00_23178;

																								{	/* SawBbv/bbv-specialize.scm 1726 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_23179;
																									BgL_tmpz00_23179 =
																										((BgL_objectz00_bglt)
																										BgL_new2081z00_11192);
																									BgL_auxz00_23178 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_23179);
																								}
																								BgL_auxz00_23177 =
																									((BgL_rtl_inszf2bbvzf2_bglt)
																									BgL_auxz00_23178);
																							}
																							((((BgL_rtl_inszf2bbvzf2_bglt)
																										COBJECT(BgL_auxz00_23177))->
																									BgL_ctxz00) =
																								((BgL_bbvzd2ctxzd2_bglt) (
																										(BgL_bbvzd2ctxzd2_bglt)
																										BgL_ctxz00_9823)), BUNSPEC);
																						}
																						{
																							obj_t BgL_auxz00_23191;
																							BgL_rtl_inszf2bbvzf2_bglt
																								BgL_auxz00_23185;
																							{
																								BgL_rtl_inszf2bbvzf2_bglt
																									BgL_auxz00_23192;
																								{
																									obj_t BgL_auxz00_23193;

																									{	/* SawBbv/bbv-specialize.scm 1726 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_23194;
																										BgL_tmpz00_23194 =
																											((BgL_objectz00_bglt) (
																												(BgL_rtl_insz00_bglt) (
																													(BgL_rtl_insz00_bglt)
																													BgL_iz00_9820)));
																										BgL_auxz00_23193 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_23194);
																									}
																									BgL_auxz00_23192 =
																										((BgL_rtl_inszf2bbvzf2_bglt)
																										BgL_auxz00_23193);
																								}
																								BgL_auxz00_23191 =
																									(((BgL_rtl_inszf2bbvzf2_bglt)
																										COBJECT(BgL_auxz00_23192))->
																									BgL_z52hashz52);
																							}
																							{
																								obj_t BgL_auxz00_23186;

																								{	/* SawBbv/bbv-specialize.scm 1726 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_23187;
																									BgL_tmpz00_23187 =
																										((BgL_objectz00_bglt)
																										BgL_new2081z00_11192);
																									BgL_auxz00_23186 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_23187);
																								}
																								BgL_auxz00_23185 =
																									((BgL_rtl_inszf2bbvzf2_bglt)
																									BgL_auxz00_23186);
																							}
																							((((BgL_rtl_inszf2bbvzf2_bglt)
																										COBJECT(BgL_auxz00_23185))->
																									BgL_z52hashz52) =
																								((obj_t) BgL_auxz00_23191),
																								BUNSPEC);
																						}
																						BgL_val0_2473z00_11191 =
																							BgL_new2081z00_11192;
																					}
																					{	/* SawBbv/bbv-specialize.scm 1725 */
																						int BgL_tmpz00_23202;

																						BgL_tmpz00_23202 = (int) (2L);
																						BGL_MVALUES_NUMBER_SET
																							(BgL_tmpz00_23202);
																					}
																					{	/* SawBbv/bbv-specialize.scm 1725 */
																						int BgL_tmpz00_23205;

																						BgL_tmpz00_23205 = (int) (1L);
																						BGL_MVALUES_VAL_SET
																							(BgL_tmpz00_23205,
																							BgL_ctxz00_9823);
																					}
																					BgL_auxz00_22458 =
																						BgL_val0_2473z00_11191;
																		}}
																	else
																		{	/* SawBbv/bbv-specialize.scm 1728 */
																			bool_t BgL_test4938z00_23208;

																			{	/* SawBbv/bbv-specialize.scm 1728 */
																				obj_t BgL_arg3903z00_11198;

																				BgL_arg3903z00_11198 =
																					((obj_t)
																					(((BgL_rtl_callz00_bglt)
																							COBJECT(BgL_i2030z00_11106))->
																						BgL_varz00));
																				BgL_test4938z00_23208 =
																					(BgL_arg3903z00_11198 ==
																					BGl_za2zb2fxzd2safeza2z60zzsaw_bbvzd2cachezd2);
																			}
																			if (BgL_test4938z00_23208)
																				{	/* SawBbv/bbv-specialize.scm 1729 */
																					BgL_bbvzd2rangezd2_bglt
																						BgL_rangez00_11199;
																					BgL_rangez00_11199 =
																						BGl_bbvzd2rangezd2addz00zzsaw_bbvzd2rangezd2
																						(((BgL_bbvzd2rangezd2_bglt)
																							BgL_intlz00_11110),
																						((BgL_bbvzd2rangezd2_bglt)
																							BgL_intrz00_11111));
																					if (BGl_bbvzd2rangezd2fixnumzf3zf3zzsaw_bbvzd2rangezd2(BgL_rangez00_11199))
																						{	/* SawBbv/bbv-specialize.scm 1732 */
																							BgL_bbvzd2ctxzd2_bglt
																								BgL_nctxz00_11200;
																							{	/* SawBbv/bbv-specialize.scm 1732 */
																								obj_t BgL_arg3876z00_11201;
																								obj_t BgL_arg3877z00_11202;

																								BgL_arg3876z00_11201 =
																									(((BgL_rtl_insz00_bglt)
																										COBJECT((
																												(BgL_rtl_insz00_bglt)
																												BgL_iz00_9820)))->
																									BgL_destz00);
																								{	/* SawBbv/bbv-specialize.scm 1732 */
																									obj_t BgL_list3878z00_11203;

																									BgL_list3878z00_11203 =
																										MAKE_YOUNG_PAIR
																										(BGl_za2bintza2z00zztype_cachez00,
																										BNIL);
																									BgL_arg3877z00_11202 =
																										BgL_list3878z00_11203;
																								}
																								BgL_nctxz00_11200 =
																									BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2
																									(((BgL_bbvzd2ctxzd2_bglt)
																										BgL_ctxz00_9823),
																									((BgL_rtl_regz00_bglt)
																										BgL_arg3876z00_11201),
																									BgL_arg3877z00_11202,
																									((bool_t) 1), BFALSE,
																									BINT(1L),
																									((obj_t) BgL_rangez00_11199));
																							}
																							{	/* SawBbv/bbv-specialize.scm 1735 */
																								BgL_rtl_insz00_bglt
																									BgL_val0_2475z00_11204;
																								BgL_val0_2475z00_11204 =
																									BGl_fxzd2safezd2ze3fxze70z04zzsaw_bbvzd2specializa7ez75
																									((((BgL_rtl_callz00_bglt)
																											COBJECT
																											(BgL_i2030z00_11106))->
																										BgL_varz00),
																									((BgL_rtl_insz00_bglt)
																										BgL_iz00_9820),
																									BgL_ctxz00_9823,
																									BgL_nctxz00_11200);
																								{	/* SawBbv/bbv-specialize.scm 1735 */
																									int BgL_tmpz00_23228;

																									BgL_tmpz00_23228 = (int) (2L);
																									BGL_MVALUES_NUMBER_SET
																										(BgL_tmpz00_23228);
																								}
																								{	/* SawBbv/bbv-specialize.scm 1735 */
																									obj_t BgL_auxz00_23233;
																									int BgL_tmpz00_23231;

																									BgL_auxz00_23233 =
																										((obj_t) BgL_nctxz00_11200);
																									BgL_tmpz00_23231 = (int) (1L);
																									BGL_MVALUES_VAL_SET
																										(BgL_tmpz00_23231,
																										BgL_auxz00_23233);
																								}
																								BgL_auxz00_22458 =
																									BgL_val0_2475z00_11204;
																						}}
																					else
																						{	/* SawBbv/bbv-specialize.scm 1737 */
																							BgL_rtl_insz00_bglt
																								BgL_val0_2477z00_11205;
																							{	/* SawBbv/bbv-specialize.scm 1737 */
																								BgL_rtl_insz00_bglt
																									BgL_new2091z00_11206;
																								{	/* SawBbv/bbv-specialize.scm 1738 */
																									BgL_rtl_insz00_bglt
																										BgL_tmp2099z00_11207;
																									BgL_rtl_inszf2bbvzf2_bglt
																										BgL_wide2100z00_11208;
																									{
																										BgL_rtl_insz00_bglt
																											BgL_auxz00_23236;
																										{	/* SawBbv/bbv-specialize.scm 1738 */
																											BgL_rtl_insz00_bglt
																												BgL_new2098z00_11209;
																											BgL_new2098z00_11209 =
																												((BgL_rtl_insz00_bglt)
																												BOBJECT(GC_MALLOC(sizeof
																														(struct
																															BgL_rtl_insz00_bgl))));
																											{	/* SawBbv/bbv-specialize.scm 1738 */
																												long
																													BgL_arg3880z00_11210;
																												BgL_arg3880z00_11210 =
																													BGL_CLASS_NUM
																													(BGl_rtl_insz00zzsaw_defsz00);
																												BGL_OBJECT_CLASS_NUM_SET
																													(((BgL_objectz00_bglt)
																														BgL_new2098z00_11209),
																													BgL_arg3880z00_11210);
																											}
																											{	/* SawBbv/bbv-specialize.scm 1738 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_23241;
																												BgL_tmpz00_23241 =
																													((BgL_objectz00_bglt)
																													BgL_new2098z00_11209);
																												BGL_OBJECT_WIDENING_SET
																													(BgL_tmpz00_23241,
																													BFALSE);
																											}
																											((BgL_objectz00_bglt)
																												BgL_new2098z00_11209);
																											BgL_auxz00_23236 =
																												BgL_new2098z00_11209;
																										}
																										BgL_tmp2099z00_11207 =
																											((BgL_rtl_insz00_bglt)
																											BgL_auxz00_23236);
																									}
																									BgL_wide2100z00_11208 =
																										((BgL_rtl_inszf2bbvzf2_bglt)
																										BOBJECT(GC_MALLOC(sizeof
																												(struct
																													BgL_rtl_inszf2bbvzf2_bgl))));
																									{	/* SawBbv/bbv-specialize.scm 1738 */
																										obj_t BgL_auxz00_23249;
																										BgL_objectz00_bglt
																											BgL_tmpz00_23247;
																										BgL_auxz00_23249 =
																											((obj_t)
																											BgL_wide2100z00_11208);
																										BgL_tmpz00_23247 =
																											((BgL_objectz00_bglt)
																											BgL_tmp2099z00_11207);
																										BGL_OBJECT_WIDENING_SET
																											(BgL_tmpz00_23247,
																											BgL_auxz00_23249);
																									}
																									((BgL_objectz00_bglt)
																										BgL_tmp2099z00_11207);
																									{	/* SawBbv/bbv-specialize.scm 1738 */
																										long BgL_arg3879z00_11211;

																										BgL_arg3879z00_11211 =
																											BGL_CLASS_NUM
																											(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																										BGL_OBJECT_CLASS_NUM_SET((
																												(BgL_objectz00_bglt)
																												BgL_tmp2099z00_11207),
																											BgL_arg3879z00_11211);
																									}
																									BgL_new2091z00_11206 =
																										((BgL_rtl_insz00_bglt)
																										BgL_tmp2099z00_11207);
																								}
																								((((BgL_rtl_insz00_bglt)
																											COBJECT((
																													(BgL_rtl_insz00_bglt)
																													BgL_new2091z00_11206)))->
																										BgL_locz00) =
																									((obj_t) ((
																												(BgL_rtl_insz00_bglt)
																												COBJECT((
																														(BgL_rtl_insz00_bglt)
																														BgL_iz00_9820)))->
																											BgL_locz00)), BUNSPEC);
																								((((BgL_rtl_insz00_bglt)
																											COBJECT((
																													(BgL_rtl_insz00_bglt)
																													BgL_new2091z00_11206)))->
																										BgL_z52spillz52) =
																									((obj_t) ((
																												(BgL_rtl_insz00_bglt)
																												COBJECT((
																														(BgL_rtl_insz00_bglt)
																														BgL_iz00_9820)))->
																											BgL_z52spillz52)),
																									BUNSPEC);
																								((((BgL_rtl_insz00_bglt)
																											COBJECT((
																													(BgL_rtl_insz00_bglt)
																													BgL_new2091z00_11206)))->
																										BgL_destz00) =
																									((obj_t) ((
																												(BgL_rtl_insz00_bglt)
																												COBJECT((
																														(BgL_rtl_insz00_bglt)
																														BgL_iz00_9820)))->
																											BgL_destz00)), BUNSPEC);
																								((((BgL_rtl_insz00_bglt)
																											COBJECT((
																													(BgL_rtl_insz00_bglt)
																													BgL_new2091z00_11206)))->
																										BgL_funz00) =
																									((BgL_rtl_funz00_bglt) ((
																												(BgL_rtl_insz00_bglt)
																												COBJECT((
																														(BgL_rtl_insz00_bglt)
																														BgL_iz00_9820)))->
																											BgL_funz00)), BUNSPEC);
																								((((BgL_rtl_insz00_bglt)
																											COBJECT((
																													(BgL_rtl_insz00_bglt)
																													BgL_new2091z00_11206)))->
																										BgL_argsz00) =
																									((obj_t) ((
																												(BgL_rtl_insz00_bglt)
																												COBJECT((
																														(BgL_rtl_insz00_bglt)
																														BgL_iz00_9820)))->
																											BgL_argsz00)), BUNSPEC);
																								{
																									obj_t BgL_auxz00_23283;
																									BgL_rtl_inszf2bbvzf2_bglt
																										BgL_auxz00_23277;
																									{
																										BgL_rtl_inszf2bbvzf2_bglt
																											BgL_auxz00_23284;
																										{
																											obj_t BgL_auxz00_23285;

																											{	/* SawBbv/bbv-specialize.scm 1738 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_23286;
																												BgL_tmpz00_23286 =
																													((BgL_objectz00_bglt)
																													((BgL_rtl_insz00_bglt)
																														((BgL_rtl_insz00_bglt) BgL_iz00_9820)));
																												BgL_auxz00_23285 =
																													BGL_OBJECT_WIDENING
																													(BgL_tmpz00_23286);
																											}
																											BgL_auxz00_23284 =
																												(
																												(BgL_rtl_inszf2bbvzf2_bglt)
																												BgL_auxz00_23285);
																										}
																										BgL_auxz00_23283 =
																											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_23284))->BgL_defz00);
																									}
																									{
																										obj_t BgL_auxz00_23278;

																										{	/* SawBbv/bbv-specialize.scm 1738 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_23279;
																											BgL_tmpz00_23279 =
																												((BgL_objectz00_bglt)
																												BgL_new2091z00_11206);
																											BgL_auxz00_23278 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_23279);
																										}
																										BgL_auxz00_23277 =
																											(
																											(BgL_rtl_inszf2bbvzf2_bglt)
																											BgL_auxz00_23278);
																									}
																									((((BgL_rtl_inszf2bbvzf2_bglt)
																												COBJECT
																												(BgL_auxz00_23277))->
																											BgL_defz00) =
																										((obj_t) BgL_auxz00_23283),
																										BUNSPEC);
																								}
																								{
																									obj_t BgL_auxz00_23300;
																									BgL_rtl_inszf2bbvzf2_bglt
																										BgL_auxz00_23294;
																									{
																										BgL_rtl_inszf2bbvzf2_bglt
																											BgL_auxz00_23301;
																										{
																											obj_t BgL_auxz00_23302;

																											{	/* SawBbv/bbv-specialize.scm 1738 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_23303;
																												BgL_tmpz00_23303 =
																													((BgL_objectz00_bglt)
																													((BgL_rtl_insz00_bglt)
																														((BgL_rtl_insz00_bglt) BgL_iz00_9820)));
																												BgL_auxz00_23302 =
																													BGL_OBJECT_WIDENING
																													(BgL_tmpz00_23303);
																											}
																											BgL_auxz00_23301 =
																												(
																												(BgL_rtl_inszf2bbvzf2_bglt)
																												BgL_auxz00_23302);
																										}
																										BgL_auxz00_23300 =
																											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_23301))->BgL_outz00);
																									}
																									{
																										obj_t BgL_auxz00_23295;

																										{	/* SawBbv/bbv-specialize.scm 1738 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_23296;
																											BgL_tmpz00_23296 =
																												((BgL_objectz00_bglt)
																												BgL_new2091z00_11206);
																											BgL_auxz00_23295 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_23296);
																										}
																										BgL_auxz00_23294 =
																											(
																											(BgL_rtl_inszf2bbvzf2_bglt)
																											BgL_auxz00_23295);
																									}
																									((((BgL_rtl_inszf2bbvzf2_bglt)
																												COBJECT
																												(BgL_auxz00_23294))->
																											BgL_outz00) =
																										((obj_t) BgL_auxz00_23300),
																										BUNSPEC);
																								}
																								{
																									obj_t BgL_auxz00_23317;
																									BgL_rtl_inszf2bbvzf2_bglt
																										BgL_auxz00_23311;
																									{
																										BgL_rtl_inszf2bbvzf2_bglt
																											BgL_auxz00_23318;
																										{
																											obj_t BgL_auxz00_23319;

																											{	/* SawBbv/bbv-specialize.scm 1738 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_23320;
																												BgL_tmpz00_23320 =
																													((BgL_objectz00_bglt)
																													((BgL_rtl_insz00_bglt)
																														((BgL_rtl_insz00_bglt) BgL_iz00_9820)));
																												BgL_auxz00_23319 =
																													BGL_OBJECT_WIDENING
																													(BgL_tmpz00_23320);
																											}
																											BgL_auxz00_23318 =
																												(
																												(BgL_rtl_inszf2bbvzf2_bglt)
																												BgL_auxz00_23319);
																										}
																										BgL_auxz00_23317 =
																											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_23318))->BgL_inz00);
																									}
																									{
																										obj_t BgL_auxz00_23312;

																										{	/* SawBbv/bbv-specialize.scm 1738 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_23313;
																											BgL_tmpz00_23313 =
																												((BgL_objectz00_bglt)
																												BgL_new2091z00_11206);
																											BgL_auxz00_23312 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_23313);
																										}
																										BgL_auxz00_23311 =
																											(
																											(BgL_rtl_inszf2bbvzf2_bglt)
																											BgL_auxz00_23312);
																									}
																									((((BgL_rtl_inszf2bbvzf2_bglt)
																												COBJECT
																												(BgL_auxz00_23311))->
																											BgL_inz00) =
																										((obj_t) BgL_auxz00_23317),
																										BUNSPEC);
																								}
																								{
																									BgL_rtl_inszf2bbvzf2_bglt
																										BgL_auxz00_23328;
																									{
																										obj_t BgL_auxz00_23329;

																										{	/* SawBbv/bbv-specialize.scm 1738 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_23330;
																											BgL_tmpz00_23330 =
																												((BgL_objectz00_bglt)
																												BgL_new2091z00_11206);
																											BgL_auxz00_23329 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_23330);
																										}
																										BgL_auxz00_23328 =
																											(
																											(BgL_rtl_inszf2bbvzf2_bglt)
																											BgL_auxz00_23329);
																									}
																									((((BgL_rtl_inszf2bbvzf2_bglt)
																												COBJECT
																												(BgL_auxz00_23328))->
																											BgL_ctxz00) =
																										((BgL_bbvzd2ctxzd2_bglt) (
																												(BgL_bbvzd2ctxzd2_bglt)
																												BgL_ctxz00_9823)),
																										BUNSPEC);
																								}
																								{
																									obj_t BgL_auxz00_23342;
																									BgL_rtl_inszf2bbvzf2_bglt
																										BgL_auxz00_23336;
																									{
																										BgL_rtl_inszf2bbvzf2_bglt
																											BgL_auxz00_23343;
																										{
																											obj_t BgL_auxz00_23344;

																											{	/* SawBbv/bbv-specialize.scm 1738 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_23345;
																												BgL_tmpz00_23345 =
																													((BgL_objectz00_bglt)
																													((BgL_rtl_insz00_bglt)
																														((BgL_rtl_insz00_bglt) BgL_iz00_9820)));
																												BgL_auxz00_23344 =
																													BGL_OBJECT_WIDENING
																													(BgL_tmpz00_23345);
																											}
																											BgL_auxz00_23343 =
																												(
																												(BgL_rtl_inszf2bbvzf2_bglt)
																												BgL_auxz00_23344);
																										}
																										BgL_auxz00_23342 =
																											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_23343))->BgL_z52hashz52);
																									}
																									{
																										obj_t BgL_auxz00_23337;

																										{	/* SawBbv/bbv-specialize.scm 1738 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_23338;
																											BgL_tmpz00_23338 =
																												((BgL_objectz00_bglt)
																												BgL_new2091z00_11206);
																											BgL_auxz00_23337 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_23338);
																										}
																										BgL_auxz00_23336 =
																											(
																											(BgL_rtl_inszf2bbvzf2_bglt)
																											BgL_auxz00_23337);
																									}
																									((((BgL_rtl_inszf2bbvzf2_bglt)
																												COBJECT
																												(BgL_auxz00_23336))->
																											BgL_z52hashz52) =
																										((obj_t) BgL_auxz00_23342),
																										BUNSPEC);
																								}
																								BgL_val0_2477z00_11205 =
																									BgL_new2091z00_11206;
																							}
																							{	/* SawBbv/bbv-specialize.scm 1737 */
																								int BgL_tmpz00_23353;

																								BgL_tmpz00_23353 = (int) (2L);
																								BGL_MVALUES_NUMBER_SET
																									(BgL_tmpz00_23353);
																							}
																							{	/* SawBbv/bbv-specialize.scm 1737 */
																								int BgL_tmpz00_23356;

																								BgL_tmpz00_23356 = (int) (1L);
																								BGL_MVALUES_VAL_SET
																									(BgL_tmpz00_23356,
																									BgL_ctxz00_9823);
																							}
																							BgL_auxz00_22458 =
																								BgL_val0_2477z00_11205;
																				}}
																			else
																				{	/* SawBbv/bbv-specialize.scm 1740 */
																					bool_t BgL_test4941z00_23359;

																					{	/* SawBbv/bbv-specialize.scm 1740 */
																						obj_t BgL_arg3902z00_11212;

																						BgL_arg3902z00_11212 =
																							((obj_t)
																							(((BgL_rtl_callz00_bglt)
																									COBJECT(BgL_i2030z00_11106))->
																								BgL_varz00));
																						BgL_test4941z00_23359 =
																							(BgL_arg3902z00_11212 ==
																							BGl_za22zd2za2zd2zzsaw_bbvzd2cachezd2);
																					}
																					if (BgL_test4941z00_23359)
																						{	/* SawBbv/bbv-specialize.scm 1741 */
																							BgL_bbvzd2rangezd2_bglt
																								BgL_rangez00_11213;
																							BgL_rangez00_11213 =
																								BGl_bbvzd2rangezd2subz00zzsaw_bbvzd2rangezd2
																								(((BgL_bbvzd2rangezd2_bglt)
																									BgL_intlz00_11110),
																								((BgL_bbvzd2rangezd2_bglt)
																									BgL_intrz00_11111));
																							if (BGl_bbvzd2rangezd2fixnumzf3zf3zzsaw_bbvzd2rangezd2(BgL_rangez00_11213))
																								{	/* SawBbv/bbv-specialize.scm 1744 */
																									BgL_bbvzd2ctxzd2_bglt
																										BgL_nctxz00_11214;
																									{	/* SawBbv/bbv-specialize.scm 1744 */
																										obj_t BgL_arg3885z00_11215;
																										obj_t BgL_arg3886z00_11216;

																										BgL_arg3885z00_11215 =
																											(((BgL_rtl_insz00_bglt)
																												COBJECT((
																														(BgL_rtl_insz00_bglt)
																														BgL_iz00_9820)))->
																											BgL_destz00);
																										{	/* SawBbv/bbv-specialize.scm 1744 */
																											obj_t
																												BgL_list3887z00_11217;
																											BgL_list3887z00_11217 =
																												MAKE_YOUNG_PAIR
																												(BGl_za2bintza2z00zztype_cachez00,
																												BNIL);
																											BgL_arg3886z00_11216 =
																												BgL_list3887z00_11217;
																										}
																										BgL_nctxz00_11214 =
																											BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2
																											(((BgL_bbvzd2ctxzd2_bglt)
																												BgL_ctxz00_9823),
																											((BgL_rtl_regz00_bglt)
																												BgL_arg3885z00_11215),
																											BgL_arg3886z00_11216,
																											((bool_t) 1), BFALSE,
																											BINT(1L),
																											((obj_t)
																												BgL_rangez00_11213));
																									}
																									{	/* SawBbv/bbv-specialize.scm 1747 */
																										BgL_rtl_insz00_bglt
																											BgL_val0_2479z00_11218;
																										BgL_val0_2479z00_11218 =
																											BGl_2zd2ze3fxze70zd6zzsaw_bbvzd2specializa7ez75
																											((((BgL_rtl_callz00_bglt)
																													COBJECT
																													(BgL_i2030z00_11106))->
																												BgL_varz00),
																											((BgL_rtl_insz00_bglt)
																												BgL_iz00_9820),
																											BgL_ctxz00_9823,
																											BgL_nctxz00_11214);
																										{	/* SawBbv/bbv-specialize.scm 1747 */
																											int BgL_tmpz00_23379;

																											BgL_tmpz00_23379 =
																												(int) (2L);
																											BGL_MVALUES_NUMBER_SET
																												(BgL_tmpz00_23379);
																										}
																										{	/* SawBbv/bbv-specialize.scm 1747 */
																											obj_t BgL_auxz00_23384;
																											int BgL_tmpz00_23382;

																											BgL_auxz00_23384 =
																												((obj_t)
																												BgL_nctxz00_11214);
																											BgL_tmpz00_23382 =
																												(int) (1L);
																											BGL_MVALUES_VAL_SET
																												(BgL_tmpz00_23382,
																												BgL_auxz00_23384);
																										}
																										BgL_auxz00_22458 =
																											BgL_val0_2479z00_11218;
																								}}
																							else
																								{	/* SawBbv/bbv-specialize.scm 1749 */
																									BgL_rtl_insz00_bglt
																										BgL_val0_2481z00_11219;
																									{	/* SawBbv/bbv-specialize.scm 1749 */
																										BgL_rtl_insz00_bglt
																											BgL_new2101z00_11220;
																										{	/* SawBbv/bbv-specialize.scm 1750 */
																											BgL_rtl_insz00_bglt
																												BgL_tmp2109z00_11221;
																											BgL_rtl_inszf2bbvzf2_bglt
																												BgL_wide2110z00_11222;
																											{
																												BgL_rtl_insz00_bglt
																													BgL_auxz00_23387;
																												{	/* SawBbv/bbv-specialize.scm 1750 */
																													BgL_rtl_insz00_bglt
																														BgL_new2108z00_11223;
																													BgL_new2108z00_11223 =
																														(
																														(BgL_rtl_insz00_bglt)
																														BOBJECT(GC_MALLOC
																															(sizeof(struct
																																	BgL_rtl_insz00_bgl))));
																													{	/* SawBbv/bbv-specialize.scm 1750 */
																														long
																															BgL_arg3889z00_11224;
																														BgL_arg3889z00_11224
																															=
																															BGL_CLASS_NUM
																															(BGl_rtl_insz00zzsaw_defsz00);
																														BGL_OBJECT_CLASS_NUM_SET
																															(((BgL_objectz00_bglt) BgL_new2108z00_11223), BgL_arg3889z00_11224);
																													}
																													{	/* SawBbv/bbv-specialize.scm 1750 */
																														BgL_objectz00_bglt
																															BgL_tmpz00_23392;
																														BgL_tmpz00_23392 =
																															(
																															(BgL_objectz00_bglt)
																															BgL_new2108z00_11223);
																														BGL_OBJECT_WIDENING_SET
																															(BgL_tmpz00_23392,
																															BFALSE);
																													}
																													((BgL_objectz00_bglt)
																														BgL_new2108z00_11223);
																													BgL_auxz00_23387 =
																														BgL_new2108z00_11223;
																												}
																												BgL_tmp2109z00_11221 =
																													((BgL_rtl_insz00_bglt)
																													BgL_auxz00_23387);
																											}
																											BgL_wide2110z00_11222 =
																												(
																												(BgL_rtl_inszf2bbvzf2_bglt)
																												BOBJECT(GC_MALLOC(sizeof
																														(struct
																															BgL_rtl_inszf2bbvzf2_bgl))));
																											{	/* SawBbv/bbv-specialize.scm 1750 */
																												obj_t BgL_auxz00_23400;
																												BgL_objectz00_bglt
																													BgL_tmpz00_23398;
																												BgL_auxz00_23400 =
																													((obj_t)
																													BgL_wide2110z00_11222);
																												BgL_tmpz00_23398 =
																													((BgL_objectz00_bglt)
																													BgL_tmp2109z00_11221);
																												BGL_OBJECT_WIDENING_SET
																													(BgL_tmpz00_23398,
																													BgL_auxz00_23400);
																											}
																											((BgL_objectz00_bglt)
																												BgL_tmp2109z00_11221);
																											{	/* SawBbv/bbv-specialize.scm 1750 */
																												long
																													BgL_arg3888z00_11225;
																												BgL_arg3888z00_11225 =
																													BGL_CLASS_NUM
																													(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																												BGL_OBJECT_CLASS_NUM_SET
																													(((BgL_objectz00_bglt)
																														BgL_tmp2109z00_11221),
																													BgL_arg3888z00_11225);
																											}
																											BgL_new2101z00_11220 =
																												((BgL_rtl_insz00_bglt)
																												BgL_tmp2109z00_11221);
																										}
																										((((BgL_rtl_insz00_bglt)
																													COBJECT((
																															(BgL_rtl_insz00_bglt)
																															BgL_new2101z00_11220)))->
																												BgL_locz00) =
																											((obj_t) ((
																														(BgL_rtl_insz00_bglt)
																														COBJECT((
																																(BgL_rtl_insz00_bglt)
																																BgL_iz00_9820)))->
																													BgL_locz00)),
																											BUNSPEC);
																										((((BgL_rtl_insz00_bglt)
																													COBJECT((
																															(BgL_rtl_insz00_bglt)
																															BgL_new2101z00_11220)))->
																												BgL_z52spillz52) =
																											((obj_t) ((
																														(BgL_rtl_insz00_bglt)
																														COBJECT((
																																(BgL_rtl_insz00_bglt)
																																BgL_iz00_9820)))->
																													BgL_z52spillz52)),
																											BUNSPEC);
																										((((BgL_rtl_insz00_bglt)
																													COBJECT((
																															(BgL_rtl_insz00_bglt)
																															BgL_new2101z00_11220)))->
																												BgL_destz00) =
																											((obj_t) ((
																														(BgL_rtl_insz00_bglt)
																														COBJECT((
																																(BgL_rtl_insz00_bglt)
																																BgL_iz00_9820)))->
																													BgL_destz00)),
																											BUNSPEC);
																										((((BgL_rtl_insz00_bglt)
																													COBJECT((
																															(BgL_rtl_insz00_bglt)
																															BgL_new2101z00_11220)))->
																												BgL_funz00) =
																											((BgL_rtl_funz00_bglt) ((
																														(BgL_rtl_insz00_bglt)
																														COBJECT((
																																(BgL_rtl_insz00_bglt)
																																BgL_iz00_9820)))->
																													BgL_funz00)),
																											BUNSPEC);
																										((((BgL_rtl_insz00_bglt)
																													COBJECT((
																															(BgL_rtl_insz00_bglt)
																															BgL_new2101z00_11220)))->
																												BgL_argsz00) =
																											((obj_t) ((
																														(BgL_rtl_insz00_bglt)
																														COBJECT((
																																(BgL_rtl_insz00_bglt)
																																BgL_iz00_9820)))->
																													BgL_argsz00)),
																											BUNSPEC);
																										{
																											obj_t BgL_auxz00_23434;
																											BgL_rtl_inszf2bbvzf2_bglt
																												BgL_auxz00_23428;
																											{
																												BgL_rtl_inszf2bbvzf2_bglt
																													BgL_auxz00_23435;
																												{
																													obj_t
																														BgL_auxz00_23436;
																													{	/* SawBbv/bbv-specialize.scm 1750 */
																														BgL_objectz00_bglt
																															BgL_tmpz00_23437;
																														BgL_tmpz00_23437 =
																															(
																															(BgL_objectz00_bglt)
																															((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_iz00_9820)));
																														BgL_auxz00_23436 =
																															BGL_OBJECT_WIDENING
																															(BgL_tmpz00_23437);
																													}
																													BgL_auxz00_23435 =
																														(
																														(BgL_rtl_inszf2bbvzf2_bglt)
																														BgL_auxz00_23436);
																												}
																												BgL_auxz00_23434 =
																													(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_23435))->BgL_defz00);
																											}
																											{
																												obj_t BgL_auxz00_23429;

																												{	/* SawBbv/bbv-specialize.scm 1750 */
																													BgL_objectz00_bglt
																														BgL_tmpz00_23430;
																													BgL_tmpz00_23430 =
																														(
																														(BgL_objectz00_bglt)
																														BgL_new2101z00_11220);
																													BgL_auxz00_23429 =
																														BGL_OBJECT_WIDENING
																														(BgL_tmpz00_23430);
																												}
																												BgL_auxz00_23428 =
																													(
																													(BgL_rtl_inszf2bbvzf2_bglt)
																													BgL_auxz00_23429);
																											}
																											((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_23428))->BgL_defz00) = ((obj_t) BgL_auxz00_23434), BUNSPEC);
																										}
																										{
																											obj_t BgL_auxz00_23451;
																											BgL_rtl_inszf2bbvzf2_bglt
																												BgL_auxz00_23445;
																											{
																												BgL_rtl_inszf2bbvzf2_bglt
																													BgL_auxz00_23452;
																												{
																													obj_t
																														BgL_auxz00_23453;
																													{	/* SawBbv/bbv-specialize.scm 1750 */
																														BgL_objectz00_bglt
																															BgL_tmpz00_23454;
																														BgL_tmpz00_23454 =
																															(
																															(BgL_objectz00_bglt)
																															((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_iz00_9820)));
																														BgL_auxz00_23453 =
																															BGL_OBJECT_WIDENING
																															(BgL_tmpz00_23454);
																													}
																													BgL_auxz00_23452 =
																														(
																														(BgL_rtl_inszf2bbvzf2_bglt)
																														BgL_auxz00_23453);
																												}
																												BgL_auxz00_23451 =
																													(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_23452))->BgL_outz00);
																											}
																											{
																												obj_t BgL_auxz00_23446;

																												{	/* SawBbv/bbv-specialize.scm 1750 */
																													BgL_objectz00_bglt
																														BgL_tmpz00_23447;
																													BgL_tmpz00_23447 =
																														(
																														(BgL_objectz00_bglt)
																														BgL_new2101z00_11220);
																													BgL_auxz00_23446 =
																														BGL_OBJECT_WIDENING
																														(BgL_tmpz00_23447);
																												}
																												BgL_auxz00_23445 =
																													(
																													(BgL_rtl_inszf2bbvzf2_bglt)
																													BgL_auxz00_23446);
																											}
																											((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_23445))->BgL_outz00) = ((obj_t) BgL_auxz00_23451), BUNSPEC);
																										}
																										{
																											obj_t BgL_auxz00_23468;
																											BgL_rtl_inszf2bbvzf2_bglt
																												BgL_auxz00_23462;
																											{
																												BgL_rtl_inszf2bbvzf2_bglt
																													BgL_auxz00_23469;
																												{
																													obj_t
																														BgL_auxz00_23470;
																													{	/* SawBbv/bbv-specialize.scm 1750 */
																														BgL_objectz00_bglt
																															BgL_tmpz00_23471;
																														BgL_tmpz00_23471 =
																															(
																															(BgL_objectz00_bglt)
																															((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_iz00_9820)));
																														BgL_auxz00_23470 =
																															BGL_OBJECT_WIDENING
																															(BgL_tmpz00_23471);
																													}
																													BgL_auxz00_23469 =
																														(
																														(BgL_rtl_inszf2bbvzf2_bglt)
																														BgL_auxz00_23470);
																												}
																												BgL_auxz00_23468 =
																													(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_23469))->BgL_inz00);
																											}
																											{
																												obj_t BgL_auxz00_23463;

																												{	/* SawBbv/bbv-specialize.scm 1750 */
																													BgL_objectz00_bglt
																														BgL_tmpz00_23464;
																													BgL_tmpz00_23464 =
																														(
																														(BgL_objectz00_bglt)
																														BgL_new2101z00_11220);
																													BgL_auxz00_23463 =
																														BGL_OBJECT_WIDENING
																														(BgL_tmpz00_23464);
																												}
																												BgL_auxz00_23462 =
																													(
																													(BgL_rtl_inszf2bbvzf2_bglt)
																													BgL_auxz00_23463);
																											}
																											((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_23462))->BgL_inz00) = ((obj_t) BgL_auxz00_23468), BUNSPEC);
																										}
																										{
																											BgL_rtl_inszf2bbvzf2_bglt
																												BgL_auxz00_23479;
																											{
																												obj_t BgL_auxz00_23480;

																												{	/* SawBbv/bbv-specialize.scm 1750 */
																													BgL_objectz00_bglt
																														BgL_tmpz00_23481;
																													BgL_tmpz00_23481 =
																														(
																														(BgL_objectz00_bglt)
																														BgL_new2101z00_11220);
																													BgL_auxz00_23480 =
																														BGL_OBJECT_WIDENING
																														(BgL_tmpz00_23481);
																												}
																												BgL_auxz00_23479 =
																													(
																													(BgL_rtl_inszf2bbvzf2_bglt)
																													BgL_auxz00_23480);
																											}
																											((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_23479))->BgL_ctxz00) = ((BgL_bbvzd2ctxzd2_bglt) ((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_9823)), BUNSPEC);
																										}
																										{
																											obj_t BgL_auxz00_23493;
																											BgL_rtl_inszf2bbvzf2_bglt
																												BgL_auxz00_23487;
																											{
																												BgL_rtl_inszf2bbvzf2_bglt
																													BgL_auxz00_23494;
																												{
																													obj_t
																														BgL_auxz00_23495;
																													{	/* SawBbv/bbv-specialize.scm 1750 */
																														BgL_objectz00_bglt
																															BgL_tmpz00_23496;
																														BgL_tmpz00_23496 =
																															(
																															(BgL_objectz00_bglt)
																															((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_iz00_9820)));
																														BgL_auxz00_23495 =
																															BGL_OBJECT_WIDENING
																															(BgL_tmpz00_23496);
																													}
																													BgL_auxz00_23494 =
																														(
																														(BgL_rtl_inszf2bbvzf2_bglt)
																														BgL_auxz00_23495);
																												}
																												BgL_auxz00_23493 =
																													(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_23494))->BgL_z52hashz52);
																											}
																											{
																												obj_t BgL_auxz00_23488;

																												{	/* SawBbv/bbv-specialize.scm 1750 */
																													BgL_objectz00_bglt
																														BgL_tmpz00_23489;
																													BgL_tmpz00_23489 =
																														(
																														(BgL_objectz00_bglt)
																														BgL_new2101z00_11220);
																													BgL_auxz00_23488 =
																														BGL_OBJECT_WIDENING
																														(BgL_tmpz00_23489);
																												}
																												BgL_auxz00_23487 =
																													(
																													(BgL_rtl_inszf2bbvzf2_bglt)
																													BgL_auxz00_23488);
																											}
																											((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_23487))->BgL_z52hashz52) = ((obj_t) BgL_auxz00_23493), BUNSPEC);
																										}
																										BgL_val0_2481z00_11219 =
																											BgL_new2101z00_11220;
																									}
																									{	/* SawBbv/bbv-specialize.scm 1749 */
																										int BgL_tmpz00_23504;

																										BgL_tmpz00_23504 =
																											(int) (2L);
																										BGL_MVALUES_NUMBER_SET
																											(BgL_tmpz00_23504);
																									}
																									{	/* SawBbv/bbv-specialize.scm 1749 */
																										int BgL_tmpz00_23507;

																										BgL_tmpz00_23507 =
																											(int) (1L);
																										BGL_MVALUES_VAL_SET
																											(BgL_tmpz00_23507,
																											BgL_ctxz00_9823);
																									}
																									BgL_auxz00_22458 =
																										BgL_val0_2481z00_11219;
																						}}
																					else
																						{	/* SawBbv/bbv-specialize.scm 1752 */
																							bool_t BgL_test4944z00_23510;

																							{	/* SawBbv/bbv-specialize.scm 1752 */
																								obj_t BgL_arg3901z00_11226;

																								BgL_arg3901z00_11226 =
																									((obj_t)
																									(((BgL_rtl_callz00_bglt)
																											COBJECT
																											(BgL_i2030z00_11106))->
																										BgL_varz00));
																								BgL_test4944z00_23510 =
																									(BgL_arg3901z00_11226 ==
																									BGl_za22zb2za2zb2zzsaw_bbvzd2cachezd2);
																							}
																							if (BgL_test4944z00_23510)
																								{	/* SawBbv/bbv-specialize.scm 1753 */
																									BgL_bbvzd2rangezd2_bglt
																										BgL_rangez00_11227;
																									BgL_rangez00_11227 =
																										BGl_bbvzd2rangezd2addz00zzsaw_bbvzd2rangezd2
																										(((BgL_bbvzd2rangezd2_bglt)
																											BgL_intlz00_11110),
																										((BgL_bbvzd2rangezd2_bglt)
																											BgL_intrz00_11111));
																									if (BGl_bbvzd2rangezd2fixnumzf3zf3zzsaw_bbvzd2rangezd2(BgL_rangez00_11227))
																										{	/* SawBbv/bbv-specialize.scm 1756 */
																											BgL_bbvzd2ctxzd2_bglt
																												BgL_nctxz00_11228;
																											{	/* SawBbv/bbv-specialize.scm 1756 */
																												obj_t
																													BgL_arg3894z00_11229;
																												obj_t
																													BgL_arg3895z00_11230;
																												BgL_arg3894z00_11229 =
																													(((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt) BgL_iz00_9820)))->BgL_destz00);
																												{	/* SawBbv/bbv-specialize.scm 1756 */
																													obj_t
																														BgL_list3896z00_11231;
																													BgL_list3896z00_11231
																														=
																														MAKE_YOUNG_PAIR
																														(BGl_za2bintza2z00zztype_cachez00,
																														BNIL);
																													BgL_arg3895z00_11230 =
																														BgL_list3896z00_11231;
																												}
																												BgL_nctxz00_11228 =
																													BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2
																													(((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_9823), ((BgL_rtl_regz00_bglt) BgL_arg3894z00_11229), BgL_arg3895z00_11230, ((bool_t) 1), BFALSE, BINT(1L), ((obj_t) BgL_rangez00_11227));
																											}
																											{	/* SawBbv/bbv-specialize.scm 1759 */
																												BgL_rtl_insz00_bglt
																													BgL_val0_2483z00_11232;
																												BgL_val0_2483z00_11232 =
																													BGl_2zd2ze3fxze70zd6zzsaw_bbvzd2specializa7ez75
																													((((BgL_rtl_callz00_bglt) COBJECT(BgL_i2030z00_11106))->BgL_varz00), ((BgL_rtl_insz00_bglt) BgL_iz00_9820), BgL_ctxz00_9823, BgL_nctxz00_11228);
																												{	/* SawBbv/bbv-specialize.scm 1759 */
																													int BgL_tmpz00_23530;

																													BgL_tmpz00_23530 =
																														(int) (2L);
																													BGL_MVALUES_NUMBER_SET
																														(BgL_tmpz00_23530);
																												}
																												{	/* SawBbv/bbv-specialize.scm 1759 */
																													obj_t
																														BgL_auxz00_23535;
																													int BgL_tmpz00_23533;

																													BgL_auxz00_23535 =
																														((obj_t)
																														BgL_nctxz00_11228);
																													BgL_tmpz00_23533 =
																														(int) (1L);
																													BGL_MVALUES_VAL_SET
																														(BgL_tmpz00_23533,
																														BgL_auxz00_23535);
																												}
																												BgL_auxz00_22458 =
																													BgL_val0_2483z00_11232;
																										}}
																									else
																										{	/* SawBbv/bbv-specialize.scm 1761 */
																											BgL_rtl_insz00_bglt
																												BgL_val0_2485z00_11233;
																											{	/* SawBbv/bbv-specialize.scm 1761 */
																												BgL_rtl_insz00_bglt
																													BgL_new2111z00_11234;
																												{	/* SawBbv/bbv-specialize.scm 1762 */
																													BgL_rtl_insz00_bglt
																														BgL_tmp2119z00_11235;
																													BgL_rtl_inszf2bbvzf2_bglt
																														BgL_wide2120z00_11236;
																													{
																														BgL_rtl_insz00_bglt
																															BgL_auxz00_23538;
																														{	/* SawBbv/bbv-specialize.scm 1762 */
																															BgL_rtl_insz00_bglt
																																BgL_new2118z00_11237;
																															BgL_new2118z00_11237
																																=
																																(
																																(BgL_rtl_insz00_bglt)
																																BOBJECT
																																(GC_MALLOC
																																	(sizeof(struct
																																			BgL_rtl_insz00_bgl))));
																															{	/* SawBbv/bbv-specialize.scm 1762 */
																																long
																																	BgL_arg3898z00_11238;
																																BgL_arg3898z00_11238
																																	=
																																	BGL_CLASS_NUM
																																	(BGl_rtl_insz00zzsaw_defsz00);
																																BGL_OBJECT_CLASS_NUM_SET
																																	(((BgL_objectz00_bglt) BgL_new2118z00_11237), BgL_arg3898z00_11238);
																															}
																															{	/* SawBbv/bbv-specialize.scm 1762 */
																																BgL_objectz00_bglt
																																	BgL_tmpz00_23543;
																																BgL_tmpz00_23543
																																	=
																																	(
																																	(BgL_objectz00_bglt)
																																	BgL_new2118z00_11237);
																																BGL_OBJECT_WIDENING_SET
																																	(BgL_tmpz00_23543,
																																	BFALSE);
																															}
																															((BgL_objectz00_bglt) BgL_new2118z00_11237);
																															BgL_auxz00_23538 =
																																BgL_new2118z00_11237;
																														}
																														BgL_tmp2119z00_11235
																															=
																															(
																															(BgL_rtl_insz00_bglt)
																															BgL_auxz00_23538);
																													}
																													BgL_wide2120z00_11236
																														=
																														(
																														(BgL_rtl_inszf2bbvzf2_bglt)
																														BOBJECT(GC_MALLOC
																															(sizeof(struct
																																	BgL_rtl_inszf2bbvzf2_bgl))));
																													{	/* SawBbv/bbv-specialize.scm 1762 */
																														obj_t
																															BgL_auxz00_23551;
																														BgL_objectz00_bglt
																															BgL_tmpz00_23549;
																														BgL_auxz00_23551 =
																															((obj_t)
																															BgL_wide2120z00_11236);
																														BgL_tmpz00_23549 =
																															(
																															(BgL_objectz00_bglt)
																															BgL_tmp2119z00_11235);
																														BGL_OBJECT_WIDENING_SET
																															(BgL_tmpz00_23549,
																															BgL_auxz00_23551);
																													}
																													((BgL_objectz00_bglt)
																														BgL_tmp2119z00_11235);
																													{	/* SawBbv/bbv-specialize.scm 1762 */
																														long
																															BgL_arg3897z00_11239;
																														BgL_arg3897z00_11239
																															=
																															BGL_CLASS_NUM
																															(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																														BGL_OBJECT_CLASS_NUM_SET
																															(((BgL_objectz00_bglt) BgL_tmp2119z00_11235), BgL_arg3897z00_11239);
																													}
																													BgL_new2111z00_11234 =
																														(
																														(BgL_rtl_insz00_bglt)
																														BgL_tmp2119z00_11235);
																												}
																												((((BgL_rtl_insz00_bglt)
																															COBJECT((
																																	(BgL_rtl_insz00_bglt)
																																	BgL_new2111z00_11234)))->
																														BgL_locz00) =
																													((obj_t) ((
																																(BgL_rtl_insz00_bglt)
																																COBJECT((
																																		(BgL_rtl_insz00_bglt)
																																		BgL_iz00_9820)))->
																															BgL_locz00)),
																													BUNSPEC);
																												((((BgL_rtl_insz00_bglt)
																															COBJECT((
																																	(BgL_rtl_insz00_bglt)
																																	BgL_new2111z00_11234)))->
																														BgL_z52spillz52) =
																													((obj_t) ((
																																(BgL_rtl_insz00_bglt)
																																COBJECT((
																																		(BgL_rtl_insz00_bglt)
																																		BgL_iz00_9820)))->
																															BgL_z52spillz52)),
																													BUNSPEC);
																												((((BgL_rtl_insz00_bglt)
																															COBJECT((
																																	(BgL_rtl_insz00_bglt)
																																	BgL_new2111z00_11234)))->
																														BgL_destz00) =
																													((obj_t) ((
																																(BgL_rtl_insz00_bglt)
																																COBJECT((
																																		(BgL_rtl_insz00_bglt)
																																		BgL_iz00_9820)))->
																															BgL_destz00)),
																													BUNSPEC);
																												((((BgL_rtl_insz00_bglt)
																															COBJECT((
																																	(BgL_rtl_insz00_bglt)
																																	BgL_new2111z00_11234)))->
																														BgL_funz00) =
																													((BgL_rtl_funz00_bglt)
																														(((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt) BgL_iz00_9820)))->BgL_funz00)), BUNSPEC);
																												((((BgL_rtl_insz00_bglt)
																															COBJECT((
																																	(BgL_rtl_insz00_bglt)
																																	BgL_new2111z00_11234)))->
																														BgL_argsz00) =
																													((obj_t) ((
																																(BgL_rtl_insz00_bglt)
																																COBJECT((
																																		(BgL_rtl_insz00_bglt)
																																		BgL_iz00_9820)))->
																															BgL_argsz00)),
																													BUNSPEC);
																												{
																													obj_t
																														BgL_auxz00_23585;
																													BgL_rtl_inszf2bbvzf2_bglt
																														BgL_auxz00_23579;
																													{
																														BgL_rtl_inszf2bbvzf2_bglt
																															BgL_auxz00_23586;
																														{
																															obj_t
																																BgL_auxz00_23587;
																															{	/* SawBbv/bbv-specialize.scm 1762 */
																																BgL_objectz00_bglt
																																	BgL_tmpz00_23588;
																																BgL_tmpz00_23588
																																	=
																																	(
																																	(BgL_objectz00_bglt)
																																	((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_iz00_9820)));
																																BgL_auxz00_23587
																																	=
																																	BGL_OBJECT_WIDENING
																																	(BgL_tmpz00_23588);
																															}
																															BgL_auxz00_23586 =
																																(
																																(BgL_rtl_inszf2bbvzf2_bglt)
																																BgL_auxz00_23587);
																														}
																														BgL_auxz00_23585 =
																															(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_23586))->BgL_defz00);
																													}
																													{
																														obj_t
																															BgL_auxz00_23580;
																														{	/* SawBbv/bbv-specialize.scm 1762 */
																															BgL_objectz00_bglt
																																BgL_tmpz00_23581;
																															BgL_tmpz00_23581 =
																																(
																																(BgL_objectz00_bglt)
																																BgL_new2111z00_11234);
																															BgL_auxz00_23580 =
																																BGL_OBJECT_WIDENING
																																(BgL_tmpz00_23581);
																														}
																														BgL_auxz00_23579 =
																															(
																															(BgL_rtl_inszf2bbvzf2_bglt)
																															BgL_auxz00_23580);
																													}
																													((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_23579))->BgL_defz00) = ((obj_t) BgL_auxz00_23585), BUNSPEC);
																												}
																												{
																													obj_t
																														BgL_auxz00_23602;
																													BgL_rtl_inszf2bbvzf2_bglt
																														BgL_auxz00_23596;
																													{
																														BgL_rtl_inszf2bbvzf2_bglt
																															BgL_auxz00_23603;
																														{
																															obj_t
																																BgL_auxz00_23604;
																															{	/* SawBbv/bbv-specialize.scm 1762 */
																																BgL_objectz00_bglt
																																	BgL_tmpz00_23605;
																																BgL_tmpz00_23605
																																	=
																																	(
																																	(BgL_objectz00_bglt)
																																	((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_iz00_9820)));
																																BgL_auxz00_23604
																																	=
																																	BGL_OBJECT_WIDENING
																																	(BgL_tmpz00_23605);
																															}
																															BgL_auxz00_23603 =
																																(
																																(BgL_rtl_inszf2bbvzf2_bglt)
																																BgL_auxz00_23604);
																														}
																														BgL_auxz00_23602 =
																															(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_23603))->BgL_outz00);
																													}
																													{
																														obj_t
																															BgL_auxz00_23597;
																														{	/* SawBbv/bbv-specialize.scm 1762 */
																															BgL_objectz00_bglt
																																BgL_tmpz00_23598;
																															BgL_tmpz00_23598 =
																																(
																																(BgL_objectz00_bglt)
																																BgL_new2111z00_11234);
																															BgL_auxz00_23597 =
																																BGL_OBJECT_WIDENING
																																(BgL_tmpz00_23598);
																														}
																														BgL_auxz00_23596 =
																															(
																															(BgL_rtl_inszf2bbvzf2_bglt)
																															BgL_auxz00_23597);
																													}
																													((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_23596))->BgL_outz00) = ((obj_t) BgL_auxz00_23602), BUNSPEC);
																												}
																												{
																													obj_t
																														BgL_auxz00_23619;
																													BgL_rtl_inszf2bbvzf2_bglt
																														BgL_auxz00_23613;
																													{
																														BgL_rtl_inszf2bbvzf2_bglt
																															BgL_auxz00_23620;
																														{
																															obj_t
																																BgL_auxz00_23621;
																															{	/* SawBbv/bbv-specialize.scm 1762 */
																																BgL_objectz00_bglt
																																	BgL_tmpz00_23622;
																																BgL_tmpz00_23622
																																	=
																																	(
																																	(BgL_objectz00_bglt)
																																	((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_iz00_9820)));
																																BgL_auxz00_23621
																																	=
																																	BGL_OBJECT_WIDENING
																																	(BgL_tmpz00_23622);
																															}
																															BgL_auxz00_23620 =
																																(
																																(BgL_rtl_inszf2bbvzf2_bglt)
																																BgL_auxz00_23621);
																														}
																														BgL_auxz00_23619 =
																															(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_23620))->BgL_inz00);
																													}
																													{
																														obj_t
																															BgL_auxz00_23614;
																														{	/* SawBbv/bbv-specialize.scm 1762 */
																															BgL_objectz00_bglt
																																BgL_tmpz00_23615;
																															BgL_tmpz00_23615 =
																																(
																																(BgL_objectz00_bglt)
																																BgL_new2111z00_11234);
																															BgL_auxz00_23614 =
																																BGL_OBJECT_WIDENING
																																(BgL_tmpz00_23615);
																														}
																														BgL_auxz00_23613 =
																															(
																															(BgL_rtl_inszf2bbvzf2_bglt)
																															BgL_auxz00_23614);
																													}
																													((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_23613))->BgL_inz00) = ((obj_t) BgL_auxz00_23619), BUNSPEC);
																												}
																												{
																													BgL_rtl_inszf2bbvzf2_bglt
																														BgL_auxz00_23630;
																													{
																														obj_t
																															BgL_auxz00_23631;
																														{	/* SawBbv/bbv-specialize.scm 1762 */
																															BgL_objectz00_bglt
																																BgL_tmpz00_23632;
																															BgL_tmpz00_23632 =
																																(
																																(BgL_objectz00_bglt)
																																BgL_new2111z00_11234);
																															BgL_auxz00_23631 =
																																BGL_OBJECT_WIDENING
																																(BgL_tmpz00_23632);
																														}
																														BgL_auxz00_23630 =
																															(
																															(BgL_rtl_inszf2bbvzf2_bglt)
																															BgL_auxz00_23631);
																													}
																													((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_23630))->BgL_ctxz00) = ((BgL_bbvzd2ctxzd2_bglt) ((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_9823)), BUNSPEC);
																												}
																												{
																													obj_t
																														BgL_auxz00_23644;
																													BgL_rtl_inszf2bbvzf2_bglt
																														BgL_auxz00_23638;
																													{
																														BgL_rtl_inszf2bbvzf2_bglt
																															BgL_auxz00_23645;
																														{
																															obj_t
																																BgL_auxz00_23646;
																															{	/* SawBbv/bbv-specialize.scm 1762 */
																																BgL_objectz00_bglt
																																	BgL_tmpz00_23647;
																																BgL_tmpz00_23647
																																	=
																																	(
																																	(BgL_objectz00_bglt)
																																	((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_iz00_9820)));
																																BgL_auxz00_23646
																																	=
																																	BGL_OBJECT_WIDENING
																																	(BgL_tmpz00_23647);
																															}
																															BgL_auxz00_23645 =
																																(
																																(BgL_rtl_inszf2bbvzf2_bglt)
																																BgL_auxz00_23646);
																														}
																														BgL_auxz00_23644 =
																															(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_23645))->BgL_z52hashz52);
																													}
																													{
																														obj_t
																															BgL_auxz00_23639;
																														{	/* SawBbv/bbv-specialize.scm 1762 */
																															BgL_objectz00_bglt
																																BgL_tmpz00_23640;
																															BgL_tmpz00_23640 =
																																(
																																(BgL_objectz00_bglt)
																																BgL_new2111z00_11234);
																															BgL_auxz00_23639 =
																																BGL_OBJECT_WIDENING
																																(BgL_tmpz00_23640);
																														}
																														BgL_auxz00_23638 =
																															(
																															(BgL_rtl_inszf2bbvzf2_bglt)
																															BgL_auxz00_23639);
																													}
																													((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_23638))->BgL_z52hashz52) = ((obj_t) BgL_auxz00_23644), BUNSPEC);
																												}
																												BgL_val0_2485z00_11233 =
																													BgL_new2111z00_11234;
																											}
																											{	/* SawBbv/bbv-specialize.scm 1761 */
																												int BgL_tmpz00_23655;

																												BgL_tmpz00_23655 =
																													(int) (2L);
																												BGL_MVALUES_NUMBER_SET
																													(BgL_tmpz00_23655);
																											}
																											{	/* SawBbv/bbv-specialize.scm 1761 */
																												int BgL_tmpz00_23658;

																												BgL_tmpz00_23658 =
																													(int) (1L);
																												BGL_MVALUES_VAL_SET
																													(BgL_tmpz00_23658,
																													BgL_ctxz00_9823);
																											}
																											BgL_auxz00_22458 =
																												BgL_val0_2485z00_11233;
																								}}
																							else
																								{	/* SawBbv/bbv-specialize.scm 1766 */
																									BgL_rtl_insz00_bglt
																										BgL_val0_2487z00_11240;
																									{	/* SawBbv/bbv-specialize.scm 1766 */
																										BgL_rtl_insz00_bglt
																											BgL_new2121z00_11241;
																										{	/* SawBbv/bbv-specialize.scm 1767 */
																											BgL_rtl_insz00_bglt
																												BgL_tmp2129z00_11242;
																											BgL_rtl_inszf2bbvzf2_bglt
																												BgL_wide2130z00_11243;
																											{
																												BgL_rtl_insz00_bglt
																													BgL_auxz00_23661;
																												{	/* SawBbv/bbv-specialize.scm 1767 */
																													BgL_rtl_insz00_bglt
																														BgL_new2128z00_11244;
																													BgL_new2128z00_11244 =
																														(
																														(BgL_rtl_insz00_bglt)
																														BOBJECT(GC_MALLOC
																															(sizeof(struct
																																	BgL_rtl_insz00_bgl))));
																													{	/* SawBbv/bbv-specialize.scm 1767 */
																														long
																															BgL_arg3900z00_11245;
																														BgL_arg3900z00_11245
																															=
																															BGL_CLASS_NUM
																															(BGl_rtl_insz00zzsaw_defsz00);
																														BGL_OBJECT_CLASS_NUM_SET
																															(((BgL_objectz00_bglt) BgL_new2128z00_11244), BgL_arg3900z00_11245);
																													}
																													{	/* SawBbv/bbv-specialize.scm 1767 */
																														BgL_objectz00_bglt
																															BgL_tmpz00_23666;
																														BgL_tmpz00_23666 =
																															(
																															(BgL_objectz00_bglt)
																															BgL_new2128z00_11244);
																														BGL_OBJECT_WIDENING_SET
																															(BgL_tmpz00_23666,
																															BFALSE);
																													}
																													((BgL_objectz00_bglt)
																														BgL_new2128z00_11244);
																													BgL_auxz00_23661 =
																														BgL_new2128z00_11244;
																												}
																												BgL_tmp2129z00_11242 =
																													((BgL_rtl_insz00_bglt)
																													BgL_auxz00_23661);
																											}
																											BgL_wide2130z00_11243 =
																												(
																												(BgL_rtl_inszf2bbvzf2_bglt)
																												BOBJECT(GC_MALLOC(sizeof
																														(struct
																															BgL_rtl_inszf2bbvzf2_bgl))));
																											{	/* SawBbv/bbv-specialize.scm 1767 */
																												obj_t BgL_auxz00_23674;
																												BgL_objectz00_bglt
																													BgL_tmpz00_23672;
																												BgL_auxz00_23674 =
																													((obj_t)
																													BgL_wide2130z00_11243);
																												BgL_tmpz00_23672 =
																													((BgL_objectz00_bglt)
																													BgL_tmp2129z00_11242);
																												BGL_OBJECT_WIDENING_SET
																													(BgL_tmpz00_23672,
																													BgL_auxz00_23674);
																											}
																											((BgL_objectz00_bglt)
																												BgL_tmp2129z00_11242);
																											{	/* SawBbv/bbv-specialize.scm 1767 */
																												long
																													BgL_arg3899z00_11246;
																												BgL_arg3899z00_11246 =
																													BGL_CLASS_NUM
																													(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																												BGL_OBJECT_CLASS_NUM_SET
																													(((BgL_objectz00_bglt)
																														BgL_tmp2129z00_11242),
																													BgL_arg3899z00_11246);
																											}
																											BgL_new2121z00_11241 =
																												((BgL_rtl_insz00_bglt)
																												BgL_tmp2129z00_11242);
																										}
																										((((BgL_rtl_insz00_bglt)
																													COBJECT((
																															(BgL_rtl_insz00_bglt)
																															BgL_new2121z00_11241)))->
																												BgL_locz00) =
																											((obj_t) ((
																														(BgL_rtl_insz00_bglt)
																														COBJECT((
																																(BgL_rtl_insz00_bglt)
																																BgL_iz00_9820)))->
																													BgL_locz00)),
																											BUNSPEC);
																										((((BgL_rtl_insz00_bglt)
																													COBJECT((
																															(BgL_rtl_insz00_bglt)
																															BgL_new2121z00_11241)))->
																												BgL_z52spillz52) =
																											((obj_t) ((
																														(BgL_rtl_insz00_bglt)
																														COBJECT((
																																(BgL_rtl_insz00_bglt)
																																BgL_iz00_9820)))->
																													BgL_z52spillz52)),
																											BUNSPEC);
																										((((BgL_rtl_insz00_bglt)
																													COBJECT((
																															(BgL_rtl_insz00_bglt)
																															BgL_new2121z00_11241)))->
																												BgL_destz00) =
																											((obj_t) ((
																														(BgL_rtl_insz00_bglt)
																														COBJECT((
																																(BgL_rtl_insz00_bglt)
																																BgL_iz00_9820)))->
																													BgL_destz00)),
																											BUNSPEC);
																										((((BgL_rtl_insz00_bglt)
																													COBJECT((
																															(BgL_rtl_insz00_bglt)
																															BgL_new2121z00_11241)))->
																												BgL_funz00) =
																											((BgL_rtl_funz00_bglt) ((
																														(BgL_rtl_insz00_bglt)
																														COBJECT((
																																(BgL_rtl_insz00_bglt)
																																BgL_iz00_9820)))->
																													BgL_funz00)),
																											BUNSPEC);
																										((((BgL_rtl_insz00_bglt)
																													COBJECT((
																															(BgL_rtl_insz00_bglt)
																															BgL_new2121z00_11241)))->
																												BgL_argsz00) =
																											((obj_t) ((
																														(BgL_rtl_insz00_bglt)
																														COBJECT((
																																(BgL_rtl_insz00_bglt)
																																BgL_iz00_9820)))->
																													BgL_argsz00)),
																											BUNSPEC);
																										{
																											obj_t BgL_auxz00_23708;
																											BgL_rtl_inszf2bbvzf2_bglt
																												BgL_auxz00_23702;
																											{
																												BgL_rtl_inszf2bbvzf2_bglt
																													BgL_auxz00_23709;
																												{
																													obj_t
																														BgL_auxz00_23710;
																													{	/* SawBbv/bbv-specialize.scm 1767 */
																														BgL_objectz00_bglt
																															BgL_tmpz00_23711;
																														BgL_tmpz00_23711 =
																															(
																															(BgL_objectz00_bglt)
																															((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_iz00_9820)));
																														BgL_auxz00_23710 =
																															BGL_OBJECT_WIDENING
																															(BgL_tmpz00_23711);
																													}
																													BgL_auxz00_23709 =
																														(
																														(BgL_rtl_inszf2bbvzf2_bglt)
																														BgL_auxz00_23710);
																												}
																												BgL_auxz00_23708 =
																													(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_23709))->BgL_defz00);
																											}
																											{
																												obj_t BgL_auxz00_23703;

																												{	/* SawBbv/bbv-specialize.scm 1767 */
																													BgL_objectz00_bglt
																														BgL_tmpz00_23704;
																													BgL_tmpz00_23704 =
																														(
																														(BgL_objectz00_bglt)
																														BgL_new2121z00_11241);
																													BgL_auxz00_23703 =
																														BGL_OBJECT_WIDENING
																														(BgL_tmpz00_23704);
																												}
																												BgL_auxz00_23702 =
																													(
																													(BgL_rtl_inszf2bbvzf2_bglt)
																													BgL_auxz00_23703);
																											}
																											((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_23702))->BgL_defz00) = ((obj_t) BgL_auxz00_23708), BUNSPEC);
																										}
																										{
																											obj_t BgL_auxz00_23725;
																											BgL_rtl_inszf2bbvzf2_bglt
																												BgL_auxz00_23719;
																											{
																												BgL_rtl_inszf2bbvzf2_bglt
																													BgL_auxz00_23726;
																												{
																													obj_t
																														BgL_auxz00_23727;
																													{	/* SawBbv/bbv-specialize.scm 1767 */
																														BgL_objectz00_bglt
																															BgL_tmpz00_23728;
																														BgL_tmpz00_23728 =
																															(
																															(BgL_objectz00_bglt)
																															((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_iz00_9820)));
																														BgL_auxz00_23727 =
																															BGL_OBJECT_WIDENING
																															(BgL_tmpz00_23728);
																													}
																													BgL_auxz00_23726 =
																														(
																														(BgL_rtl_inszf2bbvzf2_bglt)
																														BgL_auxz00_23727);
																												}
																												BgL_auxz00_23725 =
																													(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_23726))->BgL_outz00);
																											}
																											{
																												obj_t BgL_auxz00_23720;

																												{	/* SawBbv/bbv-specialize.scm 1767 */
																													BgL_objectz00_bglt
																														BgL_tmpz00_23721;
																													BgL_tmpz00_23721 =
																														(
																														(BgL_objectz00_bglt)
																														BgL_new2121z00_11241);
																													BgL_auxz00_23720 =
																														BGL_OBJECT_WIDENING
																														(BgL_tmpz00_23721);
																												}
																												BgL_auxz00_23719 =
																													(
																													(BgL_rtl_inszf2bbvzf2_bglt)
																													BgL_auxz00_23720);
																											}
																											((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_23719))->BgL_outz00) = ((obj_t) BgL_auxz00_23725), BUNSPEC);
																										}
																										{
																											obj_t BgL_auxz00_23742;
																											BgL_rtl_inszf2bbvzf2_bglt
																												BgL_auxz00_23736;
																											{
																												BgL_rtl_inszf2bbvzf2_bglt
																													BgL_auxz00_23743;
																												{
																													obj_t
																														BgL_auxz00_23744;
																													{	/* SawBbv/bbv-specialize.scm 1767 */
																														BgL_objectz00_bglt
																															BgL_tmpz00_23745;
																														BgL_tmpz00_23745 =
																															(
																															(BgL_objectz00_bglt)
																															((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_iz00_9820)));
																														BgL_auxz00_23744 =
																															BGL_OBJECT_WIDENING
																															(BgL_tmpz00_23745);
																													}
																													BgL_auxz00_23743 =
																														(
																														(BgL_rtl_inszf2bbvzf2_bglt)
																														BgL_auxz00_23744);
																												}
																												BgL_auxz00_23742 =
																													(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_23743))->BgL_inz00);
																											}
																											{
																												obj_t BgL_auxz00_23737;

																												{	/* SawBbv/bbv-specialize.scm 1767 */
																													BgL_objectz00_bglt
																														BgL_tmpz00_23738;
																													BgL_tmpz00_23738 =
																														(
																														(BgL_objectz00_bglt)
																														BgL_new2121z00_11241);
																													BgL_auxz00_23737 =
																														BGL_OBJECT_WIDENING
																														(BgL_tmpz00_23738);
																												}
																												BgL_auxz00_23736 =
																													(
																													(BgL_rtl_inszf2bbvzf2_bglt)
																													BgL_auxz00_23737);
																											}
																											((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_23736))->BgL_inz00) = ((obj_t) BgL_auxz00_23742), BUNSPEC);
																										}
																										{
																											BgL_rtl_inszf2bbvzf2_bglt
																												BgL_auxz00_23753;
																											{
																												obj_t BgL_auxz00_23754;

																												{	/* SawBbv/bbv-specialize.scm 1767 */
																													BgL_objectz00_bglt
																														BgL_tmpz00_23755;
																													BgL_tmpz00_23755 =
																														(
																														(BgL_objectz00_bglt)
																														BgL_new2121z00_11241);
																													BgL_auxz00_23754 =
																														BGL_OBJECT_WIDENING
																														(BgL_tmpz00_23755);
																												}
																												BgL_auxz00_23753 =
																													(
																													(BgL_rtl_inszf2bbvzf2_bglt)
																													BgL_auxz00_23754);
																											}
																											((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_23753))->BgL_ctxz00) = ((BgL_bbvzd2ctxzd2_bglt) ((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_9823)), BUNSPEC);
																										}
																										{
																											obj_t BgL_auxz00_23767;
																											BgL_rtl_inszf2bbvzf2_bglt
																												BgL_auxz00_23761;
																											{
																												BgL_rtl_inszf2bbvzf2_bglt
																													BgL_auxz00_23768;
																												{
																													obj_t
																														BgL_auxz00_23769;
																													{	/* SawBbv/bbv-specialize.scm 1767 */
																														BgL_objectz00_bglt
																															BgL_tmpz00_23770;
																														BgL_tmpz00_23770 =
																															(
																															(BgL_objectz00_bglt)
																															((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_iz00_9820)));
																														BgL_auxz00_23769 =
																															BGL_OBJECT_WIDENING
																															(BgL_tmpz00_23770);
																													}
																													BgL_auxz00_23768 =
																														(
																														(BgL_rtl_inszf2bbvzf2_bglt)
																														BgL_auxz00_23769);
																												}
																												BgL_auxz00_23767 =
																													(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_23768))->BgL_z52hashz52);
																											}
																											{
																												obj_t BgL_auxz00_23762;

																												{	/* SawBbv/bbv-specialize.scm 1767 */
																													BgL_objectz00_bglt
																														BgL_tmpz00_23763;
																													BgL_tmpz00_23763 =
																														(
																														(BgL_objectz00_bglt)
																														BgL_new2121z00_11241);
																													BgL_auxz00_23762 =
																														BGL_OBJECT_WIDENING
																														(BgL_tmpz00_23763);
																												}
																												BgL_auxz00_23761 =
																													(
																													(BgL_rtl_inszf2bbvzf2_bglt)
																													BgL_auxz00_23762);
																											}
																											((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_23761))->BgL_z52hashz52) = ((obj_t) BgL_auxz00_23767), BUNSPEC);
																										}
																										BgL_val0_2487z00_11240 =
																											BgL_new2121z00_11241;
																									}
																									{	/* SawBbv/bbv-specialize.scm 1766 */
																										int BgL_tmpz00_23778;

																										BgL_tmpz00_23778 =
																											(int) (2L);
																										BGL_MVALUES_NUMBER_SET
																											(BgL_tmpz00_23778);
																									}
																									{	/* SawBbv/bbv-specialize.scm 1766 */
																										int BgL_tmpz00_23781;

																										BgL_tmpz00_23781 =
																											(int) (1L);
																										BGL_MVALUES_VAL_SET
																											(BgL_tmpz00_23781,
																											BgL_ctxz00_9823);
																									}
																									BgL_auxz00_22458 =
																										BgL_val0_2487z00_11240;
												}}}}}}}
											else
												{	/* SawBbv/bbv-specialize.scm 1687 */
													BgL_rtl_insz00_bglt BgL_val0_2461z00_11247;

													{	/* SawBbv/bbv-specialize.scm 1687 */
														BgL_rtl_insz00_bglt BgL_new2031z00_11248;

														{	/* SawBbv/bbv-specialize.scm 1688 */
															BgL_rtl_insz00_bglt BgL_tmp2039z00_11249;
															BgL_rtl_inszf2bbvzf2_bglt BgL_wide2040z00_11250;

															{
																BgL_rtl_insz00_bglt BgL_auxz00_23784;

																{	/* SawBbv/bbv-specialize.scm 1688 */
																	BgL_rtl_insz00_bglt BgL_new2038z00_11251;

																	BgL_new2038z00_11251 =
																		((BgL_rtl_insz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_rtl_insz00_bgl))));
																	{	/* SawBbv/bbv-specialize.scm 1688 */
																		long BgL_arg3910z00_11252;

																		BgL_arg3910z00_11252 =
																			BGL_CLASS_NUM
																			(BGl_rtl_insz00zzsaw_defsz00);
																		BGL_OBJECT_CLASS_NUM_SET((
																				(BgL_objectz00_bglt)
																				BgL_new2038z00_11251),
																			BgL_arg3910z00_11252);
																	}
																	{	/* SawBbv/bbv-specialize.scm 1688 */
																		BgL_objectz00_bglt BgL_tmpz00_23789;

																		BgL_tmpz00_23789 =
																			((BgL_objectz00_bglt)
																			BgL_new2038z00_11251);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_23789,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new2038z00_11251);
																	BgL_auxz00_23784 = BgL_new2038z00_11251;
																}
																BgL_tmp2039z00_11249 =
																	((BgL_rtl_insz00_bglt) BgL_auxz00_23784);
															}
															BgL_wide2040z00_11250 =
																((BgL_rtl_inszf2bbvzf2_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_rtl_inszf2bbvzf2_bgl))));
															{	/* SawBbv/bbv-specialize.scm 1688 */
																obj_t BgL_auxz00_23797;
																BgL_objectz00_bglt BgL_tmpz00_23795;

																BgL_auxz00_23797 =
																	((obj_t) BgL_wide2040z00_11250);
																BgL_tmpz00_23795 =
																	((BgL_objectz00_bglt) BgL_tmp2039z00_11249);
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_23795,
																	BgL_auxz00_23797);
															}
															((BgL_objectz00_bglt) BgL_tmp2039z00_11249);
															{	/* SawBbv/bbv-specialize.scm 1688 */
																long BgL_arg3909z00_11253;

																BgL_arg3909z00_11253 =
																	BGL_CLASS_NUM
																	(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																		BgL_tmp2039z00_11249),
																	BgL_arg3909z00_11253);
															}
															BgL_new2031z00_11248 =
																((BgL_rtl_insz00_bglt) BgL_tmp2039z00_11249);
														}
														((((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt)
																			BgL_new2031z00_11248)))->BgL_locz00) =
															((obj_t) (((BgL_rtl_insz00_bglt)
																		COBJECT(((BgL_rtl_insz00_bglt)
																				BgL_iz00_9820)))->BgL_locz00)),
															BUNSPEC);
														((((BgL_rtl_insz00_bglt)
																	COBJECT(((BgL_rtl_insz00_bglt)
																			BgL_new2031z00_11248)))->
																BgL_z52spillz52) =
															((obj_t) (((BgL_rtl_insz00_bglt)
																		COBJECT(((BgL_rtl_insz00_bglt)
																				BgL_iz00_9820)))->BgL_z52spillz52)),
															BUNSPEC);
														((((BgL_rtl_insz00_bglt)
																	COBJECT(((BgL_rtl_insz00_bglt)
																			BgL_new2031z00_11248)))->BgL_destz00) =
															((obj_t) (((BgL_rtl_insz00_bglt)
																		COBJECT(((BgL_rtl_insz00_bglt)
																				BgL_iz00_9820)))->BgL_destz00)),
															BUNSPEC);
														((((BgL_rtl_insz00_bglt)
																	COBJECT(((BgL_rtl_insz00_bglt)
																			BgL_new2031z00_11248)))->BgL_funz00) =
															((BgL_rtl_funz00_bglt) (((BgL_rtl_insz00_bglt)
																		COBJECT(((BgL_rtl_insz00_bglt)
																				BgL_iz00_9820)))->BgL_funz00)),
															BUNSPEC);
														((((BgL_rtl_insz00_bglt)
																	COBJECT(((BgL_rtl_insz00_bglt)
																			BgL_new2031z00_11248)))->BgL_argsz00) =
															((obj_t) (((BgL_rtl_insz00_bglt)
																		COBJECT(((BgL_rtl_insz00_bglt)
																				BgL_iz00_9820)))->BgL_argsz00)),
															BUNSPEC);
														{
															obj_t BgL_auxz00_23831;
															BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_23825;

															{
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_23832;

																{
																	obj_t BgL_auxz00_23833;

																	{	/* SawBbv/bbv-specialize.scm 1688 */
																		BgL_objectz00_bglt BgL_tmpz00_23834;

																		BgL_tmpz00_23834 =
																			((BgL_objectz00_bglt)
																			((BgL_rtl_insz00_bglt)
																				((BgL_rtl_insz00_bglt) BgL_iz00_9820)));
																		BgL_auxz00_23833 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_23834);
																	}
																	BgL_auxz00_23832 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_23833);
																}
																BgL_auxz00_23831 =
																	(((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_23832))->BgL_defz00);
															}
															{
																obj_t BgL_auxz00_23826;

																{	/* SawBbv/bbv-specialize.scm 1688 */
																	BgL_objectz00_bglt BgL_tmpz00_23827;

																	BgL_tmpz00_23827 =
																		((BgL_objectz00_bglt) BgL_new2031z00_11248);
																	BgL_auxz00_23826 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_23827);
																}
																BgL_auxz00_23825 =
																	((BgL_rtl_inszf2bbvzf2_bglt)
																	BgL_auxz00_23826);
															}
															((((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_23825))->BgL_defz00) =
																((obj_t) BgL_auxz00_23831), BUNSPEC);
														}
														{
															obj_t BgL_auxz00_23848;
															BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_23842;

															{
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_23849;

																{
																	obj_t BgL_auxz00_23850;

																	{	/* SawBbv/bbv-specialize.scm 1688 */
																		BgL_objectz00_bglt BgL_tmpz00_23851;

																		BgL_tmpz00_23851 =
																			((BgL_objectz00_bglt)
																			((BgL_rtl_insz00_bglt)
																				((BgL_rtl_insz00_bglt) BgL_iz00_9820)));
																		BgL_auxz00_23850 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_23851);
																	}
																	BgL_auxz00_23849 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_23850);
																}
																BgL_auxz00_23848 =
																	(((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_23849))->BgL_outz00);
															}
															{
																obj_t BgL_auxz00_23843;

																{	/* SawBbv/bbv-specialize.scm 1688 */
																	BgL_objectz00_bglt BgL_tmpz00_23844;

																	BgL_tmpz00_23844 =
																		((BgL_objectz00_bglt) BgL_new2031z00_11248);
																	BgL_auxz00_23843 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_23844);
																}
																BgL_auxz00_23842 =
																	((BgL_rtl_inszf2bbvzf2_bglt)
																	BgL_auxz00_23843);
															}
															((((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_23842))->BgL_outz00) =
																((obj_t) BgL_auxz00_23848), BUNSPEC);
														}
														{
															obj_t BgL_auxz00_23865;
															BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_23859;

															{
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_23866;

																{
																	obj_t BgL_auxz00_23867;

																	{	/* SawBbv/bbv-specialize.scm 1688 */
																		BgL_objectz00_bglt BgL_tmpz00_23868;

																		BgL_tmpz00_23868 =
																			((BgL_objectz00_bglt)
																			((BgL_rtl_insz00_bglt)
																				((BgL_rtl_insz00_bglt) BgL_iz00_9820)));
																		BgL_auxz00_23867 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_23868);
																	}
																	BgL_auxz00_23866 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_23867);
																}
																BgL_auxz00_23865 =
																	(((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_23866))->BgL_inz00);
															}
															{
																obj_t BgL_auxz00_23860;

																{	/* SawBbv/bbv-specialize.scm 1688 */
																	BgL_objectz00_bglt BgL_tmpz00_23861;

																	BgL_tmpz00_23861 =
																		((BgL_objectz00_bglt) BgL_new2031z00_11248);
																	BgL_auxz00_23860 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_23861);
																}
																BgL_auxz00_23859 =
																	((BgL_rtl_inszf2bbvzf2_bglt)
																	BgL_auxz00_23860);
															}
															((((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_23859))->BgL_inz00) =
																((obj_t) BgL_auxz00_23865), BUNSPEC);
														}
														{
															BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_23876;

															{
																obj_t BgL_auxz00_23877;

																{	/* SawBbv/bbv-specialize.scm 1688 */
																	BgL_objectz00_bglt BgL_tmpz00_23878;

																	BgL_tmpz00_23878 =
																		((BgL_objectz00_bglt) BgL_new2031z00_11248);
																	BgL_auxz00_23877 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_23878);
																}
																BgL_auxz00_23876 =
																	((BgL_rtl_inszf2bbvzf2_bglt)
																	BgL_auxz00_23877);
															}
															((((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_23876))->BgL_ctxz00) =
																((BgL_bbvzd2ctxzd2_bglt) (
																		(BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_9823)),
																BUNSPEC);
														}
														{
															obj_t BgL_auxz00_23890;
															BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_23884;

															{
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_23891;

																{
																	obj_t BgL_auxz00_23892;

																	{	/* SawBbv/bbv-specialize.scm 1688 */
																		BgL_objectz00_bglt BgL_tmpz00_23893;

																		BgL_tmpz00_23893 =
																			((BgL_objectz00_bglt)
																			((BgL_rtl_insz00_bglt)
																				((BgL_rtl_insz00_bglt) BgL_iz00_9820)));
																		BgL_auxz00_23892 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_23893);
																	}
																	BgL_auxz00_23891 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_23892);
																}
																BgL_auxz00_23890 =
																	(((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_23891))->BgL_z52hashz52);
															}
															{
																obj_t BgL_auxz00_23885;

																{	/* SawBbv/bbv-specialize.scm 1688 */
																	BgL_objectz00_bglt BgL_tmpz00_23886;

																	BgL_tmpz00_23886 =
																		((BgL_objectz00_bglt) BgL_new2031z00_11248);
																	BgL_auxz00_23885 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_23886);
																}
																BgL_auxz00_23884 =
																	((BgL_rtl_inszf2bbvzf2_bglt)
																	BgL_auxz00_23885);
															}
															((((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_23884))->
																	BgL_z52hashz52) =
																((obj_t) BgL_auxz00_23890), BUNSPEC);
														}
														BgL_val0_2461z00_11247 = BgL_new2031z00_11248;
													}
													{	/* SawBbv/bbv-specialize.scm 1687 */
														int BgL_tmpz00_23901;

														BgL_tmpz00_23901 = (int) (2L);
														BGL_MVALUES_NUMBER_SET(BgL_tmpz00_23901);
													}
													{	/* SawBbv/bbv-specialize.scm 1687 */
														int BgL_tmpz00_23904;

														BgL_tmpz00_23904 = (int) (1L);
														BGL_MVALUES_VAL_SET(BgL_tmpz00_23904,
															BgL_ctxz00_9823);
													}
													BgL_auxz00_22458 = BgL_val0_2461z00_11247;
				}}}}}}}}
				return ((obj_t) BgL_auxz00_22458);
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_bbvzd2specializa7ez75(void)
	{
		{	/* SawBbv/bbv-specialize.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_bbvzd2specializa7ez75(void)
	{
		{	/* SawBbv/bbv-specialize.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_bbvzd2specializa7ez75(void)
	{
		{	/* SawBbv/bbv-specialize.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_bbvzd2specializa7ez75(void)
	{
		{	/* SawBbv/bbv-specialize.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string4220z00zzsaw_bbvzd2specializa7ez75));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string4220z00zzsaw_bbvzd2specializa7ez75));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string4220z00zzsaw_bbvzd2specializa7ez75));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string4220z00zzsaw_bbvzd2specializa7ez75));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string4220z00zzsaw_bbvzd2specializa7ez75));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string4220z00zzsaw_bbvzd2specializa7ez75));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string4220z00zzsaw_bbvzd2specializa7ez75));
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string4220z00zzsaw_bbvzd2specializa7ez75));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string4220z00zzsaw_bbvzd2specializa7ez75));
			BGl_modulezd2initializa7ationz75zzsaw_libz00(57049157L,
				BSTRING_TO_STRING(BGl_string4220z00zzsaw_bbvzd2specializa7ez75));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(404844772L,
				BSTRING_TO_STRING(BGl_string4220z00zzsaw_bbvzd2specializa7ez75));
			BGl_modulezd2initializa7ationz75zzsaw_regsetz00(358079690L,
				BSTRING_TO_STRING(BGl_string4220z00zzsaw_bbvzd2specializa7ez75));
			BGl_modulezd2initializa7ationz75zzsaw_regutilsz00(237915200L,
				BSTRING_TO_STRING(BGl_string4220z00zzsaw_bbvzd2specializa7ez75));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2typeszd2(425659118L,
				BSTRING_TO_STRING(BGl_string4220z00zzsaw_bbvzd2specializa7ez75));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2cachezd2(242097300L,
				BSTRING_TO_STRING(BGl_string4220z00zzsaw_bbvzd2specializa7ez75));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2utilszd2(221709922L,
				BSTRING_TO_STRING(BGl_string4220z00zzsaw_bbvzd2specializa7ez75));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2rangezd2(481635416L,
				BSTRING_TO_STRING(BGl_string4220z00zzsaw_bbvzd2specializa7ez75));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2mergezd2(376575453L,
				BSTRING_TO_STRING(BGl_string4220z00zzsaw_bbvzd2specializa7ez75));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2configzd2(288263219L,
				BSTRING_TO_STRING(BGl_string4220z00zzsaw_bbvzd2specializa7ez75));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2costzd2(414627252L,
				BSTRING_TO_STRING(BGl_string4220z00zzsaw_bbvzd2specializa7ez75));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2gczd2(137439381L,
				BSTRING_TO_STRING(BGl_string4220z00zzsaw_bbvzd2specializa7ez75));
			return
				BGl_modulezd2initializa7ationz75zzsaw_bbvzd2debugzd2(120981929L,
				BSTRING_TO_STRING(BGl_string4220z00zzsaw_bbvzd2specializa7ez75));
		}

	}

#ifdef __cplusplus
}
#endif
