/*===========================================================================*/
/*   (SawC/code.scm)                                                         */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent SawC/code.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_SAW_C_CODE_TYPE_DEFINITIONS
#define BGL_SAW_C_CODE_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_cvmz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}             *BgL_cvmz00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_debugnamez00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_patternsz00;
	}                    *BgL_rtl_selectz00_bglt;

	typedef struct BgL_rtl_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_patternsz00;
		obj_t BgL_labelsz00;
	}                    *BgL_rtl_switchz00_bglt;

	typedef struct BgL_rtl_ifeqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifeqz00_bglt;

	typedef struct BgL_rtl_ifnez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifnez00_bglt;

	typedef struct BgL_rtl_goz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_toz00;
	}                *BgL_rtl_goz00_bglt;

	typedef struct BgL_rtl_loadiz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_atomz00_bgl *BgL_constantz00;
	}                   *BgL_rtl_loadiz00_bglt;

	typedef struct BgL_rtl_loadgz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                   *BgL_rtl_loadgz00_bglt;

	typedef struct BgL_rtl_loadfunz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                     *BgL_rtl_loadfunz00_bglt;

	typedef struct BgL_rtl_globalrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                       *BgL_rtl_globalrefz00_bglt;

	typedef struct BgL_rtl_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_getfieldz00_bglt;

	typedef struct BgL_rtl_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_rtl_vallocz00_bglt;

	typedef struct BgL_rtl_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vrefz00_bglt;

	typedef struct BgL_rtl_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                     *BgL_rtl_vlengthz00_bglt;

	typedef struct BgL_rtl_storegz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                    *BgL_rtl_storegz00_bglt;

	typedef struct BgL_rtl_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_setfieldz00_bglt;

	typedef struct BgL_rtl_vsetz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vsetz00_bglt;

	typedef struct BgL_rtl_callz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                  *BgL_rtl_callz00_bglt;

	typedef struct BgL_rtl_lightfuncallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_funsz00;
		obj_t BgL_rettypez00;
	}                          *BgL_rtl_lightfuncallz00_bglt;

	typedef struct BgL_rtl_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_formatz00;
		obj_t BgL_srfi0z00;
	}                    *BgL_rtl_pragmaz00_bglt;

	typedef struct BgL_rtl_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_totypez00;
		struct BgL_typez00_bgl *BgL_fromtypez00;
	}                  *BgL_rtl_castz00_bglt;

	typedef struct BgL_rtl_cast_nullz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                       *BgL_rtl_cast_nullz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;

	typedef struct BgL_sawciregz00_bgl
	{
		obj_t BgL_indexz00;
	}                  *BgL_sawciregz00_bglt;


#endif													// BGL_SAW_C_CODE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_rtl_insz00zzsaw_defsz00;
	static obj_t BGl_genzd2typezd2regsz00zzsaw_c_codez00(obj_t);
	static obj_t BGl_z62acceptzd2foldingzf3zd2cvm1736z91zzsaw_c_codez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_emitzd2pragmazd2zzsaw_c_codez00(obj_t, obj_t);
	extern obj_t BGl_rtl_funcallz00zzsaw_defsz00;
	extern obj_t BGl_rtl_funz00zzsaw_defsz00;
	static bool_t BGl_za2inlinezd2simplezd2macrosza2z00zzsaw_c_codez00;
	static obj_t BGl_z62genzd2funzd2namezd2rtl_vse1694zb0zzsaw_c_codez00(obj_t,
		obj_t);
	extern obj_t
		BGl_makezd2typedzd2declarationz00zztype_toolsz00(BgL_typez00_bglt, obj_t);
	static obj_t BGl_genzd2exprzd2zzsaw_c_codez00(BgL_rtl_funz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	extern obj_t BGl_rtl_pragmaz00zzsaw_defsz00;
	static obj_t BGl_z62sawzd2cheaderzb0zzsaw_c_codez00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_c_codez00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31790ze3ze5zzsaw_c_codez00(obj_t);
	static obj_t BGl_z62genzd2exprzd2rtl_funcall1678z62zzsaw_c_codez00(obj_t,
		obj_t, obj_t);
	static bool_t BGl_za2commentza2z00zzsaw_c_codez00;
	static obj_t BGl_genzd2inszd2zzsaw_c_codez00(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62genzd2funzd2namezd2rtl_val1690zb0zzsaw_c_codez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	static obj_t BGl_z62genzd2exprzd2rtl_call1686z62zzsaw_c_codez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_za2czd2portza2zd2zzbackend_c_emitz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_genzd2typezd2regz00zzsaw_c_codez00(obj_t);
	extern obj_t BGl_emitzd2atomzd2valuez00zzbackend_c_emitz00(obj_t,
		BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
	extern obj_t BGl_rtl_vrefz00zzsaw_defsz00;
	static obj_t BGl_toplevelzd2initzd2zzsaw_c_codez00(void);
	extern obj_t BGl_rtl_protectz00zzsaw_defsz00;
	BGL_EXPORTED_DECL obj_t BGl_sawzd2cepiloguezd2zzsaw_c_codez00(void);
	extern obj_t BGl_rtl_ifeqz00zzsaw_defsz00;
	static obj_t BGl_z62zc3z04anonymousza31858ze3ze5zzsaw_c_codez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31777ze3ze5zzsaw_c_codez00(obj_t);
	static bool_t BGl_genbodyz00zzsaw_c_codez00(obj_t, obj_t);
	static obj_t BGl_headerz00zzsaw_c_codez00(void);
	extern obj_t BGl_rtl_vlengthz00zzsaw_defsz00;
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_getenvz00zz__osz00(obj_t);
	static bool_t BGl_za2haspushexitza2z00zzsaw_c_codez00;
	static obj_t BGl_z62genzd2prefixzd2rtl_cast_1734z62zzsaw_c_codez00(obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zzsaw_c_codez00(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_z62genzd2prefix1705zb0zzsaw_c_codez00(obj_t, obj_t);
	static obj_t BGl_z62genzd2exprzd2rtl_setfiel1676z62zzsaw_c_codez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62genzd2prefixzd2rtl_globa1716z62zzsaw_c_codez00(obj_t,
		obj_t);
	static bool_t BGl_printzd2locationzf3z21zzsaw_c_codez00(obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_vsetz00zzsaw_defsz00;
	static obj_t BGl_objectzd2initzd2zzsaw_c_codez00(void);
	extern obj_t BGl_bbvz00zzsaw_bbvz00(BgL_backendz00_bglt, BgL_globalz00_bglt,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_buildzd2treezd2zzsaw_exprz00(BgL_backendz00_bglt, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static bool_t BGl_za2hasprotectza2z00zzsaw_c_codez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_za2counterza2z00zzsaw_c_codez00 = BUNSPEC;
	static obj_t BGl_walkze70ze7zzsaw_c_codez00(obj_t);
	static obj_t BGl_genzd2funzd2namez00zzsaw_c_codez00(BgL_rtl_funz00_bglt);
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_za2czd2debugzd2lineszd2infoza2zd2zzengine_paramz00;
	static obj_t BGl_z62genzd2prefixzd2rtl_vset1728z62zzsaw_c_codez00(obj_t,
		obj_t);
	extern obj_t BGl_rtl_lightfuncallz00zzsaw_defsz00;
	extern obj_t BGl_rtl_regz00zzsaw_defsz00;
	extern obj_t BGl_rtl_vallocz00zzsaw_defsz00;
	extern obj_t BGl_rtl_cast_nullz00zzsaw_defsz00;
	extern obj_t BGl_rtl_loadfunz00zzsaw_defsz00;
	extern obj_t BGl_rtl_movz00zzsaw_defsz00;
	BGL_IMPORT obj_t bgl_bignum_add(obj_t, obj_t);
	static obj_t BGl_getzd2localszd2zzsaw_c_codez00(obj_t, obj_t);
	static bool_t BGl_declarezd2regszd2zzsaw_c_codez00(obj_t);
	extern BgL_rtl_regz00_bglt
		BGl_localzd2ze3regz31zzsaw_node2rtlz00(BgL_localz00_bglt);
	static obj_t BGl_z62genzd2prefixzd2rtl_vref1726z62zzsaw_c_codez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_typenamez00zzsaw_c_codez00(obj_t);
	static obj_t BGl_z62genzd2exprzd2rtl_switch1684z62zzsaw_c_codez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_inlzd2opzd2zzsaw_c_codez00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzsaw_c_codez00(void);
	static obj_t BGl_z62genzd2prefixzd2rtl_vallo1724z62zzsaw_c_codez00(obj_t,
		obj_t);
	static obj_t BGl_genzd2regzd2zzsaw_c_codez00(obj_t);
	static obj_t BGl_genzd2prefixzd2zzsaw_c_codez00(BgL_rtl_funz00_bglt);
	extern obj_t BGl_globalzd2ze3blocksz31zzsaw_woodcutterz00(BgL_backendz00_bglt,
		BgL_globalz00_bglt);
	static obj_t BGl_z62sawzd2cgenzb0zzsaw_c_codez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_switchz00zzsaw_defsz00;
	BGL_IMPORT obj_t make_string(long, unsigned char);
	extern obj_t BGl_rtl_goz00zzsaw_defsz00;
	static obj_t BGl_z62genzd2prefixzd2rtl_loadf1712z62zzsaw_c_codez00(obj_t,
		obj_t);
	static bool_t BGl_multiplezd2evaluationzd2zzsaw_c_codez00(obj_t, obj_t);
	extern obj_t BGl_rtl_ifnez00zzsaw_defsz00;
	extern obj_t
		BGl_registerzd2allocationzd2zzsaw_registerzd2allocationzd2
		(BgL_backendz00_bglt, BgL_globalz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62genzd2exprzd2rtl_getfiel1674z62zzsaw_c_codez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_exprzd2ze3iregze70zd6zzsaw_c_codez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62genzd2prefixzd2rtl_go1718z62zzsaw_c_codez00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_rtl_setfieldz00zzsaw_defsz00;
	BGL_IMPORT obj_t BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(obj_t);
	BGL_IMPORT obj_t bgl_long_to_bignum(long);
	BGL_IMPORT obj_t rgc_buffer_substring(obj_t, long, long);
	extern bool_t BGl_globalzd2argszd2safezf3zf3zzast_varz00(BgL_globalz00_bglt);
	static obj_t BGl_z62genzd2prefixzb0zzsaw_c_codez00(obj_t, obj_t);
	static obj_t BGl_z62genzd2prefixzd2rtl_ifne1722z62zzsaw_c_codez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_callz00zzsaw_defsz00;
	static bool_t BGl_deepzd2movzf3z21zzsaw_c_codez00(obj_t);
	BGL_IMPORT obj_t BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_genzd2regzf2destz20zzsaw_c_codez00(obj_t);
	static bool_t BGl_outzd2labelzd2zzsaw_c_codez00(int, obj_t);
	extern obj_t BGl_rtl_storegz00zzsaw_defsz00;
	static obj_t BGl_z62genzd2prefixzd2rtl_loadg1710z62zzsaw_c_codez00(obj_t,
		obj_t);
	static obj_t BGl_za2badzd2macrosza2zd2zzsaw_c_codez00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static bool_t BGl_za2haspushbeforeza2z00zzsaw_c_codez00;
	static obj_t BGl_genzd2Xfuncallzd2zzsaw_c_codez00(obj_t, obj_t, obj_t,
		bool_t);
	static obj_t BGl_z62genzd2prefixzd2rtl_ifeq1720z62zzsaw_c_codez00(obj_t,
		obj_t);
	extern obj_t BGl_rtl_returnz00zzsaw_defsz00;
	static obj_t BGl_check_funze70ze7zzsaw_c_codez00(BgL_rtl_funz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzsaw_c_codez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zzsaw_registerzd2allocationzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_regsetz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_exprz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_node2rtlz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_woodcutterz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_c_emitz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_allocz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__rgcz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	static obj_t BGl_findzd2locationzd2zzsaw_c_codez00(BgL_rtl_insz00_bglt);
	extern obj_t BGl_cfunz00zzast_varz00;
	static bool_t BGl_za2traceza2z00zzsaw_c_codez00;
	static long BGl_za2pushtraceemmitedza2z00zzsaw_c_codez00 = 0L;
	static BgL_rtl_regz00_bglt BGl_z62lambda2300z62zzsaw_c_codez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl_z62lambda2309z62zzsaw_c_codez00(obj_t, obj_t);
	extern obj_t BGl_rtl_loadgz00zzsaw_defsz00;
	extern obj_t BGl_rtl_loadiz00zzsaw_defsz00;
	static bool_t BGl_za2countza2z00zzsaw_c_codez00;
	static obj_t BGl_z62genzd2exprzd2rtl_lightfu1671z62zzsaw_c_codez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda2310z62zzsaw_c_codez00(obj_t, obj_t, obj_t);
	static obj_t BGl_SawCIregz00zzsaw_c_codez00 = BUNSPEC;
	static obj_t BGl_cnstzd2initzd2zzsaw_c_codez00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_c_codez00(void);
	static obj_t BGl_z62genzd2funzd2namez62zzsaw_c_codez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_c_codez00(void);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_c_codez00(void);
	static obj_t BGl_z62genzd2exprzd2rtl_pragma1682z62zzsaw_c_codez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sawzd2cgenzd2zzsaw_c_codez00(BgL_cvmz00_bglt,
		BgL_globalz00_bglt);
	static obj_t BGl_z62genzd2exprzd2rtl_protect1680z62zzsaw_c_codez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_castz00zzsaw_defsz00;
	BGL_IMPORT obj_t bigloo_mangle(obj_t);
	static obj_t BGl_z62genzd2expr1668zb0zzsaw_c_codez00(obj_t, obj_t, obj_t);
	static obj_t BGl_genzd2upcasezd2zzsaw_c_codez00(BgL_rtl_funz00_bglt);
	static obj_t BGl_z62genzd2exprzb0zzsaw_c_codez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62genzd2funzd2namezd2rtl_ret1704zb0zzsaw_c_codez00(obj_t,
		obj_t);
	static obj_t BGl_z62genzd2funzd2name1687z62zzsaw_c_codez00(obj_t, obj_t);
	extern obj_t BGl_rtl_globalrefz00zzsaw_defsz00;
	static obj_t BGl_z62genzd2prefixzd2rtl_loadi1708z62zzsaw_c_codez00(obj_t,
		obj_t);
	static obj_t BGl_z62sawzd2cepiloguezb0zzsaw_c_codez00(obj_t);
	static obj_t BGl_z62genzd2prefixzd2rtl_vleng1730z62zzsaw_c_codez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_displayza2za2zz__r4_output_6_10_3z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sawzd2cheaderzd2zzsaw_c_codez00(void);
	BGL_IMPORT obj_t BGl_classzd2namezd2zz__objectz00(obj_t);
	static obj_t BGl_z62genzd2funzd2namezd2rtl_loa1700zb0zzsaw_c_codez00(obj_t,
		obj_t);
	static obj_t BGl_z62genzd2funzd2namezd2rtl_loa1702zb0zzsaw_c_codez00(obj_t,
		obj_t);
	extern obj_t BGl_rtl_getfieldz00zzsaw_defsz00;
	BGL_IMPORT obj_t c_substring(obj_t, long, long);
	static obj_t BGl_cepiloguez00zzsaw_c_codez00(void);
	extern obj_t BGl_za2stdcza2z00zzengine_paramz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62genzd2funzd2namezd2rtl_mov1698zb0zzsaw_c_codez00(obj_t,
		obj_t);
	static obj_t BGl_thezd2stringze70z35zzsaw_c_codez00(obj_t);
	static BgL_rtl_regz00_bglt BGl_z62lambda2293z62zzsaw_c_codez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_rtl_regz00_bglt BGl_z62lambda2296z62zzsaw_c_codez00(obj_t, obj_t);
	static obj_t BGl_z62genzd2funzd2namezd2rtl_vre1692zb0zzsaw_c_codez00(obj_t,
		obj_t);
	static obj_t BGl_genfunz00zzsaw_c_codez00(BgL_cvmz00_bglt, BgL_globalz00_bglt,
		obj_t);
	static obj_t BGl_vfunzd2namezd2zzsaw_c_codez00(obj_t, BgL_typez00_bglt);
	extern obj_t
		BGl_za2bdbzd2debugzd2nozd2linezd2directiveszf3za2zf3zzengine_paramz00;
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	BGL_IMPORT bool_t rgc_fill_buffer(obj_t);
	extern obj_t BGl_cvmz00zzbackend_cvmz00;
	static obj_t BGl_z62genzd2prefixzd2rtl_cast1732z62zzsaw_c_codez00(obj_t,
		obj_t);
	static obj_t BGl_reg_namez00zzsaw_c_codez00(obj_t);
	static obj_t BGl_z62genzd2funzd2namezd2rtl_vle1696zb0zzsaw_c_codez00(obj_t,
		obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_vextraz00zzsaw_c_codez00(BgL_typez00_bglt);
	static obj_t BGl_z62genzd2prefixzd2rtl_store1714z62zzsaw_c_codez00(obj_t,
		obj_t);
	static bool_t BGl_genzd2argszd2zzsaw_c_codez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32299ze3ze5zzsaw_c_codez00(obj_t, obj_t);
	static obj_t __cnst[12];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sawzd2cheaderzd2envz00zzsaw_c_codez00,
		BgL_bgl_za762sawza7d2cheader2899z00, BGl_z62sawzd2cheaderzb0zzsaw_c_codez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sawzd2cgenzd2envz00zzsaw_c_codez00,
		BgL_bgl_za762sawza7d2cgenza7b02900za7, BGl_z62sawzd2cgenzb0zzsaw_c_codez00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2706z00zzsaw_c_codez00,
		BgL_bgl_string2706za700za7za7s2901za7, "BIGLOOSAWPROFILE", 16);
	      DEFINE_STRING(BGl_string2707z00zzsaw_c_codez00,
		BgL_bgl_string2707za700za7za7s2902za7, "true", 4);
	      DEFINE_STRING(BGl_string2709z00zzsaw_c_codez00,
		BgL_bgl_string2709za700za7za7s2903za7, "extern int bbcount[];\n", 22);
	      DEFINE_STRING(BGl_string2710z00zzsaw_c_codez00,
		BgL_bgl_string2710za700za7za7s2904za7, "extern char *bbname[];\n", 23);
	      DEFINE_STRING(BGl_string2711z00zzsaw_c_codez00,
		BgL_bgl_string2711za700za7za7s2905za7, "extern char *bbfun[];\n", 22);
	      DEFINE_STRING(BGl_string2712z00zzsaw_c_codez00,
		BgL_bgl_string2712za700za7za7s2906za7,
		"extern obj_t PRINT_TRACE(obj_t);\n\n", 34);
	      DEFINE_STRING(BGl_string2713z00zzsaw_c_codez00,
		BgL_bgl_string2713za700za7za7s2907za7, "\n", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2708z00zzsaw_c_codez00,
		BgL_bgl_za762za7c3za704anonymo2908za7,
		BGl_z62zc3z04anonymousza31777ze3ze5zzsaw_c_codez00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2715z00zzsaw_c_codez00,
		BgL_bgl_string2715za700za7za7s2909za7, "];\n", 3);
	      DEFINE_STRING(BGl_string2716z00zzsaw_c_codez00,
		BgL_bgl_string2716za700za7za7s2910za7, "int bbcount[", 12);
	      DEFINE_STRING(BGl_string2717z00zzsaw_c_codez00,
		BgL_bgl_string2717za700za7za7s2911za7, "char *bbname[", 13);
	      DEFINE_STRING(BGl_string2718z00zzsaw_c_codez00,
		BgL_bgl_string2718za700za7za7s2912za7, "char *bbfun[", 12);
	      DEFINE_STRING(BGl_string2719z00zzsaw_c_codez00,
		BgL_bgl_string2719za700za7za7s2913za7, "obj_t PRINT_TRACE(obj_t r) {\n",
		29);
	      DEFINE_STRING(BGl_string2800z00zzsaw_c_codez00,
		BgL_bgl_string2800za700za7za7s2914za7, " << ", 4);
	      DEFINE_STRING(BGl_string2801z00zzsaw_c_codez00,
		BgL_bgl_string2801za700za7za7s2915za7, "BGL_RTL_LSH", 11);
	      DEFINE_STRING(BGl_string2720z00zzsaw_c_codez00,
		BgL_bgl_string2720za700za7za7s2916za7, "\tint i;\n", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2714z00zzsaw_c_codez00,
		BgL_bgl_za762za7c3za704anonymo2917za7,
		BGl_z62zc3z04anonymousza31790ze3ze5zzsaw_c_codez00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2802z00zzsaw_c_codez00,
		BgL_bgl_string2802za700za7za7s2918za7, "PUSH_EXIT", 9);
	      DEFINE_STRING(BGl_string2721z00zzsaw_c_codez00,
		BgL_bgl_string2721za700za7za7s2919za7, "\tputs(\"[\");\n", 12);
	      DEFINE_STRING(BGl_string2803z00zzsaw_c_codez00,
		BgL_bgl_string2803za700za7za7s2920za7, "BGL_RTL_PUSH_EXIT", 17);
	      DEFINE_STRING(BGl_string2722z00zzsaw_c_codez00,
		BgL_bgl_string2722za700za7za7s2921za7, ";i++) {\n", 8);
	      DEFINE_STRING(BGl_string2804z00zzsaw_c_codez00,
		BgL_bgl_string2804za700za7za7s2922za7, "PUSH_BEFORE", 11);
	      DEFINE_STRING(BGl_string2723z00zzsaw_c_codez00,
		BgL_bgl_string2723za700za7za7s2923za7, "\tfor(i=0;i<", 11);
	      DEFINE_STRING(BGl_string2805z00zzsaw_c_codez00,
		BgL_bgl_string2805za700za7za7s2924za7, "BGL_RTL_PUSH_BEFORE", 19);
	      DEFINE_STRING(BGl_string2724z00zzsaw_c_codez00,
		BgL_bgl_string2724za700za7za7s2925za7, "\t\tif (bbname[i]) {\n", 19);
	      DEFINE_STRING(BGl_string2806z00zzsaw_c_codez00,
		BgL_bgl_string2806za700za7za7s2926za7, "PUSH_TRACE", 10);
	      DEFINE_STRING(BGl_string2725z00zzsaw_c_codez00,
		BgL_bgl_string2725za700za7za7s2927za7,
		"\t\t\tprintf(\"\t{\\\"fun\\\": \\\"%s\\\", \\\"id\\\": %s, \\\"count\\\": %d},\\n\", bbfun[i], bbname[i],bbcount[i]);\n",
		95);
	      DEFINE_STRING(BGl_string2807z00zzsaw_c_codez00,
		BgL_bgl_string2807za700za7za7s2928za7, "{PUSH_TRACE", 11);
	      DEFINE_STRING(BGl_string2726z00zzsaw_c_codez00,
		BgL_bgl_string2726za700za7za7s2929za7, "\t\t}\n", 4);
	      DEFINE_STRING(BGl_string2808z00zzsaw_c_codez00,
		BgL_bgl_string2808za700za7za7s2930za7, "BGL_ENV_PUSH_TRACE", 18);
	      DEFINE_STRING(BGl_string2727z00zzsaw_c_codez00,
		BgL_bgl_string2727za700za7za7s2931za7, "\t}\n", 3);
	      DEFINE_STRING(BGl_string2809z00zzsaw_c_codez00,
		BgL_bgl_string2809za700za7za7s2932za7, "{BGL_ENV_PUSH_TRACE", 19);
	      DEFINE_STRING(BGl_string2728z00zzsaw_c_codez00,
		BgL_bgl_string2728za700za7za7s2933za7, "\tprintf(\"\tnull\\n\");\n", 20);
	      DEFINE_STRING(BGl_string2729z00zzsaw_c_codez00,
		BgL_bgl_string2729za700za7za7s2934za7, "\tputs(\"]\");\n", 12);
	      DEFINE_STRING(BGl_string2810z00zzsaw_c_codez00,
		BgL_bgl_string2810za700za7za7s2935za7, "BIGLOO_EXIT", 11);
	      DEFINE_STRING(BGl_string2811z00zzsaw_c_codez00,
		BgL_bgl_string2811za700za7za7s2936za7, "PRINT_TRACE", 11);
	      DEFINE_STRING(BGl_string2730z00zzsaw_c_codez00,
		BgL_bgl_string2730za700za7za7s2937za7, "\treturn(BIGLOO_EXIT(r));\n", 25);
	      DEFINE_STRING(BGl_string2812z00zzsaw_c_codez00,
		BgL_bgl_string2812za700za7za7s2938za7, "STRING_REF", 10);
	      DEFINE_STRING(BGl_string2731z00zzsaw_c_codez00,
		BgL_bgl_string2731za700za7za7s2939za7, "}\n", 2);
	      DEFINE_STRING(BGl_string2813z00zzsaw_c_codez00,
		BgL_bgl_string2813za700za7za7s2940za7, "BGL_RTL_STRING_REF", 18);
	      DEFINE_STRING(BGl_string2732z00zzsaw_c_codez00,
		BgL_bgl_string2732za700za7za7s2941za7, " ", 1);
	      DEFINE_STRING(BGl_string2814z00zzsaw_c_codez00,
		BgL_bgl_string2814za700za7za7s2942za7, "regular-grammar", 15);
	      DEFINE_STRING(BGl_string2733z00zzsaw_c_codez00,
		BgL_bgl_string2733za700za7za7s2943za7, " {\n", 3);
	      DEFINE_STRING(BGl_string2815z00zzsaw_c_codez00,
		BgL_bgl_string2815za700za7za7s2944za7, "Illegal match", 13);
	      DEFINE_STRING(BGl_string2734z00zzsaw_c_codez00,
		BgL_bgl_string2734za700za7za7s2945za7, " jmp_buf_t jmpbuf;\n", 19);
	      DEFINE_STRING(BGl_string2816z00zzsaw_c_codez00,
		BgL_bgl_string2816za700za7za7s2946za7, "$", 1);
	      DEFINE_STRING(BGl_string2735z00zzsaw_c_codez00,
		BgL_bgl_string2735za700za7za7s2947za7, " struct exitd exitd;\n", 21);
	      DEFINE_STRING(BGl_string2736z00zzsaw_c_codez00,
		BgL_bgl_string2736za700za7za7s2948za7, " struct befored befored;\n", 25);
	      DEFINE_STRING(BGl_string2737z00zzsaw_c_codez00,
		BgL_bgl_string2737za700za7za7s2949za7, "\n}\n\n", 4);
	      DEFINE_STRING(BGl_string2738z00zzsaw_c_codez00,
		BgL_bgl_string2738za700za7za7s2950za7, "(", 1);
	      DEFINE_STRING(BGl_string2739z00zzsaw_c_codez00,
		BgL_bgl_string2739za700za7za7s2951za7, ", ", 2);
	      DEFINE_STRING(BGl_string2740z00zzsaw_c_codez00,
		BgL_bgl_string2740za700za7za7s2952za7, ")", 1);
	      DEFINE_STRING(BGl_string2741z00zzsaw_c_codez00,
		BgL_bgl_string2741za700za7za7s2953za7, "V", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2817z00zzsaw_c_codez00,
		BgL_bgl_za762lambda2310za7622954z00, BGl_z62lambda2310z62zzsaw_c_codez00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2742z00zzsaw_c_codez00,
		BgL_bgl_string2742za700za7za7s2955za7, "R", 1);
	      DEFINE_STRING(BGl_string2824z00zzsaw_c_codez00,
		BgL_bgl_string2824za700za7za7s2956za7, "gen-expr1668", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2818z00zzsaw_c_codez00,
		BgL_bgl_za762lambda2309za7622957z00, BGl_z62lambda2309z62zzsaw_c_codez00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2743z00zzsaw_c_codez00,
		BgL_bgl_string2743za700za7za7s2958za7, ";\n", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2819z00zzsaw_c_codez00,
		BgL_bgl_za762lambda2300za7622959z00, BGl_z62lambda2300z62zzsaw_c_codez00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2744z00zzsaw_c_codez00,
		BgL_bgl_string2744za700za7za7s2960za7, "", 0);
	      DEFINE_STRING(BGl_string2826z00zzsaw_c_codez00,
		BgL_bgl_string2826za700za7za7s2961za7, "gen-fun-name1687", 16);
	      DEFINE_STRING(BGl_string2745z00zzsaw_c_codez00,
		BgL_bgl_string2745za700za7za7s2962za7, ":", 1);
	      DEFINE_STRING(BGl_string2746z00zzsaw_c_codez00,
		BgL_bgl_string2746za700za7za7s2963za7, "L", 1);
	      DEFINE_STRING(BGl_string2828z00zzsaw_c_codez00,
		BgL_bgl_string2828za700za7za7s2964za7, "gen-prefix1705", 14);
	      DEFINE_STRING(BGl_string2747z00zzsaw_c_codez00,
		BgL_bgl_string2747za700za7za7s2965za7, "]++;\n", 5);
	      DEFINE_STRING(BGl_string2748z00zzsaw_c_codez00,
		BgL_bgl_string2748za700za7za7s2966za7, "\tbbcount[", 9);
	      DEFINE_STRING(BGl_string2749z00zzsaw_c_codez00,
		BgL_bgl_string2749za700za7za7s2967za7, "\";\n", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2820z00zzsaw_c_codez00,
		BgL_bgl_za762za7c3za704anonymo2968za7,
		BGl_z62zc3z04anonymousza32299ze3ze5zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2821z00zzsaw_c_codez00,
		BgL_bgl_za762lambda2296za7622969z00, BGl_z62lambda2296z62zzsaw_c_codez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2822z00zzsaw_c_codez00,
		BgL_bgl_za762lambda2293za7622970z00, BGl_z62lambda2293z62zzsaw_c_codez00,
		0L, BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2823z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2expr1662971z00,
		BGl_z62genzd2expr1668zb0zzsaw_c_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2830z00zzsaw_c_codez00,
		BgL_bgl_string2830za700za7za7s2972za7, "gen-expr", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2825z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2funza7d2n2973za7,
		BGl_z62genzd2funzd2name1687z62zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2750z00zzsaw_c_codez00,
		BgL_bgl_string2750za700za7za7s2974za7, "] = \"", 5);
	      DEFINE_STRING(BGl_string2751z00zzsaw_c_codez00,
		BgL_bgl_string2751za700za7za7s2975za7, "\tbbname[", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2827z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2prefix12976z00,
		BGl_z62genzd2prefix1705zb0zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2752z00zzsaw_c_codez00,
		BgL_bgl_string2752za700za7za7s2977za7, "\tbbfun[", 7);
	      DEFINE_STRING(BGl_string2753z00zzsaw_c_codez00,
		BgL_bgl_string2753za700za7za7s2978za7, "#line ", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2829z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2exprza7d22979za7,
		BGl_z62genzd2exprzd2rtl_lightfu1671z62zzsaw_c_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2754z00zzsaw_c_codez00,
		BgL_bgl_string2754za700za7za7s2980za7, " \"", 2);
	      DEFINE_STRING(BGl_string2755z00zzsaw_c_codez00,
		BgL_bgl_string2755za700za7za7s2981za7, "\"", 1);
	      DEFINE_STRING(BGl_string2756z00zzsaw_c_codez00,
		BgL_bgl_string2756za700za7za7s2982za7, "\t", 1);
	      DEFINE_STRING(BGl_string2757z00zzsaw_c_codez00,
		BgL_bgl_string2757za700za7za7s2983za7, " = ", 3);
	      DEFINE_STRING(BGl_string2839z00zzsaw_c_codez00,
		BgL_bgl_string2839za700za7za7s2984za7, "gen-fun-name", 12);
	      DEFINE_STRING(BGl_string2758z00zzsaw_c_codez00,
		BgL_bgl_string2758za700za7za7s2985za7, "obj_t", 5);
	      DEFINE_STRING(BGl_string2759z00zzsaw_c_codez00,
		BgL_bgl_string2759za700za7za7s2986za7, "((~a (*)(obj_t, ...))", 21);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2831z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2exprza7d22987za7,
		BGl_z62genzd2exprzd2rtl_getfiel1674z62zzsaw_c_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2832z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2exprza7d22988za7,
		BGl_z62genzd2exprzd2rtl_setfiel1676z62zzsaw_c_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2833z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2exprza7d22989za7,
		BGl_z62genzd2exprzd2rtl_funcall1678z62zzsaw_c_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2834z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2exprza7d22990za7,
		BGl_z62genzd2exprzd2rtl_protect1680z62zzsaw_c_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2835z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2exprza7d22991za7,
		BGl_z62genzd2exprzd2rtl_pragma1682z62zzsaw_c_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2760z00zzsaw_c_codez00,
		BgL_bgl_string2760za700za7za7s2992za7, "((~a (*)(~(, )))", 16);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2836z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2exprza7d22993za7,
		BGl_z62genzd2exprzd2rtl_switch1684z62zzsaw_c_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2761z00zzsaw_c_codez00,
		BgL_bgl_string2761za700za7za7s2994za7, " (*)())", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2837z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2exprza7d22995za7,
		BGl_z62genzd2exprzd2rtl_call1686z62zzsaw_c_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2762z00zzsaw_c_codez00,
		BgL_bgl_string2762za700za7za7s2996za7, "((", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2838z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2funza7d2n2997za7,
		BGl_z62genzd2funzd2namezd2rtl_val1690zb0zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2763z00zzsaw_c_codez00,
		BgL_bgl_string2763za700za7za7s2998za7, "ENTRY(", 6);
	      DEFINE_STRING(BGl_string2764z00zzsaw_c_codez00,
		BgL_bgl_string2764za700za7za7s2999za7, "PROCEDURE_", 10);
	      DEFINE_STRING(BGl_string2765z00zzsaw_c_codez00,
		BgL_bgl_string2765za700za7za7s3000za7, "))(", 3);
	      DEFINE_STRING(BGl_string2766z00zzsaw_c_codez00,
		BgL_bgl_string2766za700za7za7s3001za7, ", BEOA", 6);
	      DEFINE_STRING(BGl_string2848z00zzsaw_c_codez00,
		BgL_bgl_string2848za700za7za7s3002za7, "gen-prefix", 10);
	      DEFINE_STRING(BGl_string2767z00zzsaw_c_codez00,
		BgL_bgl_string2767za700za7za7s3003za7, "BGL_", 4);
	      DEFINE_STRING(BGl_string2768z00zzsaw_c_codez00,
		BgL_bgl_string2768za700za7za7s3004za7, "T", 1);
	      DEFINE_STRING(BGl_string2769z00zzsaw_c_codez00,
		BgL_bgl_string2769za700za7za7s3005za7, "BGL_RTL_", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2840z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2funza7d2n3006za7,
		BGl_z62genzd2funzd2namezd2rtl_vre1692zb0zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2841z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2funza7d2n3007za7,
		BGl_z62genzd2funzd2namezd2rtl_vse1694zb0zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2842z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2funza7d2n3008za7,
		BGl_z62genzd2funzd2namezd2rtl_vle1696zb0zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2843z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2funza7d2n3009za7,
		BGl_z62genzd2funzd2namezd2rtl_mov1698zb0zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2844z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2funza7d2n3010za7,
		BGl_z62genzd2funzd2namezd2rtl_loa1700zb0zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2845z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2funza7d2n3011za7,
		BGl_z62genzd2funzd2namezd2rtl_loa1702zb0zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2770z00zzsaw_c_codez00,
		BgL_bgl_string2770za700za7za7s3012za7, "==", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2846z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2funza7d2n3013za7,
		BGl_z62genzd2funzd2namezd2rtl_ret1704zb0zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2771z00zzsaw_c_codez00,
		BgL_bgl_string2771za700za7za7s3014za7, "BGL_RTL_EQ", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2847z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2prefixza73015za7,
		BGl_z62genzd2prefixzd2rtl_loadi1708z62zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2772z00zzsaw_c_codez00,
		BgL_bgl_string2772za700za7za7s3016za7, ">=", 2);
	      DEFINE_STRING(BGl_string2773z00zzsaw_c_codez00,
		BgL_bgl_string2773za700za7za7s3017za7, "BGL_RTL_GE", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2849z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2prefixza73018za7,
		BGl_z62genzd2prefixzd2rtl_loadg1710z62zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2774z00zzsaw_c_codez00,
		BgL_bgl_string2774za700za7za7s3019za7, "<=", 2);
	      DEFINE_STRING(BGl_string2775z00zzsaw_c_codez00,
		BgL_bgl_string2775za700za7za7s3020za7, "BGL_RTL_LE", 10);
	      DEFINE_STRING(BGl_string2776z00zzsaw_c_codez00,
		BgL_bgl_string2776za700za7za7s3021za7, ">", 1);
	      DEFINE_STRING(BGl_string2777z00zzsaw_c_codez00,
		BgL_bgl_string2777za700za7za7s3022za7, "BGL_RTL_GT", 10);
	      DEFINE_STRING(BGl_string2778z00zzsaw_c_codez00,
		BgL_bgl_string2778za700za7za7s3023za7, "<", 1);
	      DEFINE_STRING(BGl_string2779z00zzsaw_c_codez00,
		BgL_bgl_string2779za700za7za7s3024za7, "BGL_RTL_LT", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2850z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2prefixza73025za7,
		BGl_z62genzd2prefixzd2rtl_loadf1712z62zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2851z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2prefixza73026za7,
		BGl_z62genzd2prefixzd2rtl_store1714z62zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2852z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2prefixza73027za7,
		BGl_z62genzd2prefixzd2rtl_globa1716z62zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2853z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2prefixza73028za7,
		BGl_z62genzd2prefixzd2rtl_go1718z62zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2854z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2prefixza73029za7,
		BGl_z62genzd2prefixzd2rtl_ifeq1720z62zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2855z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2prefixza73030za7,
		BGl_z62genzd2prefixzd2rtl_ifne1722z62zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2780z00zzsaw_c_codez00,
		BgL_bgl_string2780za700za7za7s3031za7, "|", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2856z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2prefixza73032za7,
		BGl_z62genzd2prefixzd2rtl_vallo1724z62zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2781z00zzsaw_c_codez00,
		BgL_bgl_string2781za700za7za7s3033za7, "BGL_RTL_OR", 10);
	      DEFINE_STRING(BGl_string2863z00zzsaw_c_codez00,
		BgL_bgl_string2863za700za7za7s3034za7, "accept-folding?", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2857z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2prefixza73035za7,
		BGl_z62genzd2prefixzd2rtl_vref1726z62zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2782z00zzsaw_c_codez00,
		BgL_bgl_string2782za700za7za7s3036za7, "&", 1);
	      DEFINE_STRING(BGl_string2864z00zzsaw_c_codez00,
		BgL_bgl_string2864za700za7za7s3037za7, "(function_t) ", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2858z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2prefixza73038za7,
		BGl_z62genzd2prefixzd2rtl_vset1728z62zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2783z00zzsaw_c_codez00,
		BgL_bgl_string2783za700za7za7s3039za7, "BGL_RTL_AND", 11);
	      DEFINE_STRING(BGl_string2865z00zzsaw_c_codez00,
		BgL_bgl_string2865za700za7za7s3040za7, "return", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2859z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2prefixza73041za7,
		BGl_z62genzd2prefixzd2rtl_vleng1730z62zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2784z00zzsaw_c_codez00,
		BgL_bgl_string2784za700za7za7s3042za7, "+", 1);
	      DEFINE_STRING(BGl_string2866z00zzsaw_c_codez00,
		BgL_bgl_string2866za700za7za7s3043za7, "VLENGTH", 7);
	      DEFINE_STRING(BGl_string2785z00zzsaw_c_codez00,
		BgL_bgl_string2785za700za7za7s3044za7, "BGL_RTL_ADD", 11);
	      DEFINE_STRING(BGl_string2867z00zzsaw_c_codez00,
		BgL_bgl_string2867za700za7za7s3045za7, "VSET", 4);
	      DEFINE_STRING(BGl_string2786z00zzsaw_c_codez00,
		BgL_bgl_string2786za700za7za7s3046za7, "-", 1);
	      DEFINE_STRING(BGl_string2868z00zzsaw_c_codez00,
		BgL_bgl_string2868za700za7za7s3047za7, "VREF", 4);
	      DEFINE_STRING(BGl_string2787z00zzsaw_c_codez00,
		BgL_bgl_string2787za700za7za7s3048za7, "BGL_RTL_SUB", 11);
	      DEFINE_STRING(BGl_string2869z00zzsaw_c_codez00,
		BgL_bgl_string2869za700za7za7s3049za7, "VALLOC", 6);
	      DEFINE_STRING(BGl_string2788z00zzsaw_c_codez00,
		BgL_bgl_string2788za700za7za7s3050za7, "*", 1);
	      DEFINE_STRING(BGl_string2789z00zzsaw_c_codez00,
		BgL_bgl_string2789za700za7za7s3051za7, "BGL_RTL_MUL", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2860z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2prefixza73052za7,
		BGl_z62genzd2prefixzd2rtl_cast1732z62zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2861z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2prefixza73053za7,
		BGl_z62genzd2prefixzd2rtl_cast_1734z62zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2862z00zzsaw_c_codez00,
		BgL_bgl_za762acceptza7d2fold3054z00,
		BGl_z62acceptzd2foldingzf3zd2cvm1736z91zzsaw_c_codez00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2870z00zzsaw_c_codez00,
		BgL_bgl_string2870za700za7za7s3055za7, "make_fx_procedure", 17);
	      DEFINE_STRING(BGl_string2871z00zzsaw_c_codez00,
		BgL_bgl_string2871za700za7za7s3056za7, "MAKE_FX_PROCEDURE", 17);
	      DEFINE_STRING(BGl_string2790z00zzsaw_c_codez00,
		BgL_bgl_string2790za700za7za7s3057za7, "/", 1);
	      DEFINE_STRING(BGl_string2872z00zzsaw_c_codez00,
		BgL_bgl_string2872za700za7za7s3058za7, "make_va_procedure", 17);
	      DEFINE_STRING(BGl_string2791z00zzsaw_c_codez00,
		BgL_bgl_string2791za700za7za7s3059za7, "BGL_RTL_DIV", 11);
	      DEFINE_STRING(BGl_string2873z00zzsaw_c_codez00,
		BgL_bgl_string2873za700za7za7s3060za7, "MAKE_VA_PROCEDURE", 17);
	      DEFINE_STRING(BGl_string2792z00zzsaw_c_codez00,
		BgL_bgl_string2792za700za7za7s3061za7, "%", 1);
	      DEFINE_STRING(BGl_string2874z00zzsaw_c_codez00,
		BgL_bgl_string2874za700za7za7s3062za7, "MAKE_L_PROCEDURE", 16);
	      DEFINE_STRING(BGl_string2793z00zzsaw_c_codez00,
		BgL_bgl_string2793za700za7za7s3063za7, "BGL_RTL_REM", 11);
	      DEFINE_STRING(BGl_string2875z00zzsaw_c_codez00,
		BgL_bgl_string2875za700za7za7s3064za7, "switch(", 7);
	      DEFINE_STRING(BGl_string2794z00zzsaw_c_codez00,
		BgL_bgl_string2794za700za7za7s3065za7, " | ", 3);
	      DEFINE_STRING(BGl_string2876z00zzsaw_c_codez00,
		BgL_bgl_string2876za700za7za7s3066za7, ") {", 3);
	      DEFINE_STRING(BGl_string2795z00zzsaw_c_codez00,
		BgL_bgl_string2795za700za7za7s3067za7, " & ", 3);
	      DEFINE_STRING(BGl_string2877z00zzsaw_c_codez00,
		BgL_bgl_string2877za700za7za7s3068za7, "\n\t default: ", 12);
	      DEFINE_STRING(BGl_string2796z00zzsaw_c_codez00,
		BgL_bgl_string2796za700za7za7s3069za7, " ^ ", 3);
	      DEFINE_STRING(BGl_string2878z00zzsaw_c_codez00,
		BgL_bgl_string2878za700za7za7s3070za7, "\n\t case ", 8);
	      DEFINE_STRING(BGl_string2797z00zzsaw_c_codez00,
		BgL_bgl_string2797za700za7za7s3071za7, "BGL_RTL_XOR", 11);
	      DEFINE_STRING(BGl_string2879z00zzsaw_c_codez00,
		BgL_bgl_string2879za700za7za7s3072za7, ";", 1);
	      DEFINE_STRING(BGl_string2798z00zzsaw_c_codez00,
		BgL_bgl_string2798za700za7za7s3073za7, " >> ", 4);
	      DEFINE_STRING(BGl_string2799z00zzsaw_c_codez00,
		BgL_bgl_string2799za700za7za7s3074za7, "BGL_RTL_RSH", 11);
	      DEFINE_STRING(BGl_string2880z00zzsaw_c_codez00,
		BgL_bgl_string2880za700za7za7s3075za7, " goto L", 7);
	      DEFINE_STRING(BGl_string2881z00zzsaw_c_codez00,
		BgL_bgl_string2881za700za7za7s3076za7, "\n\t}", 3);
	      DEFINE_STRING(BGl_string2882z00zzsaw_c_codez00,
		BgL_bgl_string2882za700za7za7s3077za7, "BUNSPEC", 7);
	      DEFINE_STRING(BGl_string2883z00zzsaw_c_codez00,
		BgL_bgl_string2883za700za7za7s3078za7, "(obj_t) jmpbuf;\n\t", 17);
	      DEFINE_STRING(BGl_string2884z00zzsaw_c_codez00,
		BgL_bgl_string2884za700za7za7s3079za7, "{BGL_STORE_TRACE();", 19);
	      DEFINE_STRING(BGl_string2885z00zzsaw_c_codez00,
		BgL_bgl_string2885za700za7za7s3080za7,
		"if(SETJMP(jmpbuf)) {BGL_RESTORE_TRACE(); return(BGL_EXIT_VALUE());}}\n",
		69);
	      DEFINE_STRING(BGl_string2886z00zzsaw_c_codez00,
		BgL_bgl_string2886za700za7za7s3081za7, "#if( SIGSETJMP_SAVESIGS == 0 )\n",
		31);
	      DEFINE_STRING(BGl_string2887z00zzsaw_c_codez00,
		BgL_bgl_string2887za700za7za7s3082za7,
		"  // bgl_restore_signal_handlers();\n", 36);
	      DEFINE_STRING(BGl_string2888z00zzsaw_c_codez00,
		BgL_bgl_string2888za700za7za7s3083za7, "#endif\n", 7);
	      DEFINE_STRING(BGl_string2889z00zzsaw_c_codez00,
		BgL_bgl_string2889za700za7za7s3084za7, "(VA_PROCEDUREP(", 15);
	      DEFINE_STRING(BGl_string2890z00zzsaw_c_codez00,
		BgL_bgl_string2890za700za7za7s3085za7, ") ? ", 4);
	      DEFINE_STRING(BGl_string2891z00zzsaw_c_codez00,
		BgL_bgl_string2891za700za7za7s3086za7, " : ", 3);
	      DEFINE_STRING(BGl_string2892z00zzsaw_c_codez00,
		BgL_bgl_string2892za700za7za7s3087za7, "BGL_SAW_SETFIELD(", 17);
	      DEFINE_STRING(BGl_string2893z00zzsaw_c_codez00,
		BgL_bgl_string2893za700za7za7s3088za7, ",", 1);
	      DEFINE_STRING(BGl_string2894z00zzsaw_c_codez00,
		BgL_bgl_string2894za700za7za7s3089za7, "BGL_SAW_GETFIELD(", 17);
	      DEFINE_STRING(BGl_string2895z00zzsaw_c_codez00,
		BgL_bgl_string2895za700za7za7s3090za7, "L_", 2);
	      DEFINE_STRING(BGl_string2896z00zzsaw_c_codez00,
		BgL_bgl_string2896za700za7za7s3091za7, "saw_c_code", 10);
	      DEFINE_STRING(BGl_string2897z00zzsaw_c_codez00,
		BgL_bgl_string2897za700za7za7s3092za7,
		"bigloo-c else saw_c_code SawCIreg obj index (double llong ullong elong uelong long ulong int uint char uchar byte ubyte bool string int8 uint8 int16 uint16 int32 uint32 int64 uint64) #z1 location push-before! push-exit! (\"WRITE_CHAR\" \"BOOLEANP\" \"INTEGERP\" \"NULLP\" \"PAIRP\" \"SYMBOLP\" \"VECTORP\") ",
		293);
	extern obj_t BGl_acceptzd2foldingzf3zd2envzf3zzsaw_exprz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sawzd2cepiloguezd2envz00zzsaw_c_codez00,
		BgL_bgl_za762sawza7d2cepilog3093z00,
		BGl_z62sawzd2cepiloguezb0zzsaw_c_codez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_GENERIC(BGl_genzd2exprzd2envz00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2exprza7b03094za7, BGl_z62genzd2exprzb0zzsaw_c_codez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_genzd2funzd2namezd2envzd2zzsaw_c_codez00,
		BgL_bgl_za762genza7d2funza7d2n3095za7,
		BGl_z62genzd2funzd2namez62zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_genzd2prefixzd2envz00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2prefixza73096za7,
		BGl_z62genzd2prefixzb0zzsaw_c_codez00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzsaw_c_codez00));
		     ADD_ROOT((void *) (&BGl_za2counterza2z00zzsaw_c_codez00));
		     ADD_ROOT((void *) (&BGl_za2badzd2macrosza2zd2zzsaw_c_codez00));
		     ADD_ROOT((void *) (&BGl_SawCIregz00zzsaw_c_codez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsaw_c_codez00(long
		BgL_checksumz00_6228, char *BgL_fromz00_6229)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_c_codez00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_c_codez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_c_codez00();
					BGl_libraryzd2moduleszd2initz00zzsaw_c_codez00();
					BGl_cnstzd2initzd2zzsaw_c_codez00();
					BGl_importedzd2moduleszd2initz00zzsaw_c_codez00();
					BGl_objectzd2initzd2zzsaw_c_codez00();
					BGl_genericzd2initzd2zzsaw_c_codez00();
					BGl_methodzd2initzd2zzsaw_c_codez00();
					return BGl_toplevelzd2initzd2zzsaw_c_codez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_c_codez00(void)
	{
		{	/* SawC/code.scm 1 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "saw_c_code");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L, "saw_c_code");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"saw_c_code");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "saw_c_code");
			BGl_modulezd2initializa7ationz75zz__osz00(0L, "saw_c_code");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "saw_c_code");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L, "saw_c_code");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"saw_c_code");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "saw_c_code");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "saw_c_code");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "saw_c_code");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"saw_c_code");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "saw_c_code");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "saw_c_code");
			BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(0L, "saw_c_code");
			BGl_modulezd2initializa7ationz75zz__rgcz00(0L, "saw_c_code");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "saw_c_code");
			BGl_modulezd2initializa7ationz75zz__bignumz00(0L, "saw_c_code");
			BGl_modulezd2initializa7ationz75zz__structurez00(0L, "saw_c_code");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_c_codez00(void)
	{
		{	/* SawC/code.scm 1 */
			{	/* SawC/code.scm 1 */
				obj_t BgL_cportz00_6000;

				{	/* SawC/code.scm 1 */
					obj_t BgL_stringz00_6007;

					BgL_stringz00_6007 = BGl_string2897z00zzsaw_c_codez00;
					{	/* SawC/code.scm 1 */
						obj_t BgL_startz00_6008;

						BgL_startz00_6008 = BINT(0L);
						{	/* SawC/code.scm 1 */
							obj_t BgL_endz00_6009;

							BgL_endz00_6009 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_6007)));
							{	/* SawC/code.scm 1 */

								BgL_cportz00_6000 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_6007, BgL_startz00_6008, BgL_endz00_6009);
				}}}}
				{
					long BgL_iz00_6001;

					BgL_iz00_6001 = 11L;
				BgL_loopz00_6002:
					if ((BgL_iz00_6001 == (-1L)))
						{	/* SawC/code.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawC/code.scm 1 */
							{	/* SawC/code.scm 1 */
								obj_t BgL_arg2898z00_6003;

								{	/* SawC/code.scm 1 */

									{	/* SawC/code.scm 1 */
										obj_t BgL_locationz00_6005;

										BgL_locationz00_6005 = BBOOL(((bool_t) 0));
										{	/* SawC/code.scm 1 */

											BgL_arg2898z00_6003 =
												BGl_readz00zz__readerz00(BgL_cportz00_6000,
												BgL_locationz00_6005);
										}
									}
								}
								{	/* SawC/code.scm 1 */
									int BgL_tmpz00_6269;

									BgL_tmpz00_6269 = (int) (BgL_iz00_6001);
									CNST_TABLE_SET(BgL_tmpz00_6269, BgL_arg2898z00_6003);
							}}
							{	/* SawC/code.scm 1 */
								int BgL_auxz00_6006;

								BgL_auxz00_6006 = (int) ((BgL_iz00_6001 - 1L));
								{
									long BgL_iz00_6274;

									BgL_iz00_6274 = (long) (BgL_auxz00_6006);
									BgL_iz00_6001 = BgL_iz00_6274;
									goto BgL_loopz00_6002;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_c_codez00(void)
	{
		{	/* SawC/code.scm 1 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_c_codez00(void)
	{
		{	/* SawC/code.scm 1 */
			BGl_za2commentza2z00zzsaw_c_codez00 = ((bool_t) 0);
			BGl_za2traceza2z00zzsaw_c_codez00 = ((bool_t) 0);
			BGl_za2countza2z00zzsaw_c_codez00 =
				BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BGl_getenvz00zz__osz00
				(BGl_string2706z00zzsaw_c_codez00), BGl_string2707z00zzsaw_c_codez00);
			BGl_za2inlinezd2simplezd2macrosza2z00zzsaw_c_codez00 = ((bool_t) 1);
			BGl_za2counterza2z00zzsaw_c_codez00 = BINT(0L);
			BGl_za2hasprotectza2z00zzsaw_c_codez00 = ((bool_t) 0);
			BGl_za2haspushexitza2z00zzsaw_c_codez00 = ((bool_t) 0);
			BGl_za2haspushbeforeza2z00zzsaw_c_codez00 = ((bool_t) 0);
			BGl_za2pushtraceemmitedza2z00zzsaw_c_codez00 = 0L;
			return (BGl_za2badzd2macrosza2zd2zzsaw_c_codez00 =
				((obj_t) CNST_TABLE_REF(0)), BUNSPEC);
		}

	}



/* saw-cheader */
	BGL_EXPORTED_DEF obj_t BGl_sawzd2cheaderzd2zzsaw_c_codez00(void)
	{
		{	/* SawC/code.scm 43 */
			return
				BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00
				(BGl_za2czd2portza2zd2zzbackend_c_emitz00,
				BGl_proc2708z00zzsaw_c_codez00);
		}

	}



/* &saw-cheader */
	obj_t BGl_z62sawzd2cheaderzb0zzsaw_c_codez00(obj_t BgL_envz00_5826)
	{
		{	/* SawC/code.scm 43 */
			return BGl_sawzd2cheaderzd2zzsaw_c_codez00();
		}

	}



/* &<@anonymous:1777> */
	obj_t BGl_z62zc3z04anonymousza31777ze3ze5zzsaw_c_codez00(obj_t
		BgL_envz00_5827)
	{
		{	/* SawC/code.scm 45 */
			return BGl_headerz00zzsaw_c_codez00();
		}

	}



/* header */
	obj_t BGl_headerz00zzsaw_c_codez00(void)
	{
		{	/* SawC/code.scm 47 */
			if (BGl_za2countza2z00zzsaw_c_codez00)
				{	/* SawC/code.scm 48 */
					{	/* SawC/code.scm 49 */
						obj_t BgL_arg1782z00_2439;

						{	/* SawC/code.scm 49 */
							obj_t BgL_tmpz00_6286;

							BgL_tmpz00_6286 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_arg1782z00_2439 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6286);
						}
						bgl_display_string(BGl_string2709z00zzsaw_c_codez00,
							BgL_arg1782z00_2439);
					}
					{	/* SawC/code.scm 50 */
						obj_t BgL_arg1783z00_2440;

						{	/* SawC/code.scm 50 */
							obj_t BgL_tmpz00_6290;

							BgL_tmpz00_6290 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_arg1783z00_2440 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6290);
						}
						bgl_display_string(BGl_string2710z00zzsaw_c_codez00,
							BgL_arg1783z00_2440);
					}
					{	/* SawC/code.scm 51 */
						obj_t BgL_arg1784z00_2441;

						{	/* SawC/code.scm 51 */
							obj_t BgL_tmpz00_6294;

							BgL_tmpz00_6294 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_arg1784z00_2441 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6294);
						}
						bgl_display_string(BGl_string2711z00zzsaw_c_codez00,
							BgL_arg1784z00_2441);
					}
					{	/* SawC/code.scm 52 */
						obj_t BgL_arg1785z00_2442;

						{	/* SawC/code.scm 52 */
							obj_t BgL_tmpz00_6298;

							BgL_tmpz00_6298 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_arg1785z00_2442 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6298);
						}
						bgl_display_string(BGl_string2712z00zzsaw_c_codez00,
							BgL_arg1785z00_2442);
					}
				}
			else
				{	/* SawC/code.scm 48 */
					BFALSE;
				}
			{	/* SawC/code.scm 54 */
				obj_t BgL_arg1786z00_2443;

				{	/* SawC/code.scm 54 */
					obj_t BgL_tmpz00_6302;

					BgL_tmpz00_6302 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg1786z00_2443 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6302);
				}
				return
					bgl_display_string(BGl_string2713z00zzsaw_c_codez00,
					BgL_arg1786z00_2443);
			}
		}

	}



/* saw-cepilogue */
	BGL_EXPORTED_DEF obj_t BGl_sawzd2cepiloguezd2zzsaw_c_codez00(void)
	{
		{	/* SawC/code.scm 56 */
			return
				BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00
				(BGl_za2czd2portza2zd2zzbackend_c_emitz00,
				BGl_proc2714z00zzsaw_c_codez00);
		}

	}



/* &saw-cepilogue */
	obj_t BGl_z62sawzd2cepiloguezb0zzsaw_c_codez00(obj_t BgL_envz00_5829)
	{
		{	/* SawC/code.scm 56 */
			return BGl_sawzd2cepiloguezd2zzsaw_c_codez00();
		}

	}



/* &<@anonymous:1790> */
	obj_t BGl_z62zc3z04anonymousza31790ze3ze5zzsaw_c_codez00(obj_t
		BgL_envz00_5830)
	{
		{	/* SawC/code.scm 58 */
			return BGl_cepiloguez00zzsaw_c_codez00();
		}

	}



/* cepilogue */
	obj_t BGl_cepiloguez00zzsaw_c_codez00(void)
	{
		{	/* SawC/code.scm 60 */
			{	/* SawC/code.scm 61 */
				obj_t BgL_arg1796z00_2447;

				{	/* SawC/code.scm 61 */
					obj_t BgL_tmpz00_6309;

					BgL_tmpz00_6309 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg1796z00_2447 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6309);
				}
				bgl_display_string(BGl_string2713z00zzsaw_c_codez00,
					BgL_arg1796z00_2447);
			}
			if (BGl_za2countza2z00zzsaw_c_codez00)
				{	/* SawC/code.scm 62 */
					{	/* SawC/code.scm 63 */
						obj_t BgL_list1797z00_2448;

						{	/* SawC/code.scm 63 */
							obj_t BgL_arg1799z00_2449;

							{	/* SawC/code.scm 63 */
								obj_t BgL_arg1800z00_2450;

								BgL_arg1800z00_2450 =
									MAKE_YOUNG_PAIR(BGl_string2715z00zzsaw_c_codez00, BNIL);
								BgL_arg1799z00_2449 =
									MAKE_YOUNG_PAIR(BGl_za2counterza2z00zzsaw_c_codez00,
									BgL_arg1800z00_2450);
							}
							BgL_list1797z00_2448 =
								MAKE_YOUNG_PAIR(BGl_string2716z00zzsaw_c_codez00,
								BgL_arg1799z00_2449);
						}
						BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list1797z00_2448);
					}
					{	/* SawC/code.scm 64 */
						obj_t BgL_list1801z00_2451;

						{	/* SawC/code.scm 64 */
							obj_t BgL_arg1802z00_2452;

							{	/* SawC/code.scm 64 */
								obj_t BgL_arg1803z00_2453;

								BgL_arg1803z00_2453 =
									MAKE_YOUNG_PAIR(BGl_string2715z00zzsaw_c_codez00, BNIL);
								BgL_arg1802z00_2452 =
									MAKE_YOUNG_PAIR(BGl_za2counterza2z00zzsaw_c_codez00,
									BgL_arg1803z00_2453);
							}
							BgL_list1801z00_2451 =
								MAKE_YOUNG_PAIR(BGl_string2717z00zzsaw_c_codez00,
								BgL_arg1802z00_2452);
						}
						BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list1801z00_2451);
					}
					{	/* SawC/code.scm 65 */
						obj_t BgL_list1804z00_2454;

						{	/* SawC/code.scm 65 */
							obj_t BgL_arg1810z00_2455;

							{	/* SawC/code.scm 65 */
								obj_t BgL_arg1811z00_2456;

								BgL_arg1811z00_2456 =
									MAKE_YOUNG_PAIR(BGl_string2715z00zzsaw_c_codez00, BNIL);
								BgL_arg1810z00_2455 =
									MAKE_YOUNG_PAIR(BGl_za2counterza2z00zzsaw_c_codez00,
									BgL_arg1811z00_2456);
							}
							BgL_list1804z00_2454 =
								MAKE_YOUNG_PAIR(BGl_string2718z00zzsaw_c_codez00,
								BgL_arg1810z00_2455);
						}
						BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list1804z00_2454);
					}
					{	/* SawC/code.scm 66 */
						obj_t BgL_arg1814z00_2457;

						{	/* SawC/code.scm 66 */
							obj_t BgL_tmpz00_6326;

							BgL_tmpz00_6326 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_arg1814z00_2457 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6326);
						}
						bgl_display_string(BGl_string2719z00zzsaw_c_codez00,
							BgL_arg1814z00_2457);
					}
					{	/* SawC/code.scm 67 */
						obj_t BgL_arg1818z00_2458;

						{	/* SawC/code.scm 67 */
							obj_t BgL_tmpz00_6330;

							BgL_tmpz00_6330 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_arg1818z00_2458 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6330);
						}
						bgl_display_string(BGl_string2720z00zzsaw_c_codez00,
							BgL_arg1818z00_2458);
					}
					{	/* SawC/code.scm 68 */
						obj_t BgL_arg1821z00_2459;

						{	/* SawC/code.scm 68 */
							obj_t BgL_tmpz00_6334;

							BgL_tmpz00_6334 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_arg1821z00_2459 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6334);
						}
						bgl_display_string(BGl_string2721z00zzsaw_c_codez00,
							BgL_arg1821z00_2459);
					}
					{	/* SawC/code.scm 69 */
						obj_t BgL_list1822z00_2460;

						{	/* SawC/code.scm 69 */
							obj_t BgL_arg1825z00_2461;

							{	/* SawC/code.scm 69 */
								obj_t BgL_arg1829z00_2462;

								BgL_arg1829z00_2462 =
									MAKE_YOUNG_PAIR(BGl_string2722z00zzsaw_c_codez00, BNIL);
								BgL_arg1825z00_2461 =
									MAKE_YOUNG_PAIR(BGl_za2counterza2z00zzsaw_c_codez00,
									BgL_arg1829z00_2462);
							}
							BgL_list1822z00_2460 =
								MAKE_YOUNG_PAIR(BGl_string2723z00zzsaw_c_codez00,
								BgL_arg1825z00_2461);
						}
						BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list1822z00_2460);
					}
					{	/* SawC/code.scm 70 */
						obj_t BgL_arg1834z00_2463;

						{	/* SawC/code.scm 70 */
							obj_t BgL_tmpz00_6342;

							BgL_tmpz00_6342 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_arg1834z00_2463 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6342);
						}
						bgl_display_string(BGl_string2724z00zzsaw_c_codez00,
							BgL_arg1834z00_2463);
					}
					{	/* SawC/code.scm 71 */
						obj_t BgL_arg1842z00_2464;

						{	/* SawC/code.scm 71 */
							obj_t BgL_tmpz00_6346;

							BgL_tmpz00_6346 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_arg1842z00_2464 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6346);
						}
						bgl_display_string(BGl_string2725z00zzsaw_c_codez00,
							BgL_arg1842z00_2464);
					}
					{	/* SawC/code.scm 72 */
						obj_t BgL_arg1845z00_2465;

						{	/* SawC/code.scm 72 */
							obj_t BgL_tmpz00_6350;

							BgL_tmpz00_6350 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_arg1845z00_2465 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6350);
						}
						bgl_display_string(BGl_string2726z00zzsaw_c_codez00,
							BgL_arg1845z00_2465);
					}
					{	/* SawC/code.scm 73 */
						obj_t BgL_arg1847z00_2466;

						{	/* SawC/code.scm 73 */
							obj_t BgL_tmpz00_6354;

							BgL_tmpz00_6354 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_arg1847z00_2466 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6354);
						}
						bgl_display_string(BGl_string2727z00zzsaw_c_codez00,
							BgL_arg1847z00_2466);
					}
					{	/* SawC/code.scm 74 */
						obj_t BgL_arg1848z00_2467;

						{	/* SawC/code.scm 74 */
							obj_t BgL_tmpz00_6358;

							BgL_tmpz00_6358 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_arg1848z00_2467 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6358);
						}
						bgl_display_string(BGl_string2728z00zzsaw_c_codez00,
							BgL_arg1848z00_2467);
					}
					{	/* SawC/code.scm 75 */
						obj_t BgL_arg1851z00_2468;

						{	/* SawC/code.scm 75 */
							obj_t BgL_tmpz00_6362;

							BgL_tmpz00_6362 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_arg1851z00_2468 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6362);
						}
						bgl_display_string(BGl_string2729z00zzsaw_c_codez00,
							BgL_arg1851z00_2468);
					}
					{	/* SawC/code.scm 76 */
						obj_t BgL_arg1852z00_2469;

						{	/* SawC/code.scm 76 */
							obj_t BgL_tmpz00_6366;

							BgL_tmpz00_6366 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_arg1852z00_2469 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6366);
						}
						bgl_display_string(BGl_string2730z00zzsaw_c_codez00,
							BgL_arg1852z00_2469);
					}
					{	/* SawC/code.scm 77 */
						obj_t BgL_arg1856z00_2470;

						{	/* SawC/code.scm 77 */
							obj_t BgL_tmpz00_6370;

							BgL_tmpz00_6370 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_arg1856z00_2470 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6370);
						}
						return
							bgl_display_string(BGl_string2731z00zzsaw_c_codez00,
							BgL_arg1856z00_2470);
					}
				}
			else
				{	/* SawC/code.scm 62 */
					return BFALSE;
				}
		}

	}



/* saw-cgen */
	BGL_EXPORTED_DEF obj_t BGl_sawzd2cgenzd2zzsaw_c_codez00(BgL_cvmz00_bglt
		BgL_bz00_46, BgL_globalz00_bglt BgL_vz00_47)
	{
		{	/* SawC/code.scm 79 */
			{	/* SawC/code.scm 80 */
				obj_t BgL_lz00_2471;

				BgL_lz00_2471 =
					BGl_globalzd2ze3blocksz31zzsaw_woodcutterz00(
					((BgL_backendz00_bglt) BgL_bz00_46), BgL_vz00_47);
				BGl_za2hasprotectza2z00zzsaw_c_codez00 = ((bool_t) 0);
				BGl_za2haspushexitza2z00zzsaw_c_codez00 = ((bool_t) 0);
				BGl_za2haspushbeforeza2z00zzsaw_c_codez00 = ((bool_t) 0);
				BGl_za2pushtraceemmitedza2z00zzsaw_c_codez00 = 0L;
				{	/* SawC/code.scm 86 */
					obj_t BgL_zc3z04anonymousza31858ze3z87_5831;

					BgL_zc3z04anonymousza31858ze3z87_5831 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza31858ze3ze5zzsaw_c_codez00, (int) (0L),
						(int) (3L));
					PROCEDURE_SET(BgL_zc3z04anonymousza31858ze3z87_5831, (int) (0L),
						((obj_t) BgL_bz00_46));
					PROCEDURE_SET(BgL_zc3z04anonymousza31858ze3z87_5831, (int) (1L),
						((obj_t) BgL_vz00_47));
					PROCEDURE_SET(BgL_zc3z04anonymousza31858ze3z87_5831, (int) (2L),
						BgL_lz00_2471);
					return
						BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00
						(BGl_za2czd2portza2zd2zzbackend_c_emitz00,
						BgL_zc3z04anonymousza31858ze3z87_5831);
				}
			}
		}

	}



/* &saw-cgen */
	obj_t BGl_z62sawzd2cgenzb0zzsaw_c_codez00(obj_t BgL_envz00_5832,
		obj_t BgL_bz00_5833, obj_t BgL_vz00_5834)
	{
		{	/* SawC/code.scm 79 */
			return
				BGl_sawzd2cgenzd2zzsaw_c_codez00(
				((BgL_cvmz00_bglt) BgL_bz00_5833),
				((BgL_globalz00_bglt) BgL_vz00_5834));
		}

	}



/* &<@anonymous:1858> */
	obj_t BGl_z62zc3z04anonymousza31858ze3ze5zzsaw_c_codez00(obj_t
		BgL_envz00_5835)
	{
		{	/* SawC/code.scm 86 */
			{	/* SawC/code.scm 86 */
				BgL_cvmz00_bglt BgL_bz00_5836;
				BgL_globalz00_bglt BgL_vz00_5837;
				obj_t BgL_lz00_5838;

				BgL_bz00_5836 =
					((BgL_cvmz00_bglt) PROCEDURE_REF(BgL_envz00_5835, (int) (0L)));
				BgL_vz00_5837 =
					((BgL_globalz00_bglt) PROCEDURE_REF(BgL_envz00_5835, (int) (1L)));
				BgL_lz00_5838 = ((obj_t) PROCEDURE_REF(BgL_envz00_5835, (int) (2L)));
				return
					BGl_genfunz00zzsaw_c_codez00(BgL_bz00_5836, BgL_vz00_5837,
					BgL_lz00_5838);
			}
		}

	}



/* genfun */
	obj_t BGl_genfunz00zzsaw_c_codez00(BgL_cvmz00_bglt BgL_bz00_48,
		BgL_globalz00_bglt BgL_vz00_49, obj_t BgL_lz00_50)
	{
		{	/* SawC/code.scm 88 */
			{	/* SawC/code.scm 90 */
				BgL_sfunz00_bglt BgL_i1180z00_2476;

				BgL_i1180z00_2476 =
					((BgL_sfunz00_bglt)
					(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_vz00_49)))->BgL_valuez00));
				{	/* SawC/code.scm 91 */
					obj_t BgL_paramsz00_2477;

					{	/* SawC/code.scm 91 */
						obj_t BgL_l1617z00_2505;

						BgL_l1617z00_2505 =
							(((BgL_sfunz00_bglt) COBJECT(BgL_i1180z00_2476))->BgL_argsz00);
						if (NULLP(BgL_l1617z00_2505))
							{	/* SawC/code.scm 91 */
								BgL_paramsz00_2477 = BNIL;
							}
						else
							{	/* SawC/code.scm 91 */
								obj_t BgL_head1619z00_2507;

								{	/* SawC/code.scm 91 */
									BgL_rtl_regz00_bglt BgL_arg1907z00_2519;

									{	/* SawC/code.scm 91 */
										obj_t BgL_arg1908z00_2520;

										BgL_arg1908z00_2520 = CAR(((obj_t) BgL_l1617z00_2505));
										BgL_arg1907z00_2519 =
											BGl_localzd2ze3regz31zzsaw_node2rtlz00(
											((BgL_localz00_bglt) BgL_arg1908z00_2520));
									}
									BgL_head1619z00_2507 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_arg1907z00_2519), BNIL);
								}
								{	/* SawC/code.scm 91 */
									obj_t BgL_g1622z00_2508;

									BgL_g1622z00_2508 = CDR(((obj_t) BgL_l1617z00_2505));
									{
										obj_t BgL_l1617z00_2510;
										obj_t BgL_tail1620z00_2511;

										BgL_l1617z00_2510 = BgL_g1622z00_2508;
										BgL_tail1620z00_2511 = BgL_head1619z00_2507;
									BgL_zc3z04anonymousza31902ze3z87_2512:
										if (NULLP(BgL_l1617z00_2510))
											{	/* SawC/code.scm 91 */
												BgL_paramsz00_2477 = BgL_head1619z00_2507;
											}
										else
											{	/* SawC/code.scm 91 */
												obj_t BgL_newtail1621z00_2514;

												{	/* SawC/code.scm 91 */
													BgL_rtl_regz00_bglt BgL_arg1905z00_2516;

													{	/* SawC/code.scm 91 */
														obj_t BgL_arg1906z00_2517;

														BgL_arg1906z00_2517 =
															CAR(((obj_t) BgL_l1617z00_2510));
														BgL_arg1905z00_2516 =
															BGl_localzd2ze3regz31zzsaw_node2rtlz00(
															((BgL_localz00_bglt) BgL_arg1906z00_2517));
													}
													BgL_newtail1621z00_2514 =
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_arg1905z00_2516), BNIL);
												}
												SET_CDR(BgL_tail1620z00_2511, BgL_newtail1621z00_2514);
												{	/* SawC/code.scm 91 */
													obj_t BgL_arg1904z00_2515;

													BgL_arg1904z00_2515 =
														CDR(((obj_t) BgL_l1617z00_2510));
													{
														obj_t BgL_tail1620z00_6427;
														obj_t BgL_l1617z00_6426;

														BgL_l1617z00_6426 = BgL_arg1904z00_2515;
														BgL_tail1620z00_6427 = BgL_newtail1621z00_2514;
														BgL_tail1620z00_2511 = BgL_tail1620z00_6427;
														BgL_l1617z00_2510 = BgL_l1617z00_6426;
														goto BgL_zc3z04anonymousza31902ze3z87_2512;
													}
												}
											}
									}
								}
							}
					}
					BGl_buildzd2treezd2zzsaw_exprz00(
						((BgL_backendz00_bglt) BgL_bz00_48), BgL_paramsz00_2477,
						BgL_lz00_50);
					BgL_lz00_50 =
						BGl_registerzd2allocationzd2zzsaw_registerzd2allocationzd2((
							(BgL_backendz00_bglt) BgL_bz00_48), BgL_vz00_49,
						BgL_paramsz00_2477, BgL_lz00_50);
					BgL_lz00_50 =
						BGl_bbvz00zzsaw_bbvz00(((BgL_backendz00_bglt) BgL_bz00_48),
						BgL_vz00_49, BgL_paramsz00_2477, BgL_lz00_50);
					{	/* SawC/code.scm 96 */
						obj_t BgL_localsz00_2478;

						BgL_localsz00_2478 =
							BGl_getzd2localszd2zzsaw_c_codez00(BgL_paramsz00_2477,
							BgL_lz00_50);
						{	/* SawC/code.scm 98 */
							obj_t BgL_insz00_2483;

							{	/* SawC/code.scm 98 */
								obj_t BgL_arg1882z00_2488;

								{	/* SawC/code.scm 98 */
									BgL_blockz00_bglt BgL_oz00_4088;

									{	/* SawC/code.scm 98 */
										obj_t BgL_pairz00_4087;

										BgL_pairz00_4087 = BgL_lz00_50;
										BgL_oz00_4088 = ((BgL_blockz00_bglt) CAR(BgL_pairz00_4087));
									}
									BgL_arg1882z00_2488 =
										(((BgL_blockz00_bglt) COBJECT(BgL_oz00_4088))->
										BgL_firstz00);
								}
								BgL_insz00_2483 = CAR(((obj_t) BgL_arg1882z00_2488));
							}
							{	/* SawC/code.scm 99 */
								bool_t BgL_test3103z00_6440;

								if (CBOOL
									(BGl_za2czd2debugzd2lineszd2infoza2zd2zzengine_paramz00))
									{	/* SawC/code.scm 99 */
										if (CBOOL
											(BGl_za2bdbzd2debugzd2nozd2linezd2directiveszf3za2zf3zzengine_paramz00))
											{	/* SawC/code.scm 100 */
												BgL_test3103z00_6440 = ((bool_t) 0);
											}
										else
											{	/* SawC/code.scm 100 */
												BgL_test3103z00_6440 = ((bool_t) 1);
											}
									}
								else
									{	/* SawC/code.scm 99 */
										BgL_test3103z00_6440 = ((bool_t) 0);
									}
								if (BgL_test3103z00_6440)
									{	/* SawC/code.scm 101 */
										bool_t BgL__ortest_1181z00_2485;

										BgL__ortest_1181z00_2485 =
											BGl_printzd2locationzf3z21zzsaw_c_codez00(
											(((BgL_sfunz00_bglt) COBJECT(BgL_i1180z00_2476))->
												BgL_locz00));
										if (BgL__ortest_1181z00_2485)
											{	/* SawC/code.scm 101 */
												BgL__ortest_1181z00_2485;
											}
										else
											{	/* SawC/code.scm 102 */
												obj_t BgL_arg1876z00_2486;

												BgL_arg1876z00_2486 =
													BGl_findzd2locationzd2zzsaw_c_codez00(
													((BgL_rtl_insz00_bglt) BgL_insz00_2483));
												BGl_printzd2locationzf3z21zzsaw_c_codez00
													(BgL_arg1876z00_2486);
											}
									}
								else
									{	/* SawC/code.scm 99 */
										((bool_t) 0);
									}
							}
						}
						{	/* SawC/code.scm 103 */
							BgL_typez00_bglt BgL_arg1885z00_2490;

							BgL_arg1885z00_2490 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_vz00_49)))->BgL_typez00);
							{	/* SawC/code.scm 496 */
								obj_t BgL_arg2107z00_4091;

								BgL_arg2107z00_4091 =
									(((BgL_typez00_bglt) COBJECT(BgL_arg1885z00_2490))->
									BgL_namez00);
								{	/* SawC/code.scm 496 */
									obj_t BgL_list2108z00_4092;

									BgL_list2108z00_4092 =
										MAKE_YOUNG_PAIR(BgL_arg2107z00_4091, BNIL);
									BGl_displayza2za2zz__r4_output_6_10_3z00
										(BgL_list2108z00_4092);
								}
							}
						}
						{	/* SawC/code.scm 104 */
							obj_t BgL_arg1886z00_2491;

							{	/* SawC/code.scm 515 */
								obj_t BgL_arg2110z00_4095;

								BgL_arg2110z00_4095 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_vz00_49)))->BgL_namez00);
								BgL_arg1886z00_2491 =
									BGl_inlzd2opzd2zzsaw_c_codez00(BgL_arg2110z00_4095);
							}
							{	/* SawC/code.scm 104 */
								obj_t BgL_list1887z00_2492;

								{	/* SawC/code.scm 104 */
									obj_t BgL_arg1889z00_2493;

									BgL_arg1889z00_2493 =
										MAKE_YOUNG_PAIR(BgL_arg1886z00_2491, BNIL);
									BgL_list1887z00_2492 =
										MAKE_YOUNG_PAIR(BGl_string2732z00zzsaw_c_codez00,
										BgL_arg1889z00_2493);
								}
								BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list1887z00_2492);
							}
						}
						BGl_genzd2typezd2regsz00zzsaw_c_codez00(BgL_paramsz00_2477);
						{	/* SawC/code.scm 106 */
							obj_t BgL_arg1890z00_2494;

							{	/* SawC/code.scm 106 */
								obj_t BgL_tmpz00_6463;

								BgL_tmpz00_6463 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_arg1890z00_2494 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6463);
							}
							bgl_display_string(BGl_string2733z00zzsaw_c_codez00,
								BgL_arg1890z00_2494);
						}
						if (BGl_za2hasprotectza2z00zzsaw_c_codez00)
							{	/* SawC/code.scm 107 */
								obj_t BgL_arg1891z00_2495;

								{	/* SawC/code.scm 107 */
									obj_t BgL_tmpz00_6468;

									BgL_tmpz00_6468 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_arg1891z00_2495 =
										BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6468);
								}
								bgl_display_string(BGl_string2734z00zzsaw_c_codez00,
									BgL_arg1891z00_2495);
							}
						else
							{	/* SawC/code.scm 107 */
								BFALSE;
							}
						if (BGl_za2haspushexitza2z00zzsaw_c_codez00)
							{	/* SawC/code.scm 108 */
								obj_t BgL_arg1892z00_2496;

								{	/* SawC/code.scm 108 */
									obj_t BgL_tmpz00_6473;

									BgL_tmpz00_6473 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_arg1892z00_2496 =
										BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6473);
								}
								bgl_display_string(BGl_string2735z00zzsaw_c_codez00,
									BgL_arg1892z00_2496);
							}
						else
							{	/* SawC/code.scm 108 */
								BFALSE;
							}
						if (BGl_za2haspushbeforeza2z00zzsaw_c_codez00)
							{	/* SawC/code.scm 109 */
								obj_t BgL_arg1893z00_2497;

								{	/* SawC/code.scm 109 */
									obj_t BgL_tmpz00_6478;

									BgL_tmpz00_6478 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_arg1893z00_2497 =
										BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6478);
								}
								bgl_display_string(BGl_string2736z00zzsaw_c_codez00,
									BgL_arg1893z00_2497);
							}
						else
							{	/* SawC/code.scm 109 */
								BFALSE;
							}
						BGl_declarezd2regszd2zzsaw_c_codez00(BgL_localsz00_2478);
						((bool_t) 0);
					}
				}
			}
			{	/* SawC/code.scm 113 */
				obj_t BgL_arg1909z00_2522;

				BgL_arg1909z00_2522 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_vz00_49)))->BgL_idz00);
				BGl_genbodyz00zzsaw_c_codez00(BgL_lz00_50, BgL_arg1909z00_2522);
			}
			{	/* SawC/code.scm 114 */
				obj_t BgL_arg1910z00_2523;
				obj_t BgL_arg1911z00_2524;

				BgL_arg1910z00_2523 =
					make_string(BGl_za2pushtraceemmitedza2z00zzsaw_c_codez00,
					((unsigned char) '}'));
				{	/* SawC/code.scm 114 */
					obj_t BgL_tmpz00_6487;

					BgL_tmpz00_6487 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg1911z00_2524 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6487);
				}
				bgl_display_obj(BgL_arg1910z00_2523, BgL_arg1911z00_2524);
			}
			{	/* SawC/code.scm 115 */
				obj_t BgL_arg1912z00_2525;

				{	/* SawC/code.scm 115 */
					obj_t BgL_tmpz00_6491;

					BgL_tmpz00_6491 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg1912z00_2525 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6491);
				}
				return
					bgl_display_string(BGl_string2737z00zzsaw_c_codez00,
					BgL_arg1912z00_2525);
			}
		}

	}



/* get-locals */
	obj_t BGl_getzd2localszd2zzsaw_c_codez00(obj_t BgL_paramsz00_51,
		obj_t BgL_lz00_52)
	{
		{	/* SawC/code.scm 117 */
			{	/* SawC/code.scm 119 */
				struct bgl_unsafe_cell BgL_box3110_5994z00;
				struct bgl_unsafe_cell BgL_box3111_5995z00;
				obj_t BgL_nz00_5994;
				obj_t BgL_regsz00_5995;

				BgL_nz00_5994 =
					BGL_MAKE_UNSAFE_CELL_STACK(BINT(0L), BgL_box3110_5994z00);
				BgL_regsz00_5995 =
					BGL_MAKE_UNSAFE_CELL_STACK(BNIL, BgL_box3111_5995z00);
				{
					BgL_blockz00_bglt BgL_bz00_2577;

					{
						obj_t BgL_l1635z00_2532;

						BgL_l1635z00_2532 = BgL_paramsz00_51;
					BgL_zc3z04anonymousza31913ze3z87_2533:
						if (PAIRP(BgL_l1635z00_2532))
							{	/* SawC/code.scm 142 */
								BGl_exprzd2ze3iregze70zd6zzsaw_c_codez00(BgL_regsz00_5995,
									BgL_nz00_5994, CAR(BgL_l1635z00_2532));
								{
									obj_t BgL_l1635z00_6500;

									BgL_l1635z00_6500 = CDR(BgL_l1635z00_2532);
									BgL_l1635z00_2532 = BgL_l1635z00_6500;
									goto BgL_zc3z04anonymousza31913ze3z87_2533;
								}
							}
						else
							{	/* SawC/code.scm 142 */
								((bool_t) 1);
							}
					}
					{	/* SawC/code.scm 143 */
						obj_t BgL_auxz00_5996;

						BgL_auxz00_5996 = BNIL;
						BGL_UNSAFE_CELL_SET(BgL_regsz00_5995, BgL_auxz00_5996);
					}
					{
						obj_t BgL_l1637z00_2539;

						BgL_l1637z00_2539 = BgL_lz00_52;
					BgL_zc3z04anonymousza31917ze3z87_2540:
						if (PAIRP(BgL_l1637z00_2539))
							{	/* SawC/code.scm 144 */
								{	/* SawC/code.scm 144 */
									obj_t BgL_arg1919z00_2542;

									BgL_arg1919z00_2542 = CAR(BgL_l1637z00_2539);
									BgL_bz00_2577 = ((BgL_blockz00_bglt) BgL_arg1919z00_2542);
									{	/* SawC/code.scm 135 */
										obj_t BgL_g1634z00_2579;

										BgL_g1634z00_2579 =
											(((BgL_blockz00_bglt) COBJECT(BgL_bz00_2577))->
											BgL_firstz00);
										{
											obj_t BgL_l1632z00_2581;

											BgL_l1632z00_2581 = BgL_g1634z00_2579;
										BgL_zc3z04anonymousza31941ze3z87_2582:
											if (PAIRP(BgL_l1632z00_2581))
												{	/* SawC/code.scm 141 */
													{	/* SawC/code.scm 137 */
														obj_t BgL_insz00_2584;

														BgL_insz00_2584 = CAR(BgL_l1632z00_2581);
														{	/* SawC/code.scm 138 */
															BgL_rtl_funz00_bglt BgL_arg1943z00_2586;

															BgL_arg1943z00_2586 =
																(((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt) BgL_insz00_2584)))->
																BgL_funz00);
															BGl_check_funze70ze7zzsaw_c_codez00
																(BgL_arg1943z00_2586);
														}
														if (CBOOL(
																(((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				BgL_insz00_2584)))->BgL_destz00)))
															{	/* SawC/code.scm 139 */
																obj_t BgL_arg1945z00_2588;

																BgL_arg1945z00_2588 =
																	(((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				BgL_insz00_2584)))->BgL_destz00);
																BGl_exprzd2ze3iregze70zd6zzsaw_c_codez00
																	(BgL_regsz00_5995, BgL_nz00_5994,
																	BgL_arg1945z00_2588);
															}
														else
															{	/* SawC/code.scm 139 */
																BFALSE;
															}
														{	/* SawC/code.scm 140 */
															obj_t BgL_g1631z00_2589;

															BgL_g1631z00_2589 =
																(((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt) BgL_insz00_2584)))->
																BgL_argsz00);
															{
																obj_t BgL_l1629z00_2591;

																BgL_l1629z00_2591 = BgL_g1631z00_2589;
															BgL_zc3z04anonymousza31946ze3z87_2592:
																if (PAIRP(BgL_l1629z00_2591))
																	{	/* SawC/code.scm 140 */
																		BGl_exprzd2ze3iregze70zd6zzsaw_c_codez00
																			(BgL_regsz00_5995, BgL_nz00_5994,
																			CAR(BgL_l1629z00_2591));
																		{
																			obj_t BgL_l1629z00_6525;

																			BgL_l1629z00_6525 =
																				CDR(BgL_l1629z00_2591);
																			BgL_l1629z00_2591 = BgL_l1629z00_6525;
																			goto
																				BgL_zc3z04anonymousza31946ze3z87_2592;
																		}
																	}
																else
																	{	/* SawC/code.scm 140 */
																		((bool_t) 1);
																	}
															}
														}
													}
													{
														obj_t BgL_l1632z00_6527;

														BgL_l1632z00_6527 = CDR(BgL_l1632z00_2581);
														BgL_l1632z00_2581 = BgL_l1632z00_6527;
														goto BgL_zc3z04anonymousza31941ze3z87_2582;
													}
												}
											else
												{	/* SawC/code.scm 141 */
													((bool_t) 1);
												}
										}
									}
								}
								{
									obj_t BgL_l1637z00_6530;

									BgL_l1637z00_6530 = CDR(BgL_l1637z00_2539);
									BgL_l1637z00_2539 = BgL_l1637z00_6530;
									goto BgL_zc3z04anonymousza31917ze3z87_2540;
								}
							}
						else
							{	/* SawC/code.scm 144 */
								((bool_t) 1);
							}
					}
					return ((obj_t) ((obj_t) BGL_UNSAFE_CELL_REF(BgL_regsz00_5995)));
				}
			}
		}

	}



/* check_fun~0 */
	obj_t BGl_check_funze70ze7zzsaw_c_codez00(BgL_rtl_funz00_bglt BgL_funz00_2545)
	{
		{	/* SawC/code.scm 121 */
			{	/* SawC/code.scm 121 */
				bool_t BgL_test3117z00_6533;

				{	/* SawC/code.scm 121 */
					obj_t BgL_classz00_4114;

					BgL_classz00_4114 = BGl_rtl_protectz00zzsaw_defsz00;
					{	/* SawC/code.scm 121 */
						BgL_objectz00_bglt BgL_arg1858z00_4116;

						{	/* SawC/code.scm 121 */
							obj_t BgL_tmpz00_6534;

							BgL_tmpz00_6534 =
								((obj_t) ((BgL_objectz00_bglt) BgL_funz00_2545));
							BgL_arg1858z00_4116 = (BgL_objectz00_bglt) (BgL_tmpz00_6534);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawC/code.scm 121 */
								long BgL_idxz00_4122;

								BgL_idxz00_4122 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4116);
								BgL_test3117z00_6533 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4122 + 2L)) == BgL_classz00_4114);
							}
						else
							{	/* SawC/code.scm 121 */
								bool_t BgL_res2662z00_4147;

								{	/* SawC/code.scm 121 */
									obj_t BgL_oclassz00_4130;

									{	/* SawC/code.scm 121 */
										obj_t BgL_arg1866z00_4138;
										long BgL_arg1867z00_4139;

										BgL_arg1866z00_4138 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawC/code.scm 121 */
											long BgL_arg1869z00_4140;

											BgL_arg1869z00_4140 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4116);
											BgL_arg1867z00_4139 = (BgL_arg1869z00_4140 - OBJECT_TYPE);
										}
										BgL_oclassz00_4130 =
											VECTOR_REF(BgL_arg1866z00_4138, BgL_arg1867z00_4139);
									}
									{	/* SawC/code.scm 121 */
										bool_t BgL__ortest_1115z00_4131;

										BgL__ortest_1115z00_4131 =
											(BgL_classz00_4114 == BgL_oclassz00_4130);
										if (BgL__ortest_1115z00_4131)
											{	/* SawC/code.scm 121 */
												BgL_res2662z00_4147 = BgL__ortest_1115z00_4131;
											}
										else
											{	/* SawC/code.scm 121 */
												long BgL_odepthz00_4132;

												{	/* SawC/code.scm 121 */
													obj_t BgL_arg1855z00_4133;

													BgL_arg1855z00_4133 = (BgL_oclassz00_4130);
													BgL_odepthz00_4132 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_4133);
												}
												if ((2L < BgL_odepthz00_4132))
													{	/* SawC/code.scm 121 */
														obj_t BgL_arg1853z00_4135;

														{	/* SawC/code.scm 121 */
															obj_t BgL_arg1854z00_4136;

															BgL_arg1854z00_4136 = (BgL_oclassz00_4130);
															BgL_arg1853z00_4135 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_4136,
																2L);
														}
														BgL_res2662z00_4147 =
															(BgL_arg1853z00_4135 == BgL_classz00_4114);
													}
												else
													{	/* SawC/code.scm 121 */
														BgL_res2662z00_4147 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test3117z00_6533 = BgL_res2662z00_4147;
							}
					}
				}
				if (BgL_test3117z00_6533)
					{	/* SawC/code.scm 121 */
						BGl_za2hasprotectza2z00zzsaw_c_codez00 = ((bool_t) 1);
					}
				else
					{	/* SawC/code.scm 121 */
						BFALSE;
					}
			}
			{	/* SawC/code.scm 122 */
				bool_t BgL_test3121z00_6557;

				{	/* SawC/code.scm 122 */
					obj_t BgL_classz00_4148;

					BgL_classz00_4148 = BGl_rtl_callz00zzsaw_defsz00;
					{	/* SawC/code.scm 122 */
						BgL_objectz00_bglt BgL_arg1858z00_4150;

						{	/* SawC/code.scm 122 */
							obj_t BgL_tmpz00_6558;

							BgL_tmpz00_6558 =
								((obj_t) ((BgL_objectz00_bglt) BgL_funz00_2545));
							BgL_arg1858z00_4150 = (BgL_objectz00_bglt) (BgL_tmpz00_6558);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawC/code.scm 122 */
								long BgL_idxz00_4156;

								BgL_idxz00_4156 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4150);
								BgL_test3121z00_6557 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4156 + 2L)) == BgL_classz00_4148);
							}
						else
							{	/* SawC/code.scm 122 */
								bool_t BgL_res2663z00_4181;

								{	/* SawC/code.scm 122 */
									obj_t BgL_oclassz00_4164;

									{	/* SawC/code.scm 122 */
										obj_t BgL_arg1866z00_4172;
										long BgL_arg1867z00_4173;

										BgL_arg1866z00_4172 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawC/code.scm 122 */
											long BgL_arg1869z00_4174;

											BgL_arg1869z00_4174 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4150);
											BgL_arg1867z00_4173 = (BgL_arg1869z00_4174 - OBJECT_TYPE);
										}
										BgL_oclassz00_4164 =
											VECTOR_REF(BgL_arg1866z00_4172, BgL_arg1867z00_4173);
									}
									{	/* SawC/code.scm 122 */
										bool_t BgL__ortest_1115z00_4165;

										BgL__ortest_1115z00_4165 =
											(BgL_classz00_4148 == BgL_oclassz00_4164);
										if (BgL__ortest_1115z00_4165)
											{	/* SawC/code.scm 122 */
												BgL_res2663z00_4181 = BgL__ortest_1115z00_4165;
											}
										else
											{	/* SawC/code.scm 122 */
												long BgL_odepthz00_4166;

												{	/* SawC/code.scm 122 */
													obj_t BgL_arg1855z00_4167;

													BgL_arg1855z00_4167 = (BgL_oclassz00_4164);
													BgL_odepthz00_4166 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_4167);
												}
												if ((2L < BgL_odepthz00_4166))
													{	/* SawC/code.scm 122 */
														obj_t BgL_arg1853z00_4169;

														{	/* SawC/code.scm 122 */
															obj_t BgL_arg1854z00_4170;

															BgL_arg1854z00_4170 = (BgL_oclassz00_4164);
															BgL_arg1853z00_4169 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_4170,
																2L);
														}
														BgL_res2663z00_4181 =
															(BgL_arg1853z00_4169 == BgL_classz00_4148);
													}
												else
													{	/* SawC/code.scm 122 */
														BgL_res2663z00_4181 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test3121z00_6557 = BgL_res2663z00_4181;
							}
					}
				}
				if (BgL_test3121z00_6557)
					{	/* SawC/code.scm 123 */
						obj_t BgL_idz00_2549;

						BgL_idz00_2549 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										(((BgL_rtl_callz00_bglt) COBJECT(
													((BgL_rtl_callz00_bglt) BgL_funz00_2545)))->
											BgL_varz00))))->BgL_idz00);
						if ((BgL_idz00_2549 == ((obj_t) CNST_TABLE_REF(1))))
							{	/* SawC/code.scm 124 */
								BGl_za2haspushexitza2z00zzsaw_c_codez00 = ((bool_t) 1);
							}
						else
							{	/* SawC/code.scm 124 */
								BFALSE;
							}
						if ((BgL_idz00_2549 == ((obj_t) CNST_TABLE_REF(2))))
							{	/* SawC/code.scm 125 */
								return (BGl_za2haspushbeforeza2z00zzsaw_c_codez00 =
									((bool_t) 1), BUNSPEC);
							}
						else
							{	/* SawC/code.scm 125 */
								return BFALSE;
							}
					}
				else
					{	/* SawC/code.scm 122 */
						return BFALSE;
					}
			}
		}

	}



/* expr->ireg~0 */
	obj_t BGl_exprzd2ze3iregze70zd6zzsaw_c_codez00(obj_t BgL_regsz00_5991,
		obj_t BgL_nz00_5990, obj_t BgL_ez00_2551)
	{
		{	/* SawC/code.scm 133 */
			{	/* SawC/code.scm 128 */
				bool_t BgL__ortest_1183z00_2553;

				{	/* SawC/code.scm 128 */
					obj_t BgL_classz00_4184;

					BgL_classz00_4184 = BGl_SawCIregz00zzsaw_c_codez00;
					if (BGL_OBJECTP(BgL_ez00_2551))
						{	/* SawC/code.scm 128 */
							obj_t BgL_oclassz00_4186;

							{	/* SawC/code.scm 128 */
								obj_t BgL_arg1866z00_4188;
								long BgL_arg1867z00_4189;

								BgL_arg1866z00_4188 = (BGl_za2classesza2z00zz__objectz00);
								{	/* SawC/code.scm 128 */
									long BgL_arg1869z00_4190;

									BgL_arg1869z00_4190 =
										BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_ez00_2551));
									BgL_arg1867z00_4189 = (BgL_arg1869z00_4190 - OBJECT_TYPE);
								}
								BgL_oclassz00_4186 =
									VECTOR_REF(BgL_arg1866z00_4188, BgL_arg1867z00_4189);
							}
							BgL__ortest_1183z00_2553 =
								(BgL_oclassz00_4186 == BgL_classz00_4184);
						}
					else
						{	/* SawC/code.scm 128 */
							BgL__ortest_1183z00_2553 = ((bool_t) 0);
						}
				}
				if (BgL__ortest_1183z00_2553)
					{	/* SawC/code.scm 128 */
						return BBOOL(BgL__ortest_1183z00_2553);
					}
				else
					{	/* SawC/code.scm 129 */
						bool_t BgL_test3129z00_6603;

						{	/* SawC/code.scm 129 */
							obj_t BgL_classz00_4196;

							BgL_classz00_4196 = BGl_rtl_regz00zzsaw_defsz00;
							if (BGL_OBJECTP(BgL_ez00_2551))
								{	/* SawC/code.scm 129 */
									BgL_objectz00_bglt BgL_arg1858z00_4198;

									BgL_arg1858z00_4198 = (BgL_objectz00_bglt) (BgL_ez00_2551);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawC/code.scm 129 */
											long BgL_idxz00_4204;

											BgL_idxz00_4204 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4198);
											BgL_test3129z00_6603 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4204 + 1L)) == BgL_classz00_4196);
										}
									else
										{	/* SawC/code.scm 129 */
											bool_t BgL_res2664z00_4229;

											{	/* SawC/code.scm 129 */
												obj_t BgL_oclassz00_4212;

												{	/* SawC/code.scm 129 */
													obj_t BgL_arg1866z00_4220;
													long BgL_arg1867z00_4221;

													BgL_arg1866z00_4220 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* SawC/code.scm 129 */
														long BgL_arg1869z00_4222;

														BgL_arg1869z00_4222 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4198);
														BgL_arg1867z00_4221 =
															(BgL_arg1869z00_4222 - OBJECT_TYPE);
													}
													BgL_oclassz00_4212 =
														VECTOR_REF(BgL_arg1866z00_4220,
														BgL_arg1867z00_4221);
												}
												{	/* SawC/code.scm 129 */
													bool_t BgL__ortest_1115z00_4213;

													BgL__ortest_1115z00_4213 =
														(BgL_classz00_4196 == BgL_oclassz00_4212);
													if (BgL__ortest_1115z00_4213)
														{	/* SawC/code.scm 129 */
															BgL_res2664z00_4229 = BgL__ortest_1115z00_4213;
														}
													else
														{	/* SawC/code.scm 129 */
															long BgL_odepthz00_4214;

															{	/* SawC/code.scm 129 */
																obj_t BgL_arg1855z00_4215;

																BgL_arg1855z00_4215 = (BgL_oclassz00_4212);
																BgL_odepthz00_4214 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_4215);
															}
															if ((1L < BgL_odepthz00_4214))
																{	/* SawC/code.scm 129 */
																	obj_t BgL_arg1853z00_4217;

																	{	/* SawC/code.scm 129 */
																		obj_t BgL_arg1854z00_4218;

																		BgL_arg1854z00_4218 = (BgL_oclassz00_4212);
																		BgL_arg1853z00_4217 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_4218, 1L);
																	}
																	BgL_res2664z00_4229 =
																		(BgL_arg1853z00_4217 == BgL_classz00_4196);
																}
															else
																{	/* SawC/code.scm 129 */
																	BgL_res2664z00_4229 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test3129z00_6603 = BgL_res2664z00_4229;
										}
								}
							else
								{	/* SawC/code.scm 129 */
									BgL_test3129z00_6603 = ((bool_t) 0);
								}
						}
						if (BgL_test3129z00_6603)
							{	/* SawC/code.scm 129 */
								{	/* SawC/code.scm 129 */
									BgL_sawciregz00_bglt BgL_wide1186z00_2557;

									BgL_wide1186z00_2557 =
										((BgL_sawciregz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_sawciregz00_bgl))));
									{	/* SawC/code.scm 129 */
										obj_t BgL_auxz00_6631;
										BgL_objectz00_bglt BgL_tmpz00_6627;

										BgL_auxz00_6631 = ((obj_t) BgL_wide1186z00_2557);
										BgL_tmpz00_6627 =
											((BgL_objectz00_bglt)
											((BgL_rtl_regz00_bglt)
												((BgL_rtl_regz00_bglt) BgL_ez00_2551)));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6627, BgL_auxz00_6631);
									}
									((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_ez00_2551)));
									{	/* SawC/code.scm 129 */
										long BgL_arg1929z00_2558;

										BgL_arg1929z00_2558 =
											BGL_CLASS_NUM(BGl_SawCIregz00zzsaw_c_codez00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt)
												((BgL_rtl_regz00_bglt)
													((BgL_rtl_regz00_bglt) BgL_ez00_2551))),
											BgL_arg1929z00_2558);
									}
									((BgL_rtl_regz00_bglt)
										((BgL_rtl_regz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_ez00_2551)));
								}
								{
									BgL_sawciregz00_bglt BgL_auxz00_6645;

									{
										obj_t BgL_auxz00_6646;

										{	/* SawC/code.scm 129 */
											BgL_objectz00_bglt BgL_tmpz00_6647;

											BgL_tmpz00_6647 =
												((BgL_objectz00_bglt)
												((BgL_rtl_regz00_bglt)
													((BgL_rtl_regz00_bglt) BgL_ez00_2551)));
											BgL_auxz00_6646 = BGL_OBJECT_WIDENING(BgL_tmpz00_6647);
										}
										BgL_auxz00_6645 = ((BgL_sawciregz00_bglt) BgL_auxz00_6646);
									}
									((((BgL_sawciregz00_bglt) COBJECT(BgL_auxz00_6645))->
											BgL_indexz00) =
										((obj_t) ((obj_t) ((obj_t)
													BGL_UNSAFE_CELL_REF(BgL_nz00_5990)))), BUNSPEC);
								}
								((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_ez00_2551));
								{	/* SawC/code.scm 130 */
									obj_t BgL_auxz00_5992;

									BgL_auxz00_5992 =
										ADDFX(
										((obj_t)
											((obj_t) BGL_UNSAFE_CELL_REF(BgL_nz00_5990))), BINT(1L));
									BGL_UNSAFE_CELL_SET(BgL_nz00_5990, BgL_auxz00_5992);
								}
								{	/* SawC/code.scm 131 */
									obj_t BgL_auxz00_5993;

									BgL_auxz00_5993 =
										MAKE_YOUNG_PAIR(BgL_ez00_2551,
										((obj_t) ((obj_t) BGL_UNSAFE_CELL_REF(BgL_regsz00_5991))));
									return BGL_UNSAFE_CELL_SET(BgL_regsz00_5991, BgL_auxz00_5993);
								}
							}
						else
							{	/* SawC/code.scm 129 */
								{	/* SawC/code.scm 132 */
									BgL_rtl_funz00_bglt BgL_arg1930z00_2560;

									BgL_arg1930z00_2560 =
										(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_ez00_2551)))->BgL_funz00);
									BGl_check_funze70ze7zzsaw_c_codez00(BgL_arg1930z00_2560);
								}
								{	/* SawC/code.scm 133 */
									obj_t BgL_l1623z00_2561;

									BgL_l1623z00_2561 =
										(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_ez00_2551)))->BgL_argsz00);
									if (NULLP(BgL_l1623z00_2561))
										{	/* SawC/code.scm 133 */
											return BNIL;
										}
									else
										{	/* SawC/code.scm 133 */
											obj_t BgL_head1625z00_2563;

											{	/* SawC/code.scm 133 */
												obj_t BgL_arg1938z00_2575;

												{	/* SawC/code.scm 133 */
													obj_t BgL_arg1939z00_2576;

													BgL_arg1939z00_2576 = CAR(BgL_l1623z00_2561);
													BgL_arg1938z00_2575 =
														BGl_exprzd2ze3iregze70zd6zzsaw_c_codez00
														(BgL_regsz00_5991, BgL_nz00_5990,
														BgL_arg1939z00_2576);
												}
												BgL_head1625z00_2563 =
													MAKE_YOUNG_PAIR(BgL_arg1938z00_2575, BNIL);
											}
											{	/* SawC/code.scm 133 */
												obj_t BgL_g1628z00_2564;

												BgL_g1628z00_2564 = CDR(BgL_l1623z00_2561);
												{
													obj_t BgL_l1623z00_2566;
													obj_t BgL_tail1626z00_2567;

													BgL_l1623z00_2566 = BgL_g1628z00_2564;
													BgL_tail1626z00_2567 = BgL_head1625z00_2563;
												BgL_zc3z04anonymousza31932ze3z87_2568:
													if (NULLP(BgL_l1623z00_2566))
														{	/* SawC/code.scm 133 */
															return BgL_head1625z00_2563;
														}
													else
														{	/* SawC/code.scm 133 */
															obj_t BgL_newtail1627z00_2570;

															{	/* SawC/code.scm 133 */
																obj_t BgL_arg1935z00_2572;

																{	/* SawC/code.scm 133 */
																	obj_t BgL_arg1936z00_2573;

																	BgL_arg1936z00_2573 =
																		CAR(((obj_t) BgL_l1623z00_2566));
																	BgL_arg1935z00_2572 =
																		BGl_exprzd2ze3iregze70zd6zzsaw_c_codez00
																		(BgL_regsz00_5991, BgL_nz00_5990,
																		BgL_arg1936z00_2573);
																}
																BgL_newtail1627z00_2570 =
																	MAKE_YOUNG_PAIR(BgL_arg1935z00_2572, BNIL);
															}
															SET_CDR(BgL_tail1626z00_2567,
																BgL_newtail1627z00_2570);
															{	/* SawC/code.scm 133 */
																obj_t BgL_arg1934z00_2571;

																BgL_arg1934z00_2571 =
																	CDR(((obj_t) BgL_l1623z00_2566));
																{
																	obj_t BgL_tail1626z00_6683;
																	obj_t BgL_l1623z00_6682;

																	BgL_l1623z00_6682 = BgL_arg1934z00_2571;
																	BgL_tail1626z00_6683 =
																		BgL_newtail1627z00_2570;
																	BgL_tail1626z00_2567 = BgL_tail1626z00_6683;
																	BgL_l1623z00_2566 = BgL_l1623z00_6682;
																	goto BgL_zc3z04anonymousza31932ze3z87_2568;
																}
															}
														}
												}
											}
										}
								}
							}
					}
			}
		}

	}



/* gen-type-regs */
	obj_t BGl_genzd2typezd2regsz00zzsaw_c_codez00(obj_t BgL_lz00_53)
	{
		{	/* SawC/code.scm 147 */
			{	/* SawC/code.scm 148 */
				obj_t BgL_arg1954z00_2602;

				{	/* SawC/code.scm 148 */
					obj_t BgL_tmpz00_6684;

					BgL_tmpz00_6684 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg1954z00_2602 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6684);
				}
				bgl_display_string(BGl_string2738z00zzsaw_c_codez00,
					BgL_arg1954z00_2602);
			}
			if (NULLP(BgL_lz00_53))
				{	/* SawC/code.scm 149 */
					((bool_t) 0);
				}
			else
				{	/* SawC/code.scm 149 */
					BGl_genzd2typezd2regz00zzsaw_c_codez00(CAR(BgL_lz00_53));
					{	/* SawC/code.scm 152 */
						obj_t BgL_g1642z00_2605;

						BgL_g1642z00_2605 = CDR(BgL_lz00_53);
						{
							obj_t BgL_l1639z00_2607;

							BgL_l1639z00_2607 = BgL_g1642z00_2605;
						BgL_zc3z04anonymousza31957ze3z87_2608:
							if (PAIRP(BgL_l1639z00_2607))
								{	/* SawC/code.scm 153 */
									{	/* SawC/code.scm 152 */
										obj_t BgL_argz00_2610;

										BgL_argz00_2610 = CAR(BgL_l1639z00_2607);
										{	/* SawC/code.scm 152 */
											obj_t BgL_arg1960z00_2611;

											{	/* SawC/code.scm 152 */
												obj_t BgL_tmpz00_6696;

												BgL_tmpz00_6696 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_arg1960z00_2611 =
													BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6696);
											}
											bgl_display_string(BGl_string2739z00zzsaw_c_codez00,
												BgL_arg1960z00_2611);
										}
										BGl_genzd2typezd2regz00zzsaw_c_codez00(BgL_argz00_2610);
									}
									{
										obj_t BgL_l1639z00_6701;

										BgL_l1639z00_6701 = CDR(BgL_l1639z00_2607);
										BgL_l1639z00_2607 = BgL_l1639z00_6701;
										goto BgL_zc3z04anonymousza31957ze3z87_2608;
									}
								}
							else
								{	/* SawC/code.scm 153 */
									((bool_t) 1);
								}
						}
					}
				}
			{	/* SawC/code.scm 154 */
				obj_t BgL_arg1962z00_2614;

				{	/* SawC/code.scm 154 */
					obj_t BgL_tmpz00_6703;

					BgL_tmpz00_6703 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg1962z00_2614 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6703);
				}
				return
					bgl_display_string(BGl_string2740z00zzsaw_c_codez00,
					BgL_arg1962z00_2614);
			}
		}

	}



/* gen-type-reg */
	obj_t BGl_genzd2typezd2regz00zzsaw_c_codez00(obj_t BgL_regz00_54)
	{
		{	/* SawC/code.scm 156 */
			{	/* SawC/code.scm 157 */
				obj_t BgL_arg1963z00_2615;
				obj_t BgL_arg1965z00_2616;

				{	/* SawC/code.scm 157 */
					BgL_typez00_bglt BgL_arg1966z00_2617;
					obj_t BgL_arg1967z00_2618;

					BgL_arg1966z00_2617 =
						(((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt) BgL_regz00_54)))->BgL_typez00);
					BgL_arg1967z00_2618 = BGl_reg_namez00zzsaw_c_codez00(BgL_regz00_54);
					BgL_arg1963z00_2615 =
						BGl_makezd2typedzd2declarationz00zztype_toolsz00
						(BgL_arg1966z00_2617, BgL_arg1967z00_2618);
				}
				{	/* SawC/code.scm 157 */
					obj_t BgL_tmpz00_6711;

					BgL_tmpz00_6711 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg1965z00_2616 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6711);
				}
				return bgl_display_obj(BgL_arg1963z00_2615, BgL_arg1965z00_2616);
			}
		}

	}



/* reg_name */
	obj_t BGl_reg_namez00zzsaw_c_codez00(obj_t BgL_regz00_55)
	{
		{	/* SawC/code.scm 159 */
			{	/* SawC/code.scm 160 */
				obj_t BgL__ortest_1189z00_2619;

				BgL__ortest_1189z00_2619 =
					(((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_regz00_55)))->BgL_debugnamez00);
				if (CBOOL(BgL__ortest_1189z00_2619))
					{	/* SawC/code.scm 160 */
						return BgL__ortest_1189z00_2619;
					}
				else
					{	/* SawC/code.scm 161 */
						obj_t BgL_arg1968z00_2620;
						obj_t BgL_arg1969z00_2621;

						if (CBOOL(
								(((BgL_rtl_regz00_bglt) COBJECT(
											((BgL_rtl_regz00_bglt)
												((BgL_rtl_regz00_bglt) BgL_regz00_55))))->BgL_varz00)))
							{	/* SawC/code.scm 161 */
								BgL_arg1968z00_2620 = BGl_string2741z00zzsaw_c_codez00;
							}
						else
							{	/* SawC/code.scm 161 */
								BgL_arg1968z00_2620 = BGl_string2742z00zzsaw_c_codez00;
							}
						{	/* SawC/code.scm 162 */
							obj_t BgL_arg1971z00_2623;

							{
								BgL_sawciregz00_bglt BgL_auxz00_6724;

								{
									obj_t BgL_auxz00_6725;

									{	/* SawC/code.scm 162 */
										BgL_objectz00_bglt BgL_tmpz00_6726;

										BgL_tmpz00_6726 =
											((BgL_objectz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_regz00_55));
										BgL_auxz00_6725 = BGL_OBJECT_WIDENING(BgL_tmpz00_6726);
									}
									BgL_auxz00_6724 = ((BgL_sawciregz00_bglt) BgL_auxz00_6725);
								}
								BgL_arg1971z00_2623 =
									(((BgL_sawciregz00_bglt) COBJECT(BgL_auxz00_6724))->
									BgL_indexz00);
							}
							{	/* SawC/code.scm 162 */

								BgL_arg1969z00_2621 =
									BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
									(long) CINT(BgL_arg1971z00_2623), 10L);
						}}
						return string_append(BgL_arg1968z00_2620, BgL_arg1969z00_2621);
					}
			}
		}

	}



/* declare-regs */
	bool_t BGl_declarezd2regszd2zzsaw_c_codez00(obj_t BgL_lz00_56)
	{
		{	/* SawC/code.scm 164 */
			{
				obj_t BgL_l1643z00_2627;

				BgL_l1643z00_2627 = BgL_lz00_56;
			BgL_zc3z04anonymousza31972ze3z87_2628:
				if (PAIRP(BgL_l1643z00_2627))
					{	/* SawC/code.scm 165 */
						{	/* SawC/code.scm 166 */
							obj_t BgL_rz00_2630;

							BgL_rz00_2630 = CAR(BgL_l1643z00_2627);
							{	/* SawC/code.scm 166 */
								obj_t BgL_arg1974z00_2631;

								{	/* SawC/code.scm 166 */
									obj_t BgL_tmpz00_6738;

									BgL_tmpz00_6738 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_arg1974z00_2631 =
										BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6738);
								}
								bgl_display_string(BGl_string2732z00zzsaw_c_codez00,
									BgL_arg1974z00_2631);
							}
							BGl_genzd2typezd2regz00zzsaw_c_codez00(BgL_rz00_2630);
							{	/* SawC/code.scm 172 */
								obj_t BgL_arg1982z00_2641;

								{	/* SawC/code.scm 172 */
									obj_t BgL_tmpz00_6743;

									BgL_tmpz00_6743 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_arg1982z00_2641 =
										BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6743);
								}
								bgl_display_string(BGl_string2743z00zzsaw_c_codez00,
									BgL_arg1982z00_2641);
							}
						}
						{
							obj_t BgL_l1643z00_6747;

							BgL_l1643z00_6747 = CDR(BgL_l1643z00_2627);
							BgL_l1643z00_2627 = BgL_l1643z00_6747;
							goto BgL_zc3z04anonymousza31972ze3z87_2628;
						}
					}
				else
					{	/* SawC/code.scm 165 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* genbody */
	bool_t BGl_genbodyz00zzsaw_c_codez00(obj_t BgL_lz00_57, obj_t BgL_funidz00_58)
	{
		{	/* SawC/code.scm 175 */
			{
				obj_t BgL_l1648z00_2645;

				BgL_l1648z00_2645 = BgL_lz00_57;
			BgL_zc3z04anonymousza31984ze3z87_2646:
				if (PAIRP(BgL_l1648z00_2645))
					{	/* SawC/code.scm 176 */
						{	/* SawC/code.scm 177 */
							obj_t BgL_bz00_2648;

							BgL_bz00_2648 = CAR(BgL_l1648z00_2645);
							{	/* SawC/code.scm 177 */
								int BgL_arg1986z00_2649;

								BgL_arg1986z00_2649 =
									(((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt) BgL_bz00_2648)))->BgL_labelz00);
								BGl_outzd2labelzd2zzsaw_c_codez00(BgL_arg1986z00_2649,
									BgL_funidz00_58);
							}
							{	/* SawC/code.scm 178 */
								obj_t BgL_lz00_2650;

								BgL_lz00_2650 =
									(((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt) BgL_bz00_2648)))->BgL_firstz00);
								{	/* SawC/code.scm 179 */
									bool_t BgL_test3142z00_6757;

									{	/* SawC/code.scm 179 */
										obj_t BgL_arg1990z00_2655;

										{	/* SawC/code.scm 179 */
											obj_t BgL_arg1991z00_2656;

											BgL_arg1991z00_2656 = CAR(((obj_t) BgL_lz00_2650));
											BgL_arg1990z00_2655 =
												BGl_findzd2locationzd2zzsaw_c_codez00(
												((BgL_rtl_insz00_bglt) BgL_arg1991z00_2656));
										}
										if (STRUCTP(BgL_arg1990z00_2655))
											{	/* SawC/code.scm 179 */
												BgL_test3142z00_6757 =
													(STRUCT_KEY(BgL_arg1990z00_2655) ==
													((obj_t) CNST_TABLE_REF(3)));
											}
										else
											{	/* SawC/code.scm 179 */
												BgL_test3142z00_6757 = ((bool_t) 0);
											}
									}
									if (BgL_test3142z00_6757)
										{	/* SawC/code.scm 179 */
											obj_t BgL_port1645z00_2654;

											{	/* SawC/code.scm 179 */
												obj_t BgL_tmpz00_6768;

												BgL_tmpz00_6768 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_port1645z00_2654 =
													BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6768);
											}
											bgl_display_string(BGl_string2744z00zzsaw_c_codez00,
												BgL_port1645z00_2654);
											bgl_display_char(((unsigned char) 10),
												BgL_port1645z00_2654);
										}
									else
										{	/* SawC/code.scm 179 */
											BFALSE;
										}
								}
								{
									obj_t BgL_l1646z00_2658;

									BgL_l1646z00_2658 = BgL_lz00_2650;
								BgL_zc3z04anonymousza31992ze3z87_2659:
									if (PAIRP(BgL_l1646z00_2658))
										{	/* SawC/code.scm 180 */
											{	/* SawC/code.scm 180 */
												obj_t BgL_arg1994z00_2661;

												BgL_arg1994z00_2661 = CAR(BgL_l1646z00_2658);
												BGl_genzd2inszd2zzsaw_c_codez00(
													((BgL_rtl_insz00_bglt) BgL_arg1994z00_2661));
											}
											{
												obj_t BgL_l1646z00_6778;

												BgL_l1646z00_6778 = CDR(BgL_l1646z00_2658);
												BgL_l1646z00_2658 = BgL_l1646z00_6778;
												goto BgL_zc3z04anonymousza31992ze3z87_2659;
											}
										}
									else
										{	/* SawC/code.scm 180 */
											((bool_t) 1);
										}
								}
							}
						}
						{
							obj_t BgL_l1648z00_6780;

							BgL_l1648z00_6780 = CDR(BgL_l1648z00_2645);
							BgL_l1648z00_2645 = BgL_l1648z00_6780;
							goto BgL_zc3z04anonymousza31984ze3z87_2646;
						}
					}
				else
					{	/* SawC/code.scm 176 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* out-label */
	bool_t BGl_outzd2labelzd2zzsaw_c_codez00(int BgL_labelz00_59,
		obj_t BgL_funidz00_60)
	{
		{	/* SawC/code.scm 183 */
			{	/* SawC/code.scm 184 */
				obj_t BgL_list1999z00_2666;

				{	/* SawC/code.scm 184 */
					obj_t BgL_arg2000z00_2667;

					{	/* SawC/code.scm 184 */
						obj_t BgL_arg2001z00_2668;

						BgL_arg2001z00_2668 =
							MAKE_YOUNG_PAIR(BGl_string2745z00zzsaw_c_codez00, BNIL);
						BgL_arg2000z00_2667 =
							MAKE_YOUNG_PAIR(BINT(BgL_labelz00_59), BgL_arg2001z00_2668);
					}
					BgL_list1999z00_2666 =
						MAKE_YOUNG_PAIR(BGl_string2746z00zzsaw_c_codez00,
						BgL_arg2000z00_2667);
				}
				BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list1999z00_2666);
			}
			if (BGl_za2countza2z00zzsaw_c_codez00)
				{	/* SawC/code.scm 185 */
					{	/* SawC/code.scm 186 */
						obj_t BgL_list2002z00_2669;

						{	/* SawC/code.scm 186 */
							obj_t BgL_arg2003z00_2670;

							{	/* SawC/code.scm 186 */
								obj_t BgL_arg2004z00_2671;

								BgL_arg2004z00_2671 =
									MAKE_YOUNG_PAIR(BGl_string2747z00zzsaw_c_codez00, BNIL);
								BgL_arg2003z00_2670 =
									MAKE_YOUNG_PAIR(BGl_za2counterza2z00zzsaw_c_codez00,
									BgL_arg2004z00_2671);
							}
							BgL_list2002z00_2669 =
								MAKE_YOUNG_PAIR(BGl_string2748z00zzsaw_c_codez00,
								BgL_arg2003z00_2670);
						}
						BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list2002z00_2669);
					}
					{	/* SawC/code.scm 187 */
						obj_t BgL_list2005z00_2672;

						{	/* SawC/code.scm 187 */
							obj_t BgL_arg2006z00_2673;

							{	/* SawC/code.scm 187 */
								obj_t BgL_arg2007z00_2674;

								{	/* SawC/code.scm 187 */
									obj_t BgL_arg2008z00_2675;

									{	/* SawC/code.scm 187 */
										obj_t BgL_arg2009z00_2676;

										BgL_arg2009z00_2676 =
											MAKE_YOUNG_PAIR(BGl_string2749z00zzsaw_c_codez00, BNIL);
										BgL_arg2008z00_2675 =
											MAKE_YOUNG_PAIR(BINT(BgL_labelz00_59),
											BgL_arg2009z00_2676);
									}
									BgL_arg2007z00_2674 =
										MAKE_YOUNG_PAIR(BGl_string2750z00zzsaw_c_codez00,
										BgL_arg2008z00_2675);
								}
								BgL_arg2006z00_2673 =
									MAKE_YOUNG_PAIR(BGl_za2counterza2z00zzsaw_c_codez00,
									BgL_arg2007z00_2674);
							}
							BgL_list2005z00_2672 =
								MAKE_YOUNG_PAIR(BGl_string2751z00zzsaw_c_codez00,
								BgL_arg2006z00_2673);
						}
						BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list2005z00_2672);
					}
					{	/* SawC/code.scm 188 */
						obj_t BgL_list2010z00_2677;

						{	/* SawC/code.scm 188 */
							obj_t BgL_arg2011z00_2678;

							{	/* SawC/code.scm 188 */
								obj_t BgL_arg2012z00_2679;

								{	/* SawC/code.scm 188 */
									obj_t BgL_arg2013z00_2680;

									{	/* SawC/code.scm 188 */
										obj_t BgL_arg2014z00_2681;

										BgL_arg2014z00_2681 =
											MAKE_YOUNG_PAIR(BGl_string2749z00zzsaw_c_codez00, BNIL);
										BgL_arg2013z00_2680 =
											MAKE_YOUNG_PAIR(BgL_funidz00_60, BgL_arg2014z00_2681);
									}
									BgL_arg2012z00_2679 =
										MAKE_YOUNG_PAIR(BGl_string2750z00zzsaw_c_codez00,
										BgL_arg2013z00_2680);
								}
								BgL_arg2011z00_2678 =
									MAKE_YOUNG_PAIR(BGl_za2counterza2z00zzsaw_c_codez00,
									BgL_arg2012z00_2679);
							}
							BgL_list2010z00_2677 =
								MAKE_YOUNG_PAIR(BGl_string2752z00zzsaw_c_codez00,
								BgL_arg2011z00_2678);
						}
						BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list2010z00_2677);
					}
					if (INTEGERP(BGl_za2counterza2z00zzsaw_c_codez00))
						{	/* SawC/code.scm 189 */
							obj_t BgL_za72za7_4296;

							BgL_za72za7_4296 = BGl_za2counterza2z00zzsaw_c_codez00;
							{	/* SawC/code.scm 189 */
								obj_t BgL_tmpz00_4297;

								BgL_tmpz00_4297 = BINT(0L);
								{	/* SawC/code.scm 189 */
									bool_t BgL_test3147z00_6808;

									{	/* SawC/code.scm 189 */
										obj_t BgL_tmpz00_6809;

										BgL_tmpz00_6809 = BINT(1L);
										BgL_test3147z00_6808 =
											BGL_ADDFX_OV(BgL_tmpz00_6809, BgL_za72za7_4296,
											BgL_tmpz00_4297);
									}
									if (BgL_test3147z00_6808)
										{	/* SawC/code.scm 189 */
											BGl_za2counterza2z00zzsaw_c_codez00 =
												bgl_bignum_add(
												((obj_t)
													CNST_TABLE_REF(4)),
												bgl_long_to_bignum((long) CINT(BgL_za72za7_4296)));
										}
									else
										{	/* SawC/code.scm 189 */
											BGl_za2counterza2z00zzsaw_c_codez00 = BgL_tmpz00_4297;
										}
								}
							}
						}
					else
						{	/* SawC/code.scm 189 */
							BGl_za2counterza2z00zzsaw_c_codez00 =
								BGl_2zb2zb2zz__r4_numbers_6_5z00(BINT(1L),
								BGl_za2counterza2z00zzsaw_c_codez00);
						}
				}
			else
				{	/* SawC/code.scm 185 */
					BFALSE;
				}
			return ((bool_t) 0);
		}

	}



/* print-location? */
	bool_t BGl_printzd2locationzf3z21zzsaw_c_codez00(obj_t BgL_locz00_61)
	{
		{	/* SawC/code.scm 192 */
			{	/* SawC/code.scm 193 */
				bool_t BgL_test3148z00_6819;

				if (STRUCTP(BgL_locz00_61))
					{	/* SawC/code.scm 193 */
						BgL_test3148z00_6819 =
							(STRUCT_KEY(BgL_locz00_61) == ((obj_t) CNST_TABLE_REF(3)));
					}
				else
					{	/* SawC/code.scm 193 */
						BgL_test3148z00_6819 = ((bool_t) 0);
					}
				if (BgL_test3148z00_6819)
					{	/* SawC/code.scm 193 */
						{	/* SawC/code.scm 195 */
							obj_t BgL_port1650z00_2686;

							{	/* SawC/code.scm 195 */
								obj_t BgL_tmpz00_6826;

								BgL_tmpz00_6826 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_port1650z00_2686 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6826);
							}
							bgl_display_string(BGl_string2753z00zzsaw_c_codez00,
								BgL_port1650z00_2686);
							bgl_display_obj(STRUCT_REF(BgL_locz00_61, (int) (2L)),
								BgL_port1650z00_2686);
							bgl_display_string(BGl_string2754z00zzsaw_c_codez00,
								BgL_port1650z00_2686);
							bgl_display_obj(STRUCT_REF(BgL_locz00_61, (int) (0L)),
								BgL_port1650z00_2686);
							bgl_display_string(BGl_string2755z00zzsaw_c_codez00,
								BgL_port1650z00_2686);
							bgl_display_char(((unsigned char) 10), BgL_port1650z00_2686);
						}
						return ((bool_t) 1);
					}
				else
					{	/* SawC/code.scm 193 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* find-location */
	obj_t BGl_findzd2locationzd2zzsaw_c_codez00(BgL_rtl_insz00_bglt BgL_insz00_62)
	{
		{	/* SawC/code.scm 199 */
			{	/* SawC/code.scm 211 */
				obj_t BgL__andtest_1193z00_2691;

				BgL__andtest_1193z00_2691 =
					BGl_za2czd2debugzd2lineszd2infoza2zd2zzengine_paramz00;
				if (CBOOL(BgL__andtest_1193z00_2691))
					{	/* SawC/code.scm 212 */
						obj_t BgL__andtest_1194z00_2692;

						BgL__andtest_1194z00_2692 =
							BGl_za2bdbzd2debugzd2nozd2linezd2directiveszf3za2zf3zzengine_paramz00;
						if (CBOOL(BgL__andtest_1194z00_2692))
							{	/* SawC/code.scm 212 */
								return BFALSE;
							}
						else
							{	/* SawC/code.scm 212 */
								return BGl_walkze70ze7zzsaw_c_codez00(((obj_t) BgL_insz00_62));
							}
					}
				else
					{	/* SawC/code.scm 211 */
						return BFALSE;
					}
			}
		}

	}



/* walk~0 */
	obj_t BGl_walkze70ze7zzsaw_c_codez00(obj_t BgL_insz00_2699)
	{
		{	/* SawC/code.scm 210 */
			{
				obj_t BgL_lz00_2693;

				{	/* SawC/code.scm 205 */
					bool_t BgL_test3152z00_6845;

					{	/* SawC/code.scm 205 */
						obj_t BgL_classz00_4321;

						BgL_classz00_4321 = BGl_rtl_insz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_insz00_2699))
							{	/* SawC/code.scm 205 */
								BgL_objectz00_bglt BgL_arg1858z00_4323;

								BgL_arg1858z00_4323 = (BgL_objectz00_bglt) (BgL_insz00_2699);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawC/code.scm 205 */
										long BgL_idxz00_4329;

										BgL_idxz00_4329 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4323);
										BgL_test3152z00_6845 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_4329 + 1L)) == BgL_classz00_4321);
									}
								else
									{	/* SawC/code.scm 205 */
										bool_t BgL_res2667z00_4354;

										{	/* SawC/code.scm 205 */
											obj_t BgL_oclassz00_4337;

											{	/* SawC/code.scm 205 */
												obj_t BgL_arg1866z00_4345;
												long BgL_arg1867z00_4346;

												BgL_arg1866z00_4345 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* SawC/code.scm 205 */
													long BgL_arg1869z00_4347;

													BgL_arg1869z00_4347 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4323);
													BgL_arg1867z00_4346 =
														(BgL_arg1869z00_4347 - OBJECT_TYPE);
												}
												BgL_oclassz00_4337 =
													VECTOR_REF(BgL_arg1866z00_4345, BgL_arg1867z00_4346);
											}
											{	/* SawC/code.scm 205 */
												bool_t BgL__ortest_1115z00_4338;

												BgL__ortest_1115z00_4338 =
													(BgL_classz00_4321 == BgL_oclassz00_4337);
												if (BgL__ortest_1115z00_4338)
													{	/* SawC/code.scm 205 */
														BgL_res2667z00_4354 = BgL__ortest_1115z00_4338;
													}
												else
													{	/* SawC/code.scm 205 */
														long BgL_odepthz00_4339;

														{	/* SawC/code.scm 205 */
															obj_t BgL_arg1855z00_4340;

															BgL_arg1855z00_4340 = (BgL_oclassz00_4337);
															BgL_odepthz00_4339 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_4340);
														}
														if ((1L < BgL_odepthz00_4339))
															{	/* SawC/code.scm 205 */
																obj_t BgL_arg1853z00_4342;

																{	/* SawC/code.scm 205 */
																	obj_t BgL_arg1854z00_4343;

																	BgL_arg1854z00_4343 = (BgL_oclassz00_4337);
																	BgL_arg1853z00_4342 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_4343,
																		1L);
																}
																BgL_res2667z00_4354 =
																	(BgL_arg1853z00_4342 == BgL_classz00_4321);
															}
														else
															{	/* SawC/code.scm 205 */
																BgL_res2667z00_4354 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test3152z00_6845 = BgL_res2667z00_4354;
									}
							}
						else
							{	/* SawC/code.scm 205 */
								BgL_test3152z00_6845 = ((bool_t) 0);
							}
					}
					if (BgL_test3152z00_6845)
						{	/* SawC/code.scm 207 */
							obj_t BgL_locz00_2702;

							BgL_locz00_2702 =
								(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_insz00_2699)))->BgL_locz00);
							{	/* SawC/code.scm 208 */
								bool_t BgL_test3157z00_6870;

								if (STRUCTP(BgL_locz00_2702))
									{	/* SawC/code.scm 208 */
										BgL_test3157z00_6870 =
											(STRUCT_KEY(BgL_locz00_2702) ==
											((obj_t) CNST_TABLE_REF(3)));
									}
								else
									{	/* SawC/code.scm 208 */
										BgL_test3157z00_6870 = ((bool_t) 0);
									}
								if (BgL_test3157z00_6870)
									{	/* SawC/code.scm 208 */
										return BgL_locz00_2702;
									}
								else
									{	/* SawC/code.scm 210 */
										obj_t BgL_arg2028z00_2704;

										BgL_arg2028z00_2704 =
											(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_insz00_2699)))->
											BgL_argsz00);
										BgL_lz00_2693 = BgL_arg2028z00_2704;
									BgL_zc3z04anonymousza32022ze3z87_2694:
										if (NULLP(BgL_lz00_2693))
											{	/* SawC/code.scm 201 */
												return BFALSE;
											}
										else
											{	/* SawC/code.scm 202 */
												obj_t BgL__ortest_1192z00_2696;

												{	/* SawC/code.scm 202 */
													obj_t BgL_arg2024z00_2698;

													BgL_arg2024z00_2698 = CAR(((obj_t) BgL_lz00_2693));
													BgL__ortest_1192z00_2696 =
														BGl_walkze70ze7zzsaw_c_codez00(BgL_arg2024z00_2698);
												}
												if (CBOOL(BgL__ortest_1192z00_2696))
													{	/* SawC/code.scm 202 */
														return BgL__ortest_1192z00_2696;
													}
												else
													{	/* SawC/code.scm 203 */
														obj_t BgL_arg2023z00_2697;

														BgL_arg2023z00_2697 = CDR(((obj_t) BgL_lz00_2693));
														{
															obj_t BgL_lz00_6888;

															BgL_lz00_6888 = BgL_arg2023z00_2697;
															BgL_lz00_2693 = BgL_lz00_6888;
															goto BgL_zc3z04anonymousza32022ze3z87_2694;
														}
													}
											}
									}
							}
						}
					else
						{	/* SawC/code.scm 205 */
							return BFALSE;
						}
				}
			}
		}

	}



/* gen-ins */
	obj_t BGl_genzd2inszd2zzsaw_c_codez00(BgL_rtl_insz00_bglt BgL_insz00_63)
	{
		{	/* SawC/code.scm 218 */
			BGl_printzd2locationzf3z21zzsaw_c_codez00
				(BGl_findzd2locationzd2zzsaw_c_codez00(BgL_insz00_63));
			{	/* SawC/code.scm 221 */
				obj_t BgL_arg2031z00_2709;

				{	/* SawC/code.scm 221 */
					obj_t BgL_tmpz00_6891;

					BgL_tmpz00_6891 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2031z00_2709 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6891);
				}
				bgl_display_string(BGl_string2756z00zzsaw_c_codez00,
					BgL_arg2031z00_2709);
			}
			if (CBOOL((((BgL_rtl_insz00_bglt) COBJECT(BgL_insz00_63))->BgL_destz00)))
				{	/* SawC/code.scm 222 */
					BGl_genzd2regzf2destz20zzsaw_c_codez00(
						(((BgL_rtl_insz00_bglt) COBJECT(BgL_insz00_63))->BgL_destz00));
					{	/* SawC/code.scm 224 */
						obj_t BgL_arg2034z00_2712;

						{	/* SawC/code.scm 224 */
							obj_t BgL_tmpz00_6900;

							BgL_tmpz00_6900 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_arg2034z00_2712 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6900);
						}
						bgl_display_string(BGl_string2757z00zzsaw_c_codez00,
							BgL_arg2034z00_2712);
					}
				}
			else
				{	/* SawC/code.scm 222 */
					BFALSE;
				}
			BGl_genzd2exprzd2zzsaw_c_codez00(
				(((BgL_rtl_insz00_bglt) COBJECT(BgL_insz00_63))->BgL_funz00),
				(((BgL_rtl_insz00_bglt) COBJECT(BgL_insz00_63))->BgL_argsz00));
			{	/* SawC/code.scm 226 */
				obj_t BgL_arg2038z00_2715;

				{	/* SawC/code.scm 226 */
					obj_t BgL_tmpz00_6907;

					BgL_tmpz00_6907 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2038z00_2715 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6907);
				}
				return
					bgl_display_string(BGl_string2743z00zzsaw_c_codez00,
					BgL_arg2038z00_2715);
			}
		}

	}



/* gen-args */
	bool_t BGl_genzd2argszd2zzsaw_c_codez00(obj_t BgL_argsz00_66)
	{
		{	/* SawC/code.scm 236 */
			if (NULLP(BgL_argsz00_66))
				{	/* SawC/code.scm 237 */
					return ((bool_t) 0);
				}
			else
				{	/* SawC/code.scm 237 */
					{	/* SawC/code.scm 238 */
						obj_t BgL_arg2040z00_2717;

						BgL_arg2040z00_2717 = CAR(((obj_t) BgL_argsz00_66));
						BGl_genzd2regzd2zzsaw_c_codez00(BgL_arg2040z00_2717);
					}
					{	/* SawC/code.scm 239 */
						obj_t BgL_g1653z00_2718;

						BgL_g1653z00_2718 = CDR(((obj_t) BgL_argsz00_66));
						{
							obj_t BgL_l1651z00_2720;

							BgL_l1651z00_2720 = BgL_g1653z00_2718;
						BgL_zc3z04anonymousza32041ze3z87_2721:
							if (PAIRP(BgL_l1651z00_2720))
								{	/* SawC/code.scm 240 */
									{	/* SawC/code.scm 239 */
										obj_t BgL_rz00_2723;

										BgL_rz00_2723 = CAR(BgL_l1651z00_2720);
										{	/* SawC/code.scm 239 */
											obj_t BgL_arg2043z00_2724;

											{	/* SawC/code.scm 239 */
												obj_t BgL_tmpz00_6921;

												BgL_tmpz00_6921 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_arg2043z00_2724 =
													BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6921);
											}
											bgl_display_string(BGl_string2739z00zzsaw_c_codez00,
												BgL_arg2043z00_2724);
										}
										BGl_genzd2regzd2zzsaw_c_codez00(BgL_rz00_2723);
									}
									{
										obj_t BgL_l1651z00_6926;

										BgL_l1651z00_6926 = CDR(BgL_l1651z00_2720);
										BgL_l1651z00_2720 = BgL_l1651z00_6926;
										goto BgL_zc3z04anonymousza32041ze3z87_2721;
									}
								}
							else
								{	/* SawC/code.scm 240 */
									return ((bool_t) 1);
								}
						}
					}
				}
		}

	}



/* gen-reg */
	obj_t BGl_genzd2regzd2zzsaw_c_codez00(obj_t BgL_regz00_67)
	{
		{	/* SawC/code.scm 242 */
			{	/* SawC/code.scm 243 */
				bool_t BgL_test3164z00_6928;

				{	/* SawC/code.scm 243 */
					obj_t BgL_classz00_4377;

					BgL_classz00_4377 = BGl_SawCIregz00zzsaw_c_codez00;
					if (BGL_OBJECTP(BgL_regz00_67))
						{	/* SawC/code.scm 243 */
							obj_t BgL_oclassz00_4379;

							{	/* SawC/code.scm 243 */
								obj_t BgL_arg1866z00_4381;
								long BgL_arg1867z00_4382;

								BgL_arg1866z00_4381 = (BGl_za2classesza2z00zz__objectz00);
								{	/* SawC/code.scm 243 */
									long BgL_arg1869z00_4383;

									BgL_arg1869z00_4383 =
										BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_regz00_67));
									BgL_arg1867z00_4382 = (BgL_arg1869z00_4383 - OBJECT_TYPE);
								}
								BgL_oclassz00_4379 =
									VECTOR_REF(BgL_arg1866z00_4381, BgL_arg1867z00_4382);
							}
							BgL_test3164z00_6928 = (BgL_oclassz00_4379 == BgL_classz00_4377);
						}
					else
						{	/* SawC/code.scm 243 */
							BgL_test3164z00_6928 = ((bool_t) 0);
						}
				}
				if (BgL_test3164z00_6928)
					{	/* SawC/code.scm 243 */
						BGL_TAIL return
							BGl_genzd2regzf2destz20zzsaw_c_codez00(BgL_regz00_67);
					}
				else
					{	/* SawC/code.scm 245 */
						BgL_rtl_funz00_bglt BgL_arg2046z00_2728;
						obj_t BgL_arg2047z00_2729;

						BgL_arg2046z00_2728 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_regz00_67)))->BgL_funz00);
						BgL_arg2047z00_2729 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_regz00_67)))->BgL_argsz00);
						return
							BGl_genzd2exprzd2zzsaw_c_codez00(BgL_arg2046z00_2728,
							BgL_arg2047z00_2729);
					}
			}
		}

	}



/* gen-reg/dest */
	obj_t BGl_genzd2regzf2destz20zzsaw_c_codez00(obj_t BgL_regz00_68)
	{
		{	/* SawC/code.scm 247 */
			if (CBOOL(
					(((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt) BgL_regz00_68)))->BgL_debugnamez00)))
				{	/* SawC/code.scm 249 */
					obj_t BgL_arg2049z00_2731;
					obj_t BgL_arg2050z00_2732;

					BgL_arg2049z00_2731 =
						(((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt) BgL_regz00_68)))->BgL_debugnamez00);
					{	/* SawC/code.scm 249 */
						obj_t BgL_tmpz00_6949;

						BgL_tmpz00_6949 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_arg2050z00_2732 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6949);
					}
					return bgl_display_obj(BgL_arg2049z00_2731, BgL_arg2050z00_2732);
				}
			else
				{	/* SawC/code.scm 250 */
					obj_t BgL_arg2051z00_2733;
					obj_t BgL_arg2052z00_2734;

					if (CBOOL(
							(((BgL_rtl_regz00_bglt) COBJECT(
										((BgL_rtl_regz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_regz00_68))))->BgL_varz00)))
						{	/* SawC/code.scm 250 */
							BgL_arg2051z00_2733 = BGl_string2741z00zzsaw_c_codez00;
						}
					else
						{	/* SawC/code.scm 250 */
							BgL_arg2051z00_2733 = BGl_string2742z00zzsaw_c_codez00;
						}
					{
						BgL_sawciregz00_bglt BgL_auxz00_6958;

						{
							obj_t BgL_auxz00_6959;

							{	/* SawC/code.scm 250 */
								BgL_objectz00_bglt BgL_tmpz00_6960;

								BgL_tmpz00_6960 =
									((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_regz00_68));
								BgL_auxz00_6959 = BGL_OBJECT_WIDENING(BgL_tmpz00_6960);
							}
							BgL_auxz00_6958 = ((BgL_sawciregz00_bglt) BgL_auxz00_6959);
						}
						BgL_arg2052z00_2734 =
							(((BgL_sawciregz00_bglt) COBJECT(BgL_auxz00_6958))->BgL_indexz00);
					}
					{	/* SawC/code.scm 250 */
						obj_t BgL_list2053z00_2735;

						{	/* SawC/code.scm 250 */
							obj_t BgL_arg2054z00_2736;

							BgL_arg2054z00_2736 = MAKE_YOUNG_PAIR(BgL_arg2052z00_2734, BNIL);
							BgL_list2053z00_2735 =
								MAKE_YOUNG_PAIR(BgL_arg2051z00_2733, BgL_arg2054z00_2736);
						}
						BGL_TAIL return
							BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list2053z00_2735);
					}
				}
		}

	}



/* typename */
	obj_t BGl_typenamez00zzsaw_c_codez00(obj_t BgL_oz00_77)
	{
		{	/* SawC/code.scm 293 */
		BGl_typenamez00zzsaw_c_codez00:
			{	/* SawC/code.scm 295 */
				bool_t BgL_test3168z00_6969;

				{	/* SawC/code.scm 295 */
					obj_t BgL_classz00_4397;

					BgL_classz00_4397 = BGl_rtl_regz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_oz00_77))
						{	/* SawC/code.scm 295 */
							BgL_objectz00_bglt BgL_arg1858z00_4399;

							BgL_arg1858z00_4399 = (BgL_objectz00_bglt) (BgL_oz00_77);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawC/code.scm 295 */
									long BgL_idxz00_4405;

									BgL_idxz00_4405 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4399);
									BgL_test3168z00_6969 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4405 + 1L)) == BgL_classz00_4397);
								}
							else
								{	/* SawC/code.scm 295 */
									bool_t BgL_res2669z00_4430;

									{	/* SawC/code.scm 295 */
										obj_t BgL_oclassz00_4413;

										{	/* SawC/code.scm 295 */
											obj_t BgL_arg1866z00_4421;
											long BgL_arg1867z00_4422;

											BgL_arg1866z00_4421 = (BGl_za2classesza2z00zz__objectz00);
											{	/* SawC/code.scm 295 */
												long BgL_arg1869z00_4423;

												BgL_arg1869z00_4423 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4399);
												BgL_arg1867z00_4422 =
													(BgL_arg1869z00_4423 - OBJECT_TYPE);
											}
											BgL_oclassz00_4413 =
												VECTOR_REF(BgL_arg1866z00_4421, BgL_arg1867z00_4422);
										}
										{	/* SawC/code.scm 295 */
											bool_t BgL__ortest_1115z00_4414;

											BgL__ortest_1115z00_4414 =
												(BgL_classz00_4397 == BgL_oclassz00_4413);
											if (BgL__ortest_1115z00_4414)
												{	/* SawC/code.scm 295 */
													BgL_res2669z00_4430 = BgL__ortest_1115z00_4414;
												}
											else
												{	/* SawC/code.scm 295 */
													long BgL_odepthz00_4415;

													{	/* SawC/code.scm 295 */
														obj_t BgL_arg1855z00_4416;

														BgL_arg1855z00_4416 = (BgL_oclassz00_4413);
														BgL_odepthz00_4415 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_4416);
													}
													if ((1L < BgL_odepthz00_4415))
														{	/* SawC/code.scm 295 */
															obj_t BgL_arg1853z00_4418;

															{	/* SawC/code.scm 295 */
																obj_t BgL_arg1854z00_4419;

																BgL_arg1854z00_4419 = (BgL_oclassz00_4413);
																BgL_arg1853z00_4418 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_4419,
																	1L);
															}
															BgL_res2669z00_4430 =
																(BgL_arg1853z00_4418 == BgL_classz00_4397);
														}
													else
														{	/* SawC/code.scm 295 */
															BgL_res2669z00_4430 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test3168z00_6969 = BgL_res2669z00_4430;
								}
						}
					else
						{	/* SawC/code.scm 295 */
							BgL_test3168z00_6969 = ((bool_t) 0);
						}
				}
				if (BgL_test3168z00_6969)
					{	/* SawC/code.scm 295 */
						return
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_rtl_regz00_bglt) COBJECT(
												((BgL_rtl_regz00_bglt) BgL_oz00_77)))->BgL_typez00)))->
							BgL_namez00);
					}
				else
					{	/* SawC/code.scm 297 */
						bool_t BgL_test3173z00_6995;

						{	/* SawC/code.scm 297 */
							obj_t BgL_classz00_4433;

							BgL_classz00_4433 = BGl_rtl_insz00zzsaw_defsz00;
							if (BGL_OBJECTP(BgL_oz00_77))
								{	/* SawC/code.scm 297 */
									BgL_objectz00_bglt BgL_arg1858z00_4435;

									BgL_arg1858z00_4435 = (BgL_objectz00_bglt) (BgL_oz00_77);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawC/code.scm 297 */
											long BgL_idxz00_4441;

											BgL_idxz00_4441 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4435);
											BgL_test3173z00_6995 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4441 + 1L)) == BgL_classz00_4433);
										}
									else
										{	/* SawC/code.scm 297 */
											bool_t BgL_res2670z00_4466;

											{	/* SawC/code.scm 297 */
												obj_t BgL_oclassz00_4449;

												{	/* SawC/code.scm 297 */
													obj_t BgL_arg1866z00_4457;
													long BgL_arg1867z00_4458;

													BgL_arg1866z00_4457 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* SawC/code.scm 297 */
														long BgL_arg1869z00_4459;

														BgL_arg1869z00_4459 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4435);
														BgL_arg1867z00_4458 =
															(BgL_arg1869z00_4459 - OBJECT_TYPE);
													}
													BgL_oclassz00_4449 =
														VECTOR_REF(BgL_arg1866z00_4457,
														BgL_arg1867z00_4458);
												}
												{	/* SawC/code.scm 297 */
													bool_t BgL__ortest_1115z00_4450;

													BgL__ortest_1115z00_4450 =
														(BgL_classz00_4433 == BgL_oclassz00_4449);
													if (BgL__ortest_1115z00_4450)
														{	/* SawC/code.scm 297 */
															BgL_res2670z00_4466 = BgL__ortest_1115z00_4450;
														}
													else
														{	/* SawC/code.scm 297 */
															long BgL_odepthz00_4451;

															{	/* SawC/code.scm 297 */
																obj_t BgL_arg1855z00_4452;

																BgL_arg1855z00_4452 = (BgL_oclassz00_4449);
																BgL_odepthz00_4451 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_4452);
															}
															if ((1L < BgL_odepthz00_4451))
																{	/* SawC/code.scm 297 */
																	obj_t BgL_arg1853z00_4454;

																	{	/* SawC/code.scm 297 */
																		obj_t BgL_arg1854z00_4455;

																		BgL_arg1854z00_4455 = (BgL_oclassz00_4449);
																		BgL_arg1853z00_4454 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_4455, 1L);
																	}
																	BgL_res2670z00_4466 =
																		(BgL_arg1853z00_4454 == BgL_classz00_4433);
																}
															else
																{	/* SawC/code.scm 297 */
																	BgL_res2670z00_4466 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test3173z00_6995 = BgL_res2670z00_4466;
										}
								}
							else
								{	/* SawC/code.scm 297 */
									BgL_test3173z00_6995 = ((bool_t) 0);
								}
						}
						if (BgL_test3173z00_6995)
							{	/* SawC/code.scm 297 */
								if (CBOOL(
										(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_oz00_77)))->BgL_destz00)))
									{	/* SawC/code.scm 299 */
										obj_t BgL_arg2061z00_2742;

										BgL_arg2061z00_2742 =
											(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_oz00_77)))->BgL_destz00);
										{
											obj_t BgL_oz00_7024;

											BgL_oz00_7024 = BgL_arg2061z00_2742;
											BgL_oz00_77 = BgL_oz00_7024;
											goto BGl_typenamez00zzsaw_c_codez00;
										}
									}
								else
									{	/* SawC/code.scm 298 */
										return BGl_string2758z00zzsaw_c_codez00;
									}
							}
						else
							{	/* SawC/code.scm 297 */
								return BGl_string2758z00zzsaw_c_codez00;
							}
					}
			}
		}

	}



/* gen-Xfuncall */
	obj_t BGl_genzd2Xfuncallzd2zzsaw_c_codez00(obj_t BgL_strengthz00_78,
		obj_t BgL_rettypez00_79, obj_t BgL_argsz00_80, bool_t BgL_eoazf3zf3_81)
	{
		{	/* SawC/code.scm 304 */
			if (CBOOL(BGl_za2stdcza2z00zzengine_paramz00))
				{	/* SawC/code.scm 307 */
					obj_t BgL_arg2063z00_2743;
					obj_t BgL_arg2064z00_2744;

					if (BgL_eoazf3zf3_81)
						{	/* SawC/code.scm 308 */
							obj_t BgL_arg2065z00_2745;

							BgL_arg2065z00_2745 =
								(((BgL_typez00_bglt) COBJECT(
										((BgL_typez00_bglt) BgL_rettypez00_79)))->BgL_namez00);
							{	/* SawC/code.scm 308 */
								obj_t BgL_list2066z00_2746;

								BgL_list2066z00_2746 =
									MAKE_YOUNG_PAIR(BgL_arg2065z00_2745, BNIL);
								BgL_arg2063z00_2743 =
									BGl_formatz00zz__r4_output_6_10_3z00
									(BGl_string2759z00zzsaw_c_codez00, BgL_list2066z00_2746);
							}
						}
					else
						{	/* SawC/code.scm 310 */
							obj_t BgL_arg2067z00_2747;
							obj_t BgL_arg2068z00_2748;

							BgL_arg2067z00_2747 =
								BGl_typenamez00zzsaw_c_codez00(BgL_rettypez00_79);
							if (NULLP(BgL_argsz00_80))
								{	/* SawC/code.scm 311 */
									BgL_arg2068z00_2748 = BNIL;
								}
							else
								{	/* SawC/code.scm 311 */
									obj_t BgL_head1656z00_2753;

									{	/* SawC/code.scm 311 */
										obj_t BgL_arg2077z00_2765;

										{	/* SawC/code.scm 311 */
											obj_t BgL_arg2078z00_2766;

											BgL_arg2078z00_2766 = CAR(((obj_t) BgL_argsz00_80));
											BgL_arg2077z00_2765 =
												BGl_typenamez00zzsaw_c_codez00(BgL_arg2078z00_2766);
										}
										BgL_head1656z00_2753 =
											MAKE_YOUNG_PAIR(BgL_arg2077z00_2765, BNIL);
									}
									{	/* SawC/code.scm 311 */
										obj_t BgL_g1659z00_2754;

										BgL_g1659z00_2754 = CDR(((obj_t) BgL_argsz00_80));
										{
											obj_t BgL_l1654z00_2756;
											obj_t BgL_tail1657z00_2757;

											BgL_l1654z00_2756 = BgL_g1659z00_2754;
											BgL_tail1657z00_2757 = BgL_head1656z00_2753;
										BgL_zc3z04anonymousza32072ze3z87_2758:
											if (NULLP(BgL_l1654z00_2756))
												{	/* SawC/code.scm 311 */
													BgL_arg2068z00_2748 = BgL_head1656z00_2753;
												}
											else
												{	/* SawC/code.scm 311 */
													obj_t BgL_newtail1658z00_2760;

													{	/* SawC/code.scm 311 */
														obj_t BgL_arg2075z00_2762;

														{	/* SawC/code.scm 311 */
															obj_t BgL_arg2076z00_2763;

															BgL_arg2076z00_2763 =
																CAR(((obj_t) BgL_l1654z00_2756));
															BgL_arg2075z00_2762 =
																BGl_typenamez00zzsaw_c_codez00
																(BgL_arg2076z00_2763);
														}
														BgL_newtail1658z00_2760 =
															MAKE_YOUNG_PAIR(BgL_arg2075z00_2762, BNIL);
													}
													SET_CDR(BgL_tail1657z00_2757,
														BgL_newtail1658z00_2760);
													{	/* SawC/code.scm 311 */
														obj_t BgL_arg2074z00_2761;

														BgL_arg2074z00_2761 =
															CDR(((obj_t) BgL_l1654z00_2756));
														{
															obj_t BgL_tail1657z00_7051;
															obj_t BgL_l1654z00_7050;

															BgL_l1654z00_7050 = BgL_arg2074z00_2761;
															BgL_tail1657z00_7051 = BgL_newtail1658z00_2760;
															BgL_tail1657z00_2757 = BgL_tail1657z00_7051;
															BgL_l1654z00_2756 = BgL_l1654z00_7050;
															goto BgL_zc3z04anonymousza32072ze3z87_2758;
														}
													}
												}
										}
									}
								}
							{	/* SawC/code.scm 309 */
								obj_t BgL_list2069z00_2749;

								{	/* SawC/code.scm 309 */
									obj_t BgL_arg2070z00_2750;

									BgL_arg2070z00_2750 =
										MAKE_YOUNG_PAIR(BgL_arg2068z00_2748, BNIL);
									BgL_list2069z00_2749 =
										MAKE_YOUNG_PAIR(BgL_arg2067z00_2747, BgL_arg2070z00_2750);
								}
								BgL_arg2063z00_2743 =
									BGl_formatz00zz__r4_output_6_10_3z00
									(BGl_string2760z00zzsaw_c_codez00, BgL_list2069z00_2749);
							}
						}
					{	/* SawC/code.scm 306 */
						obj_t BgL_tmpz00_7055;

						BgL_tmpz00_7055 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_arg2064z00_2744 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_7055);
					}
					bgl_display_obj(BgL_arg2063z00_2743, BgL_arg2064z00_2744);
				}
			else
				{	/* SawC/code.scm 312 */
					obj_t BgL_arg2079z00_2767;

					BgL_arg2079z00_2767 =
						(((BgL_typez00_bglt) COBJECT(
								((BgL_typez00_bglt) BgL_rettypez00_79)))->BgL_namez00);
					{	/* SawC/code.scm 312 */
						obj_t BgL_list2080z00_2768;

						{	/* SawC/code.scm 312 */
							obj_t BgL_arg2081z00_2769;

							{	/* SawC/code.scm 312 */
								obj_t BgL_arg2082z00_2770;

								BgL_arg2082z00_2770 =
									MAKE_YOUNG_PAIR(BGl_string2761z00zzsaw_c_codez00, BNIL);
								BgL_arg2081z00_2769 =
									MAKE_YOUNG_PAIR(BgL_arg2079z00_2767, BgL_arg2082z00_2770);
							}
							BgL_list2080z00_2768 =
								MAKE_YOUNG_PAIR(BGl_string2762z00zzsaw_c_codez00,
								BgL_arg2081z00_2769);
						}
						BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list2080z00_2768);
					}
				}
			{	/* SawC/code.scm 313 */
				obj_t BgL_list2083z00_2771;

				{	/* SawC/code.scm 313 */
					obj_t BgL_arg2084z00_2772;

					{	/* SawC/code.scm 313 */
						obj_t BgL_arg2085z00_2773;

						BgL_arg2085z00_2773 =
							MAKE_YOUNG_PAIR(BGl_string2763z00zzsaw_c_codez00, BNIL);
						BgL_arg2084z00_2772 =
							MAKE_YOUNG_PAIR(BgL_strengthz00_78, BgL_arg2085z00_2773);
					}
					BgL_list2083z00_2771 =
						MAKE_YOUNG_PAIR(BGl_string2764z00zzsaw_c_codez00,
						BgL_arg2084z00_2772);
				}
				BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list2083z00_2771);
			}
			{	/* SawC/code.scm 314 */
				obj_t BgL_arg2086z00_2774;

				BgL_arg2086z00_2774 = CAR(((obj_t) BgL_argsz00_80));
				BGl_genzd2regzd2zzsaw_c_codez00(BgL_arg2086z00_2774);
			}
			{	/* SawC/code.scm 315 */
				obj_t BgL_arg2087z00_2775;

				{	/* SawC/code.scm 315 */
					obj_t BgL_tmpz00_7072;

					BgL_tmpz00_7072 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2087z00_2775 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_7072);
				}
				bgl_display_string(BGl_string2765z00zzsaw_c_codez00,
					BgL_arg2087z00_2775);
			}
			BGl_genzd2argszd2zzsaw_c_codez00(BgL_argsz00_80);
			if (BgL_eoazf3zf3_81)
				{	/* SawC/code.scm 317 */
					obj_t BgL_arg2088z00_2776;

					{	/* SawC/code.scm 317 */
						obj_t BgL_tmpz00_7078;

						BgL_tmpz00_7078 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_arg2088z00_2776 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_7078);
					}
					bgl_display_string(BGl_string2766z00zzsaw_c_codez00,
						BgL_arg2088z00_2776);
				}
			else
				{	/* SawC/code.scm 317 */
					BFALSE;
				}
			{	/* SawC/code.scm 318 */
				obj_t BgL_arg2089z00_2777;

				{	/* SawC/code.scm 318 */
					obj_t BgL_tmpz00_7082;

					BgL_tmpz00_7082 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2089z00_2777 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_7082);
				}
				return
					bgl_display_string(BGl_string2740z00zzsaw_c_codez00,
					BgL_arg2089z00_2777);
			}
		}

	}



/* gen-upcase */
	obj_t BGl_genzd2upcasezd2zzsaw_c_codez00(BgL_rtl_funz00_bglt BgL_funz00_91)
	{
		{	/* SawC/code.scm 407 */
			{	/* SawC/code.scm 409 */
				obj_t BgL_arg2090z00_2778;

				{	/* SawC/code.scm 409 */
					obj_t BgL_arg2093z00_2781;

					{	/* SawC/code.scm 409 */
						obj_t BgL_arg2094z00_2782;

						{	/* SawC/code.scm 409 */
							obj_t BgL_arg2095z00_2783;

							{	/* SawC/code.scm 409 */
								obj_t BgL_arg1866z00_4488;
								long BgL_arg1867z00_4489;

								BgL_arg1866z00_4488 = (BGl_za2classesza2z00zz__objectz00);
								{	/* SawC/code.scm 409 */
									long BgL_arg1869z00_4490;

									BgL_arg1869z00_4490 =
										BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_91));
									BgL_arg1867z00_4489 = (BgL_arg1869z00_4490 - OBJECT_TYPE);
								}
								BgL_arg2095z00_2783 =
									VECTOR_REF(BgL_arg1866z00_4488, BgL_arg1867z00_4489);
							}
							BgL_arg2094z00_2782 =
								BGl_classzd2namezd2zz__objectz00(BgL_arg2095z00_2783);
						}
						{	/* SawC/code.scm 409 */
							obj_t BgL_arg1486z00_4497;

							BgL_arg1486z00_4497 = SYMBOL_TO_STRING(BgL_arg2094z00_2782);
							BgL_arg2093z00_2781 =
								BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1486z00_4497);
					}}
					BgL_arg2090z00_2778 =
						BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(BgL_arg2093z00_2781);
				}
				{	/* SawC/code.scm 408 */
					obj_t BgL_list2091z00_2779;

					{	/* SawC/code.scm 408 */
						obj_t BgL_arg2092z00_2780;

						BgL_arg2092z00_2780 = MAKE_YOUNG_PAIR(BgL_arg2090z00_2778, BNIL);
						BgL_list2091z00_2779 =
							MAKE_YOUNG_PAIR(BGl_string2767z00zzsaw_c_codez00,
							BgL_arg2092z00_2780);
					}
					return BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list2091z00_2779);
				}
			}
		}

	}



/* vfun-name */
	obj_t BGl_vfunzd2namezd2zzsaw_c_codez00(obj_t BgL_fz00_92,
		BgL_typez00_bglt BgL_typez00_93)
	{
		{	/* SawC/code.scm 411 */
			{	/* SawC/code.scm 412 */
				obj_t BgL_arg2096z00_2784;

				if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
							(((BgL_typez00_bglt) COBJECT(BgL_typez00_93))->BgL_idz00),
							((obj_t) CNST_TABLE_REF(5)))))
					{	/* SawC/code.scm 412 */
						BgL_arg2096z00_2784 = BGl_string2768z00zzsaw_c_codez00;
					}
				else
					{	/* SawC/code.scm 412 */
						BgL_arg2096z00_2784 = BGl_string2744z00zzsaw_c_codez00;
					}
				{	/* SawC/code.scm 412 */
					obj_t BgL_list2097z00_2785;

					{	/* SawC/code.scm 412 */
						obj_t BgL_arg2098z00_2786;

						{	/* SawC/code.scm 412 */
							obj_t BgL_arg2099z00_2787;

							BgL_arg2099z00_2787 = MAKE_YOUNG_PAIR(BgL_fz00_92, BNIL);
							BgL_arg2098z00_2786 =
								MAKE_YOUNG_PAIR(BgL_arg2096z00_2784, BgL_arg2099z00_2787);
						}
						BgL_list2097z00_2785 =
							MAKE_YOUNG_PAIR(BGl_string2769z00zzsaw_c_codez00,
							BgL_arg2098z00_2786);
					}
					return BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list2097z00_2785);
				}
			}
		}

	}



/* vextra */
	obj_t BGl_vextraz00zzsaw_c_codez00(BgL_typez00_bglt BgL_typez00_112)
	{
		{	/* SawC/code.scm 468 */
			if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
						(((BgL_typez00_bglt) COBJECT(BgL_typez00_112))->BgL_idz00),
						((obj_t) CNST_TABLE_REF(5)))))
				{	/* SawC/code.scm 470 */
					obj_t BgL_tnz00_2790;

					BgL_tnz00_2790 =
						(((BgL_typez00_bglt) COBJECT(BgL_typez00_112))->BgL_namez00);
					{	/* SawC/code.scm 471 */
						obj_t BgL_arg2102z00_2791;

						BgL_arg2102z00_2791 = bigloo_mangle(BgL_tnz00_2790);
						{	/* SawC/code.scm 471 */
							obj_t BgL_list2103z00_2792;

							{	/* SawC/code.scm 471 */
								obj_t BgL_arg2104z00_2793;

								{	/* SawC/code.scm 471 */
									obj_t BgL_arg2105z00_2794;

									{	/* SawC/code.scm 471 */
										obj_t BgL_arg2106z00_2795;

										BgL_arg2106z00_2795 =
											MAKE_YOUNG_PAIR(BGl_string2739z00zzsaw_c_codez00, BNIL);
										BgL_arg2105z00_2794 =
											MAKE_YOUNG_PAIR(BgL_tnz00_2790, BgL_arg2106z00_2795);
									}
									BgL_arg2104z00_2793 =
										MAKE_YOUNG_PAIR(BGl_string2739z00zzsaw_c_codez00,
										BgL_arg2105z00_2794);
								}
								BgL_list2103z00_2792 =
									MAKE_YOUNG_PAIR(BgL_arg2102z00_2791, BgL_arg2104z00_2793);
							}
							return
								BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list2103z00_2792);
						}
					}
				}
			else
				{	/* SawC/code.scm 469 */
					return BFALSE;
				}
		}

	}



/* inl-op */
	obj_t BGl_inlzd2opzd2zzsaw_c_codez00(obj_t BgL_sz00_122)
	{
		{	/* SawC/code.scm 517 */
			{	/* SawC/code.scm 519 */
				bool_t BgL_test3186z00_7121;

				{	/* SawC/code.scm 519 */
					long BgL_l1z00_4514;

					BgL_l1z00_4514 = STRING_LENGTH(((obj_t) BgL_sz00_122));
					if ((BgL_l1z00_4514 == 2L))
						{	/* SawC/code.scm 519 */
							int BgL_arg1343z00_4517;

							{	/* SawC/code.scm 519 */
								char *BgL_auxz00_7129;
								char *BgL_tmpz00_7126;

								BgL_auxz00_7129 =
									BSTRING_TO_STRING(BGl_string2770z00zzsaw_c_codez00);
								BgL_tmpz00_7126 = BSTRING_TO_STRING(((obj_t) BgL_sz00_122));
								BgL_arg1343z00_4517 =
									memcmp(BgL_tmpz00_7126, BgL_auxz00_7129, BgL_l1z00_4514);
							}
							BgL_test3186z00_7121 = ((long) (BgL_arg1343z00_4517) == 0L);
						}
					else
						{	/* SawC/code.scm 519 */
							BgL_test3186z00_7121 = ((bool_t) 0);
						}
				}
				if (BgL_test3186z00_7121)
					{	/* SawC/code.scm 519 */
						return BGl_string2771z00zzsaw_c_codez00;
					}
				else
					{	/* SawC/code.scm 520 */
						bool_t BgL_test3188z00_7134;

						{	/* SawC/code.scm 520 */
							long BgL_l1z00_4525;

							BgL_l1z00_4525 = STRING_LENGTH(((obj_t) BgL_sz00_122));
							if ((BgL_l1z00_4525 == 2L))
								{	/* SawC/code.scm 520 */
									int BgL_arg1343z00_4528;

									{	/* SawC/code.scm 520 */
										char *BgL_auxz00_7142;
										char *BgL_tmpz00_7139;

										BgL_auxz00_7142 =
											BSTRING_TO_STRING(BGl_string2772z00zzsaw_c_codez00);
										BgL_tmpz00_7139 = BSTRING_TO_STRING(((obj_t) BgL_sz00_122));
										BgL_arg1343z00_4528 =
											memcmp(BgL_tmpz00_7139, BgL_auxz00_7142, BgL_l1z00_4525);
									}
									BgL_test3188z00_7134 = ((long) (BgL_arg1343z00_4528) == 0L);
								}
							else
								{	/* SawC/code.scm 520 */
									BgL_test3188z00_7134 = ((bool_t) 0);
								}
						}
						if (BgL_test3188z00_7134)
							{	/* SawC/code.scm 520 */
								return BGl_string2773z00zzsaw_c_codez00;
							}
						else
							{	/* SawC/code.scm 521 */
								bool_t BgL_test3190z00_7147;

								{	/* SawC/code.scm 521 */
									long BgL_l1z00_4536;

									BgL_l1z00_4536 = STRING_LENGTH(((obj_t) BgL_sz00_122));
									if ((BgL_l1z00_4536 == 2L))
										{	/* SawC/code.scm 521 */
											int BgL_arg1343z00_4539;

											{	/* SawC/code.scm 521 */
												char *BgL_auxz00_7155;
												char *BgL_tmpz00_7152;

												BgL_auxz00_7155 =
													BSTRING_TO_STRING(BGl_string2774z00zzsaw_c_codez00);
												BgL_tmpz00_7152 =
													BSTRING_TO_STRING(((obj_t) BgL_sz00_122));
												BgL_arg1343z00_4539 =
													memcmp(BgL_tmpz00_7152, BgL_auxz00_7155,
													BgL_l1z00_4536);
											}
											BgL_test3190z00_7147 =
												((long) (BgL_arg1343z00_4539) == 0L);
										}
									else
										{	/* SawC/code.scm 521 */
											BgL_test3190z00_7147 = ((bool_t) 0);
										}
								}
								if (BgL_test3190z00_7147)
									{	/* SawC/code.scm 521 */
										return BGl_string2775z00zzsaw_c_codez00;
									}
								else
									{	/* SawC/code.scm 522 */
										bool_t BgL_test3192z00_7160;

										{	/* SawC/code.scm 522 */
											long BgL_l1z00_4547;

											BgL_l1z00_4547 = STRING_LENGTH(((obj_t) BgL_sz00_122));
											if ((BgL_l1z00_4547 == 1L))
												{	/* SawC/code.scm 522 */
													int BgL_arg1343z00_4550;

													{	/* SawC/code.scm 522 */
														char *BgL_auxz00_7168;
														char *BgL_tmpz00_7165;

														BgL_auxz00_7168 =
															BSTRING_TO_STRING
															(BGl_string2776z00zzsaw_c_codez00);
														BgL_tmpz00_7165 =
															BSTRING_TO_STRING(((obj_t) BgL_sz00_122));
														BgL_arg1343z00_4550 =
															memcmp(BgL_tmpz00_7165, BgL_auxz00_7168,
															BgL_l1z00_4547);
													}
													BgL_test3192z00_7160 =
														((long) (BgL_arg1343z00_4550) == 0L);
												}
											else
												{	/* SawC/code.scm 522 */
													BgL_test3192z00_7160 = ((bool_t) 0);
												}
										}
										if (BgL_test3192z00_7160)
											{	/* SawC/code.scm 522 */
												return BGl_string2777z00zzsaw_c_codez00;
											}
										else
											{	/* SawC/code.scm 523 */
												bool_t BgL_test3194z00_7173;

												{	/* SawC/code.scm 523 */
													long BgL_l1z00_4558;

													BgL_l1z00_4558 =
														STRING_LENGTH(((obj_t) BgL_sz00_122));
													if ((BgL_l1z00_4558 == 1L))
														{	/* SawC/code.scm 523 */
															int BgL_arg1343z00_4561;

															{	/* SawC/code.scm 523 */
																char *BgL_auxz00_7181;
																char *BgL_tmpz00_7178;

																BgL_auxz00_7181 =
																	BSTRING_TO_STRING
																	(BGl_string2778z00zzsaw_c_codez00);
																BgL_tmpz00_7178 =
																	BSTRING_TO_STRING(((obj_t) BgL_sz00_122));
																BgL_arg1343z00_4561 =
																	memcmp(BgL_tmpz00_7178, BgL_auxz00_7181,
																	BgL_l1z00_4558);
															}
															BgL_test3194z00_7173 =
																((long) (BgL_arg1343z00_4561) == 0L);
														}
													else
														{	/* SawC/code.scm 523 */
															BgL_test3194z00_7173 = ((bool_t) 0);
														}
												}
												if (BgL_test3194z00_7173)
													{	/* SawC/code.scm 523 */
														return BGl_string2779z00zzsaw_c_codez00;
													}
												else
													{	/* SawC/code.scm 524 */
														bool_t BgL_test3196z00_7186;

														{	/* SawC/code.scm 524 */
															long BgL_l1z00_4569;

															BgL_l1z00_4569 =
																STRING_LENGTH(((obj_t) BgL_sz00_122));
															if ((BgL_l1z00_4569 == 1L))
																{	/* SawC/code.scm 524 */
																	int BgL_arg1343z00_4572;

																	{	/* SawC/code.scm 524 */
																		char *BgL_auxz00_7194;
																		char *BgL_tmpz00_7191;

																		BgL_auxz00_7194 =
																			BSTRING_TO_STRING
																			(BGl_string2780z00zzsaw_c_codez00);
																		BgL_tmpz00_7191 =
																			BSTRING_TO_STRING(((obj_t) BgL_sz00_122));
																		BgL_arg1343z00_4572 =
																			memcmp(BgL_tmpz00_7191, BgL_auxz00_7194,
																			BgL_l1z00_4569);
																	}
																	BgL_test3196z00_7186 =
																		((long) (BgL_arg1343z00_4572) == 0L);
																}
															else
																{	/* SawC/code.scm 524 */
																	BgL_test3196z00_7186 = ((bool_t) 0);
																}
														}
														if (BgL_test3196z00_7186)
															{	/* SawC/code.scm 524 */
																return BGl_string2781z00zzsaw_c_codez00;
															}
														else
															{	/* SawC/code.scm 525 */
																bool_t BgL_test3198z00_7199;

																{	/* SawC/code.scm 525 */
																	long BgL_l1z00_4580;

																	BgL_l1z00_4580 =
																		STRING_LENGTH(((obj_t) BgL_sz00_122));
																	if ((BgL_l1z00_4580 == 1L))
																		{	/* SawC/code.scm 525 */
																			int BgL_arg1343z00_4583;

																			{	/* SawC/code.scm 525 */
																				char *BgL_auxz00_7207;
																				char *BgL_tmpz00_7204;

																				BgL_auxz00_7207 =
																					BSTRING_TO_STRING
																					(BGl_string2782z00zzsaw_c_codez00);
																				BgL_tmpz00_7204 =
																					BSTRING_TO_STRING(((obj_t)
																						BgL_sz00_122));
																				BgL_arg1343z00_4583 =
																					memcmp(BgL_tmpz00_7204,
																					BgL_auxz00_7207, BgL_l1z00_4580);
																			}
																			BgL_test3198z00_7199 =
																				((long) (BgL_arg1343z00_4583) == 0L);
																		}
																	else
																		{	/* SawC/code.scm 525 */
																			BgL_test3198z00_7199 = ((bool_t) 0);
																		}
																}
																if (BgL_test3198z00_7199)
																	{	/* SawC/code.scm 525 */
																		return BGl_string2783z00zzsaw_c_codez00;
																	}
																else
																	{	/* SawC/code.scm 526 */
																		bool_t BgL_test3200z00_7212;

																		{	/* SawC/code.scm 526 */
																			long BgL_l1z00_4591;

																			BgL_l1z00_4591 =
																				STRING_LENGTH(((obj_t) BgL_sz00_122));
																			if ((BgL_l1z00_4591 == 1L))
																				{	/* SawC/code.scm 526 */
																					int BgL_arg1343z00_4594;

																					{	/* SawC/code.scm 526 */
																						char *BgL_auxz00_7220;
																						char *BgL_tmpz00_7217;

																						BgL_auxz00_7220 =
																							BSTRING_TO_STRING
																							(BGl_string2784z00zzsaw_c_codez00);
																						BgL_tmpz00_7217 =
																							BSTRING_TO_STRING(((obj_t)
																								BgL_sz00_122));
																						BgL_arg1343z00_4594 =
																							memcmp(BgL_tmpz00_7217,
																							BgL_auxz00_7220, BgL_l1z00_4591);
																					}
																					BgL_test3200z00_7212 =
																						(
																						(long) (BgL_arg1343z00_4594) == 0L);
																				}
																			else
																				{	/* SawC/code.scm 526 */
																					BgL_test3200z00_7212 = ((bool_t) 0);
																				}
																		}
																		if (BgL_test3200z00_7212)
																			{	/* SawC/code.scm 526 */
																				return BGl_string2785z00zzsaw_c_codez00;
																			}
																		else
																			{	/* SawC/code.scm 527 */
																				bool_t BgL_test3202z00_7225;

																				{	/* SawC/code.scm 527 */
																					long BgL_l1z00_4602;

																					BgL_l1z00_4602 =
																						STRING_LENGTH(
																						((obj_t) BgL_sz00_122));
																					if ((BgL_l1z00_4602 == 1L))
																						{	/* SawC/code.scm 527 */
																							int BgL_arg1343z00_4605;

																							{	/* SawC/code.scm 527 */
																								char *BgL_auxz00_7233;
																								char *BgL_tmpz00_7230;

																								BgL_auxz00_7233 =
																									BSTRING_TO_STRING
																									(BGl_string2786z00zzsaw_c_codez00);
																								BgL_tmpz00_7230 =
																									BSTRING_TO_STRING(((obj_t)
																										BgL_sz00_122));
																								BgL_arg1343z00_4605 =
																									memcmp(BgL_tmpz00_7230,
																									BgL_auxz00_7233,
																									BgL_l1z00_4602);
																							}
																							BgL_test3202z00_7225 =
																								(
																								(long) (BgL_arg1343z00_4605) ==
																								0L);
																						}
																					else
																						{	/* SawC/code.scm 527 */
																							BgL_test3202z00_7225 =
																								((bool_t) 0);
																						}
																				}
																				if (BgL_test3202z00_7225)
																					{	/* SawC/code.scm 527 */
																						return
																							BGl_string2787z00zzsaw_c_codez00;
																					}
																				else
																					{	/* SawC/code.scm 528 */
																						bool_t BgL_test3204z00_7238;

																						{	/* SawC/code.scm 528 */
																							long BgL_l1z00_4613;

																							BgL_l1z00_4613 =
																								STRING_LENGTH(
																								((obj_t) BgL_sz00_122));
																							if ((BgL_l1z00_4613 == 1L))
																								{	/* SawC/code.scm 528 */
																									int BgL_arg1343z00_4616;

																									{	/* SawC/code.scm 528 */
																										char *BgL_auxz00_7246;
																										char *BgL_tmpz00_7243;

																										BgL_auxz00_7246 =
																											BSTRING_TO_STRING
																											(BGl_string2788z00zzsaw_c_codez00);
																										BgL_tmpz00_7243 =
																											BSTRING_TO_STRING(((obj_t)
																												BgL_sz00_122));
																										BgL_arg1343z00_4616 =
																											memcmp(BgL_tmpz00_7243,
																											BgL_auxz00_7246,
																											BgL_l1z00_4613);
																									}
																									BgL_test3204z00_7238 =
																										(
																										(long) (BgL_arg1343z00_4616)
																										== 0L);
																								}
																							else
																								{	/* SawC/code.scm 528 */
																									BgL_test3204z00_7238 =
																										((bool_t) 0);
																								}
																						}
																						if (BgL_test3204z00_7238)
																							{	/* SawC/code.scm 528 */
																								return
																									BGl_string2789z00zzsaw_c_codez00;
																							}
																						else
																							{	/* SawC/code.scm 529 */
																								bool_t BgL_test3206z00_7251;

																								{	/* SawC/code.scm 529 */
																									long BgL_l1z00_4624;

																									BgL_l1z00_4624 =
																										STRING_LENGTH(
																										((obj_t) BgL_sz00_122));
																									if ((BgL_l1z00_4624 == 1L))
																										{	/* SawC/code.scm 529 */
																											int BgL_arg1343z00_4627;

																											{	/* SawC/code.scm 529 */
																												char *BgL_auxz00_7259;
																												char *BgL_tmpz00_7256;

																												BgL_auxz00_7259 =
																													BSTRING_TO_STRING
																													(BGl_string2790z00zzsaw_c_codez00);
																												BgL_tmpz00_7256 =
																													BSTRING_TO_STRING((
																														(obj_t)
																														BgL_sz00_122));
																												BgL_arg1343z00_4627 =
																													memcmp
																													(BgL_tmpz00_7256,
																													BgL_auxz00_7259,
																													BgL_l1z00_4624);
																											}
																											BgL_test3206z00_7251 =
																												(
																												(long)
																												(BgL_arg1343z00_4627) ==
																												0L);
																										}
																									else
																										{	/* SawC/code.scm 529 */
																											BgL_test3206z00_7251 =
																												((bool_t) 0);
																										}
																								}
																								if (BgL_test3206z00_7251)
																									{	/* SawC/code.scm 529 */
																										return
																											BGl_string2791z00zzsaw_c_codez00;
																									}
																								else
																									{	/* SawC/code.scm 530 */
																										bool_t BgL_test3208z00_7264;

																										{	/* SawC/code.scm 530 */
																											long BgL_l1z00_4635;

																											BgL_l1z00_4635 =
																												STRING_LENGTH(
																												((obj_t) BgL_sz00_122));
																											if (
																												(BgL_l1z00_4635 == 1L))
																												{	/* SawC/code.scm 530 */
																													int
																														BgL_arg1343z00_4638;
																													{	/* SawC/code.scm 530 */
																														char
																															*BgL_auxz00_7272;
																														char
																															*BgL_tmpz00_7269;
																														BgL_auxz00_7272 =
																															BSTRING_TO_STRING
																															(BGl_string2792z00zzsaw_c_codez00);
																														BgL_tmpz00_7269 =
																															BSTRING_TO_STRING(
																															((obj_t)
																																BgL_sz00_122));
																														BgL_arg1343z00_4638
																															=
																															memcmp
																															(BgL_tmpz00_7269,
																															BgL_auxz00_7272,
																															BgL_l1z00_4635);
																													}
																													BgL_test3208z00_7264 =
																														(
																														(long)
																														(BgL_arg1343z00_4638)
																														== 0L);
																												}
																											else
																												{	/* SawC/code.scm 530 */
																													BgL_test3208z00_7264 =
																														((bool_t) 0);
																												}
																										}
																										if (BgL_test3208z00_7264)
																											{	/* SawC/code.scm 530 */
																												return
																													BGl_string2793z00zzsaw_c_codez00;
																											}
																										else
																											{	/* SawC/code.scm 531 */
																												bool_t
																													BgL_test3210z00_7277;
																												{	/* SawC/code.scm 531 */
																													long BgL_l1z00_4646;

																													BgL_l1z00_4646 =
																														STRING_LENGTH(
																														((obj_t)
																															BgL_sz00_122));
																													if ((BgL_l1z00_4646 ==
																															3L))
																														{	/* SawC/code.scm 531 */
																															int
																																BgL_arg1343z00_4649;
																															{	/* SawC/code.scm 531 */
																																char
																																	*BgL_auxz00_7285;
																																char
																																	*BgL_tmpz00_7282;
																																BgL_auxz00_7285
																																	=
																																	BSTRING_TO_STRING
																																	(BGl_string2794z00zzsaw_c_codez00);
																																BgL_tmpz00_7282
																																	=
																																	BSTRING_TO_STRING
																																	(((obj_t)
																																		BgL_sz00_122));
																																BgL_arg1343z00_4649
																																	=
																																	memcmp
																																	(BgL_tmpz00_7282,
																																	BgL_auxz00_7285,
																																	BgL_l1z00_4646);
																															}
																															BgL_test3210z00_7277
																																=
																																((long)
																																(BgL_arg1343z00_4649)
																																== 0L);
																														}
																													else
																														{	/* SawC/code.scm 531 */
																															BgL_test3210z00_7277
																																= ((bool_t) 0);
																														}
																												}
																												if (BgL_test3210z00_7277)
																													{	/* SawC/code.scm 531 */
																														return
																															BGl_string2781z00zzsaw_c_codez00;
																													}
																												else
																													{	/* SawC/code.scm 532 */
																														bool_t
																															BgL_test3212z00_7290;
																														{	/* SawC/code.scm 532 */
																															long
																																BgL_l1z00_4657;
																															BgL_l1z00_4657 =
																																STRING_LENGTH((
																																	(obj_t)
																																	BgL_sz00_122));
																															if (
																																(BgL_l1z00_4657
																																	== 3L))
																																{	/* SawC/code.scm 532 */
																																	int
																																		BgL_arg1343z00_4660;
																																	{	/* SawC/code.scm 532 */
																																		char
																																			*BgL_auxz00_7298;
																																		char
																																			*BgL_tmpz00_7295;
																																		BgL_auxz00_7298
																																			=
																																			BSTRING_TO_STRING
																																			(BGl_string2795z00zzsaw_c_codez00);
																																		BgL_tmpz00_7295
																																			=
																																			BSTRING_TO_STRING
																																			(((obj_t)
																																				BgL_sz00_122));
																																		BgL_arg1343z00_4660
																																			=
																																			memcmp
																																			(BgL_tmpz00_7295,
																																			BgL_auxz00_7298,
																																			BgL_l1z00_4657);
																																	}
																																	BgL_test3212z00_7290
																																		=
																																		((long)
																																		(BgL_arg1343z00_4660)
																																		== 0L);
																																}
																															else
																																{	/* SawC/code.scm 532 */
																																	BgL_test3212z00_7290
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																														if (BgL_test3212z00_7290)
																															{	/* SawC/code.scm 532 */
																																return
																																	BGl_string2783z00zzsaw_c_codez00;
																															}
																														else
																															{	/* SawC/code.scm 533 */
																																bool_t
																																	BgL_test3214z00_7303;
																																{	/* SawC/code.scm 533 */
																																	long
																																		BgL_l1z00_4668;
																																	BgL_l1z00_4668
																																		=
																																		STRING_LENGTH
																																		(((obj_t)
																																			BgL_sz00_122));
																																	if (
																																		(BgL_l1z00_4668
																																			== 3L))
																																		{	/* SawC/code.scm 533 */
																																			int
																																				BgL_arg1343z00_4671;
																																			{	/* SawC/code.scm 533 */
																																				char
																																					*BgL_auxz00_7311;
																																				char
																																					*BgL_tmpz00_7308;
																																				BgL_auxz00_7311
																																					=
																																					BSTRING_TO_STRING
																																					(BGl_string2796z00zzsaw_c_codez00);
																																				BgL_tmpz00_7308
																																					=
																																					BSTRING_TO_STRING
																																					(((obj_t) BgL_sz00_122));
																																				BgL_arg1343z00_4671
																																					=
																																					memcmp
																																					(BgL_tmpz00_7308,
																																					BgL_auxz00_7311,
																																					BgL_l1z00_4668);
																																			}
																																			BgL_test3214z00_7303
																																				=
																																				((long)
																																				(BgL_arg1343z00_4671)
																																				== 0L);
																																		}
																																	else
																																		{	/* SawC/code.scm 533 */
																																			BgL_test3214z00_7303
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																																if (BgL_test3214z00_7303)
																																	{	/* SawC/code.scm 533 */
																																		return
																																			BGl_string2797z00zzsaw_c_codez00;
																																	}
																																else
																																	{	/* SawC/code.scm 534 */
																																		bool_t
																																			BgL_test3216z00_7316;
																																		{	/* SawC/code.scm 534 */
																																			long
																																				BgL_l1z00_4679;
																																			BgL_l1z00_4679
																																				=
																																				STRING_LENGTH
																																				(((obj_t) BgL_sz00_122));
																																			if (
																																				(BgL_l1z00_4679
																																					==
																																					4L))
																																				{	/* SawC/code.scm 534 */
																																					int
																																						BgL_arg1343z00_4682;
																																					{	/* SawC/code.scm 534 */
																																						char
																																							*BgL_auxz00_7324;
																																						char
																																							*BgL_tmpz00_7321;
																																						BgL_auxz00_7324
																																							=
																																							BSTRING_TO_STRING
																																							(BGl_string2798z00zzsaw_c_codez00);
																																						BgL_tmpz00_7321
																																							=
																																							BSTRING_TO_STRING
																																							(((obj_t) BgL_sz00_122));
																																						BgL_arg1343z00_4682
																																							=
																																							memcmp
																																							(BgL_tmpz00_7321,
																																							BgL_auxz00_7324,
																																							BgL_l1z00_4679);
																																					}
																																					BgL_test3216z00_7316
																																						=
																																						(
																																						(long)
																																						(BgL_arg1343z00_4682)
																																						==
																																						0L);
																																				}
																																			else
																																				{	/* SawC/code.scm 534 */
																																					BgL_test3216z00_7316
																																						=
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																		if (BgL_test3216z00_7316)
																																			{	/* SawC/code.scm 534 */
																																				return
																																					BGl_string2799z00zzsaw_c_codez00;
																																			}
																																		else
																																			{	/* SawC/code.scm 535 */
																																				bool_t
																																					BgL_test3218z00_7329;
																																				{	/* SawC/code.scm 535 */
																																					long
																																						BgL_l1z00_4690;
																																					BgL_l1z00_4690
																																						=
																																						STRING_LENGTH
																																						(((obj_t) BgL_sz00_122));
																																					if (
																																						(BgL_l1z00_4690
																																							==
																																							4L))
																																						{	/* SawC/code.scm 535 */
																																							int
																																								BgL_arg1343z00_4693;
																																							{	/* SawC/code.scm 535 */
																																								char
																																									*BgL_auxz00_7337;
																																								char
																																									*BgL_tmpz00_7334;
																																								BgL_auxz00_7337
																																									=
																																									BSTRING_TO_STRING
																																									(BGl_string2800z00zzsaw_c_codez00);
																																								BgL_tmpz00_7334
																																									=
																																									BSTRING_TO_STRING
																																									(
																																									((obj_t) BgL_sz00_122));
																																								BgL_arg1343z00_4693
																																									=
																																									memcmp
																																									(BgL_tmpz00_7334,
																																									BgL_auxz00_7337,
																																									BgL_l1z00_4690);
																																							}
																																							BgL_test3218z00_7329
																																								=
																																								(
																																								(long)
																																								(BgL_arg1343z00_4693)
																																								==
																																								0L);
																																						}
																																					else
																																						{	/* SawC/code.scm 535 */
																																							BgL_test3218z00_7329
																																								=
																																								(
																																								(bool_t)
																																								0);
																																						}
																																				}
																																				if (BgL_test3218z00_7329)
																																					{	/* SawC/code.scm 535 */
																																						return
																																							BGl_string2801z00zzsaw_c_codez00;
																																					}
																																				else
																																					{	/* SawC/code.scm 536 */
																																						bool_t
																																							BgL_test3220z00_7342;
																																						{	/* SawC/code.scm 536 */
																																							long
																																								BgL_l1z00_4701;
																																							BgL_l1z00_4701
																																								=
																																								STRING_LENGTH
																																								(
																																								((obj_t) BgL_sz00_122));
																																							if ((BgL_l1z00_4701 == 9L))
																																								{	/* SawC/code.scm 536 */
																																									int
																																										BgL_arg1343z00_4704;
																																									{	/* SawC/code.scm 536 */
																																										char
																																											*BgL_auxz00_7350;
																																										char
																																											*BgL_tmpz00_7347;
																																										BgL_auxz00_7350
																																											=
																																											BSTRING_TO_STRING
																																											(BGl_string2802z00zzsaw_c_codez00);
																																										BgL_tmpz00_7347
																																											=
																																											BSTRING_TO_STRING
																																											(
																																											((obj_t) BgL_sz00_122));
																																										BgL_arg1343z00_4704
																																											=
																																											memcmp
																																											(BgL_tmpz00_7347,
																																											BgL_auxz00_7350,
																																											BgL_l1z00_4701);
																																									}
																																									BgL_test3220z00_7342
																																										=
																																										(
																																										(long)
																																										(BgL_arg1343z00_4704)
																																										==
																																										0L);
																																								}
																																							else
																																								{	/* SawC/code.scm 536 */
																																									BgL_test3220z00_7342
																																										=
																																										(
																																										(bool_t)
																																										0);
																																								}
																																						}
																																						if (BgL_test3220z00_7342)
																																							{	/* SawC/code.scm 536 */
																																								return
																																									BGl_string2803z00zzsaw_c_codez00;
																																							}
																																						else
																																							{	/* SawC/code.scm 537 */
																																								bool_t
																																									BgL_test3222z00_7355;
																																								{	/* SawC/code.scm 537 */
																																									long
																																										BgL_l1z00_4712;
																																									BgL_l1z00_4712
																																										=
																																										STRING_LENGTH
																																										(
																																										((obj_t) BgL_sz00_122));
																																									if ((BgL_l1z00_4712 == 11L))
																																										{	/* SawC/code.scm 537 */
																																											int
																																												BgL_arg1343z00_4715;
																																											{	/* SawC/code.scm 537 */
																																												char
																																													*BgL_auxz00_7363;
																																												char
																																													*BgL_tmpz00_7360;
																																												BgL_auxz00_7363
																																													=
																																													BSTRING_TO_STRING
																																													(BGl_string2804z00zzsaw_c_codez00);
																																												BgL_tmpz00_7360
																																													=
																																													BSTRING_TO_STRING
																																													(
																																													((obj_t) BgL_sz00_122));
																																												BgL_arg1343z00_4715
																																													=
																																													memcmp
																																													(BgL_tmpz00_7360,
																																													BgL_auxz00_7363,
																																													BgL_l1z00_4712);
																																											}
																																											BgL_test3222z00_7355
																																												=
																																												(
																																												(long)
																																												(BgL_arg1343z00_4715)
																																												==
																																												0L);
																																										}
																																									else
																																										{	/* SawC/code.scm 537 */
																																											BgL_test3222z00_7355
																																												=
																																												(
																																												(bool_t)
																																												0);
																																										}
																																								}
																																								if (BgL_test3222z00_7355)
																																									{	/* SawC/code.scm 537 */
																																										return
																																											BGl_string2805z00zzsaw_c_codez00;
																																									}
																																								else
																																									{	/* SawC/code.scm 538 */
																																										bool_t
																																											BgL_test3224z00_7368;
																																										{	/* SawC/code.scm 538 */
																																											long
																																												BgL_l1z00_4723;
																																											BgL_l1z00_4723
																																												=
																																												STRING_LENGTH
																																												(
																																												((obj_t) BgL_sz00_122));
																																											if ((BgL_l1z00_4723 == 10L))
																																												{	/* SawC/code.scm 538 */
																																													int
																																														BgL_arg1343z00_4726;
																																													{	/* SawC/code.scm 538 */
																																														char
																																															*BgL_auxz00_7376;
																																														char
																																															*BgL_tmpz00_7373;
																																														BgL_auxz00_7376
																																															=
																																															BSTRING_TO_STRING
																																															(BGl_string2806z00zzsaw_c_codez00);
																																														BgL_tmpz00_7373
																																															=
																																															BSTRING_TO_STRING
																																															(
																																															((obj_t) BgL_sz00_122));
																																														BgL_arg1343z00_4726
																																															=
																																															memcmp
																																															(BgL_tmpz00_7373,
																																															BgL_auxz00_7376,
																																															BgL_l1z00_4723);
																																													}
																																													BgL_test3224z00_7368
																																														=
																																														(
																																														(long)
																																														(BgL_arg1343z00_4726)
																																														==
																																														0L);
																																												}
																																											else
																																												{	/* SawC/code.scm 538 */
																																													BgL_test3224z00_7368
																																														=
																																														(
																																														(bool_t)
																																														0);
																																												}
																																										}
																																										if (BgL_test3224z00_7368)
																																											{	/* SawC/code.scm 538 */
																																												BGl_za2pushtraceemmitedza2z00zzsaw_c_codez00
																																													=
																																													(1L
																																													+
																																													BGl_za2pushtraceemmitedza2z00zzsaw_c_codez00);
																																												return
																																													BGl_string2807z00zzsaw_c_codez00;
																																											}
																																										else
																																											{	/* SawC/code.scm 541 */
																																												bool_t
																																													BgL_test3226z00_7382;
																																												{	/* SawC/code.scm 541 */
																																													long
																																														BgL_l1z00_4735;
																																													BgL_l1z00_4735
																																														=
																																														STRING_LENGTH
																																														(
																																														((obj_t) BgL_sz00_122));
																																													if ((BgL_l1z00_4735 == 18L))
																																														{	/* SawC/code.scm 541 */
																																															int
																																																BgL_arg1343z00_4738;
																																															{	/* SawC/code.scm 541 */
																																																char
																																																	*BgL_auxz00_7390;
																																																char
																																																	*BgL_tmpz00_7387;
																																																BgL_auxz00_7390
																																																	=
																																																	BSTRING_TO_STRING
																																																	(BGl_string2808z00zzsaw_c_codez00);
																																																BgL_tmpz00_7387
																																																	=
																																																	BSTRING_TO_STRING
																																																	(
																																																	((obj_t) BgL_sz00_122));
																																																BgL_arg1343z00_4738
																																																	=
																																																	memcmp
																																																	(BgL_tmpz00_7387,
																																																	BgL_auxz00_7390,
																																																	BgL_l1z00_4735);
																																															}
																																															BgL_test3226z00_7382
																																																=
																																																(
																																																(long)
																																																(BgL_arg1343z00_4738)
																																																==
																																																0L);
																																														}
																																													else
																																														{	/* SawC/code.scm 541 */
																																															BgL_test3226z00_7382
																																																=
																																																(
																																																(bool_t)
																																																0);
																																														}
																																												}
																																												if (BgL_test3226z00_7382)
																																													{	/* SawC/code.scm 541 */
																																														BGl_za2pushtraceemmitedza2z00zzsaw_c_codez00
																																															=
																																															(1L
																																															+
																																															BGl_za2pushtraceemmitedza2z00zzsaw_c_codez00);
																																														return
																																															BGl_string2809z00zzsaw_c_codez00;
																																													}
																																												else
																																													{	/* SawC/code.scm 544 */
																																														bool_t
																																															BgL_test3228z00_7396;
																																														{	/* SawC/code.scm 544 */
																																															long
																																																BgL_l1z00_4747;
																																															BgL_l1z00_4747
																																																=
																																																STRING_LENGTH
																																																(
																																																((obj_t) BgL_sz00_122));
																																															if ((BgL_l1z00_4747 == 11L))
																																																{	/* SawC/code.scm 544 */
																																																	int
																																																		BgL_arg1343z00_4750;
																																																	{	/* SawC/code.scm 544 */
																																																		char
																																																			*BgL_auxz00_7404;
																																																		char
																																																			*BgL_tmpz00_7401;
																																																		BgL_auxz00_7404
																																																			=
																																																			BSTRING_TO_STRING
																																																			(BGl_string2810z00zzsaw_c_codez00);
																																																		BgL_tmpz00_7401
																																																			=
																																																			BSTRING_TO_STRING
																																																			(
																																																			((obj_t) BgL_sz00_122));
																																																		BgL_arg1343z00_4750
																																																			=
																																																			memcmp
																																																			(BgL_tmpz00_7401,
																																																			BgL_auxz00_7404,
																																																			BgL_l1z00_4747);
																																																	}
																																																	BgL_test3228z00_7396
																																																		=
																																																		(
																																																		(long)
																																																		(BgL_arg1343z00_4750)
																																																		==
																																																		0L);
																																																}
																																															else
																																																{	/* SawC/code.scm 544 */
																																																	BgL_test3228z00_7396
																																																		=
																																																		(
																																																		(bool_t)
																																																		0);
																																																}
																																														}
																																														if (BgL_test3228z00_7396)
																																															{	/* SawC/code.scm 544 */
																																																if (BGl_za2countza2z00zzsaw_c_codez00)
																																																	{	/* SawC/code.scm 545 */
																																																		return
																																																			BGl_string2811z00zzsaw_c_codez00;
																																																	}
																																																else
																																																	{	/* SawC/code.scm 545 */
																																																		return
																																																			BgL_sz00_122;
																																																	}
																																															}
																																														else
																																															{	/* SawC/code.scm 547 */
																																																bool_t
																																																	BgL_test3231z00_7410;
																																																{	/* SawC/code.scm 547 */
																																																	long
																																																		BgL_l1z00_4758;
																																																	BgL_l1z00_4758
																																																		=
																																																		STRING_LENGTH
																																																		(
																																																		((obj_t) BgL_sz00_122));
																																																	if ((BgL_l1z00_4758 == 10L))
																																																		{	/* SawC/code.scm 547 */
																																																			int
																																																				BgL_arg1343z00_4761;
																																																			{	/* SawC/code.scm 547 */
																																																				char
																																																					*BgL_auxz00_7418;
																																																				char
																																																					*BgL_tmpz00_7415;
																																																				BgL_auxz00_7418
																																																					=
																																																					BSTRING_TO_STRING
																																																					(BGl_string2812z00zzsaw_c_codez00);
																																																				BgL_tmpz00_7415
																																																					=
																																																					BSTRING_TO_STRING
																																																					(
																																																					((obj_t) BgL_sz00_122));
																																																				BgL_arg1343z00_4761
																																																					=
																																																					memcmp
																																																					(BgL_tmpz00_7415,
																																																					BgL_auxz00_7418,
																																																					BgL_l1z00_4758);
																																																			}
																																																			BgL_test3231z00_7410
																																																				=
																																																				(
																																																				(long)
																																																				(BgL_arg1343z00_4761)
																																																				==
																																																				0L);
																																																		}
																																																	else
																																																		{	/* SawC/code.scm 547 */
																																																			BgL_test3231z00_7410
																																																				=
																																																				(
																																																				(bool_t)
																																																				0);
																																																		}
																																																}
																																																if (BgL_test3231z00_7410)
																																																	{	/* SawC/code.scm 547 */
																																																		return
																																																			BGl_string2813z00zzsaw_c_codez00;
																																																	}
																																																else
																																																	{	/* SawC/code.scm 547 */
																																																		return
																																																			BgL_sz00_122;
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
					}
			}
		}

	}



/* deep-mov? */
	bool_t BGl_deepzd2movzf3z21zzsaw_c_codez00(obj_t BgL_insz00_126)
	{
		{	/* SawC/code.scm 557 */
		BGl_deepzd2movzf3z21zzsaw_c_codez00:
			{	/* SawC/code.scm 558 */
				bool_t BgL__ortest_1202z00_2824;

				{	/* SawC/code.scm 558 */
					obj_t BgL_classz00_4767;

					BgL_classz00_4767 = BGl_rtl_regz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_insz00_126))
						{	/* SawC/code.scm 558 */
							BgL_objectz00_bglt BgL_arg1858z00_4769;

							BgL_arg1858z00_4769 = (BgL_objectz00_bglt) (BgL_insz00_126);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawC/code.scm 558 */
									long BgL_idxz00_4775;

									BgL_idxz00_4775 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4769);
									BgL__ortest_1202z00_2824 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4775 + 1L)) == BgL_classz00_4767);
								}
							else
								{	/* SawC/code.scm 558 */
									bool_t BgL_res2671z00_4800;

									{	/* SawC/code.scm 558 */
										obj_t BgL_oclassz00_4783;

										{	/* SawC/code.scm 558 */
											obj_t BgL_arg1866z00_4791;
											long BgL_arg1867z00_4792;

											BgL_arg1866z00_4791 = (BGl_za2classesza2z00zz__objectz00);
											{	/* SawC/code.scm 558 */
												long BgL_arg1869z00_4793;

												BgL_arg1869z00_4793 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4769);
												BgL_arg1867z00_4792 =
													(BgL_arg1869z00_4793 - OBJECT_TYPE);
											}
											BgL_oclassz00_4783 =
												VECTOR_REF(BgL_arg1866z00_4791, BgL_arg1867z00_4792);
										}
										{	/* SawC/code.scm 558 */
											bool_t BgL__ortest_1115z00_4784;

											BgL__ortest_1115z00_4784 =
												(BgL_classz00_4767 == BgL_oclassz00_4783);
											if (BgL__ortest_1115z00_4784)
												{	/* SawC/code.scm 558 */
													BgL_res2671z00_4800 = BgL__ortest_1115z00_4784;
												}
											else
												{	/* SawC/code.scm 558 */
													long BgL_odepthz00_4785;

													{	/* SawC/code.scm 558 */
														obj_t BgL_arg1855z00_4786;

														BgL_arg1855z00_4786 = (BgL_oclassz00_4783);
														BgL_odepthz00_4785 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_4786);
													}
													if ((1L < BgL_odepthz00_4785))
														{	/* SawC/code.scm 558 */
															obj_t BgL_arg1853z00_4788;

															{	/* SawC/code.scm 558 */
																obj_t BgL_arg1854z00_4789;

																BgL_arg1854z00_4789 = (BgL_oclassz00_4783);
																BgL_arg1853z00_4788 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_4789,
																	1L);
															}
															BgL_res2671z00_4800 =
																(BgL_arg1853z00_4788 == BgL_classz00_4767);
														}
													else
														{	/* SawC/code.scm 558 */
															BgL_res2671z00_4800 = ((bool_t) 0);
														}
												}
										}
									}
									BgL__ortest_1202z00_2824 = BgL_res2671z00_4800;
								}
						}
					else
						{	/* SawC/code.scm 558 */
							BgL__ortest_1202z00_2824 = ((bool_t) 0);
						}
				}
				if (BgL__ortest_1202z00_2824)
					{	/* SawC/code.scm 558 */
						return BgL__ortest_1202z00_2824;
					}
				else
					{	/* SawC/code.scm 559 */
						bool_t BgL_test3238z00_7446;

						{	/* SawC/code.scm 559 */
							BgL_rtl_funz00_bglt BgL_arg2136z00_2828;

							BgL_arg2136z00_2828 =
								(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_insz00_126)))->BgL_funz00);
							{	/* SawC/code.scm 559 */
								obj_t BgL_classz00_4802;

								BgL_classz00_4802 = BGl_rtl_movz00zzsaw_defsz00;
								{	/* SawC/code.scm 559 */
									BgL_objectz00_bglt BgL_arg1858z00_4804;

									{	/* SawC/code.scm 559 */
										obj_t BgL_tmpz00_7449;

										BgL_tmpz00_7449 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg2136z00_2828));
										BgL_arg1858z00_4804 =
											(BgL_objectz00_bglt) (BgL_tmpz00_7449);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawC/code.scm 559 */
											long BgL_idxz00_4810;

											BgL_idxz00_4810 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4804);
											BgL_test3238z00_7446 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4810 + 3L)) == BgL_classz00_4802);
										}
									else
										{	/* SawC/code.scm 559 */
											bool_t BgL_res2672z00_4835;

											{	/* SawC/code.scm 559 */
												obj_t BgL_oclassz00_4818;

												{	/* SawC/code.scm 559 */
													obj_t BgL_arg1866z00_4826;
													long BgL_arg1867z00_4827;

													BgL_arg1866z00_4826 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* SawC/code.scm 559 */
														long BgL_arg1869z00_4828;

														BgL_arg1869z00_4828 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4804);
														BgL_arg1867z00_4827 =
															(BgL_arg1869z00_4828 - OBJECT_TYPE);
													}
													BgL_oclassz00_4818 =
														VECTOR_REF(BgL_arg1866z00_4826,
														BgL_arg1867z00_4827);
												}
												{	/* SawC/code.scm 559 */
													bool_t BgL__ortest_1115z00_4819;

													BgL__ortest_1115z00_4819 =
														(BgL_classz00_4802 == BgL_oclassz00_4818);
													if (BgL__ortest_1115z00_4819)
														{	/* SawC/code.scm 559 */
															BgL_res2672z00_4835 = BgL__ortest_1115z00_4819;
														}
													else
														{	/* SawC/code.scm 559 */
															long BgL_odepthz00_4820;

															{	/* SawC/code.scm 559 */
																obj_t BgL_arg1855z00_4821;

																BgL_arg1855z00_4821 = (BgL_oclassz00_4818);
																BgL_odepthz00_4820 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_4821);
															}
															if ((3L < BgL_odepthz00_4820))
																{	/* SawC/code.scm 559 */
																	obj_t BgL_arg1853z00_4823;

																	{	/* SawC/code.scm 559 */
																		obj_t BgL_arg1854z00_4824;

																		BgL_arg1854z00_4824 = (BgL_oclassz00_4818);
																		BgL_arg1853z00_4823 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_4824, 3L);
																	}
																	BgL_res2672z00_4835 =
																		(BgL_arg1853z00_4823 == BgL_classz00_4802);
																}
															else
																{	/* SawC/code.scm 559 */
																	BgL_res2672z00_4835 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test3238z00_7446 = BgL_res2672z00_4835;
										}
								}
							}
						}
						if (BgL_test3238z00_7446)
							{	/* SawC/code.scm 560 */
								obj_t BgL_arg2134z00_2826;

								{	/* SawC/code.scm 560 */
									obj_t BgL_pairz00_4837;

									BgL_pairz00_4837 =
										(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_insz00_126)))->BgL_argsz00);
									BgL_arg2134z00_2826 = CAR(BgL_pairz00_4837);
								}
								{
									obj_t BgL_insz00_7475;

									BgL_insz00_7475 = BgL_arg2134z00_2826;
									BgL_insz00_126 = BgL_insz00_7475;
									goto BGl_deepzd2movzf3z21zzsaw_c_codez00;
								}
							}
						else
							{	/* SawC/code.scm 559 */
								return ((bool_t) 0);
							}
					}
			}
		}

	}



/* multiple-evaluation */
	bool_t BGl_multiplezd2evaluationzd2zzsaw_c_codez00(obj_t BgL_insz00_127,
		obj_t BgL_treez00_128)
	{
		{	/* SawC/code.scm 562 */
			{	/* SawC/code.scm 563 */
				BgL_rtl_funz00_bglt BgL_funz00_2829;

				BgL_funz00_2829 =
					(((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_insz00_127)))->BgL_funz00);
				{	/* SawC/code.scm 565 */
					bool_t BgL__ortest_1204z00_2830;

					{	/* SawC/code.scm 565 */
						obj_t BgL_classz00_4839;

						BgL_classz00_4839 = BGl_rtl_vallocz00zzsaw_defsz00;
						{	/* SawC/code.scm 565 */
							BgL_objectz00_bglt BgL_arg1858z00_4841;

							{	/* SawC/code.scm 565 */
								obj_t BgL_tmpz00_7478;

								BgL_tmpz00_7478 =
									((obj_t) ((BgL_objectz00_bglt) BgL_funz00_2829));
								BgL_arg1858z00_4841 = (BgL_objectz00_bglt) (BgL_tmpz00_7478);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawC/code.scm 565 */
									long BgL_idxz00_4847;

									BgL_idxz00_4847 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4841);
									BgL__ortest_1204z00_2830 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4847 + 3L)) == BgL_classz00_4839);
								}
							else
								{	/* SawC/code.scm 565 */
									bool_t BgL_res2673z00_4872;

									{	/* SawC/code.scm 565 */
										obj_t BgL_oclassz00_4855;

										{	/* SawC/code.scm 565 */
											obj_t BgL_arg1866z00_4863;
											long BgL_arg1867z00_4864;

											BgL_arg1866z00_4863 = (BGl_za2classesza2z00zz__objectz00);
											{	/* SawC/code.scm 565 */
												long BgL_arg1869z00_4865;

												BgL_arg1869z00_4865 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4841);
												BgL_arg1867z00_4864 =
													(BgL_arg1869z00_4865 - OBJECT_TYPE);
											}
											BgL_oclassz00_4855 =
												VECTOR_REF(BgL_arg1866z00_4863, BgL_arg1867z00_4864);
										}
										{	/* SawC/code.scm 565 */
											bool_t BgL__ortest_1115z00_4856;

											BgL__ortest_1115z00_4856 =
												(BgL_classz00_4839 == BgL_oclassz00_4855);
											if (BgL__ortest_1115z00_4856)
												{	/* SawC/code.scm 565 */
													BgL_res2673z00_4872 = BgL__ortest_1115z00_4856;
												}
											else
												{	/* SawC/code.scm 565 */
													long BgL_odepthz00_4857;

													{	/* SawC/code.scm 565 */
														obj_t BgL_arg1855z00_4858;

														BgL_arg1855z00_4858 = (BgL_oclassz00_4855);
														BgL_odepthz00_4857 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_4858);
													}
													if ((3L < BgL_odepthz00_4857))
														{	/* SawC/code.scm 565 */
															obj_t BgL_arg1853z00_4860;

															{	/* SawC/code.scm 565 */
																obj_t BgL_arg1854z00_4861;

																BgL_arg1854z00_4861 = (BgL_oclassz00_4855);
																BgL_arg1853z00_4860 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_4861,
																	3L);
															}
															BgL_res2673z00_4872 =
																(BgL_arg1853z00_4860 == BgL_classz00_4839);
														}
													else
														{	/* SawC/code.scm 565 */
															BgL_res2673z00_4872 = ((bool_t) 0);
														}
												}
										}
									}
									BgL__ortest_1204z00_2830 = BgL_res2673z00_4872;
								}
						}
					}
					if (BgL__ortest_1204z00_2830)
						{	/* SawC/code.scm 565 */
							return BgL__ortest_1204z00_2830;
						}
					else
						{	/* SawC/code.scm 566 */
							bool_t BgL__ortest_1205z00_2831;

							{	/* SawC/code.scm 566 */
								bool_t BgL_test3246z00_7502;

								{	/* SawC/code.scm 566 */
									obj_t BgL_classz00_4873;

									BgL_classz00_4873 = BGl_rtl_lightfuncallz00zzsaw_defsz00;
									{	/* SawC/code.scm 566 */
										BgL_objectz00_bglt BgL_arg1858z00_4875;

										{	/* SawC/code.scm 566 */
											obj_t BgL_tmpz00_7503;

											BgL_tmpz00_7503 =
												((obj_t) ((BgL_objectz00_bglt) BgL_funz00_2829));
											BgL_arg1858z00_4875 =
												(BgL_objectz00_bglt) (BgL_tmpz00_7503);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* SawC/code.scm 566 */
												long BgL_idxz00_4881;

												BgL_idxz00_4881 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4875);
												BgL_test3246z00_7502 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_4881 + 2L)) == BgL_classz00_4873);
											}
										else
											{	/* SawC/code.scm 566 */
												bool_t BgL_res2674z00_4906;

												{	/* SawC/code.scm 566 */
													obj_t BgL_oclassz00_4889;

													{	/* SawC/code.scm 566 */
														obj_t BgL_arg1866z00_4897;
														long BgL_arg1867z00_4898;

														BgL_arg1866z00_4897 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* SawC/code.scm 566 */
															long BgL_arg1869z00_4899;

															BgL_arg1869z00_4899 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4875);
															BgL_arg1867z00_4898 =
																(BgL_arg1869z00_4899 - OBJECT_TYPE);
														}
														BgL_oclassz00_4889 =
															VECTOR_REF(BgL_arg1866z00_4897,
															BgL_arg1867z00_4898);
													}
													{	/* SawC/code.scm 566 */
														bool_t BgL__ortest_1115z00_4890;

														BgL__ortest_1115z00_4890 =
															(BgL_classz00_4873 == BgL_oclassz00_4889);
														if (BgL__ortest_1115z00_4890)
															{	/* SawC/code.scm 566 */
																BgL_res2674z00_4906 = BgL__ortest_1115z00_4890;
															}
														else
															{	/* SawC/code.scm 566 */
																long BgL_odepthz00_4891;

																{	/* SawC/code.scm 566 */
																	obj_t BgL_arg1855z00_4892;

																	BgL_arg1855z00_4892 = (BgL_oclassz00_4889);
																	BgL_odepthz00_4891 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_4892);
																}
																if ((2L < BgL_odepthz00_4891))
																	{	/* SawC/code.scm 566 */
																		obj_t BgL_arg1853z00_4894;

																		{	/* SawC/code.scm 566 */
																			obj_t BgL_arg1854z00_4895;

																			BgL_arg1854z00_4895 =
																				(BgL_oclassz00_4889);
																			BgL_arg1853z00_4894 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_4895, 2L);
																		}
																		BgL_res2674z00_4906 =
																			(BgL_arg1853z00_4894 ==
																			BgL_classz00_4873);
																	}
																else
																	{	/* SawC/code.scm 566 */
																		BgL_res2674z00_4906 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test3246z00_7502 = BgL_res2674z00_4906;
											}
									}
								}
								if (BgL_test3246z00_7502)
									{	/* SawC/code.scm 567 */
										obj_t BgL_tmpz00_7526;

										{	/* SawC/code.scm 567 */
											obj_t BgL_pairz00_4908;

											BgL_pairz00_4908 =
												(((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_insz00_127)))->
												BgL_argsz00);
											BgL_tmpz00_7526 = CAR(BgL_pairz00_4908);
										}
										BgL__ortest_1205z00_2831 =
											(BgL_tmpz00_7526 ==
											(((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_treez00_128)))->
												BgL_destz00));
									}
								else
									{	/* SawC/code.scm 566 */
										BgL__ortest_1205z00_2831 = ((bool_t) 0);
									}
							}
							if (BgL__ortest_1205z00_2831)
								{	/* SawC/code.scm 566 */
									return BgL__ortest_1205z00_2831;
								}
							else
								{	/* SawC/code.scm 569 */
									bool_t BgL__ortest_1206z00_2832;

									{	/* SawC/code.scm 569 */
										bool_t BgL_test3251z00_7534;

										{	/* SawC/code.scm 569 */
											obj_t BgL_classz00_4910;

											BgL_classz00_4910 = BGl_rtl_funcallz00zzsaw_defsz00;
											{	/* SawC/code.scm 569 */
												BgL_objectz00_bglt BgL_arg1858z00_4912;

												{	/* SawC/code.scm 569 */
													obj_t BgL_tmpz00_7535;

													BgL_tmpz00_7535 =
														((obj_t) ((BgL_objectz00_bglt) BgL_funz00_2829));
													BgL_arg1858z00_4912 =
														(BgL_objectz00_bglt) (BgL_tmpz00_7535);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* SawC/code.scm 569 */
														long BgL_idxz00_4918;

														BgL_idxz00_4918 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4912);
														BgL_test3251z00_7534 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_4918 + 2L)) == BgL_classz00_4910);
													}
												else
													{	/* SawC/code.scm 569 */
														bool_t BgL_res2675z00_4943;

														{	/* SawC/code.scm 569 */
															obj_t BgL_oclassz00_4926;

															{	/* SawC/code.scm 569 */
																obj_t BgL_arg1866z00_4934;
																long BgL_arg1867z00_4935;

																BgL_arg1866z00_4934 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* SawC/code.scm 569 */
																	long BgL_arg1869z00_4936;

																	BgL_arg1869z00_4936 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4912);
																	BgL_arg1867z00_4935 =
																		(BgL_arg1869z00_4936 - OBJECT_TYPE);
																}
																BgL_oclassz00_4926 =
																	VECTOR_REF(BgL_arg1866z00_4934,
																	BgL_arg1867z00_4935);
															}
															{	/* SawC/code.scm 569 */
																bool_t BgL__ortest_1115z00_4927;

																BgL__ortest_1115z00_4927 =
																	(BgL_classz00_4910 == BgL_oclassz00_4926);
																if (BgL__ortest_1115z00_4927)
																	{	/* SawC/code.scm 569 */
																		BgL_res2675z00_4943 =
																			BgL__ortest_1115z00_4927;
																	}
																else
																	{	/* SawC/code.scm 569 */
																		long BgL_odepthz00_4928;

																		{	/* SawC/code.scm 569 */
																			obj_t BgL_arg1855z00_4929;

																			BgL_arg1855z00_4929 =
																				(BgL_oclassz00_4926);
																			BgL_odepthz00_4928 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_4929);
																		}
																		if ((2L < BgL_odepthz00_4928))
																			{	/* SawC/code.scm 569 */
																				obj_t BgL_arg1853z00_4931;

																				{	/* SawC/code.scm 569 */
																					obj_t BgL_arg1854z00_4932;

																					BgL_arg1854z00_4932 =
																						(BgL_oclassz00_4926);
																					BgL_arg1853z00_4931 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_4932, 2L);
																				}
																				BgL_res2675z00_4943 =
																					(BgL_arg1853z00_4931 ==
																					BgL_classz00_4910);
																			}
																		else
																			{	/* SawC/code.scm 569 */
																				BgL_res2675z00_4943 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test3251z00_7534 = BgL_res2675z00_4943;
													}
											}
										}
										if (BgL_test3251z00_7534)
											{	/* SawC/code.scm 570 */
												obj_t BgL_tmpz00_7558;

												{	/* SawC/code.scm 570 */
													obj_t BgL_pairz00_4945;

													BgL_pairz00_4945 =
														(((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt) BgL_insz00_127)))->
														BgL_argsz00);
													BgL_tmpz00_7558 = CAR(BgL_pairz00_4945);
												}
												BgL__ortest_1206z00_2832 =
													(BgL_tmpz00_7558 ==
													(((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt) BgL_treez00_128)))->
														BgL_destz00));
											}
										else
											{	/* SawC/code.scm 569 */
												BgL__ortest_1206z00_2832 = ((bool_t) 0);
											}
									}
									if (BgL__ortest_1206z00_2832)
										{	/* SawC/code.scm 569 */
											return BgL__ortest_1206z00_2832;
										}
									else
										{	/* SawC/code.scm 572 */
											bool_t BgL_test3256z00_7566;

											{	/* SawC/code.scm 572 */
												obj_t BgL_classz00_4947;

												BgL_classz00_4947 = BGl_rtl_callz00zzsaw_defsz00;
												{	/* SawC/code.scm 572 */
													BgL_objectz00_bglt BgL_arg1858z00_4949;

													{	/* SawC/code.scm 572 */
														obj_t BgL_tmpz00_7567;

														BgL_tmpz00_7567 =
															((obj_t) ((BgL_objectz00_bglt) BgL_funz00_2829));
														BgL_arg1858z00_4949 =
															(BgL_objectz00_bglt) (BgL_tmpz00_7567);
													}
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* SawC/code.scm 572 */
															long BgL_idxz00_4955;

															BgL_idxz00_4955 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4949);
															BgL_test3256z00_7566 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_4955 + 2L)) == BgL_classz00_4947);
														}
													else
														{	/* SawC/code.scm 572 */
															bool_t BgL_res2676z00_4980;

															{	/* SawC/code.scm 572 */
																obj_t BgL_oclassz00_4963;

																{	/* SawC/code.scm 572 */
																	obj_t BgL_arg1866z00_4971;
																	long BgL_arg1867z00_4972;

																	BgL_arg1866z00_4971 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* SawC/code.scm 572 */
																		long BgL_arg1869z00_4973;

																		BgL_arg1869z00_4973 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4949);
																		BgL_arg1867z00_4972 =
																			(BgL_arg1869z00_4973 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_4963 =
																		VECTOR_REF(BgL_arg1866z00_4971,
																		BgL_arg1867z00_4972);
																}
																{	/* SawC/code.scm 572 */
																	bool_t BgL__ortest_1115z00_4964;

																	BgL__ortest_1115z00_4964 =
																		(BgL_classz00_4947 == BgL_oclassz00_4963);
																	if (BgL__ortest_1115z00_4964)
																		{	/* SawC/code.scm 572 */
																			BgL_res2676z00_4980 =
																				BgL__ortest_1115z00_4964;
																		}
																	else
																		{	/* SawC/code.scm 572 */
																			long BgL_odepthz00_4965;

																			{	/* SawC/code.scm 572 */
																				obj_t BgL_arg1855z00_4966;

																				BgL_arg1855z00_4966 =
																					(BgL_oclassz00_4963);
																				BgL_odepthz00_4965 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_4966);
																			}
																			if ((2L < BgL_odepthz00_4965))
																				{	/* SawC/code.scm 572 */
																					obj_t BgL_arg1853z00_4968;

																					{	/* SawC/code.scm 572 */
																						obj_t BgL_arg1854z00_4969;

																						BgL_arg1854z00_4969 =
																							(BgL_oclassz00_4963);
																						BgL_arg1853z00_4968 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_4969, 2L);
																					}
																					BgL_res2676z00_4980 =
																						(BgL_arg1853z00_4968 ==
																						BgL_classz00_4947);
																				}
																			else
																				{	/* SawC/code.scm 572 */
																					BgL_res2676z00_4980 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test3256z00_7566 = BgL_res2676z00_4980;
														}
												}
											}
											if (BgL_test3256z00_7566)
												{	/* SawC/code.scm 572 */
													if (BGl_globalzd2argszd2safezf3zf3zzast_varz00(
															(((BgL_rtl_callz00_bglt) COBJECT(
																		((BgL_rtl_callz00_bglt) BgL_funz00_2829)))->
																BgL_varz00)))
														{	/* SawC/code.scm 584 */
															return ((bool_t) 0);
														}
													else
														{	/* SawC/code.scm 584 */
															return ((bool_t) 1);
														}
												}
											else
												{	/* SawC/code.scm 572 */
													return ((bool_t) 0);
												}
										}
								}
						}
				}
			}
		}

	}



/* emit-pragma */
	obj_t BGl_emitzd2pragmazd2zzsaw_c_codez00(obj_t BgL_formatz00_130,
		obj_t BgL_argsz00_131)
	{
		{	/* SawC/code.scm 589 */
			if (NULLP(BgL_argsz00_131))
				{	/* SawC/code.scm 590 */
					return
						bgl_display_obj(BgL_formatz00_130,
						BGl_za2czd2portza2zd2zzbackend_c_emitz00);
				}
			else
				{	/* SawC/code.scm 592 */
					obj_t BgL_sportz00_2845;

					{	/* SawC/code.scm 592 */
						long BgL_endz00_3130;

						BgL_endz00_3130 = STRING_LENGTH(BgL_formatz00_130);
						{	/* SawC/code.scm 592 */

							BgL_sportz00_2845 =
								BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00
								(BgL_formatz00_130, BINT(0L), BINT(BgL_endz00_3130));
					}}
					{	/* SawC/code.scm 592 */
						obj_t BgL_argsz00_2846;

						BgL_argsz00_2846 =
							BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_argsz00_131);
						{
							obj_t BgL_iportz00_2849;

							{	/* SawC/code.scm 594 */

								BgL_iportz00_2849 = BgL_sportz00_2845;
								{
									obj_t BgL_iportz00_2884;
									long BgL_lastzd2matchzd2_2885;
									long BgL_forwardz00_2886;
									long BgL_bufposz00_2887;
									obj_t BgL_iportz00_2897;
									long BgL_lastzd2matchzd2_2898;
									long BgL_forwardz00_2899;
									long BgL_bufposz00_2900;
									obj_t BgL_iportz00_2920;
									long BgL_lastzd2matchzd2_2921;
									long BgL_forwardz00_2922;
									long BgL_bufposz00_2923;
									obj_t BgL_iportz00_2933;
									long BgL_lastzd2matchzd2_2934;
									long BgL_forwardz00_2935;
									long BgL_bufposz00_2936;
									obj_t BgL_iportz00_2946;
									long BgL_lastzd2matchzd2_2947;
									long BgL_forwardz00_2948;
									long BgL_bufposz00_2949;

								BgL_zc3z04anonymousza32278ze3z87_3079:
									RGC_START_MATCH(BgL_iportz00_2849);
									{	/* SawC/code.scm 594 */
										long BgL_matchz00_3080;

										{	/* SawC/code.scm 594 */
											long BgL_arg2284z00_3092;
											long BgL_arg2285z00_3093;

											BgL_arg2284z00_3092 =
												RGC_BUFFER_FORWARD(BgL_iportz00_2849);
											BgL_arg2285z00_3093 =
												RGC_BUFFER_BUFPOS(BgL_iportz00_2849);
											BgL_iportz00_2933 = BgL_iportz00_2849;
											BgL_lastzd2matchzd2_2934 = 3L;
											BgL_forwardz00_2935 = BgL_arg2284z00_3092;
											BgL_bufposz00_2936 = BgL_arg2285z00_3093;
										BgL_zc3z04anonymousza32173ze3z87_2937:
											if ((BgL_forwardz00_2935 == BgL_bufposz00_2936))
												{	/* SawC/code.scm 594 */
													if (rgc_fill_buffer(BgL_iportz00_2933))
														{	/* SawC/code.scm 594 */
															long BgL_arg2176z00_2940;
															long BgL_arg2177z00_2941;

															BgL_arg2176z00_2940 =
																RGC_BUFFER_FORWARD(BgL_iportz00_2933);
															BgL_arg2177z00_2941 =
																RGC_BUFFER_BUFPOS(BgL_iportz00_2933);
															{
																long BgL_bufposz00_7612;
																long BgL_forwardz00_7611;

																BgL_forwardz00_7611 = BgL_arg2176z00_2940;
																BgL_bufposz00_7612 = BgL_arg2177z00_2941;
																BgL_bufposz00_2936 = BgL_bufposz00_7612;
																BgL_forwardz00_2935 = BgL_forwardz00_7611;
																goto BgL_zc3z04anonymousza32173ze3z87_2937;
															}
														}
													else
														{	/* SawC/code.scm 594 */
															BgL_matchz00_3080 = BgL_lastzd2matchzd2_2934;
														}
												}
											else
												{	/* SawC/code.scm 594 */
													int BgL_curz00_2942;

													BgL_curz00_2942 =
														RGC_BUFFER_GET_CHAR(BgL_iportz00_2933,
														BgL_forwardz00_2935);
													{	/* SawC/code.scm 594 */

														if (((long) (BgL_curz00_2942) == 36L))
															{	/* SawC/code.scm 594 */
																BgL_iportz00_2897 = BgL_iportz00_2933;
																BgL_lastzd2matchzd2_2898 =
																	BgL_lastzd2matchzd2_2934;
																BgL_forwardz00_2899 =
																	(1L + BgL_forwardz00_2935);
																BgL_bufposz00_2900 = BgL_bufposz00_2936;
															BgL_zc3z04anonymousza32154ze3z87_2901:
																{	/* SawC/code.scm 594 */
																	long BgL_newzd2matchzd2_2902;

																	RGC_STOP_MATCH(BgL_iportz00_2897,
																		BgL_forwardz00_2899);
																	BgL_newzd2matchzd2_2902 = 3L;
																	if (
																		(BgL_forwardz00_2899 == BgL_bufposz00_2900))
																		{	/* SawC/code.scm 594 */
																			if (rgc_fill_buffer(BgL_iportz00_2897))
																				{	/* SawC/code.scm 594 */
																					long BgL_arg2157z00_2905;
																					long BgL_arg2159z00_2906;

																					BgL_arg2157z00_2905 =
																						RGC_BUFFER_FORWARD
																						(BgL_iportz00_2897);
																					BgL_arg2159z00_2906 =
																						RGC_BUFFER_BUFPOS
																						(BgL_iportz00_2897);
																					{
																						long BgL_bufposz00_7625;
																						long BgL_forwardz00_7624;

																						BgL_forwardz00_7624 =
																							BgL_arg2157z00_2905;
																						BgL_bufposz00_7625 =
																							BgL_arg2159z00_2906;
																						BgL_bufposz00_2900 =
																							BgL_bufposz00_7625;
																						BgL_forwardz00_2899 =
																							BgL_forwardz00_7624;
																						goto
																							BgL_zc3z04anonymousza32154ze3z87_2901;
																					}
																				}
																			else
																				{	/* SawC/code.scm 594 */
																					BgL_matchz00_3080 =
																						BgL_newzd2matchzd2_2902;
																				}
																		}
																	else
																		{	/* SawC/code.scm 594 */
																			int BgL_curz00_2907;

																			BgL_curz00_2907 =
																				RGC_BUFFER_GET_CHAR(BgL_iportz00_2897,
																				BgL_forwardz00_2899);
																			{	/* SawC/code.scm 594 */

																				{	/* SawC/code.scm 594 */
																					bool_t BgL_test3267z00_7627;

																					if (((long) (BgL_curz00_2907) >= 48L))
																						{	/* SawC/code.scm 594 */
																							BgL_test3267z00_7627 =
																								(
																								(long) (BgL_curz00_2907) < 58L);
																						}
																					else
																						{	/* SawC/code.scm 594 */
																							BgL_test3267z00_7627 =
																								((bool_t) 0);
																						}
																					if (BgL_test3267z00_7627)
																						{	/* SawC/code.scm 594 */
																							BgL_iportz00_2946 =
																								BgL_iportz00_2897;
																							BgL_lastzd2matchzd2_2947 =
																								BgL_newzd2matchzd2_2902;
																							BgL_forwardz00_2948 =
																								(1L + BgL_forwardz00_2899);
																							BgL_bufposz00_2949 =
																								BgL_bufposz00_2900;
																						BgL_zc3z04anonymousza32181ze3z87_2950:
																							{	/* SawC/code.scm 594 */
																								long BgL_newzd2matchzd2_2951;

																								RGC_STOP_MATCH
																									(BgL_iportz00_2946,
																									BgL_forwardz00_2948);
																								BgL_newzd2matchzd2_2951 = 0L;
																								if (
																									(BgL_forwardz00_2948 ==
																										BgL_bufposz00_2949))
																									{	/* SawC/code.scm 594 */
																										if (rgc_fill_buffer
																											(BgL_iportz00_2946))
																											{	/* SawC/code.scm 594 */
																												long
																													BgL_arg2184z00_2954;
																												long
																													BgL_arg2185z00_2955;
																												BgL_arg2184z00_2954 =
																													RGC_BUFFER_FORWARD
																													(BgL_iportz00_2946);
																												BgL_arg2185z00_2955 =
																													RGC_BUFFER_BUFPOS
																													(BgL_iportz00_2946);
																												{
																													long
																														BgL_bufposz00_7641;
																													long
																														BgL_forwardz00_7640;
																													BgL_forwardz00_7640 =
																														BgL_arg2184z00_2954;
																													BgL_bufposz00_7641 =
																														BgL_arg2185z00_2955;
																													BgL_bufposz00_2949 =
																														BgL_bufposz00_7641;
																													BgL_forwardz00_2948 =
																														BgL_forwardz00_7640;
																													goto
																														BgL_zc3z04anonymousza32181ze3z87_2950;
																												}
																											}
																										else
																											{	/* SawC/code.scm 594 */
																												BgL_matchz00_3080 =
																													BgL_newzd2matchzd2_2951;
																											}
																									}
																								else
																									{	/* SawC/code.scm 594 */
																										int BgL_curz00_2956;

																										BgL_curz00_2956 =
																											RGC_BUFFER_GET_CHAR
																											(BgL_iportz00_2946,
																											BgL_forwardz00_2948);
																										{	/* SawC/code.scm 594 */

																											{	/* SawC/code.scm 594 */
																												bool_t
																													BgL_test3271z00_7643;
																												if (((long)
																														(BgL_curz00_2956) >=
																														48L))
																													{	/* SawC/code.scm 594 */
																														BgL_test3271z00_7643
																															=
																															((long)
																															(BgL_curz00_2956)
																															< 58L);
																													}
																												else
																													{	/* SawC/code.scm 594 */
																														BgL_test3271z00_7643
																															= ((bool_t) 0);
																													}
																												if (BgL_test3271z00_7643)
																													{
																														long
																															BgL_forwardz00_7650;
																														long
																															BgL_lastzd2matchzd2_7649;
																														BgL_lastzd2matchzd2_7649
																															=
																															BgL_newzd2matchzd2_2951;
																														BgL_forwardz00_7650
																															=
																															(1L +
																															BgL_forwardz00_2948);
																														BgL_forwardz00_2948
																															=
																															BgL_forwardz00_7650;
																														BgL_lastzd2matchzd2_2947
																															=
																															BgL_lastzd2matchzd2_7649;
																														goto
																															BgL_zc3z04anonymousza32181ze3z87_2950;
																													}
																												else
																													{	/* SawC/code.scm 594 */
																														BgL_matchz00_3080 =
																															BgL_newzd2matchzd2_2951;
																													}
																											}
																										}
																									}
																							}
																						}
																					else
																						{	/* SawC/code.scm 594 */
																							if (
																								((long) (BgL_curz00_2907) ==
																									36L))
																								{	/* SawC/code.scm 594 */
																									long BgL_arg2164z00_2912;

																									BgL_arg2164z00_2912 =
																										(1L + BgL_forwardz00_2899);
																									{	/* SawC/code.scm 594 */
																										long
																											BgL_newzd2matchzd2_5010;
																										RGC_STOP_MATCH
																											(BgL_iportz00_2897,
																											BgL_arg2164z00_2912);
																										BgL_newzd2matchzd2_5010 =
																											2L;
																										BgL_matchz00_3080 =
																											BgL_newzd2matchzd2_5010;
																								}}
																							else
																								{	/* SawC/code.scm 594 */
																									BgL_matchz00_3080 =
																										BgL_newzd2matchzd2_2902;
																								}
																						}
																				}
																			}
																		}
																}
															}
														else
															{	/* SawC/code.scm 594 */
																BgL_iportz00_2920 = BgL_iportz00_2933;
																BgL_lastzd2matchzd2_2921 =
																	BgL_lastzd2matchzd2_2934;
																BgL_forwardz00_2922 =
																	(1L + BgL_forwardz00_2935);
																BgL_bufposz00_2923 = BgL_bufposz00_2936;
															BgL_zc3z04anonymousza32166ze3z87_2924:
																{	/* SawC/code.scm 594 */
																	long BgL_newzd2matchzd2_2925;

																	RGC_STOP_MATCH(BgL_iportz00_2920,
																		BgL_forwardz00_2922);
																	BgL_newzd2matchzd2_2925 = 1L;
																	if (
																		(BgL_forwardz00_2922 == BgL_bufposz00_2923))
																		{	/* SawC/code.scm 594 */
																			if (rgc_fill_buffer(BgL_iportz00_2920))
																				{	/* SawC/code.scm 594 */
																					long BgL_arg2169z00_2928;
																					long BgL_arg2170z00_2929;

																					BgL_arg2169z00_2928 =
																						RGC_BUFFER_FORWARD
																						(BgL_iportz00_2920);
																					BgL_arg2170z00_2929 =
																						RGC_BUFFER_BUFPOS
																						(BgL_iportz00_2920);
																					{
																						long BgL_bufposz00_7667;
																						long BgL_forwardz00_7666;

																						BgL_forwardz00_7666 =
																							BgL_arg2169z00_2928;
																						BgL_bufposz00_7667 =
																							BgL_arg2170z00_2929;
																						BgL_bufposz00_2923 =
																							BgL_bufposz00_7667;
																						BgL_forwardz00_2922 =
																							BgL_forwardz00_7666;
																						goto
																							BgL_zc3z04anonymousza32166ze3z87_2924;
																					}
																				}
																			else
																				{	/* SawC/code.scm 594 */
																					BgL_matchz00_3080 =
																						BgL_newzd2matchzd2_2925;
																				}
																		}
																	else
																		{	/* SawC/code.scm 594 */
																			int BgL_curz00_2930;

																			BgL_curz00_2930 =
																				RGC_BUFFER_GET_CHAR(BgL_iportz00_2920,
																				BgL_forwardz00_2922);
																			{	/* SawC/code.scm 594 */

																				if (((long) (BgL_curz00_2930) == 36L))
																					{	/* SawC/code.scm 594 */
																						BgL_matchz00_3080 =
																							BgL_newzd2matchzd2_2925;
																					}
																				else
																					{	/* SawC/code.scm 594 */
																						BgL_iportz00_2884 =
																							BgL_iportz00_2920;
																						BgL_lastzd2matchzd2_2885 =
																							BgL_newzd2matchzd2_2925;
																						BgL_forwardz00_2886 =
																							(1L + BgL_forwardz00_2922);
																						BgL_bufposz00_2887 =
																							BgL_bufposz00_2923;
																					BgL_zc3z04anonymousza32147ze3z87_2888:
																						{	/* SawC/code.scm 594 */
																							long BgL_newzd2matchzd2_2889;

																							RGC_STOP_MATCH(BgL_iportz00_2884,
																								BgL_forwardz00_2886);
																							BgL_newzd2matchzd2_2889 = 1L;
																							if (
																								(BgL_forwardz00_2886 ==
																									BgL_bufposz00_2887))
																								{	/* SawC/code.scm 594 */
																									if (rgc_fill_buffer
																										(BgL_iportz00_2884))
																										{	/* SawC/code.scm 594 */
																											long BgL_arg2150z00_2892;
																											long BgL_arg2151z00_2893;

																											BgL_arg2150z00_2892 =
																												RGC_BUFFER_FORWARD
																												(BgL_iportz00_2884);
																											BgL_arg2151z00_2893 =
																												RGC_BUFFER_BUFPOS
																												(BgL_iportz00_2884);
																											{
																												long BgL_bufposz00_7680;
																												long
																													BgL_forwardz00_7679;
																												BgL_forwardz00_7679 =
																													BgL_arg2150z00_2892;
																												BgL_bufposz00_7680 =
																													BgL_arg2151z00_2893;
																												BgL_bufposz00_2887 =
																													BgL_bufposz00_7680;
																												BgL_forwardz00_2886 =
																													BgL_forwardz00_7679;
																												goto
																													BgL_zc3z04anonymousza32147ze3z87_2888;
																											}
																										}
																									else
																										{	/* SawC/code.scm 594 */
																											BgL_matchz00_3080 =
																												BgL_newzd2matchzd2_2889;
																										}
																								}
																							else
																								{	/* SawC/code.scm 594 */
																									int BgL_curz00_2894;

																									BgL_curz00_2894 =
																										RGC_BUFFER_GET_CHAR
																										(BgL_iportz00_2884,
																										BgL_forwardz00_2886);
																									{	/* SawC/code.scm 594 */

																										if (
																											((long) (BgL_curz00_2894)
																												== 36L))
																											{	/* SawC/code.scm 594 */
																												BgL_matchz00_3080 =
																													BgL_newzd2matchzd2_2889;
																											}
																										else
																											{
																												long
																													BgL_forwardz00_7686;
																												long
																													BgL_lastzd2matchzd2_7685;
																												BgL_lastzd2matchzd2_7685
																													=
																													BgL_newzd2matchzd2_2889;
																												BgL_forwardz00_7686 =
																													(1L +
																													BgL_forwardz00_2886);
																												BgL_forwardz00_2886 =
																													BgL_forwardz00_7686;
																												BgL_lastzd2matchzd2_2885
																													=
																													BgL_lastzd2matchzd2_7685;
																												goto
																													BgL_zc3z04anonymousza32147ze3z87_2888;
																											}
																									}
																								}
																						}
																					}
																			}
																		}
																}
															}
													}
												}
										}
										RGC_SET_FILEPOS(BgL_iportz00_2849);
										{

											switch (BgL_matchz00_3080)
												{
												case 3L:

													{	/* SawC/code.scm 594 */
														bool_t BgL_test3280z00_7691;

														{	/* SawC/code.scm 594 */
															long BgL_arg2272z00_3070;

															BgL_arg2272z00_3070 =
																RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_2849);
															BgL_test3280z00_7691 =
																(BgL_arg2272z00_3070 == 0L);
														}
														if (BgL_test3280z00_7691)
															{	/* SawC/code.scm 594 */
																BEOF;
															}
														else
															{	/* SawC/code.scm 594 */
																BCHAR(RGC_BUFFER_CHARACTER(BgL_iportz00_2849));
															}
													}
													break;
												case 2L:

													bgl_display_string(BGl_string2816z00zzsaw_c_codez00,
														BGl_za2czd2portza2zd2zzbackend_c_emitz00);
													goto BgL_zc3z04anonymousza32278ze3z87_3079;
													break;
												case 1L:

													{	/* SawC/code.scm 603 */
														obj_t BgL_arg2279z00_3083;

														BgL_arg2279z00_3083 =
															BGl_thezd2stringze70z35zzsaw_c_codez00
															(BgL_iportz00_2849);
														bgl_display_obj(BgL_arg2279z00_3083,
															BGl_za2czd2portza2zd2zzbackend_c_emitz00);
													}
													goto BgL_zc3z04anonymousza32278ze3z87_3079;
													break;
												case 0L:

													{	/* SawC/code.scm 596 */
														obj_t BgL_strz00_3084;

														BgL_strz00_3084 =
															BGl_thezd2stringze70z35zzsaw_c_codez00
															(BgL_iportz00_2849);
														{	/* SawC/code.scm 596 */
															long BgL_lenz00_3085;

															BgL_lenz00_3085 =
																RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_2849);
															{	/* SawC/code.scm 597 */
																obj_t BgL_indexz00_3086;

																{	/* SawC/code.scm 599 */
																	obj_t BgL_arg2283z00_3089;

																	BgL_arg2283z00_3089 =
																		c_substring(BgL_strz00_3084, 1L,
																		BgL_lenz00_3085);
																	{	/* SawC/code.scm 598 */

																		BgL_indexz00_3086 =
																			BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00
																			(BgL_arg2283z00_3089, BINT(10L));
																}}
																{	/* SawC/code.scm 598 */

																	BGl_genzd2regzd2zzsaw_c_codez00(VECTOR_REF
																		(BgL_argsz00_2846,
																			((long) CINT(BgL_indexz00_3086) - 1L)));
																	goto BgL_zc3z04anonymousza32278ze3z87_3079;
																}
															}
														}
													}
													break;
												default:
													BGl_errorz00zz__errorz00
														(BGl_string2814z00zzsaw_c_codez00,
														BGl_string2815z00zzsaw_c_codez00,
														BINT(BgL_matchz00_3080));
												}
										}
									}
								}
								return BTRUE;
							}
						}
					}
				}
		}

	}



/* the-string~0 */
	obj_t BGl_thezd2stringze70z35zzsaw_c_codez00(obj_t BgL_iportz00_5989)
	{
		{	/* SawC/code.scm 594 */
			{	/* SawC/code.scm 594 */
				long BgL_arg2195z00_2972;

				BgL_arg2195z00_2972 = RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_5989);
				return rgc_buffer_substring(BgL_iportz00_5989, 0L, BgL_arg2195z00_2972);
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_c_codez00(void)
	{
		{	/* SawC/code.scm 1 */
			{	/* SawC/code.scm 30 */
				obj_t BgL_arg2291z00_3135;
				obj_t BgL_arg2292z00_3136;

				{	/* SawC/code.scm 30 */
					obj_t BgL_v1666z00_3165;

					BgL_v1666z00_3165 = create_vector(1L);
					{	/* SawC/code.scm 30 */
						obj_t BgL_arg2305z00_3166;

						BgL_arg2305z00_3166 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(6)), BGl_proc2818z00zzsaw_c_codez00,
							BGl_proc2817z00zzsaw_c_codez00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, ((obj_t) CNST_TABLE_REF(7)));
						VECTOR_SET(BgL_v1666z00_3165, 0L, BgL_arg2305z00_3166);
					}
					BgL_arg2291z00_3135 = BgL_v1666z00_3165;
				}
				{	/* SawC/code.scm 30 */
					obj_t BgL_v1667z00_3176;

					BgL_v1667z00_3176 = create_vector(0L);
					BgL_arg2292z00_3136 = BgL_v1667z00_3176;
				}
				return (BGl_SawCIregz00zzsaw_c_codez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
						((obj_t)
							CNST_TABLE_REF(8)),
						((obj_t)
							CNST_TABLE_REF(9)), BGl_rtl_regz00zzsaw_defsz00, 48725L,
						BGl_proc2822z00zzsaw_c_codez00, BGl_proc2821z00zzsaw_c_codez00,
						BFALSE, BGl_proc2820z00zzsaw_c_codez00,
						BGl_proc2819z00zzsaw_c_codez00, BgL_arg2291z00_3135,
						BgL_arg2292z00_3136), BUNSPEC);
			}
		}

	}



/* &lambda2300 */
	BgL_rtl_regz00_bglt BGl_z62lambda2300z62zzsaw_c_codez00(obj_t BgL_envz00_5845,
		obj_t BgL_o1168z00_5846)
	{
		{	/* SawC/code.scm 30 */
			{	/* SawC/code.scm 30 */
				long BgL_arg2301z00_6012;

				{	/* SawC/code.scm 30 */
					obj_t BgL_arg2302z00_6013;

					{	/* SawC/code.scm 30 */
						obj_t BgL_arg2303z00_6014;

						{	/* SawC/code.scm 30 */
							obj_t BgL_arg1866z00_6015;
							long BgL_arg1867z00_6016;

							BgL_arg1866z00_6015 = (BGl_za2classesza2z00zz__objectz00);
							{	/* SawC/code.scm 30 */
								long BgL_arg1869z00_6017;

								BgL_arg1869z00_6017 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_o1168z00_5846)));
								BgL_arg1867z00_6016 = (BgL_arg1869z00_6017 - OBJECT_TYPE);
							}
							BgL_arg2303z00_6014 =
								VECTOR_REF(BgL_arg1866z00_6015, BgL_arg1867z00_6016);
						}
						BgL_arg2302z00_6013 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2303z00_6014);
					}
					{	/* SawC/code.scm 30 */
						obj_t BgL_tmpz00_7733;

						BgL_tmpz00_7733 = ((obj_t) BgL_arg2302z00_6013);
						BgL_arg2301z00_6012 = BGL_CLASS_NUM(BgL_tmpz00_7733);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_rtl_regz00_bglt) BgL_o1168z00_5846)), BgL_arg2301z00_6012);
			}
			{	/* SawC/code.scm 30 */
				BgL_objectz00_bglt BgL_tmpz00_7739;

				BgL_tmpz00_7739 =
					((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1168z00_5846));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7739, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1168z00_5846));
			return ((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1168z00_5846));
		}

	}



/* &<@anonymous:2299> */
	obj_t BGl_z62zc3z04anonymousza32299ze3ze5zzsaw_c_codez00(obj_t
		BgL_envz00_5847, obj_t BgL_new1167z00_5848)
	{
		{	/* SawC/code.scm 30 */
			{
				BgL_rtl_regz00_bglt BgL_auxz00_7747;

				{
					BgL_typez00_bglt BgL_auxz00_7748;

					{	/* SawC/code.scm 30 */
						obj_t BgL_classz00_6019;

						BgL_classz00_6019 = BGl_typez00zztype_typez00;
						{	/* SawC/code.scm 30 */
							obj_t BgL__ortest_1117z00_6020;

							BgL__ortest_1117z00_6020 = BGL_CLASS_NIL(BgL_classz00_6019);
							if (CBOOL(BgL__ortest_1117z00_6020))
								{	/* SawC/code.scm 30 */
									BgL_auxz00_7748 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_6020);
								}
							else
								{	/* SawC/code.scm 30 */
									BgL_auxz00_7748 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_6019));
								}
						}
					}
					((((BgL_rtl_regz00_bglt) COBJECT(
									((BgL_rtl_regz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_new1167z00_5848))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_7748), BUNSPEC);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt)
									((BgL_rtl_regz00_bglt) BgL_new1167z00_5848))))->BgL_varz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1167z00_5848))))->BgL_onexprzf3zf3) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1167z00_5848))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1167z00_5848))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1167z00_5848))))->BgL_debugnamez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1167z00_5848))))->BgL_hardwarez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_sawciregz00_bglt BgL_auxz00_7776;

					{
						obj_t BgL_auxz00_7777;

						{	/* SawC/code.scm 30 */
							BgL_objectz00_bglt BgL_tmpz00_7778;

							BgL_tmpz00_7778 =
								((BgL_objectz00_bglt)
								((BgL_rtl_regz00_bglt) BgL_new1167z00_5848));
							BgL_auxz00_7777 = BGL_OBJECT_WIDENING(BgL_tmpz00_7778);
						}
						BgL_auxz00_7776 = ((BgL_sawciregz00_bglt) BgL_auxz00_7777);
					}
					((((BgL_sawciregz00_bglt) COBJECT(BgL_auxz00_7776))->BgL_indexz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_7747 = ((BgL_rtl_regz00_bglt) BgL_new1167z00_5848);
				return ((obj_t) BgL_auxz00_7747);
			}
		}

	}



/* &lambda2296 */
	BgL_rtl_regz00_bglt BGl_z62lambda2296z62zzsaw_c_codez00(obj_t BgL_envz00_5849,
		obj_t BgL_o1164z00_5850)
	{
		{	/* SawC/code.scm 30 */
			{	/* SawC/code.scm 30 */
				BgL_sawciregz00_bglt BgL_wide1166z00_6022;

				BgL_wide1166z00_6022 =
					((BgL_sawciregz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_sawciregz00_bgl))));
				{	/* SawC/code.scm 30 */
					obj_t BgL_auxz00_7791;
					BgL_objectz00_bglt BgL_tmpz00_7787;

					BgL_auxz00_7791 = ((obj_t) BgL_wide1166z00_6022);
					BgL_tmpz00_7787 =
						((BgL_objectz00_bglt)
						((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1164z00_5850)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7787, BgL_auxz00_7791);
				}
				((BgL_objectz00_bglt)
					((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1164z00_5850)));
				{	/* SawC/code.scm 30 */
					long BgL_arg2298z00_6023;

					BgL_arg2298z00_6023 = BGL_CLASS_NUM(BGl_SawCIregz00zzsaw_c_codez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_rtl_regz00_bglt)
								((BgL_rtl_regz00_bglt) BgL_o1164z00_5850))),
						BgL_arg2298z00_6023);
				}
				return
					((BgL_rtl_regz00_bglt)
					((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1164z00_5850)));
			}
		}

	}



/* &lambda2293 */
	BgL_rtl_regz00_bglt BGl_z62lambda2293z62zzsaw_c_codez00(obj_t BgL_envz00_5851,
		obj_t BgL_type1156z00_5852, obj_t BgL_var1157z00_5853,
		obj_t BgL_onexprzf31158zf3_5854, obj_t BgL_name1159z00_5855,
		obj_t BgL_key1160z00_5856, obj_t BgL_debugname1161z00_5857,
		obj_t BgL_hardware1162z00_5858, obj_t BgL_index1163z00_5859)
	{
		{	/* SawC/code.scm 30 */
			{	/* SawC/code.scm 30 */
				BgL_rtl_regz00_bglt BgL_new1222z00_6025;

				{	/* SawC/code.scm 30 */
					BgL_rtl_regz00_bglt BgL_tmp1220z00_6026;
					BgL_sawciregz00_bglt BgL_wide1221z00_6027;

					{
						BgL_rtl_regz00_bglt BgL_auxz00_7805;

						{	/* SawC/code.scm 30 */
							BgL_rtl_regz00_bglt BgL_new1219z00_6028;

							BgL_new1219z00_6028 =
								((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_regz00_bgl))));
							{	/* SawC/code.scm 30 */
								long BgL_arg2295z00_6029;

								BgL_arg2295z00_6029 =
									BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1219z00_6028),
									BgL_arg2295z00_6029);
							}
							{	/* SawC/code.scm 30 */
								BgL_objectz00_bglt BgL_tmpz00_7810;

								BgL_tmpz00_7810 = ((BgL_objectz00_bglt) BgL_new1219z00_6028);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7810, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1219z00_6028);
							BgL_auxz00_7805 = BgL_new1219z00_6028;
						}
						BgL_tmp1220z00_6026 = ((BgL_rtl_regz00_bglt) BgL_auxz00_7805);
					}
					BgL_wide1221z00_6027 =
						((BgL_sawciregz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_sawciregz00_bgl))));
					{	/* SawC/code.scm 30 */
						obj_t BgL_auxz00_7818;
						BgL_objectz00_bglt BgL_tmpz00_7816;

						BgL_auxz00_7818 = ((obj_t) BgL_wide1221z00_6027);
						BgL_tmpz00_7816 = ((BgL_objectz00_bglt) BgL_tmp1220z00_6026);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7816, BgL_auxz00_7818);
					}
					((BgL_objectz00_bglt) BgL_tmp1220z00_6026);
					{	/* SawC/code.scm 30 */
						long BgL_arg2294z00_6030;

						BgL_arg2294z00_6030 = BGL_CLASS_NUM(BGl_SawCIregz00zzsaw_c_codez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1220z00_6026), BgL_arg2294z00_6030);
					}
					BgL_new1222z00_6025 = ((BgL_rtl_regz00_bglt) BgL_tmp1220z00_6026);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt) BgL_new1222z00_6025)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1156z00_5852)),
					BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1222z00_6025)))->BgL_varz00) =
					((obj_t) BgL_var1157z00_5853), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1222z00_6025)))->BgL_onexprzf3zf3) =
					((obj_t) BgL_onexprzf31158zf3_5854), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1222z00_6025)))->BgL_namez00) =
					((obj_t) BgL_name1159z00_5855), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1222z00_6025)))->BgL_keyz00) =
					((obj_t) BgL_key1160z00_5856), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1222z00_6025)))->BgL_debugnamez00) =
					((obj_t) BgL_debugname1161z00_5857), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1222z00_6025)))->BgL_hardwarez00) =
					((obj_t) BgL_hardware1162z00_5858), BUNSPEC);
				{
					BgL_sawciregz00_bglt BgL_auxz00_7841;

					{
						obj_t BgL_auxz00_7842;

						{	/* SawC/code.scm 30 */
							BgL_objectz00_bglt BgL_tmpz00_7843;

							BgL_tmpz00_7843 = ((BgL_objectz00_bglt) BgL_new1222z00_6025);
							BgL_auxz00_7842 = BGL_OBJECT_WIDENING(BgL_tmpz00_7843);
						}
						BgL_auxz00_7841 = ((BgL_sawciregz00_bglt) BgL_auxz00_7842);
					}
					((((BgL_sawciregz00_bglt) COBJECT(BgL_auxz00_7841))->BgL_indexz00) =
						((obj_t) BgL_index1163z00_5859), BUNSPEC);
				}
				return BgL_new1222z00_6025;
			}
		}

	}



/* &lambda2310 */
	obj_t BGl_z62lambda2310z62zzsaw_c_codez00(obj_t BgL_envz00_5860,
		obj_t BgL_oz00_5861, obj_t BgL_vz00_5862)
	{
		{	/* SawC/code.scm 30 */
			{
				BgL_sawciregz00_bglt BgL_auxz00_7848;

				{
					obj_t BgL_auxz00_7849;

					{	/* SawC/code.scm 30 */
						BgL_objectz00_bglt BgL_tmpz00_7850;

						BgL_tmpz00_7850 =
							((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_oz00_5861));
						BgL_auxz00_7849 = BGL_OBJECT_WIDENING(BgL_tmpz00_7850);
					}
					BgL_auxz00_7848 = ((BgL_sawciregz00_bglt) BgL_auxz00_7849);
				}
				return
					((((BgL_sawciregz00_bglt) COBJECT(BgL_auxz00_7848))->BgL_indexz00) =
					((obj_t) BgL_vz00_5862), BUNSPEC);
			}
		}

	}



/* &lambda2309 */
	obj_t BGl_z62lambda2309z62zzsaw_c_codez00(obj_t BgL_envz00_5863,
		obj_t BgL_oz00_5864)
	{
		{	/* SawC/code.scm 30 */
			{
				BgL_sawciregz00_bglt BgL_auxz00_7856;

				{
					obj_t BgL_auxz00_7857;

					{	/* SawC/code.scm 30 */
						BgL_objectz00_bglt BgL_tmpz00_7858;

						BgL_tmpz00_7858 =
							((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_oz00_5864));
						BgL_auxz00_7857 = BGL_OBJECT_WIDENING(BgL_tmpz00_7858);
					}
					BgL_auxz00_7856 = ((BgL_sawciregz00_bglt) BgL_auxz00_7857);
				}
				return
					(((BgL_sawciregz00_bglt) COBJECT(BgL_auxz00_7856))->BgL_indexz00);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_c_codez00(void)
	{
		{	/* SawC/code.scm 1 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_genzd2exprzd2envz00zzsaw_c_codez00, BGl_proc2823z00zzsaw_c_codez00,
				BGl_rtl_funz00zzsaw_defsz00, BGl_string2824z00zzsaw_c_codez00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_genzd2funzd2namezd2envzd2zzsaw_c_codez00,
				BGl_proc2825z00zzsaw_c_codez00, BGl_rtl_funz00zzsaw_defsz00,
				BGl_string2826z00zzsaw_c_codez00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_genzd2prefixzd2envz00zzsaw_c_codez00,
				BGl_proc2827z00zzsaw_c_codez00, BGl_rtl_funz00zzsaw_defsz00,
				BGl_string2828z00zzsaw_c_codez00);
		}

	}



/* &gen-prefix1705 */
	obj_t BGl_z62genzd2prefix1705zb0zzsaw_c_codez00(obj_t BgL_envz00_5868,
		obj_t BgL_funz00_5869)
	{
		{	/* SawC/code.scm 440 */
			return BGl_string2744z00zzsaw_c_codez00;
		}

	}



/* &gen-fun-name1687 */
	obj_t BGl_z62genzd2funzd2name1687z62zzsaw_c_codez00(obj_t BgL_envz00_5870,
		obj_t BgL_funz00_5871)
	{
		{	/* SawC/code.scm 403 */
			return
				BGl_genzd2upcasezd2zzsaw_c_codez00(
				((BgL_rtl_funz00_bglt) BgL_funz00_5871));
		}

	}



/* &gen-expr1668 */
	obj_t BGl_z62genzd2expr1668zb0zzsaw_c_codez00(obj_t BgL_envz00_5872,
		obj_t BgL_funz00_5873, obj_t BgL_argsz00_5874)
	{
		{	/* SawC/code.scm 228 */
			BGl_genzd2funzd2namez00zzsaw_c_codez00(
				((BgL_rtl_funz00_bglt) BgL_funz00_5873));
			{	/* SawC/code.scm 231 */
				obj_t BgL_arg2313z00_6036;

				{	/* SawC/code.scm 231 */
					obj_t BgL_tmpz00_7871;

					BgL_tmpz00_7871 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2313z00_6036 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_7871);
				}
				bgl_display_string(BGl_string2738z00zzsaw_c_codez00,
					BgL_arg2313z00_6036);
			}
			BGl_genzd2prefixzd2zzsaw_c_codez00(
				((BgL_rtl_funz00_bglt) BgL_funz00_5873));
			BGl_genzd2argszd2zzsaw_c_codez00(BgL_argsz00_5874);
			{	/* SawC/code.scm 234 */
				obj_t BgL_arg2314z00_6037;

				{	/* SawC/code.scm 234 */
					obj_t BgL_tmpz00_7878;

					BgL_tmpz00_7878 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2314z00_6037 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_7878);
				}
				return
					bgl_display_string(BGl_string2740z00zzsaw_c_codez00,
					BgL_arg2314z00_6037);
			}
		}

	}



/* gen-expr */
	obj_t BGl_genzd2exprzd2zzsaw_c_codez00(BgL_rtl_funz00_bglt BgL_funz00_64,
		obj_t BgL_argsz00_65)
	{
		{	/* SawC/code.scm 228 */
			{	/* SawC/code.scm 228 */
				obj_t BgL_method1669z00_3196;

				{	/* SawC/code.scm 228 */
					obj_t BgL_res2681z00_5136;

					{	/* SawC/code.scm 228 */
						long BgL_objzd2classzd2numz00_5107;

						BgL_objzd2classzd2numz00_5107 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_64));
						{	/* SawC/code.scm 228 */
							obj_t BgL_arg1862z00_5108;

							BgL_arg1862z00_5108 =
								PROCEDURE_REF(BGl_genzd2exprzd2envz00zzsaw_c_codez00,
								(int) (1L));
							{	/* SawC/code.scm 228 */
								int BgL_offsetz00_5111;

								BgL_offsetz00_5111 = (int) (BgL_objzd2classzd2numz00_5107);
								{	/* SawC/code.scm 228 */
									long BgL_offsetz00_5112;

									BgL_offsetz00_5112 =
										((long) (BgL_offsetz00_5111) - OBJECT_TYPE);
									{	/* SawC/code.scm 228 */
										long BgL_modz00_5113;

										BgL_modz00_5113 =
											(BgL_offsetz00_5112 >> (int) ((long) ((int) (4L))));
										{	/* SawC/code.scm 228 */
											long BgL_restz00_5115;

											BgL_restz00_5115 =
												(BgL_offsetz00_5112 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* SawC/code.scm 228 */

												{	/* SawC/code.scm 228 */
													obj_t BgL_bucketz00_5117;

													BgL_bucketz00_5117 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_5108), BgL_modz00_5113);
													BgL_res2681z00_5136 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_5117), BgL_restz00_5115);
					}}}}}}}}
					BgL_method1669z00_3196 = BgL_res2681z00_5136;
				}
				return
					BGL_PROCEDURE_CALL2(BgL_method1669z00_3196,
					((obj_t) BgL_funz00_64), BgL_argsz00_65);
			}
		}

	}



/* &gen-expr */
	obj_t BGl_z62genzd2exprzb0zzsaw_c_codez00(obj_t BgL_envz00_5875,
		obj_t BgL_funz00_5876, obj_t BgL_argsz00_5877)
	{
		{	/* SawC/code.scm 228 */
			return
				BGl_genzd2exprzd2zzsaw_c_codez00(
				((BgL_rtl_funz00_bglt) BgL_funz00_5876), BgL_argsz00_5877);
		}

	}



/* gen-fun-name */
	obj_t BGl_genzd2funzd2namez00zzsaw_c_codez00(BgL_rtl_funz00_bglt
		BgL_funz00_90)
	{
		{	/* SawC/code.scm 403 */
			{	/* SawC/code.scm 403 */
				obj_t BgL_method1688z00_3197;

				{	/* SawC/code.scm 403 */
					obj_t BgL_res2686z00_5167;

					{	/* SawC/code.scm 403 */
						long BgL_objzd2classzd2numz00_5138;

						BgL_objzd2classzd2numz00_5138 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_90));
						{	/* SawC/code.scm 403 */
							obj_t BgL_arg1862z00_5139;

							BgL_arg1862z00_5139 =
								PROCEDURE_REF(BGl_genzd2funzd2namezd2envzd2zzsaw_c_codez00,
								(int) (1L));
							{	/* SawC/code.scm 403 */
								int BgL_offsetz00_5142;

								BgL_offsetz00_5142 = (int) (BgL_objzd2classzd2numz00_5138);
								{	/* SawC/code.scm 403 */
									long BgL_offsetz00_5143;

									BgL_offsetz00_5143 =
										((long) (BgL_offsetz00_5142) - OBJECT_TYPE);
									{	/* SawC/code.scm 403 */
										long BgL_modz00_5144;

										BgL_modz00_5144 =
											(BgL_offsetz00_5143 >> (int) ((long) ((int) (4L))));
										{	/* SawC/code.scm 403 */
											long BgL_restz00_5146;

											BgL_restz00_5146 =
												(BgL_offsetz00_5143 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* SawC/code.scm 403 */

												{	/* SawC/code.scm 403 */
													obj_t BgL_bucketz00_5148;

													BgL_bucketz00_5148 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_5139), BgL_modz00_5144);
													BgL_res2686z00_5167 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_5148), BgL_restz00_5146);
					}}}}}}}}
					BgL_method1688z00_3197 = BgL_res2686z00_5167;
				}
				return
					BGL_PROCEDURE_CALL1(BgL_method1688z00_3197, ((obj_t) BgL_funz00_90));
			}
		}

	}



/* &gen-fun-name */
	obj_t BGl_z62genzd2funzd2namez62zzsaw_c_codez00(obj_t BgL_envz00_5878,
		obj_t BgL_funz00_5879)
	{
		{	/* SawC/code.scm 403 */
			return
				BGl_genzd2funzd2namez00zzsaw_c_codez00(
				((BgL_rtl_funz00_bglt) BgL_funz00_5879));
		}

	}



/* gen-prefix */
	obj_t BGl_genzd2prefixzd2zzsaw_c_codez00(BgL_rtl_funz00_bglt BgL_funz00_103)
	{
		{	/* SawC/code.scm 440 */
			{	/* SawC/code.scm 440 */
				obj_t BgL_method1706z00_3198;

				{	/* SawC/code.scm 440 */
					obj_t BgL_res2691z00_5198;

					{	/* SawC/code.scm 440 */
						long BgL_objzd2classzd2numz00_5169;

						BgL_objzd2classzd2numz00_5169 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_103));
						{	/* SawC/code.scm 440 */
							obj_t BgL_arg1862z00_5170;

							BgL_arg1862z00_5170 =
								PROCEDURE_REF(BGl_genzd2prefixzd2envz00zzsaw_c_codez00,
								(int) (1L));
							{	/* SawC/code.scm 440 */
								int BgL_offsetz00_5173;

								BgL_offsetz00_5173 = (int) (BgL_objzd2classzd2numz00_5169);
								{	/* SawC/code.scm 440 */
									long BgL_offsetz00_5174;

									BgL_offsetz00_5174 =
										((long) (BgL_offsetz00_5173) - OBJECT_TYPE);
									{	/* SawC/code.scm 440 */
										long BgL_modz00_5175;

										BgL_modz00_5175 =
											(BgL_offsetz00_5174 >> (int) ((long) ((int) (4L))));
										{	/* SawC/code.scm 440 */
											long BgL_restz00_5177;

											BgL_restz00_5177 =
												(BgL_offsetz00_5174 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* SawC/code.scm 440 */

												{	/* SawC/code.scm 440 */
													obj_t BgL_bucketz00_5179;

													BgL_bucketz00_5179 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_5170), BgL_modz00_5175);
													BgL_res2691z00_5198 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_5179), BgL_restz00_5177);
					}}}}}}}}
					BgL_method1706z00_3198 = BgL_res2691z00_5198;
				}
				return
					BGL_PROCEDURE_CALL1(BgL_method1706z00_3198, ((obj_t) BgL_funz00_103));
			}
		}

	}



/* &gen-prefix */
	obj_t BGl_z62genzd2prefixzb0zzsaw_c_codez00(obj_t BgL_envz00_5880,
		obj_t BgL_funz00_5881)
	{
		{	/* SawC/code.scm 440 */
			return
				BGl_genzd2prefixzd2zzsaw_c_codez00(
				((BgL_rtl_funz00_bglt) BgL_funz00_5881));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_c_codez00(void)
	{
		{	/* SawC/code.scm 1 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2exprzd2envz00zzsaw_c_codez00,
				BGl_rtl_lightfuncallz00zzsaw_defsz00, BGl_proc2829z00zzsaw_c_codez00,
				BGl_string2830z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2exprzd2envz00zzsaw_c_codez00,
				BGl_rtl_getfieldz00zzsaw_defsz00, BGl_proc2831z00zzsaw_c_codez00,
				BGl_string2830z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2exprzd2envz00zzsaw_c_codez00,
				BGl_rtl_setfieldz00zzsaw_defsz00, BGl_proc2832z00zzsaw_c_codez00,
				BGl_string2830z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2exprzd2envz00zzsaw_c_codez00,
				BGl_rtl_funcallz00zzsaw_defsz00, BGl_proc2833z00zzsaw_c_codez00,
				BGl_string2830z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2exprzd2envz00zzsaw_c_codez00,
				BGl_rtl_protectz00zzsaw_defsz00, BGl_proc2834z00zzsaw_c_codez00,
				BGl_string2830z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2exprzd2envz00zzsaw_c_codez00, BGl_rtl_pragmaz00zzsaw_defsz00,
				BGl_proc2835z00zzsaw_c_codez00, BGl_string2830z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2exprzd2envz00zzsaw_c_codez00, BGl_rtl_switchz00zzsaw_defsz00,
				BGl_proc2836z00zzsaw_c_codez00, BGl_string2830z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2exprzd2envz00zzsaw_c_codez00, BGl_rtl_callz00zzsaw_defsz00,
				BGl_proc2837z00zzsaw_c_codez00, BGl_string2830z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2namezd2envzd2zzsaw_c_codez00,
				BGl_rtl_vallocz00zzsaw_defsz00, BGl_proc2838z00zzsaw_c_codez00,
				BGl_string2839z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2namezd2envzd2zzsaw_c_codez00,
				BGl_rtl_vrefz00zzsaw_defsz00, BGl_proc2840z00zzsaw_c_codez00,
				BGl_string2839z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2namezd2envzd2zzsaw_c_codez00,
				BGl_rtl_vsetz00zzsaw_defsz00, BGl_proc2841z00zzsaw_c_codez00,
				BGl_string2839z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2namezd2envzd2zzsaw_c_codez00,
				BGl_rtl_vlengthz00zzsaw_defsz00, BGl_proc2842z00zzsaw_c_codez00,
				BGl_string2839z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2namezd2envzd2zzsaw_c_codez00,
				BGl_rtl_movz00zzsaw_defsz00, BGl_proc2843z00zzsaw_c_codez00,
				BGl_string2839z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2namezd2envzd2zzsaw_c_codez00,
				BGl_rtl_loadiz00zzsaw_defsz00, BGl_proc2844z00zzsaw_c_codez00,
				BGl_string2839z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2namezd2envzd2zzsaw_c_codez00,
				BGl_rtl_loadgz00zzsaw_defsz00, BGl_proc2845z00zzsaw_c_codez00,
				BGl_string2839z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2namezd2envzd2zzsaw_c_codez00,
				BGl_rtl_returnz00zzsaw_defsz00, BGl_proc2846z00zzsaw_c_codez00,
				BGl_string2839z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2prefixzd2envz00zzsaw_c_codez00,
				BGl_rtl_loadiz00zzsaw_defsz00, BGl_proc2847z00zzsaw_c_codez00,
				BGl_string2848z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2prefixzd2envz00zzsaw_c_codez00,
				BGl_rtl_loadgz00zzsaw_defsz00, BGl_proc2849z00zzsaw_c_codez00,
				BGl_string2848z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2prefixzd2envz00zzsaw_c_codez00,
				BGl_rtl_loadfunz00zzsaw_defsz00, BGl_proc2850z00zzsaw_c_codez00,
				BGl_string2848z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2prefixzd2envz00zzsaw_c_codez00,
				BGl_rtl_storegz00zzsaw_defsz00, BGl_proc2851z00zzsaw_c_codez00,
				BGl_string2848z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2prefixzd2envz00zzsaw_c_codez00,
				BGl_rtl_globalrefz00zzsaw_defsz00, BGl_proc2852z00zzsaw_c_codez00,
				BGl_string2848z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2prefixzd2envz00zzsaw_c_codez00, BGl_rtl_goz00zzsaw_defsz00,
				BGl_proc2853z00zzsaw_c_codez00, BGl_string2848z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2prefixzd2envz00zzsaw_c_codez00, BGl_rtl_ifeqz00zzsaw_defsz00,
				BGl_proc2854z00zzsaw_c_codez00, BGl_string2848z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2prefixzd2envz00zzsaw_c_codez00, BGl_rtl_ifnez00zzsaw_defsz00,
				BGl_proc2855z00zzsaw_c_codez00, BGl_string2848z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2prefixzd2envz00zzsaw_c_codez00,
				BGl_rtl_vallocz00zzsaw_defsz00, BGl_proc2856z00zzsaw_c_codez00,
				BGl_string2848z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2prefixzd2envz00zzsaw_c_codez00, BGl_rtl_vrefz00zzsaw_defsz00,
				BGl_proc2857z00zzsaw_c_codez00, BGl_string2848z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2prefixzd2envz00zzsaw_c_codez00, BGl_rtl_vsetz00zzsaw_defsz00,
				BGl_proc2858z00zzsaw_c_codez00, BGl_string2848z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2prefixzd2envz00zzsaw_c_codez00,
				BGl_rtl_vlengthz00zzsaw_defsz00, BGl_proc2859z00zzsaw_c_codez00,
				BGl_string2848z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2prefixzd2envz00zzsaw_c_codez00, BGl_rtl_castz00zzsaw_defsz00,
				BGl_proc2860z00zzsaw_c_codez00, BGl_string2848z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2prefixzd2envz00zzsaw_c_codez00,
				BGl_rtl_cast_nullz00zzsaw_defsz00, BGl_proc2861z00zzsaw_c_codez00,
				BGl_string2848z00zzsaw_c_codez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_acceptzd2foldingzf3zd2envzf3zzsaw_exprz00,
				BGl_cvmz00zzbackend_cvmz00, BGl_proc2862z00zzsaw_c_codez00,
				BGl_string2863z00zzsaw_c_codez00);
		}

	}



/* &accept-folding?-cvm1736 */
	obj_t BGl_z62acceptzd2foldingzf3zd2cvm1736z91zzsaw_c_codez00(obj_t
		BgL_envz00_5913, obj_t BgL_bz00_5914, obj_t BgL_insz00_5915,
		obj_t BgL_treez00_5916)
	{
		{	/* SawC/code.scm 553 */
			{	/* SawC/code.scm 554 */
				bool_t BgL__ortest_1201z00_6039;

				BgL__ortest_1201z00_6039 =
					BGl_deepzd2movzf3z21zzsaw_c_codez00(BgL_treez00_5916);
				if (BgL__ortest_1201z00_6039)
					{	/* SawC/code.scm 554 */
						return BBOOL(BgL__ortest_1201z00_6039);
					}
				else
					{	/* SawC/code.scm 554 */
						if (BGl_multiplezd2evaluationzd2zzsaw_c_codez00(BgL_insz00_5915,
								BgL_treez00_5916))
							{	/* SawC/code.scm 555 */
								return BFALSE;
							}
						else
							{	/* SawC/code.scm 555 */
								return BTRUE;
							}
					}
			}
		}

	}



/* &gen-prefix-rtl_cast_1734 */
	obj_t BGl_z62genzd2prefixzd2rtl_cast_1734z62zzsaw_c_codez00(obj_t
		BgL_envz00_5917, obj_t BgL_funz00_5918)
	{
		{	/* SawC/code.scm 489 */
			{	/* SawC/code.scm 490 */
				obj_t BgL_arg2496z00_6041;
				obj_t BgL_arg2497z00_6042;

				BgL_arg2496z00_6041 =
					BGl_makezd2typedzd2declarationz00zztype_toolsz00(
					(((BgL_rtl_cast_nullz00_bglt) COBJECT(
								((BgL_rtl_cast_nullz00_bglt) BgL_funz00_5918)))->BgL_typez00),
					BGl_string2744z00zzsaw_c_codez00);
				{	/* SawC/code.scm 490 */
					obj_t BgL_tmpz00_8018;

					BgL_tmpz00_8018 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2497z00_6042 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_8018);
				}
				return bgl_display_obj(BgL_arg2496z00_6041, BgL_arg2497z00_6042);
			}
		}

	}



/* &gen-prefix-rtl_cast1732 */
	obj_t BGl_z62genzd2prefixzd2rtl_cast1732z62zzsaw_c_codez00(obj_t
		BgL_envz00_5919, obj_t BgL_funz00_5920)
	{
		{	/* SawC/code.scm 485 */
			{	/* SawC/code.scm 486 */
				obj_t BgL_arg2491z00_6044;
				obj_t BgL_arg2492z00_6045;

				BgL_arg2491z00_6044 =
					BGl_makezd2typedzd2declarationz00zztype_toolsz00(
					(((BgL_rtl_castz00_bglt) COBJECT(
								((BgL_rtl_castz00_bglt) BgL_funz00_5920)))->BgL_totypez00),
					BGl_string2744z00zzsaw_c_codez00);
				{	/* SawC/code.scm 486 */
					obj_t BgL_tmpz00_8025;

					BgL_tmpz00_8025 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2492z00_6045 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_8025);
				}
				bgl_display_obj(BgL_arg2491z00_6044, BgL_arg2492z00_6045);
			}
			{	/* SawC/code.scm 487 */
				obj_t BgL_arg2495z00_6046;

				{	/* SawC/code.scm 487 */
					obj_t BgL_tmpz00_8029;

					BgL_tmpz00_8029 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2495z00_6046 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_8029);
				}
				return
					bgl_display_string(BGl_string2739z00zzsaw_c_codez00,
					BgL_arg2495z00_6046);
			}
		}

	}



/* &gen-prefix-rtl_vleng1730 */
	obj_t BGl_z62genzd2prefixzd2rtl_vleng1730z62zzsaw_c_codez00(obj_t
		BgL_envz00_5921, obj_t BgL_funz00_5922)
	{
		{	/* SawC/code.scm 482 */
			return
				BGl_vextraz00zzsaw_c_codez00(
				(((BgL_rtl_vlengthz00_bglt) COBJECT(
							((BgL_rtl_vlengthz00_bglt) BgL_funz00_5922)))->BgL_typez00));
		}

	}



/* &gen-prefix-rtl_vset1728 */
	obj_t BGl_z62genzd2prefixzd2rtl_vset1728z62zzsaw_c_codez00(obj_t
		BgL_envz00_5923, obj_t BgL_funz00_5924)
	{
		{	/* SawC/code.scm 479 */
			return
				BGl_vextraz00zzsaw_c_codez00(
				(((BgL_rtl_vsetz00_bglt) COBJECT(
							((BgL_rtl_vsetz00_bglt) BgL_funz00_5924)))->BgL_typez00));
		}

	}



/* &gen-prefix-rtl_vref1726 */
	obj_t BGl_z62genzd2prefixzd2rtl_vref1726z62zzsaw_c_codez00(obj_t
		BgL_envz00_5925, obj_t BgL_funz00_5926)
	{
		{	/* SawC/code.scm 476 */
			return
				BGl_vextraz00zzsaw_c_codez00(
				(((BgL_rtl_vrefz00_bglt) COBJECT(
							((BgL_rtl_vrefz00_bglt) BgL_funz00_5926)))->BgL_typez00));
		}

	}



/* &gen-prefix-rtl_vallo1724 */
	obj_t BGl_z62genzd2prefixzd2rtl_vallo1724z62zzsaw_c_codez00(obj_t
		BgL_envz00_5927, obj_t BgL_funz00_5928)
	{
		{	/* SawC/code.scm 473 */
			return
				BGl_vextraz00zzsaw_c_codez00(
				(((BgL_rtl_vallocz00_bglt) COBJECT(
							((BgL_rtl_vallocz00_bglt) BgL_funz00_5928)))->BgL_typez00));
		}

	}



/* &gen-prefix-rtl_ifne1722 */
	obj_t BGl_z62genzd2prefixzd2rtl_ifne1722z62zzsaw_c_codez00(obj_t
		BgL_envz00_5929, obj_t BgL_funz00_5930)
	{
		{	/* SawC/code.scm 465 */
			{	/* SawC/code.scm 466 */
				int BgL_arg2479z00_6052;

				BgL_arg2479z00_6052 =
					(((BgL_blockz00_bglt) COBJECT(
							(((BgL_rtl_ifnez00_bglt) COBJECT(
										((BgL_rtl_ifnez00_bglt) BgL_funz00_5930)))->BgL_thenz00)))->
					BgL_labelz00);
				{	/* SawC/code.scm 466 */
					obj_t BgL_list2480z00_6053;

					{	/* SawC/code.scm 466 */
						obj_t BgL_arg2481z00_6054;

						{	/* SawC/code.scm 466 */
							obj_t BgL_arg2482z00_6055;

							BgL_arg2482z00_6055 =
								MAKE_YOUNG_PAIR(BGl_string2739z00zzsaw_c_codez00, BNIL);
							BgL_arg2481z00_6054 =
								MAKE_YOUNG_PAIR(BINT(BgL_arg2479z00_6052), BgL_arg2482z00_6055);
						}
						BgL_list2480z00_6053 =
							MAKE_YOUNG_PAIR(BGl_string2746z00zzsaw_c_codez00,
							BgL_arg2481z00_6054);
					}
					return BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list2480z00_6053);
				}
			}
		}

	}



/* &gen-prefix-rtl_ifeq1720 */
	obj_t BGl_z62genzd2prefixzd2rtl_ifeq1720z62zzsaw_c_codez00(obj_t
		BgL_envz00_5931, obj_t BgL_funz00_5932)
	{
		{	/* SawC/code.scm 462 */
			{	/* SawC/code.scm 463 */
				int BgL_arg2474z00_6057;

				BgL_arg2474z00_6057 =
					(((BgL_blockz00_bglt) COBJECT(
							(((BgL_rtl_ifeqz00_bglt) COBJECT(
										((BgL_rtl_ifeqz00_bglt) BgL_funz00_5932)))->BgL_thenz00)))->
					BgL_labelz00);
				{	/* SawC/code.scm 463 */
					obj_t BgL_list2475z00_6058;

					{	/* SawC/code.scm 463 */
						obj_t BgL_arg2476z00_6059;

						{	/* SawC/code.scm 463 */
							obj_t BgL_arg2477z00_6060;

							BgL_arg2477z00_6060 =
								MAKE_YOUNG_PAIR(BGl_string2739z00zzsaw_c_codez00, BNIL);
							BgL_arg2476z00_6059 =
								MAKE_YOUNG_PAIR(BINT(BgL_arg2474z00_6057), BgL_arg2477z00_6060);
						}
						BgL_list2475z00_6058 =
							MAKE_YOUNG_PAIR(BGl_string2746z00zzsaw_c_codez00,
							BgL_arg2476z00_6059);
					}
					return BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list2475z00_6058);
				}
			}
		}

	}



/* &gen-prefix-rtl_go1718 */
	obj_t BGl_z62genzd2prefixzd2rtl_go1718z62zzsaw_c_codez00(obj_t
		BgL_envz00_5933, obj_t BgL_funz00_5934)
	{
		{	/* SawC/code.scm 459 */
			{	/* SawC/code.scm 460 */
				int BgL_arg2470z00_6062;

				BgL_arg2470z00_6062 =
					(((BgL_blockz00_bglt) COBJECT(
							(((BgL_rtl_goz00_bglt) COBJECT(
										((BgL_rtl_goz00_bglt) BgL_funz00_5934)))->BgL_toz00)))->
					BgL_labelz00);
				{	/* SawC/code.scm 460 */
					obj_t BgL_list2471z00_6063;

					{	/* SawC/code.scm 460 */
						obj_t BgL_arg2472z00_6064;

						BgL_arg2472z00_6064 =
							MAKE_YOUNG_PAIR(BINT(BgL_arg2470z00_6062), BNIL);
						BgL_list2471z00_6063 =
							MAKE_YOUNG_PAIR(BGl_string2746z00zzsaw_c_codez00,
							BgL_arg2472z00_6064);
					}
					return BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list2471z00_6063);
				}
			}
		}

	}



/* &gen-prefix-rtl_globa1716 */
	obj_t BGl_z62genzd2prefixzd2rtl_globa1716z62zzsaw_c_codez00(obj_t
		BgL_envz00_5935, obj_t BgL_funz00_5936)
	{
		{	/* SawC/code.scm 456 */
			{	/* SawC/code.scm 457 */
				obj_t BgL_arg2466z00_6066;

				{	/* SawC/code.scm 457 */
					BgL_globalz00_bglt BgL_arg2469z00_6067;

					BgL_arg2469z00_6067 =
						(((BgL_rtl_globalrefz00_bglt) COBJECT(
								((BgL_rtl_globalrefz00_bglt) BgL_funz00_5936)))->BgL_varz00);
					{	/* SawC/code.scm 515 */
						obj_t BgL_arg2110z00_6068;

						BgL_arg2110z00_6068 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_arg2469z00_6067)))->BgL_namez00);
						BgL_arg2466z00_6066 =
							BGl_inlzd2opzd2zzsaw_c_codez00(BgL_arg2110z00_6068);
					}
				}
				{	/* SawC/code.scm 457 */
					obj_t BgL_list2467z00_6069;

					BgL_list2467z00_6069 = MAKE_YOUNG_PAIR(BgL_arg2466z00_6066, BNIL);
					return BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list2467z00_6069);
				}
			}
		}

	}



/* &gen-prefix-rtl_store1714 */
	obj_t BGl_z62genzd2prefixzd2rtl_store1714z62zzsaw_c_codez00(obj_t
		BgL_envz00_5937, obj_t BgL_funz00_5938)
	{
		{	/* SawC/code.scm 453 */
			{	/* SawC/code.scm 454 */
				obj_t BgL_arg2461z00_6071;

				{	/* SawC/code.scm 454 */
					BgL_globalz00_bglt BgL_arg2465z00_6072;

					BgL_arg2465z00_6072 =
						(((BgL_rtl_storegz00_bglt) COBJECT(
								((BgL_rtl_storegz00_bglt) BgL_funz00_5938)))->BgL_varz00);
					{	/* SawC/code.scm 515 */
						obj_t BgL_arg2110z00_6073;

						BgL_arg2110z00_6073 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_arg2465z00_6072)))->BgL_namez00);
						BgL_arg2461z00_6071 =
							BGl_inlzd2opzd2zzsaw_c_codez00(BgL_arg2110z00_6073);
					}
				}
				{	/* SawC/code.scm 454 */
					obj_t BgL_list2462z00_6074;

					{	/* SawC/code.scm 454 */
						obj_t BgL_arg2464z00_6075;

						BgL_arg2464z00_6075 =
							MAKE_YOUNG_PAIR(BGl_string2739z00zzsaw_c_codez00, BNIL);
						BgL_list2462z00_6074 =
							MAKE_YOUNG_PAIR(BgL_arg2461z00_6071, BgL_arg2464z00_6075);
					}
					return BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list2462z00_6074);
				}
			}
		}

	}



/* &gen-prefix-rtl_loadf1712 */
	obj_t BGl_z62genzd2prefixzd2rtl_loadf1712z62zzsaw_c_codez00(obj_t
		BgL_envz00_5939, obj_t BgL_funz00_5940)
	{
		{	/* SawC/code.scm 450 */
			{	/* SawC/code.scm 451 */
				obj_t BgL_arg2454z00_6077;

				{	/* SawC/code.scm 451 */
					BgL_globalz00_bglt BgL_arg2459z00_6078;

					BgL_arg2459z00_6078 =
						(((BgL_rtl_loadfunz00_bglt) COBJECT(
								((BgL_rtl_loadfunz00_bglt) BgL_funz00_5940)))->BgL_varz00);
					{	/* SawC/code.scm 515 */
						obj_t BgL_arg2110z00_6079;

						BgL_arg2110z00_6079 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_arg2459z00_6078)))->BgL_namez00);
						BgL_arg2454z00_6077 =
							BGl_inlzd2opzd2zzsaw_c_codez00(BgL_arg2110z00_6079);
					}
				}
				{	/* SawC/code.scm 451 */
					obj_t BgL_list2455z00_6080;

					{	/* SawC/code.scm 451 */
						obj_t BgL_arg2457z00_6081;

						BgL_arg2457z00_6081 = MAKE_YOUNG_PAIR(BgL_arg2454z00_6077, BNIL);
						BgL_list2455z00_6080 =
							MAKE_YOUNG_PAIR(BGl_string2864z00zzsaw_c_codez00,
							BgL_arg2457z00_6081);
					}
					return BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list2455z00_6080);
				}
			}
		}

	}



/* &gen-prefix-rtl_loadg1710 */
	obj_t BGl_z62genzd2prefixzd2rtl_loadg1710z62zzsaw_c_codez00(obj_t
		BgL_envz00_5941, obj_t BgL_funz00_5942)
	{
		{	/* SawC/code.scm 447 */
			{	/* SawC/code.scm 448 */
				obj_t BgL_arg2450z00_6083;
				obj_t BgL_arg2451z00_6084;

				{	/* SawC/code.scm 448 */
					BgL_globalz00_bglt BgL_arg2452z00_6085;

					BgL_arg2452z00_6085 =
						(((BgL_rtl_loadgz00_bglt) COBJECT(
								((BgL_rtl_loadgz00_bglt) BgL_funz00_5942)))->BgL_varz00);
					{	/* SawC/code.scm 515 */
						obj_t BgL_arg2110z00_6086;

						BgL_arg2110z00_6086 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_arg2452z00_6085)))->BgL_namez00);
						BgL_arg2450z00_6083 =
							BGl_inlzd2opzd2zzsaw_c_codez00(BgL_arg2110z00_6086);
					}
				}
				{	/* SawC/code.scm 448 */
					obj_t BgL_tmpz00_8096;

					BgL_tmpz00_8096 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2451z00_6084 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_8096);
				}
				return bgl_display_obj(BgL_arg2450z00_6083, BgL_arg2451z00_6084);
			}
		}

	}



/* &gen-prefix-rtl_loadi1708 */
	obj_t BGl_z62genzd2prefixzd2rtl_loadi1708z62zzsaw_c_codez00(obj_t
		BgL_envz00_5943, obj_t BgL_funz00_5944)
	{
		{	/* SawC/code.scm 443 */
			{	/* SawC/code.scm 444 */
				BgL_atomz00_bglt BgL_iz00_6088;

				BgL_iz00_6088 =
					(((BgL_rtl_loadiz00_bglt) COBJECT(
							((BgL_rtl_loadiz00_bglt) BgL_funz00_5944)))->BgL_constantz00);
				{	/* SawC/code.scm 445 */
					obj_t BgL_arg2448z00_6089;
					BgL_typez00_bglt BgL_arg2449z00_6090;

					BgL_arg2448z00_6089 =
						(((BgL_atomz00_bglt) COBJECT(BgL_iz00_6088))->BgL_valuez00);
					BgL_arg2449z00_6090 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_iz00_6088)))->BgL_typez00);
					return
						BGl_emitzd2atomzd2valuez00zzbackend_c_emitz00(BgL_arg2448z00_6089,
						BgL_arg2449z00_6090);
				}
			}
		}

	}



/* &gen-fun-name-rtl_ret1704 */
	obj_t BGl_z62genzd2funzd2namezd2rtl_ret1704zb0zzsaw_c_codez00(obj_t
		BgL_envz00_5945, obj_t BgL_funz00_5946)
	{
		{	/* SawC/code.scm 434 */
			{	/* SawC/code.scm 435 */
				obj_t BgL_arg2443z00_6092;

				{	/* SawC/code.scm 435 */
					obj_t BgL_tmpz00_8106;

					BgL_tmpz00_8106 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2443z00_6092 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_8106);
				}
				return
					bgl_display_string(BGl_string2865z00zzsaw_c_codez00,
					BgL_arg2443z00_6092);
			}
		}

	}



/* &gen-fun-name-rtl_loa1702 */
	obj_t BGl_z62genzd2funzd2namezd2rtl_loa1702zb0zzsaw_c_codez00(obj_t
		BgL_envz00_5947, obj_t BgL_funz00_5948)
	{
		{	/* SawC/code.scm 432 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &gen-fun-name-rtl_loa1700 */
	obj_t BGl_z62genzd2funzd2namezd2rtl_loa1700zb0zzsaw_c_codez00(obj_t
		BgL_envz00_5949, obj_t BgL_funz00_5950)
	{
		{	/* SawC/code.scm 431 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &gen-fun-name-rtl_mov1698 */
	obj_t BGl_z62genzd2funzd2namezd2rtl_mov1698zb0zzsaw_c_codez00(obj_t
		BgL_envz00_5951, obj_t BgL_funz00_5952)
	{
		{	/* SawC/code.scm 430 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &gen-fun-name-rtl_vle1696 */
	obj_t BGl_z62genzd2funzd2namezd2rtl_vle1696zb0zzsaw_c_codez00(obj_t
		BgL_envz00_5953, obj_t BgL_funz00_5954)
	{
		{	/* SawC/code.scm 423 */
			return
				BGl_vfunzd2namezd2zzsaw_c_codez00(BGl_string2866z00zzsaw_c_codez00,
				(((BgL_rtl_vlengthz00_bglt) COBJECT(
							((BgL_rtl_vlengthz00_bglt) BgL_funz00_5954)))->BgL_typez00));
		}

	}



/* &gen-fun-name-rtl_vse1694 */
	obj_t BGl_z62genzd2funzd2namezd2rtl_vse1694zb0zzsaw_c_codez00(obj_t
		BgL_envz00_5955, obj_t BgL_funz00_5956)
	{
		{	/* SawC/code.scm 420 */
			return
				BGl_vfunzd2namezd2zzsaw_c_codez00(BGl_string2867z00zzsaw_c_codez00,
				(((BgL_rtl_vsetz00_bglt) COBJECT(
							((BgL_rtl_vsetz00_bglt) BgL_funz00_5956)))->BgL_typez00));
		}

	}



/* &gen-fun-name-rtl_vre1692 */
	obj_t BGl_z62genzd2funzd2namezd2rtl_vre1692zb0zzsaw_c_codez00(obj_t
		BgL_envz00_5957, obj_t BgL_funz00_5958)
	{
		{	/* SawC/code.scm 417 */
			return
				BGl_vfunzd2namezd2zzsaw_c_codez00(BGl_string2868z00zzsaw_c_codez00,
				(((BgL_rtl_vrefz00_bglt) COBJECT(
							((BgL_rtl_vrefz00_bglt) BgL_funz00_5958)))->BgL_typez00));
		}

	}



/* &gen-fun-name-rtl_val1690 */
	obj_t BGl_z62genzd2funzd2namezd2rtl_val1690zb0zzsaw_c_codez00(obj_t
		BgL_envz00_5959, obj_t BgL_funz00_5960)
	{
		{	/* SawC/code.scm 414 */
			return
				BGl_vfunzd2namezd2zzsaw_c_codez00(BGl_string2869z00zzsaw_c_codez00,
				(((BgL_rtl_vallocz00_bglt) COBJECT(
							((BgL_rtl_vallocz00_bglt) BgL_funz00_5960)))->BgL_typez00));
		}

	}



/* &gen-expr-rtl_call1686 */
	obj_t BGl_z62genzd2exprzd2rtl_call1686z62zzsaw_c_codez00(obj_t
		BgL_envz00_5961, obj_t BgL_funz00_5962, obj_t BgL_argsz00_5963)
	{
		{	/* SawC/code.scm 361 */
			{
				obj_t BgL_namez00_6119;
				obj_t BgL_argsz00_6120;
				obj_t BgL_namez00_6103;
				obj_t BgL_argsz00_6104;

				{	/* SawC/code.scm 391 */
					BgL_globalz00_bglt BgL_varz00_6132;

					BgL_varz00_6132 =
						(((BgL_rtl_callz00_bglt) COBJECT(
								((BgL_rtl_callz00_bglt) BgL_funz00_5962)))->BgL_varz00);
					{	/* SawC/code.scm 391 */
						obj_t BgL_namez00_6133;

						{	/* SawC/code.scm 515 */
							obj_t BgL_arg2110z00_6134;

							BgL_arg2110z00_6134 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_varz00_6132)))->BgL_namez00);
							BgL_namez00_6133 =
								BGl_inlzd2opzd2zzsaw_c_codez00(BgL_arg2110z00_6134);
						}
						{	/* SawC/code.scm 392 */

							{	/* SawC/code.scm 393 */
								bool_t BgL_test3284z00_8130;

								{	/* SawC/code.scm 393 */
									bool_t BgL_test3285z00_8131;

									{	/* SawC/code.scm 393 */
										obj_t BgL_classz00_6135;

										BgL_classz00_6135 = BGl_globalz00zzast_varz00;
										{	/* SawC/code.scm 393 */
											BgL_objectz00_bglt BgL_arg1858z00_6136;

											{	/* SawC/code.scm 393 */
												obj_t BgL_tmpz00_8132;

												BgL_tmpz00_8132 =
													((obj_t) ((BgL_objectz00_bglt) BgL_varz00_6132));
												BgL_arg1858z00_6136 =
													(BgL_objectz00_bglt) (BgL_tmpz00_8132);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* SawC/code.scm 393 */
													long BgL_idxz00_6137;

													BgL_idxz00_6137 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6136);
													BgL_test3285z00_8131 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_6137 + 2L)) == BgL_classz00_6135);
												}
											else
												{	/* SawC/code.scm 393 */
													bool_t BgL_res2692z00_6140;

													{	/* SawC/code.scm 393 */
														obj_t BgL_oclassz00_6141;

														{	/* SawC/code.scm 393 */
															obj_t BgL_arg1866z00_6142;
															long BgL_arg1867z00_6143;

															BgL_arg1866z00_6142 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* SawC/code.scm 393 */
																long BgL_arg1869z00_6144;

																BgL_arg1869z00_6144 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6136);
																BgL_arg1867z00_6143 =
																	(BgL_arg1869z00_6144 - OBJECT_TYPE);
															}
															BgL_oclassz00_6141 =
																VECTOR_REF(BgL_arg1866z00_6142,
																BgL_arg1867z00_6143);
														}
														{	/* SawC/code.scm 393 */
															bool_t BgL__ortest_1115z00_6145;

															BgL__ortest_1115z00_6145 =
																(BgL_classz00_6135 == BgL_oclassz00_6141);
															if (BgL__ortest_1115z00_6145)
																{	/* SawC/code.scm 393 */
																	BgL_res2692z00_6140 =
																		BgL__ortest_1115z00_6145;
																}
															else
																{	/* SawC/code.scm 393 */
																	long BgL_odepthz00_6146;

																	{	/* SawC/code.scm 393 */
																		obj_t BgL_arg1855z00_6147;

																		BgL_arg1855z00_6147 = (BgL_oclassz00_6141);
																		BgL_odepthz00_6146 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_6147);
																	}
																	if ((2L < BgL_odepthz00_6146))
																		{	/* SawC/code.scm 393 */
																			obj_t BgL_arg1853z00_6148;

																			{	/* SawC/code.scm 393 */
																				obj_t BgL_arg1854z00_6149;

																				BgL_arg1854z00_6149 =
																					(BgL_oclassz00_6141);
																				BgL_arg1853z00_6148 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_6149, 2L);
																			}
																			BgL_res2692z00_6140 =
																				(BgL_arg1853z00_6148 ==
																				BgL_classz00_6135);
																		}
																	else
																		{	/* SawC/code.scm 393 */
																			BgL_res2692z00_6140 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test3285z00_8131 = BgL_res2692z00_6140;
												}
										}
									}
									if (BgL_test3285z00_8131)
										{	/* SawC/code.scm 394 */
											bool_t BgL_test3289z00_8155;

											{	/* SawC/code.scm 394 */
												BgL_valuez00_bglt BgL_arg2396z00_6150;

												BgL_arg2396z00_6150 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_varz00_6132)))->
													BgL_valuez00);
												{	/* SawC/code.scm 394 */
													obj_t BgL_classz00_6151;

													BgL_classz00_6151 = BGl_cfunz00zzast_varz00;
													{	/* SawC/code.scm 394 */
														BgL_objectz00_bglt BgL_arg1858z00_6152;

														{	/* SawC/code.scm 394 */
															obj_t BgL_tmpz00_8158;

															BgL_tmpz00_8158 =
																((obj_t)
																((BgL_objectz00_bglt) BgL_arg2396z00_6150));
															BgL_arg1858z00_6152 =
																(BgL_objectz00_bglt) (BgL_tmpz00_8158);
														}
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* SawC/code.scm 394 */
																long BgL_idxz00_6153;

																BgL_idxz00_6153 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1858z00_6152);
																BgL_test3289z00_8155 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_6153 + 3L)) ==
																	BgL_classz00_6151);
															}
														else
															{	/* SawC/code.scm 394 */
																bool_t BgL_res2693z00_6156;

																{	/* SawC/code.scm 394 */
																	obj_t BgL_oclassz00_6157;

																	{	/* SawC/code.scm 394 */
																		obj_t BgL_arg1866z00_6158;
																		long BgL_arg1867z00_6159;

																		BgL_arg1866z00_6158 =
																			(BGl_za2classesza2z00zz__objectz00);
																		{	/* SawC/code.scm 394 */
																			long BgL_arg1869z00_6160;

																			BgL_arg1869z00_6160 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1858z00_6152);
																			BgL_arg1867z00_6159 =
																				(BgL_arg1869z00_6160 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_6157 =
																			VECTOR_REF(BgL_arg1866z00_6158,
																			BgL_arg1867z00_6159);
																	}
																	{	/* SawC/code.scm 394 */
																		bool_t BgL__ortest_1115z00_6161;

																		BgL__ortest_1115z00_6161 =
																			(BgL_classz00_6151 == BgL_oclassz00_6157);
																		if (BgL__ortest_1115z00_6161)
																			{	/* SawC/code.scm 394 */
																				BgL_res2693z00_6156 =
																					BgL__ortest_1115z00_6161;
																			}
																		else
																			{	/* SawC/code.scm 394 */
																				long BgL_odepthz00_6162;

																				{	/* SawC/code.scm 394 */
																					obj_t BgL_arg1855z00_6163;

																					BgL_arg1855z00_6163 =
																						(BgL_oclassz00_6157);
																					BgL_odepthz00_6162 =
																						BGL_CLASS_DEPTH
																						(BgL_arg1855z00_6163);
																				}
																				if ((3L < BgL_odepthz00_6162))
																					{	/* SawC/code.scm 394 */
																						obj_t BgL_arg1853z00_6164;

																						{	/* SawC/code.scm 394 */
																							obj_t BgL_arg1854z00_6165;

																							BgL_arg1854z00_6165 =
																								(BgL_oclassz00_6157);
																							BgL_arg1853z00_6164 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_arg1854z00_6165, 3L);
																						}
																						BgL_res2693z00_6156 =
																							(BgL_arg1853z00_6164 ==
																							BgL_classz00_6151);
																					}
																				else
																					{	/* SawC/code.scm 394 */
																						BgL_res2693z00_6156 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test3289z00_8155 = BgL_res2693z00_6156;
															}
													}
												}
											}
											if (BgL_test3289z00_8155)
												{	/* SawC/code.scm 394 */
													if (
														(((BgL_cfunz00_bglt) COBJECT(
																	((BgL_cfunz00_bglt)
																		(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						BgL_varz00_6132)))->
																			BgL_valuez00))))->BgL_infixzf3zf3))
														{	/* SawC/code.scm 396 */
															bool_t BgL_test3294z00_8186;

															if (
																((((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					BgL_varz00_6132)))->BgL_namez00) ==
																	BgL_namez00_6133))
																{	/* SawC/code.scm 364 */
																	BgL_test3294z00_8186 = ((bool_t) 0);
																}
															else
																{	/* SawC/code.scm 364 */
																	BgL_test3294z00_8186 = ((bool_t) 1);
																}
															if (BgL_test3294z00_8186)
																{	/* SawC/code.scm 396 */
																	BgL_test3284z00_8130 = ((bool_t) 0);
																}
															else
																{	/* SawC/code.scm 396 */
																	BgL_test3284z00_8130 = ((bool_t) 1);
																}
														}
													else
														{	/* SawC/code.scm 395 */
															BgL_test3284z00_8130 = ((bool_t) 0);
														}
												}
											else
												{	/* SawC/code.scm 394 */
													BgL_test3284z00_8130 = ((bool_t) 0);
												}
										}
									else
										{	/* SawC/code.scm 393 */
											BgL_test3284z00_8130 = ((bool_t) 0);
										}
								}
								if (BgL_test3284z00_8130)
									{	/* SawC/code.scm 393 */
										BgL_namez00_6119 = BgL_namez00_6133;
										BgL_argsz00_6120 = BgL_argsz00_5963;
										if (NULLP(BgL_argsz00_6120))
											{	/* SawC/code.scm 368 */
												obj_t BgL_list2404z00_6121;

												{	/* SawC/code.scm 368 */
													obj_t BgL_arg2405z00_6122;

													{	/* SawC/code.scm 368 */
														obj_t BgL_arg2407z00_6123;

														BgL_arg2407z00_6123 =
															MAKE_YOUNG_PAIR(BGl_string2740z00zzsaw_c_codez00,
															BNIL);
														BgL_arg2405z00_6122 =
															MAKE_YOUNG_PAIR(BgL_namez00_6119,
															BgL_arg2407z00_6123);
													}
													BgL_list2404z00_6121 =
														MAKE_YOUNG_PAIR(BGl_string2738z00zzsaw_c_codez00,
														BgL_arg2405z00_6122);
												}
												return
													BGl_displayza2za2zz__r4_output_6_10_3z00
													(BgL_list2404z00_6121);
											}
										else
											{	/* SawC/code.scm 367 */
												{	/* SawC/code.scm 370 */
													obj_t BgL_arg2411z00_6124;

													{	/* SawC/code.scm 370 */
														obj_t BgL_tmpz00_8197;

														BgL_tmpz00_8197 = BGL_CURRENT_DYNAMIC_ENV();
														BgL_arg2411z00_6124 =
															BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_8197);
													}
													bgl_display_string(BGl_string2738z00zzsaw_c_codez00,
														BgL_arg2411z00_6124);
												}
												{	/* SawC/code.scm 371 */
													obj_t BgL_arg2412z00_6125;

													BgL_arg2412z00_6125 = CAR(((obj_t) BgL_argsz00_6120));
													BGl_genzd2regzd2zzsaw_c_codez00(BgL_arg2412z00_6125);
												}
												{	/* SawC/code.scm 372 */
													obj_t BgL_arg2413z00_6126;

													{	/* SawC/code.scm 372 */
														obj_t BgL_tmpz00_8204;

														BgL_tmpz00_8204 = BGL_CURRENT_DYNAMIC_ENV();
														BgL_arg2413z00_6126 =
															BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_8204);
													}
													bgl_display_obj(BgL_namez00_6119,
														BgL_arg2413z00_6126);
												}
												{	/* SawC/code.scm 373 */
													obj_t BgL_g1199z00_6127;

													BgL_g1199z00_6127 = CDR(((obj_t) BgL_argsz00_6120));
													{
														obj_t BgL_argsz00_6129;

														BgL_argsz00_6129 = BgL_g1199z00_6127;
													BgL_loopz00_6128:
														if (PAIRP(BgL_argsz00_6129))
															{	/* SawC/code.scm 374 */
																BGl_genzd2regzd2zzsaw_c_codez00(CAR
																	(BgL_argsz00_6129));
																{	/* SawC/code.scm 376 */
																	obj_t BgL_arg2418z00_6130;

																	{	/* SawC/code.scm 376 */
																		obj_t BgL_tmpz00_8214;

																		BgL_tmpz00_8214 = BGL_CURRENT_DYNAMIC_ENV();
																		BgL_arg2418z00_6130 =
																			BGL_ENV_CURRENT_OUTPUT_PORT
																			(BgL_tmpz00_8214);
																	}
																	bgl_display_obj(BgL_namez00_6119,
																		BgL_arg2418z00_6130);
																}
																{
																	obj_t BgL_argsz00_8218;

																	BgL_argsz00_8218 = CDR(BgL_argsz00_6129);
																	BgL_argsz00_6129 = BgL_argsz00_8218;
																	goto BgL_loopz00_6128;
																}
															}
														else
															{	/* SawC/code.scm 374 */
																((bool_t) 0);
															}
													}
												}
												{	/* SawC/code.scm 378 */
													obj_t BgL_arg2422z00_6131;

													{	/* SawC/code.scm 378 */
														obj_t BgL_tmpz00_8220;

														BgL_tmpz00_8220 = BGL_CURRENT_DYNAMIC_ENV();
														BgL_arg2422z00_6131 =
															BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_8220);
													}
													return
														bgl_display_string(BGl_string2740z00zzsaw_c_codez00,
														BgL_arg2422z00_6131);
												}
											}
									}
								else
									{	/* SawC/code.scm 393 */
										BgL_namez00_6103 = BgL_namez00_6133;
										BgL_argsz00_6104 = BgL_argsz00_5963;
										{	/* SawC/code.scm 381 */
											obj_t BgL_list2424z00_6105;

											{	/* SawC/code.scm 381 */
												obj_t BgL_arg2425z00_6106;

												BgL_arg2425z00_6106 =
													MAKE_YOUNG_PAIR(BGl_string2738z00zzsaw_c_codez00,
													BNIL);
												BgL_list2424z00_6105 =
													MAKE_YOUNG_PAIR(BgL_namez00_6103,
													BgL_arg2425z00_6106);
											}
											BGl_displayza2za2zz__r4_output_6_10_3z00
												(BgL_list2424z00_6105);
										}
										{	/* SawC/code.scm 382 */
											bool_t BgL_test3298z00_8227;

											{	/* SawC/code.scm 382 */
												bool_t BgL_test3299z00_8228;

												{	/* SawC/code.scm 382 */
													long BgL_l1z00_6107;

													BgL_l1z00_6107 =
														STRING_LENGTH(((obj_t) BgL_namez00_6103));
													if ((BgL_l1z00_6107 == 17L))
														{	/* SawC/code.scm 382 */
															int BgL_arg1343z00_6108;

															{	/* SawC/code.scm 382 */
																char *BgL_auxz00_8236;
																char *BgL_tmpz00_8233;

																BgL_auxz00_8236 =
																	BSTRING_TO_STRING
																	(BGl_string2870z00zzsaw_c_codez00);
																BgL_tmpz00_8233 =
																	BSTRING_TO_STRING(((obj_t) BgL_namez00_6103));
																BgL_arg1343z00_6108 =
																	memcmp(BgL_tmpz00_8233, BgL_auxz00_8236,
																	BgL_l1z00_6107);
															}
															BgL_test3299z00_8228 =
																((long) (BgL_arg1343z00_6108) == 0L);
														}
													else
														{	/* SawC/code.scm 382 */
															BgL_test3299z00_8228 = ((bool_t) 0);
														}
												}
												if (BgL_test3299z00_8228)
													{	/* SawC/code.scm 382 */
														BgL_test3298z00_8227 = ((bool_t) 1);
													}
												else
													{	/* SawC/code.scm 383 */
														bool_t BgL_test3301z00_8241;

														{	/* SawC/code.scm 383 */
															long BgL_l1z00_6109;

															BgL_l1z00_6109 =
																STRING_LENGTH(((obj_t) BgL_namez00_6103));
															if ((BgL_l1z00_6109 == 17L))
																{	/* SawC/code.scm 383 */
																	int BgL_arg1343z00_6110;

																	{	/* SawC/code.scm 383 */
																		char *BgL_auxz00_8249;
																		char *BgL_tmpz00_8246;

																		BgL_auxz00_8249 =
																			BSTRING_TO_STRING
																			(BGl_string2871z00zzsaw_c_codez00);
																		BgL_tmpz00_8246 =
																			BSTRING_TO_STRING(((obj_t)
																				BgL_namez00_6103));
																		BgL_arg1343z00_6110 =
																			memcmp(BgL_tmpz00_8246, BgL_auxz00_8249,
																			BgL_l1z00_6109);
																	}
																	BgL_test3301z00_8241 =
																		((long) (BgL_arg1343z00_6110) == 0L);
																}
															else
																{	/* SawC/code.scm 383 */
																	BgL_test3301z00_8241 = ((bool_t) 0);
																}
														}
														if (BgL_test3301z00_8241)
															{	/* SawC/code.scm 383 */
																BgL_test3298z00_8227 = ((bool_t) 1);
															}
														else
															{	/* SawC/code.scm 384 */
																bool_t BgL_test3303z00_8254;

																{	/* SawC/code.scm 384 */
																	long BgL_l1z00_6111;

																	BgL_l1z00_6111 =
																		STRING_LENGTH(((obj_t) BgL_namez00_6103));
																	if ((BgL_l1z00_6111 == 17L))
																		{	/* SawC/code.scm 384 */
																			int BgL_arg1343z00_6112;

																			{	/* SawC/code.scm 384 */
																				char *BgL_auxz00_8262;
																				char *BgL_tmpz00_8259;

																				BgL_auxz00_8262 =
																					BSTRING_TO_STRING
																					(BGl_string2872z00zzsaw_c_codez00);
																				BgL_tmpz00_8259 =
																					BSTRING_TO_STRING(((obj_t)
																						BgL_namez00_6103));
																				BgL_arg1343z00_6112 =
																					memcmp(BgL_tmpz00_8259,
																					BgL_auxz00_8262, BgL_l1z00_6111);
																			}
																			BgL_test3303z00_8254 =
																				((long) (BgL_arg1343z00_6112) == 0L);
																		}
																	else
																		{	/* SawC/code.scm 384 */
																			BgL_test3303z00_8254 = ((bool_t) 0);
																		}
																}
																if (BgL_test3303z00_8254)
																	{	/* SawC/code.scm 384 */
																		BgL_test3298z00_8227 = ((bool_t) 1);
																	}
																else
																	{	/* SawC/code.scm 385 */
																		bool_t BgL_test3305z00_8267;

																		{	/* SawC/code.scm 385 */
																			long BgL_l1z00_6113;

																			BgL_l1z00_6113 =
																				STRING_LENGTH(
																				((obj_t) BgL_namez00_6103));
																			if ((BgL_l1z00_6113 == 17L))
																				{	/* SawC/code.scm 385 */
																					int BgL_arg1343z00_6114;

																					{	/* SawC/code.scm 385 */
																						char *BgL_auxz00_8275;
																						char *BgL_tmpz00_8272;

																						BgL_auxz00_8275 =
																							BSTRING_TO_STRING
																							(BGl_string2873z00zzsaw_c_codez00);
																						BgL_tmpz00_8272 =
																							BSTRING_TO_STRING(((obj_t)
																								BgL_namez00_6103));
																						BgL_arg1343z00_6114 =
																							memcmp(BgL_tmpz00_8272,
																							BgL_auxz00_8275, BgL_l1z00_6113);
																					}
																					BgL_test3305z00_8267 =
																						(
																						(long) (BgL_arg1343z00_6114) == 0L);
																				}
																			else
																				{	/* SawC/code.scm 385 */
																					BgL_test3305z00_8267 = ((bool_t) 0);
																				}
																		}
																		if (BgL_test3305z00_8267)
																			{	/* SawC/code.scm 385 */
																				BgL_test3298z00_8227 = ((bool_t) 1);
																			}
																		else
																			{	/* SawC/code.scm 386 */
																				long BgL_l1z00_6115;

																				BgL_l1z00_6115 =
																					STRING_LENGTH(
																					((obj_t) BgL_namez00_6103));
																				if ((BgL_l1z00_6115 == 16L))
																					{	/* SawC/code.scm 386 */
																						int BgL_arg1343z00_6116;

																						{	/* SawC/code.scm 386 */
																							char *BgL_auxz00_8287;
																							char *BgL_tmpz00_8284;

																							BgL_auxz00_8287 =
																								BSTRING_TO_STRING
																								(BGl_string2874z00zzsaw_c_codez00);
																							BgL_tmpz00_8284 =
																								BSTRING_TO_STRING(((obj_t)
																									BgL_namez00_6103));
																							BgL_arg1343z00_6116 =
																								memcmp(BgL_tmpz00_8284,
																								BgL_auxz00_8287,
																								BgL_l1z00_6115);
																						}
																						BgL_test3298z00_8227 =
																							(
																							(long) (BgL_arg1343z00_6116) ==
																							0L);
																					}
																				else
																					{	/* SawC/code.scm 386 */
																						BgL_test3298z00_8227 = ((bool_t) 0);
																					}
																			}
																	}
															}
													}
											}
											if (BgL_test3298z00_8227)
												{	/* SawC/code.scm 387 */
													obj_t BgL_arg2431z00_6117;

													{	/* SawC/code.scm 387 */
														obj_t BgL_tmpz00_8292;

														BgL_tmpz00_8292 = BGL_CURRENT_DYNAMIC_ENV();
														BgL_arg2431z00_6117 =
															BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_8292);
													}
													bgl_display_string(BGl_string2864z00zzsaw_c_codez00,
														BgL_arg2431z00_6117);
												}
											else
												{	/* SawC/code.scm 382 */
													BFALSE;
												}
										}
										BGl_genzd2argszd2zzsaw_c_codez00(BgL_argsz00_6104);
										{	/* SawC/code.scm 389 */
											obj_t BgL_arg2437z00_6118;

											{	/* SawC/code.scm 389 */
												obj_t BgL_tmpz00_8297;

												BgL_tmpz00_8297 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_arg2437z00_6118 =
													BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_8297);
											}
											return
												bgl_display_string(BGl_string2740z00zzsaw_c_codez00,
												BgL_arg2437z00_6118);
										}
									}
							}
						}
					}
				}
			}
		}

	}



/* &gen-expr-rtl_switch1684 */
	obj_t BGl_z62genzd2exprzd2rtl_switch1684z62zzsaw_c_codez00(obj_t
		BgL_envz00_5964, obj_t BgL_funz00_5965, obj_t BgL_argsz00_5966)
	{
		{	/* SawC/code.scm 340 */
			{	/* SawC/code.scm 341 */
				obj_t BgL_patsz00_6167;

				BgL_patsz00_6167 =
					(((BgL_rtl_selectz00_bglt) COBJECT(
							((BgL_rtl_selectz00_bglt)
								((BgL_rtl_switchz00_bglt) BgL_funz00_5965))))->BgL_patternsz00);
				{	/* SawC/code.scm 341 */
					obj_t BgL_regz00_6168;

					BgL_regz00_6168 = CAR(((obj_t) BgL_argsz00_5966));
					{	/* SawC/code.scm 342 */
						BgL_typez00_bglt BgL_tregz00_6169;

						BgL_tregz00_6169 =
							(((BgL_rtl_selectz00_bglt) COBJECT(
									((BgL_rtl_selectz00_bglt)
										((BgL_rtl_switchz00_bglt) BgL_funz00_5965))))->BgL_typez00);
						{	/* SawC/code.scm 343 */

							{	/* SawC/code.scm 344 */
								obj_t BgL_arg2365z00_6170;

								{	/* SawC/code.scm 344 */
									obj_t BgL_tmpz00_8309;

									BgL_tmpz00_8309 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_arg2365z00_6170 =
										BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_8309);
								}
								bgl_display_string(BGl_string2875z00zzsaw_c_codez00,
									BgL_arg2365z00_6170);
							}
							BGl_genzd2regzd2zzsaw_c_codez00(BgL_regz00_6168);
							{	/* SawC/code.scm 346 */
								obj_t BgL_arg2366z00_6171;

								{	/* SawC/code.scm 346 */
									obj_t BgL_tmpz00_8314;

									BgL_tmpz00_8314 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_arg2366z00_6171 =
										BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_8314);
								}
								bgl_display_string(BGl_string2876z00zzsaw_c_codez00,
									BgL_arg2366z00_6171);
							}
							{	/* SawC/code.scm 347 */
								obj_t BgL_g1665z00_6172;

								BgL_g1665z00_6172 =
									(((BgL_rtl_switchz00_bglt) COBJECT(
											((BgL_rtl_switchz00_bglt) BgL_funz00_5965)))->
									BgL_labelsz00);
								{
									obj_t BgL_ll1662z00_6174;
									obj_t BgL_ll1663z00_6175;

									BgL_ll1662z00_6174 = BgL_patsz00_6167;
									BgL_ll1663z00_6175 = BgL_g1665z00_6172;
								BgL_zc3z04anonymousza32367ze3z87_6173:
									if (NULLP(BgL_ll1662z00_6174))
										{	/* SawC/code.scm 347 */
											((bool_t) 1);
										}
									else
										{	/* SawC/code.scm 347 */
											{	/* SawC/code.scm 354 */
												obj_t BgL_patz00_6176;
												obj_t BgL_labz00_6177;

												BgL_patz00_6176 = CAR(((obj_t) BgL_ll1662z00_6174));
												BgL_labz00_6177 = CAR(((obj_t) BgL_ll1663z00_6175));
												if ((BgL_patz00_6176 == ((obj_t) CNST_TABLE_REF(10))))
													{	/* SawC/code.scm 349 */
														obj_t BgL_arg2369z00_6178;

														{	/* SawC/code.scm 349 */
															obj_t BgL_tmpz00_8330;

															BgL_tmpz00_8330 = BGL_CURRENT_DYNAMIC_ENV();
															BgL_arg2369z00_6178 =
																BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_8330);
														}
														bgl_display_string(BGl_string2877z00zzsaw_c_codez00,
															BgL_arg2369z00_6178);
													}
												else
													{
														obj_t BgL_l1660z00_6180;

														{	/* SawC/code.scm 350 */
															bool_t BgL_tmpz00_8334;

															BgL_l1660z00_6180 = BgL_patz00_6176;
														BgL_zc3z04anonymousza32370ze3z87_6179:
															if (PAIRP(BgL_l1660z00_6180))
																{	/* SawC/code.scm 350 */
																	{	/* SawC/code.scm 351 */
																		obj_t BgL_nz00_6181;

																		BgL_nz00_6181 = CAR(BgL_l1660z00_6180);
																		{	/* SawC/code.scm 351 */
																			obj_t BgL_arg2372z00_6182;

																			{	/* SawC/code.scm 351 */
																				obj_t BgL_tmpz00_8338;

																				BgL_tmpz00_8338 =
																					BGL_CURRENT_DYNAMIC_ENV();
																				BgL_arg2372z00_6182 =
																					BGL_ENV_CURRENT_OUTPUT_PORT
																					(BgL_tmpz00_8338);
																			}
																			bgl_display_string
																				(BGl_string2878z00zzsaw_c_codez00,
																				BgL_arg2372z00_6182);
																		}
																		BGl_emitzd2atomzd2valuez00zzbackend_c_emitz00
																			(BgL_nz00_6181, BgL_tregz00_6169);
																		{	/* SawC/code.scm 353 */
																			obj_t BgL_arg2373z00_6183;

																			{	/* SawC/code.scm 353 */
																				obj_t BgL_tmpz00_8343;

																				BgL_tmpz00_8343 =
																					BGL_CURRENT_DYNAMIC_ENV();
																				BgL_arg2373z00_6183 =
																					BGL_ENV_CURRENT_OUTPUT_PORT
																					(BgL_tmpz00_8343);
																			}
																			bgl_display_string
																				(BGl_string2745z00zzsaw_c_codez00,
																				BgL_arg2373z00_6183);
																		}
																	}
																	{
																		obj_t BgL_l1660z00_8347;

																		BgL_l1660z00_8347 = CDR(BgL_l1660z00_6180);
																		BgL_l1660z00_6180 = BgL_l1660z00_8347;
																		goto BgL_zc3z04anonymousza32370ze3z87_6179;
																	}
																}
															else
																{	/* SawC/code.scm 350 */
																	BgL_tmpz00_8334 = ((bool_t) 1);
																}
															BBOOL(BgL_tmpz00_8334);
														}
													}
												{	/* SawC/code.scm 355 */
													int BgL_arg2375z00_6184;

													BgL_arg2375z00_6184 =
														(((BgL_blockz00_bglt) COBJECT(
																((BgL_blockz00_bglt) BgL_labz00_6177)))->
														BgL_labelz00);
													{	/* SawC/code.scm 355 */
														obj_t BgL_list2376z00_6185;

														{	/* SawC/code.scm 355 */
															obj_t BgL_arg2377z00_6186;

															{	/* SawC/code.scm 355 */
																obj_t BgL_arg2379z00_6187;

																BgL_arg2379z00_6187 =
																	MAKE_YOUNG_PAIR
																	(BGl_string2879z00zzsaw_c_codez00, BNIL);
																BgL_arg2377z00_6186 =
																	MAKE_YOUNG_PAIR(BINT(BgL_arg2375z00_6184),
																	BgL_arg2379z00_6187);
															}
															BgL_list2376z00_6185 =
																MAKE_YOUNG_PAIR
																(BGl_string2880z00zzsaw_c_codez00,
																BgL_arg2377z00_6186);
														}
														BGl_displayza2za2zz__r4_output_6_10_3z00
															(BgL_list2376z00_6185);
											}}}
											{	/* SawC/code.scm 347 */
												obj_t BgL_arg2380z00_6188;
												obj_t BgL_arg2381z00_6189;

												BgL_arg2380z00_6188 = CDR(((obj_t) BgL_ll1662z00_6174));
												BgL_arg2381z00_6189 = CDR(((obj_t) BgL_ll1663z00_6175));
												{
													obj_t BgL_ll1663z00_8362;
													obj_t BgL_ll1662z00_8361;

													BgL_ll1662z00_8361 = BgL_arg2380z00_6188;
													BgL_ll1663z00_8362 = BgL_arg2381z00_6189;
													BgL_ll1663z00_6175 = BgL_ll1663z00_8362;
													BgL_ll1662z00_6174 = BgL_ll1662z00_8361;
													goto BgL_zc3z04anonymousza32367ze3z87_6173;
												}
											}
										}
								}
							}
							{	/* SawC/code.scm 358 */
								obj_t BgL_arg2382z00_6190;

								{	/* SawC/code.scm 358 */
									obj_t BgL_tmpz00_8363;

									BgL_tmpz00_8363 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_arg2382z00_6190 =
										BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_8363);
								}
								return
									bgl_display_string(BGl_string2881z00zzsaw_c_codez00,
									BgL_arg2382z00_6190);
							}
						}
					}
				}
			}
		}

	}



/* &gen-expr-rtl_pragma1682 */
	obj_t BGl_z62genzd2exprzd2rtl_pragma1682z62zzsaw_c_codez00(obj_t
		BgL_envz00_5967, obj_t BgL_funz00_5968, obj_t BgL_argsz00_5969)
	{
		{	/* SawC/code.scm 331 */
			if (
				((((BgL_rtl_pragmaz00_bglt) COBJECT(
								((BgL_rtl_pragmaz00_bglt) BgL_funz00_5968)))->BgL_srfi0z00) ==
					((obj_t) CNST_TABLE_REF(11))))
				{	/* SawC/code.scm 333 */
					BGl_emitzd2pragmazd2zzsaw_c_codez00(
						(((BgL_rtl_pragmaz00_bglt) COBJECT(
									((BgL_rtl_pragmaz00_bglt) BgL_funz00_5968)))->BgL_formatz00),
						BgL_argsz00_5969);
					{	/* SawC/code.scm 336 */
						obj_t BgL_arg2361z00_6192;

						{	/* SawC/code.scm 336 */
							obj_t BgL_tmpz00_8376;

							BgL_tmpz00_8376 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_arg2361z00_6192 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_8376);
						}
						return
							bgl_display_string(BGl_string2744z00zzsaw_c_codez00,
							BgL_arg2361z00_6192);
					}
				}
			else
				{	/* SawC/code.scm 337 */
					obj_t BgL_arg2362z00_6193;

					{	/* SawC/code.scm 337 */
						obj_t BgL_tmpz00_8380;

						BgL_tmpz00_8380 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_arg2362z00_6193 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_8380);
					}
					return
						bgl_display_string(BGl_string2882z00zzsaw_c_codez00,
						BgL_arg2362z00_6193);
				}
		}

	}



/* &gen-expr-rtl_protect1680 */
	obj_t BGl_z62genzd2exprzd2rtl_protect1680z62zzsaw_c_codez00(obj_t
		BgL_envz00_5970, obj_t BgL_funz00_5971, obj_t BgL_argsz00_5972)
	{
		{	/* SawC/code.scm 321 */
			{	/* SawC/code.scm 323 */
				obj_t BgL_arg2354z00_6195;

				{	/* SawC/code.scm 323 */
					obj_t BgL_tmpz00_8384;

					BgL_tmpz00_8384 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2354z00_6195 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_8384);
				}
				bgl_display_string(BGl_string2883z00zzsaw_c_codez00,
					BgL_arg2354z00_6195);
			}
			{	/* SawC/code.scm 324 */
				obj_t BgL_arg2355z00_6196;

				{	/* SawC/code.scm 324 */
					obj_t BgL_tmpz00_8388;

					BgL_tmpz00_8388 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2355z00_6196 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_8388);
				}
				bgl_display_string(BGl_string2884z00zzsaw_c_codez00,
					BgL_arg2355z00_6196);
			}
			{	/* SawC/code.scm 325 */
				obj_t BgL_arg2356z00_6197;

				{	/* SawC/code.scm 325 */
					obj_t BgL_tmpz00_8392;

					BgL_tmpz00_8392 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2356z00_6197 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_8392);
				}
				bgl_display_string(BGl_string2885z00zzsaw_c_codez00,
					BgL_arg2356z00_6197);
			}
			bgl_display_string(BGl_string2886z00zzsaw_c_codez00,
				BGl_za2czd2portza2zd2zzbackend_c_emitz00);
			bgl_display_string(BGl_string2887z00zzsaw_c_codez00,
				BGl_za2czd2portza2zd2zzbackend_c_emitz00);
			return bgl_display_string(BGl_string2888z00zzsaw_c_codez00,
				BGl_za2czd2portza2zd2zzbackend_c_emitz00);
		}

	}



/* &gen-expr-rtl_funcall1678 */
	obj_t BGl_z62genzd2exprzd2rtl_funcall1678z62zzsaw_c_codez00(obj_t
		BgL_envz00_5973, obj_t BgL_funz00_5974, obj_t BgL_argsz00_5975)
	{
		{	/* SawC/code.scm 282 */
			if (CBOOL(BGl_za2stdcza2z00zzengine_paramz00))
				{	/* SawC/code.scm 283 */
					{	/* SawC/code.scm 284 */
						obj_t BgL_arg2348z00_6199;

						{	/* SawC/code.scm 284 */
							obj_t BgL_tmpz00_8401;

							BgL_tmpz00_8401 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_arg2348z00_6199 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_8401);
						}
						bgl_display_string(BGl_string2889z00zzsaw_c_codez00,
							BgL_arg2348z00_6199);
					}
					{	/* SawC/code.scm 285 */
						obj_t BgL_arg2349z00_6200;

						BgL_arg2349z00_6200 = CAR(((obj_t) BgL_argsz00_5975));
						BGl_genzd2regzd2zzsaw_c_codez00(BgL_arg2349z00_6200);
					}
					{	/* SawC/code.scm 286 */
						obj_t BgL_arg2350z00_6201;

						{	/* SawC/code.scm 286 */
							obj_t BgL_tmpz00_8408;

							BgL_tmpz00_8408 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_arg2350z00_6201 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_8408);
						}
						bgl_display_string(BGl_string2890z00zzsaw_c_codez00,
							BgL_arg2350z00_6201);
					}
					BGl_genzd2Xfuncallzd2zzsaw_c_codez00(BGl_string2744z00zzsaw_c_codez00,
						BGl_za2objza2z00zztype_cachez00, BgL_argsz00_5975, ((bool_t) 1));
					{	/* SawC/code.scm 288 */
						obj_t BgL_arg2351z00_6202;

						{	/* SawC/code.scm 288 */
							obj_t BgL_tmpz00_8413;

							BgL_tmpz00_8413 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_arg2351z00_6202 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_8413);
						}
						bgl_display_string(BGl_string2891z00zzsaw_c_codez00,
							BgL_arg2351z00_6202);
					}
					BGl_genzd2Xfuncallzd2zzsaw_c_codez00(BGl_string2744z00zzsaw_c_codez00,
						BGl_za2objza2z00zztype_cachez00, BgL_argsz00_5975, ((bool_t) 0));
					{	/* SawC/code.scm 290 */
						obj_t BgL_arg2353z00_6203;

						{	/* SawC/code.scm 290 */
							obj_t BgL_tmpz00_8418;

							BgL_tmpz00_8418 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_arg2353z00_6203 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_8418);
						}
						return
							bgl_display_string(BGl_string2740z00zzsaw_c_codez00,
							BgL_arg2353z00_6203);
					}
				}
			else
				{	/* SawC/code.scm 283 */
					return
						BGl_genzd2Xfuncallzd2zzsaw_c_codez00
						(BGl_string2744z00zzsaw_c_codez00, BGl_za2objza2z00zztype_cachez00,
						BgL_argsz00_5975, ((bool_t) 1));
				}
		}

	}



/* &gen-expr-rtl_setfiel1676 */
	obj_t BGl_z62genzd2exprzd2rtl_setfiel1676z62zzsaw_c_codez00(obj_t
		BgL_envz00_5976, obj_t BgL_funz00_5977, obj_t BgL_argsz00_5978)
	{
		{	/* SawC/code.scm 269 */
			{	/* SawC/code.scm 270 */
				obj_t BgL_arg2331z00_6205;

				{	/* SawC/code.scm 270 */
					obj_t BgL_tmpz00_8423;

					BgL_tmpz00_8423 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2331z00_6205 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_8423);
				}
				bgl_display_string(BGl_string2892z00zzsaw_c_codez00,
					BgL_arg2331z00_6205);
			}
			{	/* SawC/code.scm 271 */
				obj_t BgL_arg2334z00_6206;
				obj_t BgL_arg2335z00_6207;

				BgL_arg2334z00_6206 =
					(((BgL_typez00_bglt) COBJECT(
							(((BgL_rtl_setfieldz00_bglt) COBJECT(
										((BgL_rtl_setfieldz00_bglt) BgL_funz00_5977)))->
								BgL_objtypez00)))->BgL_namez00);
				{	/* SawC/code.scm 271 */
					obj_t BgL_tmpz00_8430;

					BgL_tmpz00_8430 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2335z00_6207 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_8430);
				}
				bgl_display_obj(BgL_arg2334z00_6206, BgL_arg2335z00_6207);
			}
			{	/* SawC/code.scm 272 */
				obj_t BgL_arg2337z00_6208;

				{	/* SawC/code.scm 272 */
					obj_t BgL_tmpz00_8434;

					BgL_tmpz00_8434 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2337z00_6208 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_8434);
				}
				bgl_display_string(BGl_string2739z00zzsaw_c_codez00,
					BgL_arg2337z00_6208);
			}
			BGl_genzd2prefixzd2zzsaw_c_codez00(
				((BgL_rtl_funz00_bglt) ((BgL_rtl_setfieldz00_bglt) BgL_funz00_5977)));
			{	/* SawC/code.scm 274 */
				obj_t BgL_arg2338z00_6209;

				BgL_arg2338z00_6209 = CAR(((obj_t) BgL_argsz00_5978));
				BGl_genzd2regzd2zzsaw_c_codez00(BgL_arg2338z00_6209);
			}
			{	/* SawC/code.scm 275 */
				obj_t BgL_arg2340z00_6210;

				{	/* SawC/code.scm 275 */
					obj_t BgL_tmpz00_8444;

					BgL_tmpz00_8444 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2340z00_6210 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_8444);
				}
				bgl_display_string(BGl_string2893z00zzsaw_c_codez00,
					BgL_arg2340z00_6210);
			}
			{	/* SawC/code.scm 276 */
				obj_t BgL_arg2341z00_6211;
				obj_t BgL_arg2342z00_6212;

				BgL_arg2341z00_6211 =
					(((BgL_rtl_setfieldz00_bglt) COBJECT(
							((BgL_rtl_setfieldz00_bglt) BgL_funz00_5977)))->BgL_namez00);
				{	/* SawC/code.scm 276 */
					obj_t BgL_tmpz00_8450;

					BgL_tmpz00_8450 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2342z00_6212 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_8450);
				}
				bgl_display_obj(BgL_arg2341z00_6211, BgL_arg2342z00_6212);
			}
			{	/* SawC/code.scm 277 */
				obj_t BgL_arg2343z00_6213;

				{	/* SawC/code.scm 277 */
					obj_t BgL_tmpz00_8454;

					BgL_tmpz00_8454 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2343z00_6213 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_8454);
				}
				bgl_display_string(BGl_string2893z00zzsaw_c_codez00,
					BgL_arg2343z00_6213);
			}
			{	/* SawC/code.scm 278 */
				obj_t BgL_arg2345z00_6214;

				{	/* SawC/code.scm 278 */
					obj_t BgL_pairz00_6215;

					BgL_pairz00_6215 = CDR(((obj_t) BgL_argsz00_5978));
					BgL_arg2345z00_6214 = CAR(BgL_pairz00_6215);
				}
				BGl_genzd2regzd2zzsaw_c_codez00(BgL_arg2345z00_6214);
			}
			{	/* SawC/code.scm 279 */
				obj_t BgL_arg2346z00_6216;

				{	/* SawC/code.scm 279 */
					obj_t BgL_tmpz00_8462;

					BgL_tmpz00_8462 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2346z00_6216 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_8462);
				}
				return
					bgl_display_string(BGl_string2740z00zzsaw_c_codez00,
					BgL_arg2346z00_6216);
			}
		}

	}



/* &gen-expr-rtl_getfiel1674 */
	obj_t BGl_z62genzd2exprzd2rtl_getfiel1674z62zzsaw_c_codez00(obj_t
		BgL_envz00_5979, obj_t BgL_funz00_5980, obj_t BgL_argsz00_5981)
	{
		{	/* SawC/code.scm 259 */
			{	/* SawC/code.scm 260 */
				obj_t BgL_arg2319z00_6218;

				{	/* SawC/code.scm 260 */
					obj_t BgL_tmpz00_8466;

					BgL_tmpz00_8466 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2319z00_6218 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_8466);
				}
				bgl_display_string(BGl_string2894z00zzsaw_c_codez00,
					BgL_arg2319z00_6218);
			}
			{	/* SawC/code.scm 261 */
				obj_t BgL_arg2320z00_6219;
				obj_t BgL_arg2321z00_6220;

				BgL_arg2320z00_6219 =
					(((BgL_typez00_bglt) COBJECT(
							(((BgL_rtl_getfieldz00_bglt) COBJECT(
										((BgL_rtl_getfieldz00_bglt) BgL_funz00_5980)))->
								BgL_objtypez00)))->BgL_namez00);
				{	/* SawC/code.scm 261 */
					obj_t BgL_tmpz00_8473;

					BgL_tmpz00_8473 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2321z00_6220 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_8473);
				}
				bgl_display_obj(BgL_arg2320z00_6219, BgL_arg2321z00_6220);
			}
			{	/* SawC/code.scm 262 */
				obj_t BgL_arg2324z00_6221;

				{	/* SawC/code.scm 262 */
					obj_t BgL_tmpz00_8477;

					BgL_tmpz00_8477 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2324z00_6221 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_8477);
				}
				bgl_display_string(BGl_string2739z00zzsaw_c_codez00,
					BgL_arg2324z00_6221);
			}
			BGl_genzd2prefixzd2zzsaw_c_codez00(
				((BgL_rtl_funz00_bglt) ((BgL_rtl_getfieldz00_bglt) BgL_funz00_5980)));
			{	/* SawC/code.scm 264 */
				obj_t BgL_arg2325z00_6222;

				BgL_arg2325z00_6222 = CAR(((obj_t) BgL_argsz00_5981));
				BGl_genzd2regzd2zzsaw_c_codez00(BgL_arg2325z00_6222);
			}
			{	/* SawC/code.scm 265 */
				obj_t BgL_arg2326z00_6223;

				{	/* SawC/code.scm 265 */
					obj_t BgL_tmpz00_8487;

					BgL_tmpz00_8487 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2326z00_6223 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_8487);
				}
				bgl_display_string(BGl_string2739z00zzsaw_c_codez00,
					BgL_arg2326z00_6223);
			}
			{	/* SawC/code.scm 266 */
				obj_t BgL_arg2327z00_6224;
				obj_t BgL_arg2328z00_6225;

				BgL_arg2327z00_6224 =
					(((BgL_rtl_getfieldz00_bglt) COBJECT(
							((BgL_rtl_getfieldz00_bglt) BgL_funz00_5980)))->BgL_namez00);
				{	/* SawC/code.scm 266 */
					obj_t BgL_tmpz00_8493;

					BgL_tmpz00_8493 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2328z00_6225 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_8493);
				}
				bgl_display_obj(BgL_arg2327z00_6224, BgL_arg2328z00_6225);
			}
			{	/* SawC/code.scm 267 */
				obj_t BgL_arg2329z00_6226;

				{	/* SawC/code.scm 267 */
					obj_t BgL_tmpz00_8497;

					BgL_tmpz00_8497 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2329z00_6226 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_8497);
				}
				return
					bgl_display_string(BGl_string2740z00zzsaw_c_codez00,
					BgL_arg2329z00_6226);
			}
		}

	}



/* &gen-expr-rtl_lightfu1671 */
	obj_t BGl_z62genzd2exprzd2rtl_lightfu1671z62zzsaw_c_codez00(obj_t
		BgL_envz00_5982, obj_t BgL_funz00_5983, obj_t BgL_argsz00_5984)
	{
		{	/* SawC/code.scm 255 */
			return
				BGl_genzd2Xfuncallzd2zzsaw_c_codez00(BGl_string2895z00zzsaw_c_codez00,
				(((BgL_rtl_lightfuncallz00_bglt) COBJECT(
							((BgL_rtl_lightfuncallz00_bglt) BgL_funz00_5983)))->
					BgL_rettypez00), BgL_argsz00_5984, ((bool_t) 0));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_c_codez00(void)
	{
		{	/* SawC/code.scm 1 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string2896z00zzsaw_c_codez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2896z00zzsaw_c_codez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2896z00zzsaw_c_codez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2896z00zzsaw_c_codez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string2896z00zzsaw_c_codez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string2896z00zzsaw_c_codez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string2896z00zzsaw_c_codez00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(453414928L,
				BSTRING_TO_STRING(BGl_string2896z00zzsaw_c_codez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2896z00zzsaw_c_codez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(398780265L,
				BSTRING_TO_STRING(BGl_string2896z00zzsaw_c_codez00));
			BGl_modulezd2initializa7ationz75zzcnst_allocz00(117763019L,
				BSTRING_TO_STRING(BGl_string2896z00zzsaw_c_codez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2896z00zzsaw_c_codez00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string2896z00zzsaw_c_codez00));
			BGl_modulezd2initializa7ationz75zzbackend_cvmz00(18449009L,
				BSTRING_TO_STRING(BGl_string2896z00zzsaw_c_codez00));
			BGl_modulezd2initializa7ationz75zzbackend_c_emitz00(474089076L,
				BSTRING_TO_STRING(BGl_string2896z00zzsaw_c_codez00));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(404844772L,
				BSTRING_TO_STRING(BGl_string2896z00zzsaw_c_codez00));
			BGl_modulezd2initializa7ationz75zzsaw_woodcutterz00(352965511L,
				BSTRING_TO_STRING(BGl_string2896z00zzsaw_c_codez00));
			BGl_modulezd2initializa7ationz75zzsaw_node2rtlz00(20930040L,
				BSTRING_TO_STRING(BGl_string2896z00zzsaw_c_codez00));
			BGl_modulezd2initializa7ationz75zzsaw_exprz00(142709001L,
				BSTRING_TO_STRING(BGl_string2896z00zzsaw_c_codez00));
			BGl_modulezd2initializa7ationz75zzsaw_regsetz00(358079690L,
				BSTRING_TO_STRING(BGl_string2896z00zzsaw_c_codez00));
			BGl_modulezd2initializa7ationz75zzsaw_registerzd2allocationzd2(250697396L,
				BSTRING_TO_STRING(BGl_string2896z00zzsaw_c_codez00));
			return
				BGl_modulezd2initializa7ationz75zzsaw_bbvz00(263563890L,
				BSTRING_TO_STRING(BGl_string2896z00zzsaw_c_codez00));
		}

	}

#ifdef __cplusplus
}
#endif
