/*===========================================================================*/
/*   (SawJvm/code.scm)                                                       */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent SawJvm/code.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_SAW_JVM_CODE_TYPE_DEFINITIONS
#define BGL_SAW_JVM_CODE_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_jvmz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
		obj_t BgL_qnamez00;
		obj_t BgL_classesz00;
		obj_t BgL_currentzd2classzd2;
		obj_t BgL_declarationsz00;
		obj_t BgL_fieldsz00;
		obj_t BgL_methodsz00;
		obj_t BgL_currentzd2methodzd2;
		obj_t BgL_codez00;
		obj_t BgL_lightzd2funcallszd2;
		obj_t BgL_inlinez00;
	}             *BgL_jvmz00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_debugnamez00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_patternsz00;
	}                    *BgL_rtl_selectz00_bglt;

	typedef struct BgL_rtl_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_patternsz00;
		obj_t BgL_labelsz00;
	}                    *BgL_rtl_switchz00_bglt;

	typedef struct BgL_rtl_ifeqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifeqz00_bglt;

	typedef struct BgL_rtl_ifnez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifnez00_bglt;

	typedef struct BgL_rtl_goz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_toz00;
	}                *BgL_rtl_goz00_bglt;

	typedef struct BgL_rtl_loadiz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_atomz00_bgl *BgL_constantz00;
	}                   *BgL_rtl_loadiz00_bglt;

	typedef struct BgL_rtl_loadgz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                   *BgL_rtl_loadgz00_bglt;

	typedef struct BgL_rtl_loadfunz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                     *BgL_rtl_loadfunz00_bglt;

	typedef struct BgL_rtl_globalrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                       *BgL_rtl_globalrefz00_bglt;

	typedef struct BgL_rtl_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_getfieldz00_bglt;

	typedef struct BgL_rtl_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_rtl_vallocz00_bglt;

	typedef struct BgL_rtl_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vrefz00_bglt;

	typedef struct BgL_rtl_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                        *BgL_rtl_instanceofz00_bglt;

	typedef struct BgL_rtl_makeboxz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                     *BgL_rtl_makeboxz00_bglt;

	typedef struct BgL_rtl_storegz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                    *BgL_rtl_storegz00_bglt;

	typedef struct BgL_rtl_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_setfieldz00_bglt;

	typedef struct BgL_rtl_vsetz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vsetz00_bglt;

	typedef struct BgL_rtl_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_constrz00;
	}                 *BgL_rtl_newz00_bglt;

	typedef struct BgL_rtl_callz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                  *BgL_rtl_callz00_bglt;

	typedef struct BgL_rtl_lightfuncallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_funsz00;
		obj_t BgL_rettypez00;
	}                          *BgL_rtl_lightfuncallz00_bglt;

	typedef struct BgL_rtl_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_totypez00;
		struct BgL_typez00_bgl *BgL_fromtypez00;
	}                  *BgL_rtl_castz00_bglt;

	typedef struct BgL_rtl_cast_nullz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                       *BgL_rtl_cast_nullz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;

	typedef struct BgL_indexedz00_bgl
	{
		int BgL_indexz00;
	}                 *BgL_indexedz00_bglt;

	typedef struct BgL_lregz00_bgl
	{
		obj_t BgL_idz00;
	}              *BgL_lregz00_bglt;

	typedef struct BgL_liveblockz00_bgl
	{
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                   *BgL_liveblockz00_bglt;


#endif													// BGL_SAW_JVM_CODE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_za2lastzd2lineza2zd2zzsaw_jvm_codez00 = BUNSPEC;
	static bool_t BGl_fixpointze70ze7zzsaw_jvm_codez00(obj_t, obj_t);
	extern obj_t BGl_rtl_funcallz00zzsaw_defsz00;
	static obj_t BGl_z62genzd2funzd2rtl_boxset1760z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_funz00zzsaw_defsz00;
	extern obj_t BGl_rtl_newz00zzsaw_defsz00;
	BGL_EXPORTED_DECL obj_t BGl_genzd2exprzd2zzsaw_jvm_codez00(BgL_jvmz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_boxref1758z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	static BgL_blockz00_bglt BGl_livezd2initzd2zzsaw_jvm_codez00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_jvm_codez00 = BUNSPEC;
	static obj_t
		BGl_genzd2funzd2withzd2argszd2zzsaw_jvm_codez00(BgL_rtl_funz00_bglt, obj_t,
		obj_t);
	static obj_t
		BGl_z62genzd2argszd2genzd2funzd2rtl1714z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62genzd2argszd2genzd2funzd2rtl1716z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_genzd2inszd2zzsaw_jvm_codez00(BgL_jvmz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_instance1750z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62genzd2argszd2genzd2funzb0zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_boxrefz00zzsaw_defsz00;
	static obj_t
		BGl_z62genzd2argszd2genzd2funzd2rtl1722z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_pushzd2stringzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32110ze3ze5zzsaw_jvm_codez00(obj_t,
		obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_cast1752z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_genzd2funzd2zzsaw_jvm_codez00(BgL_rtl_funz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_storeg1710z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_vrefz00zzsaw_defsz00;
	static obj_t BGl_toplevelzd2initzd2zzsaw_jvm_codez00(void);
	static obj_t BGl_exprze70ze7zzsaw_jvm_codez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62genzd2funzd2withzd2args1697zb0zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_protecte1769z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_protectz00zzsaw_defsz00;
	extern obj_t BGl_rtl_ifeqz00zzsaw_defsz00;
	static obj_t
		BGl_z62genzd2argszd2genzd2funzd2rtl1744z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_boxsetz00zzsaw_defsz00;
	extern obj_t BGl_rtl_vlengthz00zzsaw_defsz00;
	extern obj_t BGl_loadzd2fieldzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_typez00_bglt, BgL_typez00_bglt, obj_t);
	static obj_t BGl_z62modulezd2codezb0zzsaw_jvm_codez00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_rtl_makeboxz00zzsaw_defsz00;
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzsaw_jvm_codez00(void);
	static obj_t BGl_regzd2ze3lregze70zd6zzsaw_jvm_codez00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62genzd2argszd2genzd2funzd2rtl1756z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_vsetz00zzsaw_defsz00;
	static obj_t BGl_objectzd2initzd2zzsaw_jvm_codez00(void);
	static obj_t BGl_z62genzd2funzd2rtl_cast_nul1754z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_2zf2zf2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_fail1764z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static bool_t BGl_za2hasprotectza2z00zzsaw_jvm_codez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_rtl_lightfuncallz00zzsaw_defsz00;
	extern obj_t BGl_rtl_regz00zzsaw_defsz00;
	extern obj_t BGl_rtl_vallocz00zzsaw_defsz00;
	extern obj_t BGl_rtl_cast_nullz00zzsaw_defsz00;
	extern obj_t BGl_compilezd2typezd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_rtl_loadfunz00zzsaw_defsz00;
	static obj_t BGl_livezd2resetzd2zzsaw_jvm_codez00(BgL_jvmz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_rtl_movz00zzsaw_defsz00;
	static obj_t BGl_getzd2localszd2zzsaw_jvm_codez00(obj_t, obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_mov1704z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_nopz00zzsaw_defsz00;
	static obj_t BGl_methodzd2initzd2zzsaw_jvm_codez00(void);
	static obj_t BGl_livezd2argze70z35zzsaw_jvm_codez00(obj_t, obj_t);
	extern obj_t BGl_rtl_jumpexitz00zzsaw_defsz00;
	static obj_t BGl_z62genzd2funzd2rtl_apply1734z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_outzd2linezd2zzsaw_jvm_codez00(obj_t, BgL_rtl_funz00_bglt);
	extern obj_t BGl_labelz00zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	extern obj_t BGl_rtl_switchz00zzsaw_defsz00;
	extern obj_t BGl_rtl_goz00zzsaw_defsz00;
	static obj_t BGl_z62genzd2funzd2rtl_vset1738z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_branchz00zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t, obj_t);
	extern obj_t BGl_rtl_ifnez00zzsaw_defsz00;
	static obj_t BGl_z62genzd2funzd2rtl_vlength1740z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_storezd2regzd2zzsaw_jvm_codez00(BgL_jvmz00_bglt, obj_t);
	static obj_t BGl_z62genzd2funzd2withzd2argszb0zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_instanceofz00zzsaw_defsz00;
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_rtl_setfieldz00zzsaw_defsz00;
	static obj_t BGl_z62genzd2funzd2rtl_vref1736z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_callzd2globalzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	extern obj_t BGl_pushzd2numzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_loadg1708z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_callz00zzsaw_defsz00;
	static obj_t
		BGl_genzd2argszd2genzd2predicatezd2zzsaw_jvm_codez00(BgL_rtl_funz00_bglt,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t
		BGl_inlinezd2callzd2withzd2argszf3z21zzsaw_jvm_inlinez00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt, obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2105z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2108z62zzsaw_jvm_codez00(obj_t, obj_t);
	static bool_t BGl_za2protectresultza2z00zzsaw_jvm_codez00;
	static obj_t BGl_livezd2argsze70z35zzsaw_jvm_codez00(obj_t, obj_t);
	static bool_t BGl_livezd2fixzd2zzsaw_jvm_codez00(obj_t);
	extern obj_t BGl_rtl_storegz00zzsaw_defsz00;
	static obj_t BGl_z62genzd2argszd2genzd2fun1694zb0zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2111z62zzsaw_jvm_codez00(obj_t, obj_t);
	extern obj_t BGl_declarezd2globalzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	static bool_t BGl_includeze70ze7zzsaw_jvm_codez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2118z62zzsaw_jvm_codez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2119z62zzsaw_jvm_codez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_jumpexit1762z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_storezd2fieldzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_typez00_bglt, BgL_typez00_bglt, obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_valloc1742z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_lastz00zzsaw_defsz00;
	static obj_t BGl_livezd2instrsze70z35zzsaw_jvm_codez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32270ze3ze5zzsaw_jvm_codez00(obj_t);
	static obj_t BGl_z62lambda2123z62zzsaw_jvm_codez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2124z62zzsaw_jvm_codez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_returnz00zzsaw_defsz00;
	static obj_t BGl_check_funze70ze7zzsaw_jvm_codez00(obj_t);
	extern obj_t BGl_rtl_applyz00zzsaw_defsz00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_jvm_codez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzjas_asz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_inlinez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_funcallz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_outz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_namesz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_bvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__ucs2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_protect1767z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_intifyz00zzsaw_jvm_codez00(obj_t);
	static obj_t BGl_z62genzd2argszd2genzd2predica1770zb0zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_za2jvmzd2debugza2zd2zzengine_paramz00;
	static obj_t BGl_z62genzd2funzb0zzsaw_jvm_codez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62genzd2argszd2genzd2predica1773zb0zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_flatz00zzsaw_jvm_codez00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_loadfun1732z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	extern obj_t BGl_rtl_loadgz00zzsaw_defsz00;
	static bool_t BGl_zc3z04anonymousza31940ze3ze70z60zzsaw_jvm_codez00(obj_t,
		obj_t);
	static obj_t BGl_Lze70ze7zzsaw_jvm_codez00(obj_t);
	extern obj_t BGl_rtl_loadiz00zzsaw_defsz00;
	extern obj_t BGl_codez12z12zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_getfield1746z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_notseqz00zzsaw_defsz00;
	extern obj_t BGl_rtl_failz00zzsaw_defsz00;
	static obj_t BGl_z62zc3z04anonymousza32184ze3ze5zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzsaw_jvm_codez00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_codez00(void);
	extern obj_t BGl_inlinezd2predicatezf3z21zzsaw_jvm_inlinez00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt, obj_t, obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_lightfun1726z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_lregz00zzsaw_jvm_codez00 = BUNSPEC;
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_codez00(void);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_jvm_codez00(void);
	static BgL_rtl_regz00_bglt BGl_z62lambda2084z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_remq(obj_t, obj_t);
	static BgL_rtl_regz00_bglt BGl_z62lambda2087z62zzsaw_jvm_codez00(obj_t,
		obj_t);
	extern obj_t BGl_rtl_castz00zzsaw_defsz00;
	static obj_t BGl_z62genzd2funzd2rtl_nop1702z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_loadi1706z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62genzd2exprzb0zzsaw_jvm_codez00(obj_t, obj_t, obj_t);
	static BgL_rtl_regz00_bglt BGl_z62lambda2090z62zzsaw_jvm_codez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32089ze3ze5zzsaw_jvm_codez00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2097z62zzsaw_jvm_codez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2098z62zzsaw_jvm_codez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_globalrefz00zzsaw_defsz00;
	static obj_t BGl_za2bexitregza2z00zzsaw_jvm_codez00 = BUNSPEC;
	static obj_t BGl_z62genzd2funzd2rtl_switch1720z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_newobjz00zzsaw_jvm_outz00(BgL_jvmz00_bglt, BgL_typez00_bglt,
		obj_t, obj_t);
	extern obj_t BGl_rtl_getfieldz00zzsaw_defsz00;
	static obj_t BGl_z62genzd2funzd2rtl_setfield1748z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62genzd2funzd2withzd2argszd2rt1728z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62genzd2argszd2genzd2predicatezb0zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t
		BGl_z62genzd2funzd2withzd2argszd2rt1730z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t, obj_t);
	extern int BGl_siza7ezd2destz75zzsaw_jvm_typez00(obj_t);
	extern obj_t BGl_rtl_effectz00zzsaw_defsz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_loadzd2regzd2zzsaw_jvm_codez00(obj_t, obj_t);
	static obj_t BGl_genzd2funcallzd2zzsaw_jvm_codez00(obj_t, obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_go1718z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_liveblockz00zzsaw_jvm_codez00 = BUNSPEC;
	extern obj_t BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_za2jvmzd2charzd2infoza2z00zzjas_asz00;
	static obj_t BGl_doubleze70ze7zzsaw_jvm_codez00(obj_t);
	static obj_t
		BGl_genzd2argszd2genzd2funzd2zzsaw_jvm_codez00(BgL_rtl_funz00_bglt, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_localvarz00zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_call1724z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2codezd2zzsaw_jvm_codez00(BgL_jvmz00_bglt,
		obj_t, obj_t);
	extern obj_t BGl_pushzd2intzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	extern obj_t BGl_rtl_protectedz00zzsaw_defsz00;
	extern obj_t BGl_blockz00zzsaw_defsz00;
	static obj_t BGl_z62genzd2fun1699zb0zzsaw_jvm_codez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2purifyza2z00zzengine_paramz00;
	static obj_t BGl_z62genzd2funzd2rtl_globalre1712z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_inlinezd2callzf3z21zzsaw_jvm_inlinez00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	static obj_t __cnst[113];


	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7b0za72587z00,
		BGl_z62genzd2funzb0zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2514z00zzsaw_jvm_codez00,
		BgL_bgl_string2514za700za7za7s2588za7, "P", 1);
	      DEFINE_STRING(BGl_string2515z00zzsaw_jvm_codez00,
		BgL_bgl_string2515za700za7za7s2589za7, "V", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2516z00zzsaw_jvm_codez00,
		BgL_bgl_za762lambda2098za7622590z00, BGl_z62lambda2098z62zzsaw_jvm_codez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2517z00zzsaw_jvm_codez00,
		BgL_bgl_za762lambda2097za7622591z00, BGl_z62lambda2097z62zzsaw_jvm_codez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2518z00zzsaw_jvm_codez00,
		BgL_bgl_za762lambda2090za7622592z00, BGl_z62lambda2090z62zzsaw_jvm_codez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2519z00zzsaw_jvm_codez00,
		BgL_bgl_za762za7c3za704anonymo2593za7,
		BGl_z62zc3z04anonymousza32089ze3ze5zzsaw_jvm_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2520z00zzsaw_jvm_codez00,
		BgL_bgl_za762lambda2087za7622594z00, BGl_z62lambda2087z62zzsaw_jvm_codez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2521z00zzsaw_jvm_codez00,
		BgL_bgl_za762lambda2084za7622595z00, BGl_z62lambda2084z62zzsaw_jvm_codez00,
		0L, BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2522z00zzsaw_jvm_codez00,
		BgL_bgl_za762lambda2119za7622596z00, BGl_z62lambda2119z62zzsaw_jvm_codez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2523z00zzsaw_jvm_codez00,
		BgL_bgl_za762lambda2118za7622597z00, BGl_z62lambda2118z62zzsaw_jvm_codez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2524z00zzsaw_jvm_codez00,
		BgL_bgl_za762lambda2124za7622598z00, BGl_z62lambda2124z62zzsaw_jvm_codez00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2531z00zzsaw_jvm_codez00,
		BgL_bgl_string2531za700za7za7s2599za7, "gen-args-gen-fun1694", 20);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2525z00zzsaw_jvm_codez00,
		BgL_bgl_za762lambda2123za7622600z00, BGl_z62lambda2123z62zzsaw_jvm_codez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2526z00zzsaw_jvm_codez00,
		BgL_bgl_za762lambda2111za7622601z00, BGl_z62lambda2111z62zzsaw_jvm_codez00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2533z00zzsaw_jvm_codez00,
		BgL_bgl_string2533za700za7za7s2602za7, "gen-fun-with-args1697", 21);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2527z00zzsaw_jvm_codez00,
		BgL_bgl_za762za7c3za704anonymo2603za7,
		BGl_z62zc3z04anonymousza32110ze3ze5zzsaw_jvm_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2528z00zzsaw_jvm_codez00,
		BgL_bgl_za762lambda2108za7622604z00, BGl_z62lambda2108z62zzsaw_jvm_codez00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2535z00zzsaw_jvm_codez00,
		BgL_bgl_string2535za700za7za7s2605za7, "gen-fun1699", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2529z00zzsaw_jvm_codez00,
		BgL_bgl_za762lambda2105za7622606z00, BGl_z62lambda2105z62zzsaw_jvm_codez00,
		0L, BUNSPEC, 6);
	      DEFINE_STRING(BGl_string2537z00zzsaw_jvm_codez00,
		BgL_bgl_string2537za700za7za7s2607za7, "gen-args-gen-predica1770", 24);
	      DEFINE_STRING(BGl_string2538z00zzsaw_jvm_codez00,
		BgL_bgl_string2538za700za7za7s2608za7, "No method for this object", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2530z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2argsza7d22609za7,
		BGl_z62genzd2argszd2genzd2fun1694zb0zzsaw_jvm_codez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2532z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2w2610za7,
		BGl_z62genzd2funzd2withzd2args1697zb0zzsaw_jvm_codez00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2540z00zzsaw_jvm_codez00,
		BgL_bgl_string2540za700za7za7s2611za7, "gen-fun", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2534z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2fun16992612z00,
		BGl_z62genzd2fun1699zb0zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2536z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2argsza7d22613za7,
		BGl_z62genzd2argszd2genzd2predica1770zb0zzsaw_jvm_codez00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2539z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2614za7,
		BGl_z62genzd2funzd2rtl_nop1702z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2547z00zzsaw_jvm_codez00,
		BgL_bgl_string2547za700za7za7s2615za7, "gen-args-gen-fun", 16);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2541z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2616za7,
		BGl_z62genzd2funzd2rtl_mov1704z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2542z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2617za7,
		BGl_z62genzd2funzd2rtl_loadi1706z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2543z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2618za7,
		BGl_z62genzd2funzd2rtl_loadg1708z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2544z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2619za7,
		BGl_z62genzd2funzd2rtl_storeg1710z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2545z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2620za7,
		BGl_z62genzd2funzd2rtl_globalre1712z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2546z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2argsza7d22621za7,
		BGl_z62genzd2argszd2genzd2funzd2rtl1714z62zzsaw_jvm_codez00, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2548z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2argsza7d22622za7,
		BGl_z62genzd2argszd2genzd2funzd2rtl1716z62zzsaw_jvm_codez00, 0L, BUNSPEC,
		3);
	      DEFINE_STRING(BGl_string2555z00zzsaw_jvm_codez00,
		BgL_bgl_string2555za700za7za7s2623za7, "gen-fun-with-args", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2549z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2624za7,
		BGl_z62genzd2funzd2rtl_go1718z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2550z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2625za7,
		BGl_z62genzd2funzd2rtl_switch1720z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2551z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2argsza7d22626za7,
		BGl_z62genzd2argszd2genzd2funzd2rtl1722z62zzsaw_jvm_codez00, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2552z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2627za7,
		BGl_z62genzd2funzd2rtl_call1724z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2553z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2628za7,
		BGl_z62genzd2funzd2rtl_lightfun1726z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2554z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2w2629za7,
		BGl_z62genzd2funzd2withzd2argszd2rt1728z62zzsaw_jvm_codez00, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2556z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2w2630za7,
		BGl_z62genzd2funzd2withzd2argszd2rt1730z62zzsaw_jvm_codez00, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2557z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2631za7,
		BGl_z62genzd2funzd2rtl_loadfun1732z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2558z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2632za7,
		BGl_z62genzd2funzd2rtl_apply1734z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2559z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2633za7,
		BGl_z62genzd2funzd2rtl_vref1736z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_genzd2funzd2withzd2argszd2envz00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2w2634za7,
		BGl_z62genzd2funzd2withzd2argszb0zzsaw_jvm_codez00, 0L, BUNSPEC, 3);
	      DEFINE_REAL(BGl_real2580z00zzsaw_jvm_codez00,
		BgL_bgl_real2580za700za7za7saw2635za7, 0.75);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2560z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2636za7,
		BGl_z62genzd2funzd2rtl_vset1738z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2561z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2637za7,
		BGl_z62genzd2funzd2rtl_vlength1740z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2562z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2638za7,
		BGl_z62genzd2funzd2rtl_valloc1742z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2563z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2argsza7d22639za7,
		BGl_z62genzd2argszd2genzd2funzd2rtl1744z62zzsaw_jvm_codez00, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2564z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2640za7,
		BGl_z62genzd2funzd2rtl_getfield1746z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2565z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2641za7,
		BGl_z62genzd2funzd2rtl_setfield1748z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2566z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2642za7,
		BGl_z62genzd2funzd2rtl_instance1750z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2567z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2643za7,
		BGl_z62genzd2funzd2rtl_cast1752z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2568z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2644za7,
		BGl_z62genzd2funzd2rtl_cast_nul1754z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2569z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2argsza7d22645za7,
		BGl_z62genzd2argszd2genzd2funzd2rtl1756z62zzsaw_jvm_codez00, 0L, BUNSPEC,
		3);
	      DEFINE_STRING(BGl_string2577z00zzsaw_jvm_codez00,
		BgL_bgl_string2577za700za7za7s2646za7, "gen-args-gen-predicate", 22);
	      DEFINE_STRING(BGl_string2578z00zzsaw_jvm_codez00,
		BgL_bgl_string2578za700za7za7s2647za7, "I", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2570z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2648za7,
		BGl_z62genzd2funzd2rtl_boxref1758z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2571z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2649za7,
		BGl_z62genzd2funzd2rtl_boxset1760z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2572z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2650za7,
		BGl_z62genzd2funzd2rtl_jumpexit1762z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2573z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2651za7,
		BGl_z62genzd2funzd2rtl_fail1764z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2574z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2652za7,
		BGl_z62genzd2funzd2rtl_protect1767z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2581z00zzsaw_jvm_codez00,
		BgL_bgl_string2581za700za7za7s2653za7, "L", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2575z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2654za7,
		BGl_z62genzd2funzd2rtl_protecte1769z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2582z00zzsaw_jvm_codez00,
		BgL_bgl_string2582za700za7za7s2655za7, "loadi", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2576z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2argsza7d22656za7,
		BGl_z62genzd2argszd2genzd2predica1773zb0zzsaw_jvm_codez00, 0L, BUNSPEC, 5);
	      DEFINE_STRING(BGl_string2583z00zzsaw_jvm_codez00,
		BgL_bgl_string2583za700za7za7s2657za7, "bad atom value", 14);
	      DEFINE_STRING(BGl_string2584z00zzsaw_jvm_codez00,
		BgL_bgl_string2584za700za7za7s2658za7, "saw_jvm_code", 12);
	      DEFINE_STRING(BGl_string2585z00zzsaw_jvm_codez00,
		BgL_bgl_string2585za700za7za7s2659za7,
		"(invokespecial init_bucs2) (new bucs2) (getstatic *key*) (getstatic *rest*) (getstatic *optional*) (getstatic *eof*) (invokestatic getbytes) getstatic putstatic (putfield procindex) (invokespecial init) (new me) tableswitch lookupswitch if_icmpne else invokestatic (dreturn) (freturn) (lreturn) (ireturn) (return) void (aaload) (daload) (faload) (laload) (iaload) (saload) (caload) (baload) (aastore) (dastore) (fastore) (lastore) (iastore) (sastore) (castore) (bastore) (arraylength) anewarray newarray goto instanceof checkcast aconst_null fconst_0 (invokespecial init_cell) (dup) (new cell) (getfield ccar) (putfield ccar) (checkcast throwable) (invokestatic jumpexit) (athrow) (invokestatic fail) (invokestatic setexit) ok not-inlined gen-fun1699 ifeq ifne liveblock out in saw_jvm_code lreg obj id (invokevirtual pfuncall4) (invokevirtual pfuncall3) (invokevirtual pfuncall2) (invokevirtual pfuncall1) (invokevirtual pfuncall0) (invokevirtual papply) (invokestatic cons) (getstatic *nil*) line location astore dstore fs"
		"tore lstore istore aload dload fload float lload iload int short char byte boolean from (pop) (pop2) (getstatic *unspecified*) no-value _ long double (invokestatic java_exception_handler) catch2 (areturn) (invokestatic debug_handler) (checkcast exit) catch end begin (handler from catch catch2 throwable) (handler from catch catch bexception) ",
		1367);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2579z00zzsaw_jvm_codez00,
		BgL_bgl_za762za7c3za704anonymo2660za7,
		BGl_z62zc3z04anonymousza32184ze3ze5zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_genzd2argszd2genzd2predicatezd2envz00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2argsza7d22661za7,
		BGl_z62genzd2argszd2genzd2predicatezb0zzsaw_jvm_codez00, 0L, BUNSPEC, 5);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_modulezd2codezd2envz00zzsaw_jvm_codez00,
		BgL_bgl_za762moduleza7d2code2662z00,
		BGl_z62modulezd2codezb0zzsaw_jvm_codez00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_genzd2exprzd2envz00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2exprza7b02663za7,
		BGl_z62genzd2exprzb0zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_genzd2argszd2genzd2funzd2envz00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2argsza7d22664za7,
		BGl_z62genzd2argszd2genzd2funzb0zzsaw_jvm_codez00, 0L, BUNSPEC, 3);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_za2lastzd2lineza2zd2zzsaw_jvm_codez00));
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzsaw_jvm_codez00));
		     ADD_ROOT((void *) (&BGl_lregz00zzsaw_jvm_codez00));
		     ADD_ROOT((void *) (&BGl_za2bexitregza2z00zzsaw_jvm_codez00));
		     ADD_ROOT((void *) (&BGl_liveblockz00zzsaw_jvm_codez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_codez00(long
		BgL_checksumz00_5965, char *BgL_fromz00_5966)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_jvm_codez00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_jvm_codez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_jvm_codez00();
					BGl_libraryzd2moduleszd2initz00zzsaw_jvm_codez00();
					BGl_cnstzd2initzd2zzsaw_jvm_codez00();
					BGl_importedzd2moduleszd2initz00zzsaw_jvm_codez00();
					BGl_objectzd2initzd2zzsaw_jvm_codez00();
					BGl_genericzd2initzd2zzsaw_jvm_codez00();
					BGl_methodzd2initzd2zzsaw_jvm_codez00();
					return BGl_toplevelzd2initzd2zzsaw_jvm_codez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_codez00(void)
	{
		{	/* SawJvm/code.scm 1 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L, "saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(0L,
				"saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__ucs2z00(0L, "saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(0L,
				"saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(0L,
				"saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(0L,
				"saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__structurez00(0L, "saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "saw_jvm_code");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_jvm_codez00(void)
	{
		{	/* SawJvm/code.scm 1 */
			{	/* SawJvm/code.scm 1 */
				obj_t BgL_cportz00_5667;

				{	/* SawJvm/code.scm 1 */
					obj_t BgL_stringz00_5674;

					BgL_stringz00_5674 = BGl_string2585z00zzsaw_jvm_codez00;
					{	/* SawJvm/code.scm 1 */
						obj_t BgL_startz00_5675;

						BgL_startz00_5675 = BINT(0L);
						{	/* SawJvm/code.scm 1 */
							obj_t BgL_endz00_5676;

							BgL_endz00_5676 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_5674)));
							{	/* SawJvm/code.scm 1 */

								BgL_cportz00_5667 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_5674, BgL_startz00_5675, BgL_endz00_5676);
				}}}}
				{
					long BgL_iz00_5668;

					BgL_iz00_5668 = 112L;
				BgL_loopz00_5669:
					if ((BgL_iz00_5668 == (-1L)))
						{	/* SawJvm/code.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawJvm/code.scm 1 */
							{	/* SawJvm/code.scm 1 */
								obj_t BgL_arg2586z00_5670;

								{	/* SawJvm/code.scm 1 */

									{	/* SawJvm/code.scm 1 */
										obj_t BgL_locationz00_5672;

										BgL_locationz00_5672 = BBOOL(((bool_t) 0));
										{	/* SawJvm/code.scm 1 */

											BgL_arg2586z00_5670 =
												BGl_readz00zz__readerz00(BgL_cportz00_5667,
												BgL_locationz00_5672);
										}
									}
								}
								{	/* SawJvm/code.scm 1 */
									int BgL_tmpz00_6006;

									BgL_tmpz00_6006 = (int) (BgL_iz00_5668);
									CNST_TABLE_SET(BgL_tmpz00_6006, BgL_arg2586z00_5670);
							}}
							{	/* SawJvm/code.scm 1 */
								int BgL_auxz00_5673;

								BgL_auxz00_5673 = (int) ((BgL_iz00_5668 - 1L));
								{
									long BgL_iz00_6011;

									BgL_iz00_6011 = (long) (BgL_auxz00_5673);
									BgL_iz00_5668 = BgL_iz00_6011;
									goto BgL_loopz00_5669;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_jvm_codez00(void)
	{
		{	/* SawJvm/code.scm 1 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_jvm_codez00(void)
	{
		{	/* SawJvm/code.scm 1 */
			BGl_za2hasprotectza2z00zzsaw_jvm_codez00 = ((bool_t) 0);
			BGl_za2protectresultza2z00zzsaw_jvm_codez00 = ((bool_t) 0);
			BGl_za2bexitregza2z00zzsaw_jvm_codez00 = BFALSE;
			BGl_za2lastzd2lineza2zd2zzsaw_jvm_codez00 = BINT((-1L));
			return BUNSPEC;
		}

	}



/* module-code */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2codezd2zzsaw_jvm_codez00(BgL_jvmz00_bglt
		BgL_mez00_71, obj_t BgL_paramsz00_72, obj_t BgL_lz00_73)
	{
		{	/* SawJvm/code.scm 46 */
			{	/* SawJvm/code.scm 47 */
				obj_t BgL_locsz00_2766;

				BgL_locsz00_2766 =
					BGl_getzd2localszd2zzsaw_jvm_codez00(BgL_paramsz00_72, BgL_lz00_73);
				BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_mez00_71,
					BGl_doubleze70ze7zzsaw_jvm_codez00(BgL_paramsz00_72),
					BGl_doubleze70ze7zzsaw_jvm_codez00(BgL_locsz00_2766));
			}
			if (BGl_za2hasprotectza2z00zzsaw_jvm_codez00)
				{	/* SawJvm/code.scm 57 */
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_71,
						((obj_t) CNST_TABLE_REF(0)));
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_71,
						((obj_t) CNST_TABLE_REF(1)));
				}
			else
				{	/* SawJvm/code.scm 57 */
					BFALSE;
				}
			{	/* SawJvm/code.scm 62 */
				obj_t BgL_pendingz00_2783;

				BgL_pendingz00_2783 = BUNSPEC;
				if (CBOOL(BGl_za2jvmzd2debugza2zd2zzengine_paramz00))
					{	/* SawJvm/code.scm 63 */
						BGl_labelz00zzsaw_jvm_outz00(BgL_mez00_71,
							((obj_t) CNST_TABLE_REF(2)));
						{
							obj_t BgL_l1622z00_2785;

							BgL_l1622z00_2785 = BgL_lz00_73;
						BgL_zc3z04anonymousza31826ze3z87_2786:
							if (PAIRP(BgL_l1622z00_2785))
								{	/* SawJvm/code.scm 65 */
									BGl_livezd2initzd2zzsaw_jvm_codez00(CAR(BgL_l1622z00_2785));
									{
										obj_t BgL_l1622z00_6035;

										BgL_l1622z00_6035 = CDR(BgL_l1622z00_2785);
										BgL_l1622z00_2785 = BgL_l1622z00_6035;
										goto BgL_zc3z04anonymousza31826ze3z87_2786;
									}
								}
							else
								{	/* SawJvm/code.scm 65 */
									((bool_t) 1);
								}
						}
						{
							obj_t BgL_l1624z00_2792;

							BgL_l1624z00_2792 = BgL_lz00_73;
						BgL_zc3z04anonymousza31835ze3z87_2793:
							if (PAIRP(BgL_l1624z00_2792))
								{	/* SawJvm/code.scm 66 */
									BGl_livezd2fixzd2zzsaw_jvm_codez00(CAR(BgL_l1624z00_2792));
									{
										obj_t BgL_l1624z00_6041;

										BgL_l1624z00_6041 = CDR(BgL_l1624z00_2792);
										BgL_l1624z00_2792 = BgL_l1624z00_6041;
										goto BgL_zc3z04anonymousza31835ze3z87_2793;
									}
								}
							else
								{	/* SawJvm/code.scm 66 */
									((bool_t) 1);
								}
						}
						if (NULLP(BgL_paramsz00_72))
							{	/* SawJvm/code.scm 67 */
								BgL_pendingz00_2783 = BNIL;
							}
						else
							{	/* SawJvm/code.scm 67 */
								obj_t BgL_head1628z00_2800;

								BgL_head1628z00_2800 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1626z00_2802;
									obj_t BgL_tail1629z00_2803;

									BgL_l1626z00_2802 = BgL_paramsz00_72;
									BgL_tail1629z00_2803 = BgL_head1628z00_2800;
								BgL_zc3z04anonymousza31847ze3z87_2804:
									if (NULLP(BgL_l1626z00_2802))
										{	/* SawJvm/code.scm 67 */
											BgL_pendingz00_2783 = CDR(BgL_head1628z00_2800);
										}
									else
										{	/* SawJvm/code.scm 67 */
											obj_t BgL_newtail1630z00_2806;

											{	/* SawJvm/code.scm 67 */
												obj_t BgL_arg1852z00_2808;

												{	/* SawJvm/code.scm 67 */
													obj_t BgL_pz00_2809;

													BgL_pz00_2809 = CAR(((obj_t) BgL_l1626z00_2802));
													BgL_arg1852z00_2808 =
														MAKE_YOUNG_PAIR(BgL_pz00_2809,
														((obj_t) CNST_TABLE_REF(2)));
												}
												BgL_newtail1630z00_2806 =
													MAKE_YOUNG_PAIR(BgL_arg1852z00_2808, BNIL);
											}
											SET_CDR(BgL_tail1629z00_2803, BgL_newtail1630z00_2806);
											{	/* SawJvm/code.scm 67 */
												obj_t BgL_arg1851z00_2807;

												BgL_arg1851z00_2807 = CDR(((obj_t) BgL_l1626z00_2802));
												{
													obj_t BgL_tail1629z00_6059;
													obj_t BgL_l1626z00_6058;

													BgL_l1626z00_6058 = BgL_arg1851z00_2807;
													BgL_tail1629z00_6059 = BgL_newtail1630z00_2806;
													BgL_tail1629z00_2803 = BgL_tail1629z00_6059;
													BgL_l1626z00_2802 = BgL_l1626z00_6058;
													goto BgL_zc3z04anonymousza31847ze3z87_2804;
												}
											}
										}
								}
							}
					}
				else
					{	/* SawJvm/code.scm 63 */
						BFALSE;
					}
				{
					obj_t BgL_l1634z00_2812;

					BgL_l1634z00_2812 = BgL_lz00_73;
				BgL_zc3z04anonymousza31853ze3z87_2813:
					if (PAIRP(BgL_l1634z00_2812))
						{	/* SawJvm/code.scm 68 */
							{	/* SawJvm/code.scm 69 */
								obj_t BgL_bz00_2815;

								BgL_bz00_2815 = CAR(BgL_l1634z00_2812);
								{	/* SawJvm/code.scm 69 */
									int BgL_arg1856z00_2816;

									BgL_arg1856z00_2816 =
										(((BgL_blockz00_bglt) COBJECT(
												((BgL_blockz00_bglt) BgL_bz00_2815)))->BgL_labelz00);
									BGl_labelz00zzsaw_jvm_outz00(BgL_mez00_71,
										BINT(BgL_arg1856z00_2816));
								}
								if (CBOOL(BGl_za2jvmzd2debugza2zd2zzengine_paramz00))
									{	/* SawJvm/code.scm 70 */
										BgL_pendingz00_2783 =
											BGl_livezd2resetzd2zzsaw_jvm_codez00(BgL_mez00_71,
											BgL_bz00_2815, BgL_pendingz00_2783);
									}
								else
									{	/* SawJvm/code.scm 70 */
										BFALSE;
									}
								{	/* SawJvm/code.scm 71 */
									obj_t BgL_g1633z00_2817;

									BgL_g1633z00_2817 =
										(((BgL_blockz00_bglt) COBJECT(
												((BgL_blockz00_bglt) BgL_bz00_2815)))->BgL_firstz00);
									{
										obj_t BgL_l1631z00_2819;

										BgL_l1631z00_2819 = BgL_g1633z00_2817;
									BgL_zc3z04anonymousza31857ze3z87_2820:
										if (PAIRP(BgL_l1631z00_2819))
											{	/* SawJvm/code.scm 72 */
												{	/* SawJvm/code.scm 71 */
													obj_t BgL_iz00_2822;

													BgL_iz00_2822 = CAR(BgL_l1631z00_2819);
													BgL_pendingz00_2783 =
														BGl_genzd2inszd2zzsaw_jvm_codez00(BgL_mez00_71,
														BgL_iz00_2822, BgL_pendingz00_2783);
												}
												{
													obj_t BgL_l1631z00_6076;

													BgL_l1631z00_6076 = CDR(BgL_l1631z00_2819);
													BgL_l1631z00_2819 = BgL_l1631z00_6076;
													goto BgL_zc3z04anonymousza31857ze3z87_2820;
												}
											}
										else
											{	/* SawJvm/code.scm 72 */
												((bool_t) 1);
											}
									}
								}
							}
							{
								obj_t BgL_l1634z00_6078;

								BgL_l1634z00_6078 = CDR(BgL_l1634z00_2812);
								BgL_l1634z00_2812 = BgL_l1634z00_6078;
								goto BgL_zc3z04anonymousza31853ze3z87_2813;
							}
						}
					else
						{	/* SawJvm/code.scm 68 */
							((bool_t) 1);
						}
				}
				if (CBOOL(BGl_za2jvmzd2debugza2zd2zzengine_paramz00))
					{	/* SawJvm/code.scm 74 */
						BGl_labelz00zzsaw_jvm_outz00(BgL_mez00_71,
							((obj_t) CNST_TABLE_REF(3)));
						{
							obj_t BgL_l1636z00_2828;

							BgL_l1636z00_2828 = BgL_pendingz00_2783;
						BgL_zc3z04anonymousza31866ze3z87_2829:
							if (PAIRP(BgL_l1636z00_2828))
								{	/* SawJvm/code.scm 76 */
									{	/* SawJvm/code.scm 76 */
										obj_t BgL_pz00_2831;

										BgL_pz00_2831 = CAR(BgL_l1636z00_2828);
										{	/* SawJvm/code.scm 76 */
											obj_t BgL_arg1872z00_2832;
											obj_t BgL_arg1873z00_2833;

											BgL_arg1872z00_2832 = CAR(((obj_t) BgL_pz00_2831));
											BgL_arg1873z00_2833 = CDR(((obj_t) BgL_pz00_2831));
											{	/* SawJvm/code.scm 76 */
												obj_t BgL_ez00_4314;

												BgL_ez00_4314 = ((obj_t) CNST_TABLE_REF(3));
												{	/* SawJvm/code.scm 205 */
													obj_t BgL_arg1981z00_4316;

													{
														BgL_lregz00_bglt BgL_auxz00_6094;

														{
															obj_t BgL_auxz00_6095;

															{	/* SawJvm/code.scm 205 */
																BgL_objectz00_bglt BgL_tmpz00_6096;

																BgL_tmpz00_6096 =
																	((BgL_objectz00_bglt)
																	((BgL_rtl_regz00_bglt) BgL_arg1872z00_2832));
																BgL_auxz00_6095 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_6096);
															}
															BgL_auxz00_6094 =
																((BgL_lregz00_bglt) BgL_auxz00_6095);
														}
														BgL_arg1981z00_4316 =
															(((BgL_lregz00_bglt) COBJECT(BgL_auxz00_6094))->
															BgL_idz00);
													}
													BGl_localvarz00zzsaw_jvm_outz00(BgL_mez00_71,
														BgL_arg1872z00_2832, BgL_arg1873z00_2833,
														BgL_ez00_4314, BgL_arg1981z00_4316);
												}
											}
										}
									}
									{
										obj_t BgL_l1636z00_6103;

										BgL_l1636z00_6103 = CDR(BgL_l1636z00_2828);
										BgL_l1636z00_2828 = BgL_l1636z00_6103;
										goto BgL_zc3z04anonymousza31866ze3z87_2829;
									}
								}
							else
								{	/* SawJvm/code.scm 76 */
									((bool_t) 1);
								}
						}
					}
				else
					{	/* SawJvm/code.scm 74 */
						((bool_t) 0);
					}
			}
			if (BGl_za2hasprotectza2z00zzsaw_jvm_codez00)
				{	/* SawJvm/code.scm 79 */
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_71,
						((obj_t) CNST_TABLE_REF(4)));
					BGl_loadzd2regzd2zzsaw_jvm_codez00(
						((obj_t) BgL_mez00_71), BGl_za2bexitregza2z00zzsaw_jvm_codez00);
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_71,
						((obj_t) CNST_TABLE_REF(5)));
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_71,
						((obj_t) CNST_TABLE_REF(6)));
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_71,
						((obj_t) CNST_TABLE_REF(7)));
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_71,
						((obj_t) CNST_TABLE_REF(8)));
					BGl_loadzd2regzd2zzsaw_jvm_codez00(
						((obj_t) BgL_mez00_71), BGl_za2bexitregza2z00zzsaw_jvm_codez00);
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_71,
						((obj_t) CNST_TABLE_REF(5)));
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_71,
						((obj_t) CNST_TABLE_REF(9)));
					return
						BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_71,
						((obj_t) CNST_TABLE_REF(7)));
				}
			else
				{	/* SawJvm/code.scm 79 */
					return BFALSE;
				}
		}

	}



/* double~0 */
	obj_t BGl_doubleze70ze7zzsaw_jvm_codez00(obj_t BgL_lz00_2770)
	{
		{	/* SawJvm/code.scm 55 */
			if (NULLP(BgL_lz00_2770))
				{	/* SawJvm/code.scm 49 */
					return BgL_lz00_2770;
				}
			else
				{	/* SawJvm/code.scm 51 */
					obj_t BgL_regz00_2773;
					obj_t BgL_rz00_2774;

					BgL_regz00_2773 = CAR(((obj_t) BgL_lz00_2770));
					{	/* SawJvm/code.scm 51 */
						obj_t BgL_arg1825z00_2781;

						BgL_arg1825z00_2781 = CDR(((obj_t) BgL_lz00_2770));
						BgL_rz00_2774 =
							BGl_doubleze70ze7zzsaw_jvm_codez00(BgL_arg1825z00_2781);
					}
					{	/* SawJvm/code.scm 52 */
						obj_t BgL_typez00_2775;

						BgL_typez00_2775 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_rtl_regz00_bglt) COBJECT(
												((BgL_rtl_regz00_bglt)
													((BgL_rtl_regz00_bglt) BgL_regz00_2773))))->
										BgL_typez00)))->BgL_namez00);
						{	/* SawJvm/code.scm 53 */
							bool_t BgL_test2680z00_6145;

							if ((BgL_typez00_2775 == ((obj_t) CNST_TABLE_REF(10))))
								{	/* SawJvm/code.scm 53 */
									BgL_test2680z00_6145 = ((bool_t) 1);
								}
							else
								{	/* SawJvm/code.scm 53 */
									BgL_test2680z00_6145 =
										(BgL_typez00_2775 == ((obj_t) CNST_TABLE_REF(11)));
								}
							if (BgL_test2680z00_6145)
								{	/* SawJvm/code.scm 54 */
									obj_t BgL_arg1814z00_2777;
									obj_t BgL_arg1818z00_2778;

									{
										BgL_lregz00_bglt BgL_auxz00_6153;

										{
											obj_t BgL_auxz00_6154;

											{	/* SawJvm/code.scm 54 */
												BgL_objectz00_bglt BgL_tmpz00_6155;

												BgL_tmpz00_6155 =
													((BgL_objectz00_bglt)
													((BgL_rtl_regz00_bglt) BgL_regz00_2773));
												BgL_auxz00_6154 = BGL_OBJECT_WIDENING(BgL_tmpz00_6155);
											}
											BgL_auxz00_6153 = ((BgL_lregz00_bglt) BgL_auxz00_6154);
										}
										BgL_arg1814z00_2777 =
											(((BgL_lregz00_bglt) COBJECT(BgL_auxz00_6153))->
											BgL_idz00);
									}
									BgL_arg1818z00_2778 =
										MAKE_YOUNG_PAIR(
										((obj_t) CNST_TABLE_REF(12)), BgL_rz00_2774);
									return
										MAKE_YOUNG_PAIR(BgL_arg1814z00_2777, BgL_arg1818z00_2778);
								}
							else
								{	/* SawJvm/code.scm 55 */
									obj_t BgL_arg1821z00_2779;

									{
										BgL_lregz00_bglt BgL_auxz00_6165;

										{
											obj_t BgL_auxz00_6166;

											{	/* SawJvm/code.scm 55 */
												BgL_objectz00_bglt BgL_tmpz00_6167;

												BgL_tmpz00_6167 =
													((BgL_objectz00_bglt)
													((BgL_rtl_regz00_bglt) BgL_regz00_2773));
												BgL_auxz00_6166 = BGL_OBJECT_WIDENING(BgL_tmpz00_6167);
											}
											BgL_auxz00_6165 = ((BgL_lregz00_bglt) BgL_auxz00_6166);
										}
										BgL_arg1821z00_2779 =
											(((BgL_lregz00_bglt) COBJECT(BgL_auxz00_6165))->
											BgL_idz00);
									}
									return MAKE_YOUNG_PAIR(BgL_arg1821z00_2779, BgL_rz00_2774);
								}
						}
					}
				}
		}

	}



/* &module-code */
	obj_t BGl_z62modulezd2codezb0zzsaw_jvm_codez00(obj_t BgL_envz00_5392,
		obj_t BgL_mez00_5393, obj_t BgL_paramsz00_5394, obj_t BgL_lz00_5395)
	{
		{	/* SawJvm/code.scm 46 */
			return
				BGl_modulezd2codezd2zzsaw_jvm_codez00(
				((BgL_jvmz00_bglt) BgL_mez00_5393), BgL_paramsz00_5394, BgL_lz00_5395);
		}

	}



/* get-locals */
	obj_t BGl_getzd2localszd2zzsaw_jvm_codez00(obj_t BgL_paramsz00_74,
		obj_t BgL_lz00_75)
	{
		{	/* SawJvm/code.scm 96 */
			BGl_za2hasprotectza2z00zzsaw_jvm_codez00 = ((bool_t) 0);
			{	/* SawJvm/code.scm 98 */
				struct bgl_unsafe_cell BgL_box2682_5661z00;
				struct bgl_unsafe_cell BgL_box2683_5662z00;
				obj_t BgL_nz00_5661;
				obj_t BgL_regsz00_5662;

				BgL_nz00_5661 =
					BGL_MAKE_UNSAFE_CELL_STACK(BINT(0L), BgL_box2682_5661z00);
				BgL_regsz00_5662 =
					BGL_MAKE_UNSAFE_CELL_STACK(BNIL, BgL_box2683_5662z00);
				{
					obj_t BgL_ez00_2910;

					{
						obj_t BgL_lz00_2845;

						BgL_lz00_2845 = BgL_paramsz00_74;
					BgL_zc3z04anonymousza31877ze3z87_2846:
						if (NULLP(BgL_lz00_2845))
							{	/* SawJvm/code.scm 134 */
								((bool_t) 0);
							}
						else
							{	/* SawJvm/code.scm 134 */
								{	/* SawJvm/code.scm 135 */
									BgL_rtl_regz00_bglt BgL_tmp1202z00_2848;

									BgL_tmp1202z00_2848 =
										((BgL_rtl_regz00_bglt) CAR(((obj_t) BgL_lz00_2845)));
									{	/* SawJvm/code.scm 135 */
										BgL_lregz00_bglt BgL_wide1204z00_2850;

										BgL_wide1204z00_2850 =
											((BgL_lregz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_lregz00_bgl))));
										{	/* SawJvm/code.scm 135 */
											obj_t BgL_auxz00_6186;
											BgL_objectz00_bglt BgL_tmpz00_6183;

											BgL_auxz00_6186 = ((obj_t) BgL_wide1204z00_2850);
											BgL_tmpz00_6183 =
												((BgL_objectz00_bglt)
												((BgL_rtl_regz00_bglt) BgL_tmp1202z00_2848));
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6183, BgL_auxz00_6186);
										}
										((BgL_objectz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_tmp1202z00_2848));
										{	/* SawJvm/code.scm 135 */
											long BgL_arg1882z00_2851;

											BgL_arg1882z00_2851 =
												BGL_CLASS_NUM(BGl_lregz00zzsaw_jvm_codez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt)
													((BgL_rtl_regz00_bglt) BgL_tmp1202z00_2848)),
												BgL_arg1882z00_2851);
										}
										((BgL_rtl_regz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_tmp1202z00_2848));
									}
									{
										obj_t BgL_auxz00_6204;
										BgL_lregz00_bglt BgL_auxz00_6197;

										{	/* SawJvm/code.scm 135 */
											long BgL_nz00_4465;

											BgL_nz00_4465 =
												(long) CINT(
												((obj_t) ((obj_t) BGL_UNSAFE_CELL_REF(BgL_nz00_5661))));
											{	/* SawJvm/code.scm 100 */
												obj_t BgL_arg1893z00_4466;

												{	/* SawJvm/code.scm 100 */
													obj_t BgL_arg1894z00_4467;

													{	/* SawJvm/code.scm 100 */

														BgL_arg1894z00_4467 =
															BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
															(BgL_nz00_4465, 10L);
													}
													BgL_arg1893z00_4466 =
														string_append(BGl_string2514z00zzsaw_jvm_codez00,
														BgL_arg1894z00_4467);
												}
												BgL_auxz00_6204 =
													bstring_to_symbol(BgL_arg1893z00_4466);
										}}
										{
											obj_t BgL_auxz00_6198;

											{	/* SawJvm/code.scm 135 */
												BgL_objectz00_bglt BgL_tmpz00_6199;

												BgL_tmpz00_6199 =
													((BgL_objectz00_bglt)
													((BgL_rtl_regz00_bglt) BgL_tmp1202z00_2848));
												BgL_auxz00_6198 = BGL_OBJECT_WIDENING(BgL_tmpz00_6199);
											}
											BgL_auxz00_6197 = ((BgL_lregz00_bglt) BgL_auxz00_6198);
										}
										((((BgL_lregz00_bglt) COBJECT(BgL_auxz00_6197))->
												BgL_idz00) = ((obj_t) BgL_auxz00_6204), BUNSPEC);
									}
									((BgL_rtl_regz00_bglt) BgL_tmp1202z00_2848);
								}
								{	/* SawJvm/code.scm 136 */
									obj_t BgL_auxz00_5663;

									BgL_auxz00_5663 =
										ADDFX(
										((obj_t)
											((obj_t) BGL_UNSAFE_CELL_REF(BgL_nz00_5661))), BINT(1L));
									BGL_UNSAFE_CELL_SET(BgL_nz00_5661, BgL_auxz00_5663);
								}
								{	/* SawJvm/code.scm 137 */
									obj_t BgL_arg1884z00_2853;

									BgL_arg1884z00_2853 = CDR(((obj_t) BgL_lz00_2845));
									{
										obj_t BgL_lz00_6217;

										BgL_lz00_6217 = BgL_arg1884z00_2853;
										BgL_lz00_2845 = BgL_lz00_6217;
										goto BgL_zc3z04anonymousza31877ze3z87_2846;
									}
								}
							}
					}
					{
						obj_t BgL_l1647z00_2856;

						BgL_l1647z00_2856 = BgL_lz00_75;
					BgL_zc3z04anonymousza31885ze3z87_2857:
						if (PAIRP(BgL_l1647z00_2856))
							{	/* SawJvm/code.scm 138 */
								{	/* SawJvm/code.scm 138 */
									obj_t BgL_bz00_2859;

									BgL_bz00_2859 = CAR(BgL_l1647z00_2856);
									{	/* SawJvm/code.scm 138 */
										obj_t BgL_g1646z00_2860;

										BgL_g1646z00_2860 =
											(((BgL_blockz00_bglt) COBJECT(
													((BgL_blockz00_bglt) BgL_bz00_2859)))->BgL_firstz00);
										{
											obj_t BgL_l1644z00_2862;

											BgL_l1644z00_2862 = BgL_g1646z00_2860;
										BgL_zc3z04anonymousza31887ze3z87_2863:
											if (PAIRP(BgL_l1644z00_2862))
												{	/* SawJvm/code.scm 138 */
													BgL_ez00_2910 = CAR(BgL_l1644z00_2862);
													{	/* SawJvm/code.scm 129 */
														obj_t BgL_destz00_2912;

														BgL_destz00_2912 =
															(((BgL_rtl_insz00_bglt) COBJECT(
																	((BgL_rtl_insz00_bglt) BgL_ez00_2910)))->
															BgL_destz00);
														if (CBOOL(BgL_destz00_2912))
															{	/* SawJvm/code.scm 130 */
																BGl_regzd2ze3lregze70zd6zzsaw_jvm_codez00
																	(BgL_regsz00_5662, BgL_nz00_5661,
																	BgL_destz00_2912);
															}
														else
															{	/* SawJvm/code.scm 130 */
																BFALSE;
															}
														BGl_check_funze70ze7zzsaw_jvm_codez00
															(BgL_ez00_2910);
														{	/* SawJvm/code.scm 132 */
															obj_t BgL_g1643z00_2913;

															BgL_g1643z00_2913 =
																(((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt) BgL_ez00_2910)))->
																BgL_argsz00);
															{
																obj_t BgL_l1641z00_2915;

																BgL_l1641z00_2915 = BgL_g1643z00_2913;
															BgL_zc3z04anonymousza31911ze3z87_2916:
																if (PAIRP(BgL_l1641z00_2915))
																	{	/* SawJvm/code.scm 132 */
																		BGl_exprze70ze7zzsaw_jvm_codez00
																			(BgL_regsz00_5662, BgL_nz00_5661,
																			CAR(BgL_l1641z00_2915));
																		{
																			obj_t BgL_l1641z00_6237;

																			BgL_l1641z00_6237 =
																				CDR(BgL_l1641z00_2915);
																			BgL_l1641z00_2915 = BgL_l1641z00_6237;
																			goto
																				BgL_zc3z04anonymousza31911ze3z87_2916;
																		}
																	}
																else
																	{	/* SawJvm/code.scm 132 */
																		((bool_t) 1);
																	}
															}
														}
													}
													{
														obj_t BgL_l1644z00_6240;

														BgL_l1644z00_6240 = CDR(BgL_l1644z00_2862);
														BgL_l1644z00_2862 = BgL_l1644z00_6240;
														goto BgL_zc3z04anonymousza31887ze3z87_2863;
													}
												}
											else
												{	/* SawJvm/code.scm 138 */
													((bool_t) 1);
												}
										}
									}
								}
								{
									obj_t BgL_l1647z00_6242;

									BgL_l1647z00_6242 = CDR(BgL_l1647z00_2856);
									BgL_l1647z00_2856 = BgL_l1647z00_6242;
									goto BgL_zc3z04anonymousza31885ze3z87_2857;
								}
							}
						else
							{	/* SawJvm/code.scm 138 */
								((bool_t) 1);
							}
					}
					return
						bgl_reverse_bang(
						((obj_t) ((obj_t) BGL_UNSAFE_CELL_REF(BgL_regsz00_5662))));
				}
			}
		}

	}



/* reg->lreg~0 */
	obj_t BGl_regzd2ze3lregze70zd6zzsaw_jvm_codez00(obj_t BgL_regsz00_5656,
		obj_t BgL_nz00_5655, obj_t BgL_rz00_2877)
	{
		{	/* SawJvm/code.scm 106 */
			{	/* SawJvm/code.scm 103 */
				bool_t BgL_test2689z00_6246;

				{	/* SawJvm/code.scm 103 */
					obj_t BgL_classz00_4324;

					BgL_classz00_4324 = BGl_lregz00zzsaw_jvm_codez00;
					if (BGL_OBJECTP(BgL_rz00_2877))
						{	/* SawJvm/code.scm 103 */
							obj_t BgL_oclassz00_4326;

							{	/* SawJvm/code.scm 103 */
								obj_t BgL_arg1866z00_4328;
								long BgL_arg1867z00_4329;

								BgL_arg1866z00_4328 = (BGl_za2classesza2z00zz__objectz00);
								{	/* SawJvm/code.scm 103 */
									long BgL_arg1869z00_4330;

									BgL_arg1869z00_4330 =
										BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_rz00_2877));
									BgL_arg1867z00_4329 = (BgL_arg1869z00_4330 - OBJECT_TYPE);
								}
								BgL_oclassz00_4326 =
									VECTOR_REF(BgL_arg1866z00_4328, BgL_arg1867z00_4329);
							}
							BgL_test2689z00_6246 = (BgL_oclassz00_4326 == BgL_classz00_4324);
						}
					else
						{	/* SawJvm/code.scm 103 */
							BgL_test2689z00_6246 = ((bool_t) 0);
						}
				}
				if (BgL_test2689z00_6246)
					{	/* SawJvm/code.scm 103 */
						return BFALSE;
					}
				else
					{	/* SawJvm/code.scm 103 */
						{	/* SawJvm/code.scm 104 */
							BgL_lregz00_bglt BgL_wide1197z00_2882;

							BgL_wide1197z00_2882 =
								((BgL_lregz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_lregz00_bgl))));
							{	/* SawJvm/code.scm 104 */
								obj_t BgL_auxz00_6260;
								BgL_objectz00_bglt BgL_tmpz00_6256;

								BgL_auxz00_6260 = ((obj_t) BgL_wide1197z00_2882);
								BgL_tmpz00_6256 =
									((BgL_objectz00_bglt)
									((BgL_rtl_regz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_rz00_2877)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6256, BgL_auxz00_6260);
							}
							((BgL_objectz00_bglt)
								((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_rz00_2877)));
							{	/* SawJvm/code.scm 104 */
								long BgL_arg1897z00_2883;

								BgL_arg1897z00_2883 =
									BGL_CLASS_NUM(BGl_lregz00zzsaw_jvm_codez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_rz00_2877))),
									BgL_arg1897z00_2883);
							}
							((BgL_rtl_regz00_bglt)
								((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_rz00_2877)));
						}
						{
							obj_t BgL_auxz00_6282;
							BgL_lregz00_bglt BgL_auxz00_6274;

							{	/* SawJvm/code.scm 104 */
								long BgL_nz00_4341;

								BgL_nz00_4341 =
									(long) CINT(
									((obj_t) ((obj_t) BGL_UNSAFE_CELL_REF(BgL_nz00_5655))));
								{	/* SawJvm/code.scm 100 */
									obj_t BgL_arg1893z00_4342;

									{	/* SawJvm/code.scm 100 */
										obj_t BgL_arg1894z00_4343;

										{	/* SawJvm/code.scm 100 */

											BgL_arg1894z00_4343 =
												BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
												(BgL_nz00_4341, 10L);
										}
										BgL_arg1893z00_4342 =
											string_append(BGl_string2515z00zzsaw_jvm_codez00,
											BgL_arg1894z00_4343);
									}
									BgL_auxz00_6282 = bstring_to_symbol(BgL_arg1893z00_4342);
							}}
							{
								obj_t BgL_auxz00_6275;

								{	/* SawJvm/code.scm 104 */
									BgL_objectz00_bglt BgL_tmpz00_6276;

									BgL_tmpz00_6276 =
										((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_rz00_2877)));
									BgL_auxz00_6275 = BGL_OBJECT_WIDENING(BgL_tmpz00_6276);
								}
								BgL_auxz00_6274 = ((BgL_lregz00_bglt) BgL_auxz00_6275);
							}
							((((BgL_lregz00_bglt) COBJECT(BgL_auxz00_6274))->BgL_idz00) =
								((obj_t) BgL_auxz00_6282), BUNSPEC);
						}
						((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_rz00_2877));
						{	/* SawJvm/code.scm 105 */
							obj_t BgL_auxz00_5657;

							BgL_auxz00_5657 =
								ADDFX(
								((obj_t)
									((obj_t) BGL_UNSAFE_CELL_REF(BgL_nz00_5655))), BINT(1L));
							BGL_UNSAFE_CELL_SET(BgL_nz00_5655, BgL_auxz00_5657);
						}
						{	/* SawJvm/code.scm 106 */
							obj_t BgL_auxz00_5658;

							BgL_auxz00_5658 =
								MAKE_YOUNG_PAIR(BgL_rz00_2877,
								((obj_t) ((obj_t) BGL_UNSAFE_CELL_REF(BgL_regsz00_5656))));
							return BGL_UNSAFE_CELL_SET(BgL_regsz00_5656, BgL_auxz00_5658);
						}
					}
			}
		}

	}



/* check_fun~0 */
	obj_t BGl_check_funze70ze7zzsaw_jvm_codez00(obj_t BgL_ez00_2894)
	{
		{	/* SawJvm/code.scm 122 */
			{	/* SawJvm/code.scm 117 */
				BgL_rtl_funz00_bglt BgL_funz00_2896;

				BgL_funz00_2896 =
					(((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_ez00_2894)))->BgL_funz00);
				{	/* SawJvm/code.scm 119 */
					bool_t BgL_test2691z00_6298;

					{	/* SawJvm/code.scm 119 */
						obj_t BgL_classz00_4349;

						BgL_classz00_4349 = BGl_rtl_protectz00zzsaw_defsz00;
						{	/* SawJvm/code.scm 119 */
							BgL_objectz00_bglt BgL_arg1858z00_4351;

							{	/* SawJvm/code.scm 119 */
								obj_t BgL_tmpz00_6299;

								BgL_tmpz00_6299 =
									((obj_t) ((BgL_objectz00_bglt) BgL_funz00_2896));
								BgL_arg1858z00_4351 = (BgL_objectz00_bglt) (BgL_tmpz00_6299);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawJvm/code.scm 119 */
									long BgL_idxz00_4357;

									BgL_idxz00_4357 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4351);
									BgL_test2691z00_6298 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4357 + 2L)) == BgL_classz00_4349);
								}
							else
								{	/* SawJvm/code.scm 119 */
									bool_t BgL_res2475z00_4382;

									{	/* SawJvm/code.scm 119 */
										obj_t BgL_oclassz00_4365;

										{	/* SawJvm/code.scm 119 */
											obj_t BgL_arg1866z00_4373;
											long BgL_arg1867z00_4374;

											BgL_arg1866z00_4373 = (BGl_za2classesza2z00zz__objectz00);
											{	/* SawJvm/code.scm 119 */
												long BgL_arg1869z00_4375;

												BgL_arg1869z00_4375 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4351);
												BgL_arg1867z00_4374 =
													(BgL_arg1869z00_4375 - OBJECT_TYPE);
											}
											BgL_oclassz00_4365 =
												VECTOR_REF(BgL_arg1866z00_4373, BgL_arg1867z00_4374);
										}
										{	/* SawJvm/code.scm 119 */
											bool_t BgL__ortest_1115z00_4366;

											BgL__ortest_1115z00_4366 =
												(BgL_classz00_4349 == BgL_oclassz00_4365);
											if (BgL__ortest_1115z00_4366)
												{	/* SawJvm/code.scm 119 */
													BgL_res2475z00_4382 = BgL__ortest_1115z00_4366;
												}
											else
												{	/* SawJvm/code.scm 119 */
													long BgL_odepthz00_4367;

													{	/* SawJvm/code.scm 119 */
														obj_t BgL_arg1855z00_4368;

														BgL_arg1855z00_4368 = (BgL_oclassz00_4365);
														BgL_odepthz00_4367 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_4368);
													}
													if ((2L < BgL_odepthz00_4367))
														{	/* SawJvm/code.scm 119 */
															obj_t BgL_arg1853z00_4370;

															{	/* SawJvm/code.scm 119 */
																obj_t BgL_arg1854z00_4371;

																BgL_arg1854z00_4371 = (BgL_oclassz00_4365);
																BgL_arg1853z00_4370 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_4371,
																	2L);
															}
															BgL_res2475z00_4382 =
																(BgL_arg1853z00_4370 == BgL_classz00_4349);
														}
													else
														{	/* SawJvm/code.scm 119 */
															BgL_res2475z00_4382 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2691z00_6298 = BgL_res2475z00_4382;
								}
						}
					}
					if (BgL_test2691z00_6298)
						{	/* SawJvm/code.scm 119 */
							BGl_za2hasprotectza2z00zzsaw_jvm_codez00 = ((bool_t) 1);
							return (BGl_za2bexitregza2z00zzsaw_jvm_codez00 =
								(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_ez00_2894)))->BgL_destz00),
								BUNSPEC);
						}
					else
						{	/* SawJvm/code.scm 122 */
							bool_t BgL__ortest_1201z00_2898;

							{	/* SawJvm/code.scm 122 */
								obj_t BgL_classz00_4384;

								BgL_classz00_4384 = BGl_rtl_switchz00zzsaw_defsz00;
								{	/* SawJvm/code.scm 122 */
									BgL_objectz00_bglt BgL_arg1858z00_4386;

									{	/* SawJvm/code.scm 122 */
										obj_t BgL_tmpz00_6324;

										BgL_tmpz00_6324 =
											((obj_t) ((BgL_objectz00_bglt) BgL_funz00_2896));
										BgL_arg1858z00_4386 =
											(BgL_objectz00_bglt) (BgL_tmpz00_6324);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawJvm/code.scm 122 */
											long BgL_idxz00_4392;

											BgL_idxz00_4392 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4386);
											BgL__ortest_1201z00_2898 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4392 + 4L)) == BgL_classz00_4384);
										}
									else
										{	/* SawJvm/code.scm 122 */
											bool_t BgL_res2476z00_4417;

											{	/* SawJvm/code.scm 122 */
												obj_t BgL_oclassz00_4400;

												{	/* SawJvm/code.scm 122 */
													obj_t BgL_arg1866z00_4408;
													long BgL_arg1867z00_4409;

													BgL_arg1866z00_4408 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* SawJvm/code.scm 122 */
														long BgL_arg1869z00_4410;

														BgL_arg1869z00_4410 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4386);
														BgL_arg1867z00_4409 =
															(BgL_arg1869z00_4410 - OBJECT_TYPE);
													}
													BgL_oclassz00_4400 =
														VECTOR_REF(BgL_arg1866z00_4408,
														BgL_arg1867z00_4409);
												}
												{	/* SawJvm/code.scm 122 */
													bool_t BgL__ortest_1115z00_4401;

													BgL__ortest_1115z00_4401 =
														(BgL_classz00_4384 == BgL_oclassz00_4400);
													if (BgL__ortest_1115z00_4401)
														{	/* SawJvm/code.scm 122 */
															BgL_res2476z00_4417 = BgL__ortest_1115z00_4401;
														}
													else
														{	/* SawJvm/code.scm 122 */
															long BgL_odepthz00_4402;

															{	/* SawJvm/code.scm 122 */
																obj_t BgL_arg1855z00_4403;

																BgL_arg1855z00_4403 = (BgL_oclassz00_4400);
																BgL_odepthz00_4402 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_4403);
															}
															if ((4L < BgL_odepthz00_4402))
																{	/* SawJvm/code.scm 122 */
																	obj_t BgL_arg1853z00_4405;

																	{	/* SawJvm/code.scm 122 */
																		obj_t BgL_arg1854z00_4406;

																		BgL_arg1854z00_4406 = (BgL_oclassz00_4400);
																		BgL_arg1853z00_4405 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_4406, 4L);
																	}
																	BgL_res2476z00_4417 =
																		(BgL_arg1853z00_4405 == BgL_classz00_4384);
																}
															else
																{	/* SawJvm/code.scm 122 */
																	BgL_res2476z00_4417 = ((bool_t) 0);
																}
														}
												}
											}
											BgL__ortest_1201z00_2898 = BgL_res2476z00_4417;
										}
								}
							}
							if (BgL__ortest_1201z00_2898)
								{	/* SawJvm/code.scm 122 */
									return BBOOL(BgL__ortest_1201z00_2898);
								}
							else
								{	/* SawJvm/code.scm 122 */
									return BFALSE;
								}
						}
				}
			}
		}

	}



/* expr~0 */
	obj_t BGl_exprze70ze7zzsaw_jvm_codez00(obj_t BgL_regsz00_5660,
		obj_t BgL_nz00_5659, obj_t BgL_ez00_2899)
	{
		{	/* SawJvm/code.scm 127 */
			{	/* SawJvm/code.scm 124 */
				bool_t BgL_test2699z00_6349;

				{	/* SawJvm/code.scm 124 */
					obj_t BgL_classz00_4418;

					BgL_classz00_4418 = BGl_rtl_regz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_ez00_2899))
						{	/* SawJvm/code.scm 124 */
							BgL_objectz00_bglt BgL_arg1858z00_4420;

							BgL_arg1858z00_4420 = (BgL_objectz00_bglt) (BgL_ez00_2899);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawJvm/code.scm 124 */
									long BgL_idxz00_4426;

									BgL_idxz00_4426 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4420);
									BgL_test2699z00_6349 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4426 + 1L)) == BgL_classz00_4418);
								}
							else
								{	/* SawJvm/code.scm 124 */
									bool_t BgL_res2477z00_4451;

									{	/* SawJvm/code.scm 124 */
										obj_t BgL_oclassz00_4434;

										{	/* SawJvm/code.scm 124 */
											obj_t BgL_arg1866z00_4442;
											long BgL_arg1867z00_4443;

											BgL_arg1866z00_4442 = (BGl_za2classesza2z00zz__objectz00);
											{	/* SawJvm/code.scm 124 */
												long BgL_arg1869z00_4444;

												BgL_arg1869z00_4444 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4420);
												BgL_arg1867z00_4443 =
													(BgL_arg1869z00_4444 - OBJECT_TYPE);
											}
											BgL_oclassz00_4434 =
												VECTOR_REF(BgL_arg1866z00_4442, BgL_arg1867z00_4443);
										}
										{	/* SawJvm/code.scm 124 */
											bool_t BgL__ortest_1115z00_4435;

											BgL__ortest_1115z00_4435 =
												(BgL_classz00_4418 == BgL_oclassz00_4434);
											if (BgL__ortest_1115z00_4435)
												{	/* SawJvm/code.scm 124 */
													BgL_res2477z00_4451 = BgL__ortest_1115z00_4435;
												}
											else
												{	/* SawJvm/code.scm 124 */
													long BgL_odepthz00_4436;

													{	/* SawJvm/code.scm 124 */
														obj_t BgL_arg1855z00_4437;

														BgL_arg1855z00_4437 = (BgL_oclassz00_4434);
														BgL_odepthz00_4436 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_4437);
													}
													if ((1L < BgL_odepthz00_4436))
														{	/* SawJvm/code.scm 124 */
															obj_t BgL_arg1853z00_4439;

															{	/* SawJvm/code.scm 124 */
																obj_t BgL_arg1854z00_4440;

																BgL_arg1854z00_4440 = (BgL_oclassz00_4434);
																BgL_arg1853z00_4439 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_4440,
																	1L);
															}
															BgL_res2477z00_4451 =
																(BgL_arg1853z00_4439 == BgL_classz00_4418);
														}
													else
														{	/* SawJvm/code.scm 124 */
															BgL_res2477z00_4451 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2699z00_6349 = BgL_res2477z00_4451;
								}
						}
					else
						{	/* SawJvm/code.scm 124 */
							BgL_test2699z00_6349 = ((bool_t) 0);
						}
				}
				if (BgL_test2699z00_6349)
					{	/* SawJvm/code.scm 124 */
						BGL_TAIL return
							BGl_regzd2ze3lregze70zd6zzsaw_jvm_codez00(BgL_regsz00_5660,
							BgL_nz00_5659, BgL_ez00_2899);
					}
				else
					{	/* SawJvm/code.scm 124 */
						BGl_check_funze70ze7zzsaw_jvm_codez00(BgL_ez00_2899);
						{	/* SawJvm/code.scm 127 */
							obj_t BgL_g1640z00_2902;

							BgL_g1640z00_2902 =
								(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_ez00_2899)))->BgL_argsz00);
							{
								obj_t BgL_l1638z00_2904;

								{	/* SawJvm/code.scm 127 */
									bool_t BgL_tmpz00_6376;

									BgL_l1638z00_2904 = BgL_g1640z00_2902;
								BgL_zc3z04anonymousza31906ze3z87_2905:
									if (PAIRP(BgL_l1638z00_2904))
										{	/* SawJvm/code.scm 127 */
											{	/* SawJvm/code.scm 127 */
												obj_t BgL_arg1908z00_2907;

												BgL_arg1908z00_2907 = CAR(BgL_l1638z00_2904);
												BGl_exprze70ze7zzsaw_jvm_codez00(BgL_regsz00_5660,
													BgL_nz00_5659, BgL_arg1908z00_2907);
											}
											{
												obj_t BgL_l1638z00_6381;

												BgL_l1638z00_6381 = CDR(BgL_l1638z00_2904);
												BgL_l1638z00_2904 = BgL_l1638z00_6381;
												goto BgL_zc3z04anonymousza31906ze3z87_2905;
											}
										}
									else
										{	/* SawJvm/code.scm 127 */
											BgL_tmpz00_6376 = ((bool_t) 1);
										}
									return BBOOL(BgL_tmpz00_6376);
								}
							}
						}
					}
			}
		}

	}



/* live-init */
	BgL_blockz00_bglt BGl_livezd2initzd2zzsaw_jvm_codez00(obj_t BgL_bz00_76)
	{
		{	/* SawJvm/code.scm 145 */
			{	/* SawJvm/code.scm 146 */
				BgL_liveblockz00_bglt BgL_wide1208z00_2929;

				BgL_wide1208z00_2929 =
					((BgL_liveblockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_liveblockz00_bgl))));
				{	/* SawJvm/code.scm 146 */
					obj_t BgL_auxz00_6389;
					BgL_objectz00_bglt BgL_tmpz00_6385;

					BgL_auxz00_6389 = ((obj_t) BgL_wide1208z00_2929);
					BgL_tmpz00_6385 =
						((BgL_objectz00_bglt)
						((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_76)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6385, BgL_auxz00_6389);
				}
				((BgL_objectz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_76)));
				{	/* SawJvm/code.scm 146 */
					long BgL_arg1916z00_2930;

					BgL_arg1916z00_2930 =
						BGL_CLASS_NUM(BGl_liveblockz00zzsaw_jvm_codez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_blockz00_bglt)
								((BgL_blockz00_bglt) BgL_bz00_76))), BgL_arg1916z00_2930);
				}
				((BgL_blockz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_76)));
			}
			{
				BgL_liveblockz00_bglt BgL_auxz00_6403;

				{
					obj_t BgL_auxz00_6404;

					{	/* SawJvm/code.scm 146 */
						BgL_objectz00_bglt BgL_tmpz00_6405;

						BgL_tmpz00_6405 =
							((BgL_objectz00_bglt)
							((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_76)));
						BgL_auxz00_6404 = BGL_OBJECT_WIDENING(BgL_tmpz00_6405);
					}
					BgL_auxz00_6403 = ((BgL_liveblockz00_bglt) BgL_auxz00_6404);
				}
				((((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_6403))->BgL_inz00) =
					((obj_t) BNIL), BUNSPEC);
			}
			{
				BgL_liveblockz00_bglt BgL_auxz00_6412;

				{
					obj_t BgL_auxz00_6413;

					{	/* SawJvm/code.scm 146 */
						BgL_objectz00_bglt BgL_tmpz00_6414;

						BgL_tmpz00_6414 =
							((BgL_objectz00_bglt)
							((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_76)));
						BgL_auxz00_6413 = BGL_OBJECT_WIDENING(BgL_tmpz00_6414);
					}
					BgL_auxz00_6412 = ((BgL_liveblockz00_bglt) BgL_auxz00_6413);
				}
				((((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_6412))->BgL_outz00) =
					((obj_t) BNIL), BUNSPEC);
			}
			return ((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_76));
		}

	}



/* live-fix */
	bool_t BGl_livezd2fixzd2zzsaw_jvm_codez00(obj_t BgL_bz00_77)
	{
		{	/* SawJvm/code.scm 148 */
			{	/* SawJvm/code.scm 185 */
				obj_t BgL_arg1917z00_2939;

				{
					BgL_liveblockz00_bglt BgL_auxz00_6423;

					{
						obj_t BgL_auxz00_6424;

						{	/* SawJvm/code.scm 185 */
							BgL_objectz00_bglt BgL_tmpz00_6425;

							BgL_tmpz00_6425 =
								((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_77));
							BgL_auxz00_6424 = BGL_OBJECT_WIDENING(BgL_tmpz00_6425);
						}
						BgL_auxz00_6423 = ((BgL_liveblockz00_bglt) BgL_auxz00_6424);
					}
					BgL_arg1917z00_2939 =
						(((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_6423))->BgL_outz00);
				}
				return
					BGl_fixpointze70ze7zzsaw_jvm_codez00(BgL_bz00_77,
					BgL_arg1917z00_2939);
			}
		}

	}



/* <@anonymous:1940>~0 */
	bool_t BGl_zc3z04anonymousza31940ze3ze70z60zzsaw_jvm_codez00(obj_t
		BgL_regsz00_5652, obj_t BgL_l1649z00_2969)
	{
		{	/* SawJvm/code.scm 165 */
		BGl_zc3z04anonymousza31940ze3ze70z60zzsaw_jvm_codez00:
			if (PAIRP(BgL_l1649z00_2969))
				{	/* SawJvm/code.scm 165 */
					{	/* SawJvm/code.scm 165 */
						obj_t BgL_az00_2972;

						BgL_az00_2972 = CAR(BgL_l1649z00_2969);
						{	/* SawJvm/code.scm 165 */
							obj_t BgL_auxz00_5653;

							BgL_auxz00_5653 =
								BGl_livezd2argze70z35zzsaw_jvm_codez00(BgL_az00_2972,
								BGL_UNSAFE_CELL_REF(BgL_regsz00_5652));
							BGL_UNSAFE_CELL_SET(BgL_regsz00_5652, BgL_auxz00_5653);
						}
					}
					{	/* SawJvm/code.scm 165 */
						obj_t BgL_arg1942z00_2973;

						BgL_arg1942z00_2973 = CDR(BgL_l1649z00_2969);
						{
							obj_t BgL_l1649z00_6437;

							BgL_l1649z00_6437 = BgL_arg1942z00_2973;
							BgL_l1649z00_2969 = BgL_l1649z00_6437;
							goto BGl_zc3z04anonymousza31940ze3ze70z60zzsaw_jvm_codez00;
						}
					}
				}
			else
				{	/* SawJvm/code.scm 165 */
					return ((bool_t) 1);
				}
		}

	}



/* live-args~0 */
	obj_t BGl_livezd2argsze70z35zzsaw_jvm_codez00(obj_t BgL_argsz00_2965,
		obj_t BgL_regsz00_2966)
	{
		{	/* SawJvm/code.scm 165 */
			{	/* SawJvm/code.scm 165 */
				struct bgl_unsafe_cell BgL_box2706_5654z00;
				obj_t BgL_regsz00_5654;

				BgL_regsz00_5654 =
					BGL_MAKE_UNSAFE_CELL_STACK(BgL_regsz00_2966, BgL_box2706_5654z00);
				BGl_zc3z04anonymousza31940ze3ze70z60zzsaw_jvm_codez00(BgL_regsz00_5654,
					BgL_argsz00_2965);
				return BGL_UNSAFE_CELL_REF(BgL_regsz00_5654);
			}
		}

	}



/* live-arg~0 */
	obj_t BGl_livezd2argze70z35zzsaw_jvm_codez00(obj_t BgL_az00_2959,
		obj_t BgL_regsz00_2960)
	{
		{	/* SawJvm/code.scm 163 */
			{	/* SawJvm/code.scm 159 */
				bool_t BgL_test2707z00_6439;

				{	/* SawJvm/code.scm 159 */
					obj_t BgL_classz00_4490;

					BgL_classz00_4490 = BGl_rtl_regz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_az00_2959))
						{	/* SawJvm/code.scm 159 */
							BgL_objectz00_bglt BgL_arg1858z00_4492;

							BgL_arg1858z00_4492 = (BgL_objectz00_bglt) (BgL_az00_2959);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawJvm/code.scm 159 */
									long BgL_idxz00_4498;

									BgL_idxz00_4498 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4492);
									BgL_test2707z00_6439 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4498 + 1L)) == BgL_classz00_4490);
								}
							else
								{	/* SawJvm/code.scm 159 */
									bool_t BgL_res2478z00_4523;

									{	/* SawJvm/code.scm 159 */
										obj_t BgL_oclassz00_4506;

										{	/* SawJvm/code.scm 159 */
											obj_t BgL_arg1866z00_4514;
											long BgL_arg1867z00_4515;

											BgL_arg1866z00_4514 = (BGl_za2classesza2z00zz__objectz00);
											{	/* SawJvm/code.scm 159 */
												long BgL_arg1869z00_4516;

												BgL_arg1869z00_4516 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4492);
												BgL_arg1867z00_4515 =
													(BgL_arg1869z00_4516 - OBJECT_TYPE);
											}
											BgL_oclassz00_4506 =
												VECTOR_REF(BgL_arg1866z00_4514, BgL_arg1867z00_4515);
										}
										{	/* SawJvm/code.scm 159 */
											bool_t BgL__ortest_1115z00_4507;

											BgL__ortest_1115z00_4507 =
												(BgL_classz00_4490 == BgL_oclassz00_4506);
											if (BgL__ortest_1115z00_4507)
												{	/* SawJvm/code.scm 159 */
													BgL_res2478z00_4523 = BgL__ortest_1115z00_4507;
												}
											else
												{	/* SawJvm/code.scm 159 */
													long BgL_odepthz00_4508;

													{	/* SawJvm/code.scm 159 */
														obj_t BgL_arg1855z00_4509;

														BgL_arg1855z00_4509 = (BgL_oclassz00_4506);
														BgL_odepthz00_4508 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_4509);
													}
													if ((1L < BgL_odepthz00_4508))
														{	/* SawJvm/code.scm 159 */
															obj_t BgL_arg1853z00_4511;

															{	/* SawJvm/code.scm 159 */
																obj_t BgL_arg1854z00_4512;

																BgL_arg1854z00_4512 = (BgL_oclassz00_4506);
																BgL_arg1853z00_4511 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_4512,
																	1L);
															}
															BgL_res2478z00_4523 =
																(BgL_arg1853z00_4511 == BgL_classz00_4490);
														}
													else
														{	/* SawJvm/code.scm 159 */
															BgL_res2478z00_4523 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2707z00_6439 = BgL_res2478z00_4523;
								}
						}
					else
						{	/* SawJvm/code.scm 159 */
							BgL_test2707z00_6439 = ((bool_t) 0);
						}
				}
				if (BgL_test2707z00_6439)
					{	/* SawJvm/code.scm 159 */
						if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_az00_2959,
									BgL_regsz00_2960)))
							{	/* SawJvm/code.scm 161 */
								return BgL_regsz00_2960;
							}
						else
							{	/* SawJvm/code.scm 161 */
								return MAKE_YOUNG_PAIR(BgL_az00_2959, BgL_regsz00_2960);
							}
					}
				else
					{	/* SawJvm/code.scm 160 */
						obj_t BgL_arg1938z00_2964;

						BgL_arg1938z00_2964 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_az00_2959)))->BgL_argsz00);
						return
							BGl_livezd2argsze70z35zzsaw_jvm_codez00(BgL_arg1938z00_2964,
							BgL_regsz00_2960);
					}
			}
		}

	}



/* live-instrs~0 */
	obj_t BGl_livezd2instrsze70z35zzsaw_jvm_codez00(obj_t BgL_lz00_2983,
		obj_t BgL_regsz00_2984)
	{
		{	/* SawJvm/code.scm 173 */
			{
				obj_t BgL_insz00_2975;
				obj_t BgL_regsz00_2976;

				if (NULLP(BgL_lz00_2983))
					{	/* SawJvm/code.scm 171 */
						return BgL_regsz00_2984;
					}
				else
					{	/* SawJvm/code.scm 173 */
						obj_t BgL_arg1950z00_2987;
						obj_t BgL_arg1953z00_2988;

						BgL_arg1950z00_2987 = CAR(((obj_t) BgL_lz00_2983));
						{	/* SawJvm/code.scm 173 */
							obj_t BgL_arg1954z00_2989;

							BgL_arg1954z00_2989 = CDR(((obj_t) BgL_lz00_2983));
							BgL_arg1953z00_2988 =
								BGl_livezd2instrsze70z35zzsaw_jvm_codez00(BgL_arg1954z00_2989,
								BgL_regsz00_2984);
						}
						BgL_insz00_2975 = BgL_arg1950z00_2987;
						BgL_regsz00_2976 = BgL_arg1953z00_2988;
						{	/* SawJvm/code.scm 169 */
							obj_t BgL_arg1944z00_2979;
							obj_t BgL_arg1945z00_2980;

							BgL_arg1944z00_2979 =
								(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_insz00_2975)))->BgL_argsz00);
							if (CBOOL(
									(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_insz00_2975)))->
										BgL_destz00)))
								{	/* SawJvm/code.scm 169 */
									BgL_arg1945z00_2980 =
										bgl_remq(
										(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_insz00_2975)))->
											BgL_destz00), BgL_regsz00_2976);
								}
							else
								{	/* SawJvm/code.scm 169 */
									BgL_arg1945z00_2980 = BgL_regsz00_2976;
								}
							return
								BGl_livezd2argsze70z35zzsaw_jvm_codez00(BgL_arg1944z00_2979,
								BgL_arg1945z00_2980);
						}
					}
			}
		}

	}



/* include~0 */
	bool_t BGl_includeze70ze7zzsaw_jvm_codez00(obj_t BgL_l1z00_2940,
		obj_t BgL_l2z00_2941)
	{
		{	/* SawJvm/code.scm 152 */
		BGl_includeze70ze7zzsaw_jvm_codez00:
			if (NULLP(BgL_l1z00_2940))
				{	/* SawJvm/code.scm 150 */
					return ((bool_t) 1);
				}
			else
				{	/* SawJvm/code.scm 150 */
					if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CAR(
									((obj_t) BgL_l1z00_2940)), BgL_l2z00_2941)))
						{
							obj_t BgL_l1z00_6493;

							BgL_l1z00_6493 = CDR(((obj_t) BgL_l1z00_2940));
							BgL_l1z00_2940 = BgL_l1z00_6493;
							goto BGl_includeze70ze7zzsaw_jvm_codez00;
						}
					else
						{	/* SawJvm/code.scm 151 */
							return ((bool_t) 0);
						}
				}
		}

	}



/* fixpoint~0 */
	bool_t BGl_fixpointze70ze7zzsaw_jvm_codez00(obj_t BgL_bz00_2990,
		obj_t BgL_livez00_2991)
	{
		{	/* SawJvm/code.scm 184 */
			{
				obj_t BgL_l1z00_2948;
				obj_t BgL_l2z00_2949;

				{
					BgL_liveblockz00_bglt BgL_auxz00_6496;

					{
						obj_t BgL_auxz00_6497;

						{	/* SawJvm/code.scm 176 */
							BgL_objectz00_bglt BgL_tmpz00_6498;

							BgL_tmpz00_6498 =
								((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_2990));
							BgL_auxz00_6497 = BGL_OBJECT_WIDENING(BgL_tmpz00_6498);
						}
						BgL_auxz00_6496 = ((BgL_liveblockz00_bglt) BgL_auxz00_6497);
					}
					((((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_6496))->BgL_outz00) =
						((obj_t) BgL_livez00_2991), BUNSPEC);
				}
				{	/* SawJvm/code.scm 177 */
					obj_t BgL_nlivez00_2994;

					{	/* SawJvm/code.scm 177 */
						obj_t BgL_arg1965z00_3009;

						BgL_arg1965z00_3009 =
							(((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt)
										((BgL_blockz00_bglt) BgL_bz00_2990))))->BgL_firstz00);
						BgL_nlivez00_2994 =
							BGl_livezd2instrsze70z35zzsaw_jvm_codez00(BgL_arg1965z00_3009,
							BgL_livez00_2991);
					}
					{	/* SawJvm/code.scm 178 */
						bool_t BgL_test2717z00_6508;

						{	/* SawJvm/code.scm 178 */
							obj_t BgL_arg1963z00_3008;

							{
								BgL_liveblockz00_bglt BgL_auxz00_6509;

								{
									obj_t BgL_auxz00_6510;

									{	/* SawJvm/code.scm 178 */
										BgL_objectz00_bglt BgL_tmpz00_6511;

										BgL_tmpz00_6511 =
											((BgL_objectz00_bglt)
											((BgL_blockz00_bglt) BgL_bz00_2990));
										BgL_auxz00_6510 = BGL_OBJECT_WIDENING(BgL_tmpz00_6511);
									}
									BgL_auxz00_6509 = ((BgL_liveblockz00_bglt) BgL_auxz00_6510);
								}
								BgL_arg1963z00_3008 =
									(((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_6509))->
									BgL_inz00);
							}
							BgL_test2717z00_6508 =
								BGl_includeze70ze7zzsaw_jvm_codez00(BgL_nlivez00_2994,
								BgL_arg1963z00_3008);
						}
						if (BgL_test2717z00_6508)
							{	/* SawJvm/code.scm 178 */
								return ((bool_t) 0);
							}
						else
							{	/* SawJvm/code.scm 178 */
								{
									BgL_liveblockz00_bglt BgL_auxz00_6518;

									{
										obj_t BgL_auxz00_6519;

										{	/* SawJvm/code.scm 179 */
											BgL_objectz00_bglt BgL_tmpz00_6520;

											BgL_tmpz00_6520 =
												((BgL_objectz00_bglt)
												((BgL_blockz00_bglt) BgL_bz00_2990));
											BgL_auxz00_6519 = BGL_OBJECT_WIDENING(BgL_tmpz00_6520);
										}
										BgL_auxz00_6518 = ((BgL_liveblockz00_bglt) BgL_auxz00_6519);
									}
									((((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_6518))->
											BgL_inz00) = ((obj_t) BgL_nlivez00_2994), BUNSPEC);
								}
								{	/* SawJvm/code.scm 180 */
									obj_t BgL_g1653z00_2997;

									BgL_g1653z00_2997 =
										(((BgL_blockz00_bglt) COBJECT(
												((BgL_blockz00_bglt)
													((BgL_blockz00_bglt) BgL_bz00_2990))))->BgL_predsz00);
									{
										obj_t BgL_l1651z00_2999;

										BgL_l1651z00_2999 = BgL_g1653z00_2997;
									BgL_zc3z04anonymousza31958ze3z87_3000:
										if (PAIRP(BgL_l1651z00_2999))
											{	/* SawJvm/code.scm 180 */
												{	/* SawJvm/code.scm 181 */
													obj_t BgL_pz00_3002;

													BgL_pz00_3002 = CAR(BgL_l1651z00_2999);
													{	/* SawJvm/code.scm 181 */
														obj_t BgL_oz00_3003;

														{
															BgL_liveblockz00_bglt BgL_auxz00_6532;

															{
																obj_t BgL_auxz00_6533;

																{	/* SawJvm/code.scm 181 */
																	BgL_objectz00_bglt BgL_tmpz00_6534;

																	BgL_tmpz00_6534 =
																		((BgL_objectz00_bglt)
																		((BgL_blockz00_bglt) BgL_pz00_3002));
																	BgL_auxz00_6533 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_6534);
																}
																BgL_auxz00_6532 =
																	((BgL_liveblockz00_bglt) BgL_auxz00_6533);
															}
															BgL_oz00_3003 =
																(((BgL_liveblockz00_bglt)
																	COBJECT(BgL_auxz00_6532))->BgL_outz00);
														}
														if (BGl_includeze70ze7zzsaw_jvm_codez00
															(BgL_nlivez00_2994, BgL_oz00_3003))
															{	/* SawJvm/code.scm 182 */
																((bool_t) 0);
															}
														else
															{	/* SawJvm/code.scm 183 */
																obj_t BgL_auxz00_6542;

																BgL_l1z00_2948 = BgL_nlivez00_2994;
																BgL_l2z00_2949 = BgL_oz00_3003;
															BgL_zc3z04anonymousza31925ze3z87_2950:
																if (NULLP(BgL_l1z00_2948))
																	{	/* SawJvm/code.scm 154 */
																		BgL_auxz00_6542 = BgL_l2z00_2949;
																	}
																else
																	{	/* SawJvm/code.scm 154 */
																		if (CBOOL
																			(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																				(CAR(((obj_t) BgL_l1z00_2948)),
																					BgL_l2z00_2949)))
																			{	/* SawJvm/code.scm 155 */
																				obj_t BgL_arg1929z00_2954;

																				BgL_arg1929z00_2954 =
																					CDR(((obj_t) BgL_l1z00_2948));
																				{
																					obj_t BgL_l1z00_6552;

																					BgL_l1z00_6552 = BgL_arg1929z00_2954;
																					BgL_l1z00_2948 = BgL_l1z00_6552;
																					goto
																						BgL_zc3z04anonymousza31925ze3z87_2950;
																				}
																			}
																		else
																			{	/* SawJvm/code.scm 156 */
																				obj_t BgL_arg1930z00_2955;
																				obj_t BgL_arg1932z00_2956;

																				BgL_arg1930z00_2955 =
																					CDR(((obj_t) BgL_l1z00_2948));
																				{	/* SawJvm/code.scm 156 */
																					obj_t BgL_arg1933z00_2957;

																					BgL_arg1933z00_2957 =
																						CAR(((obj_t) BgL_l1z00_2948));
																					BgL_arg1932z00_2956 =
																						MAKE_YOUNG_PAIR(BgL_arg1933z00_2957,
																						BgL_l2z00_2949);
																				}
																				{
																					obj_t BgL_l2z00_6559;
																					obj_t BgL_l1z00_6558;

																					BgL_l1z00_6558 = BgL_arg1930z00_2955;
																					BgL_l2z00_6559 = BgL_arg1932z00_2956;
																					BgL_l2z00_2949 = BgL_l2z00_6559;
																					BgL_l1z00_2948 = BgL_l1z00_6558;
																					goto
																						BgL_zc3z04anonymousza31925ze3z87_2950;
																				}
																			}
																	}
																BGl_fixpointze70ze7zzsaw_jvm_codez00
																	(BgL_pz00_3002, BgL_auxz00_6542);
															}
													}
												}
												{
													obj_t BgL_l1651z00_6561;

													BgL_l1651z00_6561 = CDR(BgL_l1651z00_2999);
													BgL_l1651z00_2999 = BgL_l1651z00_6561;
													goto BgL_zc3z04anonymousza31958ze3z87_3000;
												}
											}
										else
											{	/* SawJvm/code.scm 180 */
												return ((bool_t) 1);
											}
									}
								}
							}
					}
				}
			}
		}

	}



/* live-reset */
	obj_t BGl_livezd2resetzd2zzsaw_jvm_codez00(BgL_jvmz00_bglt BgL_mez00_78,
		obj_t BgL_bz00_79, obj_t BgL_pendingz00_80)
	{
		{	/* SawJvm/code.scm 187 */
			{	/* SawJvm/code.scm 188 */
				obj_t BgL_labz00_3017;
				obj_t BgL_npendingz00_3018;

				{	/* SawJvm/code.scm 188 */

					{	/* SawJvm/code.scm 188 */

						BgL_labz00_3017 = BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
					}
				}
				BgL_npendingz00_3018 = BNIL;
				BGl_labelz00zzsaw_jvm_outz00(BgL_mez00_78, BgL_labz00_3017);
				{
					obj_t BgL_l1654z00_3021;

					BgL_l1654z00_3021 = BgL_pendingz00_80;
				BgL_zc3z04anonymousza31966ze3z87_3022:
					if (PAIRP(BgL_l1654z00_3021))
						{	/* SawJvm/code.scm 191 */
							{	/* SawJvm/code.scm 192 */
								obj_t BgL_pz00_3024;

								BgL_pz00_3024 = CAR(BgL_l1654z00_3021);
								{	/* SawJvm/code.scm 192 */
									bool_t BgL_test2723z00_6568;

									{	/* SawJvm/code.scm 192 */
										obj_t BgL_arg1973z00_3030;
										obj_t BgL_arg1974z00_3031;

										BgL_arg1973z00_3030 = CAR(((obj_t) BgL_pz00_3024));
										{
											BgL_liveblockz00_bglt BgL_auxz00_6571;

											{
												obj_t BgL_auxz00_6572;

												{	/* SawJvm/code.scm 192 */
													BgL_objectz00_bglt BgL_tmpz00_6573;

													BgL_tmpz00_6573 =
														((BgL_objectz00_bglt)
														((BgL_blockz00_bglt) BgL_bz00_79));
													BgL_auxz00_6572 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_6573);
												}
												BgL_auxz00_6571 =
													((BgL_liveblockz00_bglt) BgL_auxz00_6572);
											}
											BgL_arg1974z00_3031 =
												(((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_6571))->
												BgL_inz00);
										}
										BgL_test2723z00_6568 =
											CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
											(BgL_arg1973z00_3030, BgL_arg1974z00_3031));
									}
									if (BgL_test2723z00_6568)
										{	/* SawJvm/code.scm 192 */
											BgL_npendingz00_3018 =
												MAKE_YOUNG_PAIR(BgL_pz00_3024, BgL_npendingz00_3018);
										}
									else
										{	/* SawJvm/code.scm 194 */
											obj_t BgL_arg1971z00_3028;
											obj_t BgL_arg1972z00_3029;

											BgL_arg1971z00_3028 = CAR(((obj_t) BgL_pz00_3024));
											BgL_arg1972z00_3029 = CDR(((obj_t) BgL_pz00_3024));
											{	/* SawJvm/code.scm 205 */
												obj_t BgL_arg1981z00_4544;

												{
													BgL_lregz00_bglt BgL_auxz00_6586;

													{
														obj_t BgL_auxz00_6587;

														{	/* SawJvm/code.scm 205 */
															BgL_objectz00_bglt BgL_tmpz00_6588;

															BgL_tmpz00_6588 =
																((BgL_objectz00_bglt)
																((BgL_rtl_regz00_bglt) BgL_arg1971z00_3028));
															BgL_auxz00_6587 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_6588);
														}
														BgL_auxz00_6586 =
															((BgL_lregz00_bglt) BgL_auxz00_6587);
													}
													BgL_arg1981z00_4544 =
														(((BgL_lregz00_bglt) COBJECT(BgL_auxz00_6586))->
														BgL_idz00);
												}
												BGl_localvarz00zzsaw_jvm_outz00(BgL_mez00_78,
													BgL_arg1971z00_3028, BgL_arg1972z00_3029,
													BgL_labz00_3017, BgL_arg1981z00_4544);
											}
										}
								}
							}
							{
								obj_t BgL_l1654z00_6595;

								BgL_l1654z00_6595 = CDR(BgL_l1654z00_3021);
								BgL_l1654z00_3021 = BgL_l1654z00_6595;
								goto BgL_zc3z04anonymousza31966ze3z87_3022;
							}
						}
					else
						{	/* SawJvm/code.scm 191 */
							((bool_t) 1);
						}
				}
				{	/* SawJvm/code.scm 196 */
					obj_t BgL_g1658z00_3034;

					{
						BgL_liveblockz00_bglt BgL_auxz00_6597;

						{
							obj_t BgL_auxz00_6598;

							{	/* SawJvm/code.scm 196 */
								BgL_objectz00_bglt BgL_tmpz00_6599;

								BgL_tmpz00_6599 =
									((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_79));
								BgL_auxz00_6598 = BGL_OBJECT_WIDENING(BgL_tmpz00_6599);
							}
							BgL_auxz00_6597 = ((BgL_liveblockz00_bglt) BgL_auxz00_6598);
						}
						BgL_g1658z00_3034 =
							(((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_6597))->BgL_inz00);
					}
					{
						obj_t BgL_l1656z00_3036;

						BgL_l1656z00_3036 = BgL_g1658z00_3034;
					BgL_zc3z04anonymousza31976ze3z87_3037:
						if (PAIRP(BgL_l1656z00_3036))
							{	/* SawJvm/code.scm 196 */
								{	/* SawJvm/code.scm 197 */
									obj_t BgL_iz00_3039;

									BgL_iz00_3039 = CAR(BgL_l1656z00_3036);
									if (CBOOL(BGl_assqz00zz__r4_pairs_and_lists_6_3z00
											(BgL_iz00_3039, BgL_npendingz00_3018)))
										{	/* SawJvm/code.scm 197 */
											BFALSE;
										}
									else
										{	/* SawJvm/code.scm 198 */
											obj_t BgL_arg1979z00_3041;

											BgL_arg1979z00_3041 =
												MAKE_YOUNG_PAIR(BgL_iz00_3039, BgL_labz00_3017);
											BgL_npendingz00_3018 =
												MAKE_YOUNG_PAIR(BgL_arg1979z00_3041,
												BgL_npendingz00_3018);
										}
								}
								{
									obj_t BgL_l1656z00_6613;

									BgL_l1656z00_6613 = CDR(BgL_l1656z00_3036);
									BgL_l1656z00_3036 = BgL_l1656z00_6613;
									goto BgL_zc3z04anonymousza31976ze3z87_3037;
								}
							}
						else
							{	/* SawJvm/code.scm 196 */
								((bool_t) 1);
							}
					}
				}
				return BgL_npendingz00_3018;
			}
		}

	}



/* gen-ins */
	obj_t BGl_genzd2inszd2zzsaw_jvm_codez00(BgL_jvmz00_bglt BgL_mez00_85,
		obj_t BgL_insz00_86, obj_t BgL_pz00_87)
	{
		{	/* SawJvm/code.scm 210 */
			{	/* SawJvm/code.scm 213 */
				bool_t BgL_test2726z00_6615;

				{	/* SawJvm/code.scm 213 */
					obj_t BgL_arg2007z00_3072;

					{	/* SawJvm/code.scm 213 */
						BgL_rtl_funz00_bglt BgL_arg2008z00_3073;
						obj_t BgL_arg2009z00_3074;

						BgL_arg2008z00_3073 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_insz00_86)))->BgL_funz00);
						BgL_arg2009z00_3074 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_insz00_86)))->BgL_argsz00);
						BgL_arg2007z00_3072 =
							BGl_genzd2argszd2genzd2funzd2zzsaw_jvm_codez00
							(BgL_arg2008z00_3073, ((obj_t) BgL_mez00_85),
							BgL_arg2009z00_3074);
					}
					BgL_test2726z00_6615 =
						(BgL_arg2007z00_3072 == ((obj_t) CNST_TABLE_REF(13)));
				}
				if (BgL_test2726z00_6615)
					{	/* SawJvm/code.scm 213 */
						if (CBOOL(
								(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_insz00_86)))->BgL_destz00)))
							{	/* SawJvm/code.scm 214 */
								BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_85,
									((obj_t) CNST_TABLE_REF(14)));
								{	/* SawJvm/code.scm 216 */
									obj_t BgL_arg1987z00_3053;

									BgL_arg1987z00_3053 =
										(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_insz00_86)))->BgL_destz00);
									BGl_storezd2regzd2zzsaw_jvm_codez00(BgL_mez00_85,
										BgL_arg1987z00_3053);
								}
							}
						else
							{	/* SawJvm/code.scm 214 */
								BFALSE;
							}
					}
				else
					{	/* SawJvm/code.scm 213 */
						if (CBOOL(
								(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_insz00_86)))->BgL_destz00)))
							{	/* SawJvm/code.scm 218 */
								obj_t BgL_arg1989z00_3055;

								BgL_arg1989z00_3055 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_insz00_86)))->BgL_destz00);
								BGl_storezd2regzd2zzsaw_jvm_codez00(BgL_mez00_85,
									BgL_arg1989z00_3055);
							}
						else
							{	/* SawJvm/code.scm 220 */
								bool_t BgL_test2729z00_6642;

								{	/* SawJvm/code.scm 220 */
									bool_t BgL_test2730z00_6643;

									{	/* SawJvm/code.scm 220 */
										BgL_rtl_funz00_bglt BgL_arg2006z00_3071;

										BgL_arg2006z00_3071 =
											(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_insz00_86)))->BgL_funz00);
										{	/* SawJvm/code.scm 220 */
											obj_t BgL_classz00_4553;

											BgL_classz00_4553 = BGl_rtl_lastz00zzsaw_defsz00;
											{	/* SawJvm/code.scm 220 */
												BgL_objectz00_bglt BgL_arg1858z00_4555;

												{	/* SawJvm/code.scm 220 */
													obj_t BgL_tmpz00_6646;

													BgL_tmpz00_6646 =
														((obj_t)
														((BgL_objectz00_bglt) BgL_arg2006z00_3071));
													BgL_arg1858z00_4555 =
														(BgL_objectz00_bglt) (BgL_tmpz00_6646);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* SawJvm/code.scm 220 */
														long BgL_idxz00_4561;

														BgL_idxz00_4561 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4555);
														BgL_test2730z00_6643 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_4561 + 2L)) == BgL_classz00_4553);
													}
												else
													{	/* SawJvm/code.scm 220 */
														bool_t BgL_res2479z00_4586;

														{	/* SawJvm/code.scm 220 */
															obj_t BgL_oclassz00_4569;

															{	/* SawJvm/code.scm 220 */
																obj_t BgL_arg1866z00_4577;
																long BgL_arg1867z00_4578;

																BgL_arg1866z00_4577 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* SawJvm/code.scm 220 */
																	long BgL_arg1869z00_4579;

																	BgL_arg1869z00_4579 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4555);
																	BgL_arg1867z00_4578 =
																		(BgL_arg1869z00_4579 - OBJECT_TYPE);
																}
																BgL_oclassz00_4569 =
																	VECTOR_REF(BgL_arg1866z00_4577,
																	BgL_arg1867z00_4578);
															}
															{	/* SawJvm/code.scm 220 */
																bool_t BgL__ortest_1115z00_4570;

																BgL__ortest_1115z00_4570 =
																	(BgL_classz00_4553 == BgL_oclassz00_4569);
																if (BgL__ortest_1115z00_4570)
																	{	/* SawJvm/code.scm 220 */
																		BgL_res2479z00_4586 =
																			BgL__ortest_1115z00_4570;
																	}
																else
																	{	/* SawJvm/code.scm 220 */
																		long BgL_odepthz00_4571;

																		{	/* SawJvm/code.scm 220 */
																			obj_t BgL_arg1855z00_4572;

																			BgL_arg1855z00_4572 =
																				(BgL_oclassz00_4569);
																			BgL_odepthz00_4571 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_4572);
																		}
																		if ((2L < BgL_odepthz00_4571))
																			{	/* SawJvm/code.scm 220 */
																				obj_t BgL_arg1853z00_4574;

																				{	/* SawJvm/code.scm 220 */
																					obj_t BgL_arg1854z00_4575;

																					BgL_arg1854z00_4575 =
																						(BgL_oclassz00_4569);
																					BgL_arg1853z00_4574 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_4575, 2L);
																				}
																				BgL_res2479z00_4586 =
																					(BgL_arg1853z00_4574 ==
																					BgL_classz00_4553);
																			}
																		else
																			{	/* SawJvm/code.scm 220 */
																				BgL_res2479z00_4586 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2730z00_6643 = BgL_res2479z00_4586;
													}
											}
										}
									}
									if (BgL_test2730z00_6643)
										{	/* SawJvm/code.scm 220 */
											BgL_test2729z00_6642 = ((bool_t) 1);
										}
									else
										{	/* SawJvm/code.scm 221 */
											bool_t BgL_test2734z00_6669;

											{	/* SawJvm/code.scm 221 */
												BgL_rtl_funz00_bglt BgL_arg2005z00_3070;

												BgL_arg2005z00_3070 =
													(((BgL_rtl_insz00_bglt) COBJECT(
															((BgL_rtl_insz00_bglt) BgL_insz00_86)))->
													BgL_funz00);
												{	/* SawJvm/code.scm 221 */
													obj_t BgL_classz00_4587;

													BgL_classz00_4587 = BGl_rtl_notseqz00zzsaw_defsz00;
													{	/* SawJvm/code.scm 221 */
														BgL_objectz00_bglt BgL_arg1858z00_4589;

														{	/* SawJvm/code.scm 221 */
															obj_t BgL_tmpz00_6672;

															BgL_tmpz00_6672 =
																((obj_t)
																((BgL_objectz00_bglt) BgL_arg2005z00_3070));
															BgL_arg1858z00_4589 =
																(BgL_objectz00_bglt) (BgL_tmpz00_6672);
														}
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* SawJvm/code.scm 221 */
																long BgL_idxz00_4595;

																BgL_idxz00_4595 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1858z00_4589);
																BgL_test2734z00_6669 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_4595 + 2L)) ==
																	BgL_classz00_4587);
															}
														else
															{	/* SawJvm/code.scm 221 */
																bool_t BgL_res2480z00_4620;

																{	/* SawJvm/code.scm 221 */
																	obj_t BgL_oclassz00_4603;

																	{	/* SawJvm/code.scm 221 */
																		obj_t BgL_arg1866z00_4611;
																		long BgL_arg1867z00_4612;

																		BgL_arg1866z00_4611 =
																			(BGl_za2classesza2z00zz__objectz00);
																		{	/* SawJvm/code.scm 221 */
																			long BgL_arg1869z00_4613;

																			BgL_arg1869z00_4613 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1858z00_4589);
																			BgL_arg1867z00_4612 =
																				(BgL_arg1869z00_4613 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_4603 =
																			VECTOR_REF(BgL_arg1866z00_4611,
																			BgL_arg1867z00_4612);
																	}
																	{	/* SawJvm/code.scm 221 */
																		bool_t BgL__ortest_1115z00_4604;

																		BgL__ortest_1115z00_4604 =
																			(BgL_classz00_4587 == BgL_oclassz00_4603);
																		if (BgL__ortest_1115z00_4604)
																			{	/* SawJvm/code.scm 221 */
																				BgL_res2480z00_4620 =
																					BgL__ortest_1115z00_4604;
																			}
																		else
																			{	/* SawJvm/code.scm 221 */
																				long BgL_odepthz00_4605;

																				{	/* SawJvm/code.scm 221 */
																					obj_t BgL_arg1855z00_4606;

																					BgL_arg1855z00_4606 =
																						(BgL_oclassz00_4603);
																					BgL_odepthz00_4605 =
																						BGL_CLASS_DEPTH
																						(BgL_arg1855z00_4606);
																				}
																				if ((2L < BgL_odepthz00_4605))
																					{	/* SawJvm/code.scm 221 */
																						obj_t BgL_arg1853z00_4608;

																						{	/* SawJvm/code.scm 221 */
																							obj_t BgL_arg1854z00_4609;

																							BgL_arg1854z00_4609 =
																								(BgL_oclassz00_4603);
																							BgL_arg1853z00_4608 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_arg1854z00_4609, 2L);
																						}
																						BgL_res2480z00_4620 =
																							(BgL_arg1853z00_4608 ==
																							BgL_classz00_4587);
																					}
																				else
																					{	/* SawJvm/code.scm 221 */
																						BgL_res2480z00_4620 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test2734z00_6669 = BgL_res2480z00_4620;
															}
													}
												}
											}
											if (BgL_test2734z00_6669)
												{	/* SawJvm/code.scm 221 */
													BgL_test2729z00_6642 = ((bool_t) 1);
												}
											else
												{	/* SawJvm/code.scm 222 */
													BgL_rtl_funz00_bglt BgL_arg2004z00_3069;

													BgL_arg2004z00_3069 =
														(((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt) BgL_insz00_86)))->
														BgL_funz00);
													{	/* SawJvm/code.scm 222 */
														obj_t BgL_classz00_4621;

														BgL_classz00_4621 = BGl_rtl_effectz00zzsaw_defsz00;
														{	/* SawJvm/code.scm 222 */
															BgL_objectz00_bglt BgL_arg1858z00_4623;

															{	/* SawJvm/code.scm 222 */
																obj_t BgL_tmpz00_6697;

																BgL_tmpz00_6697 =
																	((obj_t)
																	((BgL_objectz00_bglt) BgL_arg2004z00_3069));
																BgL_arg1858z00_4623 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_6697);
															}
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* SawJvm/code.scm 222 */
																	long BgL_idxz00_4629;

																	BgL_idxz00_4629 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_4623);
																	BgL_test2729z00_6642 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_4629 + 2L)) ==
																		BgL_classz00_4621);
																}
															else
																{	/* SawJvm/code.scm 222 */
																	bool_t BgL_res2481z00_4654;

																	{	/* SawJvm/code.scm 222 */
																		obj_t BgL_oclassz00_4637;

																		{	/* SawJvm/code.scm 222 */
																			obj_t BgL_arg1866z00_4645;
																			long BgL_arg1867z00_4646;

																			BgL_arg1866z00_4645 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* SawJvm/code.scm 222 */
																				long BgL_arg1869z00_4647;

																				BgL_arg1869z00_4647 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_4623);
																				BgL_arg1867z00_4646 =
																					(BgL_arg1869z00_4647 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_4637 =
																				VECTOR_REF(BgL_arg1866z00_4645,
																				BgL_arg1867z00_4646);
																		}
																		{	/* SawJvm/code.scm 222 */
																			bool_t BgL__ortest_1115z00_4638;

																			BgL__ortest_1115z00_4638 =
																				(BgL_classz00_4621 ==
																				BgL_oclassz00_4637);
																			if (BgL__ortest_1115z00_4638)
																				{	/* SawJvm/code.scm 222 */
																					BgL_res2481z00_4654 =
																						BgL__ortest_1115z00_4638;
																				}
																			else
																				{	/* SawJvm/code.scm 222 */
																					long BgL_odepthz00_4639;

																					{	/* SawJvm/code.scm 222 */
																						obj_t BgL_arg1855z00_4640;

																						BgL_arg1855z00_4640 =
																							(BgL_oclassz00_4637);
																						BgL_odepthz00_4639 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_4640);
																					}
																					if ((2L < BgL_odepthz00_4639))
																						{	/* SawJvm/code.scm 222 */
																							obj_t BgL_arg1853z00_4642;

																							{	/* SawJvm/code.scm 222 */
																								obj_t BgL_arg1854z00_4643;

																								BgL_arg1854z00_4643 =
																									(BgL_oclassz00_4637);
																								BgL_arg1853z00_4642 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_4643, 2L);
																							}
																							BgL_res2481z00_4654 =
																								(BgL_arg1853z00_4642 ==
																								BgL_classz00_4621);
																						}
																					else
																						{	/* SawJvm/code.scm 222 */
																							BgL_res2481z00_4654 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test2729z00_6642 = BgL_res2481z00_4654;
																}
														}
													}
												}
										}
								}
								if (BgL_test2729z00_6642)
									{	/* SawJvm/code.scm 220 */
										BFALSE;
									}
								else
									{	/* SawJvm/code.scm 223 */
										int BgL_nz00_3064;

										BgL_nz00_3064 =
											BGl_siza7ezd2destz75zzsaw_jvm_typez00(BgL_insz00_86);
										if (((long) (BgL_nz00_3064) > 0L))
											{	/* SawJvm/code.scm 224 */
												if (((long) (BgL_nz00_3064) > 1L))
													{	/* SawJvm/code.scm 225 */
														BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_85,
															((obj_t) CNST_TABLE_REF(15)));
													}
												else
													{	/* SawJvm/code.scm 225 */
														BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_85,
															((obj_t) CNST_TABLE_REF(16)));
													}
											}
										else
											{	/* SawJvm/code.scm 224 */
												BFALSE;
											}
									}
							}
					}
			}
			{	/* SawJvm/code.scm 228 */
				bool_t BgL_test2743z00_6733;

				{	/* SawJvm/code.scm 228 */
					BgL_rtl_funz00_bglt BgL_arg2012z00_3077;

					BgL_arg2012z00_3077 =
						(((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_insz00_86)))->BgL_funz00);
					{	/* SawJvm/code.scm 228 */
						obj_t BgL_classz00_4657;

						BgL_classz00_4657 = BGl_rtl_protectz00zzsaw_defsz00;
						{	/* SawJvm/code.scm 228 */
							BgL_objectz00_bglt BgL_arg1858z00_4659;

							{	/* SawJvm/code.scm 228 */
								obj_t BgL_tmpz00_6736;

								BgL_tmpz00_6736 =
									((obj_t) ((BgL_objectz00_bglt) BgL_arg2012z00_3077));
								BgL_arg1858z00_4659 = (BgL_objectz00_bglt) (BgL_tmpz00_6736);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawJvm/code.scm 228 */
									long BgL_idxz00_4665;

									BgL_idxz00_4665 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4659);
									BgL_test2743z00_6733 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4665 + 2L)) == BgL_classz00_4657);
								}
							else
								{	/* SawJvm/code.scm 228 */
									bool_t BgL_res2482z00_4690;

									{	/* SawJvm/code.scm 228 */
										obj_t BgL_oclassz00_4673;

										{	/* SawJvm/code.scm 228 */
											obj_t BgL_arg1866z00_4681;
											long BgL_arg1867z00_4682;

											BgL_arg1866z00_4681 = (BGl_za2classesza2z00zz__objectz00);
											{	/* SawJvm/code.scm 228 */
												long BgL_arg1869z00_4683;

												BgL_arg1869z00_4683 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4659);
												BgL_arg1867z00_4682 =
													(BgL_arg1869z00_4683 - OBJECT_TYPE);
											}
											BgL_oclassz00_4673 =
												VECTOR_REF(BgL_arg1866z00_4681, BgL_arg1867z00_4682);
										}
										{	/* SawJvm/code.scm 228 */
											bool_t BgL__ortest_1115z00_4674;

											BgL__ortest_1115z00_4674 =
												(BgL_classz00_4657 == BgL_oclassz00_4673);
											if (BgL__ortest_1115z00_4674)
												{	/* SawJvm/code.scm 228 */
													BgL_res2482z00_4690 = BgL__ortest_1115z00_4674;
												}
											else
												{	/* SawJvm/code.scm 228 */
													long BgL_odepthz00_4675;

													{	/* SawJvm/code.scm 228 */
														obj_t BgL_arg1855z00_4676;

														BgL_arg1855z00_4676 = (BgL_oclassz00_4673);
														BgL_odepthz00_4675 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_4676);
													}
													if ((2L < BgL_odepthz00_4675))
														{	/* SawJvm/code.scm 228 */
															obj_t BgL_arg1853z00_4678;

															{	/* SawJvm/code.scm 228 */
																obj_t BgL_arg1854z00_4679;

																BgL_arg1854z00_4679 = (BgL_oclassz00_4673);
																BgL_arg1853z00_4678 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_4679,
																	2L);
															}
															BgL_res2482z00_4690 =
																(BgL_arg1853z00_4678 == BgL_classz00_4657);
														}
													else
														{	/* SawJvm/code.scm 228 */
															BgL_res2482z00_4690 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2743z00_6733 = BgL_res2482z00_4690;
								}
						}
					}
				}
				if (BgL_test2743z00_6733)
					{	/* SawJvm/code.scm 228 */
						BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_85,
							((obj_t) CNST_TABLE_REF(17)));
					}
				else
					{	/* SawJvm/code.scm 228 */
						BFALSE;
					}
			}
			{	/* SawJvm/code.scm 229 */
				bool_t BgL_test2747z00_6762;

				if (CBOOL(BGl_za2jvmzd2debugza2zd2zzengine_paramz00))
					{	/* SawJvm/code.scm 229 */
						BgL_test2747z00_6762 =
							CBOOL(
							(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_insz00_86)))->BgL_destz00));
					}
				else
					{	/* SawJvm/code.scm 229 */
						BgL_test2747z00_6762 = ((bool_t) 0);
					}
				if (BgL_test2747z00_6762)
					{	/* SawJvm/code.scm 230 */
						bool_t BgL_test2749z00_6768;

						{	/* SawJvm/code.scm 230 */
							obj_t BgL_arg2018z00_3085;

							BgL_arg2018z00_3085 =
								(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_insz00_86)))->BgL_destz00);
							BgL_test2749z00_6768 =
								CBOOL(BGl_assqz00zz__r4_pairs_and_lists_6_3z00
								(BgL_arg2018z00_3085, BgL_pz00_87));
						}
						if (BgL_test2749z00_6768)
							{	/* SawJvm/code.scm 230 */
								BFALSE;
							}
						else
							{	/* SawJvm/code.scm 231 */
								obj_t BgL_labz00_3081;

								{	/* SawJvm/code.scm 231 */

									{	/* SawJvm/code.scm 231 */

										BgL_labz00_3081 =
											BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
									}
								}
								BGl_labelz00zzsaw_jvm_outz00(BgL_mez00_85, BgL_labz00_3081);
								{	/* SawJvm/code.scm 233 */
									obj_t BgL_arg2016z00_3082;

									{	/* SawJvm/code.scm 233 */
										obj_t BgL_arg2017z00_3083;

										BgL_arg2017z00_3083 =
											(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_insz00_86)))->BgL_destz00);
										BgL_arg2016z00_3082 =
											MAKE_YOUNG_PAIR(BgL_arg2017z00_3083, BgL_labz00_3081);
									}
									BgL_pz00_87 =
										MAKE_YOUNG_PAIR(BgL_arg2016z00_3082, BgL_pz00_87);
								}
							}
					}
				else
					{	/* SawJvm/code.scm 229 */
						BFALSE;
					}
			}
			return BgL_pz00_87;
		}

	}



/* gen-expr */
	BGL_EXPORTED_DEF obj_t BGl_genzd2exprzd2zzsaw_jvm_codez00(BgL_jvmz00_bglt
		BgL_mez00_88, obj_t BgL_insz00_89)
	{
		{	/* SawJvm/code.scm 236 */
			{	/* SawJvm/code.scm 237 */
				bool_t BgL_test2750z00_6779;

				{	/* SawJvm/code.scm 237 */
					obj_t BgL_classz00_4691;

					BgL_classz00_4691 = BGl_rtl_regz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_insz00_89))
						{	/* SawJvm/code.scm 237 */
							BgL_objectz00_bglt BgL_arg1858z00_4693;

							BgL_arg1858z00_4693 = (BgL_objectz00_bglt) (BgL_insz00_89);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawJvm/code.scm 237 */
									long BgL_idxz00_4699;

									BgL_idxz00_4699 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4693);
									BgL_test2750z00_6779 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4699 + 1L)) == BgL_classz00_4691);
								}
							else
								{	/* SawJvm/code.scm 237 */
									bool_t BgL_res2483z00_4724;

									{	/* SawJvm/code.scm 237 */
										obj_t BgL_oclassz00_4707;

										{	/* SawJvm/code.scm 237 */
											obj_t BgL_arg1866z00_4715;
											long BgL_arg1867z00_4716;

											BgL_arg1866z00_4715 = (BGl_za2classesza2z00zz__objectz00);
											{	/* SawJvm/code.scm 237 */
												long BgL_arg1869z00_4717;

												BgL_arg1869z00_4717 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4693);
												BgL_arg1867z00_4716 =
													(BgL_arg1869z00_4717 - OBJECT_TYPE);
											}
											BgL_oclassz00_4707 =
												VECTOR_REF(BgL_arg1866z00_4715, BgL_arg1867z00_4716);
										}
										{	/* SawJvm/code.scm 237 */
											bool_t BgL__ortest_1115z00_4708;

											BgL__ortest_1115z00_4708 =
												(BgL_classz00_4691 == BgL_oclassz00_4707);
											if (BgL__ortest_1115z00_4708)
												{	/* SawJvm/code.scm 237 */
													BgL_res2483z00_4724 = BgL__ortest_1115z00_4708;
												}
											else
												{	/* SawJvm/code.scm 237 */
													long BgL_odepthz00_4709;

													{	/* SawJvm/code.scm 237 */
														obj_t BgL_arg1855z00_4710;

														BgL_arg1855z00_4710 = (BgL_oclassz00_4707);
														BgL_odepthz00_4709 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_4710);
													}
													if ((1L < BgL_odepthz00_4709))
														{	/* SawJvm/code.scm 237 */
															obj_t BgL_arg1853z00_4712;

															{	/* SawJvm/code.scm 237 */
																obj_t BgL_arg1854z00_4713;

																BgL_arg1854z00_4713 = (BgL_oclassz00_4707);
																BgL_arg1853z00_4712 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_4713,
																	1L);
															}
															BgL_res2483z00_4724 =
																(BgL_arg1853z00_4712 == BgL_classz00_4691);
														}
													else
														{	/* SawJvm/code.scm 237 */
															BgL_res2483z00_4724 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2750z00_6779 = BgL_res2483z00_4724;
								}
						}
					else
						{	/* SawJvm/code.scm 237 */
							BgL_test2750z00_6779 = ((bool_t) 0);
						}
				}
				if (BgL_test2750z00_6779)
					{	/* SawJvm/code.scm 237 */
						return
							BGl_loadzd2regzd2zzsaw_jvm_codez00(
							((obj_t) BgL_mez00_88), BgL_insz00_89);
					}
				else
					{	/* SawJvm/code.scm 240 */
						bool_t BgL_test2755z00_6804;

						{	/* SawJvm/code.scm 240 */
							obj_t BgL_arg2025z00_3092;

							{	/* SawJvm/code.scm 240 */
								BgL_rtl_funz00_bglt BgL_arg2026z00_3093;
								obj_t BgL_arg2027z00_3094;

								BgL_arg2026z00_3093 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_insz00_89)))->BgL_funz00);
								BgL_arg2027z00_3094 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_insz00_89)))->BgL_argsz00);
								BgL_arg2025z00_3092 =
									BGl_genzd2argszd2genzd2funzd2zzsaw_jvm_codez00
									(BgL_arg2026z00_3093, ((obj_t) BgL_mez00_88),
									BgL_arg2027z00_3094);
							}
							BgL_test2755z00_6804 =
								(BgL_arg2025z00_3092 == ((obj_t) CNST_TABLE_REF(13)));
						}
						if (BgL_test2755z00_6804)
							{	/* SawJvm/code.scm 240 */
								BGL_TAIL return
									BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_88,
									((obj_t) CNST_TABLE_REF(14)));
							}
						else
							{	/* SawJvm/code.scm 240 */
								return BFALSE;
							}
					}
			}
		}

	}



/* &gen-expr */
	obj_t BGl_z62genzd2exprzb0zzsaw_jvm_codez00(obj_t BgL_envz00_5396,
		obj_t BgL_mez00_5397, obj_t BgL_insz00_5398)
	{
		{	/* SawJvm/code.scm 236 */
			return
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
				((BgL_jvmz00_bglt) BgL_mez00_5397), BgL_insz00_5398);
		}

	}



/* load-reg */
	obj_t BGl_loadzd2regzd2zzsaw_jvm_codez00(obj_t BgL_mez00_90,
		obj_t BgL_rz00_91)
	{
		{	/* SawJvm/code.scm 243 */
			{	/* SawJvm/code.scm 245 */
				obj_t BgL_arg2028z00_3095;

				{	/* SawJvm/code.scm 245 */
					obj_t BgL_arg2030z00_3096;
					obj_t BgL_arg2031z00_3097;

					{	/* SawJvm/code.scm 245 */
						obj_t BgL_casezd2valuezd2_3098;

						BgL_casezd2valuezd2_3098 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_rtl_regz00_bglt) COBJECT(
												((BgL_rtl_regz00_bglt)
													((BgL_rtl_regz00_bglt) BgL_rz00_91))))->
										BgL_typez00)))->BgL_namez00);
						{	/* SawJvm/code.scm 245 */
							bool_t BgL_test2756z00_6823;

							{	/* SawJvm/code.scm 245 */
								bool_t BgL__ortest_1216z00_3108;

								BgL__ortest_1216z00_3108 =
									(BgL_casezd2valuezd2_3098 == ((obj_t) CNST_TABLE_REF(18)));
								if (BgL__ortest_1216z00_3108)
									{	/* SawJvm/code.scm 245 */
										BgL_test2756z00_6823 = BgL__ortest_1216z00_3108;
									}
								else
									{	/* SawJvm/code.scm 245 */
										bool_t BgL__ortest_1217z00_3109;

										BgL__ortest_1217z00_3109 =
											(BgL_casezd2valuezd2_3098 ==
											((obj_t) CNST_TABLE_REF(19)));
										if (BgL__ortest_1217z00_3109)
											{	/* SawJvm/code.scm 245 */
												BgL_test2756z00_6823 = BgL__ortest_1217z00_3109;
											}
										else
											{	/* SawJvm/code.scm 245 */
												bool_t BgL__ortest_1218z00_3110;

												BgL__ortest_1218z00_3110 =
													(BgL_casezd2valuezd2_3098 ==
													((obj_t) CNST_TABLE_REF(20)));
												if (BgL__ortest_1218z00_3110)
													{	/* SawJvm/code.scm 245 */
														BgL_test2756z00_6823 = BgL__ortest_1218z00_3110;
													}
												else
													{	/* SawJvm/code.scm 245 */
														bool_t BgL__ortest_1219z00_3111;

														BgL__ortest_1219z00_3111 =
															(BgL_casezd2valuezd2_3098 ==
															((obj_t) CNST_TABLE_REF(21)));
														if (BgL__ortest_1219z00_3111)
															{	/* SawJvm/code.scm 245 */
																BgL_test2756z00_6823 = BgL__ortest_1219z00_3111;
															}
														else
															{	/* SawJvm/code.scm 245 */
																BgL_test2756z00_6823 =
																	(BgL_casezd2valuezd2_3098 ==
																	((obj_t) CNST_TABLE_REF(22)));
															}
													}
											}
									}
							}
							if (BgL_test2756z00_6823)
								{	/* SawJvm/code.scm 245 */
									BgL_arg2030z00_3096 = ((obj_t) CNST_TABLE_REF(23));
								}
							else
								{	/* SawJvm/code.scm 245 */
									if (
										(BgL_casezd2valuezd2_3098 == ((obj_t) CNST_TABLE_REF(11))))
										{	/* SawJvm/code.scm 245 */
											BgL_arg2030z00_3096 = ((obj_t) CNST_TABLE_REF(24));
										}
									else
										{	/* SawJvm/code.scm 245 */
											if (
												(BgL_casezd2valuezd2_3098 ==
													((obj_t) CNST_TABLE_REF(25))))
												{	/* SawJvm/code.scm 245 */
													BgL_arg2030z00_3096 = ((obj_t) CNST_TABLE_REF(26));
												}
											else
												{	/* SawJvm/code.scm 245 */
													if (
														(BgL_casezd2valuezd2_3098 ==
															((obj_t) CNST_TABLE_REF(10))))
														{	/* SawJvm/code.scm 245 */
															BgL_arg2030z00_3096 =
																((obj_t) CNST_TABLE_REF(27));
														}
													else
														{	/* SawJvm/code.scm 245 */
															BgL_arg2030z00_3096 =
																((obj_t) CNST_TABLE_REF(28));
														}
												}
										}
								}
						}
					}
					{	/* SawJvm/code.scm 251 */
						obj_t BgL_arg2038z00_3113;

						{
							BgL_lregz00_bglt BgL_auxz00_6865;

							{
								obj_t BgL_auxz00_6866;

								{	/* SawJvm/code.scm 251 */
									BgL_objectz00_bglt BgL_tmpz00_6867;

									BgL_tmpz00_6867 =
										((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_rz00_91));
									BgL_auxz00_6866 = BGL_OBJECT_WIDENING(BgL_tmpz00_6867);
								}
								BgL_auxz00_6865 = ((BgL_lregz00_bglt) BgL_auxz00_6866);
							}
							BgL_arg2038z00_3113 =
								(((BgL_lregz00_bglt) COBJECT(BgL_auxz00_6865))->BgL_idz00);
						}
						BgL_arg2031z00_3097 = MAKE_YOUNG_PAIR(BgL_arg2038z00_3113, BNIL);
					}
					BgL_arg2028z00_3095 =
						MAKE_YOUNG_PAIR(BgL_arg2030z00_3096, BgL_arg2031z00_3097);
				}
				return
					BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_90), BgL_arg2028z00_3095);
			}
		}

	}



/* store-reg */
	obj_t BGl_storezd2regzd2zzsaw_jvm_codez00(BgL_jvmz00_bglt BgL_mez00_92,
		obj_t BgL_rz00_93)
	{
		{	/* SawJvm/code.scm 253 */
			{	/* SawJvm/code.scm 255 */
				obj_t BgL_arg2039z00_3114;

				{	/* SawJvm/code.scm 255 */
					obj_t BgL_arg2040z00_3115;
					obj_t BgL_arg2041z00_3116;

					{	/* SawJvm/code.scm 255 */
						obj_t BgL_casezd2valuezd2_3117;

						BgL_casezd2valuezd2_3117 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_rtl_regz00_bglt) COBJECT(
												((BgL_rtl_regz00_bglt)
													((BgL_rtl_regz00_bglt) BgL_rz00_93))))->
										BgL_typez00)))->BgL_namez00);
						{	/* SawJvm/code.scm 255 */
							bool_t BgL_test2764z00_6881;

							{	/* SawJvm/code.scm 255 */
								bool_t BgL__ortest_1220z00_3127;

								BgL__ortest_1220z00_3127 =
									(BgL_casezd2valuezd2_3117 == ((obj_t) CNST_TABLE_REF(18)));
								if (BgL__ortest_1220z00_3127)
									{	/* SawJvm/code.scm 255 */
										BgL_test2764z00_6881 = BgL__ortest_1220z00_3127;
									}
								else
									{	/* SawJvm/code.scm 255 */
										bool_t BgL__ortest_1221z00_3128;

										BgL__ortest_1221z00_3128 =
											(BgL_casezd2valuezd2_3117 ==
											((obj_t) CNST_TABLE_REF(19)));
										if (BgL__ortest_1221z00_3128)
											{	/* SawJvm/code.scm 255 */
												BgL_test2764z00_6881 = BgL__ortest_1221z00_3128;
											}
										else
											{	/* SawJvm/code.scm 255 */
												bool_t BgL__ortest_1222z00_3129;

												BgL__ortest_1222z00_3129 =
													(BgL_casezd2valuezd2_3117 ==
													((obj_t) CNST_TABLE_REF(20)));
												if (BgL__ortest_1222z00_3129)
													{	/* SawJvm/code.scm 255 */
														BgL_test2764z00_6881 = BgL__ortest_1222z00_3129;
													}
												else
													{	/* SawJvm/code.scm 255 */
														bool_t BgL__ortest_1223z00_3130;

														BgL__ortest_1223z00_3130 =
															(BgL_casezd2valuezd2_3117 ==
															((obj_t) CNST_TABLE_REF(21)));
														if (BgL__ortest_1223z00_3130)
															{	/* SawJvm/code.scm 255 */
																BgL_test2764z00_6881 = BgL__ortest_1223z00_3130;
															}
														else
															{	/* SawJvm/code.scm 255 */
																BgL_test2764z00_6881 =
																	(BgL_casezd2valuezd2_3117 ==
																	((obj_t) CNST_TABLE_REF(22)));
															}
													}
											}
									}
							}
							if (BgL_test2764z00_6881)
								{	/* SawJvm/code.scm 255 */
									BgL_arg2040z00_3115 = ((obj_t) CNST_TABLE_REF(29));
								}
							else
								{	/* SawJvm/code.scm 255 */
									if (
										(BgL_casezd2valuezd2_3117 == ((obj_t) CNST_TABLE_REF(11))))
										{	/* SawJvm/code.scm 255 */
											BgL_arg2040z00_3115 = ((obj_t) CNST_TABLE_REF(30));
										}
									else
										{	/* SawJvm/code.scm 255 */
											if (
												(BgL_casezd2valuezd2_3117 ==
													((obj_t) CNST_TABLE_REF(25))))
												{	/* SawJvm/code.scm 255 */
													BgL_arg2040z00_3115 = ((obj_t) CNST_TABLE_REF(31));
												}
											else
												{	/* SawJvm/code.scm 255 */
													if (
														(BgL_casezd2valuezd2_3117 ==
															((obj_t) CNST_TABLE_REF(10))))
														{	/* SawJvm/code.scm 255 */
															BgL_arg2040z00_3115 =
																((obj_t) CNST_TABLE_REF(32));
														}
													else
														{	/* SawJvm/code.scm 255 */
															BgL_arg2040z00_3115 =
																((obj_t) CNST_TABLE_REF(33));
														}
												}
										}
								}
						}
					}
					{	/* SawJvm/code.scm 261 */
						obj_t BgL_arg2047z00_3132;

						{
							BgL_lregz00_bglt BgL_auxz00_6923;

							{
								obj_t BgL_auxz00_6924;

								{	/* SawJvm/code.scm 261 */
									BgL_objectz00_bglt BgL_tmpz00_6925;

									BgL_tmpz00_6925 =
										((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_rz00_93));
									BgL_auxz00_6924 = BGL_OBJECT_WIDENING(BgL_tmpz00_6925);
								}
								BgL_auxz00_6923 = ((BgL_lregz00_bglt) BgL_auxz00_6924);
							}
							BgL_arg2047z00_3132 =
								(((BgL_lregz00_bglt) COBJECT(BgL_auxz00_6923))->BgL_idz00);
						}
						BgL_arg2041z00_3116 = MAKE_YOUNG_PAIR(BgL_arg2047z00_3132, BNIL);
					}
					BgL_arg2039z00_3114 =
						MAKE_YOUNG_PAIR(BgL_arg2040z00_3115, BgL_arg2041z00_3116);
				}
				BGL_TAIL return
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_92, BgL_arg2039z00_3114);
			}
		}

	}



/* out-line */
	obj_t BGl_outzd2linezd2zzsaw_jvm_codez00(obj_t BgL_mez00_94,
		BgL_rtl_funz00_bglt BgL_funz00_95)
	{
		{	/* SawJvm/code.scm 267 */
			{	/* SawJvm/code.scm 268 */
				obj_t BgL_locz00_3133;

				BgL_locz00_3133 =
					(((BgL_rtl_funz00_bglt) COBJECT(BgL_funz00_95))->BgL_locz00);
				{	/* SawJvm/code.scm 269 */
					bool_t BgL_test2772z00_6935;

					if (CBOOL(BGl_za2jvmzd2debugza2zd2zzengine_paramz00))
						{	/* SawJvm/code.scm 269 */
							if (STRUCTP(BgL_locz00_3133))
								{	/* SawJvm/code.scm 269 */
									BgL_test2772z00_6935 =
										(STRUCT_KEY(BgL_locz00_3133) ==
										((obj_t) CNST_TABLE_REF(34)));
								}
							else
								{	/* SawJvm/code.scm 269 */
									BgL_test2772z00_6935 = ((bool_t) 0);
								}
						}
					else
						{	/* SawJvm/code.scm 269 */
							BgL_test2772z00_6935 = ((bool_t) 0);
						}
					if (BgL_test2772z00_6935)
						{	/* SawJvm/code.scm 270 */
							obj_t BgL_nz00_3135;

							BgL_nz00_3135 = STRUCT_REF(BgL_locz00_3133, (int) (2L));
							{	/* SawJvm/code.scm 270 */
								long BgL_pz00_3136;

								BgL_pz00_3136 =
									((long) CINT(STRUCT_REF(BgL_locz00_3133, (int) (1L))) + 1L);
								{	/* SawJvm/code.scm 271 */
									obj_t BgL_lastz00_3137;

									if (CBOOL(BGl_za2jvmzd2charzd2infoza2z00zzjas_asz00))
										{	/* SawJvm/code.scm 272 */
											BgL_lastz00_3137 = BINT(BgL_pz00_3136);
										}
									else
										{	/* SawJvm/code.scm 272 */
											BgL_lastz00_3137 = BgL_nz00_3135;
										}
									{	/* SawJvm/code.scm 272 */

										if (
											((long) CINT(BgL_lastz00_3137) ==
												(long) CINT(BGl_za2lastzd2lineza2zd2zzsaw_jvm_codez00)))
											{	/* SawJvm/code.scm 275 */
												return BFALSE;
											}
										else
											{	/* SawJvm/code.scm 275 */
												BGl_za2lastzd2lineza2zd2zzsaw_jvm_codez00 =
													BgL_lastz00_3137;
												{	/* SawJvm/code.scm 277 */
													obj_t BgL_arg2050z00_3139;

													{	/* SawJvm/code.scm 277 */
														obj_t BgL_arg2051z00_3140;

														{	/* SawJvm/code.scm 277 */
															obj_t BgL_arg2052z00_3141;

															BgL_arg2052z00_3141 =
																MAKE_YOUNG_PAIR(BINT(BgL_pz00_3136), BNIL);
															BgL_arg2051z00_3140 =
																MAKE_YOUNG_PAIR(BgL_nz00_3135,
																BgL_arg2052z00_3141);
														}
														BgL_arg2050z00_3139 =
															MAKE_YOUNG_PAIR(
															((obj_t)
																CNST_TABLE_REF(35)), BgL_arg2051z00_3140);
													}
													return
														BGl_codez12z12zzsaw_jvm_outz00(
														((BgL_jvmz00_bglt) BgL_mez00_94),
														BgL_arg2050z00_3139);
												}
											}
									}
								}
							}
						}
					else
						{	/* SawJvm/code.scm 269 */
							return BFALSE;
						}
				}
			}
		}

	}



/* intify */
	obj_t BGl_intifyz00zzsaw_jvm_codez00(obj_t BgL_xz00_124)
	{
		{	/* SawJvm/code.scm 400 */
			if (INTEGERP(BgL_xz00_124))
				{	/* SawJvm/code.scm 402 */
					return BgL_xz00_124;
				}
			else
				{	/* SawJvm/code.scm 402 */
					if (BGL_UINT32P(BgL_xz00_124))
						{	/* SawJvm/code.scm 403 */
							uint32_t BgL_xz00_4749;

							BgL_xz00_4749 = BGL_BUINT32_TO_UINT32(BgL_xz00_124);
							return BINT((long) (BgL_xz00_4749));
						}
					else
						{	/* SawJvm/code.scm 403 */
							if (BGL_INT32P(BgL_xz00_124))
								{	/* SawJvm/code.scm 404 */
									int32_t BgL_xz00_4750;

									BgL_xz00_4750 = BGL_BINT32_TO_INT32(BgL_xz00_124);
									{	/* SawJvm/code.scm 404 */
										long BgL_arg1477z00_4751;

										BgL_arg1477z00_4751 = (long) (BgL_xz00_4750);
										return BINT((long) (BgL_arg1477z00_4751));
								}}
							else
								{	/* SawJvm/code.scm 404 */
									return BgL_xz00_124;
								}
						}
				}
		}

	}



/* flat */
	obj_t BGl_flatz00zzsaw_jvm_codez00(obj_t BgL_alz00_127, obj_t BgL_ldefz00_128)
	{
		{	/* SawJvm/code.scm 438 */
			{
				obj_t BgL_alz00_3148;
				obj_t BgL_iz00_3149;
				obj_t BgL_rz00_3150;

				{	/* SawJvm/code.scm 445 */
					obj_t BgL_arg2058z00_3147;

					{	/* SawJvm/code.scm 445 */
						obj_t BgL_pairz00_4776;

						BgL_pairz00_4776 = CAR(((obj_t) BgL_alz00_127));
						BgL_arg2058z00_3147 = CAR(BgL_pairz00_4776);
					}
					BgL_alz00_3148 = BgL_alz00_127;
					BgL_iz00_3149 = BgL_arg2058z00_3147;
					BgL_rz00_3150 = BNIL;
				BgL_zc3z04anonymousza32059ze3z87_3151:
					if (NULLP(BgL_alz00_3148))
						{	/* SawJvm/code.scm 441 */
							return bgl_reverse_bang(BgL_rz00_3150);
						}
					else
						{	/* SawJvm/code.scm 442 */
							bool_t BgL_test2781z00_6984;

							{	/* SawJvm/code.scm 442 */
								long BgL_tmpz00_6985;

								{	/* SawJvm/code.scm 442 */
									obj_t BgL_pairz00_4756;

									BgL_pairz00_4756 = CAR(((obj_t) BgL_alz00_3148));
									BgL_tmpz00_6985 = (long) CINT(CAR(BgL_pairz00_4756));
								}
								BgL_test2781z00_6984 =
									((long) CINT(BgL_iz00_3149) == BgL_tmpz00_6985);
							}
							if (BgL_test2781z00_6984)
								{	/* SawJvm/code.scm 442 */
									obj_t BgL_arg2063z00_3155;
									long BgL_arg2064z00_3156;
									obj_t BgL_arg2065z00_3157;

									BgL_arg2063z00_3155 = CDR(((obj_t) BgL_alz00_3148));
									BgL_arg2064z00_3156 = ((long) CINT(BgL_iz00_3149) + 1L);
									{	/* SawJvm/code.scm 442 */
										obj_t BgL_arg2066z00_3158;

										{	/* SawJvm/code.scm 442 */
											obj_t BgL_pairz00_4764;

											BgL_pairz00_4764 = CAR(((obj_t) BgL_alz00_3148));
											BgL_arg2066z00_3158 = CDR(BgL_pairz00_4764);
										}
										BgL_arg2065z00_3157 =
											MAKE_YOUNG_PAIR(BgL_arg2066z00_3158, BgL_rz00_3150);
									}
									{
										obj_t BgL_rz00_7003;
										obj_t BgL_iz00_7001;
										obj_t BgL_alz00_7000;

										BgL_alz00_7000 = BgL_arg2063z00_3155;
										BgL_iz00_7001 = BINT(BgL_arg2064z00_3156);
										BgL_rz00_7003 = BgL_arg2065z00_3157;
										BgL_rz00_3150 = BgL_rz00_7003;
										BgL_iz00_3149 = BgL_iz00_7001;
										BgL_alz00_3148 = BgL_alz00_7000;
										goto BgL_zc3z04anonymousza32059ze3z87_3151;
									}
								}
							else
								{	/* SawJvm/code.scm 443 */
									bool_t BgL_test2782z00_7004;

									{	/* SawJvm/code.scm 443 */
										long BgL_tmpz00_7005;

										{	/* SawJvm/code.scm 443 */
											obj_t BgL_pairz00_4768;

											BgL_pairz00_4768 = CAR(((obj_t) BgL_alz00_3148));
											BgL_tmpz00_7005 = (long) CINT(CAR(BgL_pairz00_4768));
										}
										BgL_test2782z00_7004 =
											((long) CINT(BgL_iz00_3149) > BgL_tmpz00_7005);
									}
									if (BgL_test2782z00_7004)
										{	/* SawJvm/code.scm 443 */
											obj_t BgL_arg2069z00_3161;

											BgL_arg2069z00_3161 = CDR(((obj_t) BgL_alz00_3148));
											{
												obj_t BgL_alz00_7014;

												BgL_alz00_7014 = BgL_arg2069z00_3161;
												BgL_alz00_3148 = BgL_alz00_7014;
												goto BgL_zc3z04anonymousza32059ze3z87_3151;
											}
										}
									else
										{	/* SawJvm/code.scm 444 */
											long BgL_arg2070z00_3162;
											obj_t BgL_arg2071z00_3163;

											BgL_arg2070z00_3162 = ((long) CINT(BgL_iz00_3149) + 1L);
											BgL_arg2071z00_3163 =
												MAKE_YOUNG_PAIR(BgL_ldefz00_128, BgL_rz00_3150);
											{
												obj_t BgL_rz00_7020;
												obj_t BgL_iz00_7018;

												BgL_iz00_7018 = BINT(BgL_arg2070z00_3162);
												BgL_rz00_7020 = BgL_arg2071z00_3163;
												BgL_rz00_3150 = BgL_rz00_7020;
												BgL_iz00_3149 = BgL_iz00_7018;
												goto BgL_zc3z04anonymousza32059ze3z87_3151;
											}
										}
								}
						}
				}
			}
		}

	}



/* gen-funcall */
	obj_t BGl_genzd2funcallzd2zzsaw_jvm_codez00(obj_t BgL_mez00_139,
		obj_t BgL_argsz00_140)
	{
		{	/* SawJvm/code.scm 482 */
			{	/* SawJvm/code.scm 483 */
				long BgL_nz00_3167;

				BgL_nz00_3167 = (bgl_list_length(BgL_argsz00_140) - 1L);
				{

					switch (BgL_nz00_3167)
						{
						case 0L:

							return
								BGl_codez12z12zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_139),
								((obj_t) CNST_TABLE_REF(39)));
							break;
						case 1L:

							return
								BGl_codez12z12zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_139),
								((obj_t) CNST_TABLE_REF(40)));
							break;
						case 2L:

							return
								BGl_codez12z12zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_139),
								((obj_t) CNST_TABLE_REF(41)));
							break;
						case 3L:

							return
								BGl_codez12z12zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_139),
								((obj_t) CNST_TABLE_REF(42)));
							break;
						case 4L:

							return
								BGl_codez12z12zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_139),
								((obj_t) CNST_TABLE_REF(43)));
							break;
						default:
							BGl_codez12z12zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_139),
								((obj_t) CNST_TABLE_REF(36)));
							{	/* SawJvm/code.scm 492 */
								obj_t BgL_g1685z00_3170;

								BgL_g1685z00_3170 = CDR(((obj_t) BgL_argsz00_140));
								{
									obj_t BgL_l1683z00_3172;

									BgL_l1683z00_3172 = BgL_g1685z00_3170;
								BgL_zc3z04anonymousza32074ze3z87_3173:
									if (PAIRP(BgL_l1683z00_3172))
										{	/* SawJvm/code.scm 492 */
											BGl_codez12z12zzsaw_jvm_outz00(
												((BgL_jvmz00_bglt) BgL_mez00_139),
												((obj_t) CNST_TABLE_REF(37)));
											{
												obj_t BgL_l1683z00_7055;

												BgL_l1683z00_7055 = CDR(BgL_l1683z00_3172);
												BgL_l1683z00_3172 = BgL_l1683z00_7055;
												goto BgL_zc3z04anonymousza32074ze3z87_3173;
											}
										}
									else
										{	/* SawJvm/code.scm 492 */
											((bool_t) 1);
										}
								}
							}
							return
								BGl_codez12z12zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_139),
								((obj_t) CNST_TABLE_REF(38)));
						}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_jvm_codez00(void)
	{
		{	/* SawJvm/code.scm 1 */
			{	/* SawJvm/code.scm 27 */
				obj_t BgL_arg2082z00_3183;
				obj_t BgL_arg2083z00_3184;

				{	/* SawJvm/code.scm 27 */
					obj_t BgL_v1690z00_3213;

					BgL_v1690z00_3213 = create_vector(1L);
					{	/* SawJvm/code.scm 27 */
						obj_t BgL_arg2094z00_3214;

						BgL_arg2094z00_3214 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(44)), BGl_proc2517z00zzsaw_jvm_codez00,
							BGl_proc2516z00zzsaw_jvm_codez00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, ((obj_t) CNST_TABLE_REF(45)));
						VECTOR_SET(BgL_v1690z00_3213, 0L, BgL_arg2094z00_3214);
					}
					BgL_arg2082z00_3183 = BgL_v1690z00_3213;
				}
				{	/* SawJvm/code.scm 27 */
					obj_t BgL_v1691z00_3224;

					BgL_v1691z00_3224 = create_vector(0L);
					BgL_arg2083z00_3184 = BgL_v1691z00_3224;
				}
				BGl_lregz00zzsaw_jvm_codez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(46)),
					((obj_t)
						CNST_TABLE_REF(47)), BGl_rtl_regz00zzsaw_defsz00, 43957L,
					BGl_proc2521z00zzsaw_jvm_codez00, BGl_proc2520z00zzsaw_jvm_codez00,
					BFALSE, BGl_proc2519z00zzsaw_jvm_codez00,
					BGl_proc2518z00zzsaw_jvm_codez00, BgL_arg2082z00_3183,
					BgL_arg2083z00_3184);
			}
			{	/* SawJvm/code.scm 28 */
				obj_t BgL_arg2103z00_3233;
				obj_t BgL_arg2104z00_3234;

				{	/* SawJvm/code.scm 28 */
					obj_t BgL_v1692z00_3261;

					BgL_v1692z00_3261 = create_vector(2L);
					{	/* SawJvm/code.scm 28 */
						obj_t BgL_arg2115z00_3262;

						BgL_arg2115z00_3262 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(48)), BGl_proc2523z00zzsaw_jvm_codez00,
							BGl_proc2522z00zzsaw_jvm_codez00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, ((obj_t) CNST_TABLE_REF(45)));
						VECTOR_SET(BgL_v1692z00_3261, 0L, BgL_arg2115z00_3262);
					}
					{	/* SawJvm/code.scm 28 */
						obj_t BgL_arg2120z00_3272;

						BgL_arg2120z00_3272 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(49)), BGl_proc2525z00zzsaw_jvm_codez00,
							BGl_proc2524z00zzsaw_jvm_codez00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, ((obj_t) CNST_TABLE_REF(45)));
						VECTOR_SET(BgL_v1692z00_3261, 1L, BgL_arg2120z00_3272);
					}
					BgL_arg2103z00_3233 = BgL_v1692z00_3261;
				}
				{	/* SawJvm/code.scm 28 */
					obj_t BgL_v1693z00_3282;

					BgL_v1693z00_3282 = create_vector(0L);
					BgL_arg2104z00_3234 = BgL_v1693z00_3282;
				}
				return (BGl_liveblockz00zzsaw_jvm_codez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
						((obj_t)
							CNST_TABLE_REF(50)),
						((obj_t)
							CNST_TABLE_REF(47)), BGl_blockz00zzsaw_defsz00, 41336L,
						BGl_proc2529z00zzsaw_jvm_codez00, BGl_proc2528z00zzsaw_jvm_codez00,
						BFALSE, BGl_proc2527z00zzsaw_jvm_codez00,
						BGl_proc2526z00zzsaw_jvm_codez00, BgL_arg2103z00_3233,
						BgL_arg2104z00_3234), BUNSPEC);
			}
		}

	}



/* &lambda2111 */
	BgL_blockz00_bglt BGl_z62lambda2111z62zzsaw_jvm_codez00(obj_t BgL_envz00_5413,
		obj_t BgL_o1183z00_5414)
	{
		{	/* SawJvm/code.scm 28 */
			{	/* SawJvm/code.scm 28 */
				long BgL_arg2112z00_5679;

				{	/* SawJvm/code.scm 28 */
					obj_t BgL_arg2113z00_5680;

					{	/* SawJvm/code.scm 28 */
						obj_t BgL_arg2114z00_5681;

						{	/* SawJvm/code.scm 28 */
							obj_t BgL_arg1866z00_5682;
							long BgL_arg1867z00_5683;

							BgL_arg1866z00_5682 = (BGl_za2classesza2z00zz__objectz00);
							{	/* SawJvm/code.scm 28 */
								long BgL_arg1869z00_5684;

								BgL_arg1869z00_5684 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_blockz00_bglt) BgL_o1183z00_5414)));
								BgL_arg1867z00_5683 = (BgL_arg1869z00_5684 - OBJECT_TYPE);
							}
							BgL_arg2114z00_5681 =
								VECTOR_REF(BgL_arg1866z00_5682, BgL_arg1867z00_5683);
						}
						BgL_arg2113z00_5680 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2114z00_5681);
					}
					{	/* SawJvm/code.scm 28 */
						obj_t BgL_tmpz00_7101;

						BgL_tmpz00_7101 = ((obj_t) BgL_arg2113z00_5680);
						BgL_arg2112z00_5679 = BGL_CLASS_NUM(BgL_tmpz00_7101);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_blockz00_bglt) BgL_o1183z00_5414)), BgL_arg2112z00_5679);
			}
			{	/* SawJvm/code.scm 28 */
				BgL_objectz00_bglt BgL_tmpz00_7107;

				BgL_tmpz00_7107 =
					((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_o1183z00_5414));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7107, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_o1183z00_5414));
			return ((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1183z00_5414));
		}

	}



/* &<@anonymous:2110> */
	obj_t BGl_z62zc3z04anonymousza32110ze3ze5zzsaw_jvm_codez00(obj_t
		BgL_envz00_5415, obj_t BgL_new1182z00_5416)
	{
		{	/* SawJvm/code.scm 28 */
			{
				BgL_blockz00_bglt BgL_auxz00_7115;

				((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt)
									((BgL_blockz00_bglt) BgL_new1182z00_5416))))->BgL_labelz00) =
					((int) (int) (0L)), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1182z00_5416))))->BgL_predsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1182z00_5416))))->BgL_succsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1182z00_5416))))->BgL_firstz00) =
					((obj_t) BNIL), BUNSPEC);
				{
					BgL_liveblockz00_bglt BgL_auxz00_7129;

					{
						obj_t BgL_auxz00_7130;

						{	/* SawJvm/code.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_7131;

							BgL_tmpz00_7131 =
								((BgL_objectz00_bglt)
								((BgL_blockz00_bglt) BgL_new1182z00_5416));
							BgL_auxz00_7130 = BGL_OBJECT_WIDENING(BgL_tmpz00_7131);
						}
						BgL_auxz00_7129 = ((BgL_liveblockz00_bglt) BgL_auxz00_7130);
					}
					((((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_7129))->BgL_inz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_liveblockz00_bglt BgL_auxz00_7137;

					{
						obj_t BgL_auxz00_7138;

						{	/* SawJvm/code.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_7139;

							BgL_tmpz00_7139 =
								((BgL_objectz00_bglt)
								((BgL_blockz00_bglt) BgL_new1182z00_5416));
							BgL_auxz00_7138 = BGL_OBJECT_WIDENING(BgL_tmpz00_7139);
						}
						BgL_auxz00_7137 = ((BgL_liveblockz00_bglt) BgL_auxz00_7138);
					}
					((((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_7137))->BgL_outz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_7115 = ((BgL_blockz00_bglt) BgL_new1182z00_5416);
				return ((obj_t) BgL_auxz00_7115);
			}
		}

	}



/* &lambda2108 */
	BgL_blockz00_bglt BGl_z62lambda2108z62zzsaw_jvm_codez00(obj_t BgL_envz00_5417,
		obj_t BgL_o1179z00_5418)
	{
		{	/* SawJvm/code.scm 28 */
			{	/* SawJvm/code.scm 28 */
				BgL_liveblockz00_bglt BgL_wide1181z00_5687;

				BgL_wide1181z00_5687 =
					((BgL_liveblockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_liveblockz00_bgl))));
				{	/* SawJvm/code.scm 28 */
					obj_t BgL_auxz00_7152;
					BgL_objectz00_bglt BgL_tmpz00_7148;

					BgL_auxz00_7152 = ((obj_t) BgL_wide1181z00_5687);
					BgL_tmpz00_7148 =
						((BgL_objectz00_bglt)
						((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1179z00_5418)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7148, BgL_auxz00_7152);
				}
				((BgL_objectz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1179z00_5418)));
				{	/* SawJvm/code.scm 28 */
					long BgL_arg2109z00_5688;

					BgL_arg2109z00_5688 =
						BGL_CLASS_NUM(BGl_liveblockz00zzsaw_jvm_codez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_blockz00_bglt)
								((BgL_blockz00_bglt) BgL_o1179z00_5418))), BgL_arg2109z00_5688);
				}
				return
					((BgL_blockz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1179z00_5418)));
			}
		}

	}



/* &lambda2105 */
	BgL_blockz00_bglt BGl_z62lambda2105z62zzsaw_jvm_codez00(obj_t BgL_envz00_5419,
		obj_t BgL_label1173z00_5420, obj_t BgL_preds1174z00_5421,
		obj_t BgL_succs1175z00_5422, obj_t BgL_first1176z00_5423,
		obj_t BgL_in1177z00_5424, obj_t BgL_out1178z00_5425)
	{
		{	/* SawJvm/code.scm 28 */
			{	/* SawJvm/code.scm 28 */
				int BgL_label1173z00_5689;

				BgL_label1173z00_5689 = CINT(BgL_label1173z00_5420);
				{	/* SawJvm/code.scm 28 */
					BgL_blockz00_bglt BgL_new1255z00_5693;

					{	/* SawJvm/code.scm 28 */
						BgL_blockz00_bglt BgL_tmp1253z00_5694;
						BgL_liveblockz00_bglt BgL_wide1254z00_5695;

						{
							BgL_blockz00_bglt BgL_auxz00_7167;

							{	/* SawJvm/code.scm 28 */
								BgL_blockz00_bglt BgL_new1252z00_5696;

								BgL_new1252z00_5696 =
									((BgL_blockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_blockz00_bgl))));
								{	/* SawJvm/code.scm 28 */
									long BgL_arg2107z00_5697;

									BgL_arg2107z00_5697 =
										BGL_CLASS_NUM(BGl_blockz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1252z00_5696),
										BgL_arg2107z00_5697);
								}
								{	/* SawJvm/code.scm 28 */
									BgL_objectz00_bglt BgL_tmpz00_7172;

									BgL_tmpz00_7172 = ((BgL_objectz00_bglt) BgL_new1252z00_5696);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7172, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1252z00_5696);
								BgL_auxz00_7167 = BgL_new1252z00_5696;
							}
							BgL_tmp1253z00_5694 = ((BgL_blockz00_bglt) BgL_auxz00_7167);
						}
						BgL_wide1254z00_5695 =
							((BgL_liveblockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_liveblockz00_bgl))));
						{	/* SawJvm/code.scm 28 */
							obj_t BgL_auxz00_7180;
							BgL_objectz00_bglt BgL_tmpz00_7178;

							BgL_auxz00_7180 = ((obj_t) BgL_wide1254z00_5695);
							BgL_tmpz00_7178 = ((BgL_objectz00_bglt) BgL_tmp1253z00_5694);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7178, BgL_auxz00_7180);
						}
						((BgL_objectz00_bglt) BgL_tmp1253z00_5694);
						{	/* SawJvm/code.scm 28 */
							long BgL_arg2106z00_5698;

							BgL_arg2106z00_5698 =
								BGL_CLASS_NUM(BGl_liveblockz00zzsaw_jvm_codez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1253z00_5694),
								BgL_arg2106z00_5698);
						}
						BgL_new1255z00_5693 = ((BgL_blockz00_bglt) BgL_tmp1253z00_5694);
					}
					((((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_new1255z00_5693)))->BgL_labelz00) =
						((int) BgL_label1173z00_5689), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1255z00_5693)))->BgL_predsz00) =
						((obj_t) ((obj_t) BgL_preds1174z00_5421)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1255z00_5693)))->BgL_succsz00) =
						((obj_t) ((obj_t) BgL_succs1175z00_5422)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1255z00_5693)))->BgL_firstz00) =
						((obj_t) ((obj_t) BgL_first1176z00_5423)), BUNSPEC);
					{
						BgL_liveblockz00_bglt BgL_auxz00_7199;

						{
							obj_t BgL_auxz00_7200;

							{	/* SawJvm/code.scm 28 */
								BgL_objectz00_bglt BgL_tmpz00_7201;

								BgL_tmpz00_7201 = ((BgL_objectz00_bglt) BgL_new1255z00_5693);
								BgL_auxz00_7200 = BGL_OBJECT_WIDENING(BgL_tmpz00_7201);
							}
							BgL_auxz00_7199 = ((BgL_liveblockz00_bglt) BgL_auxz00_7200);
						}
						((((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_7199))->BgL_inz00) =
							((obj_t) BgL_in1177z00_5424), BUNSPEC);
					}
					{
						BgL_liveblockz00_bglt BgL_auxz00_7206;

						{
							obj_t BgL_auxz00_7207;

							{	/* SawJvm/code.scm 28 */
								BgL_objectz00_bglt BgL_tmpz00_7208;

								BgL_tmpz00_7208 = ((BgL_objectz00_bglt) BgL_new1255z00_5693);
								BgL_auxz00_7207 = BGL_OBJECT_WIDENING(BgL_tmpz00_7208);
							}
							BgL_auxz00_7206 = ((BgL_liveblockz00_bglt) BgL_auxz00_7207);
						}
						((((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_7206))->BgL_outz00) =
							((obj_t) BgL_out1178z00_5425), BUNSPEC);
					}
					return BgL_new1255z00_5693;
				}
			}
		}

	}



/* &lambda2124 */
	obj_t BGl_z62lambda2124z62zzsaw_jvm_codez00(obj_t BgL_envz00_5426,
		obj_t BgL_oz00_5427, obj_t BgL_vz00_5428)
	{
		{	/* SawJvm/code.scm 28 */
			{
				BgL_liveblockz00_bglt BgL_auxz00_7213;

				{
					obj_t BgL_auxz00_7214;

					{	/* SawJvm/code.scm 28 */
						BgL_objectz00_bglt BgL_tmpz00_7215;

						BgL_tmpz00_7215 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_5427));
						BgL_auxz00_7214 = BGL_OBJECT_WIDENING(BgL_tmpz00_7215);
					}
					BgL_auxz00_7213 = ((BgL_liveblockz00_bglt) BgL_auxz00_7214);
				}
				return
					((((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_7213))->BgL_outz00) =
					((obj_t) BgL_vz00_5428), BUNSPEC);
			}
		}

	}



/* &lambda2123 */
	obj_t BGl_z62lambda2123z62zzsaw_jvm_codez00(obj_t BgL_envz00_5429,
		obj_t BgL_oz00_5430)
	{
		{	/* SawJvm/code.scm 28 */
			{
				BgL_liveblockz00_bglt BgL_auxz00_7221;

				{
					obj_t BgL_auxz00_7222;

					{	/* SawJvm/code.scm 28 */
						BgL_objectz00_bglt BgL_tmpz00_7223;

						BgL_tmpz00_7223 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_5430));
						BgL_auxz00_7222 = BGL_OBJECT_WIDENING(BgL_tmpz00_7223);
					}
					BgL_auxz00_7221 = ((BgL_liveblockz00_bglt) BgL_auxz00_7222);
				}
				return (((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_7221))->BgL_outz00);
			}
		}

	}



/* &lambda2119 */
	obj_t BGl_z62lambda2119z62zzsaw_jvm_codez00(obj_t BgL_envz00_5431,
		obj_t BgL_oz00_5432, obj_t BgL_vz00_5433)
	{
		{	/* SawJvm/code.scm 28 */
			{
				BgL_liveblockz00_bglt BgL_auxz00_7229;

				{
					obj_t BgL_auxz00_7230;

					{	/* SawJvm/code.scm 28 */
						BgL_objectz00_bglt BgL_tmpz00_7231;

						BgL_tmpz00_7231 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_5432));
						BgL_auxz00_7230 = BGL_OBJECT_WIDENING(BgL_tmpz00_7231);
					}
					BgL_auxz00_7229 = ((BgL_liveblockz00_bglt) BgL_auxz00_7230);
				}
				return
					((((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_7229))->BgL_inz00) =
					((obj_t) BgL_vz00_5433), BUNSPEC);
			}
		}

	}



/* &lambda2118 */
	obj_t BGl_z62lambda2118z62zzsaw_jvm_codez00(obj_t BgL_envz00_5434,
		obj_t BgL_oz00_5435)
	{
		{	/* SawJvm/code.scm 28 */
			{
				BgL_liveblockz00_bglt BgL_auxz00_7237;

				{
					obj_t BgL_auxz00_7238;

					{	/* SawJvm/code.scm 28 */
						BgL_objectz00_bglt BgL_tmpz00_7239;

						BgL_tmpz00_7239 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_5435));
						BgL_auxz00_7238 = BGL_OBJECT_WIDENING(BgL_tmpz00_7239);
					}
					BgL_auxz00_7237 = ((BgL_liveblockz00_bglt) BgL_auxz00_7238);
				}
				return (((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_7237))->BgL_inz00);
			}
		}

	}



/* &lambda2090 */
	BgL_rtl_regz00_bglt BGl_z62lambda2090z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5436, obj_t BgL_o1171z00_5437)
	{
		{	/* SawJvm/code.scm 27 */
			{	/* SawJvm/code.scm 27 */
				long BgL_arg2091z00_5704;

				{	/* SawJvm/code.scm 27 */
					obj_t BgL_arg2092z00_5705;

					{	/* SawJvm/code.scm 27 */
						obj_t BgL_arg2093z00_5706;

						{	/* SawJvm/code.scm 27 */
							obj_t BgL_arg1866z00_5707;
							long BgL_arg1867z00_5708;

							BgL_arg1866z00_5707 = (BGl_za2classesza2z00zz__objectz00);
							{	/* SawJvm/code.scm 27 */
								long BgL_arg1869z00_5709;

								BgL_arg1869z00_5709 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_o1171z00_5437)));
								BgL_arg1867z00_5708 = (BgL_arg1869z00_5709 - OBJECT_TYPE);
							}
							BgL_arg2093z00_5706 =
								VECTOR_REF(BgL_arg1866z00_5707, BgL_arg1867z00_5708);
						}
						BgL_arg2092z00_5705 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2093z00_5706);
					}
					{	/* SawJvm/code.scm 27 */
						obj_t BgL_tmpz00_7252;

						BgL_tmpz00_7252 = ((obj_t) BgL_arg2092z00_5705);
						BgL_arg2091z00_5704 = BGL_CLASS_NUM(BgL_tmpz00_7252);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_rtl_regz00_bglt) BgL_o1171z00_5437)), BgL_arg2091z00_5704);
			}
			{	/* SawJvm/code.scm 27 */
				BgL_objectz00_bglt BgL_tmpz00_7258;

				BgL_tmpz00_7258 =
					((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1171z00_5437));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7258, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1171z00_5437));
			return ((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1171z00_5437));
		}

	}



/* &<@anonymous:2089> */
	obj_t BGl_z62zc3z04anonymousza32089ze3ze5zzsaw_jvm_codez00(obj_t
		BgL_envz00_5438, obj_t BgL_new1170z00_5439)
	{
		{	/* SawJvm/code.scm 27 */
			{
				BgL_rtl_regz00_bglt BgL_auxz00_7266;

				{
					BgL_typez00_bglt BgL_auxz00_7267;

					{	/* SawJvm/code.scm 27 */
						obj_t BgL_classz00_5711;

						BgL_classz00_5711 = BGl_typez00zztype_typez00;
						{	/* SawJvm/code.scm 27 */
							obj_t BgL__ortest_1117z00_5712;

							BgL__ortest_1117z00_5712 = BGL_CLASS_NIL(BgL_classz00_5711);
							if (CBOOL(BgL__ortest_1117z00_5712))
								{	/* SawJvm/code.scm 27 */
									BgL_auxz00_7267 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_5712);
								}
							else
								{	/* SawJvm/code.scm 27 */
									BgL_auxz00_7267 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5711));
								}
						}
					}
					((((BgL_rtl_regz00_bglt) COBJECT(
									((BgL_rtl_regz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_new1170z00_5439))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_7267), BUNSPEC);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt)
									((BgL_rtl_regz00_bglt) BgL_new1170z00_5439))))->BgL_varz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1170z00_5439))))->BgL_onexprzf3zf3) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1170z00_5439))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1170z00_5439))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1170z00_5439))))->BgL_debugnamez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1170z00_5439))))->BgL_hardwarez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_lregz00_bglt BgL_auxz00_7295;

					{
						obj_t BgL_auxz00_7296;

						{	/* SawJvm/code.scm 27 */
							BgL_objectz00_bglt BgL_tmpz00_7297;

							BgL_tmpz00_7297 =
								((BgL_objectz00_bglt)
								((BgL_rtl_regz00_bglt) BgL_new1170z00_5439));
							BgL_auxz00_7296 = BGL_OBJECT_WIDENING(BgL_tmpz00_7297);
						}
						BgL_auxz00_7295 = ((BgL_lregz00_bglt) BgL_auxz00_7296);
					}
					((((BgL_lregz00_bglt) COBJECT(BgL_auxz00_7295))->BgL_idz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_7266 = ((BgL_rtl_regz00_bglt) BgL_new1170z00_5439);
				return ((obj_t) BgL_auxz00_7266);
			}
		}

	}



/* &lambda2087 */
	BgL_rtl_regz00_bglt BGl_z62lambda2087z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5440, obj_t BgL_o1167z00_5441)
	{
		{	/* SawJvm/code.scm 27 */
			{	/* SawJvm/code.scm 27 */
				BgL_lregz00_bglt BgL_wide1169z00_5714;

				BgL_wide1169z00_5714 =
					((BgL_lregz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_lregz00_bgl))));
				{	/* SawJvm/code.scm 27 */
					obj_t BgL_auxz00_7310;
					BgL_objectz00_bglt BgL_tmpz00_7306;

					BgL_auxz00_7310 = ((obj_t) BgL_wide1169z00_5714);
					BgL_tmpz00_7306 =
						((BgL_objectz00_bglt)
						((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1167z00_5441)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7306, BgL_auxz00_7310);
				}
				((BgL_objectz00_bglt)
					((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1167z00_5441)));
				{	/* SawJvm/code.scm 27 */
					long BgL_arg2088z00_5715;

					BgL_arg2088z00_5715 = BGL_CLASS_NUM(BGl_lregz00zzsaw_jvm_codez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_rtl_regz00_bglt)
								((BgL_rtl_regz00_bglt) BgL_o1167z00_5441))),
						BgL_arg2088z00_5715);
				}
				return
					((BgL_rtl_regz00_bglt)
					((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1167z00_5441)));
			}
		}

	}



/* &lambda2084 */
	BgL_rtl_regz00_bglt BGl_z62lambda2084z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5442, obj_t BgL_type1159z00_5443, obj_t BgL_var1160z00_5444,
		obj_t BgL_onexprzf31161zf3_5445, obj_t BgL_name1162z00_5446,
		obj_t BgL_key1163z00_5447, obj_t BgL_debugname1164z00_5448,
		obj_t BgL_hardware1165z00_5449, obj_t BgL_id1166z00_5450)
	{
		{	/* SawJvm/code.scm 27 */
			{	/* SawJvm/code.scm 27 */
				BgL_rtl_regz00_bglt BgL_new1250z00_5717;

				{	/* SawJvm/code.scm 27 */
					BgL_rtl_regz00_bglt BgL_tmp1248z00_5718;
					BgL_lregz00_bglt BgL_wide1249z00_5719;

					{
						BgL_rtl_regz00_bglt BgL_auxz00_7324;

						{	/* SawJvm/code.scm 27 */
							BgL_rtl_regz00_bglt BgL_new1247z00_5720;

							BgL_new1247z00_5720 =
								((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_regz00_bgl))));
							{	/* SawJvm/code.scm 27 */
								long BgL_arg2086z00_5721;

								BgL_arg2086z00_5721 =
									BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1247z00_5720),
									BgL_arg2086z00_5721);
							}
							{	/* SawJvm/code.scm 27 */
								BgL_objectz00_bglt BgL_tmpz00_7329;

								BgL_tmpz00_7329 = ((BgL_objectz00_bglt) BgL_new1247z00_5720);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7329, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1247z00_5720);
							BgL_auxz00_7324 = BgL_new1247z00_5720;
						}
						BgL_tmp1248z00_5718 = ((BgL_rtl_regz00_bglt) BgL_auxz00_7324);
					}
					BgL_wide1249z00_5719 =
						((BgL_lregz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_lregz00_bgl))));
					{	/* SawJvm/code.scm 27 */
						obj_t BgL_auxz00_7337;
						BgL_objectz00_bglt BgL_tmpz00_7335;

						BgL_auxz00_7337 = ((obj_t) BgL_wide1249z00_5719);
						BgL_tmpz00_7335 = ((BgL_objectz00_bglt) BgL_tmp1248z00_5718);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7335, BgL_auxz00_7337);
					}
					((BgL_objectz00_bglt) BgL_tmp1248z00_5718);
					{	/* SawJvm/code.scm 27 */
						long BgL_arg2085z00_5722;

						BgL_arg2085z00_5722 = BGL_CLASS_NUM(BGl_lregz00zzsaw_jvm_codez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1248z00_5718), BgL_arg2085z00_5722);
					}
					BgL_new1250z00_5717 = ((BgL_rtl_regz00_bglt) BgL_tmp1248z00_5718);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt) BgL_new1250z00_5717)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1159z00_5443)),
					BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1250z00_5717)))->BgL_varz00) =
					((obj_t) BgL_var1160z00_5444), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1250z00_5717)))->BgL_onexprzf3zf3) =
					((obj_t) BgL_onexprzf31161zf3_5445), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1250z00_5717)))->BgL_namez00) =
					((obj_t) BgL_name1162z00_5446), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1250z00_5717)))->BgL_keyz00) =
					((obj_t) BgL_key1163z00_5447), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1250z00_5717)))->BgL_debugnamez00) =
					((obj_t) BgL_debugname1164z00_5448), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1250z00_5717)))->BgL_hardwarez00) =
					((obj_t) BgL_hardware1165z00_5449), BUNSPEC);
				{
					BgL_lregz00_bglt BgL_auxz00_7360;

					{
						obj_t BgL_auxz00_7361;

						{	/* SawJvm/code.scm 27 */
							BgL_objectz00_bglt BgL_tmpz00_7362;

							BgL_tmpz00_7362 = ((BgL_objectz00_bglt) BgL_new1250z00_5717);
							BgL_auxz00_7361 = BGL_OBJECT_WIDENING(BgL_tmpz00_7362);
						}
						BgL_auxz00_7360 = ((BgL_lregz00_bglt) BgL_auxz00_7361);
					}
					((((BgL_lregz00_bglt) COBJECT(BgL_auxz00_7360))->BgL_idz00) =
						((obj_t) BgL_id1166z00_5450), BUNSPEC);
				}
				return BgL_new1250z00_5717;
			}
		}

	}



/* &lambda2098 */
	obj_t BGl_z62lambda2098z62zzsaw_jvm_codez00(obj_t BgL_envz00_5451,
		obj_t BgL_oz00_5452, obj_t BgL_vz00_5453)
	{
		{	/* SawJvm/code.scm 27 */
			{
				BgL_lregz00_bglt BgL_auxz00_7367;

				{
					obj_t BgL_auxz00_7368;

					{	/* SawJvm/code.scm 27 */
						BgL_objectz00_bglt BgL_tmpz00_7369;

						BgL_tmpz00_7369 =
							((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_oz00_5452));
						BgL_auxz00_7368 = BGL_OBJECT_WIDENING(BgL_tmpz00_7369);
					}
					BgL_auxz00_7367 = ((BgL_lregz00_bglt) BgL_auxz00_7368);
				}
				return
					((((BgL_lregz00_bglt) COBJECT(BgL_auxz00_7367))->BgL_idz00) =
					((obj_t) BgL_vz00_5453), BUNSPEC);
			}
		}

	}



/* &lambda2097 */
	obj_t BGl_z62lambda2097z62zzsaw_jvm_codez00(obj_t BgL_envz00_5454,
		obj_t BgL_oz00_5455)
	{
		{	/* SawJvm/code.scm 27 */
			{
				BgL_lregz00_bglt BgL_auxz00_7375;

				{
					obj_t BgL_auxz00_7376;

					{	/* SawJvm/code.scm 27 */
						BgL_objectz00_bglt BgL_tmpz00_7377;

						BgL_tmpz00_7377 =
							((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_oz00_5455));
						BgL_auxz00_7376 = BGL_OBJECT_WIDENING(BgL_tmpz00_7377);
					}
					BgL_auxz00_7375 = ((BgL_lregz00_bglt) BgL_auxz00_7376);
				}
				return (((BgL_lregz00_bglt) COBJECT(BgL_auxz00_7375))->BgL_idz00);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_jvm_codez00(void)
	{
		{	/* SawJvm/code.scm 1 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_genzd2argszd2genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_proc2530z00zzsaw_jvm_codez00, BGl_rtl_funz00zzsaw_defsz00,
				BGl_string2531z00zzsaw_jvm_codez00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_genzd2funzd2withzd2argszd2envz00zzsaw_jvm_codez00,
				BGl_proc2532z00zzsaw_jvm_codez00, BGl_rtl_funz00zzsaw_defsz00,
				BGl_string2533z00zzsaw_jvm_codez00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_proc2534z00zzsaw_jvm_codez00, BGl_rtl_funz00zzsaw_defsz00,
				BGl_string2535z00zzsaw_jvm_codez00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_genzd2argszd2genzd2predicatezd2envz00zzsaw_jvm_codez00,
				BGl_proc2536z00zzsaw_jvm_codez00, BGl_rtl_funz00zzsaw_defsz00,
				BGl_string2537z00zzsaw_jvm_codez00);
		}

	}



/* &gen-args-gen-predica1770 */
	obj_t BGl_z62genzd2argszd2genzd2predica1770zb0zzsaw_jvm_codez00(obj_t
		BgL_envz00_5460, obj_t BgL_funz00_5461, obj_t BgL_mez00_5462,
		obj_t BgL_argsz00_5463, obj_t BgL_onzf3zf3_5464, obj_t BgL_labz00_5465)
	{
		{	/* SawJvm/code.scm 638 */
			BGl_genzd2argszd2genzd2funzd2zzsaw_jvm_codez00(
				((BgL_rtl_funz00_bglt) BgL_funz00_5461), BgL_mez00_5462,
				BgL_argsz00_5463);
			BGl_outzd2linezd2zzsaw_jvm_codez00(BgL_mez00_5462,
				((BgL_rtl_funz00_bglt) BgL_funz00_5461));
			{	/* SawJvm/code.scm 642 */
				obj_t BgL_arg2132z00_5726;

				if (CBOOL(BgL_onzf3zf3_5464))
					{	/* SawJvm/code.scm 642 */
						BgL_arg2132z00_5726 = ((obj_t) CNST_TABLE_REF(51));
					}
				else
					{	/* SawJvm/code.scm 642 */
						BgL_arg2132z00_5726 = ((obj_t) CNST_TABLE_REF(52));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_5462), BgL_arg2132z00_5726,
					BgL_labz00_5465);
			}
		}

	}



/* &gen-fun1699 */
	obj_t BGl_z62genzd2fun1699zb0zzsaw_jvm_codez00(obj_t BgL_envz00_5466,
		obj_t BgL_funz00_5467, obj_t BgL_mez00_5468)
	{
		{	/* SawJvm/code.scm 308 */
			return
				BGl_errorz00zz__errorz00(
				((obj_t)
					CNST_TABLE_REF(53)), BGl_string2538z00zzsaw_jvm_codez00,
				((obj_t) ((BgL_rtl_funz00_bglt) BgL_funz00_5467)));
		}

	}



/* &gen-fun-with-args1697 */
	obj_t BGl_z62genzd2funzd2withzd2args1697zb0zzsaw_jvm_codez00(obj_t
		BgL_envz00_5469, obj_t BgL_funz00_5470, obj_t BgL_mez00_5471,
		obj_t BgL_argsz00_5472)
	{
		{	/* SawJvm/code.scm 294 */
			return
				BGl_genzd2funzd2zzsaw_jvm_codez00(
				((BgL_rtl_funz00_bglt) BgL_funz00_5470), BgL_mez00_5471);
		}

	}



/* &gen-args-gen-fun1694 */
	obj_t BGl_z62genzd2argszd2genzd2fun1694zb0zzsaw_jvm_codez00(obj_t
		BgL_envz00_5473, obj_t BgL_funz00_5474, obj_t BgL_mez00_5475,
		obj_t BgL_argsz00_5476)
	{
		{	/* SawJvm/code.scm 284 */
			{
				obj_t BgL_l1659z00_5731;

				BgL_l1659z00_5731 = BgL_argsz00_5476;
			BgL_zc3z04anonymousza32126ze3z87_5730:
				if (PAIRP(BgL_l1659z00_5731))
					{	/* SawJvm/code.scm 286 */
						{	/* SawJvm/code.scm 286 */
							obj_t BgL_az00_5732;

							BgL_az00_5732 = CAR(BgL_l1659z00_5731);
							BGl_genzd2exprzd2zzsaw_jvm_codez00(
								((BgL_jvmz00_bglt) BgL_mez00_5475), BgL_az00_5732);
						}
						{
							obj_t BgL_l1659z00_7411;

							BgL_l1659z00_7411 = CDR(BgL_l1659z00_5731);
							BgL_l1659z00_5731 = BgL_l1659z00_7411;
							goto BgL_zc3z04anonymousza32126ze3z87_5730;
						}
					}
				else
					{	/* SawJvm/code.scm 286 */
						((bool_t) 1);
					}
			}
			BGl_outzd2linezd2zzsaw_jvm_codez00(BgL_mez00_5475,
				((BgL_rtl_funz00_bglt) BgL_funz00_5474));
			return
				BGl_genzd2funzd2withzd2argszd2zzsaw_jvm_codez00(
				((BgL_rtl_funz00_bglt) BgL_funz00_5474), BgL_mez00_5475,
				BgL_argsz00_5476);
		}

	}



/* gen-args-gen-fun */
	obj_t BGl_genzd2argszd2genzd2funzd2zzsaw_jvm_codez00(BgL_rtl_funz00_bglt
		BgL_funz00_96, obj_t BgL_mez00_97, obj_t BgL_argsz00_98)
	{
		{	/* SawJvm/code.scm 284 */
			{	/* SawJvm/code.scm 284 */
				obj_t BgL_method1696z00_3320;

				{	/* SawJvm/code.scm 284 */
					obj_t BgL_res2489z00_4881;

					{	/* SawJvm/code.scm 284 */
						long BgL_objzd2classzd2numz00_4852;

						BgL_objzd2classzd2numz00_4852 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_96));
						{	/* SawJvm/code.scm 284 */
							obj_t BgL_arg1862z00_4853;

							BgL_arg1862z00_4853 =
								PROCEDURE_REF
								(BGl_genzd2argszd2genzd2funzd2envz00zzsaw_jvm_codez00,
								(int) (1L));
							{	/* SawJvm/code.scm 284 */
								int BgL_offsetz00_4856;

								BgL_offsetz00_4856 = (int) (BgL_objzd2classzd2numz00_4852);
								{	/* SawJvm/code.scm 284 */
									long BgL_offsetz00_4857;

									BgL_offsetz00_4857 =
										((long) (BgL_offsetz00_4856) - OBJECT_TYPE);
									{	/* SawJvm/code.scm 284 */
										long BgL_modz00_4858;

										BgL_modz00_4858 =
											(BgL_offsetz00_4857 >> (int) ((long) ((int) (4L))));
										{	/* SawJvm/code.scm 284 */
											long BgL_restz00_4860;

											BgL_restz00_4860 =
												(BgL_offsetz00_4857 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* SawJvm/code.scm 284 */

												{	/* SawJvm/code.scm 284 */
													obj_t BgL_bucketz00_4862;

													BgL_bucketz00_4862 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_4853), BgL_modz00_4858);
													BgL_res2489z00_4881 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4862), BgL_restz00_4860);
					}}}}}}}}
					BgL_method1696z00_3320 = BgL_res2489z00_4881;
				}
				return
					BGL_PROCEDURE_CALL3(BgL_method1696z00_3320,
					((obj_t) BgL_funz00_96), BgL_mez00_97, BgL_argsz00_98);
			}
		}

	}



/* &gen-args-gen-fun */
	obj_t BGl_z62genzd2argszd2genzd2funzb0zzsaw_jvm_codez00(obj_t BgL_envz00_5477,
		obj_t BgL_funz00_5478, obj_t BgL_mez00_5479, obj_t BgL_argsz00_5480)
	{
		{	/* SawJvm/code.scm 284 */
			return
				BGl_genzd2argszd2genzd2funzd2zzsaw_jvm_codez00(
				((BgL_rtl_funz00_bglt) BgL_funz00_5478), BgL_mez00_5479,
				BgL_argsz00_5480);
		}

	}



/* gen-fun-with-args */
	obj_t BGl_genzd2funzd2withzd2argszd2zzsaw_jvm_codez00(BgL_rtl_funz00_bglt
		BgL_funz00_99, obj_t BgL_mez00_100, obj_t BgL_argsz00_101)
	{
		{	/* SawJvm/code.scm 294 */
			{	/* SawJvm/code.scm 294 */
				obj_t BgL_method1698z00_3321;

				{	/* SawJvm/code.scm 294 */
					obj_t BgL_res2494z00_4912;

					{	/* SawJvm/code.scm 294 */
						long BgL_objzd2classzd2numz00_4883;

						BgL_objzd2classzd2numz00_4883 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_99));
						{	/* SawJvm/code.scm 294 */
							obj_t BgL_arg1862z00_4884;

							BgL_arg1862z00_4884 =
								PROCEDURE_REF
								(BGl_genzd2funzd2withzd2argszd2envz00zzsaw_jvm_codez00,
								(int) (1L));
							{	/* SawJvm/code.scm 294 */
								int BgL_offsetz00_4887;

								BgL_offsetz00_4887 = (int) (BgL_objzd2classzd2numz00_4883);
								{	/* SawJvm/code.scm 294 */
									long BgL_offsetz00_4888;

									BgL_offsetz00_4888 =
										((long) (BgL_offsetz00_4887) - OBJECT_TYPE);
									{	/* SawJvm/code.scm 294 */
										long BgL_modz00_4889;

										BgL_modz00_4889 =
											(BgL_offsetz00_4888 >> (int) ((long) ((int) (4L))));
										{	/* SawJvm/code.scm 294 */
											long BgL_restz00_4891;

											BgL_restz00_4891 =
												(BgL_offsetz00_4888 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* SawJvm/code.scm 294 */

												{	/* SawJvm/code.scm 294 */
													obj_t BgL_bucketz00_4893;

													BgL_bucketz00_4893 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_4884), BgL_modz00_4889);
													BgL_res2494z00_4912 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4893), BgL_restz00_4891);
					}}}}}}}}
					BgL_method1698z00_3321 = BgL_res2494z00_4912;
				}
				return
					BGL_PROCEDURE_CALL3(BgL_method1698z00_3321,
					((obj_t) BgL_funz00_99), BgL_mez00_100, BgL_argsz00_101);
			}
		}

	}



/* &gen-fun-with-args */
	obj_t BGl_z62genzd2funzd2withzd2argszb0zzsaw_jvm_codez00(obj_t
		BgL_envz00_5481, obj_t BgL_funz00_5482, obj_t BgL_mez00_5483,
		obj_t BgL_argsz00_5484)
	{
		{	/* SawJvm/code.scm 294 */
			return
				BGl_genzd2funzd2withzd2argszd2zzsaw_jvm_codez00(
				((BgL_rtl_funz00_bglt) BgL_funz00_5482), BgL_mez00_5483,
				BgL_argsz00_5484);
		}

	}



/* gen-fun */
	obj_t BGl_genzd2funzd2zzsaw_jvm_codez00(BgL_rtl_funz00_bglt BgL_funz00_102,
		obj_t BgL_mez00_103)
	{
		{	/* SawJvm/code.scm 308 */
			{	/* SawJvm/code.scm 308 */
				obj_t BgL_method1700z00_3322;

				{	/* SawJvm/code.scm 308 */
					obj_t BgL_res2499z00_4943;

					{	/* SawJvm/code.scm 308 */
						long BgL_objzd2classzd2numz00_4914;

						BgL_objzd2classzd2numz00_4914 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_102));
						{	/* SawJvm/code.scm 308 */
							obj_t BgL_arg1862z00_4915;

							BgL_arg1862z00_4915 =
								PROCEDURE_REF(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
								(int) (1L));
							{	/* SawJvm/code.scm 308 */
								int BgL_offsetz00_4918;

								BgL_offsetz00_4918 = (int) (BgL_objzd2classzd2numz00_4914);
								{	/* SawJvm/code.scm 308 */
									long BgL_offsetz00_4919;

									BgL_offsetz00_4919 =
										((long) (BgL_offsetz00_4918) - OBJECT_TYPE);
									{	/* SawJvm/code.scm 308 */
										long BgL_modz00_4920;

										BgL_modz00_4920 =
											(BgL_offsetz00_4919 >> (int) ((long) ((int) (4L))));
										{	/* SawJvm/code.scm 308 */
											long BgL_restz00_4922;

											BgL_restz00_4922 =
												(BgL_offsetz00_4919 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* SawJvm/code.scm 308 */

												{	/* SawJvm/code.scm 308 */
													obj_t BgL_bucketz00_4924;

													BgL_bucketz00_4924 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_4915), BgL_modz00_4920);
													BgL_res2499z00_4943 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4924), BgL_restz00_4922);
					}}}}}}}}
					BgL_method1700z00_3322 = BgL_res2499z00_4943;
				}
				return
					BGL_PROCEDURE_CALL2(BgL_method1700z00_3322,
					((obj_t) BgL_funz00_102), BgL_mez00_103);
			}
		}

	}



/* &gen-fun */
	obj_t BGl_z62genzd2funzb0zzsaw_jvm_codez00(obj_t BgL_envz00_5485,
		obj_t BgL_funz00_5486, obj_t BgL_mez00_5487)
	{
		{	/* SawJvm/code.scm 308 */
			return
				BGl_genzd2funzd2zzsaw_jvm_codez00(
				((BgL_rtl_funz00_bglt) BgL_funz00_5486), BgL_mez00_5487);
		}

	}



/* gen-args-gen-predicate */
	obj_t BGl_genzd2argszd2genzd2predicatezd2zzsaw_jvm_codez00(BgL_rtl_funz00_bglt
		BgL_funz00_184, obj_t BgL_mez00_185, obj_t BgL_argsz00_186,
		obj_t BgL_onzf3zf3_187, obj_t BgL_labz00_188)
	{
		{	/* SawJvm/code.scm 638 */
			{	/* SawJvm/code.scm 638 */
				obj_t BgL_method1771z00_3323;

				{	/* SawJvm/code.scm 638 */
					obj_t BgL_res2504z00_4974;

					{	/* SawJvm/code.scm 638 */
						long BgL_objzd2classzd2numz00_4945;

						BgL_objzd2classzd2numz00_4945 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_184));
						{	/* SawJvm/code.scm 638 */
							obj_t BgL_arg1862z00_4946;

							BgL_arg1862z00_4946 =
								PROCEDURE_REF
								(BGl_genzd2argszd2genzd2predicatezd2envz00zzsaw_jvm_codez00,
								(int) (1L));
							{	/* SawJvm/code.scm 638 */
								int BgL_offsetz00_4949;

								BgL_offsetz00_4949 = (int) (BgL_objzd2classzd2numz00_4945);
								{	/* SawJvm/code.scm 638 */
									long BgL_offsetz00_4950;

									BgL_offsetz00_4950 =
										((long) (BgL_offsetz00_4949) - OBJECT_TYPE);
									{	/* SawJvm/code.scm 638 */
										long BgL_modz00_4951;

										BgL_modz00_4951 =
											(BgL_offsetz00_4950 >> (int) ((long) ((int) (4L))));
										{	/* SawJvm/code.scm 638 */
											long BgL_restz00_4953;

											BgL_restz00_4953 =
												(BgL_offsetz00_4950 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* SawJvm/code.scm 638 */

												{	/* SawJvm/code.scm 638 */
													obj_t BgL_bucketz00_4955;

													BgL_bucketz00_4955 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_4946), BgL_modz00_4951);
													BgL_res2504z00_4974 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4955), BgL_restz00_4953);
					}}}}}}}}
					BgL_method1771z00_3323 = BgL_res2504z00_4974;
				}
				return
					BGL_PROCEDURE_CALL5(BgL_method1771z00_3323,
					((obj_t) BgL_funz00_184), BgL_mez00_185, BgL_argsz00_186,
					BgL_onzf3zf3_187, BgL_labz00_188);
			}
		}

	}



/* &gen-args-gen-predicate */
	obj_t BGl_z62genzd2argszd2genzd2predicatezb0zzsaw_jvm_codez00(obj_t
		BgL_envz00_5488, obj_t BgL_funz00_5489, obj_t BgL_mez00_5490,
		obj_t BgL_argsz00_5491, obj_t BgL_onzf3zf3_5492, obj_t BgL_labz00_5493)
	{
		{	/* SawJvm/code.scm 638 */
			return
				BGl_genzd2argszd2genzd2predicatezd2zzsaw_jvm_codez00(
				((BgL_rtl_funz00_bglt) BgL_funz00_5489), BgL_mez00_5490,
				BgL_argsz00_5491, BgL_onzf3zf3_5492, BgL_labz00_5493);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_jvm_codez00(void)
	{
		{	/* SawJvm/code.scm 1 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00, BGl_rtl_nopz00zzsaw_defsz00,
				BGl_proc2539z00zzsaw_jvm_codez00, BGl_string2540z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00, BGl_rtl_movz00zzsaw_defsz00,
				BGl_proc2541z00zzsaw_jvm_codez00, BGl_string2540z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00, BGl_rtl_loadiz00zzsaw_defsz00,
				BGl_proc2542z00zzsaw_jvm_codez00, BGl_string2540z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00, BGl_rtl_loadgz00zzsaw_defsz00,
				BGl_proc2543z00zzsaw_jvm_codez00, BGl_string2540z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_storegz00zzsaw_defsz00, BGl_proc2544z00zzsaw_jvm_codez00,
				BGl_string2540z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_globalrefz00zzsaw_defsz00, BGl_proc2545z00zzsaw_jvm_codez00,
				BGl_string2540z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2argszd2genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_ifeqz00zzsaw_defsz00, BGl_proc2546z00zzsaw_jvm_codez00,
				BGl_string2547z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2argszd2genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_ifnez00zzsaw_defsz00, BGl_proc2548z00zzsaw_jvm_codez00,
				BGl_string2547z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00, BGl_rtl_goz00zzsaw_defsz00,
				BGl_proc2549z00zzsaw_jvm_codez00, BGl_string2540z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_switchz00zzsaw_defsz00, BGl_proc2550z00zzsaw_jvm_codez00,
				BGl_string2540z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2argszd2genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_callz00zzsaw_defsz00, BGl_proc2551z00zzsaw_jvm_codez00,
				BGl_string2547z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00, BGl_rtl_callz00zzsaw_defsz00,
				BGl_proc2552z00zzsaw_jvm_codez00, BGl_string2540z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_lightfuncallz00zzsaw_defsz00, BGl_proc2553z00zzsaw_jvm_codez00,
				BGl_string2540z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2withzd2argszd2envz00zzsaw_jvm_codez00,
				BGl_rtl_funcallz00zzsaw_defsz00, BGl_proc2554z00zzsaw_jvm_codez00,
				BGl_string2555z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2withzd2argszd2envz00zzsaw_jvm_codez00,
				BGl_rtl_returnz00zzsaw_defsz00, BGl_proc2556z00zzsaw_jvm_codez00,
				BGl_string2555z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_loadfunz00zzsaw_defsz00, BGl_proc2557z00zzsaw_jvm_codez00,
				BGl_string2540z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00, BGl_rtl_applyz00zzsaw_defsz00,
				BGl_proc2558z00zzsaw_jvm_codez00, BGl_string2540z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00, BGl_rtl_vrefz00zzsaw_defsz00,
				BGl_proc2559z00zzsaw_jvm_codez00, BGl_string2540z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00, BGl_rtl_vsetz00zzsaw_defsz00,
				BGl_proc2560z00zzsaw_jvm_codez00, BGl_string2540z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_vlengthz00zzsaw_defsz00, BGl_proc2561z00zzsaw_jvm_codez00,
				BGl_string2540z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_vallocz00zzsaw_defsz00, BGl_proc2562z00zzsaw_jvm_codez00,
				BGl_string2540z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2argszd2genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_newz00zzsaw_defsz00, BGl_proc2563z00zzsaw_jvm_codez00,
				BGl_string2547z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_getfieldz00zzsaw_defsz00, BGl_proc2564z00zzsaw_jvm_codez00,
				BGl_string2540z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_setfieldz00zzsaw_defsz00, BGl_proc2565z00zzsaw_jvm_codez00,
				BGl_string2540z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_instanceofz00zzsaw_defsz00, BGl_proc2566z00zzsaw_jvm_codez00,
				BGl_string2540z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00, BGl_rtl_castz00zzsaw_defsz00,
				BGl_proc2567z00zzsaw_jvm_codez00, BGl_string2540z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_cast_nullz00zzsaw_defsz00, BGl_proc2568z00zzsaw_jvm_codez00,
				BGl_string2540z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2argszd2genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_makeboxz00zzsaw_defsz00, BGl_proc2569z00zzsaw_jvm_codez00,
				BGl_string2547z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_boxrefz00zzsaw_defsz00, BGl_proc2570z00zzsaw_jvm_codez00,
				BGl_string2540z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_boxsetz00zzsaw_defsz00, BGl_proc2571z00zzsaw_jvm_codez00,
				BGl_string2540z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_jumpexitz00zzsaw_defsz00, BGl_proc2572z00zzsaw_jvm_codez00,
				BGl_string2540z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00, BGl_rtl_failz00zzsaw_defsz00,
				BGl_proc2573z00zzsaw_jvm_codez00, BGl_string2540z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_protectz00zzsaw_defsz00, BGl_proc2574z00zzsaw_jvm_codez00,
				BGl_string2540z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_protectedz00zzsaw_defsz00, BGl_proc2575z00zzsaw_jvm_codez00,
				BGl_string2540z00zzsaw_jvm_codez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2argszd2genzd2predicatezd2envz00zzsaw_jvm_codez00,
				BGl_rtl_callz00zzsaw_defsz00, BGl_proc2576z00zzsaw_jvm_codez00,
				BGl_string2577z00zzsaw_jvm_codez00);
		}

	}



/* &gen-args-gen-predica1773 */
	obj_t BGl_z62genzd2argszd2genzd2predica1773zb0zzsaw_jvm_codez00(obj_t
		BgL_envz00_5531, obj_t BgL_funz00_5532, obj_t BgL_mez00_5533,
		obj_t BgL_argsz00_5534, obj_t BgL_onzf3zf3_5535, obj_t BgL_labz00_5536)
	{
		{	/* SawJvm/code.scm 645 */
			{
				obj_t BgL_l1688z00_5735;

				BgL_l1688z00_5735 = BgL_argsz00_5534;
			BgL_zc3z04anonymousza32302ze3z87_5734:
				if (PAIRP(BgL_l1688z00_5735))
					{	/* SawJvm/code.scm 646 */
						{	/* SawJvm/code.scm 646 */
							obj_t BgL_az00_5736;

							BgL_az00_5736 = CAR(BgL_l1688z00_5735);
							BGl_genzd2exprzd2zzsaw_jvm_codez00(
								((BgL_jvmz00_bglt) BgL_mez00_5533), BgL_az00_5736);
						}
						{
							obj_t BgL_l1688z00_7594;

							BgL_l1688z00_7594 = CDR(BgL_l1688z00_5735);
							BgL_l1688z00_5735 = BgL_l1688z00_7594;
							goto BgL_zc3z04anonymousza32302ze3z87_5734;
						}
					}
				else
					{	/* SawJvm/code.scm 646 */
						((bool_t) 1);
					}
			}
			BGl_outzd2linezd2zzsaw_jvm_codez00(BgL_mez00_5533,
				((BgL_rtl_funz00_bglt) ((BgL_rtl_callz00_bglt) BgL_funz00_5532)));
			{	/* SawJvm/code.scm 648 */
				obj_t BgL_rz00_5737;

				{	/* SawJvm/code.scm 648 */
					BgL_globalz00_bglt BgL_arg2308z00_5738;

					BgL_arg2308z00_5738 =
						(((BgL_rtl_callz00_bglt) COBJECT(
								((BgL_rtl_callz00_bglt) BgL_funz00_5532)))->BgL_varz00);
					BgL_rz00_5737 =
						BGl_inlinezd2predicatezf3z21zzsaw_jvm_inlinez00(
						((BgL_jvmz00_bglt) BgL_mez00_5533), BgL_arg2308z00_5738,
						BgL_onzf3zf3_5535, BgL_labz00_5536);
				}
				if ((BgL_rz00_5737 == ((obj_t) CNST_TABLE_REF(54))))
					{	/* SawJvm/code.scm 649 */
						BGl_genzd2funzd2withzd2argszd2zzsaw_jvm_codez00(
							((BgL_rtl_funz00_bglt)
								((BgL_rtl_callz00_bglt) BgL_funz00_5532)), BgL_mez00_5533,
							BgL_argsz00_5534);
						{	/* SawJvm/code.scm 651 */
							obj_t BgL_arg2307z00_5739;

							if (CBOOL(BgL_onzf3zf3_5535))
								{	/* SawJvm/code.scm 651 */
									BgL_arg2307z00_5739 = ((obj_t) CNST_TABLE_REF(51));
								}
							else
								{	/* SawJvm/code.scm 651 */
									BgL_arg2307z00_5739 = ((obj_t) CNST_TABLE_REF(52));
								}
							return
								BGl_branchz00zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_5533), BgL_arg2307z00_5739,
								BgL_labz00_5536);
						}
					}
				else
					{	/* SawJvm/code.scm 649 */
						return BgL_rz00_5737;
					}
			}
		}

	}



/* &gen-fun-rtl_protecte1769 */
	obj_t BGl_z62genzd2funzd2rtl_protecte1769z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5537, obj_t BgL_funz00_5538, obj_t BgL_mez00_5539)
	{
		{	/* SawJvm/code.scm 629 */
			return ((obj_t) CNST_TABLE_REF(55));
		}

	}



/* &gen-fun-rtl_protect1767 */
	obj_t BGl_z62genzd2funzd2rtl_protect1767z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5540, obj_t BgL_funz00_5541, obj_t BgL_mez00_5542)
	{
		{	/* SawJvm/code.scm 626 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_5542), ((obj_t) CNST_TABLE_REF(56)));
		}

	}



/* &gen-fun-rtl_fail1764 */
	obj_t BGl_z62genzd2funzd2rtl_fail1764z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5543, obj_t BgL_funz00_5544, obj_t BgL_mez00_5545)
	{
		{	/* SawJvm/code.scm 621 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_5545), ((obj_t) CNST_TABLE_REF(57)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_5545), ((obj_t) CNST_TABLE_REF(58)));
			return ((obj_t) CNST_TABLE_REF(13));
		}

	}



/* &gen-fun-rtl_jumpexit1762 */
	obj_t BGl_z62genzd2funzd2rtl_jumpexit1762z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5546, obj_t BgL_funz00_5547, obj_t BgL_mez00_5548)
	{
		{	/* SawJvm/code.scm 614 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_5548), ((obj_t) CNST_TABLE_REF(59)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_5548), ((obj_t) CNST_TABLE_REF(60)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_5548), ((obj_t) CNST_TABLE_REF(58)));
			return ((obj_t) CNST_TABLE_REF(13));
		}

	}



/* &gen-fun-rtl_boxset1760 */
	obj_t BGl_z62genzd2funzd2rtl_boxset1760z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5549, obj_t BgL_funz00_5550, obj_t BgL_mez00_5551)
	{
		{	/* SawJvm/code.scm 607 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_5551), ((obj_t) CNST_TABLE_REF(61)));
			return ((obj_t) CNST_TABLE_REF(13));
		}

	}



/* &gen-fun-rtl_boxref1758 */
	obj_t BGl_z62genzd2funzd2rtl_boxref1758z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5552, obj_t BgL_funz00_5553, obj_t BgL_mez00_5554)
	{
		{	/* SawJvm/code.scm 604 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_5554), ((obj_t) CNST_TABLE_REF(62)));
		}

	}



/* &gen-args-gen-fun-rtl1756 */
	obj_t BGl_z62genzd2argszd2genzd2funzd2rtl1756z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5555, obj_t BgL_funz00_5556, obj_t BgL_mez00_5557,
		obj_t BgL_argsz00_5558)
	{
		{	/* SawJvm/code.scm 597 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_5557), ((obj_t) CNST_TABLE_REF(63)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_5557), ((obj_t) CNST_TABLE_REF(64)));
			{	/* SawJvm/code.scm 600 */
				obj_t BgL_arg2301z00_5747;

				BgL_arg2301z00_5747 = CAR(((obj_t) BgL_argsz00_5558));
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_5557), BgL_arg2301z00_5747);
			}
			BGl_outzd2linezd2zzsaw_jvm_codez00(BgL_mez00_5557,
				((BgL_rtl_funz00_bglt) ((BgL_rtl_makeboxz00_bglt) BgL_funz00_5556)));
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_5557), ((obj_t) CNST_TABLE_REF(65)));
		}

	}



/* &gen-fun-rtl_cast_nul1754 */
	obj_t BGl_z62genzd2funzd2rtl_cast_nul1754z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5559, obj_t BgL_funz00_5560, obj_t BgL_mez00_5561)
	{
		{	/* SawJvm/code.scm 588 */
			{	/* SawJvm/code.scm 589 */
				BgL_typez00_bglt BgL_typez00_5749;

				BgL_typez00_5749 =
					(((BgL_rtl_cast_nullz00_bglt) COBJECT(
							((BgL_rtl_cast_nullz00_bglt) BgL_funz00_5560)))->BgL_typez00);
				if (
					((((BgL_typez00_bglt) COBJECT(BgL_typez00_5749))->BgL_namez00) ==
						((obj_t) CNST_TABLE_REF(25))))
					{	/* SawJvm/code.scm 591 */
						obj_t BgL_arg2295z00_5750;

						BgL_arg2295z00_5750 =
							MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(66)), BNIL);
						return
							BGl_codez12z12zzsaw_jvm_outz00(
							((BgL_jvmz00_bglt) BgL_mez00_5561), BgL_arg2295z00_5750);
					}
				else
					{	/* SawJvm/code.scm 592 */
						obj_t BgL_arg2298z00_5751;

						BgL_arg2298z00_5751 =
							MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(67)), BNIL);
						return
							BGl_codez12z12zzsaw_jvm_outz00(
							((BgL_jvmz00_bglt) BgL_mez00_5561), BgL_arg2298z00_5751);
					}
			}
		}

	}



/* &gen-fun-rtl_cast1752 */
	obj_t BGl_z62genzd2funzd2rtl_cast1752z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5562, obj_t BgL_funz00_5563, obj_t BgL_mez00_5564)
	{
		{	/* SawJvm/code.scm 582 */
			if (CBOOL(BGl_za2purifyza2z00zzengine_paramz00))
				{	/* SawJvm/code.scm 584 */
					BgL_typez00_bglt BgL_typez00_5753;

					BgL_typez00_5753 =
						(((BgL_rtl_castz00_bglt) COBJECT(
								((BgL_rtl_castz00_bglt) BgL_funz00_5563)))->BgL_totypez00);
					if (
						((((BgL_typez00_bglt) COBJECT(BgL_typez00_5753))->BgL_namez00) ==
							((obj_t) CNST_TABLE_REF(45))))
						{	/* SawJvm/code.scm 585 */
							return BFALSE;
						}
					else
						{	/* SawJvm/code.scm 586 */
							obj_t BgL_arg2288z00_5754;

							{	/* SawJvm/code.scm 586 */
								obj_t BgL_arg2289z00_5755;

								{	/* SawJvm/code.scm 586 */
									obj_t BgL_arg2291z00_5756;

									BgL_arg2291z00_5756 =
										BGl_compilezd2typezd2zzsaw_jvm_outz00(
										((BgL_jvmz00_bglt) BgL_mez00_5564), BgL_typez00_5753);
									BgL_arg2289z00_5755 =
										MAKE_YOUNG_PAIR(BgL_arg2291z00_5756, BNIL);
								}
								BgL_arg2288z00_5754 =
									MAKE_YOUNG_PAIR(
									((obj_t) CNST_TABLE_REF(68)), BgL_arg2289z00_5755);
							}
							return
								BGl_codez12z12zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_5564), BgL_arg2288z00_5754);
						}
				}
			else
				{	/* SawJvm/code.scm 583 */
					return BFALSE;
				}
		}

	}



/* &gen-fun-rtl_instance1750 */
	obj_t BGl_z62genzd2funzd2rtl_instance1750z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5565, obj_t BgL_funz00_5566, obj_t BgL_mez00_5567)
	{
		{	/* SawJvm/code.scm 572 */
			{	/* SawJvm/code.scm 573 */
				obj_t BgL_arg2281z00_5758;

				{	/* SawJvm/code.scm 573 */
					obj_t BgL_arg2283z00_5759;

					{	/* SawJvm/code.scm 573 */
						obj_t BgL_arg2284z00_5760;

						{	/* SawJvm/code.scm 573 */
							BgL_typez00_bglt BgL_arg2285z00_5761;

							BgL_arg2285z00_5761 =
								(((BgL_rtl_instanceofz00_bglt) COBJECT(
										((BgL_rtl_instanceofz00_bglt) BgL_funz00_5566)))->
								BgL_typez00);
							BgL_arg2284z00_5760 =
								BGl_compilezd2typezd2zzsaw_jvm_outz00(((BgL_jvmz00_bglt)
									BgL_mez00_5567), BgL_arg2285z00_5761);
						}
						BgL_arg2283z00_5759 = MAKE_YOUNG_PAIR(BgL_arg2284z00_5760, BNIL);
					}
					BgL_arg2281z00_5758 =
						MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(69)), BgL_arg2283z00_5759);
				}
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_5567), BgL_arg2281z00_5758);
			}
			{	/* SawJvm/code.scm 574 */
				obj_t BgL_l1z00_5762;
				obj_t BgL_l2z00_5763;

				BgL_l1z00_5762 =
					BGl_gensymz00zz__r4_symbols_6_4z00
					(BGl_string2578z00zzsaw_jvm_codez00);
				BgL_l2z00_5763 =
					BGl_gensymz00zz__r4_symbols_6_4z00
					(BGl_string2578z00zzsaw_jvm_codez00);
				BGl_branchz00zzsaw_jvm_outz00(((BgL_jvmz00_bglt) BgL_mez00_5567),
					((obj_t) CNST_TABLE_REF(52)), BgL_l1z00_5762);
				BGl_pushzd2intzd2zzsaw_jvm_outz00(((BgL_jvmz00_bglt) BgL_mez00_5567),
					BINT(1L));
				BGl_branchz00zzsaw_jvm_outz00(((BgL_jvmz00_bglt) BgL_mez00_5567),
					((obj_t) CNST_TABLE_REF(70)), BgL_l2z00_5763);
				BGl_labelz00zzsaw_jvm_outz00(((BgL_jvmz00_bglt) BgL_mez00_5567),
					BgL_l1z00_5762);
				BGl_pushzd2intzd2zzsaw_jvm_outz00(((BgL_jvmz00_bglt) BgL_mez00_5567),
					BINT(0L));
				return BGl_labelz00zzsaw_jvm_outz00(((BgL_jvmz00_bglt) BgL_mez00_5567),
					BgL_l2z00_5763);
			}
		}

	}



/* &gen-fun-rtl_setfield1748 */
	obj_t BGl_z62genzd2funzd2rtl_setfield1748z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5568, obj_t BgL_funz00_5569, obj_t BgL_mez00_5570)
	{
		{	/* SawJvm/code.scm 567 */
			{	/* SawJvm/code.scm 569 */
				BgL_typez00_bglt BgL_arg2277z00_5765;
				BgL_typez00_bglt BgL_arg2279z00_5766;
				obj_t BgL_arg2280z00_5767;

				BgL_arg2277z00_5765 =
					(((BgL_rtl_setfieldz00_bglt) COBJECT(
							((BgL_rtl_setfieldz00_bglt) BgL_funz00_5569)))->BgL_typez00);
				BgL_arg2279z00_5766 =
					(((BgL_rtl_setfieldz00_bglt) COBJECT(
							((BgL_rtl_setfieldz00_bglt) BgL_funz00_5569)))->BgL_objtypez00);
				BgL_arg2280z00_5767 =
					(((BgL_rtl_setfieldz00_bglt) COBJECT(
							((BgL_rtl_setfieldz00_bglt) BgL_funz00_5569)))->BgL_namez00);
				BGl_storezd2fieldzd2zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_5570), BgL_arg2277z00_5765,
					BgL_arg2279z00_5766, BgL_arg2280z00_5767);
			}
			return ((obj_t) CNST_TABLE_REF(13));
		}

	}



/* &gen-fun-rtl_getfield1746 */
	obj_t BGl_z62genzd2funzd2rtl_getfield1746z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5571, obj_t BgL_funz00_5572, obj_t BgL_mez00_5573)
	{
		{	/* SawJvm/code.scm 563 */
			{	/* SawJvm/code.scm 565 */
				BgL_typez00_bglt BgL_arg2274z00_5769;
				BgL_typez00_bglt BgL_arg2275z00_5770;
				obj_t BgL_arg2276z00_5771;

				BgL_arg2274z00_5769 =
					(((BgL_rtl_getfieldz00_bglt) COBJECT(
							((BgL_rtl_getfieldz00_bglt) BgL_funz00_5572)))->BgL_typez00);
				BgL_arg2275z00_5770 =
					(((BgL_rtl_getfieldz00_bglt) COBJECT(
							((BgL_rtl_getfieldz00_bglt) BgL_funz00_5572)))->BgL_objtypez00);
				BgL_arg2276z00_5771 =
					(((BgL_rtl_getfieldz00_bglt) COBJECT(
							((BgL_rtl_getfieldz00_bglt) BgL_funz00_5572)))->BgL_namez00);
				return
					BGl_loadzd2fieldzd2zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_5573), BgL_arg2274z00_5769,
					BgL_arg2275z00_5770, BgL_arg2276z00_5771);
			}
		}

	}



/* &gen-args-gen-fun-rtl1744 */
	obj_t BGl_z62genzd2argszd2genzd2funzd2rtl1744z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5574, obj_t BgL_funz00_5575, obj_t BgL_mez00_5576,
		obj_t BgL_argsz00_5577)
	{
		{	/* SawJvm/code.scm 557 */
			BGl_outzd2linezd2zzsaw_jvm_codez00(BgL_mez00_5576,
				((BgL_rtl_funz00_bglt) ((BgL_rtl_newz00_bglt) BgL_funz00_5575)));
			{	/* SawJvm/code.scm 559 */
				BgL_typez00_bglt BgL_arg2267z00_5773;
				obj_t BgL_arg2269z00_5774;

				BgL_arg2267z00_5773 =
					(((BgL_rtl_newz00_bglt) COBJECT(
							((BgL_rtl_newz00_bglt) BgL_funz00_5575)))->BgL_typez00);
				BgL_arg2269z00_5774 =
					(((BgL_rtl_newz00_bglt) COBJECT(
							((BgL_rtl_newz00_bglt) BgL_funz00_5575)))->BgL_constrz00);
				{	/* SawJvm/code.scm 560 */
					obj_t BgL_zc3z04anonymousza32270ze3z87_5775;

					BgL_zc3z04anonymousza32270ze3z87_5775 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza32270ze3ze5zzsaw_jvm_codez00, (int) (0L),
						(int) (2L));
					PROCEDURE_SET(BgL_zc3z04anonymousza32270ze3z87_5775, (int) (0L),
						BgL_mez00_5576);
					PROCEDURE_SET(BgL_zc3z04anonymousza32270ze3z87_5775, (int) (1L),
						BgL_argsz00_5577);
					return BGl_newobjz00zzsaw_jvm_outz00(((BgL_jvmz00_bglt)
							BgL_mez00_5576), BgL_arg2267z00_5773,
						BgL_zc3z04anonymousza32270ze3z87_5775, BgL_arg2269z00_5774);
				}
			}
		}

	}



/* &<@anonymous:2270> */
	obj_t BGl_z62zc3z04anonymousza32270ze3ze5zzsaw_jvm_codez00(obj_t
		BgL_envz00_5578)
	{
		{	/* SawJvm/code.scm 560 */
			{	/* SawJvm/code.scm 560 */
				obj_t BgL_mez00_5579;
				obj_t BgL_argsz00_5580;

				BgL_mez00_5579 = PROCEDURE_REF(BgL_envz00_5578, (int) (0L));
				BgL_argsz00_5580 = PROCEDURE_REF(BgL_envz00_5578, (int) (1L));
				{	/* SawJvm/code.scm 560 */
					bool_t BgL_tmpz00_7779;

					{
						obj_t BgL_l1686z00_5777;

						BgL_l1686z00_5777 = BgL_argsz00_5580;
					BgL_zc3z04anonymousza32271ze3z87_5776:
						if (PAIRP(BgL_l1686z00_5777))
							{	/* SawJvm/code.scm 560 */
								{	/* SawJvm/code.scm 560 */
									obj_t BgL_az00_5778;

									BgL_az00_5778 = CAR(BgL_l1686z00_5777);
									BGl_genzd2exprzd2zzsaw_jvm_codez00(
										((BgL_jvmz00_bglt) BgL_mez00_5579), BgL_az00_5778);
								}
								{
									obj_t BgL_l1686z00_7785;

									BgL_l1686z00_7785 = CDR(BgL_l1686z00_5777);
									BgL_l1686z00_5777 = BgL_l1686z00_7785;
									goto BgL_zc3z04anonymousza32271ze3z87_5776;
								}
							}
						else
							{	/* SawJvm/code.scm 560 */
								BgL_tmpz00_7779 = ((bool_t) 1);
							}
					}
					return BBOOL(BgL_tmpz00_7779);
				}
			}
		}

	}



/* &gen-fun-rtl_valloc1742 */
	obj_t BGl_z62genzd2funzd2rtl_valloc1742z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5581, obj_t BgL_funz00_5582, obj_t BgL_mez00_5583)
	{
		{	/* SawJvm/code.scm 546 */
			{	/* SawJvm/code.scm 547 */
				obj_t BgL_typez00_5780;

				{	/* SawJvm/code.scm 547 */
					BgL_typez00_bglt BgL_arg2266z00_5781;

					BgL_arg2266z00_5781 =
						(((BgL_rtl_vallocz00_bglt) COBJECT(
								((BgL_rtl_vallocz00_bglt) BgL_funz00_5582)))->BgL_typez00);
					BgL_typez00_5780 =
						BGl_compilezd2typezd2zzsaw_jvm_outz00(
						((BgL_jvmz00_bglt) BgL_mez00_5583), BgL_arg2266z00_5781);
				}
				{	/* SawJvm/code.scm 548 */
					obj_t BgL_arg2262z00_5782;

					{	/* SawJvm/code.scm 548 */
						obj_t BgL_arg2263z00_5783;
						obj_t BgL_arg2264z00_5784;

						{	/* SawJvm/code.scm 548 */
							bool_t BgL_test2794z00_7792;

							{	/* SawJvm/code.scm 548 */
								bool_t BgL__ortest_1238z00_5785;

								BgL__ortest_1238z00_5785 =
									(BgL_typez00_5780 == ((obj_t) CNST_TABLE_REF(18)));
								if (BgL__ortest_1238z00_5785)
									{	/* SawJvm/code.scm 548 */
										BgL_test2794z00_7792 = BgL__ortest_1238z00_5785;
									}
								else
									{	/* SawJvm/code.scm 548 */
										bool_t BgL__ortest_1239z00_5786;

										BgL__ortest_1239z00_5786 =
											(BgL_typez00_5780 == ((obj_t) CNST_TABLE_REF(19)));
										if (BgL__ortest_1239z00_5786)
											{	/* SawJvm/code.scm 548 */
												BgL_test2794z00_7792 = BgL__ortest_1239z00_5786;
											}
										else
											{	/* SawJvm/code.scm 548 */
												bool_t BgL__ortest_1240z00_5787;

												BgL__ortest_1240z00_5787 =
													(BgL_typez00_5780 == ((obj_t) CNST_TABLE_REF(20)));
												if (BgL__ortest_1240z00_5787)
													{	/* SawJvm/code.scm 548 */
														BgL_test2794z00_7792 = BgL__ortest_1240z00_5787;
													}
												else
													{	/* SawJvm/code.scm 548 */
														bool_t BgL__ortest_1241z00_5788;

														BgL__ortest_1241z00_5788 =
															(BgL_typez00_5780 ==
															((obj_t) CNST_TABLE_REF(21)));
														if (BgL__ortest_1241z00_5788)
															{	/* SawJvm/code.scm 548 */
																BgL_test2794z00_7792 = BgL__ortest_1241z00_5788;
															}
														else
															{	/* SawJvm/code.scm 548 */
																bool_t BgL__ortest_1242z00_5789;

																BgL__ortest_1242z00_5789 =
																	(BgL_typez00_5780 ==
																	((obj_t) CNST_TABLE_REF(22)));
																if (BgL__ortest_1242z00_5789)
																	{	/* SawJvm/code.scm 548 */
																		BgL_test2794z00_7792 =
																			BgL__ortest_1242z00_5789;
																	}
																else
																	{	/* SawJvm/code.scm 548 */
																		bool_t BgL__ortest_1243z00_5790;

																		BgL__ortest_1243z00_5790 =
																			(BgL_typez00_5780 ==
																			((obj_t) CNST_TABLE_REF(11)));
																		if (BgL__ortest_1243z00_5790)
																			{	/* SawJvm/code.scm 548 */
																				BgL_test2794z00_7792 =
																					BgL__ortest_1243z00_5790;
																			}
																		else
																			{	/* SawJvm/code.scm 548 */
																				bool_t BgL__ortest_1244z00_5791;

																				BgL__ortest_1244z00_5791 =
																					(BgL_typez00_5780 ==
																					((obj_t) CNST_TABLE_REF(25)));
																				if (BgL__ortest_1244z00_5791)
																					{	/* SawJvm/code.scm 548 */
																						BgL_test2794z00_7792 =
																							BgL__ortest_1244z00_5791;
																					}
																				else
																					{	/* SawJvm/code.scm 548 */
																						BgL_test2794z00_7792 =
																							(BgL_typez00_5780 ==
																							((obj_t) CNST_TABLE_REF(10)));
																					}
																			}
																	}
															}
													}
											}
									}
							}
							if (BgL_test2794z00_7792)
								{	/* SawJvm/code.scm 548 */
									BgL_arg2263z00_5783 = ((obj_t) CNST_TABLE_REF(71));
								}
							else
								{	/* SawJvm/code.scm 548 */
									BgL_arg2263z00_5783 = ((obj_t) CNST_TABLE_REF(72));
								}
						}
						BgL_arg2264z00_5784 = MAKE_YOUNG_PAIR(BgL_typez00_5780, BNIL);
						BgL_arg2262z00_5782 =
							MAKE_YOUNG_PAIR(BgL_arg2263z00_5783, BgL_arg2264z00_5784);
					}
					return
						BGl_codez12z12zzsaw_jvm_outz00(
						((BgL_jvmz00_bglt) BgL_mez00_5583), BgL_arg2262z00_5782);
				}
			}
		}

	}



/* &gen-fun-rtl_vlength1740 */
	obj_t BGl_z62genzd2funzd2rtl_vlength1740z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5584, obj_t BgL_funz00_5585, obj_t BgL_mez00_5586)
	{
		{	/* SawJvm/code.scm 543 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_5586), ((obj_t) CNST_TABLE_REF(73)));
		}

	}



/* &gen-fun-rtl_vset1738 */
	obj_t BGl_z62genzd2funzd2rtl_vset1738z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5587, obj_t BgL_funz00_5588, obj_t BgL_mez00_5589)
	{
		{	/* SawJvm/code.scm 530 */
			{	/* SawJvm/code.scm 531 */
				obj_t BgL_typez00_5794;

				{	/* SawJvm/code.scm 531 */
					BgL_typez00_bglt BgL_arg2261z00_5795;

					BgL_arg2261z00_5795 =
						(((BgL_rtl_vsetz00_bglt) COBJECT(
								((BgL_rtl_vsetz00_bglt) BgL_funz00_5588)))->BgL_typez00);
					BgL_typez00_5794 =
						BGl_compilezd2typezd2zzsaw_jvm_outz00(
						((BgL_jvmz00_bglt) BgL_mez00_5589), BgL_arg2261z00_5795);
				}
				{	/* SawJvm/code.scm 532 */
					obj_t BgL_arg2253z00_5796;

					{	/* SawJvm/code.scm 532 */
						bool_t BgL_test2802z00_7840;

						{	/* SawJvm/code.scm 532 */
							bool_t BgL__ortest_1237z00_5797;

							BgL__ortest_1237z00_5797 =
								(BgL_typez00_5794 == ((obj_t) CNST_TABLE_REF(18)));
							if (BgL__ortest_1237z00_5797)
								{	/* SawJvm/code.scm 532 */
									BgL_test2802z00_7840 = BgL__ortest_1237z00_5797;
								}
							else
								{	/* SawJvm/code.scm 532 */
									BgL_test2802z00_7840 =
										(BgL_typez00_5794 == ((obj_t) CNST_TABLE_REF(19)));
								}
						}
						if (BgL_test2802z00_7840)
							{	/* SawJvm/code.scm 532 */
								BgL_arg2253z00_5796 = ((obj_t) CNST_TABLE_REF(74));
							}
						else
							{	/* SawJvm/code.scm 532 */
								if ((BgL_typez00_5794 == ((obj_t) CNST_TABLE_REF(20))))
									{	/* SawJvm/code.scm 532 */
										BgL_arg2253z00_5796 = ((obj_t) CNST_TABLE_REF(75));
									}
								else
									{	/* SawJvm/code.scm 532 */
										if ((BgL_typez00_5794 == ((obj_t) CNST_TABLE_REF(21))))
											{	/* SawJvm/code.scm 532 */
												BgL_arg2253z00_5796 = ((obj_t) CNST_TABLE_REF(76));
											}
										else
											{	/* SawJvm/code.scm 532 */
												if ((BgL_typez00_5794 == ((obj_t) CNST_TABLE_REF(22))))
													{	/* SawJvm/code.scm 532 */
														BgL_arg2253z00_5796 = ((obj_t) CNST_TABLE_REF(77));
													}
												else
													{	/* SawJvm/code.scm 532 */
														if (
															(BgL_typez00_5794 ==
																((obj_t) CNST_TABLE_REF(11))))
															{	/* SawJvm/code.scm 532 */
																BgL_arg2253z00_5796 =
																	((obj_t) CNST_TABLE_REF(78));
															}
														else
															{	/* SawJvm/code.scm 532 */
																if (
																	(BgL_typez00_5794 ==
																		((obj_t) CNST_TABLE_REF(25))))
																	{	/* SawJvm/code.scm 532 */
																		BgL_arg2253z00_5796 =
																			((obj_t) CNST_TABLE_REF(79));
																	}
																else
																	{	/* SawJvm/code.scm 532 */
																		if (
																			(BgL_typez00_5794 ==
																				((obj_t) CNST_TABLE_REF(10))))
																			{	/* SawJvm/code.scm 532 */
																				BgL_arg2253z00_5796 =
																					((obj_t) CNST_TABLE_REF(80));
																			}
																		else
																			{	/* SawJvm/code.scm 532 */
																				BgL_arg2253z00_5796 =
																					((obj_t) CNST_TABLE_REF(81));
																			}
																	}
															}
													}
											}
									}
							}
					}
					BGl_codez12z12zzsaw_jvm_outz00(
						((BgL_jvmz00_bglt) BgL_mez00_5589), BgL_arg2253z00_5796);
				}
				return ((obj_t) CNST_TABLE_REF(13));
			}
		}

	}



/* &gen-fun-rtl_vref1736 */
	obj_t BGl_z62genzd2funzd2rtl_vref1736z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5590, obj_t BgL_funz00_5591, obj_t BgL_mez00_5592)
	{
		{	/* SawJvm/code.scm 518 */
			{	/* SawJvm/code.scm 519 */
				obj_t BgL_typez00_5799;

				{	/* SawJvm/code.scm 519 */
					BgL_typez00_bglt BgL_arg2252z00_5800;

					BgL_arg2252z00_5800 =
						(((BgL_rtl_vrefz00_bglt) COBJECT(
								((BgL_rtl_vrefz00_bglt) BgL_funz00_5591)))->BgL_typez00);
					BgL_typez00_5799 =
						BGl_compilezd2typezd2zzsaw_jvm_outz00(
						((BgL_jvmz00_bglt) BgL_mez00_5592), BgL_arg2252z00_5800);
				}
				{	/* SawJvm/code.scm 520 */
					obj_t BgL_arg2244z00_5801;

					{	/* SawJvm/code.scm 520 */
						bool_t BgL_test2810z00_7896;

						{	/* SawJvm/code.scm 520 */
							bool_t BgL__ortest_1236z00_5802;

							BgL__ortest_1236z00_5802 =
								(BgL_typez00_5799 == ((obj_t) CNST_TABLE_REF(18)));
							if (BgL__ortest_1236z00_5802)
								{	/* SawJvm/code.scm 520 */
									BgL_test2810z00_7896 = BgL__ortest_1236z00_5802;
								}
							else
								{	/* SawJvm/code.scm 520 */
									BgL_test2810z00_7896 =
										(BgL_typez00_5799 == ((obj_t) CNST_TABLE_REF(19)));
								}
						}
						if (BgL_test2810z00_7896)
							{	/* SawJvm/code.scm 520 */
								BgL_arg2244z00_5801 = ((obj_t) CNST_TABLE_REF(82));
							}
						else
							{	/* SawJvm/code.scm 520 */
								if ((BgL_typez00_5799 == ((obj_t) CNST_TABLE_REF(20))))
									{	/* SawJvm/code.scm 520 */
										BgL_arg2244z00_5801 = ((obj_t) CNST_TABLE_REF(83));
									}
								else
									{	/* SawJvm/code.scm 520 */
										if ((BgL_typez00_5799 == ((obj_t) CNST_TABLE_REF(21))))
											{	/* SawJvm/code.scm 520 */
												BgL_arg2244z00_5801 = ((obj_t) CNST_TABLE_REF(84));
											}
										else
											{	/* SawJvm/code.scm 520 */
												if ((BgL_typez00_5799 == ((obj_t) CNST_TABLE_REF(22))))
													{	/* SawJvm/code.scm 520 */
														BgL_arg2244z00_5801 = ((obj_t) CNST_TABLE_REF(85));
													}
												else
													{	/* SawJvm/code.scm 520 */
														if (
															(BgL_typez00_5799 ==
																((obj_t) CNST_TABLE_REF(11))))
															{	/* SawJvm/code.scm 520 */
																BgL_arg2244z00_5801 =
																	((obj_t) CNST_TABLE_REF(86));
															}
														else
															{	/* SawJvm/code.scm 520 */
																if (
																	(BgL_typez00_5799 ==
																		((obj_t) CNST_TABLE_REF(25))))
																	{	/* SawJvm/code.scm 520 */
																		BgL_arg2244z00_5801 =
																			((obj_t) CNST_TABLE_REF(87));
																	}
																else
																	{	/* SawJvm/code.scm 520 */
																		if (
																			(BgL_typez00_5799 ==
																				((obj_t) CNST_TABLE_REF(10))))
																			{	/* SawJvm/code.scm 520 */
																				BgL_arg2244z00_5801 =
																					((obj_t) CNST_TABLE_REF(88));
																			}
																		else
																			{	/* SawJvm/code.scm 520 */
																				BgL_arg2244z00_5801 =
																					((obj_t) CNST_TABLE_REF(89));
																			}
																	}
															}
													}
											}
									}
							}
					}
					return
						BGl_codez12z12zzsaw_jvm_outz00(
						((BgL_jvmz00_bglt) BgL_mez00_5592), BgL_arg2244z00_5801);
				}
			}
		}

	}



/* &gen-fun-rtl_apply1734 */
	obj_t BGl_z62genzd2funzd2rtl_apply1734z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5593, obj_t BgL_funz00_5594, obj_t BgL_mez00_5595)
	{
		{	/* SawJvm/code.scm 512 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_5595), ((obj_t) CNST_TABLE_REF(38)));
		}

	}



/* &gen-fun-rtl_loadfun1732 */
	obj_t BGl_z62genzd2funzd2rtl_loadfun1732z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5596, obj_t BgL_funz00_5597, obj_t BgL_mez00_5598)
	{
		{	/* SawJvm/code.scm 508 */
			{	/* SawJvm/code.scm 509 */
				BgL_globalz00_bglt BgL_varz00_5805;

				BgL_varz00_5805 =
					(((BgL_rtl_loadfunz00_bglt) COBJECT(
							((BgL_rtl_loadfunz00_bglt) BgL_funz00_5597)))->BgL_varz00);
				{	/* SawJvm/code.scm 510 */
					int BgL_arg2243z00_5806;

					{
						BgL_indexedz00_bglt BgL_auxz00_7952;

						{
							obj_t BgL_auxz00_7953;

							{	/* SawJvm/code.scm 510 */
								BgL_objectz00_bglt BgL_tmpz00_7954;

								BgL_tmpz00_7954 =
									((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_varz00_5805));
								BgL_auxz00_7953 = BGL_OBJECT_WIDENING(BgL_tmpz00_7954);
							}
							BgL_auxz00_7952 = ((BgL_indexedz00_bglt) BgL_auxz00_7953);
						}
						BgL_arg2243z00_5806 =
							(((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_7952))->BgL_indexz00);
					}
					return
						BGl_pushzd2intzd2zzsaw_jvm_outz00(
						((BgL_jvmz00_bglt) BgL_mez00_5598), BINT(BgL_arg2243z00_5806));
				}
			}
		}

	}



/* &gen-fun-with-args-rt1730 */
	obj_t BGl_z62genzd2funzd2withzd2argszd2rt1730z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5599, obj_t BgL_funz00_5600, obj_t BgL_mez00_5601,
		obj_t BgL_argsz00_5602)
	{
		{	/* SawJvm/code.scm 495 */
			{	/* SawJvm/code.scm 496 */
				obj_t BgL_az00_5808;

				BgL_az00_5808 = CAR(((obj_t) BgL_argsz00_5602));
				{	/* SawJvm/code.scm 497 */
					obj_t BgL_regz00_5809;

					{	/* SawJvm/code.scm 497 */
						bool_t BgL_test2818z00_7965;

						{	/* SawJvm/code.scm 497 */
							obj_t BgL_classz00_5810;

							BgL_classz00_5810 = BGl_rtl_regz00zzsaw_defsz00;
							if (BGL_OBJECTP(BgL_az00_5808))
								{	/* SawJvm/code.scm 497 */
									BgL_objectz00_bglt BgL_arg1858z00_5811;

									BgL_arg1858z00_5811 = (BgL_objectz00_bglt) (BgL_az00_5808);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawJvm/code.scm 497 */
											long BgL_idxz00_5812;

											BgL_idxz00_5812 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5811);
											BgL_test2818z00_7965 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_5812 + 1L)) == BgL_classz00_5810);
										}
									else
										{	/* SawJvm/code.scm 497 */
											bool_t BgL_res2507z00_5815;

											{	/* SawJvm/code.scm 497 */
												obj_t BgL_oclassz00_5816;

												{	/* SawJvm/code.scm 497 */
													obj_t BgL_arg1866z00_5817;
													long BgL_arg1867z00_5818;

													BgL_arg1866z00_5817 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* SawJvm/code.scm 497 */
														long BgL_arg1869z00_5819;

														BgL_arg1869z00_5819 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5811);
														BgL_arg1867z00_5818 =
															(BgL_arg1869z00_5819 - OBJECT_TYPE);
													}
													BgL_oclassz00_5816 =
														VECTOR_REF(BgL_arg1866z00_5817,
														BgL_arg1867z00_5818);
												}
												{	/* SawJvm/code.scm 497 */
													bool_t BgL__ortest_1115z00_5820;

													BgL__ortest_1115z00_5820 =
														(BgL_classz00_5810 == BgL_oclassz00_5816);
													if (BgL__ortest_1115z00_5820)
														{	/* SawJvm/code.scm 497 */
															BgL_res2507z00_5815 = BgL__ortest_1115z00_5820;
														}
													else
														{	/* SawJvm/code.scm 497 */
															long BgL_odepthz00_5821;

															{	/* SawJvm/code.scm 497 */
																obj_t BgL_arg1855z00_5822;

																BgL_arg1855z00_5822 = (BgL_oclassz00_5816);
																BgL_odepthz00_5821 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_5822);
															}
															if ((1L < BgL_odepthz00_5821))
																{	/* SawJvm/code.scm 497 */
																	obj_t BgL_arg1853z00_5823;

																	{	/* SawJvm/code.scm 497 */
																		obj_t BgL_arg1854z00_5824;

																		BgL_arg1854z00_5824 = (BgL_oclassz00_5816);
																		BgL_arg1853z00_5823 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_5824, 1L);
																	}
																	BgL_res2507z00_5815 =
																		(BgL_arg1853z00_5823 == BgL_classz00_5810);
																}
															else
																{	/* SawJvm/code.scm 497 */
																	BgL_res2507z00_5815 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2818z00_7965 = BgL_res2507z00_5815;
										}
								}
							else
								{	/* SawJvm/code.scm 497 */
									BgL_test2818z00_7965 = ((bool_t) 0);
								}
						}
						if (BgL_test2818z00_7965)
							{	/* SawJvm/code.scm 497 */
								BgL_regz00_5809 = BgL_az00_5808;
							}
						else
							{	/* SawJvm/code.scm 497 */
								BgL_regz00_5809 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_az00_5808)))->BgL_destz00);
							}
					}
					{	/* SawJvm/code.scm 499 */
						obj_t BgL_arg2235z00_5825;

						{	/* SawJvm/code.scm 499 */
							obj_t BgL_casezd2valuezd2_5826;

							BgL_casezd2valuezd2_5826 =
								(((BgL_typez00_bglt) COBJECT(
										(((BgL_rtl_regz00_bglt) COBJECT(
													((BgL_rtl_regz00_bglt) BgL_regz00_5809)))->
											BgL_typez00)))->BgL_namez00);
							if ((BgL_casezd2valuezd2_5826 == ((obj_t) CNST_TABLE_REF(90))))
								{	/* SawJvm/code.scm 499 */
									BgL_arg2235z00_5825 = ((obj_t) CNST_TABLE_REF(91));
								}
							else
								{	/* SawJvm/code.scm 499 */
									bool_t BgL_test2824z00_7999;

									{	/* SawJvm/code.scm 499 */
										bool_t BgL__ortest_1232z00_5827;

										BgL__ortest_1232z00_5827 =
											(BgL_casezd2valuezd2_5826 ==
											((obj_t) CNST_TABLE_REF(18)));
										if (BgL__ortest_1232z00_5827)
											{	/* SawJvm/code.scm 499 */
												BgL_test2824z00_7999 = BgL__ortest_1232z00_5827;
											}
										else
											{	/* SawJvm/code.scm 499 */
												bool_t BgL__ortest_1233z00_5828;

												BgL__ortest_1233z00_5828 =
													(BgL_casezd2valuezd2_5826 ==
													((obj_t) CNST_TABLE_REF(19)));
												if (BgL__ortest_1233z00_5828)
													{	/* SawJvm/code.scm 499 */
														BgL_test2824z00_7999 = BgL__ortest_1233z00_5828;
													}
												else
													{	/* SawJvm/code.scm 499 */
														bool_t BgL__ortest_1234z00_5829;

														BgL__ortest_1234z00_5829 =
															(BgL_casezd2valuezd2_5826 ==
															((obj_t) CNST_TABLE_REF(20)));
														if (BgL__ortest_1234z00_5829)
															{	/* SawJvm/code.scm 499 */
																BgL_test2824z00_7999 = BgL__ortest_1234z00_5829;
															}
														else
															{	/* SawJvm/code.scm 499 */
																bool_t BgL__ortest_1235z00_5830;

																BgL__ortest_1235z00_5830 =
																	(BgL_casezd2valuezd2_5826 ==
																	((obj_t) CNST_TABLE_REF(21)));
																if (BgL__ortest_1235z00_5830)
																	{	/* SawJvm/code.scm 499 */
																		BgL_test2824z00_7999 =
																			BgL__ortest_1235z00_5830;
																	}
																else
																	{	/* SawJvm/code.scm 499 */
																		BgL_test2824z00_7999 =
																			(BgL_casezd2valuezd2_5826 ==
																			((obj_t) CNST_TABLE_REF(22)));
																	}
															}
													}
											}
									}
									if (BgL_test2824z00_7999)
										{	/* SawJvm/code.scm 499 */
											BgL_arg2235z00_5825 = ((obj_t) CNST_TABLE_REF(92));
										}
									else
										{	/* SawJvm/code.scm 499 */
											if (
												(BgL_casezd2valuezd2_5826 ==
													((obj_t) CNST_TABLE_REF(11))))
												{	/* SawJvm/code.scm 499 */
													BgL_arg2235z00_5825 = ((obj_t) CNST_TABLE_REF(93));
												}
											else
												{	/* SawJvm/code.scm 499 */
													if (
														(BgL_casezd2valuezd2_5826 ==
															((obj_t) CNST_TABLE_REF(25))))
														{	/* SawJvm/code.scm 499 */
															BgL_arg2235z00_5825 =
																((obj_t) CNST_TABLE_REF(94));
														}
													else
														{	/* SawJvm/code.scm 499 */
															if (
																(BgL_casezd2valuezd2_5826 ==
																	((obj_t) CNST_TABLE_REF(10))))
																{	/* SawJvm/code.scm 499 */
																	BgL_arg2235z00_5825 =
																		((obj_t) CNST_TABLE_REF(95));
																}
															else
																{	/* SawJvm/code.scm 499 */
																	BgL_arg2235z00_5825 =
																		((obj_t) CNST_TABLE_REF(7));
																}
														}
												}
										}
								}
						}
						BGl_codez12z12zzsaw_jvm_outz00(
							((BgL_jvmz00_bglt) BgL_mez00_5601), BgL_arg2235z00_5825);
					}
					return ((obj_t) CNST_TABLE_REF(13));
				}
			}
		}

	}



/* &gen-fun-with-args-rt1728 */
	obj_t BGl_z62genzd2funzd2withzd2argszd2rt1728z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5603, obj_t BgL_funz00_5604, obj_t BgL_mez00_5605,
		obj_t BgL_argsz00_5606)
	{
		{	/* SawJvm/code.scm 479 */
			return
				BGl_genzd2funcallzd2zzsaw_jvm_codez00(BgL_mez00_5605, BgL_argsz00_5606);
		}

	}



/* &gen-fun-rtl_lightfun1726 */
	obj_t BGl_z62genzd2funzd2rtl_lightfun1726z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5607, obj_t BgL_funz00_5608, obj_t BgL_mez00_5609)
	{
		{	/* SawJvm/code.scm 471 */
			if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
						((obj_t)
							((BgL_rtl_lightfuncallz00_bglt) BgL_funz00_5608)),
						(((BgL_jvmz00_bglt) COBJECT(
									((BgL_jvmz00_bglt) BgL_mez00_5609)))->
							BgL_lightzd2funcallszd2))))
				{	/* SawJvm/code.scm 474 */
					BFALSE;
				}
			else
				{
					obj_t BgL_auxz00_8053;

					{	/* SawJvm/code.scm 475 */
						obj_t BgL_arg2228z00_5833;

						BgL_arg2228z00_5833 =
							(((BgL_jvmz00_bglt) COBJECT(
									((BgL_jvmz00_bglt) BgL_mez00_5609)))->
							BgL_lightzd2funcallszd2);
						BgL_auxz00_8053 =
							MAKE_YOUNG_PAIR(((obj_t) ((BgL_rtl_lightfuncallz00_bglt)
									BgL_funz00_5608)), BgL_arg2228z00_5833);
					}
					((((BgL_jvmz00_bglt) COBJECT(
									((BgL_jvmz00_bglt) BgL_mez00_5609)))->
							BgL_lightzd2funcallszd2) = ((obj_t) BgL_auxz00_8053), BUNSPEC);
				}
			{	/* SawJvm/code.scm 476 */
				obj_t BgL_arg2231z00_5834;

				{	/* SawJvm/code.scm 476 */
					obj_t BgL_arg2233z00_5835;

					BgL_arg2233z00_5835 =
						MAKE_YOUNG_PAIR(
						(((BgL_rtl_lightfuncallz00_bglt) COBJECT(
									((BgL_rtl_lightfuncallz00_bglt) BgL_funz00_5608)))->
							BgL_namez00), BNIL);
					BgL_arg2231z00_5834 =
						MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(96)), BgL_arg2233z00_5835);
				}
				return
					BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_5609), BgL_arg2231z00_5834);
			}
		}

	}



/* &gen-fun-rtl_call1724 */
	obj_t BGl_z62genzd2funzd2rtl_call1724z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5610, obj_t BgL_funz00_5611, obj_t BgL_mez00_5612)
	{
		{	/* SawJvm/code.scm 457 */
			{	/* SawJvm/code.scm 458 */
				BgL_globalz00_bglt BgL_varz00_5837;

				BgL_varz00_5837 =
					(((BgL_rtl_callz00_bglt) COBJECT(
							((BgL_rtl_callz00_bglt) BgL_funz00_5611)))->BgL_varz00);
				{	/* SawJvm/code.scm 459 */
					obj_t BgL_rz00_5838;

					BgL_rz00_5838 =
						BGl_inlinezd2callzf3z21zzsaw_jvm_inlinez00(
						((BgL_jvmz00_bglt) BgL_mez00_5612), BgL_varz00_5837);
					if ((BgL_rz00_5838 == ((obj_t) CNST_TABLE_REF(54))))
						{	/* SawJvm/code.scm 460 */
							BGl_callzd2globalzd2zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_5612), BgL_varz00_5837);
							if (
								((((BgL_typez00_bglt) COBJECT(
												(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_varz00_5837)))->
													BgL_typez00)))->BgL_namez00) ==
									((obj_t) CNST_TABLE_REF(90))))
								{	/* SawJvm/code.scm 463 */
									return ((obj_t) CNST_TABLE_REF(13));
								}
							else
								{	/* SawJvm/code.scm 463 */
									return ((obj_t) CNST_TABLE_REF(55));
								}
						}
					else
						{	/* SawJvm/code.scm 460 */
							return BgL_rz00_5838;
						}
				}
			}
		}

	}



/* &gen-args-gen-fun-rtl1722 */
	obj_t BGl_z62genzd2argszd2genzd2funzd2rtl1722z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5613, obj_t BgL_funz00_5614, obj_t BgL_mez00_5615,
		obj_t BgL_argsz00_5616)
	{
		{	/* SawJvm/code.scm 450 */
			{	/* SawJvm/code.scm 451 */
				obj_t BgL_rz00_5840;

				{	/* SawJvm/code.scm 451 */
					BgL_globalz00_bglt BgL_arg2220z00_5841;

					BgL_arg2220z00_5841 =
						(((BgL_rtl_callz00_bglt) COBJECT(
								((BgL_rtl_callz00_bglt) BgL_funz00_5614)))->BgL_varz00);
					BgL_rz00_5840 =
						BGl_inlinezd2callzd2withzd2argszf3z21zzsaw_jvm_inlinez00(
						((BgL_jvmz00_bglt) BgL_mez00_5615), BgL_arg2220z00_5841,
						BgL_argsz00_5616);
				}
				if ((BgL_rz00_5840 == ((obj_t) CNST_TABLE_REF(54))))
					{	/* SawJvm/code.scm 452 */
						{
							obj_t BgL_l1681z00_5843;

							BgL_l1681z00_5843 = BgL_argsz00_5616;
						BgL_zc3z04anonymousza32217ze3z87_5842:
							if (PAIRP(BgL_l1681z00_5843))
								{	/* SawJvm/code.scm 453 */
									{	/* SawJvm/code.scm 453 */
										obj_t BgL_az00_5844;

										BgL_az00_5844 = CAR(BgL_l1681z00_5843);
										BGl_genzd2exprzd2zzsaw_jvm_codez00(
											((BgL_jvmz00_bglt) BgL_mez00_5615), BgL_az00_5844);
									}
									{
										obj_t BgL_l1681z00_8103;

										BgL_l1681z00_8103 = CDR(BgL_l1681z00_5843);
										BgL_l1681z00_5843 = BgL_l1681z00_8103;
										goto BgL_zc3z04anonymousza32217ze3z87_5842;
									}
								}
							else
								{	/* SawJvm/code.scm 453 */
									((bool_t) 1);
								}
						}
						return
							BGl_genzd2funzd2zzsaw_jvm_codez00(
							((BgL_rtl_funz00_bglt)
								((BgL_rtl_callz00_bglt) BgL_funz00_5614)), BgL_mez00_5615);
					}
				else
					{	/* SawJvm/code.scm 452 */
						return BgL_rz00_5840;
					}
			}
		}

	}



/* &gen-fun-rtl_switch1720 */
	obj_t BGl_z62genzd2funzd2rtl_switch1720z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5617, obj_t BgL_funz00_5618, obj_t BgL_mez00_5619)
	{
		{	/* SawJvm/code.scm 407 */
			{	/* SawJvm/code.scm 410 */
				obj_t BgL_ldefz00_5846;
				obj_t BgL_num2labz00_5847;

				BgL_ldefz00_5846 = BUNSPEC;
				BgL_num2labz00_5847 = BNIL;
				{
					obj_t BgL_nz00_5849;
					obj_t BgL_labz00_5850;

					{	/* SawJvm/code.scm 415 */
						obj_t BgL_g1672z00_5852;
						obj_t BgL_g1673z00_5853;

						BgL_g1672z00_5852 =
							(((BgL_rtl_selectz00_bglt) COBJECT(
									((BgL_rtl_selectz00_bglt)
										((BgL_rtl_switchz00_bglt) BgL_funz00_5618))))->
							BgL_patternsz00);
						{	/* SawJvm/code.scm 420 */
							obj_t BgL_l1663z00_5854;

							BgL_l1663z00_5854 =
								(((BgL_rtl_switchz00_bglt) COBJECT(
										((BgL_rtl_switchz00_bglt) BgL_funz00_5618)))->
								BgL_labelsz00);
							if (NULLP(BgL_l1663z00_5854))
								{	/* SawJvm/code.scm 420 */
									BgL_g1673z00_5853 = BNIL;
								}
							else
								{	/* SawJvm/code.scm 420 */
									obj_t BgL_head1665z00_5855;

									{	/* SawJvm/code.scm 420 */
										int BgL_arg2177z00_5856;

										BgL_arg2177z00_5856 =
											(((BgL_blockz00_bglt) COBJECT(
													((BgL_blockz00_bglt)
														CAR(((obj_t) BgL_l1663z00_5854)))))->BgL_labelz00);
										BgL_head1665z00_5855 =
											MAKE_YOUNG_PAIR(BINT(BgL_arg2177z00_5856), BNIL);
									}
									{	/* SawJvm/code.scm 420 */
										obj_t BgL_g1668z00_5857;

										BgL_g1668z00_5857 = CDR(((obj_t) BgL_l1663z00_5854));
										{
											obj_t BgL_l1663z00_5859;
											obj_t BgL_tail1666z00_5860;

											BgL_l1663z00_5859 = BgL_g1668z00_5857;
											BgL_tail1666z00_5860 = BgL_head1665z00_5855;
										BgL_zc3z04anonymousza32172ze3z87_5858:
											if (NULLP(BgL_l1663z00_5859))
												{	/* SawJvm/code.scm 420 */
													BgL_g1673z00_5853 = BgL_head1665z00_5855;
												}
											else
												{	/* SawJvm/code.scm 420 */
													obj_t BgL_newtail1667z00_5861;

													{	/* SawJvm/code.scm 420 */
														int BgL_arg2175z00_5862;

														BgL_arg2175z00_5862 =
															(((BgL_blockz00_bglt) COBJECT(
																	((BgL_blockz00_bglt)
																		CAR(
																			((obj_t) BgL_l1663z00_5859)))))->
															BgL_labelz00);
														BgL_newtail1667z00_5861 =
															MAKE_YOUNG_PAIR(BINT(BgL_arg2175z00_5862), BNIL);
													}
													SET_CDR(BgL_tail1666z00_5860,
														BgL_newtail1667z00_5861);
													{	/* SawJvm/code.scm 420 */
														obj_t BgL_arg2174z00_5863;

														BgL_arg2174z00_5863 =
															CDR(((obj_t) BgL_l1663z00_5859));
														{
															obj_t BgL_tail1666z00_8135;
															obj_t BgL_l1663z00_8134;

															BgL_l1663z00_8134 = BgL_arg2174z00_5863;
															BgL_tail1666z00_8135 = BgL_newtail1667z00_5861;
															BgL_tail1666z00_5860 = BgL_tail1666z00_8135;
															BgL_l1663z00_5859 = BgL_l1663z00_8134;
															goto BgL_zc3z04anonymousza32172ze3z87_5858;
														}
													}
												}
										}
									}
								}
						}
						{
							obj_t BgL_ll1669z00_5865;
							obj_t BgL_ll1670z00_5866;

							BgL_ll1669z00_5865 = BgL_g1672z00_5852;
							BgL_ll1670z00_5866 = BgL_g1673z00_5853;
						BgL_zc3z04anonymousza32164ze3z87_5864:
							if (NULLP(BgL_ll1669z00_5865))
								{	/* SawJvm/code.scm 415 */
									((bool_t) 1);
								}
							else
								{	/* SawJvm/code.scm 415 */
									{	/* SawJvm/code.scm 416 */
										obj_t BgL_patz00_5867;
										obj_t BgL_labz00_5868;

										BgL_patz00_5867 = CAR(((obj_t) BgL_ll1669z00_5865));
										BgL_labz00_5868 = CAR(((obj_t) BgL_ll1670z00_5866));
										if ((BgL_patz00_5867 == ((obj_t) CNST_TABLE_REF(97))))
											{	/* SawJvm/code.scm 416 */
												BgL_ldefz00_5846 =
													BGl_Lze70ze7zzsaw_jvm_codez00(BgL_labz00_5868);
											}
										else
											{
												obj_t BgL_l1661z00_5870;

												{	/* SawJvm/code.scm 418 */
													bool_t BgL_tmpz00_8147;

													BgL_l1661z00_5870 = BgL_patz00_5867;
												BgL_zc3z04anonymousza32166ze3z87_5869:
													if (PAIRP(BgL_l1661z00_5870))
														{	/* SawJvm/code.scm 418 */
															BgL_nz00_5849 = CAR(BgL_l1661z00_5870);
															BgL_labz00_5850 = BgL_labz00_5868;
															{	/* SawJvm/code.scm 414 */
																obj_t BgL_arg2214z00_5851;

																BgL_arg2214z00_5851 =
																	MAKE_YOUNG_PAIR(BGl_intifyz00zzsaw_jvm_codez00
																	(BgL_nz00_5849),
																	BGl_Lze70ze7zzsaw_jvm_codez00
																	(BgL_labz00_5850));
																BgL_num2labz00_5847 =
																	MAKE_YOUNG_PAIR(BgL_arg2214z00_5851,
																	BgL_num2labz00_5847);
															}
															{
																obj_t BgL_l1661z00_8155;

																BgL_l1661z00_8155 = CDR(BgL_l1661z00_5870);
																BgL_l1661z00_5870 = BgL_l1661z00_8155;
																goto BgL_zc3z04anonymousza32166ze3z87_5869;
															}
														}
													else
														{	/* SawJvm/code.scm 418 */
															BgL_tmpz00_8147 = ((bool_t) 1);
														}
													BBOOL(BgL_tmpz00_8147);
												}
											}
									}
									{	/* SawJvm/code.scm 415 */
										obj_t BgL_arg2169z00_5871;
										obj_t BgL_arg2170z00_5872;

										BgL_arg2169z00_5871 = CDR(((obj_t) BgL_ll1669z00_5865));
										BgL_arg2170z00_5872 = CDR(((obj_t) BgL_ll1670z00_5866));
										{
											obj_t BgL_ll1670z00_8163;
											obj_t BgL_ll1669z00_8162;

											BgL_ll1669z00_8162 = BgL_arg2169z00_5871;
											BgL_ll1670z00_8163 = BgL_arg2170z00_5872;
											BgL_ll1670z00_5866 = BgL_ll1670z00_8163;
											BgL_ll1669z00_5865 = BgL_ll1669z00_8162;
											goto BgL_zc3z04anonymousza32164ze3z87_5864;
										}
									}
								}
						}
					}
					if (NULLP(CDR(BgL_num2labz00_5847)))
						{	/* SawJvm/code.scm 422 */
							{	/* SawJvm/code.scm 423 */
								obj_t BgL_arg2181z00_5873;

								{	/* SawJvm/code.scm 423 */
									obj_t BgL_pairz00_5874;

									BgL_pairz00_5874 = BgL_num2labz00_5847;
									BgL_arg2181z00_5873 = CAR(CAR(BgL_pairz00_5874));
								}
								BGl_pushzd2intzd2zzsaw_jvm_outz00(
									((BgL_jvmz00_bglt) BgL_mez00_5619), BgL_arg2181z00_5873);
							}
							BGl_branchz00zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_5619),
								((obj_t) CNST_TABLE_REF(98)), BgL_ldefz00_5846);
							{	/* SawJvm/code.scm 425 */
								obj_t BgL_arg2182z00_5875;

								{	/* SawJvm/code.scm 425 */
									obj_t BgL_pairz00_5876;

									BgL_pairz00_5876 = BgL_num2labz00_5847;
									BgL_arg2182z00_5875 = CDR(CAR(BgL_pairz00_5876));
								}
								BGl_branchz00zzsaw_jvm_outz00(
									((BgL_jvmz00_bglt) BgL_mez00_5619),
									((obj_t) CNST_TABLE_REF(70)), BgL_arg2182z00_5875);
							}
						}
					else
						{	/* SawJvm/code.scm 422 */
							BgL_num2labz00_5847 =
								BGl_sortz00zz__r4_vectors_6_8z00(BgL_num2labz00_5847,
								BGl_proc2579z00zzsaw_jvm_codez00);
							{	/* SawJvm/code.scm 428 */
								obj_t BgL_numsz00_5878;

								{	/* SawJvm/code.scm 428 */
									obj_t BgL_l1674z00_5879;

									BgL_l1674z00_5879 = BgL_num2labz00_5847;
									if (NULLP(BgL_l1674z00_5879))
										{	/* SawJvm/code.scm 428 */
											BgL_numsz00_5878 = BNIL;
										}
									else
										{	/* SawJvm/code.scm 428 */
											obj_t BgL_head1676z00_5880;

											{	/* SawJvm/code.scm 428 */
												obj_t BgL_arg2207z00_5881;

												{	/* SawJvm/code.scm 428 */
													obj_t BgL_pairz00_5882;

													BgL_pairz00_5882 = CAR(((obj_t) BgL_l1674z00_5879));
													BgL_arg2207z00_5881 = CAR(BgL_pairz00_5882);
												}
												BgL_head1676z00_5880 =
													MAKE_YOUNG_PAIR(BgL_arg2207z00_5881, BNIL);
											}
											{	/* SawJvm/code.scm 428 */
												obj_t BgL_g1679z00_5883;

												BgL_g1679z00_5883 = CDR(((obj_t) BgL_l1674z00_5879));
												{
													obj_t BgL_l1674z00_5885;
													obj_t BgL_tail1677z00_5886;

													BgL_l1674z00_5885 = BgL_g1679z00_5883;
													BgL_tail1677z00_5886 = BgL_head1676z00_5880;
												BgL_zc3z04anonymousza32202ze3z87_5884:
													if (NULLP(BgL_l1674z00_5885))
														{	/* SawJvm/code.scm 428 */
															BgL_numsz00_5878 = BgL_head1676z00_5880;
														}
													else
														{	/* SawJvm/code.scm 428 */
															obj_t BgL_newtail1678z00_5887;

															{	/* SawJvm/code.scm 428 */
																obj_t BgL_arg2205z00_5888;

																{	/* SawJvm/code.scm 428 */
																	obj_t BgL_pairz00_5889;

																	BgL_pairz00_5889 =
																		CAR(((obj_t) BgL_l1674z00_5885));
																	BgL_arg2205z00_5888 = CAR(BgL_pairz00_5889);
																}
																BgL_newtail1678z00_5887 =
																	MAKE_YOUNG_PAIR(BgL_arg2205z00_5888, BNIL);
															}
															SET_CDR(BgL_tail1677z00_5886,
																BgL_newtail1678z00_5887);
															{	/* SawJvm/code.scm 428 */
																obj_t BgL_arg2204z00_5890;

																BgL_arg2204z00_5890 =
																	CDR(((obj_t) BgL_l1674z00_5885));
																{
																	obj_t BgL_tail1677z00_8200;
																	obj_t BgL_l1674z00_8199;

																	BgL_l1674z00_8199 = BgL_arg2204z00_5890;
																	BgL_tail1677z00_8200 =
																		BgL_newtail1678z00_5887;
																	BgL_tail1677z00_5886 = BgL_tail1677z00_8200;
																	BgL_l1674z00_5885 = BgL_l1674z00_8199;
																	goto BgL_zc3z04anonymousza32202ze3z87_5884;
																}
															}
														}
												}
											}
										}
								}
								{	/* SawJvm/code.scm 428 */
									obj_t BgL_minz00_5891;

									BgL_minz00_5891 = CAR(((obj_t) BgL_numsz00_5878));
									{	/* SawJvm/code.scm 429 */
										obj_t BgL_maxz00_5892;

										BgL_maxz00_5892 =
											CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00
											(BgL_numsz00_5878));
										{	/* SawJvm/code.scm 430 */
											long BgL_nz00_5893;

											BgL_nz00_5893 = bgl_list_length(BgL_numsz00_5878);
											{	/* SawJvm/code.scm 431 */

												{	/* SawJvm/code.scm 432 */
													bool_t BgL_test2845z00_8206;

													{	/* SawJvm/code.scm 432 */
														obj_t BgL_a1680z00_5894;

														BgL_a1680z00_5894 =
															BGl_2zf2zf2zz__r4_numbers_6_5z00(BINT
															(BgL_nz00_5893),
															BINT((1L + ((long) CINT(BgL_maxz00_5892) -
																		(long) CINT(BgL_minz00_5891)))));
														if (REALP(BgL_a1680z00_5894))
															{	/* SawJvm/code.scm 432 */
																BgL_test2845z00_8206 =
																	(REAL_TO_DOUBLE(BgL_a1680z00_5894) <
																	((double) 0.75));
															}
														else
															{	/* SawJvm/code.scm 432 */
																BgL_test2845z00_8206 =
																	BGl_2zc3zc3zz__r4_numbers_6_5z00
																	(BgL_a1680z00_5894,
																	BGL_REAL_CNST
																	(BGl_real2580z00zzsaw_jvm_codez00));
															}
													}
													if (BgL_test2845z00_8206)
														{	/* SawJvm/code.scm 433 */
															obj_t BgL_arg2191z00_5895;

															{	/* SawJvm/code.scm 433 */
																obj_t BgL_arg2192z00_5896;

																BgL_arg2192z00_5896 =
																	MAKE_YOUNG_PAIR(BgL_ldefz00_5846,
																	BgL_num2labz00_5847);
																BgL_arg2191z00_5895 =
																	MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(99)),
																	BgL_arg2192z00_5896);
															}
															BGl_codez12z12zzsaw_jvm_outz00(
																((BgL_jvmz00_bglt) BgL_mez00_5619),
																BgL_arg2191z00_5895);
														}
													else
														{	/* SawJvm/code.scm 435 */
															obj_t BgL_arg2193z00_5897;

															{	/* SawJvm/code.scm 435 */
																obj_t BgL_arg2194z00_5898;

																{	/* SawJvm/code.scm 435 */
																	obj_t BgL_arg2195z00_5899;

																	BgL_arg2195z00_5899 =
																		MAKE_YOUNG_PAIR(BgL_minz00_5891,
																		BGl_flatz00zzsaw_jvm_codez00
																		(BgL_num2labz00_5847, BgL_ldefz00_5846));
																	BgL_arg2194z00_5898 =
																		MAKE_YOUNG_PAIR(BgL_ldefz00_5846,
																		BgL_arg2195z00_5899);
																}
																BgL_arg2193z00_5897 =
																	MAKE_YOUNG_PAIR(
																	((obj_t)
																		CNST_TABLE_REF(100)), BgL_arg2194z00_5898);
															}
															BGl_codez12z12zzsaw_jvm_outz00(
																((BgL_jvmz00_bglt) BgL_mez00_5619),
																BgL_arg2193z00_5897);
														}
												}
											}
										}
									}
								}
							}
						}
					return ((obj_t) CNST_TABLE_REF(13));
				}
			}
		}

	}



/* L~0 */
	obj_t BGl_Lze70ze7zzsaw_jvm_codez00(obj_t BgL_nz00_3503)
	{
		{	/* SawJvm/code.scm 412 */
			{	/* SawJvm/code.scm 412 */
				obj_t BgL_arg2211z00_3505;

				{	/* SawJvm/code.scm 412 */
					obj_t BgL_arg2212z00_3506;

					{	/* SawJvm/code.scm 412 */

						BgL_arg2212z00_3506 =
							BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
							(long) CINT(BgL_nz00_3503), 10L);
					}
					BgL_arg2211z00_3505 =
						string_append(BGl_string2581z00zzsaw_jvm_codez00,
						BgL_arg2212z00_3506);
				}
				return bstring_to_symbol(BgL_arg2211z00_3505);
			}
		}

	}



/* &<@anonymous:2184> */
	obj_t BGl_z62zc3z04anonymousza32184ze3ze5zzsaw_jvm_codez00(obj_t
		BgL_envz00_5620, obj_t BgL_xz00_5621, obj_t BgL_yz00_5622)
	{
		{	/* SawJvm/code.scm 427 */
			return
				BBOOL(
				((long) CINT(CAR(
							((obj_t) BgL_xz00_5621))) <
					(long) CINT(CAR(((obj_t) BgL_yz00_5622)))));
		}

	}



/* &gen-fun-rtl_go1718 */
	obj_t BGl_z62genzd2funzd2rtl_go1718z62zzsaw_jvm_codez00(obj_t BgL_envz00_5623,
		obj_t BgL_funz00_5624, obj_t BgL_mez00_5625)
	{
		{	/* SawJvm/code.scm 396 */
			{	/* SawJvm/code.scm 397 */
				int BgL_arg2162z00_5901;

				BgL_arg2162z00_5901 =
					(((BgL_blockz00_bglt) COBJECT(
							(((BgL_rtl_goz00_bglt) COBJECT(
										((BgL_rtl_goz00_bglt) BgL_funz00_5624)))->BgL_toz00)))->
					BgL_labelz00);
				BGl_branchz00zzsaw_jvm_outz00(((BgL_jvmz00_bglt) BgL_mez00_5625),
					((obj_t) CNST_TABLE_REF(70)), BINT(BgL_arg2162z00_5901));
			}
			return ((obj_t) CNST_TABLE_REF(13));
		}

	}



/* &gen-args-gen-fun-rtl1716 */
	obj_t BGl_z62genzd2argszd2genzd2funzd2rtl1716z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5626, obj_t BgL_funz00_5627, obj_t BgL_mez00_5628,
		obj_t BgL_argsz00_5629)
	{
		{	/* SawJvm/code.scm 387 */
			{	/* SawJvm/code.scm 388 */
				obj_t BgL_argz00_5903;
				int BgL_labz00_5904;

				BgL_argz00_5903 = CAR(((obj_t) BgL_argsz00_5629));
				BgL_labz00_5904 =
					(((BgL_blockz00_bglt) COBJECT(
							(((BgL_rtl_ifnez00_bglt) COBJECT(
										((BgL_rtl_ifnez00_bglt) BgL_funz00_5627)))->BgL_thenz00)))->
					BgL_labelz00);
				{	/* SawJvm/code.scm 389 */
					bool_t BgL_test2847z00_8262;

					{	/* SawJvm/code.scm 389 */
						obj_t BgL_classz00_5905;

						BgL_classz00_5905 = BGl_rtl_regz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_argz00_5903))
							{	/* SawJvm/code.scm 389 */
								BgL_objectz00_bglt BgL_arg1858z00_5906;

								BgL_arg1858z00_5906 = (BgL_objectz00_bglt) (BgL_argz00_5903);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawJvm/code.scm 389 */
										long BgL_idxz00_5907;

										BgL_idxz00_5907 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5906);
										BgL_test2847z00_8262 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_5907 + 1L)) == BgL_classz00_5905);
									}
								else
									{	/* SawJvm/code.scm 389 */
										bool_t BgL_res2506z00_5910;

										{	/* SawJvm/code.scm 389 */
											obj_t BgL_oclassz00_5911;

											{	/* SawJvm/code.scm 389 */
												obj_t BgL_arg1866z00_5912;
												long BgL_arg1867z00_5913;

												BgL_arg1866z00_5912 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* SawJvm/code.scm 389 */
													long BgL_arg1869z00_5914;

													BgL_arg1869z00_5914 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5906);
													BgL_arg1867z00_5913 =
														(BgL_arg1869z00_5914 - OBJECT_TYPE);
												}
												BgL_oclassz00_5911 =
													VECTOR_REF(BgL_arg1866z00_5912, BgL_arg1867z00_5913);
											}
											{	/* SawJvm/code.scm 389 */
												bool_t BgL__ortest_1115z00_5915;

												BgL__ortest_1115z00_5915 =
													(BgL_classz00_5905 == BgL_oclassz00_5911);
												if (BgL__ortest_1115z00_5915)
													{	/* SawJvm/code.scm 389 */
														BgL_res2506z00_5910 = BgL__ortest_1115z00_5915;
													}
												else
													{	/* SawJvm/code.scm 389 */
														long BgL_odepthz00_5916;

														{	/* SawJvm/code.scm 389 */
															obj_t BgL_arg1855z00_5917;

															BgL_arg1855z00_5917 = (BgL_oclassz00_5911);
															BgL_odepthz00_5916 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_5917);
														}
														if ((1L < BgL_odepthz00_5916))
															{	/* SawJvm/code.scm 389 */
																obj_t BgL_arg1853z00_5918;

																{	/* SawJvm/code.scm 389 */
																	obj_t BgL_arg1854z00_5919;

																	BgL_arg1854z00_5919 = (BgL_oclassz00_5911);
																	BgL_arg1853z00_5918 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_5919,
																		1L);
																}
																BgL_res2506z00_5910 =
																	(BgL_arg1853z00_5918 == BgL_classz00_5905);
															}
														else
															{	/* SawJvm/code.scm 389 */
																BgL_res2506z00_5910 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2847z00_8262 = BgL_res2506z00_5910;
									}
							}
						else
							{	/* SawJvm/code.scm 389 */
								BgL_test2847z00_8262 = ((bool_t) 0);
							}
					}
					if (BgL_test2847z00_8262)
						{	/* SawJvm/code.scm 389 */
							BGl_loadzd2regzd2zzsaw_jvm_codez00(BgL_mez00_5628,
								BgL_argz00_5903);
							BGl_branchz00zzsaw_jvm_outz00(((BgL_jvmz00_bglt) BgL_mez00_5628),
								((obj_t) CNST_TABLE_REF(51)), BINT(BgL_labz00_5904));
						}
					else
						{	/* SawJvm/code.scm 393 */
							BgL_rtl_funz00_bglt BgL_arg2159z00_5920;
							obj_t BgL_arg2160z00_5921;

							BgL_arg2159z00_5920 =
								(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_argz00_5903)))->BgL_funz00);
							BgL_arg2160z00_5921 =
								(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_argz00_5903)))->BgL_argsz00);
							BGl_genzd2argszd2genzd2predicatezd2zzsaw_jvm_codez00
								(BgL_arg2159z00_5920, BgL_mez00_5628, BgL_arg2160z00_5921,
								BTRUE, BINT(BgL_labz00_5904));
						}
				}
				return ((obj_t) CNST_TABLE_REF(13));
			}
		}

	}



/* &gen-args-gen-fun-rtl1714 */
	obj_t BGl_z62genzd2argszd2genzd2funzd2rtl1714z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5630, obj_t BgL_funz00_5631, obj_t BgL_mez00_5632,
		obj_t BgL_argsz00_5633)
	{
		{	/* SawJvm/code.scm 378 */
			{	/* SawJvm/code.scm 379 */
				obj_t BgL_argz00_5923;
				int BgL_labz00_5924;

				BgL_argz00_5923 = CAR(((obj_t) BgL_argsz00_5633));
				BgL_labz00_5924 =
					(((BgL_blockz00_bglt) COBJECT(
							(((BgL_rtl_ifeqz00_bglt) COBJECT(
										((BgL_rtl_ifeqz00_bglt) BgL_funz00_5631)))->BgL_thenz00)))->
					BgL_labelz00);
				{	/* SawJvm/code.scm 380 */
					bool_t BgL_test2852z00_8304;

					{	/* SawJvm/code.scm 380 */
						obj_t BgL_classz00_5925;

						BgL_classz00_5925 = BGl_rtl_regz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_argz00_5923))
							{	/* SawJvm/code.scm 380 */
								BgL_objectz00_bglt BgL_arg1858z00_5926;

								BgL_arg1858z00_5926 = (BgL_objectz00_bglt) (BgL_argz00_5923);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawJvm/code.scm 380 */
										long BgL_idxz00_5927;

										BgL_idxz00_5927 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5926);
										BgL_test2852z00_8304 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_5927 + 1L)) == BgL_classz00_5925);
									}
								else
									{	/* SawJvm/code.scm 380 */
										bool_t BgL_res2505z00_5930;

										{	/* SawJvm/code.scm 380 */
											obj_t BgL_oclassz00_5931;

											{	/* SawJvm/code.scm 380 */
												obj_t BgL_arg1866z00_5932;
												long BgL_arg1867z00_5933;

												BgL_arg1866z00_5932 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* SawJvm/code.scm 380 */
													long BgL_arg1869z00_5934;

													BgL_arg1869z00_5934 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5926);
													BgL_arg1867z00_5933 =
														(BgL_arg1869z00_5934 - OBJECT_TYPE);
												}
												BgL_oclassz00_5931 =
													VECTOR_REF(BgL_arg1866z00_5932, BgL_arg1867z00_5933);
											}
											{	/* SawJvm/code.scm 380 */
												bool_t BgL__ortest_1115z00_5935;

												BgL__ortest_1115z00_5935 =
													(BgL_classz00_5925 == BgL_oclassz00_5931);
												if (BgL__ortest_1115z00_5935)
													{	/* SawJvm/code.scm 380 */
														BgL_res2505z00_5930 = BgL__ortest_1115z00_5935;
													}
												else
													{	/* SawJvm/code.scm 380 */
														long BgL_odepthz00_5936;

														{	/* SawJvm/code.scm 380 */
															obj_t BgL_arg1855z00_5937;

															BgL_arg1855z00_5937 = (BgL_oclassz00_5931);
															BgL_odepthz00_5936 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_5937);
														}
														if ((1L < BgL_odepthz00_5936))
															{	/* SawJvm/code.scm 380 */
																obj_t BgL_arg1853z00_5938;

																{	/* SawJvm/code.scm 380 */
																	obj_t BgL_arg1854z00_5939;

																	BgL_arg1854z00_5939 = (BgL_oclassz00_5931);
																	BgL_arg1853z00_5938 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_5939,
																		1L);
																}
																BgL_res2505z00_5930 =
																	(BgL_arg1853z00_5938 == BgL_classz00_5925);
															}
														else
															{	/* SawJvm/code.scm 380 */
																BgL_res2505z00_5930 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2852z00_8304 = BgL_res2505z00_5930;
									}
							}
						else
							{	/* SawJvm/code.scm 380 */
								BgL_test2852z00_8304 = ((bool_t) 0);
							}
					}
					if (BgL_test2852z00_8304)
						{	/* SawJvm/code.scm 380 */
							BGl_loadzd2regzd2zzsaw_jvm_codez00(BgL_mez00_5632,
								BgL_argz00_5923);
							BGl_branchz00zzsaw_jvm_outz00(((BgL_jvmz00_bglt) BgL_mez00_5632),
								((obj_t) CNST_TABLE_REF(52)), BINT(BgL_labz00_5924));
						}
					else
						{	/* SawJvm/code.scm 384 */
							BgL_rtl_funz00_bglt BgL_arg2155z00_5940;
							obj_t BgL_arg2156z00_5941;

							BgL_arg2155z00_5940 =
								(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_argz00_5923)))->BgL_funz00);
							BgL_arg2156z00_5941 =
								(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_argz00_5923)))->BgL_argsz00);
							BGl_genzd2argszd2genzd2predicatezd2zzsaw_jvm_codez00
								(BgL_arg2155z00_5940, BgL_mez00_5632, BgL_arg2156z00_5941,
								BFALSE, BINT(BgL_labz00_5924));
						}
				}
				return ((obj_t) CNST_TABLE_REF(13));
			}
		}

	}



/* &gen-fun-rtl_globalre1712 */
	obj_t BGl_z62genzd2funzd2rtl_globalre1712z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5634, obj_t BgL_funz00_5635, obj_t BgL_mez00_5636)
	{
		{	/* SawJvm/code.scm 366 */
			{	/* SawJvm/code.scm 367 */
				BgL_globalz00_bglt BgL_varz00_5943;

				BgL_varz00_5943 =
					(((BgL_rtl_globalrefz00_bglt) COBJECT(
							((BgL_rtl_globalrefz00_bglt) BgL_funz00_5635)))->BgL_varz00);
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_5636), ((obj_t) CNST_TABLE_REF(101)));
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_5636), ((obj_t) CNST_TABLE_REF(64)));
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_5636), ((obj_t) CNST_TABLE_REF(102)));
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_5636), ((obj_t) CNST_TABLE_REF(64)));
				{	/* SawJvm/code.scm 372 */
					int BgL_arg2153z00_5944;

					{
						BgL_indexedz00_bglt BgL_auxz00_8359;

						{
							obj_t BgL_auxz00_8360;

							{	/* SawJvm/code.scm 372 */
								BgL_objectz00_bglt BgL_tmpz00_8361;

								BgL_tmpz00_8361 =
									((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_varz00_5943));
								BgL_auxz00_8360 = BGL_OBJECT_WIDENING(BgL_tmpz00_8361);
							}
							BgL_auxz00_8359 = ((BgL_indexedz00_bglt) BgL_auxz00_8360);
						}
						BgL_arg2153z00_5944 =
							(((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_8359))->BgL_indexz00);
					}
					BGl_pushzd2intzd2zzsaw_jvm_outz00(
						((BgL_jvmz00_bglt) BgL_mez00_5636), BINT(BgL_arg2153z00_5944));
				}
				return
					BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_5636), ((obj_t) CNST_TABLE_REF(103)));
			}
		}

	}



/* &gen-fun-rtl_storeg1710 */
	obj_t BGl_z62genzd2funzd2rtl_storeg1710z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5637, obj_t BgL_funz00_5638, obj_t BgL_mez00_5639)
	{
		{	/* SawJvm/code.scm 362 */
			{	/* SawJvm/code.scm 363 */
				obj_t BgL_arg2149z00_5946;

				{	/* SawJvm/code.scm 363 */
					obj_t BgL_arg2150z00_5947;

					{	/* SawJvm/code.scm 363 */
						obj_t BgL_arg2151z00_5948;

						{	/* SawJvm/code.scm 363 */
							BgL_globalz00_bglt BgL_arg2152z00_5949;

							BgL_arg2152z00_5949 =
								(((BgL_rtl_storegz00_bglt) COBJECT(
										((BgL_rtl_storegz00_bglt) BgL_funz00_5638)))->BgL_varz00);
							BgL_arg2151z00_5948 =
								BGl_declarezd2globalzd2zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_5639), BgL_arg2152z00_5949);
						}
						BgL_arg2150z00_5947 = MAKE_YOUNG_PAIR(BgL_arg2151z00_5948, BNIL);
					}
					BgL_arg2149z00_5946 =
						MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(104)), BgL_arg2150z00_5947);
				}
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_5639), BgL_arg2149z00_5946);
			}
			return ((obj_t) CNST_TABLE_REF(13));
		}

	}



/* &gen-fun-rtl_loadg1708 */
	obj_t BGl_z62genzd2funzd2rtl_loadg1708z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5640, obj_t BgL_funz00_5641, obj_t BgL_mez00_5642)
	{
		{	/* SawJvm/code.scm 359 */
			{	/* SawJvm/code.scm 360 */
				obj_t BgL_arg2145z00_5951;

				{	/* SawJvm/code.scm 360 */
					obj_t BgL_arg2146z00_5952;

					{	/* SawJvm/code.scm 360 */
						obj_t BgL_arg2147z00_5953;

						{	/* SawJvm/code.scm 360 */
							BgL_globalz00_bglt BgL_arg2148z00_5954;

							BgL_arg2148z00_5954 =
								(((BgL_rtl_loadgz00_bglt) COBJECT(
										((BgL_rtl_loadgz00_bglt) BgL_funz00_5641)))->BgL_varz00);
							BgL_arg2147z00_5953 =
								BGl_declarezd2globalzd2zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_5642), BgL_arg2148z00_5954);
						}
						BgL_arg2146z00_5952 = MAKE_YOUNG_PAIR(BgL_arg2147z00_5953, BNIL);
					}
					BgL_arg2145z00_5951 =
						MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(105)), BgL_arg2146z00_5952);
				}
				return
					BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_5642), BgL_arg2145z00_5951);
			}
		}

	}



/* &gen-fun-rtl_loadi1706 */
	obj_t BGl_z62genzd2funzd2rtl_loadi1706z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5643, obj_t BgL_funz00_5644, obj_t BgL_mez00_5645)
	{
		{	/* SawJvm/code.scm 322 */
			{	/* SawJvm/code.scm 323 */
				BgL_atomz00_bglt BgL_constantz00_5956;

				BgL_constantz00_5956 =
					(((BgL_rtl_loadiz00_bglt) COBJECT(
							((BgL_rtl_loadiz00_bglt) BgL_funz00_5644)))->BgL_constantz00);
				{	/* SawJvm/code.scm 324 */
					obj_t BgL_valuez00_5957;

					BgL_valuez00_5957 =
						(((BgL_atomz00_bglt) COBJECT(BgL_constantz00_5956))->BgL_valuez00);
					if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_valuez00_5957))
						{	/* SawJvm/code.scm 327 */
							obj_t BgL_arg2134z00_5958;

							BgL_arg2134z00_5958 =
								(((BgL_typez00_bglt) COBJECT(
										(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_constantz00_5956)))->
											BgL_typez00)))->BgL_namez00);
							return BGl_pushzd2numzd2zzsaw_jvm_outz00(((BgL_jvmz00_bglt)
									BgL_mez00_5645), BgL_valuez00_5957, BgL_arg2134z00_5958);
						}
					else
						{	/* SawJvm/code.scm 326 */
							if (NULLP(BgL_valuez00_5957))
								{	/* SawJvm/code.scm 328 */
									return
										BGl_codez12z12zzsaw_jvm_outz00(
										((BgL_jvmz00_bglt) BgL_mez00_5645),
										((obj_t) CNST_TABLE_REF(36)));
								}
							else
								{	/* SawJvm/code.scm 328 */
									if (BOOLEANP(BgL_valuez00_5957))
										{	/* SawJvm/code.scm 331 */
											obj_t BgL_arg2138z00_5959;

											if (CBOOL(BgL_valuez00_5957))
												{	/* SawJvm/code.scm 331 */
													BgL_arg2138z00_5959 = BINT(1L);
												}
											else
												{	/* SawJvm/code.scm 331 */
													BgL_arg2138z00_5959 = BINT(0L);
												}
											return
												BGl_pushzd2intzd2zzsaw_jvm_outz00(
												((BgL_jvmz00_bglt) BgL_mez00_5645),
												BgL_arg2138z00_5959);
										}
									else
										{	/* SawJvm/code.scm 330 */
											if (CHARP(BgL_valuez00_5957))
												{	/* SawJvm/code.scm 333 */
													long BgL_arg2140z00_5960;

													BgL_arg2140z00_5960 = (CCHAR(BgL_valuez00_5957));
													return
														BGl_pushzd2intzd2zzsaw_jvm_outz00(
														((BgL_jvmz00_bglt) BgL_mez00_5645),
														BINT(BgL_arg2140z00_5960));
												}
											else
												{	/* SawJvm/code.scm 332 */
													if (STRINGP(BgL_valuez00_5957))
														{	/* SawJvm/code.scm 334 */
															BGl_pushzd2stringzd2zzsaw_jvm_outz00(
																((BgL_jvmz00_bglt) BgL_mez00_5645),
																BgL_valuez00_5957);
															return
																BGl_codez12z12zzsaw_jvm_outz00((
																	(BgL_jvmz00_bglt) BgL_mez00_5645),
																((obj_t) CNST_TABLE_REF(106)));
														}
													else
														{	/* SawJvm/code.scm 334 */
															if (EOF_OBJECTP(BgL_valuez00_5957))
																{	/* SawJvm/code.scm 338 */
																	return
																		BGl_codez12z12zzsaw_jvm_outz00(
																		((BgL_jvmz00_bglt) BgL_mez00_5645),
																		((obj_t) CNST_TABLE_REF(107)));
																}
															else
																{	/* SawJvm/code.scm 338 */
																	if ((BgL_valuez00_5957 == (BOPTIONAL)))
																		{	/* SawJvm/code.scm 340 */
																			return
																				BGl_codez12z12zzsaw_jvm_outz00(
																				((BgL_jvmz00_bglt) BgL_mez00_5645),
																				((obj_t) CNST_TABLE_REF(108)));
																		}
																	else
																		{	/* SawJvm/code.scm 340 */
																			if ((BgL_valuez00_5957 == (BREST)))
																				{	/* SawJvm/code.scm 342 */
																					return
																						BGl_codez12z12zzsaw_jvm_outz00(
																						((BgL_jvmz00_bglt) BgL_mez00_5645),
																						((obj_t) CNST_TABLE_REF(109)));
																				}
																			else
																				{	/* SawJvm/code.scm 342 */
																					if ((BgL_valuez00_5957 == (BKEY)))
																						{	/* SawJvm/code.scm 344 */
																							return
																								BGl_codez12z12zzsaw_jvm_outz00(
																								((BgL_jvmz00_bglt)
																									BgL_mez00_5645),
																								((obj_t) CNST_TABLE_REF(110)));
																						}
																					else
																						{	/* SawJvm/code.scm 344 */
																							if (
																								(BgL_valuez00_5957 == BUNSPEC))
																								{	/* SawJvm/code.scm 346 */
																									return
																										BGl_codez12z12zzsaw_jvm_outz00
																										(((BgL_jvmz00_bglt)
																											BgL_mez00_5645),
																										((obj_t)
																											CNST_TABLE_REF(14)));
																								}
																							else
																								{	/* SawJvm/code.scm 346 */
																									if (UCS2P(BgL_valuez00_5957))
																										{	/* SawJvm/code.scm 348 */
																											BGl_codez12z12zzsaw_jvm_outz00
																												(((BgL_jvmz00_bglt)
																													BgL_mez00_5645),
																												((obj_t)
																													CNST_TABLE_REF(111)));
																											BGl_codez12z12zzsaw_jvm_outz00
																												(((BgL_jvmz00_bglt)
																													BgL_mez00_5645),
																												((obj_t)
																													CNST_TABLE_REF(64)));
																											{	/* SawJvm/code.scm 352 */
																												int BgL_arg2144z00_5961;

																												{	/* SawJvm/code.scm 352 */
																													ucs2_t
																														BgL_ucs2z00_5962;
																													BgL_ucs2z00_5962 =
																														CUCS2
																														(BgL_valuez00_5957);
																													{	/* SawJvm/code.scm 352 */
																														obj_t
																															BgL_tmpz00_8476;
																														BgL_tmpz00_8476 =
																															BUCS2
																															(BgL_ucs2z00_5962);
																														BgL_arg2144z00_5961
																															=
																															CUCS2
																															(BgL_tmpz00_8476);
																												}}
																												BGl_pushzd2intzd2zzsaw_jvm_outz00
																													(((BgL_jvmz00_bglt)
																														BgL_mez00_5645),
																													BINT
																													(BgL_arg2144z00_5961));
																											}
																											return
																												BGl_codez12z12zzsaw_jvm_outz00
																												(((BgL_jvmz00_bglt)
																													BgL_mez00_5645),
																												((obj_t)
																													CNST_TABLE_REF(112)));
																										}
																									else
																										{	/* SawJvm/code.scm 348 */
																											return
																												BGl_errorz00zz__errorz00
																												(BGl_string2582z00zzsaw_jvm_codez00,
																												BGl_string2583z00zzsaw_jvm_codez00,
																												BgL_valuez00_5957);
																										}
																								}
																						}
																				}
																		}
																}
														}
												}
										}
								}
						}
				}
			}
		}

	}



/* &gen-fun-rtl_mov1704 */
	obj_t BGl_z62genzd2funzd2rtl_mov1704z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5646, obj_t BgL_funz00_5647, obj_t BgL_mez00_5648)
	{
		{	/* SawJvm/code.scm 316 */
			return ((obj_t) CNST_TABLE_REF(55));
		}

	}



/* &gen-fun-rtl_nop1702 */
	obj_t BGl_z62genzd2funzd2rtl_nop1702z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5649, obj_t BgL_funz00_5650, obj_t BgL_mez00_5651)
	{
		{	/* SawJvm/code.scm 313 */
			return ((obj_t) CNST_TABLE_REF(13));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_codez00(void)
	{
		{	/* SawJvm/code.scm 1 */
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2584z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2584z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2584z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string2584z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(398780265L,
				BSTRING_TO_STRING(BGl_string2584z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string2584z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string2584z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(502007119L,
				BSTRING_TO_STRING(BGl_string2584z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(151271251L,
				BSTRING_TO_STRING(BGl_string2584z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(261574382L,
				BSTRING_TO_STRING(BGl_string2584z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string2584z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzbackend_bvmz00(336068337L,
				BSTRING_TO_STRING(BGl_string2584z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(0L,
				BSTRING_TO_STRING(BGl_string2584z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzbackend_libz00(321177283L,
				BSTRING_TO_STRING(BGl_string2584z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzbackend_cplibz00(395792377L,
				BSTRING_TO_STRING(BGl_string2584z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(404844772L,
				BSTRING_TO_STRING(BGl_string2584z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_namesz00(179871433L,
				BSTRING_TO_STRING(BGl_string2584z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_typez00(437600037L,
				BSTRING_TO_STRING(BGl_string2584z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_outz00(441641707L,
				BSTRING_TO_STRING(BGl_string2584z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_funcallz00(282450876L,
				BSTRING_TO_STRING(BGl_string2584z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_inlinez00(252555369L,
				BSTRING_TO_STRING(BGl_string2584z00zzsaw_jvm_codez00));
			return
				BGl_modulezd2initializa7ationz75zzjas_asz00(476839586L,
				BSTRING_TO_STRING(BGl_string2584z00zzsaw_jvm_codez00));
		}

	}

#ifdef __cplusplus
}
#endif
