/*===========================================================================*/
/*   (SawJvm/inline.scm)                                                     */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent SawJvm/inline.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_SAW_JVM_INLINE_TYPE_DEFINITIONS
#define BGL_SAW_JVM_INLINE_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_jvmz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
		obj_t BgL_qnamez00;
		obj_t BgL_classesz00;
		obj_t BgL_currentzd2classzd2;
		obj_t BgL_declarationsz00;
		obj_t BgL_fieldsz00;
		obj_t BgL_methodsz00;
		obj_t BgL_currentzd2methodzd2;
		obj_t BgL_codez00;
		obj_t BgL_lightzd2funcallszd2;
		obj_t BgL_inlinez00;
	}             *BgL_jvmz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_loadiz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_atomz00_bgl *BgL_constantz00;
	}                   *BgL_rtl_loadiz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;


#endif													// BGL_SAW_JVM_INLINE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_rtl_insz00zzsaw_defsz00;
	BGL_IMPORT obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31951ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31692ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31773ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31846ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31927ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31757ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	extern obj_t BGl_genzd2exprzd2zzsaw_jvm_codez00(BgL_jvmz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32011ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32003ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_jvm_inlinez00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31944ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31936ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62inlinezd2predicatezf3z43zzsaw_jvm_inlinez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32020ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31961ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31791ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31783ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31848ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31929ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62zc3z04anonymousza32013ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32005ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31970ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31954ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzsaw_jvm_inlinez00(void);
	static obj_t BGl_z62zc3z04anonymousza31874ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31866ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31947ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31696ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31858ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31769ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32015ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32007ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31891ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31972ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31964ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31956ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31786ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzsaw_jvm_inlinez00(void);
	static obj_t BGl_z62zc3z04anonymousza31981ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzsaw_jvm_inlinez00(void);
	static obj_t BGl_z62zc3z04anonymousza31949ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_computezd2booleanzd2zzsaw_jvm_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32009ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62zc3z04anonymousza31893ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31974ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31885ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31966ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31958ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_za2jvmzd2inlinesza2zd2zzsaw_jvm_inlinez00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31991ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31983ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31797ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	extern obj_t BGl_rtl_movz00zzsaw_defsz00;
	static obj_t BGl_z62zc3z04anonymousza31895ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31976ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31968ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31879ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31985ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31888ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzsaw_jvm_inlinez00(void);
	static obj_t BGl_z62zc3z04anonymousza31897ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31995ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31987ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31979ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62inlinezd2callzf3z43zzsaw_jvm_inlinez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_branchz00zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t, obj_t);
	static obj_t BGl_skipzd2movzd2zzsaw_jvm_inlinez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31899ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_checkzd2jvmzd2inlinesz00zzsaw_jvm_inlinez00(void);
	static obj_t BGl_z62zc3z04anonymousza31989ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_inlinezd2callzd2withzd2argszf3z21zzsaw_jvm_inlinez00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31999ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31613ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_declarezd2globalzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	extern obj_t BGl_za2optimzd2jvmzd2fasteqza2z00zzengine_paramz00;
	static obj_t BGl_z62zc3z04anonymousza31800ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_jvm_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_codez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_outz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_bvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_allocz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62zc3z04anonymousza31704ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31802ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	extern obj_t BGl_rtl_loadiz00zzsaw_defsz00;
	extern obj_t BGl_codez12z12zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31730ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31811ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31633ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31544ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzsaw_jvm_inlinez00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_inlinez00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_inlinezd2predicatezf3z21zzsaw_jvm_inlinez00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_inlinez00(void);
	static obj_t BGl_z62zc3z04anonymousza31901ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_jvm_inlinez00(void);
	static obj_t BGl_z62zc3z04anonymousza31804ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31651ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31643ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31716ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31830ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31911ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31822ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31903ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31920ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31661ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31815ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	extern obj_t BGl_getzd2cnstzd2tablez00zzcnst_allocz00(void);
	static obj_t
		BGl_z62inlinezd2callzd2withzd2argszf3z43zzsaw_jvm_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31913ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31905ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31654ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_z62checkzd2jvmzd2inlinesz62zzsaw_jvm_inlinez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31922ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31826ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31907ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31575ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31656ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31940ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31843ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31924ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31835ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31916ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31819ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31649ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_za2toozd2hardza2zd2zzsaw_jvm_inlinez00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31852ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31933ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31593ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31747ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31909ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32001ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_inlinezd2callzf3z21zzsaw_jvm_inlinez00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31764ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31918ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t __cnst[186];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2200z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2276za7,
		BGl_z62zc3z04anonymousza31815ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2201z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2277za7,
		BGl_z62zc3z04anonymousza31819ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2202z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2278za7,
		BGl_z62zc3z04anonymousza31822ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2203z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2279za7,
		BGl_z62zc3z04anonymousza31826ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2204z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2280za7,
		BGl_z62zc3z04anonymousza31830ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2205z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2281za7,
		BGl_z62zc3z04anonymousza31835ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2206z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2282za7,
		BGl_z62zc3z04anonymousza31843ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2207z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2283za7,
		BGl_z62zc3z04anonymousza31846ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2208z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2284za7,
		BGl_z62zc3z04anonymousza31848ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2209z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2285za7,
		BGl_z62zc3z04anonymousza31852ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2210z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2286za7,
		BGl_z62zc3z04anonymousza31858ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2211z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2287za7,
		BGl_z62zc3z04anonymousza31866ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2212z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2288za7,
		BGl_z62zc3z04anonymousza31874ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2213z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2289za7,
		BGl_z62zc3z04anonymousza31879ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2214z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2290za7,
		BGl_z62zc3z04anonymousza31885ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2215z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2291za7,
		BGl_z62zc3z04anonymousza31888ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2216z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2292za7,
		BGl_z62zc3z04anonymousza31891ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2217z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2293za7,
		BGl_z62zc3z04anonymousza31893ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2218z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2294za7,
		BGl_z62zc3z04anonymousza31895ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2219z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2295za7,
		BGl_z62zc3z04anonymousza31897ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2220z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2296za7,
		BGl_z62zc3z04anonymousza31899ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2221z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2297za7,
		BGl_z62zc3z04anonymousza31901ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2222z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2298za7,
		BGl_z62zc3z04anonymousza31903ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2223z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2299za7,
		BGl_z62zc3z04anonymousza31905ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2224z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2300za7,
		BGl_z62zc3z04anonymousza31907ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2225z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2301za7,
		BGl_z62zc3z04anonymousza31909ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2226z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2302za7,
		BGl_z62zc3z04anonymousza31911ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2227z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2303za7,
		BGl_z62zc3z04anonymousza31913ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2228z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2304za7,
		BGl_z62zc3z04anonymousza31916ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2229z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2305za7,
		BGl_z62zc3z04anonymousza31918ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2230z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2306za7,
		BGl_z62zc3z04anonymousza31920ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2231z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2307za7,
		BGl_z62zc3z04anonymousza31922ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2232z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2308za7,
		BGl_z62zc3z04anonymousza31924ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2233z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2309za7,
		BGl_z62zc3z04anonymousza31927ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2234z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2310za7,
		BGl_z62zc3z04anonymousza31929ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2235z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2311za7,
		BGl_z62zc3z04anonymousza31933ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2236z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2312za7,
		BGl_z62zc3z04anonymousza31936ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2237z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2313za7,
		BGl_z62zc3z04anonymousza31940ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2238z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2314za7,
		BGl_z62zc3z04anonymousza31944ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2239z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2315za7,
		BGl_z62zc3z04anonymousza31947ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_inlinezd2predicatezf3zd2envzf3zzsaw_jvm_inlinez00,
		BgL_bgl_za762inlineza7d2pred2316z00,
		BGl_z62inlinezd2predicatezf3z43zzsaw_jvm_inlinez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2240z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2317za7,
		BGl_z62zc3z04anonymousza31949ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2241z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2318za7,
		BGl_z62zc3z04anonymousza31951ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2242z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2319za7,
		BGl_z62zc3z04anonymousza31954ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2243z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2320za7,
		BGl_z62zc3z04anonymousza31956ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2244z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2321za7,
		BGl_z62zc3z04anonymousza31958ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2245z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2322za7,
		BGl_z62zc3z04anonymousza31961ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2246z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2323za7,
		BGl_z62zc3z04anonymousza31964ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2247z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2324za7,
		BGl_z62zc3z04anonymousza31966ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2248z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2325za7,
		BGl_z62zc3z04anonymousza31968ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2249z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2326za7,
		BGl_z62zc3z04anonymousza31970ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2250z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2327za7,
		BGl_z62zc3z04anonymousza31972ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2251z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2328za7,
		BGl_z62zc3z04anonymousza31974ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2252z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2329za7,
		BGl_z62zc3z04anonymousza31976ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2171z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2330za7,
		BGl_z62zc3z04anonymousza31544ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2253z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2331za7,
		BGl_z62zc3z04anonymousza31979ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2172z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2332za7,
		BGl_z62zc3z04anonymousza31575ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2254z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2333za7,
		BGl_z62zc3z04anonymousza31981ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2173z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2334za7,
		BGl_z62zc3z04anonymousza31593ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2255z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2335za7,
		BGl_z62zc3z04anonymousza31983ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2174z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2336za7,
		BGl_z62zc3z04anonymousza31613ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2256z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2337za7,
		BGl_z62zc3z04anonymousza31985ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2175z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2338za7,
		BGl_z62zc3z04anonymousza31633ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2257z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2339za7,
		BGl_z62zc3z04anonymousza31987ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2176z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2340za7,
		BGl_z62zc3z04anonymousza31643ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2258z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2341za7,
		BGl_z62zc3z04anonymousza31989ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2177z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2342za7,
		BGl_z62zc3z04anonymousza31649ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2259z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2343za7,
		BGl_z62zc3z04anonymousza31991ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2178z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2344za7,
		BGl_z62zc3z04anonymousza31651ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2179z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2345za7,
		BGl_z62zc3z04anonymousza31654ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2260z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2346za7,
		BGl_z62zc3z04anonymousza31995ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2261z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2347za7,
		BGl_z62zc3z04anonymousza31999ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2180z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2348za7,
		BGl_z62zc3z04anonymousza31656ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2262z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2349za7,
		BGl_z62zc3z04anonymousza32001ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2181z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2350za7,
		BGl_z62zc3z04anonymousza31661ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2263z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2351za7,
		BGl_z62zc3z04anonymousza32003ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2182z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2352za7,
		BGl_z62zc3z04anonymousza31692ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2264z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2353za7,
		BGl_z62zc3z04anonymousza32005ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2183z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2354za7,
		BGl_z62zc3z04anonymousza31696ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2271z00zzsaw_jvm_inlinez00,
		BgL_bgl_string2271za700za7za7s2355za7, "I", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2265z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2356za7,
		BGl_z62zc3z04anonymousza32007ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2184z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2357za7,
		BGl_z62zc3z04anonymousza31704ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2272z00zzsaw_jvm_inlinez00,
		BgL_bgl_string2272za700za7za7s2358za7, "Cannot find inlined functions", 29);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2266z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2359za7,
		BGl_z62zc3z04anonymousza32009ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2185z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2360za7,
		BGl_z62zc3z04anonymousza31716ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2273z00zzsaw_jvm_inlinez00,
		BgL_bgl_string2273za700za7za7s2361za7, "saw_jvm_inline", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2267z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2362za7,
		BGl_z62zc3z04anonymousza32011ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2186z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2363za7,
		BGl_z62zc3z04anonymousza31730ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2274z00zzsaw_jvm_inlinez00,
		BgL_bgl_string2274za700za7za7s2364za7,
		"(iconst_0) SawJvm (putfield procarity) (putfield procenv) (putfield procindex) (invokespecial init) (dup) (new me) (anewarray obj) (instanceof bbool) goto (getstatic faux) (getstatic vrai) not-inlined (instanceof bchar) getstatic bchar_allocated (getfield bchar_value) getfield bchar_value (instanceof bint) (instanceof belong) (i2s) (i2b) (getfield bint_value) if_icmpne if_icmpeq if_icmple if_icmpgt if_icmplt if_icmpge (iadd) (isub) (imul) (idiv) (irem) (ior) (ixor) (ineg) (iconst_1) (instanceof real) (getfield real_value) (i2d) (d2i) (l2d) (d2l) ifne ifeq (dcmpl) ifle ifgt iflt ifge (dcmpg) (dadd) (dsub) (dmul) (ddiv) (dneg) if_acmpne if_acmpeq (getstatic *nil*) (instanceof (vector byte)) ok (iand) (sipush 255) (baload) (bastore) (arraylength) (newarray byte) (instanceof symbol) (getfield symbol_string) (putfield ccar) (getfield ccar) (instanceof pair) (getfield car) (getfield cdr) (putfield car) (putfield cdr) (instanceof extended_pair) (getfield cer) (putfield cer) (instanceof (vector obj)) (instanceof proc"
		"edure) no-value (aastore) (aaload) (getfield procenv) procedure-ref procedure-set! c-procedure? $vector? $set-cer! $cer $epair? $set-cdr! $set-car! $cdr $car $pair? cell-ref cell-set! $unsafe-cell-ref $unsafe-cell-set! c-symbol->string c-symbol? $make-string/wo-fill $string-length $string-set! $string-ref $bstring->string $string->bstring $string? $null? $negfl $/fl $*fl $-fl $+fl $>=fl $>fl $<=fl $<fl $=fl $flonum->llong $llong->flonum $flonum->elong $elong->flonum $flonum->fixnum $fixnum->flonum $real->double $flonum? $bitnot $bitxor $bitand $bitor $remainderfx $quotientfx $/fx $*fx $-fx $+fx $oddfx? $evenfx? $>=fx $>fx $<=fx $<fx $=fx $bint->int $long->int $int->long $bint->long $short->int $int->byte $int->short char->integer $elong? $fixnum? c-char>=? c-char>? c-char<=? c-char<? c-char=? $uchar->char $bchar->uchar $bchar->char $uchar->bchar c-char? c-eq? c-boxed-eq? $bool->bbool saw_jvm_inline_predicate $obj->bool $boolean? procedure-el-set! procedure-el-ref saw_jvm_inline_function make-el-procedure make"
		"-l-procedure make-va-procedure make-fx-procedure cnst-table-set! saw_jvm_inline_function_args cnst-table-ref (%exit long->bint $cons c-write-char) ",
		2195);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2268z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2365za7,
		BGl_z62zc3z04anonymousza32013ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2187z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2366za7,
		BGl_z62zc3z04anonymousza31747ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2269z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2367za7,
		BGl_z62zc3z04anonymousza32015ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2188z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2368za7,
		BGl_z62zc3z04anonymousza31757ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2189z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2369za7,
		BGl_z62zc3z04anonymousza31764ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2270z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2370za7,
		BGl_z62zc3z04anonymousza32020ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2190z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2371za7,
		BGl_z62zc3z04anonymousza31769ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2191z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2372za7,
		BGl_z62zc3z04anonymousza31773ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2192z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2373za7,
		BGl_z62zc3z04anonymousza31783ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2193z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2374za7,
		BGl_z62zc3z04anonymousza31786ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2194z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2375za7,
		BGl_z62zc3z04anonymousza31791ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2195z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2376za7,
		BGl_z62zc3z04anonymousza31797ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2196z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2377za7,
		BGl_z62zc3z04anonymousza31800ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2197z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2378za7,
		BGl_z62zc3z04anonymousza31802ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2198z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2379za7,
		BGl_z62zc3z04anonymousza31804ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2199z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2380za7,
		BGl_z62zc3z04anonymousza31811ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_checkzd2jvmzd2inlineszd2envzd2zzsaw_jvm_inlinez00,
		BgL_bgl_za762checkza7d2jvmza7d2381za7,
		BGl_z62checkzd2jvmzd2inlinesz62zzsaw_jvm_inlinez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_inlinezd2callzd2withzd2argszf3zd2envzf3zzsaw_jvm_inlinez00,
		BgL_bgl_za762inlineza7d2call2382z00,
		BGl_z62inlinezd2callzd2withzd2argszf3z43zzsaw_jvm_inlinez00, 0L, BUNSPEC,
		3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_inlinezd2callzf3zd2envzf3zzsaw_jvm_inlinez00,
		BgL_bgl_za762inlineza7d2call2383z00,
		BGl_z62inlinezd2callzf3z43zzsaw_jvm_inlinez00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzsaw_jvm_inlinez00));
		     ADD_ROOT((void *) (&BGl_za2jvmzd2inlinesza2zd2zzsaw_jvm_inlinez00));
		     ADD_ROOT((void *) (&BGl_za2toozd2hardza2zd2zzsaw_jvm_inlinez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzsaw_jvm_inlinez00(long
		BgL_checksumz00_4203, char *BgL_fromz00_4204)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_jvm_inlinez00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_jvm_inlinez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_jvm_inlinez00();
					BGl_libraryzd2moduleszd2initz00zzsaw_jvm_inlinez00();
					BGl_cnstzd2initzd2zzsaw_jvm_inlinez00();
					BGl_importedzd2moduleszd2initz00zzsaw_jvm_inlinez00();
					return BGl_toplevelzd2initzd2zzsaw_jvm_inlinez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_inlinez00(void)
	{
		{	/* SawJvm/inline.scm 1 */
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L,
				"saw_jvm_inline");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "saw_jvm_inline");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "saw_jvm_inline");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"saw_jvm_inline");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "saw_jvm_inline");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"saw_jvm_inline");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"saw_jvm_inline");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"saw_jvm_inline");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"saw_jvm_inline");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"saw_jvm_inline");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_jvm_inlinez00(void)
	{
		{	/* SawJvm/inline.scm 1 */
			{	/* SawJvm/inline.scm 1 */
				obj_t BgL_cportz00_4106;

				{	/* SawJvm/inline.scm 1 */
					obj_t BgL_stringz00_4113;

					BgL_stringz00_4113 = BGl_string2274z00zzsaw_jvm_inlinez00;
					{	/* SawJvm/inline.scm 1 */
						obj_t BgL_startz00_4114;

						BgL_startz00_4114 = BINT(0L);
						{	/* SawJvm/inline.scm 1 */
							obj_t BgL_endz00_4115;

							BgL_endz00_4115 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4113)));
							{	/* SawJvm/inline.scm 1 */

								BgL_cportz00_4106 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4113, BgL_startz00_4114, BgL_endz00_4115);
				}}}}
				{
					long BgL_iz00_4107;

					BgL_iz00_4107 = 185L;
				BgL_loopz00_4108:
					if ((BgL_iz00_4107 == (-1L)))
						{	/* SawJvm/inline.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawJvm/inline.scm 1 */
							{	/* SawJvm/inline.scm 1 */
								obj_t BgL_arg2275z00_4109;

								{	/* SawJvm/inline.scm 1 */

									{	/* SawJvm/inline.scm 1 */
										obj_t BgL_locationz00_4111;

										BgL_locationz00_4111 = BBOOL(((bool_t) 0));
										{	/* SawJvm/inline.scm 1 */

											BgL_arg2275z00_4109 =
												BGl_readz00zz__readerz00(BgL_cportz00_4106,
												BgL_locationz00_4111);
										}
									}
								}
								{	/* SawJvm/inline.scm 1 */
									int BgL_tmpz00_4232;

									BgL_tmpz00_4232 = (int) (BgL_iz00_4107);
									CNST_TABLE_SET(BgL_tmpz00_4232, BgL_arg2275z00_4109);
							}}
							{	/* SawJvm/inline.scm 1 */
								int BgL_auxz00_4112;

								BgL_auxz00_4112 = (int) ((BgL_iz00_4107 - 1L));
								{
									long BgL_iz00_4237;

									BgL_iz00_4237 = (long) (BgL_auxz00_4112);
									BgL_iz00_4107 = BgL_iz00_4237;
									goto BgL_loopz00_4108;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_jvm_inlinez00(void)
	{
		{	/* SawJvm/inline.scm 1 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_jvm_inlinez00(void)
	{
		{	/* SawJvm/inline.scm 1 */
			BGl_za2jvmzd2inlinesza2zd2zzsaw_jvm_inlinez00 = BNIL;
			BGl_za2toozd2hardza2zd2zzsaw_jvm_inlinez00 = ((obj_t) CNST_TABLE_REF(0));
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(1)),
				((obj_t) CNST_TABLE_REF(2)), BGl_proc2171z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(3)),
				((obj_t) CNST_TABLE_REF(2)), BGl_proc2172z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(4)),
				((obj_t) CNST_TABLE_REF(2)), BGl_proc2173z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(5)),
				((obj_t) CNST_TABLE_REF(2)), BGl_proc2174z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(6)),
				((obj_t) CNST_TABLE_REF(2)), BGl_proc2175z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(7)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2176z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(9)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2177z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(10)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2178z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(11)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2179z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(12)),
				((obj_t) CNST_TABLE_REF(13)), BGl_proc2180z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(14)),
				((obj_t) CNST_TABLE_REF(2)), BGl_proc2181z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(15)),
				((obj_t) CNST_TABLE_REF(13)), BGl_proc2182z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(16)),
				((obj_t) CNST_TABLE_REF(13)), BGl_proc2183z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(17)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2184z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(18)),
				((obj_t) CNST_TABLE_REF(2)), BGl_proc2185z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(19)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2186z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(20)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2187z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(21)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2188z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(22)),
				((obj_t) CNST_TABLE_REF(13)), BGl_proc2189z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(23)),
				((obj_t) CNST_TABLE_REF(13)), BGl_proc2190z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(24)),
				((obj_t) CNST_TABLE_REF(13)), BGl_proc2191z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(25)),
				((obj_t) CNST_TABLE_REF(13)), BGl_proc2192z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(26)),
				((obj_t) CNST_TABLE_REF(13)), BGl_proc2193z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(27)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2194z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(28)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2195z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(29)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2196z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(30)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2197z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(31)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2198z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(32)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2199z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(33)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2200z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(34)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2201z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(35)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2202z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(36)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2203z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(37)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2204z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(38)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2205z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(39)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2206z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(40)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2207z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(41)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2208z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(37)),
				((obj_t) CNST_TABLE_REF(13)), BGl_proc2209z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(38)),
				((obj_t) CNST_TABLE_REF(13)), BGl_proc2210z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(39)),
				((obj_t) CNST_TABLE_REF(13)), BGl_proc2211z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(40)),
				((obj_t) CNST_TABLE_REF(13)), BGl_proc2212z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(41)),
				((obj_t) CNST_TABLE_REF(13)), BGl_proc2213z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(42)),
				((obj_t) CNST_TABLE_REF(13)), BGl_proc2214z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(43)),
				((obj_t) CNST_TABLE_REF(13)), BGl_proc2215z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(44)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2216z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(45)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2217z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(46)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2218z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(47)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2219z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(48)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2220z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(49)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2221z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(50)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2222z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(51)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2223z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(52)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2224z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(53)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2225z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(54)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2226z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(55)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2227z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(56)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2228z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(57)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2229z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(58)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2230z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(59)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2231z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(60)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2232z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(61)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2233z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(62)),
				((obj_t) CNST_TABLE_REF(13)), BGl_proc2234z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(63)),
				((obj_t) CNST_TABLE_REF(13)), BGl_proc2235z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(64)),
				((obj_t) CNST_TABLE_REF(13)), BGl_proc2236z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(65)),
				((obj_t) CNST_TABLE_REF(13)), BGl_proc2237z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(66)),
				((obj_t) CNST_TABLE_REF(13)), BGl_proc2238z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(67)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2239z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(68)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2240z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(69)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2241z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(70)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2242z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(71)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2243z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(72)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2244z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(72)),
				((obj_t) CNST_TABLE_REF(13)), BGl_proc2245z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(73)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2246z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(74)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2247z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(75)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2248z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(76)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2249z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(77)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2250z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(78)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2251z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(79)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2252z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(80)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2253z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(81)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2254z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(82)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2255z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(83)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2256z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(84)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2257z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(85)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2258z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(86)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2259z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(87)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2260z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(88)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2261z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(89)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2262z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(90)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2263z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(91)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2264z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(92)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2265z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(93)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2266z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(94)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2267z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(95)),
				((obj_t) CNST_TABLE_REF(8)), BGl_proc2268z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(96)),
				((obj_t) CNST_TABLE_REF(2)), BGl_proc2269z00zzsaw_jvm_inlinez00);
			return
				BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(97)),
				((obj_t) CNST_TABLE_REF(2)), BGl_proc2270z00zzsaw_jvm_inlinez00);
		}

	}



/* &<@anonymous:2020> */
	obj_t BGl_z62zc3z04anonymousza32020ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3842, obj_t BgL_mez00_3843, obj_t BgL_argsz00_3844)
	{
		{	/* SawJvm/inline.scm 555 */
			{	/* SawJvm/inline.scm 556 */
				obj_t BgL_arg2021z00_4117;

				BgL_arg2021z00_4117 = CAR(((obj_t) BgL_argsz00_3844));
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_3843), BgL_arg2021z00_4117);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3843), ((obj_t) CNST_TABLE_REF(98)));
			{	/* SawJvm/inline.scm 558 */
				obj_t BgL_arg2022z00_4118;

				{	/* SawJvm/inline.scm 558 */
					obj_t BgL_pairz00_4119;

					BgL_pairz00_4119 = CDR(((obj_t) BgL_argsz00_3844));
					BgL_arg2022z00_4118 = CAR(BgL_pairz00_4119);
				}
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_3843), BgL_arg2022z00_4118);
			}
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3843), ((obj_t) CNST_TABLE_REF(99)));
		}

	}



/* &<@anonymous:2015> */
	obj_t BGl_z62zc3z04anonymousza32015ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3845, obj_t BgL_mez00_3846, obj_t BgL_argsz00_3847)
	{
		{	/* SawJvm/inline.scm 547 */
			{	/* SawJvm/inline.scm 548 */
				obj_t BgL_arg2016z00_4120;

				BgL_arg2016z00_4120 = CAR(((obj_t) BgL_argsz00_3847));
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_3846), BgL_arg2016z00_4120);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3846), ((obj_t) CNST_TABLE_REF(98)));
			{	/* SawJvm/inline.scm 550 */
				obj_t BgL_arg2017z00_4121;

				{	/* SawJvm/inline.scm 550 */
					obj_t BgL_pairz00_4122;

					BgL_pairz00_4122 = CDR(((obj_t) BgL_argsz00_3847));
					BgL_arg2017z00_4121 = CAR(BgL_pairz00_4122);
				}
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_3846), BgL_arg2017z00_4121);
			}
			{	/* SawJvm/inline.scm 551 */
				obj_t BgL_arg2018z00_4123;

				{	/* SawJvm/inline.scm 551 */
					obj_t BgL_pairz00_4124;

					{	/* SawJvm/inline.scm 551 */
						obj_t BgL_pairz00_4125;

						BgL_pairz00_4125 = CDR(((obj_t) BgL_argsz00_3847));
						BgL_pairz00_4124 = CDR(BgL_pairz00_4125);
					}
					BgL_arg2018z00_4123 = CAR(BgL_pairz00_4124);
				}
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_3846), BgL_arg2018z00_4123);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3846), ((obj_t) CNST_TABLE_REF(100)));
			return ((obj_t) CNST_TABLE_REF(101));
		}

	}



/* &<@anonymous:2013> */
	obj_t BGl_z62zc3z04anonymousza32013ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3848, obj_t BgL_mez00_3849)
	{
		{	/* SawJvm/inline.scm 544 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3849), ((obj_t) CNST_TABLE_REF(102)));
		}

	}



/* &<@anonymous:2011> */
	obj_t BGl_z62zc3z04anonymousza32011ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3850, obj_t BgL_mez00_3851)
	{
		{	/* SawJvm/inline.scm 526 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3851), ((obj_t) CNST_TABLE_REF(103)));
		}

	}



/* &<@anonymous:2009> */
	obj_t BGl_z62zc3z04anonymousza32009ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3852, obj_t BgL_mez00_3853)
	{
		{	/* SawJvm/inline.scm 519 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3853), ((obj_t) CNST_TABLE_REF(104)));
			return ((obj_t) CNST_TABLE_REF(101));
		}

	}



/* &<@anonymous:2007> */
	obj_t BGl_z62zc3z04anonymousza32007ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3854, obj_t BgL_mez00_3855)
	{
		{	/* SawJvm/inline.scm 516 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3855), ((obj_t) CNST_TABLE_REF(105)));
		}

	}



/* &<@anonymous:2005> */
	obj_t BGl_z62zc3z04anonymousza32005ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3856, obj_t BgL_mez00_3857)
	{
		{	/* SawJvm/inline.scm 513 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3857), ((obj_t) CNST_TABLE_REF(106)));
		}

	}



/* &<@anonymous:2003> */
	obj_t BGl_z62zc3z04anonymousza32003ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3858, obj_t BgL_mez00_3859)
	{
		{	/* SawJvm/inline.scm 506 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3859), ((obj_t) CNST_TABLE_REF(107)));
			return ((obj_t) CNST_TABLE_REF(101));
		}

	}



/* &<@anonymous:2001> */
	obj_t BGl_z62zc3z04anonymousza32001ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3860, obj_t BgL_mez00_3861)
	{
		{	/* SawJvm/inline.scm 502 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3861), ((obj_t) CNST_TABLE_REF(108)));
			return ((obj_t) CNST_TABLE_REF(101));
		}

	}



/* &<@anonymous:1999> */
	obj_t BGl_z62zc3z04anonymousza31999ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3862, obj_t BgL_mez00_3863)
	{
		{	/* SawJvm/inline.scm 499 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3863), ((obj_t) CNST_TABLE_REF(109)));
		}

	}



/* &<@anonymous:1995> */
	obj_t BGl_z62zc3z04anonymousza31995ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3864, obj_t BgL_mez00_3865)
	{
		{	/* SawJvm/inline.scm 496 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3865), ((obj_t) CNST_TABLE_REF(110)));
		}

	}



/* &<@anonymous:1991> */
	obj_t BGl_z62zc3z04anonymousza31991ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3866, obj_t BgL_mez00_3867)
	{
		{	/* SawJvm/inline.scm 493 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3867), ((obj_t) CNST_TABLE_REF(111)));
		}

	}



/* &<@anonymous:1989> */
	obj_t BGl_z62zc3z04anonymousza31989ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3868, obj_t BgL_mez00_3869)
	{
		{	/* SawJvm/inline.scm 477 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3869), ((obj_t) CNST_TABLE_REF(112)));
		}

	}



/* &<@anonymous:1987> */
	obj_t BGl_z62zc3z04anonymousza31987ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3870, obj_t BgL_mez00_3871)
	{
		{	/* SawJvm/inline.scm 473 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3871), ((obj_t) CNST_TABLE_REF(113)));
			return ((obj_t) CNST_TABLE_REF(101));
		}

	}



/* &<@anonymous:1985> */
	obj_t BGl_z62zc3z04anonymousza31985ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3872, obj_t BgL_mez00_3873)
	{
		{	/* SawJvm/inline.scm 470 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3873), ((obj_t) CNST_TABLE_REF(112)));
		}

	}



/* &<@anonymous:1983> */
	obj_t BGl_z62zc3z04anonymousza31983ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3874, obj_t BgL_mez00_3875)
	{
		{	/* SawJvm/inline.scm 466 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3875), ((obj_t) CNST_TABLE_REF(113)));
			return ((obj_t) CNST_TABLE_REF(101));
		}

	}



/* &<@anonymous:1981> */
	obj_t BGl_z62zc3z04anonymousza31981ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3876, obj_t BgL_mez00_3877)
	{
		{	/* SawJvm/inline.scm 460 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3877), ((obj_t) CNST_TABLE_REF(114)));
		}

	}



/* &<@anonymous:1979> */
	obj_t BGl_z62zc3z04anonymousza31979ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3878, obj_t BgL_mez00_3879)
	{
		{	/* SawJvm/inline.scm 457 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3879), ((obj_t) CNST_TABLE_REF(115)));
		}

	}



/* &<@anonymous:1976> */
	obj_t BGl_z62zc3z04anonymousza31976ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3880, obj_t BgL_mez00_3881)
	{
		{	/* SawJvm/inline.scm 438 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3881), ((obj_t) CNST_TABLE_REF(116)));
		}

	}



/* &<@anonymous:1974> */
	obj_t BGl_z62zc3z04anonymousza31974ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3882, obj_t BgL_mez00_3883)
	{
		{	/* SawJvm/inline.scm 435 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3883), ((obj_t) CNST_TABLE_REF(117)));
		}

	}



/* &<@anonymous:1972> */
	obj_t BGl_z62zc3z04anonymousza31972ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3884, obj_t BgL_mez00_3885)
	{
		{	/* SawJvm/inline.scm 431 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3885), ((obj_t) CNST_TABLE_REF(118)));
			return ((obj_t) CNST_TABLE_REF(101));
		}

	}



/* &<@anonymous:1970> */
	obj_t BGl_z62zc3z04anonymousza31970ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3886, obj_t BgL_mez00_3887)
	{
		{	/* SawJvm/inline.scm 426 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3887), ((obj_t) CNST_TABLE_REF(119)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3887), ((obj_t) CNST_TABLE_REF(120)));
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3887), ((obj_t) CNST_TABLE_REF(121)));
		}

	}



/* &<@anonymous:1968> */
	obj_t BGl_z62zc3z04anonymousza31968ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3888, obj_t BgL_mez00_3889)
	{
		{	/* SawJvm/inline.scm 423 */
			return ((obj_t) CNST_TABLE_REF(122));
		}

	}



/* &<@anonymous:1966> */
	obj_t BGl_z62zc3z04anonymousza31966ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3890, obj_t BgL_mez00_3891)
	{
		{	/* SawJvm/inline.scm 420 */
			return ((obj_t) CNST_TABLE_REF(122));
		}

	}



/* &<@anonymous:1964> */
	obj_t BGl_z62zc3z04anonymousza31964ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3892, obj_t BgL_mez00_3893)
	{
		{	/* SawJvm/inline.scm 417 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3893), ((obj_t) CNST_TABLE_REF(123)));
		}

	}



/* &<@anonymous:1961> */
	obj_t BGl_z62zc3z04anonymousza31961ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3894, obj_t BgL_mez00_3895, obj_t BgL_onzf3zf3_3896,
		obj_t BgL_labz00_3897)
	{
		{	/* SawJvm/inline.scm 392 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3895), ((obj_t) CNST_TABLE_REF(124)));
			{	/* SawJvm/inline.scm 394 */
				obj_t BgL_arg1962z00_4126;

				if (CBOOL(BgL_onzf3zf3_3896))
					{	/* SawJvm/inline.scm 394 */
						BgL_arg1962z00_4126 = ((obj_t) CNST_TABLE_REF(125));
					}
				else
					{	/* SawJvm/inline.scm 394 */
						BgL_arg1962z00_4126 = ((obj_t) CNST_TABLE_REF(126));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3895), BgL_arg1962z00_4126,
					BgL_labz00_3897);
			}
		}

	}



/* &<@anonymous:1958> */
	obj_t BGl_z62zc3z04anonymousza31958ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3898, obj_t BgL_mez00_3899)
	{
		{	/* SawJvm/inline.scm 388 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3899), ((obj_t) CNST_TABLE_REF(124)));
			return
				BGl_computezd2booleanzd2zzsaw_jvm_inlinez00(BgL_mez00_3899,
				((obj_t) CNST_TABLE_REF(125)));
		}

	}



/* &<@anonymous:1956> */
	obj_t BGl_z62zc3z04anonymousza31956ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3900, obj_t BgL_mez00_3901)
	{
		{	/* SawJvm/inline.scm 380 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3901), ((obj_t) CNST_TABLE_REF(127)));
		}

	}



/* &<@anonymous:1954> */
	obj_t BGl_z62zc3z04anonymousza31954ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3902, obj_t BgL_mez00_3903)
	{
		{	/* SawJvm/inline.scm 379 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3903), ((obj_t) CNST_TABLE_REF(128)));
		}

	}



/* &<@anonymous:1951> */
	obj_t BGl_z62zc3z04anonymousza31951ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3904, obj_t BgL_mez00_3905)
	{
		{	/* SawJvm/inline.scm 378 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3905), ((obj_t) CNST_TABLE_REF(129)));
		}

	}



/* &<@anonymous:1949> */
	obj_t BGl_z62zc3z04anonymousza31949ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3906, obj_t BgL_mez00_3907)
	{
		{	/* SawJvm/inline.scm 377 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3907), ((obj_t) CNST_TABLE_REF(130)));
		}

	}



/* &<@anonymous:1947> */
	obj_t BGl_z62zc3z04anonymousza31947ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3908, obj_t BgL_mez00_3909)
	{
		{	/* SawJvm/inline.scm 376 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3909), ((obj_t) CNST_TABLE_REF(131)));
		}

	}



/* &<@anonymous:1944> */
	obj_t BGl_z62zc3z04anonymousza31944ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3910, obj_t BgL_mez00_3911, obj_t BgL_onzf3zf3_3912,
		obj_t BgL_labz00_3913)
	{
		{	/* SawJvm/inline.scm 372 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3911), ((obj_t) CNST_TABLE_REF(132)));
			{	/* SawJvm/inline.scm 374 */
				obj_t BgL_arg1945z00_4127;

				if (CBOOL(BgL_onzf3zf3_3912))
					{	/* SawJvm/inline.scm 374 */
						BgL_arg1945z00_4127 = ((obj_t) CNST_TABLE_REF(133));
					}
				else
					{	/* SawJvm/inline.scm 374 */
						BgL_arg1945z00_4127 = ((obj_t) CNST_TABLE_REF(134));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3911), BgL_arg1945z00_4127,
					BgL_labz00_3913);
			}
		}

	}



/* &<@anonymous:1940> */
	obj_t BGl_z62zc3z04anonymousza31940ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3914, obj_t BgL_mez00_3915, obj_t BgL_onzf3zf3_3916,
		obj_t BgL_labz00_3917)
	{
		{	/* SawJvm/inline.scm 368 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3915), ((obj_t) CNST_TABLE_REF(132)));
			{	/* SawJvm/inline.scm 370 */
				obj_t BgL_arg1942z00_4128;

				if (CBOOL(BgL_onzf3zf3_3916))
					{	/* SawJvm/inline.scm 370 */
						BgL_arg1942z00_4128 = ((obj_t) CNST_TABLE_REF(135));
					}
				else
					{	/* SawJvm/inline.scm 370 */
						BgL_arg1942z00_4128 = ((obj_t) CNST_TABLE_REF(136));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3915), BgL_arg1942z00_4128,
					BgL_labz00_3917);
			}
		}

	}



/* &<@anonymous:1936> */
	obj_t BGl_z62zc3z04anonymousza31936ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3918, obj_t BgL_mez00_3919, obj_t BgL_onzf3zf3_3920,
		obj_t BgL_labz00_3921)
	{
		{	/* SawJvm/inline.scm 364 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3919), ((obj_t) CNST_TABLE_REF(137)));
			{	/* SawJvm/inline.scm 366 */
				obj_t BgL_arg1938z00_4129;

				if (CBOOL(BgL_onzf3zf3_3920))
					{	/* SawJvm/inline.scm 366 */
						BgL_arg1938z00_4129 = ((obj_t) CNST_TABLE_REF(136));
					}
				else
					{	/* SawJvm/inline.scm 366 */
						BgL_arg1938z00_4129 = ((obj_t) CNST_TABLE_REF(135));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3919), BgL_arg1938z00_4129,
					BgL_labz00_3921);
			}
		}

	}



/* &<@anonymous:1933> */
	obj_t BGl_z62zc3z04anonymousza31933ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3922, obj_t BgL_mez00_3923, obj_t BgL_onzf3zf3_3924,
		obj_t BgL_labz00_3925)
	{
		{	/* SawJvm/inline.scm 360 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3923), ((obj_t) CNST_TABLE_REF(137)));
			{	/* SawJvm/inline.scm 362 */
				obj_t BgL_arg1934z00_4130;

				if (CBOOL(BgL_onzf3zf3_3924))
					{	/* SawJvm/inline.scm 362 */
						BgL_arg1934z00_4130 = ((obj_t) CNST_TABLE_REF(134));
					}
				else
					{	/* SawJvm/inline.scm 362 */
						BgL_arg1934z00_4130 = ((obj_t) CNST_TABLE_REF(133));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3923), BgL_arg1934z00_4130,
					BgL_labz00_3925);
			}
		}

	}



/* &<@anonymous:1929> */
	obj_t BGl_z62zc3z04anonymousza31929ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3926, obj_t BgL_mez00_3927, obj_t BgL_onzf3zf3_3928,
		obj_t BgL_labz00_3929)
	{
		{	/* SawJvm/inline.scm 356 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3927), ((obj_t) CNST_TABLE_REF(132)));
			{	/* SawJvm/inline.scm 358 */
				obj_t BgL_arg1930z00_4131;

				if (CBOOL(BgL_onzf3zf3_3928))
					{	/* SawJvm/inline.scm 358 */
						BgL_arg1930z00_4131 = ((obj_t) CNST_TABLE_REF(138));
					}
				else
					{	/* SawJvm/inline.scm 358 */
						BgL_arg1930z00_4131 = ((obj_t) CNST_TABLE_REF(139));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3927), BgL_arg1930z00_4131,
					BgL_labz00_3929);
			}
		}

	}



/* &<@anonymous:1927> */
	obj_t BGl_z62zc3z04anonymousza31927ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3930, obj_t BgL_mez00_3931)
	{
		{	/* SawJvm/inline.scm 353 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3931), ((obj_t) CNST_TABLE_REF(140)));
		}

	}



/* &<@anonymous:1924> */
	obj_t BGl_z62zc3z04anonymousza31924ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3932, obj_t BgL_mez00_3933)
	{
		{	/* SawJvm/inline.scm 350 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3933), ((obj_t) CNST_TABLE_REF(141)));
		}

	}



/* &<@anonymous:1922> */
	obj_t BGl_z62zc3z04anonymousza31922ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3934, obj_t BgL_mez00_3935)
	{
		{	/* SawJvm/inline.scm 347 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3935), ((obj_t) CNST_TABLE_REF(140)));
		}

	}



/* &<@anonymous:1920> */
	obj_t BGl_z62zc3z04anonymousza31920ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3936, obj_t BgL_mez00_3937)
	{
		{	/* SawJvm/inline.scm 344 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3937), ((obj_t) CNST_TABLE_REF(141)));
		}

	}



/* &<@anonymous:1918> */
	obj_t BGl_z62zc3z04anonymousza31918ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3938, obj_t BgL_mez00_3939)
	{
		{	/* SawJvm/inline.scm 341 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3939), ((obj_t) CNST_TABLE_REF(142)));
		}

	}



/* &<@anonymous:1916> */
	obj_t BGl_z62zc3z04anonymousza31916ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3940, obj_t BgL_mez00_3941)
	{
		{	/* SawJvm/inline.scm 338 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3941), ((obj_t) CNST_TABLE_REF(143)));
		}

	}



/* &<@anonymous:1913> */
	obj_t BGl_z62zc3z04anonymousza31913ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3942, obj_t BgL_mez00_3943)
	{
		{	/* SawJvm/inline.scm 335 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3943), ((obj_t) CNST_TABLE_REF(144)));
		}

	}



/* &<@anonymous:1911> */
	obj_t BGl_z62zc3z04anonymousza31911ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3944, obj_t BgL_mez00_3945)
	{
		{	/* SawJvm/inline.scm 332 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3945), ((obj_t) CNST_TABLE_REF(145)));
		}

	}



/* &<@anonymous:1909> */
	obj_t BGl_z62zc3z04anonymousza31909ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3946, obj_t BgL_mez00_3947)
	{
		{	/* SawJvm/inline.scm 324 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3947), ((obj_t) CNST_TABLE_REF(146)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3947), ((obj_t) CNST_TABLE_REF(147)));
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3947), ((obj_t) CNST_TABLE_REF(148)));
		}

	}



/* &<@anonymous:1907> */
	obj_t BGl_z62zc3z04anonymousza31907ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3948, obj_t BgL_mez00_3949)
	{
		{	/* SawJvm/inline.scm 323 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3949), ((obj_t) CNST_TABLE_REF(148)));
		}

	}



/* &<@anonymous:1905> */
	obj_t BGl_z62zc3z04anonymousza31905ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3950, obj_t BgL_mez00_3951)
	{
		{	/* SawJvm/inline.scm 322 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3951), ((obj_t) CNST_TABLE_REF(121)));
		}

	}



/* &<@anonymous:1903> */
	obj_t BGl_z62zc3z04anonymousza31903ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3952, obj_t BgL_mez00_3953)
	{
		{	/* SawJvm/inline.scm 321 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3953), ((obj_t) CNST_TABLE_REF(149)));
		}

	}



/* &<@anonymous:1901> */
	obj_t BGl_z62zc3z04anonymousza31901ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3954, obj_t BgL_mez00_3955)
	{
		{	/* SawJvm/inline.scm 320 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3955), ((obj_t) CNST_TABLE_REF(150)));
		}

	}



/* &<@anonymous:1899> */
	obj_t BGl_z62zc3z04anonymousza31899ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3956, obj_t BgL_mez00_3957)
	{
		{	/* SawJvm/inline.scm 319 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3957), ((obj_t) CNST_TABLE_REF(151)));
		}

	}



/* &<@anonymous:1897> */
	obj_t BGl_z62zc3z04anonymousza31897ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3958, obj_t BgL_mez00_3959)
	{
		{	/* SawJvm/inline.scm 318 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3959), ((obj_t) CNST_TABLE_REF(151)));
		}

	}



/* &<@anonymous:1895> */
	obj_t BGl_z62zc3z04anonymousza31895ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3960, obj_t BgL_mez00_3961)
	{
		{	/* SawJvm/inline.scm 317 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3961), ((obj_t) CNST_TABLE_REF(152)));
		}

	}



/* &<@anonymous:1893> */
	obj_t BGl_z62zc3z04anonymousza31893ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3962, obj_t BgL_mez00_3963)
	{
		{	/* SawJvm/inline.scm 316 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3963), ((obj_t) CNST_TABLE_REF(153)));
		}

	}



/* &<@anonymous:1891> */
	obj_t BGl_z62zc3z04anonymousza31891ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3964, obj_t BgL_mez00_3965)
	{
		{	/* SawJvm/inline.scm 315 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3965), ((obj_t) CNST_TABLE_REF(154)));
		}

	}



/* &<@anonymous:1888> */
	obj_t BGl_z62zc3z04anonymousza31888ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3966, obj_t BgL_mez00_3967, obj_t BgL_onzf3zf3_3968,
		obj_t BgL_labz00_3969)
	{
		{	/* SawJvm/inline.scm 310 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3967), ((obj_t) CNST_TABLE_REF(146)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3967), ((obj_t) CNST_TABLE_REF(121)));
			{	/* SawJvm/inline.scm 313 */
				obj_t BgL_arg1889z00_4132;

				if (CBOOL(BgL_onzf3zf3_3968))
					{	/* SawJvm/inline.scm 313 */
						BgL_arg1889z00_4132 = ((obj_t) CNST_TABLE_REF(139));
					}
				else
					{	/* SawJvm/inline.scm 313 */
						BgL_arg1889z00_4132 = ((obj_t) CNST_TABLE_REF(138));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3967), BgL_arg1889z00_4132,
					BgL_labz00_3969);
			}
		}

	}



/* &<@anonymous:1885> */
	obj_t BGl_z62zc3z04anonymousza31885ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3970, obj_t BgL_mez00_3971, obj_t BgL_onzf3zf3_3972,
		obj_t BgL_labz00_3973)
	{
		{	/* SawJvm/inline.scm 305 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3971), ((obj_t) CNST_TABLE_REF(146)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3971), ((obj_t) CNST_TABLE_REF(121)));
			{	/* SawJvm/inline.scm 308 */
				obj_t BgL_arg1886z00_4133;

				if (CBOOL(BgL_onzf3zf3_3972))
					{	/* SawJvm/inline.scm 308 */
						BgL_arg1886z00_4133 = ((obj_t) CNST_TABLE_REF(138));
					}
				else
					{	/* SawJvm/inline.scm 308 */
						BgL_arg1886z00_4133 = ((obj_t) CNST_TABLE_REF(139));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3971), BgL_arg1886z00_4133,
					BgL_labz00_3973);
			}
		}

	}



/* &<@anonymous:1879> */
	obj_t BGl_z62zc3z04anonymousza31879ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3974, obj_t BgL_mez00_3975, obj_t BgL_onzf3zf3_3976,
		obj_t BgL_labz00_3977)
	{
		{	/* SawJvm/inline.scm 302 */
			{	/* SawJvm/inline.scm 303 */
				obj_t BgL_arg1882z00_4134;

				if (CBOOL(BgL_onzf3zf3_3976))
					{	/* SawJvm/inline.scm 303 */
						BgL_arg1882z00_4134 = ((obj_t) CNST_TABLE_REF(155));
					}
				else
					{	/* SawJvm/inline.scm 303 */
						BgL_arg1882z00_4134 = ((obj_t) CNST_TABLE_REF(156));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3975), BgL_arg1882z00_4134,
					BgL_labz00_3977);
			}
		}

	}



/* &<@anonymous:1874> */
	obj_t BGl_z62zc3z04anonymousza31874ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3978, obj_t BgL_mez00_3979, obj_t BgL_onzf3zf3_3980,
		obj_t BgL_labz00_3981)
	{
		{	/* SawJvm/inline.scm 299 */
			{	/* SawJvm/inline.scm 300 */
				obj_t BgL_arg1876z00_4135;

				if (CBOOL(BgL_onzf3zf3_3980))
					{	/* SawJvm/inline.scm 300 */
						BgL_arg1876z00_4135 = ((obj_t) CNST_TABLE_REF(157));
					}
				else
					{	/* SawJvm/inline.scm 300 */
						BgL_arg1876z00_4135 = ((obj_t) CNST_TABLE_REF(158));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3979), BgL_arg1876z00_4135,
					BgL_labz00_3981);
			}
		}

	}



/* &<@anonymous:1866> */
	obj_t BGl_z62zc3z04anonymousza31866ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3982, obj_t BgL_mez00_3983, obj_t BgL_onzf3zf3_3984,
		obj_t BgL_labz00_3985)
	{
		{	/* SawJvm/inline.scm 296 */
			{	/* SawJvm/inline.scm 297 */
				obj_t BgL_arg1872z00_4136;

				if (CBOOL(BgL_onzf3zf3_3984))
					{	/* SawJvm/inline.scm 297 */
						BgL_arg1872z00_4136 = ((obj_t) CNST_TABLE_REF(158));
					}
				else
					{	/* SawJvm/inline.scm 297 */
						BgL_arg1872z00_4136 = ((obj_t) CNST_TABLE_REF(157));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3983), BgL_arg1872z00_4136,
					BgL_labz00_3985);
			}
		}

	}



/* &<@anonymous:1858> */
	obj_t BGl_z62zc3z04anonymousza31858ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3986, obj_t BgL_mez00_3987, obj_t BgL_onzf3zf3_3988,
		obj_t BgL_labz00_3989)
	{
		{	/* SawJvm/inline.scm 293 */
			{	/* SawJvm/inline.scm 294 */
				obj_t BgL_arg1859z00_4137;

				if (CBOOL(BgL_onzf3zf3_3988))
					{	/* SawJvm/inline.scm 294 */
						BgL_arg1859z00_4137 = ((obj_t) CNST_TABLE_REF(156));
					}
				else
					{	/* SawJvm/inline.scm 294 */
						BgL_arg1859z00_4137 = ((obj_t) CNST_TABLE_REF(155));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3987), BgL_arg1859z00_4137,
					BgL_labz00_3989);
			}
		}

	}



/* &<@anonymous:1852> */
	obj_t BGl_z62zc3z04anonymousza31852ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3990, obj_t BgL_mez00_3991, obj_t BgL_onzf3zf3_3992,
		obj_t BgL_labz00_3993)
	{
		{	/* SawJvm/inline.scm 290 */
			{	/* SawJvm/inline.scm 291 */
				obj_t BgL_arg1856z00_4138;

				if (CBOOL(BgL_onzf3zf3_3992))
					{	/* SawJvm/inline.scm 291 */
						BgL_arg1856z00_4138 = ((obj_t) CNST_TABLE_REF(159));
					}
				else
					{	/* SawJvm/inline.scm 291 */
						BgL_arg1856z00_4138 = ((obj_t) CNST_TABLE_REF(160));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3991), BgL_arg1856z00_4138,
					BgL_labz00_3993);
			}
		}

	}



/* &<@anonymous:1848> */
	obj_t BGl_z62zc3z04anonymousza31848ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3994, obj_t BgL_mez00_3995)
	{
		{	/* SawJvm/inline.scm 287 */
			return
				BGl_computezd2booleanzd2zzsaw_jvm_inlinez00(BgL_mez00_3995,
				((obj_t) CNST_TABLE_REF(155)));
		}

	}



/* &<@anonymous:1846> */
	obj_t BGl_z62zc3z04anonymousza31846ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3996, obj_t BgL_mez00_3997)
	{
		{	/* SawJvm/inline.scm 284 */
			return
				BGl_computezd2booleanzd2zzsaw_jvm_inlinez00(BgL_mez00_3997,
				((obj_t) CNST_TABLE_REF(157)));
		}

	}



/* &<@anonymous:1843> */
	obj_t BGl_z62zc3z04anonymousza31843ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3998, obj_t BgL_mez00_3999)
	{
		{	/* SawJvm/inline.scm 281 */
			return
				BGl_computezd2booleanzd2zzsaw_jvm_inlinez00(BgL_mez00_3999,
				((obj_t) CNST_TABLE_REF(158)));
		}

	}



/* &<@anonymous:1835> */
	obj_t BGl_z62zc3z04anonymousza31835ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4000, obj_t BgL_mez00_4001)
	{
		{	/* SawJvm/inline.scm 278 */
			return
				BGl_computezd2booleanzd2zzsaw_jvm_inlinez00(BgL_mez00_4001,
				((obj_t) CNST_TABLE_REF(156)));
		}

	}



/* &<@anonymous:1830> */
	obj_t BGl_z62zc3z04anonymousza31830ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4002, obj_t BgL_mez00_4003)
	{
		{	/* SawJvm/inline.scm 275 */
			return
				BGl_computezd2booleanzd2zzsaw_jvm_inlinez00(BgL_mez00_4003,
				((obj_t) CNST_TABLE_REF(159)));
		}

	}



/* &<@anonymous:1826> */
	obj_t BGl_z62zc3z04anonymousza31826ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4004, obj_t BgL_mez00_4005)
	{
		{	/* SawJvm/inline.scm 262 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4005), ((obj_t) CNST_TABLE_REF(161)));
		}

	}



/* &<@anonymous:1822> */
	obj_t BGl_z62zc3z04anonymousza31822ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4006, obj_t BgL_mez00_4007)
	{
		{	/* SawJvm/inline.scm 259 */
			return ((obj_t) CNST_TABLE_REF(122));
		}

	}



/* &<@anonymous:1819> */
	obj_t BGl_z62zc3z04anonymousza31819ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4008, obj_t BgL_mez00_4009)
	{
		{	/* SawJvm/inline.scm 256 */
			return ((obj_t) CNST_TABLE_REF(122));
		}

	}



/* &<@anonymous:1815> */
	obj_t BGl_z62zc3z04anonymousza31815ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4010, obj_t BgL_mez00_4011)
	{
		{	/* SawJvm/inline.scm 250 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4011), ((obj_t) CNST_TABLE_REF(161)));
		}

	}



/* &<@anonymous:1811> */
	obj_t BGl_z62zc3z04anonymousza31811ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4012, obj_t BgL_mez00_4013)
	{
		{	/* SawJvm/inline.scm 247 */
			return ((obj_t) CNST_TABLE_REF(122));
		}

	}



/* &<@anonymous:1804> */
	obj_t BGl_z62zc3z04anonymousza31804ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4014, obj_t BgL_mez00_4015)
	{
		{	/* SawJvm/inline.scm 244 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4015), ((obj_t) CNST_TABLE_REF(162)));
		}

	}



/* &<@anonymous:1802> */
	obj_t BGl_z62zc3z04anonymousza31802ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4016, obj_t BgL_mez00_4017)
	{
		{	/* SawJvm/inline.scm 241 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4017), ((obj_t) CNST_TABLE_REF(163)));
		}

	}



/* &<@anonymous:1800> */
	obj_t BGl_z62zc3z04anonymousza31800ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4018, obj_t BgL_mez00_4019)
	{
		{	/* SawJvm/inline.scm 237 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4019), ((obj_t) CNST_TABLE_REF(120)));
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4019), ((obj_t) CNST_TABLE_REF(121)));
		}

	}



/* &<@anonymous:1797> */
	obj_t BGl_z62zc3z04anonymousza31797ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4020, obj_t BgL_mez00_4021)
	{
		{	/* SawJvm/inline.scm 234 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4021), ((obj_t) CNST_TABLE_REF(164)));
		}

	}



/* &<@anonymous:1791> */
	obj_t BGl_z62zc3z04anonymousza31791ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4022, obj_t BgL_mez00_4023)
	{
		{	/* SawJvm/inline.scm 231 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4023), ((obj_t) CNST_TABLE_REF(165)));
		}

	}



/* &<@anonymous:1786> */
	obj_t BGl_z62zc3z04anonymousza31786ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4024, obj_t BgL_mez00_4025, obj_t BgL_onzf3zf3_4026,
		obj_t BgL_labz00_4027)
	{
		{	/* SawJvm/inline.scm 225 */
			{	/* SawJvm/inline.scm 226 */
				obj_t BgL_arg1789z00_4139;

				if (CBOOL(BgL_onzf3zf3_4026))
					{	/* SawJvm/inline.scm 226 */
						BgL_arg1789z00_4139 = ((obj_t) CNST_TABLE_REF(155));
					}
				else
					{	/* SawJvm/inline.scm 226 */
						BgL_arg1789z00_4139 = ((obj_t) CNST_TABLE_REF(156));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_4025), BgL_arg1789z00_4139,
					BgL_labz00_4027);
			}
		}

	}



/* &<@anonymous:1783> */
	obj_t BGl_z62zc3z04anonymousza31783ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4028, obj_t BgL_mez00_4029, obj_t BgL_onzf3zf3_4030,
		obj_t BgL_labz00_4031)
	{
		{	/* SawJvm/inline.scm 222 */
			{	/* SawJvm/inline.scm 223 */
				obj_t BgL_arg1784z00_4140;

				if (CBOOL(BgL_onzf3zf3_4030))
					{	/* SawJvm/inline.scm 223 */
						BgL_arg1784z00_4140 = ((obj_t) CNST_TABLE_REF(157));
					}
				else
					{	/* SawJvm/inline.scm 223 */
						BgL_arg1784z00_4140 = ((obj_t) CNST_TABLE_REF(158));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_4029), BgL_arg1784z00_4140,
					BgL_labz00_4031);
			}
		}

	}



/* &<@anonymous:1773> */
	obj_t BGl_z62zc3z04anonymousza31773ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4032, obj_t BgL_mez00_4033, obj_t BgL_onzf3zf3_4034,
		obj_t BgL_labz00_4035)
	{
		{	/* SawJvm/inline.scm 219 */
			{	/* SawJvm/inline.scm 220 */
				obj_t BgL_arg1776z00_4141;

				if (CBOOL(BgL_onzf3zf3_4034))
					{	/* SawJvm/inline.scm 220 */
						BgL_arg1776z00_4141 = ((obj_t) CNST_TABLE_REF(158));
					}
				else
					{	/* SawJvm/inline.scm 220 */
						BgL_arg1776z00_4141 = ((obj_t) CNST_TABLE_REF(157));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_4033), BgL_arg1776z00_4141,
					BgL_labz00_4035);
			}
		}

	}



/* &<@anonymous:1769> */
	obj_t BGl_z62zc3z04anonymousza31769ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4036, obj_t BgL_mez00_4037, obj_t BgL_onzf3zf3_4038,
		obj_t BgL_labz00_4039)
	{
		{	/* SawJvm/inline.scm 216 */
			{	/* SawJvm/inline.scm 217 */
				obj_t BgL_arg1770z00_4142;

				if (CBOOL(BgL_onzf3zf3_4038))
					{	/* SawJvm/inline.scm 217 */
						BgL_arg1770z00_4142 = ((obj_t) CNST_TABLE_REF(156));
					}
				else
					{	/* SawJvm/inline.scm 217 */
						BgL_arg1770z00_4142 = ((obj_t) CNST_TABLE_REF(155));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_4037), BgL_arg1770z00_4142,
					BgL_labz00_4039);
			}
		}

	}



/* &<@anonymous:1764> */
	obj_t BGl_z62zc3z04anonymousza31764ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4040, obj_t BgL_mez00_4041, obj_t BgL_onzf3zf3_4042,
		obj_t BgL_labz00_4043)
	{
		{	/* SawJvm/inline.scm 213 */
			{	/* SawJvm/inline.scm 214 */
				obj_t BgL_arg1765z00_4143;

				if (CBOOL(BgL_onzf3zf3_4042))
					{	/* SawJvm/inline.scm 214 */
						BgL_arg1765z00_4143 = ((obj_t) CNST_TABLE_REF(159));
					}
				else
					{	/* SawJvm/inline.scm 214 */
						BgL_arg1765z00_4143 = ((obj_t) CNST_TABLE_REF(160));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_4041), BgL_arg1765z00_4143,
					BgL_labz00_4043);
			}
		}

	}



/* &<@anonymous:1757> */
	obj_t BGl_z62zc3z04anonymousza31757ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4044, obj_t BgL_mez00_4045)
	{
		{	/* SawJvm/inline.scm 210 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4045), ((obj_t) CNST_TABLE_REF(162)));
		}

	}



/* &<@anonymous:1747> */
	obj_t BGl_z62zc3z04anonymousza31747ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4046, obj_t BgL_mez00_4047)
	{
		{	/* SawJvm/inline.scm 205 */
			{	/* SawJvm/inline.scm 206 */
				obj_t BgL_arg1748z00_4144;

				{	/* SawJvm/inline.scm 206 */
					obj_t BgL_arg1755z00_4145;

					BgL_arg1755z00_4145 =
						MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(166)), BNIL);
					BgL_arg1748z00_4144 =
						MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(167)), BgL_arg1755z00_4145);
				}
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_4047), BgL_arg1748z00_4144);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4047), ((obj_t) CNST_TABLE_REF(120)));
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4047), ((obj_t) CNST_TABLE_REF(121)));
		}

	}



/* &<@anonymous:1730> */
	obj_t BGl_z62zc3z04anonymousza31730ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4048, obj_t BgL_mez00_4049)
	{
		{	/* SawJvm/inline.scm 202 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4049), ((obj_t) CNST_TABLE_REF(168)));
		}

	}



/* &<@anonymous:1716> */
	obj_t BGl_z62zc3z04anonymousza31716ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4050, obj_t BgL_mez00_4051, obj_t BgL_argsz00_4052)
	{
		{	/* SawJvm/inline.scm 195 */
			{	/* SawJvm/inline.scm 196 */
				obj_t BgL_arg1717z00_4146;

				{	/* SawJvm/inline.scm 196 */
					obj_t BgL_arg1720z00_4147;

					BgL_arg1720z00_4147 =
						MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(169)), BNIL);
					BgL_arg1717z00_4146 =
						MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(170)), BgL_arg1720z00_4147);
				}
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_4051), BgL_arg1717z00_4146);
			}
			{	/* SawJvm/inline.scm 197 */
				obj_t BgL_arg1724z00_4148;

				BgL_arg1724z00_4148 = CAR(((obj_t) BgL_argsz00_4052));
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4051), BgL_arg1724z00_4148);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4051), ((obj_t) CNST_TABLE_REF(120)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4051), ((obj_t) CNST_TABLE_REF(121)));
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4051), ((obj_t) CNST_TABLE_REF(99)));
		}

	}



/* &<@anonymous:1704> */
	obj_t BGl_z62zc3z04anonymousza31704ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4053, obj_t BgL_mez00_4054)
	{
		{	/* SawJvm/inline.scm 192 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4054), ((obj_t) CNST_TABLE_REF(171)));
		}

	}



/* &<@anonymous:1696> */
	obj_t BGl_z62zc3z04anonymousza31696ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4055, obj_t BgL_mez00_4056, obj_t BgL_onzf3zf3_4057,
		obj_t BgL_labz00_4058)
	{
		{	/* SawJvm/inline.scm 184 */
			if (CBOOL(BGl_za2optimzd2jvmzd2fasteqza2z00zzengine_paramz00))
				{	/* SawJvm/inline.scm 186 */
					obj_t BgL_arg1699z00_4149;

					if (CBOOL(BgL_onzf3zf3_4057))
						{	/* SawJvm/inline.scm 186 */
							BgL_arg1699z00_4149 = ((obj_t) CNST_TABLE_REF(125));
						}
					else
						{	/* SawJvm/inline.scm 186 */
							BgL_arg1699z00_4149 = ((obj_t) CNST_TABLE_REF(126));
						}
					return
						BGl_branchz00zzsaw_jvm_outz00(
						((BgL_jvmz00_bglt) BgL_mez00_4056), BgL_arg1699z00_4149,
						BgL_labz00_4058);
				}
			else
				{	/* SawJvm/inline.scm 185 */
					return ((obj_t) CNST_TABLE_REF(172));
				}
		}

	}



/* &<@anonymous:1692> */
	obj_t BGl_z62zc3z04anonymousza31692ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4059, obj_t BgL_mez00_4060, obj_t BgL_onzf3zf3_4061,
		obj_t BgL_labz00_4062)
	{
		{	/* SawJvm/inline.scm 181 */
			{	/* SawJvm/inline.scm 182 */
				obj_t BgL_arg1693z00_4150;

				if (CBOOL(BgL_onzf3zf3_4061))
					{	/* SawJvm/inline.scm 182 */
						BgL_arg1693z00_4150 = ((obj_t) CNST_TABLE_REF(125));
					}
				else
					{	/* SawJvm/inline.scm 182 */
						BgL_arg1693z00_4150 = ((obj_t) CNST_TABLE_REF(126));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_4060), BgL_arg1693z00_4150,
					BgL_labz00_4062);
			}
		}

	}



/* &<@anonymous:1661> */
	obj_t BGl_z62zc3z04anonymousza31661ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4063, obj_t BgL_mez00_4064, obj_t BgL_argsz00_4065)
	{
		{	/* SawJvm/inline.scm 166 */
			{	/* SawJvm/inline.scm 167 */
				obj_t BgL_funz00_4151;

				{	/* SawJvm/inline.scm 167 */
					obj_t BgL_arg1686z00_4152;

					BgL_arg1686z00_4152 = CAR(((obj_t) BgL_argsz00_4065));
					BgL_funz00_4151 =
						BGl_skipzd2movzd2zzsaw_jvm_inlinez00(BgL_arg1686z00_4152);
				}
				{	/* SawJvm/inline.scm 168 */
					bool_t BgL_test2407z00_5311;

					{	/* SawJvm/inline.scm 168 */
						obj_t BgL_classz00_4153;

						BgL_classz00_4153 = BGl_rtl_loadiz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_funz00_4151))
							{	/* SawJvm/inline.scm 168 */
								BgL_objectz00_bglt BgL_arg1858z00_4154;

								BgL_arg1858z00_4154 = (BgL_objectz00_bglt) (BgL_funz00_4151);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawJvm/inline.scm 168 */
										long BgL_idxz00_4155;

										BgL_idxz00_4155 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4154);
										BgL_test2407z00_5311 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_4155 + 3L)) == BgL_classz00_4153);
									}
								else
									{	/* SawJvm/inline.scm 168 */
										bool_t BgL_res2165z00_4158;

										{	/* SawJvm/inline.scm 168 */
											obj_t BgL_oclassz00_4159;

											{	/* SawJvm/inline.scm 168 */
												obj_t BgL_arg1866z00_4160;
												long BgL_arg1867z00_4161;

												BgL_arg1866z00_4160 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* SawJvm/inline.scm 168 */
													long BgL_arg1869z00_4162;

													BgL_arg1869z00_4162 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4154);
													BgL_arg1867z00_4161 =
														(BgL_arg1869z00_4162 - OBJECT_TYPE);
												}
												BgL_oclassz00_4159 =
													VECTOR_REF(BgL_arg1866z00_4160, BgL_arg1867z00_4161);
											}
											{	/* SawJvm/inline.scm 168 */
												bool_t BgL__ortest_1115z00_4163;

												BgL__ortest_1115z00_4163 =
													(BgL_classz00_4153 == BgL_oclassz00_4159);
												if (BgL__ortest_1115z00_4163)
													{	/* SawJvm/inline.scm 168 */
														BgL_res2165z00_4158 = BgL__ortest_1115z00_4163;
													}
												else
													{	/* SawJvm/inline.scm 168 */
														long BgL_odepthz00_4164;

														{	/* SawJvm/inline.scm 168 */
															obj_t BgL_arg1855z00_4165;

															BgL_arg1855z00_4165 = (BgL_oclassz00_4159);
															BgL_odepthz00_4164 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_4165);
														}
														if ((3L < BgL_odepthz00_4164))
															{	/* SawJvm/inline.scm 168 */
																obj_t BgL_arg1853z00_4166;

																{	/* SawJvm/inline.scm 168 */
																	obj_t BgL_arg1854z00_4167;

																	BgL_arg1854z00_4167 = (BgL_oclassz00_4159);
																	BgL_arg1853z00_4166 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_4167,
																		3L);
																}
																BgL_res2165z00_4158 =
																	(BgL_arg1853z00_4166 == BgL_classz00_4153);
															}
														else
															{	/* SawJvm/inline.scm 168 */
																BgL_res2165z00_4158 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2407z00_5311 = BgL_res2165z00_4158;
									}
							}
						else
							{	/* SawJvm/inline.scm 168 */
								BgL_test2407z00_5311 = ((bool_t) 0);
							}
					}
					if (BgL_test2407z00_5311)
						{	/* SawJvm/inline.scm 168 */
							if (CBOOL(
									(((BgL_atomz00_bglt) COBJECT(
												(((BgL_rtl_loadiz00_bglt) COBJECT(
															((BgL_rtl_loadiz00_bglt) BgL_funz00_4151)))->
													BgL_constantz00)))->BgL_valuez00)))
								{	/* SawJvm/inline.scm 169 */
									return
										BGl_codez12z12zzsaw_jvm_outz00(
										((BgL_jvmz00_bglt) BgL_mez00_4064),
										((obj_t) CNST_TABLE_REF(173)));
								}
							else
								{	/* SawJvm/inline.scm 169 */
									return
										BGl_codez12z12zzsaw_jvm_outz00(
										((BgL_jvmz00_bglt) BgL_mez00_4064),
										((obj_t) CNST_TABLE_REF(174)));
								}
						}
					else
						{	/* SawJvm/inline.scm 172 */
							obj_t BgL_l1z00_4168;
							obj_t BgL_l2z00_4169;

							BgL_l1z00_4168 =
								BGl_gensymz00zz__r4_symbols_6_4z00
								(BGl_string2271z00zzsaw_jvm_inlinez00);
							BgL_l2z00_4169 =
								BGl_gensymz00zz__r4_symbols_6_4z00
								(BGl_string2271z00zzsaw_jvm_inlinez00);
							{	/* SawJvm/inline.scm 173 */
								obj_t BgL_arg1674z00_4170;

								BgL_arg1674z00_4170 = CAR(((obj_t) BgL_argsz00_4065));
								BGl_genzd2exprzd2zzsaw_jvm_codez00(
									((BgL_jvmz00_bglt) BgL_mez00_4064), BgL_arg1674z00_4170);
							}
							{	/* SawJvm/inline.scm 174 */
								obj_t BgL_arg1675z00_4171;

								{	/* SawJvm/inline.scm 174 */
									obj_t BgL_arg1677z00_4172;

									BgL_arg1677z00_4172 = MAKE_YOUNG_PAIR(BgL_l1z00_4168, BNIL);
									BgL_arg1675z00_4171 =
										MAKE_YOUNG_PAIR(
										((obj_t) CNST_TABLE_REF(138)), BgL_arg1677z00_4172);
								}
								BGl_codez12z12zzsaw_jvm_outz00(
									((BgL_jvmz00_bglt) BgL_mez00_4064), BgL_arg1675z00_4171);
							}
							BGl_codez12z12zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_4064),
								((obj_t) CNST_TABLE_REF(173)));
							{	/* SawJvm/inline.scm 176 */
								obj_t BgL_arg1679z00_4173;

								{	/* SawJvm/inline.scm 176 */
									obj_t BgL_arg1680z00_4174;

									BgL_arg1680z00_4174 = MAKE_YOUNG_PAIR(BgL_l2z00_4169, BNIL);
									BgL_arg1679z00_4173 =
										MAKE_YOUNG_PAIR(
										((obj_t) CNST_TABLE_REF(175)), BgL_arg1680z00_4174);
								}
								BGl_codez12z12zzsaw_jvm_outz00(
									((BgL_jvmz00_bglt) BgL_mez00_4064), BgL_arg1679z00_4173);
							}
							BGl_codez12z12zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_4064), BgL_l1z00_4168);
							BGl_codez12z12zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_4064),
								((obj_t) CNST_TABLE_REF(174)));
							return
								BGl_codez12z12zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_4064), BgL_l2z00_4169);
						}
				}
			}
		}

	}



/* &<@anonymous:1656> */
	obj_t BGl_z62zc3z04anonymousza31656ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4066, obj_t BgL_mez00_4067, obj_t BgL_onzf3zf3_4068,
		obj_t BgL_labz00_4069)
	{
		{	/* SawJvm/inline.scm 162 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4067), ((obj_t) CNST_TABLE_REF(174)));
			{	/* SawJvm/inline.scm 164 */
				obj_t BgL_arg1657z00_4175;

				if (CBOOL(BgL_onzf3zf3_4068))
					{	/* SawJvm/inline.scm 164 */
						BgL_arg1657z00_4175 = ((obj_t) CNST_TABLE_REF(126));
					}
				else
					{	/* SawJvm/inline.scm 164 */
						BgL_arg1657z00_4175 = ((obj_t) CNST_TABLE_REF(125));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_4067), BgL_arg1657z00_4175,
					BgL_labz00_4069);
			}
		}

	}



/* &<@anonymous:1654> */
	obj_t BGl_z62zc3z04anonymousza31654ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4070, obj_t BgL_mez00_4071)
	{
		{	/* SawJvm/inline.scm 159 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4071), ((obj_t) CNST_TABLE_REF(176)));
		}

	}



/* &<@anonymous:1651> */
	obj_t BGl_z62zc3z04anonymousza31651ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4072, obj_t BgL_mez00_4073)
	{
		{	/* SawJvm/inline.scm 151 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4073), ((obj_t) CNST_TABLE_REF(100)));
			return ((obj_t) CNST_TABLE_REF(101));
		}

	}



/* &<@anonymous:1649> */
	obj_t BGl_z62zc3z04anonymousza31649ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4074, obj_t BgL_mez00_4075)
	{
		{	/* SawJvm/inline.scm 148 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4075), ((obj_t) CNST_TABLE_REF(99)));
		}

	}



/* &<@anonymous:1643> */
	obj_t BGl_z62zc3z04anonymousza31643ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4076, obj_t BgL_mez00_4077)
	{
		{	/* SawJvm/inline.scm 145 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4077), ((obj_t) CNST_TABLE_REF(177)));
		}

	}



/* &<@anonymous:1633> */
	obj_t BGl_z62zc3z04anonymousza31633ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4078, obj_t BgL_mez00_4079, obj_t BgL_argsz00_4080)
	{
		{	/* SawJvm/inline.scm 133 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4079), ((obj_t) CNST_TABLE_REF(178)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4079), ((obj_t) CNST_TABLE_REF(179)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4079), ((obj_t) CNST_TABLE_REF(180)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4079), ((obj_t) CNST_TABLE_REF(179)));
			{	/* SawJvm/inline.scm 138 */
				obj_t BgL_arg1635z00_4176;

				BgL_arg1635z00_4176 = CAR(((obj_t) BgL_argsz00_4080));
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4079), BgL_arg1635z00_4176);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4079), ((obj_t) CNST_TABLE_REF(181)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4079), ((obj_t) CNST_TABLE_REF(179)));
			{	/* SawJvm/inline.scm 141 */
				obj_t BgL_arg1638z00_4177;

				{	/* SawJvm/inline.scm 141 */
					obj_t BgL_pairz00_4178;

					BgL_pairz00_4178 = CDR(((obj_t) BgL_argsz00_4080));
					BgL_arg1638z00_4177 = CAR(BgL_pairz00_4178);
				}
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4079), BgL_arg1638z00_4177);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4079), ((obj_t) CNST_TABLE_REF(177)));
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4079), ((obj_t) CNST_TABLE_REF(182)));
		}

	}



/* &<@anonymous:1613> */
	obj_t BGl_z62zc3z04anonymousza31613ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4081, obj_t BgL_mez00_4082, obj_t BgL_argsz00_4083)
	{
		{	/* SawJvm/inline.scm 118 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4082), ((obj_t) CNST_TABLE_REF(178)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4082), ((obj_t) CNST_TABLE_REF(179)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4082), ((obj_t) CNST_TABLE_REF(180)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4082), ((obj_t) CNST_TABLE_REF(179)));
			{	/* SawJvm/inline.scm 123 */
				obj_t BgL_arg1625z00_4179;

				BgL_arg1625z00_4179 = CAR(((obj_t) BgL_argsz00_4083));
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4082), BgL_arg1625z00_4179);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4082), ((obj_t) CNST_TABLE_REF(181)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4082), ((obj_t) CNST_TABLE_REF(179)));
			{	/* SawJvm/inline.scm 126 */
				obj_t BgL_arg1626z00_4180;

				{	/* SawJvm/inline.scm 126 */
					obj_t BgL_pairz00_4181;

					BgL_pairz00_4181 = CDR(((obj_t) BgL_argsz00_4083));
					BgL_arg1626z00_4180 = CAR(BgL_pairz00_4181);
				}
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4082), BgL_arg1626z00_4180);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4082), ((obj_t) CNST_TABLE_REF(183)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4082), ((obj_t) CNST_TABLE_REF(179)));
			{	/* SawJvm/inline.scm 129 */
				obj_t BgL_arg1631z00_4182;

				{	/* SawJvm/inline.scm 129 */
					obj_t BgL_pairz00_4183;

					{	/* SawJvm/inline.scm 129 */
						obj_t BgL_pairz00_4184;

						BgL_pairz00_4184 = CDR(((obj_t) BgL_argsz00_4083));
						BgL_pairz00_4183 = CDR(BgL_pairz00_4184);
					}
					BgL_arg1631z00_4182 = CAR(BgL_pairz00_4183);
				}
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4082), BgL_arg1631z00_4182);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4082), ((obj_t) CNST_TABLE_REF(177)));
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4082), ((obj_t) CNST_TABLE_REF(182)));
		}

	}



/* &<@anonymous:1593> */
	obj_t BGl_z62zc3z04anonymousza31593ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4084, obj_t BgL_mez00_4085, obj_t BgL_argsz00_4086)
	{
		{	/* SawJvm/inline.scm 103 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4085), ((obj_t) CNST_TABLE_REF(178)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4085), ((obj_t) CNST_TABLE_REF(179)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4085), ((obj_t) CNST_TABLE_REF(180)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4085), ((obj_t) CNST_TABLE_REF(179)));
			{	/* SawJvm/inline.scm 108 */
				obj_t BgL_arg1597z00_4185;

				BgL_arg1597z00_4185 = CAR(((obj_t) BgL_argsz00_4086));
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4085), BgL_arg1597z00_4185);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4085), ((obj_t) CNST_TABLE_REF(181)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4085), ((obj_t) CNST_TABLE_REF(179)));
			{	/* SawJvm/inline.scm 111 */
				obj_t BgL_arg1605z00_4186;

				{	/* SawJvm/inline.scm 111 */
					obj_t BgL_pairz00_4187;

					BgL_pairz00_4187 = CDR(((obj_t) BgL_argsz00_4086));
					BgL_arg1605z00_4186 = CAR(BgL_pairz00_4187);
				}
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4085), BgL_arg1605z00_4186);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4085), ((obj_t) CNST_TABLE_REF(183)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4085), ((obj_t) CNST_TABLE_REF(179)));
			{	/* SawJvm/inline.scm 114 */
				obj_t BgL_arg1611z00_4188;

				{	/* SawJvm/inline.scm 114 */
					obj_t BgL_pairz00_4189;

					{	/* SawJvm/inline.scm 114 */
						obj_t BgL_pairz00_4190;

						BgL_pairz00_4190 = CDR(((obj_t) BgL_argsz00_4086));
						BgL_pairz00_4189 = CDR(BgL_pairz00_4190);
					}
					BgL_arg1611z00_4188 = CAR(BgL_pairz00_4189);
				}
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4085), BgL_arg1611z00_4188);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4085), ((obj_t) CNST_TABLE_REF(177)));
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4085), ((obj_t) CNST_TABLE_REF(182)));
		}

	}



/* &<@anonymous:1575> */
	obj_t BGl_z62zc3z04anonymousza31575ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4087, obj_t BgL_mez00_4088, obj_t BgL_argsz00_4089)
	{
		{	/* SawJvm/inline.scm 96 */
			{	/* SawJvm/inline.scm 97 */
				obj_t BgL_arg1577z00_4191;

				{	/* SawJvm/inline.scm 97 */
					obj_t BgL_arg1578z00_4192;

					{	/* SawJvm/inline.scm 97 */
						obj_t BgL_arg1581z00_4193;

						{	/* SawJvm/inline.scm 97 */
							obj_t BgL_arg1587z00_4194;

							BgL_arg1587z00_4194 = BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
							BgL_arg1581z00_4193 =
								BGl_declarezd2globalzd2zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_4088),
								((BgL_globalz00_bglt) BgL_arg1587z00_4194));
						}
						BgL_arg1578z00_4192 = MAKE_YOUNG_PAIR(BgL_arg1581z00_4193, BNIL);
					}
					BgL_arg1577z00_4191 =
						MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(170)), BgL_arg1578z00_4192);
				}
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_4088), BgL_arg1577z00_4191);
			}
			{	/* SawJvm/inline.scm 98 */
				obj_t BgL_arg1588z00_4195;

				BgL_arg1588z00_4195 = CAR(((obj_t) BgL_argsz00_4089));
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4088), BgL_arg1588z00_4195);
			}
			{	/* SawJvm/inline.scm 99 */
				obj_t BgL_arg1590z00_4196;

				{	/* SawJvm/inline.scm 99 */
					obj_t BgL_pairz00_4197;

					BgL_pairz00_4197 = CDR(((obj_t) BgL_argsz00_4089));
					BgL_arg1590z00_4196 = CAR(BgL_pairz00_4197);
				}
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4088), BgL_arg1590z00_4196);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4088), ((obj_t) CNST_TABLE_REF(100)));
			return ((obj_t) CNST_TABLE_REF(101));
		}

	}



/* &<@anonymous:1544> */
	obj_t BGl_z62zc3z04anonymousza31544ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4090, obj_t BgL_mez00_4091, obj_t BgL_argsz00_4092)
	{
		{	/* SawJvm/inline.scm 91 */
			{	/* SawJvm/inline.scm 92 */
				obj_t BgL_arg1545z00_4198;

				{	/* SawJvm/inline.scm 92 */
					obj_t BgL_arg1553z00_4199;

					{	/* SawJvm/inline.scm 92 */
						obj_t BgL_arg1554z00_4200;

						{	/* SawJvm/inline.scm 92 */
							obj_t BgL_arg1558z00_4201;

							BgL_arg1558z00_4201 = BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
							BgL_arg1554z00_4200 =
								BGl_declarezd2globalzd2zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_4091),
								((BgL_globalz00_bglt) BgL_arg1558z00_4201));
						}
						BgL_arg1553z00_4199 = MAKE_YOUNG_PAIR(BgL_arg1554z00_4200, BNIL);
					}
					BgL_arg1545z00_4198 =
						MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(170)), BgL_arg1553z00_4199);
				}
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_4091), BgL_arg1545z00_4198);
			}
			{	/* SawJvm/inline.scm 93 */
				obj_t BgL_arg1560z00_4202;

				BgL_arg1560z00_4202 = CAR(((obj_t) BgL_argsz00_4092));
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4091), BgL_arg1560z00_4202);
			}
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4091), ((obj_t) CNST_TABLE_REF(99)));
		}

	}



/* check-jvm-inlines */
	BGL_EXPORTED_DEF obj_t BGl_checkzd2jvmzd2inlinesz00zzsaw_jvm_inlinez00(void)
	{
		{	/* SawJvm/inline.scm 24 */
			{	/* SawJvm/inline.scm 25 */
				obj_t BgL_unresolvedz00_2935;

				{	/* SawJvm/inline.scm 25 */
					obj_t BgL_hook1540z00_2937;

					BgL_hook1540z00_2937 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
					{
						obj_t BgL_l1537z00_2939;
						obj_t BgL_h1538z00_2940;

						BgL_l1537z00_2939 = BNIL;
						BgL_h1538z00_2940 = BgL_hook1540z00_2937;
					BgL_zc3z04anonymousza32028ze3z87_2941:
						if (NULLP(BgL_l1537z00_2939))
							{	/* SawJvm/inline.scm 25 */
								BgL_unresolvedz00_2935 = CDR(BgL_hook1540z00_2937);
							}
						else
							{	/* SawJvm/inline.scm 25 */
								bool_t BgL_test2415z00_5605;

								if (CBOOL(BGl_findzd2globalzd2zzast_envz00(CAR(
												((obj_t) BgL_l1537z00_2939)), BNIL)))
									{	/* SawJvm/inline.scm 25 */
										BgL_test2415z00_5605 = ((bool_t) 0);
									}
								else
									{	/* SawJvm/inline.scm 25 */
										BgL_test2415z00_5605 = ((bool_t) 1);
									}
								if (BgL_test2415z00_5605)
									{	/* SawJvm/inline.scm 25 */
										obj_t BgL_nh1539z00_2948;

										{	/* SawJvm/inline.scm 25 */
											obj_t BgL_arg2035z00_2950;

											BgL_arg2035z00_2950 = CAR(((obj_t) BgL_l1537z00_2939));
											BgL_nh1539z00_2948 =
												MAKE_YOUNG_PAIR(BgL_arg2035z00_2950, BNIL);
										}
										SET_CDR(BgL_h1538z00_2940, BgL_nh1539z00_2948);
										{	/* SawJvm/inline.scm 25 */
											obj_t BgL_arg2034z00_2949;

											BgL_arg2034z00_2949 = CDR(((obj_t) BgL_l1537z00_2939));
											{
												obj_t BgL_h1538z00_5618;
												obj_t BgL_l1537z00_5617;

												BgL_l1537z00_5617 = BgL_arg2034z00_2949;
												BgL_h1538z00_5618 = BgL_nh1539z00_2948;
												BgL_h1538z00_2940 = BgL_h1538z00_5618;
												BgL_l1537z00_2939 = BgL_l1537z00_5617;
												goto BgL_zc3z04anonymousza32028ze3z87_2941;
											}
										}
									}
								else
									{	/* SawJvm/inline.scm 25 */
										obj_t BgL_arg2036z00_2951;

										BgL_arg2036z00_2951 = CDR(((obj_t) BgL_l1537z00_2939));
										{
											obj_t BgL_l1537z00_5621;

											BgL_l1537z00_5621 = BgL_arg2036z00_2951;
											BgL_l1537z00_2939 = BgL_l1537z00_5621;
											goto BgL_zc3z04anonymousza32028ze3z87_2941;
										}
									}
							}
					}
				}
				if (PAIRP(BgL_unresolvedz00_2935))
					{	/* SawJvm/inline.scm 27 */
						return
							BGl_errorz00zz__errorz00(
							((obj_t)
								CNST_TABLE_REF(184)), BGl_string2272z00zzsaw_jvm_inlinez00,
							BgL_unresolvedz00_2935);
					}
				else
					{	/* SawJvm/inline.scm 27 */
						return BFALSE;
					}
			}
		}

	}



/* &check-jvm-inlines */
	obj_t BGl_z62checkzd2jvmzd2inlinesz62zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4093)
	{
		{	/* SawJvm/inline.scm 24 */
			return BGl_checkzd2jvmzd2inlinesz00zzsaw_jvm_inlinez00();
		}

	}



/* inline-call? */
	BGL_EXPORTED_DEF obj_t
		BGl_inlinezd2callzf3z21zzsaw_jvm_inlinez00(BgL_jvmz00_bglt BgL_mez00_3,
		BgL_globalz00_bglt BgL_varz00_4)
	{
		{	/* SawJvm/inline.scm 35 */
			if (CBOOL((((BgL_jvmz00_bglt) COBJECT(BgL_mez00_3))->BgL_inlinez00)))
				{	/* SawJvm/inline.scm 37 */
					obj_t BgL_funz00_2957;

					BgL_funz00_2957 =
						BGl_getpropz00zz__r4_symbols_6_4z00(
						(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_varz00_4)))->BgL_idz00),
						((obj_t) CNST_TABLE_REF(8)));
					if (CBOOL(BgL_funz00_2957))
						{	/* SawJvm/inline.scm 38 */
							return
								BGL_PROCEDURE_CALL1(BgL_funz00_2957, ((obj_t) BgL_mez00_3));
						}
					else
						{	/* SawJvm/inline.scm 38 */
							return ((obj_t) CNST_TABLE_REF(172));
						}
				}
			else
				{	/* SawJvm/inline.scm 36 */
					return BFALSE;
				}
		}

	}



/* &inline-call? */
	obj_t BGl_z62inlinezd2callzf3z43zzsaw_jvm_inlinez00(obj_t BgL_envz00_4094,
		obj_t BgL_mez00_4095, obj_t BgL_varz00_4096)
	{
		{	/* SawJvm/inline.scm 35 */
			return
				BGl_inlinezd2callzf3z21zzsaw_jvm_inlinez00(
				((BgL_jvmz00_bglt) BgL_mez00_4095),
				((BgL_globalz00_bglt) BgL_varz00_4096));
		}

	}



/* inline-call-with-args? */
	BGL_EXPORTED_DEF obj_t
		BGl_inlinezd2callzd2withzd2argszf3z21zzsaw_jvm_inlinez00(BgL_jvmz00_bglt
		BgL_mez00_5, BgL_globalz00_bglt BgL_varz00_6, obj_t BgL_argsz00_7)
	{
		{	/* SawJvm/inline.scm 52 */
			if (CBOOL((((BgL_jvmz00_bglt) COBJECT(BgL_mez00_5))->BgL_inlinez00)))
				{	/* SawJvm/inline.scm 54 */
					obj_t BgL_funz00_2962;

					BgL_funz00_2962 =
						BGl_getpropz00zz__r4_symbols_6_4z00(
						(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_varz00_6)))->BgL_idz00),
						((obj_t) CNST_TABLE_REF(2)));
					if (CBOOL(BgL_funz00_2962))
						{	/* SawJvm/inline.scm 55 */
							return
								BGL_PROCEDURE_CALL2(BgL_funz00_2962,
								((obj_t) BgL_mez00_5), BgL_argsz00_7);
						}
					else
						{	/* SawJvm/inline.scm 55 */
							return ((obj_t) CNST_TABLE_REF(172));
						}
				}
			else
				{	/* SawJvm/inline.scm 53 */
					return BFALSE;
				}
		}

	}



/* &inline-call-with-args? */
	obj_t BGl_z62inlinezd2callzd2withzd2argszf3z43zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4097, obj_t BgL_mez00_4098, obj_t BgL_varz00_4099,
		obj_t BgL_argsz00_4100)
	{
		{	/* SawJvm/inline.scm 52 */
			return
				BGl_inlinezd2callzd2withzd2argszf3z21zzsaw_jvm_inlinez00(
				((BgL_jvmz00_bglt) BgL_mez00_4098),
				((BgL_globalz00_bglt) BgL_varz00_4099), BgL_argsz00_4100);
		}

	}



/* inline-predicate? */
	BGL_EXPORTED_DEF obj_t
		BGl_inlinezd2predicatezf3z21zzsaw_jvm_inlinez00(BgL_jvmz00_bglt BgL_mez00_8,
		BgL_globalz00_bglt BgL_varz00_9, obj_t BgL_onzf3zf3_10, obj_t BgL_labz00_11)
	{
		{	/* SawJvm/inline.scm 66 */
			if (CBOOL((((BgL_jvmz00_bglt) COBJECT(BgL_mez00_8))->BgL_inlinez00)))
				{	/* SawJvm/inline.scm 68 */
					obj_t BgL_funz00_3563;

					BgL_funz00_3563 =
						BGl_getpropz00zz__r4_symbols_6_4z00(
						(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_varz00_9)))->BgL_idz00),
						((obj_t) CNST_TABLE_REF(13)));
					if (CBOOL(BgL_funz00_3563))
						{	/* SawJvm/inline.scm 69 */
							return
								BGL_PROCEDURE_CALL3(BgL_funz00_3563,
								((obj_t) BgL_mez00_8), BgL_onzf3zf3_10, BgL_labz00_11);
						}
					else
						{	/* SawJvm/inline.scm 69 */
							return ((obj_t) CNST_TABLE_REF(172));
						}
				}
			else
				{	/* SawJvm/inline.scm 67 */
					return BFALSE;
				}
		}

	}



/* &inline-predicate? */
	obj_t BGl_z62inlinezd2predicatezf3z43zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4101, obj_t BgL_mez00_4102, obj_t BgL_varz00_4103,
		obj_t BgL_onzf3zf3_4104, obj_t BgL_labz00_4105)
	{
		{	/* SawJvm/inline.scm 66 */
			return
				BGl_inlinezd2predicatezf3z21zzsaw_jvm_inlinez00(
				((BgL_jvmz00_bglt) BgL_mez00_4102),
				((BgL_globalz00_bglt) BgL_varz00_4103), BgL_onzf3zf3_4104,
				BgL_labz00_4105);
		}

	}



/* skip-mov */
	obj_t BGl_skipzd2movzd2zzsaw_jvm_inlinez00(obj_t BgL_argz00_12)
	{
		{	/* SawJvm/inline.scm 80 */
		BGl_skipzd2movzd2zzsaw_jvm_inlinez00:
			{	/* SawJvm/inline.scm 81 */
				bool_t BgL_test2424z00_5691;

				{	/* SawJvm/inline.scm 81 */
					obj_t BgL_classz00_3568;

					BgL_classz00_3568 = BGl_rtl_insz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_argz00_12))
						{	/* SawJvm/inline.scm 81 */
							BgL_objectz00_bglt BgL_arg1858z00_3570;

							BgL_arg1858z00_3570 = (BgL_objectz00_bglt) (BgL_argz00_12);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawJvm/inline.scm 81 */
									long BgL_idxz00_3576;

									BgL_idxz00_3576 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3570);
									BgL_test2424z00_5691 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3576 + 1L)) == BgL_classz00_3568);
								}
							else
								{	/* SawJvm/inline.scm 81 */
									bool_t BgL_res2166z00_3601;

									{	/* SawJvm/inline.scm 81 */
										obj_t BgL_oclassz00_3584;

										{	/* SawJvm/inline.scm 81 */
											obj_t BgL_arg1866z00_3592;
											long BgL_arg1867z00_3593;

											BgL_arg1866z00_3592 = (BGl_za2classesza2z00zz__objectz00);
											{	/* SawJvm/inline.scm 81 */
												long BgL_arg1869z00_3594;

												BgL_arg1869z00_3594 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3570);
												BgL_arg1867z00_3593 =
													(BgL_arg1869z00_3594 - OBJECT_TYPE);
											}
											BgL_oclassz00_3584 =
												VECTOR_REF(BgL_arg1866z00_3592, BgL_arg1867z00_3593);
										}
										{	/* SawJvm/inline.scm 81 */
											bool_t BgL__ortest_1115z00_3585;

											BgL__ortest_1115z00_3585 =
												(BgL_classz00_3568 == BgL_oclassz00_3584);
											if (BgL__ortest_1115z00_3585)
												{	/* SawJvm/inline.scm 81 */
													BgL_res2166z00_3601 = BgL__ortest_1115z00_3585;
												}
											else
												{	/* SawJvm/inline.scm 81 */
													long BgL_odepthz00_3586;

													{	/* SawJvm/inline.scm 81 */
														obj_t BgL_arg1855z00_3587;

														BgL_arg1855z00_3587 = (BgL_oclassz00_3584);
														BgL_odepthz00_3586 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_3587);
													}
													if ((1L < BgL_odepthz00_3586))
														{	/* SawJvm/inline.scm 81 */
															obj_t BgL_arg1853z00_3589;

															{	/* SawJvm/inline.scm 81 */
																obj_t BgL_arg1854z00_3590;

																BgL_arg1854z00_3590 = (BgL_oclassz00_3584);
																BgL_arg1853z00_3589 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3590,
																	1L);
															}
															BgL_res2166z00_3601 =
																(BgL_arg1853z00_3589 == BgL_classz00_3568);
														}
													else
														{	/* SawJvm/inline.scm 81 */
															BgL_res2166z00_3601 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2424z00_5691 = BgL_res2166z00_3601;
								}
						}
					else
						{	/* SawJvm/inline.scm 81 */
							BgL_test2424z00_5691 = ((bool_t) 0);
						}
				}
				if (BgL_test2424z00_5691)
					{	/* SawJvm/inline.scm 82 */
						BgL_rtl_funz00_bglt BgL_funz00_2968;

						BgL_funz00_2968 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_argz00_12)))->BgL_funz00);
						{	/* SawJvm/inline.scm 83 */
							bool_t BgL_test2429z00_5716;

							{	/* SawJvm/inline.scm 83 */
								obj_t BgL_classz00_3603;

								BgL_classz00_3603 = BGl_rtl_movz00zzsaw_defsz00;
								{	/* SawJvm/inline.scm 83 */
									BgL_objectz00_bglt BgL_arg1858z00_3605;

									{	/* SawJvm/inline.scm 83 */
										obj_t BgL_tmpz00_5717;

										BgL_tmpz00_5717 =
											((obj_t) ((BgL_objectz00_bglt) BgL_funz00_2968));
										BgL_arg1858z00_3605 =
											(BgL_objectz00_bglt) (BgL_tmpz00_5717);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawJvm/inline.scm 83 */
											long BgL_idxz00_3611;

											BgL_idxz00_3611 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3605);
											BgL_test2429z00_5716 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_3611 + 3L)) == BgL_classz00_3603);
										}
									else
										{	/* SawJvm/inline.scm 83 */
											bool_t BgL_res2167z00_3636;

											{	/* SawJvm/inline.scm 83 */
												obj_t BgL_oclassz00_3619;

												{	/* SawJvm/inline.scm 83 */
													obj_t BgL_arg1866z00_3627;
													long BgL_arg1867z00_3628;

													BgL_arg1866z00_3627 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* SawJvm/inline.scm 83 */
														long BgL_arg1869z00_3629;

														BgL_arg1869z00_3629 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3605);
														BgL_arg1867z00_3628 =
															(BgL_arg1869z00_3629 - OBJECT_TYPE);
													}
													BgL_oclassz00_3619 =
														VECTOR_REF(BgL_arg1866z00_3627,
														BgL_arg1867z00_3628);
												}
												{	/* SawJvm/inline.scm 83 */
													bool_t BgL__ortest_1115z00_3620;

													BgL__ortest_1115z00_3620 =
														(BgL_classz00_3603 == BgL_oclassz00_3619);
													if (BgL__ortest_1115z00_3620)
														{	/* SawJvm/inline.scm 83 */
															BgL_res2167z00_3636 = BgL__ortest_1115z00_3620;
														}
													else
														{	/* SawJvm/inline.scm 83 */
															long BgL_odepthz00_3621;

															{	/* SawJvm/inline.scm 83 */
																obj_t BgL_arg1855z00_3622;

																BgL_arg1855z00_3622 = (BgL_oclassz00_3619);
																BgL_odepthz00_3621 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_3622);
															}
															if ((3L < BgL_odepthz00_3621))
																{	/* SawJvm/inline.scm 83 */
																	obj_t BgL_arg1853z00_3624;

																	{	/* SawJvm/inline.scm 83 */
																		obj_t BgL_arg1854z00_3625;

																		BgL_arg1854z00_3625 = (BgL_oclassz00_3619);
																		BgL_arg1853z00_3624 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_3625, 3L);
																	}
																	BgL_res2167z00_3636 =
																		(BgL_arg1853z00_3624 == BgL_classz00_3603);
																}
															else
																{	/* SawJvm/inline.scm 83 */
																	BgL_res2167z00_3636 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2429z00_5716 = BgL_res2167z00_3636;
										}
								}
							}
							if (BgL_test2429z00_5716)
								{	/* SawJvm/inline.scm 84 */
									obj_t BgL_arg2046z00_2970;

									{	/* SawJvm/inline.scm 84 */
										obj_t BgL_pairz00_3638;

										BgL_pairz00_3638 =
											(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_argz00_12)))->BgL_argsz00);
										BgL_arg2046z00_2970 = CAR(BgL_pairz00_3638);
									}
									{
										obj_t BgL_argz00_5743;

										BgL_argz00_5743 = BgL_arg2046z00_2970;
										BgL_argz00_12 = BgL_argz00_5743;
										goto BGl_skipzd2movzd2zzsaw_jvm_inlinez00;
									}
								}
							else
								{	/* SawJvm/inline.scm 83 */
									return ((obj_t) BgL_funz00_2968);
								}
						}
					}
				else
					{	/* SawJvm/inline.scm 81 */
						return BgL_argz00_12;
					}
			}
		}

	}



/* compute-boolean */
	obj_t BGl_computezd2booleanzd2zzsaw_jvm_inlinez00(obj_t BgL_mez00_13,
		obj_t BgL_copz00_14)
	{
		{	/* SawJvm/inline.scm 265 */
			{	/* SawJvm/inline.scm 267 */
				obj_t BgL_l1z00_2972;
				obj_t BgL_l2z00_2973;

				BgL_l1z00_2972 =
					BGl_gensymz00zz__r4_symbols_6_4z00
					(BGl_string2271z00zzsaw_jvm_inlinez00);
				BgL_l2z00_2973 =
					BGl_gensymz00zz__r4_symbols_6_4z00
					(BGl_string2271z00zzsaw_jvm_inlinez00);
				{	/* SawJvm/inline.scm 268 */
					obj_t BgL_arg2049z00_2974;

					{	/* SawJvm/inline.scm 268 */
						obj_t BgL_arg2050z00_2975;

						BgL_arg2050z00_2975 = MAKE_YOUNG_PAIR(BgL_l1z00_2972, BNIL);
						BgL_arg2049z00_2974 =
							MAKE_YOUNG_PAIR(BgL_copz00_14, BgL_arg2050z00_2975);
					}
					BGl_codez12z12zzsaw_jvm_outz00(
						((BgL_jvmz00_bglt) BgL_mez00_13), BgL_arg2049z00_2974);
				}
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_13), ((obj_t) CNST_TABLE_REF(185)));
				{	/* SawJvm/inline.scm 270 */
					obj_t BgL_arg2051z00_2976;

					{	/* SawJvm/inline.scm 270 */
						obj_t BgL_arg2052z00_2977;

						BgL_arg2052z00_2977 = MAKE_YOUNG_PAIR(BgL_l2z00_2973, BNIL);
						BgL_arg2051z00_2976 =
							MAKE_YOUNG_PAIR(
							((obj_t) CNST_TABLE_REF(175)), BgL_arg2052z00_2977);
					}
					BGl_codez12z12zzsaw_jvm_outz00(
						((BgL_jvmz00_bglt) BgL_mez00_13), BgL_arg2051z00_2976);
				}
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_13), BgL_l1z00_2972);
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_13), ((obj_t) CNST_TABLE_REF(146)));
				return
					BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_13), BgL_l2z00_2973);
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_jvm_inlinez00(void)
	{
		{	/* SawJvm/inline.scm 1 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_jvm_inlinez00(void)
	{
		{	/* SawJvm/inline.scm 1 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_jvm_inlinez00(void)
	{
		{	/* SawJvm/inline.scm 1 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_inlinez00(void)
	{
		{	/* SawJvm/inline.scm 1 */
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2273z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2273z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2273z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string2273z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string2273z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(502007119L,
				BSTRING_TO_STRING(BGl_string2273z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(151271251L,
				BSTRING_TO_STRING(BGl_string2273z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string2273z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzcnst_allocz00(117763019L,
				BSTRING_TO_STRING(BGl_string2273z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(261574382L,
				BSTRING_TO_STRING(BGl_string2273z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string2273z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzbackend_bvmz00(336068337L,
				BSTRING_TO_STRING(BGl_string2273z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(0L,
				BSTRING_TO_STRING(BGl_string2273z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(404844772L,
				BSTRING_TO_STRING(BGl_string2273z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_outz00(441641707L,
				BSTRING_TO_STRING(BGl_string2273z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_codez00(44765844L,
				BSTRING_TO_STRING(BGl_string2273z00zzsaw_jvm_inlinez00));
			return
				BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string2273z00zzsaw_jvm_inlinez00));
		}

	}

#ifdef __cplusplus
}
#endif
