/*===========================================================================*/
/*   (SawMill/defs.scm)                                                      */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent SawMill/defs.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_SAW_DEFS_TYPE_DEFINITIONS
#define BGL_SAW_DEFS_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_debugnamez00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_lastz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                  *BgL_rtl_lastz00_bglt;

	typedef struct BgL_rtl_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                    *BgL_rtl_returnz00_bglt;

	typedef struct BgL_rtl_jumpexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                      *BgL_rtl_jumpexitz00_bglt;

	typedef struct BgL_rtl_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                  *BgL_rtl_failz00_bglt;

	typedef struct BgL_rtl_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                      *BgL_rtl_retblockz00_bglt;

	typedef struct BgL_rtl_retz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_toz00;
	}                 *BgL_rtl_retz00_bglt;

	typedef struct BgL_rtl_notseqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_notseqz00_bglt;

	typedef struct BgL_rtl_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                *BgL_rtl_ifz00_bglt;

	typedef struct BgL_rtl_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_patternsz00;
	}                    *BgL_rtl_selectz00_bglt;

	typedef struct BgL_rtl_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_patternsz00;
		obj_t BgL_labelsz00;
	}                    *BgL_rtl_switchz00_bglt;

	typedef struct BgL_rtl_ifeqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifeqz00_bglt;

	typedef struct BgL_rtl_ifnez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifnez00_bglt;

	typedef struct BgL_rtl_goz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_toz00;
	}                *BgL_rtl_goz00_bglt;

	typedef struct BgL_rtl_purez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                  *BgL_rtl_purez00_bglt;

	typedef struct BgL_rtl_nopz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_nopz00_bglt;

	typedef struct BgL_rtl_movz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_movz00_bglt;

	typedef struct BgL_rtl_loadiz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_atomz00_bgl *BgL_constantz00;
	}                   *BgL_rtl_loadiz00_bglt;

	typedef struct BgL_rtl_loadgz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                   *BgL_rtl_loadgz00_bglt;

	typedef struct BgL_rtl_loadfunz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                     *BgL_rtl_loadfunz00_bglt;

	typedef struct BgL_rtl_globalrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                       *BgL_rtl_globalrefz00_bglt;

	typedef struct BgL_rtl_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_getfieldz00_bglt;

	typedef struct BgL_rtl_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_rtl_vallocz00_bglt;

	typedef struct BgL_rtl_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vrefz00_bglt;

	typedef struct BgL_rtl_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                     *BgL_rtl_vlengthz00_bglt;

	typedef struct BgL_rtl_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                        *BgL_rtl_instanceofz00_bglt;

	typedef struct BgL_rtl_makeboxz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                     *BgL_rtl_makeboxz00_bglt;

	typedef struct BgL_rtl_boxrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_boxrefz00_bglt;

	typedef struct BgL_rtl_effectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_effectz00_bglt;

	typedef struct BgL_rtl_storegz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                    *BgL_rtl_storegz00_bglt;

	typedef struct BgL_rtl_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_setfieldz00_bglt;

	typedef struct BgL_rtl_vsetz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vsetz00_bglt;

	typedef struct BgL_rtl_boxsetz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_boxsetz00_bglt;

	typedef struct BgL_rtl_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_constrz00;
	}                 *BgL_rtl_newz00_bglt;

	typedef struct BgL_rtl_callz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                  *BgL_rtl_callz00_bglt;

	typedef struct BgL_rtl_applyz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                   *BgL_rtl_applyz00_bglt;

	typedef struct BgL_rtl_lightfuncallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_funsz00;
		obj_t BgL_rettypez00;
	}                          *BgL_rtl_lightfuncallz00_bglt;

	typedef struct BgL_rtl_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                     *BgL_rtl_funcallz00_bglt;

	typedef struct BgL_rtl_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_formatz00;
		obj_t BgL_srfi0z00;
	}                    *BgL_rtl_pragmaz00_bglt;

	typedef struct BgL_rtl_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_totypez00;
		struct BgL_typez00_bgl *BgL_fromtypez00;
	}                  *BgL_rtl_castz00_bglt;

	typedef struct BgL_rtl_cast_nullz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                       *BgL_rtl_cast_nullz00_bglt;

	typedef struct BgL_rtl_protectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                     *BgL_rtl_protectz00_bglt;

	typedef struct BgL_rtl_protectedz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                       *BgL_rtl_protectedz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;


#endif													// BGL_SAW_DEFS_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	BGL_EXPORTED_DECL bool_t BGl_rtl_protectedzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_ifeqzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_ifeqz00_bglt, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_insz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL bool_t BGl_rtl_effectzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vsetzd2loczd2zzsaw_defsz00(BgL_rtl_vsetz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_vsetzd2typezd2zzsaw_defsz00(BgL_rtl_vsetz00_bglt);
	static obj_t BGl_z62rtl_inszd2argsza2z12zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_globalrefz00_bglt
		BGl_makezd2rtl_globalrefzd2zzsaw_defsz00(obj_t, BgL_globalz00_bglt);
	static obj_t BGl_z62rtl_regzd2varzb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62dumpzd2inszd2rhsz62zzsaw_defsz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_vsetzf3zf3zzsaw_defsz00(obj_t);
	static BgL_rtl_castz00_bglt BGl_z62rtl_castzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_switchzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62rtl_castzd2totypezb0zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32591ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_boxrefzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_funcallz00zzsaw_defsz00 = BUNSPEC;
	static BgL_rtl_protectedz00_bglt BGl_z62lambda2824z62zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_callz00_bglt
		BGl_makezd2rtl_callzd2zzsaw_defsz00(obj_t, BgL_globalz00_bglt);
	static obj_t BGl_z62rtl_inszd2destzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_protectedz00_bglt BGl_z62lambda2826z62zzsaw_defsz00(obj_t);
	static BgL_rtl_lightfuncallz00_bglt BGl_z62lambda2666z62zzsaw_defsz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_selectzd2loczd2zzsaw_defsz00(BgL_rtl_selectz00_bglt);
	static BgL_rtl_lightfuncallz00_bglt BGl_z62lambda2668z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_regzd2typezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_lightfuncallzd2rettypezd2setz12z12zzsaw_defsz00
		(BgL_rtl_lightfuncallz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_instanceofz00_bglt
		BGl_makezd2rtl_instanceofzd2zzsaw_defsz00(obj_t, BgL_typez00_bglt);
	static obj_t BGl_z62rtl_getfieldzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzd2hardwarezd2zzsaw_defsz00(BgL_rtl_regz00_bglt);
	static BgL_rtl_loadfunz00_bglt
		BGl_z62makezd2rtl_loadfunzb0zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_switchzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_switchz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_gozd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_goz00_bglt, obj_t);
	static obj_t BGl_z62rtl_inszd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62dumpzd2rtl_ins1800zb0zzsaw_defsz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_valloczf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_ifeqzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32754ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_vsetzd2vtypezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_insz00_bglt BGl_z62lambda2834z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_funzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_inszf3zf3zzsaw_defsz00(obj_t);
	static BgL_rtl_insz00_bglt BGl_z62lambda2836z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62lambda2676z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2677z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_regz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_returnzd2typezd2zzsaw_defsz00(BgL_rtl_returnz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_returnz00_bglt
		BGl_rtl_returnzd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62rtl_retzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32012ze3ze5zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_castzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_effectz00_bglt BGl_z62makezd2rtl_effectzb0zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_z62dumpzd2funzb0zzsaw_defsz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32828ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2682z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_newzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62lambda2683z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_lightfuncallzd2namezd2zzsaw_defsz00(BgL_rtl_lightfuncallz00_bglt);
	static BgL_rtl_boxsetz00_bglt BGl_z62rtl_boxsetzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62lambda2847z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2848z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_callzd2varzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_cast_nullz00_bglt
		BGl_z62makezd2rtl_cast_nullzb0zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62rtl_cast_nullzd2typezb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_lastz00_bglt
		BGl_makezd2rtl_lastzd2zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_retblockzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_setfieldz00_bglt
		BGl_z62rtl_setfieldzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_castzd2fromtypezd2setz12z12zzsaw_defsz00(BgL_rtl_castz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62lambda2691z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2854z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2692z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_cast_nullzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_cast_nullz00_bglt,
		obj_t);
	static obj_t BGl_z62lambda2855z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_returnzd2loczd2zzsaw_defsz00(BgL_rtl_returnz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_switchzd2labelszd2setz12z12zzsaw_defsz00(BgL_rtl_switchz00_bglt,
		obj_t);
	static BgL_blockz00_bglt BGl_z62rtl_gozd2tozb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_switchzd2labelszd2zzsaw_defsz00(BgL_rtl_switchz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_rtl_vrefz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_ifzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_ifz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_setfieldzd2objtypezd2setz12z12zzsaw_defsz00
		(BgL_rtl_setfieldz00_bglt, BgL_typez00_bglt);
	static BgL_typez00_bglt BGl_z62rtl_castzd2fromtypezb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_vrefzd2vtypezd2zzsaw_defsz00(BgL_rtl_vrefz00_bglt);
	static BgL_rtl_funcallz00_bglt
		BGl_z62rtl_funcallzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_vlengthzd2vtypezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static bool_t BGl_dumpzd2argszd2zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_protectz00zzsaw_defsz00 = BUNSPEC;
	static BgL_globalz00_bglt BGl_z62rtl_loadfunzd2varzb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_makeboxzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_boxsetzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2861z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2862z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_funz00_bglt BGl_z62lambda2867z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2868z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_ifnez00_bglt
		BGl_rtl_ifnezd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_newzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_newz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_rtl_boxsetz00zzsaw_defsz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_getenvz00zz__osz00(obj_t);
	static BgL_globalz00_bglt BGl_z62rtl_callzd2varzb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_storegzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_instanceofz00_bglt
		BGl_rtl_instanceofzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_selectzd2patternszd2zzsaw_defsz00(BgL_rtl_selectz00_bglt);
	static obj_t BGl_z62rtl_failzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_setfieldzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_cast_nullzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_notseqzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32863ze3ze5zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_makeboxz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_callzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_regz00_bglt BGl_z62lambda1987z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_rtl_regz00_bglt BGl_z62lambda1989z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_nopzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzd2keyzd2zzsaw_defsz00(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62rtl_funzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_insz00_bglt
		BGl_makezd2rtl_inszd2zzsaw_defsz00(obj_t, obj_t, obj_t, BgL_rtl_funz00_bglt,
		obj_t);
	static obj_t BGl_z62rtl_instanceofzd2loczd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_funcallzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzsaw_defsz00(void);
	static obj_t BGl_z62lambda2880z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2881z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_boxrefzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_boxrefz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_ifnezd2loczd2zzsaw_defsz00(BgL_rtl_ifnez00_bglt);
	static BgL_rtl_notseqz00_bglt BGl_z62rtl_notseqzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_lightfuncallzd2namezb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda1999z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_instanceofzd2loczd2zzsaw_defsz00(BgL_rtl_instanceofz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_setfieldzd2namezd2zzsaw_defsz00(BgL_rtl_setfieldz00_bglt);
	BGL_EXPORTED_DECL BgL_blockz00_bglt
		BGl_rtl_gozd2tozd2zzsaw_defsz00(BgL_rtl_goz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32849ze3ze5zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_pragmazd2formatzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_castzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_castz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_stringzd2containszd2zz__r4_strings_6_7z00(obj_t, obj_t,
		int);
	static obj_t BGl_z62rtl_effectzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_ifeqz00_bglt
		BGl_rtl_ifeqzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DECL BgL_rtl_castz00_bglt
		BGl_makezd2rtl_castzd2zzsaw_defsz00(obj_t, BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62rtl_instanceofzd2typezd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32107ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_lightfuncallz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_rtl_retblockz00_bglt
		BGl_makezd2rtl_retblockzd2zzsaw_defsz00(obj_t);
	static obj_t BGl_z62dumpzd2basiczd2blocksz62zzsaw_defsz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31991ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_pragmaz00_bglt BGl_z62makezd2rtl_pragmazb0zzsaw_defsz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_notseqzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_boxrefzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_dumpza2za2zzsaw_defsz00(obj_t, obj_t, int);
	static obj_t BGl_z62rtl_applyzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62dumpzd2funzd2rtl_loadg1812z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_movz00zzsaw_defsz00 = BUNSPEC;
	static BgL_rtl_applyz00_bglt BGl_z62makezd2rtl_applyzb0zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32213ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_failzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32035ze3ze5zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32019ze3ze5zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_jumpexitz00_bglt
		BGl_makezd2rtl_jumpexitzd2zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vsetzd2vtypezd2setz12z12zzsaw_defsz00(BgL_rtl_vsetz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62rtl_lightfuncallzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_valloczf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_loadfunzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_getfieldzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzd2onexprzf3z43zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_ifeqzd2loczd2zzsaw_defsz00(BgL_rtl_ifeqz00_bglt);
	static BgL_rtl_lightfuncallz00_bglt
		BGl_z62rtl_lightfuncallzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_boxrefz00_bglt
		BGl_rtl_boxrefzd2nilzd2zzsaw_defsz00(void);
	static BgL_rtl_ifeqz00_bglt BGl_z62makezd2rtl_ifeqzb0zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static BgL_rtl_boxrefz00_bglt BGl_z62makezd2rtl_boxrefzb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_returnzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_appendzd221011zd2zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_storegz00_bglt BGl_z62rtl_storegzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62dumpz62zzsaw_defsz00(obj_t, obj_t, obj_t, obj_t);
	static BgL_rtl_purez00_bglt BGl_z62makezd2rtl_purezb0zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzsaw_defsz00(void);
	static obj_t BGl_z62rtl_cast_nullzd2typezd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_retblockz00zzsaw_defsz00 = BUNSPEC;
	static BgL_rtl_loadgz00_bglt BGl_z62makezd2rtl_loadgzb0zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_vrefzf3z91zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_loadiz00_bglt BGl_z62makezd2rtl_loadizb0zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32142ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_setfieldz00_bglt
		BGl_makezd2rtl_setfieldzd2zzsaw_defsz00(obj_t, obj_t, BgL_typez00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_gozd2tozd2setz12z12zzsaw_defsz00(BgL_rtl_goz00_bglt,
		BgL_blockz00_bglt);
	static BgL_rtl_globalrefz00_bglt
		BGl_z62rtl_globalrefzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_IMPORT obj_t bgl_typeof(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2destzd2zzsaw_defsz00(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32958ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_retzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_lightfuncallz00_bglt
		BGl_rtl_lightfuncallzd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62rtl_lightfuncallzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_boxrefzd2loczd2zzsaw_defsz00(BgL_rtl_boxrefz00_bglt);
	static BgL_rtl_vsetz00_bglt BGl_z62makezd2rtl_vsetzb0zzsaw_defsz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_cast_nullz00_bglt
		BGl_rtl_cast_nullzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DEF obj_t BGl_rtl_jumpexitz00zzsaw_defsz00 = BUNSPEC;
	static BgL_rtl_vsetz00_bglt BGl_z62rtl_vsetzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_dumpzd2funzd2zzsaw_defsz00(BgL_rtl_funz00_bglt,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32054ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32127ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_boxsetz00_bglt
		BGl_makezd2rtl_boxsetzd2zzsaw_defsz00(obj_t);
	static obj_t BGl_z62dumpzd2funzd2rtl_switch1818z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_storegzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockzd2firstzd2setz12z12zzsaw_defsz00(BgL_blockz00_bglt, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_switchz00zzsaw_defsz00 = BUNSPEC;
	BGL_IMPORT obj_t make_string(long, unsigned char);
	BGL_EXPORTED_DEF obj_t BGl_rtl_goz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_retblockzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_notseqzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_notseqz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_setfieldzd2typezd2zzsaw_defsz00(BgL_rtl_setfieldz00_bglt);
	static obj_t BGl_z62rtl_globalrefzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_showzd2funzd2zzsaw_defsz00(BgL_rtl_funz00_bglt, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_ifnezd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_ifnez00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_lightfuncallzd2loczd2zzsaw_defsz00(BgL_rtl_lightfuncallz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_rtl_instanceofz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_castzd2fromtypezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_cast_nullzd2loczd2zzsaw_defsz00(BgL_rtl_cast_nullz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_rtl_setfieldz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_cast_nullzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_nopzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_nopz00_bglt, obj_t);
	static obj_t BGl_z62rtl_switchzd2labelszd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_vsetzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_inszd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_newzd2constrzb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzd2keyzb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32072ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_blockz00_bglt BGl_makezd2blockzd2zzsaw_defsz00(int,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_inszd2z52spillze2zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_ifz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL bool_t BGl_rtl_vrefzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_retzd2tozd2setz12z12zzsaw_defsz00(BgL_rtl_retz00_bglt,
		BgL_blockz00_bglt);
	static obj_t BGl_z62rtl_newzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32162ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_movz00_bglt
		BGl_makezd2rtl_movzd2zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32308ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62dump1795z62zzsaw_defsz00(obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_purezd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_purez00_bglt, obj_t);
	static BgL_typez00_bglt BGl_z62rtl_vlengthzd2vtypezb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_instanceofzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_nopzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62dumpzd2funzd2rtl_ifne1822z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_rtl_vallocz00_bglt BGl_z62makezd2rtl_valloczb0zzsaw_defsz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62dumpzd2funzd2rtl_loadi1808z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_blockzf3zf3zzsaw_defsz00(obj_t);
	static BgL_rtl_failz00_bglt BGl_z62lambda2103z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_failz00_bglt BGl_z62lambda2105z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_pragmazd2srfi0zd2setz12z12zzsaw_defsz00(BgL_rtl_pragmaz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2argszd2zzsaw_defsz00(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_rtl_applyzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_pragmaz00_bglt
		BGl_rtl_pragmazd2nilzd2zzsaw_defsz00(void);
	static BgL_blockz00_bglt BGl_z62makezd2blockzb0zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_cast_nullz00_bglt
		BGl_makezd2rtl_cast_nullzd2zzsaw_defsz00(obj_t, BgL_typez00_bglt);
	static obj_t BGl_z62rtl_switchzd2patternszd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_valloczd2typezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_makeboxzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_cast_nullzd2typezd2zzsaw_defsz00(BgL_rtl_cast_nullz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_rtl_storegz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL bool_t BGl_rtl_pragmazf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32431ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_retblockz00_bglt BGl_z62lambda2113z62zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_loadgzd2varzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_makeboxz00_bglt
		BGl_z62rtl_makeboxzd2nilzb0zzsaw_defsz00(obj_t);
	static BgL_rtl_retblockz00_bglt BGl_z62lambda2115z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32326ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_lastz00_bglt
		BGl_rtl_lastzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_pragmazd2formatzd2zzsaw_defsz00(BgL_rtl_pragmaz00_bglt);
	static BgL_rtl_retz00_bglt BGl_z62lambda2123z62zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32343ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_retz00_bglt BGl_z62lambda2125z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_vrefzd2typezd2zzsaw_defsz00(BgL_rtl_vrefz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_pragmazd2loczd2zzsaw_defsz00(BgL_rtl_pragmaz00_bglt);
	static obj_t BGl_z62rtl_returnzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_valloczd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_vallocz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62rtl_applyzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_makeboxzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_makeboxz00_bglt,
		obj_t);
	static obj_t BGl_z62rtl_makeboxzf3z91zzsaw_defsz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62rtl_vlengthzd2typezb0zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_vsetzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62dumpzd2funzd2rtl_ifeq1820z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62rtl_storegzd2varzb0zzsaw_defsz00(obj_t,
		obj_t);
	static BgL_rtl_ifnez00_bglt BGl_z62makezd2rtl_ifnezb0zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static BgL_rtl_ifnez00_bglt BGl_z62rtl_ifnezd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_makeboxzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2131z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32522ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2132z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32182ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_lastzd2loczd2zzsaw_defsz00(BgL_rtl_lastz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32255ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_notseqz00_bglt BGl_z62lambda2138z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_loadgzf3zf3zzsaw_defsz00(obj_t);
	static BgL_blockz00_bglt BGl_z62rtl_ifeqzd2thenzb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_getfieldzd2objtypezd2setz12z12zzsaw_defsz00
		(BgL_rtl_getfieldz00_bglt, BgL_typez00_bglt);
	static BgL_globalz00_bglt BGl_z62rtl_globalrefzd2varzb0zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_loadgzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	static BgL_typez00_bglt BGl_z62rtl_vsetzd2typezb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_funz00_bglt BGl_rtl_funzd2nilzd2zzsaw_defsz00(void);
	static BgL_rtl_insz00_bglt BGl_z62makezd2rtl_inszb0zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_rtl_notseqz00_bglt BGl_z62lambda2140z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_switchz00_bglt
		BGl_makezd2rtl_switchzd2zzsaw_defsz00(obj_t, BgL_typez00_bglt, obj_t,
		obj_t);
	static BgL_rtl_loadfunz00_bglt BGl_z62lambda2304z62zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32507ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_loadfunz00_bglt BGl_z62lambda2306z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2destzd2setz12z12zzsaw_defsz00(BgL_rtl_insz00_bglt, obj_t);
	static obj_t BGl_z62rtl_vrefzd2typezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_ifz00_bglt BGl_z62lambda2148z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_lightfuncallzd2funszd2zzsaw_defsz00(BgL_rtl_lightfuncallz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_regz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_vlengthz00_bglt
		BGl_rtl_vlengthzd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62rtl_pragmazd2srfi0zd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_failz00_bglt
		BGl_rtl_failzd2nilzd2zzsaw_defsz00(void);
	static BgL_rtl_callz00_bglt BGl_z62makezd2rtl_callzb0zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_ifnezd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_vlengthzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_failz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_switchzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_castzd2totypezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_ifz00_bglt BGl_z62lambda2150z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_vrefz00_bglt
		BGl_makezd2rtl_vrefzd2zzsaw_defsz00(obj_t, BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_globalz00_bglt BGl_z62lambda2314z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2315z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vlengthzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_vlengthz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_blockzd2labelzd2setz12z12zzsaw_defsz00(BgL_blockz00_bglt, int);
	static obj_t BGl_z62rtl_purezf3z91zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_selectz00_bglt BGl_z62lambda2158z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_loadizf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_loadgzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzd2debugnamezd2setz12z12zzsaw_defsz00(BgL_rtl_regz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_setfieldzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_castzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_funzd2loczd2zzsaw_defsz00(BgL_rtl_funz00_bglt);
	static BgL_rtl_vallocz00_bglt BGl_z62rtl_valloczd2nilzb0zzsaw_defsz00(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_rtl_ifeqz00_bglt BGl_z62rtl_ifeqzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_defsz00(void);
	static BgL_rtl_selectz00_bglt BGl_z62lambda2160z62zzsaw_defsz00(obj_t);
	static BgL_rtl_globalrefz00_bglt BGl_z62lambda2322z62zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static BgL_rtl_globalrefz00_bglt BGl_z62lambda2324z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vlengthzd2loczd2zzsaw_defsz00(BgL_rtl_vlengthz00_bglt);
	static obj_t BGl_z62rtl_inszd2argszd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62lambda2166z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2167z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_failzd2loczd2zzsaw_defsz00(BgL_rtl_failz00_bglt);
	static BgL_typez00_bglt BGl_z62rtl_switchzd2typezb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_applyzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_applyz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_getfieldzd2namezd2setz12z12zzsaw_defsz00(BgL_rtl_getfieldz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_callzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_callz00_bglt,
		BgL_globalz00_bglt);
	static BgL_rtl_selectz00_bglt BGl_z62makezd2rtl_selectzb0zzsaw_defsz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_castzd2totypezd2setz12z12zzsaw_defsz00(BgL_rtl_castz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32720ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2330z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2331z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32542ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2171z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2172z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32275ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_vlengthz00_bglt
		BGl_makezd2rtl_vlengthzd2zzsaw_defsz00(obj_t, BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32097ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_lastz00_bglt BGl_z62makezd2rtl_lastzb0zzsaw_defsz00(obj_t,
		obj_t);
	static BgL_rtl_getfieldz00_bglt BGl_z62lambda2339z62zzsaw_defsz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_rtl_switchz00_bglt BGl_z62lambda2178z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_valloczd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_castzd2fromtypezd2zzsaw_defsz00(BgL_rtl_castz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_rtl_globalrefz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_loadizf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_loadfunzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_protectz00_bglt
		BGl_rtl_protectzd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62rtl_valloczd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_ifeqzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_newz00_bglt BGl_rtl_newzd2nilzd2zzsaw_defsz00(void);
	static BgL_rtl_protectedz00_bglt
		BGl_z62makezd2rtl_protectedzb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_effectz00_bglt BGl_z62lambda2502z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_storegz00_bglt
		BGl_makezd2rtl_storegzd2zzsaw_defsz00(obj_t, BgL_globalz00_bglt);
	static BgL_rtl_getfieldz00_bglt BGl_z62lambda2341z62zzsaw_defsz00(obj_t);
	static BgL_rtl_switchz00_bglt BGl_z62lambda2180z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32292ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_effectz00_bglt BGl_z62lambda2504z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62lambda2186z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2187z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2349z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_returnzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_retblockz00_bglt
		BGl_z62rtl_retblockzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_lightfuncallzd2funszb0zzsaw_defsz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2namezd2zz__objectz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_getfieldz00_bglt
		BGl_rtl_getfieldzd2nilzd2zzsaw_defsz00(void);
	static BgL_rtl_selectz00_bglt BGl_z62rtl_selectzd2nilzb0zzsaw_defsz00(obj_t);
	static BgL_rtl_funcallz00_bglt
		BGl_z62makezd2rtl_funcallzb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_movzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_movz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2funzd2setz12z12zzsaw_defsz00(BgL_rtl_insz00_bglt,
		BgL_rtl_funz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_rtl_purezf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_pragmazf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_blockz00_bglt
		BGl_rtl_ifnezd2thenzd2zzsaw_defsz00(BgL_rtl_ifnez00_bglt);
	extern obj_t BGl_za2userzd2shapezf3za2z21zzengine_paramz00;
	static obj_t BGl_z62lambda2350z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_callzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_callz00_bglt, obj_t);
	static BgL_rtl_storegz00_bglt BGl_z62lambda2515z62zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_ifeqz00_bglt BGl_z62lambda2193z62zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62lambda2355z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2356z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_ifeqz00_bglt BGl_z62lambda2195z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_vlengthzd2typezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62blockzd2succszd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_castzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_protectzd2loczd2zzsaw_defsz00(BgL_rtl_protectz00_bglt);
	static BgL_rtl_jumpexitz00_bglt
		BGl_z62rtl_jumpexitzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_inszd2destzb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_protectedzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_funcallzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_returnz00_bglt BGl_z62makezd2rtl_returnzb0zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t c_substring(obj_t, long, long);
	BGL_EXPORTED_DECL bool_t BGl_rtl_jumpexitzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_newzd2loczd2zzsaw_defsz00(BgL_rtl_newz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_applyz00_bglt
		BGl_rtl_applyzd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62rtl_vrefzd2vtypezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_storegz00_bglt BGl_z62lambda2520z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_ifz00_bglt BGl_rtl_ifzd2nilzd2zzsaw_defsz00(void);
	static BgL_typez00_bglt BGl_z62rtl_setfieldzd2objtypezb0zzsaw_defsz00(obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62lambda2361z62zzsaw_defsz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_z62lambda2362z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62blockzd2predszd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_lightfuncallzd2funszd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2528z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_retblockzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2529z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_effectz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_getfieldzd2loczd2zzsaw_defsz00(BgL_rtl_getfieldz00_bglt);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_selectzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_loadfunz00_bglt
		BGl_makezd2rtl_loadfunzd2zzsaw_defsz00(obj_t, BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_lightfuncallzd2loczd2setz12z12zzsaw_defsz00
		(BgL_rtl_lightfuncallz00_bglt, obj_t);
	static BgL_rtl_vallocz00_bglt BGl_z62lambda2372z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_rtl_vallocz00_bglt BGl_z62lambda2374z62zzsaw_defsz00(obj_t);
	static BgL_rtl_setfieldz00_bglt BGl_z62lambda2537z62zzsaw_defsz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_jumpexitzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_setfieldz00_bglt BGl_z62lambda2539z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_funcallzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_funcallz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_blockzd2firstzd2zzsaw_defsz00(BgL_blockz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_applyzd2loczd2zzsaw_defsz00(BgL_rtl_applyz00_bglt);
	static BgL_rtl_returnz00_bglt BGl_z62rtl_returnzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_loadfunz00_bglt
		BGl_rtl_loadfunzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DECL obj_t BGl_rtl_ifzd2loczd2zzsaw_defsz00(BgL_rtl_ifz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_setfieldzd2objtypezd2zzsaw_defsz00(BgL_rtl_setfieldz00_bglt);
	static BgL_rtl_castz00_bglt BGl_z62makezd2rtl_castzb0zzsaw_defsz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_dumpzd2basiczd2blocksz00zzsaw_defsz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_rtl_funz00_bglt BGl_z62rtl_funzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_IMPORT bool_t BGl_stringzd2prefixzf3z21zz__r4_strings_6_7z00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_ifeqzd2thenzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62lambda2381z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2382z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_ifz00_bglt BGl_z62rtl_ifzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62lambda2547z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2548z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2388z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_notseqz00_bglt BGl_z62makezd2rtl_notseqzb0zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2389z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_protectz00_bglt
		BGl_z62makezd2rtl_protectzb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_switchzd2patternszb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62rtl_valloczd2typezb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_switchzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_switchz00_bglt,
		obj_t);
	static obj_t BGl_z62rtl_regzd2debugnamezb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_lightfuncallzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32920ze3ze5zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_setfieldz00_bglt
		BGl_rtl_setfieldzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DECL bool_t BGl_rtl_protectzf3zf3zzsaw_defsz00(obj_t);
	static BgL_rtl_movz00_bglt BGl_z62makezd2rtl_movzb0zzsaw_defsz00(obj_t,
		obj_t);
	static BgL_rtl_funcallz00_bglt BGl_z62lambda2713z62zzsaw_defsz00(obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62lambda2552z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_funcallzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62lambda2553z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_funcallz00_bglt BGl_z62lambda2716z62zzsaw_defsz00(obj_t);
	static BgL_typez00_bglt BGl_z62lambda2557z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2558z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_vrefz00_bglt BGl_z62lambda2399z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_globalrefzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_returnzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_loadfunzd2loczd2zzsaw_defsz00(BgL_rtl_loadfunz00_bglt);
	static obj_t BGl_z62dumpzd2funzd2rtl_fun1806z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_rtl_makeboxz00_bglt
		BGl_z62makezd2rtl_makeboxzb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_funzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_effectz00_bglt
		BGl_rtl_effectzd2nilzd2zzsaw_defsz00(void);
	static BgL_typez00_bglt BGl_z62rtl_vrefzd2vtypezb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_ifzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32905ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_pragmaz00_bglt BGl_z62lambda2726z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_rtl_vsetz00_bglt BGl_z62lambda2564z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_rtl_pragmaz00_bglt BGl_z62lambda2728z62zzsaw_defsz00(obj_t);
	static BgL_rtl_vsetz00_bglt BGl_z62lambda2566z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_inszd2argszb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_selectzd2typezd2zzsaw_defsz00(BgL_rtl_selectz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_dumpzd2marginzd2zzsaw_defsz00(obj_t, int);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_loadgzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_loadgz00_bglt,
		BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_setfieldzd2loczd2zzsaw_defsz00(BgL_rtl_setfieldz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_globalrefz00_bglt
		BGl_rtl_globalrefzd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62rtl_callzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32671ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_vrefz00_bglt
		BGl_rtl_vrefzd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62rtl_pragmazd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2tracezd2portza2zd2zztools_tracez00;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_valloczd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_vallocz00_bglt,
		obj_t);
	static obj_t BGl_z62lambda2734z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2735z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2574z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2575z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_lastz00_bglt BGl_z62rtl_lastzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_cast_nullzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2739z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2579z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_funzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_funz00_bglt, obj_t);
	static obj_t BGl_z62rtl_regzd2debugnamezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_retzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_loadgz00_bglt
		BGl_rtl_loadgzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_effectzd2loczd2zzsaw_defsz00(BgL_rtl_effectz00_bglt);
	static obj_t BGl_z62rtl_setfieldzd2objtypezd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_jumpexitzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_jumpexitz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_castzd2totypezd2zzsaw_defsz00(BgL_rtl_castz00_bglt);
	static obj_t BGl_z62rtl_lastzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_valloczd2vtypezd2setz12z12zzsaw_defsz00(BgL_rtl_vallocz00_bglt,
		BgL_typez00_bglt);
	static BgL_rtl_newz00_bglt BGl_z62rtl_newzd2nilzb0zzsaw_defsz00(obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2900z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_movz00_bglt BGl_rtl_movzd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62lambda2740z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2903z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_returnzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_returnz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32818ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32656ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2580z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_vsetzd2vtypezd2zzsaw_defsz00(BgL_rtl_vsetz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_rtl_funz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_rtl_newz00zzsaw_defsz00 = BUNSPEC;
	static BgL_rtl_boxsetz00_bglt BGl_z62lambda2586z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_boxsetz00_bglt BGl_z62lambda2588z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_getfieldzd2namezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_selectzd2patternszd2setz12z12zzsaw_defsz00(BgL_rtl_selectz00_bglt,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_pragmaz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_globalrefzd2loczd2zzsaw_defsz00(BgL_rtl_globalrefz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_globalrefzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_globalrefz00_bglt,
		BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vrefzd2loczd2zzsaw_defsz00(BgL_rtl_vrefz00_bglt);
	static BgL_rtl_protectedz00_bglt
		BGl_z62rtl_protectedzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_gozd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32940ze3ze5zzsaw_defsz00(obj_t);
	static obj_t BGl_z62lambda2911z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62dumpzd2funzd2rtl_go1824z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2912z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_castz00_bglt BGl_z62lambda2750z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_lastzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_castz00_bglt BGl_z62lambda2752z62zzsaw_defsz00(obj_t);
	BGL_IMPORT bool_t BGl_stringzd2suffixzf3z21zz__r4_strings_6_7z00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2918z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_lightfuncallzd2namezd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda2919z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_loadgzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_loadgz00_bglt, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2758z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_getfieldzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_getfieldz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62lambda2759z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_newz00_bglt BGl_z62lambda2598z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_newzd2constrzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_loadgzd2loczd2zzsaw_defsz00(BgL_rtl_loadgz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vrefzd2vtypezd2setz12z12zzsaw_defsz00(BgL_rtl_vrefz00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2accesszd2shapezf3za2z21zzengine_paramz00;
	static BgL_typez00_bglt BGl_z62rtl_returnzd2typezb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_effectz00_bglt
		BGl_makezd2rtl_effectzd2zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_newzd2typezd2zzsaw_defsz00(BgL_rtl_newz00_bglt);
	BGL_EXPORTED_DECL BgL_blockz00_bglt
		BGl_rtl_retzd2tozd2zzsaw_defsz00(BgL_rtl_retz00_bglt);
	static obj_t BGl_z62rtl_newzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vrefzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_vrefz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_movzd2loczd2zzsaw_defsz00(BgL_rtl_movz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_rtl_boxrefz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32496ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2925z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32569ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2926z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2764z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2765z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62rtl_valloczd2vtypezb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static BgL_rtl_failz00_bglt BGl_z62rtl_failzd2nilzb0zzsaw_defsz00(obj_t);
	static BgL_rtl_getfieldz00_bglt
		BGl_z62makezd2rtl_getfieldzb0zzsaw_defsz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62dumpzd2funzd2rtl_loadfun1814z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_setfieldzd2namezd2setz12z12zzsaw_defsz00(BgL_rtl_setfieldz00_bglt,
		obj_t);
	static obj_t BGl_z62rtl_getfieldzd2namezb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_loadizd2constantzd2setz12z12zzsaw_defsz00(BgL_rtl_loadiz00_bglt,
		BgL_atomz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_rtl_callzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_protectedzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_vlengthzd2vtypezd2zzsaw_defsz00(BgL_rtl_vlengthz00_bglt);
	static obj_t BGl_z62rtl_vlengthzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_loadfunzd2varzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_z62rtl_ifnezf3z91zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_cast_nullz00_bglt BGl_z62lambda2771z62zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static BgL_rtl_cast_nullz00_bglt BGl_z62lambda2775z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62lambda2938z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2939z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_pragmazd2srfi0zb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_globalrefzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_globalrefz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_funcallz00_bglt
		BGl_rtl_funcallzd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62blockzd2firstzb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_ifzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DECL BgL_rtl_retz00_bglt BGl_rtl_retzd2nilzd2zzsaw_defsz00(void);
	static BgL_rtl_boxrefz00_bglt BGl_z62rtl_boxrefzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_rtl_loadfunzd2varzd2zzsaw_defsz00(BgL_rtl_loadfunz00_bglt);
	static obj_t BGl_z62rtl_jumpexitzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_blockz00_bglt BGl_z62rtl_retzd2tozb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_switchz00_bglt
		BGl_rtl_switchzd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62zc3z04anonymousza32781ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_ifeqz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_valloczd2vtypezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32927ze3ze5zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_purez00_bglt
		BGl_rtl_purezd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62rtl_failzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_switchzd2patternszd2zzsaw_defsz00(BgL_rtl_switchz00_bglt);
	static obj_t BGl_z62dumpzd2funzd2rtl_new1832z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_vlengthz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_loadfunzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_loadfunz00_bglt,
		BgL_globalz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_rtl_purez00zzsaw_defsz00 = BUNSPEC;
	extern obj_t BGl_za2typezd2shapezf3za2z21zzengine_paramz00;
	static obj_t BGl_z62rtl_gozd2tozd2setz12z70zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_blockzd2succszd2zzsaw_defsz00(BgL_blockz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32839ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzsaw_defsz00(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_protectedzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_protectedz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_funcallzd2loczd2zzsaw_defsz00(BgL_rtl_funcallz00_bglt);
	static obj_t BGl_z62rtl_ifzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_loadizd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_loadfunzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62rtl_getfieldzd2objtypezb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_protectedz00_bglt
		BGl_makezd2rtl_protectedzd2zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_retzd2loczd2zzsaw_defsz00(BgL_rtl_retz00_bglt);
	static obj_t BGl_z62shapezd2rtl_reg1794zb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_boxrefzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_switchzd2loczd2zzsaw_defsz00(BgL_rtl_switchz00_bglt);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_vsetz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_rtl_failz00_bglt
		BGl_makezd2rtl_failzd2zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_purezd2loczd2zzsaw_defsz00(BgL_rtl_purez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vsetzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_vsetz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32856ze3ze5zzsaw_defsz00(obj_t);
	static BgL_typez00_bglt BGl_z62rtl_vrefzd2typezb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_funz00_bglt
		BGl_makezd2rtl_funzd2zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_newz00_bglt
		BGl_makezd2rtl_newzd2zzsaw_defsz00(obj_t, BgL_typez00_bglt, obj_t);
	static obj_t BGl_z62dumpzd2marginzb0zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_notseqzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_pragmazd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_pragmaz00_bglt,
		obj_t);
	static obj_t BGl_z62rtl_ifnezd2thenzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_selectzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_regzd2hardwarezb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62rtl_instanceofzd2typezb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_ifnezf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_rtl_globalrefzd2varzd2zzsaw_defsz00(BgL_rtl_globalrefz00_bglt);
	extern obj_t BGl_za2keyzd2shapezf3za2z21zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzd2namezd2zzsaw_defsz00(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_loadfunzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_loadfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_getfieldzd2objtypezd2zzsaw_defsz00(BgL_rtl_getfieldz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_insz00_bglt, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl_z62rtl_regzd2varzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_lightfuncallzd2rettypezd2zzsaw_defsz00
		(BgL_rtl_lightfuncallz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_loadiz00_bglt
		BGl_rtl_loadizd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_rtl_loadgzd2varzd2zzsaw_defsz00(BgL_rtl_loadgz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_rtl_regz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_boxsetzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_goz00_bglt BGl_makezd2rtl_gozd2zzsaw_defsz00(obj_t,
		BgL_blockz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_rtl_vallocz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_rtl_pragmaz00_bglt
		BGl_makezd2rtl_pragmazd2zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_boxsetz00_bglt
		BGl_rtl_boxsetzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DEF obj_t BGl_rtl_cast_nullz00zzsaw_defsz00 = BUNSPEC;
	static BgL_rtl_movz00_bglt BGl_z62rtl_movzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_loadfunz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_storegzd2varzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtlzd2dumpzb0zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_retz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_newzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_newz00_bglt, obj_t);
	static obj_t BGl_z62rtl_movzf3z91zzsaw_defsz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62rtl_getfieldzd2typezb0zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32043ze3ze5zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32027ze3ze5zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_vrefzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_vlengthzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_vrefz00_bglt BGl_z62makezd2rtl_vrefzb0zzsaw_defsz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzd2onexprzf3z21zzsaw_defsz00(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_newzd2constrzd2setz12z12zzsaw_defsz00(BgL_rtl_newz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_boxrefz00_bglt
		BGl_makezd2rtl_boxrefzd2zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_loadizd2loczd2zzsaw_defsz00(BgL_rtl_loadiz00_bglt);
	static obj_t BGl_z62rtl_setfieldzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_writez00zz__r4_output_6_10_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_ifz00_bglt BGl_makezd2rtl_ifzd2zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_ifeqzd2thenzd2setz12z12zzsaw_defsz00(BgL_rtl_ifeqz00_bglt,
		BgL_blockz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32117ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2argszd2setz12z12zzsaw_defsz00(BgL_rtl_insz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_boxsetzd2loczd2zzsaw_defsz00(BgL_rtl_boxsetz00_bglt);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_movzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_nopz00zzsaw_defsz00 = BUNSPEC;
	static BgL_rtl_pragmaz00_bglt BGl_z62rtl_pragmazd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62dumpzd2funzd2rtl_mov1810z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_gozf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vlengthzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_vlengthz00_bglt,
		obj_t);
	static obj_t BGl_z62rtl_storegzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_globalrefzd2varzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzd2onexprzf3zd2setz12z83zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_protectzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_failzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_getfieldzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_getfieldz00_bglt,
		obj_t);
	static obj_t BGl_z62rtl_funcallzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2argsza2z70zzsaw_defsz00(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62rtl_ifeqzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_getfieldzd2typezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_setfieldzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_setfieldz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32062ze3ze5zzsaw_defsz00(obj_t);
	static BgL_rtl_retz00_bglt BGl_z62rtl_retzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_dumpz00zzsaw_defsz00(obj_t, obj_t, int);
	static BgL_rtl_boxsetz00_bglt BGl_z62makezd2rtl_boxsetzb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_vlengthzd2typezd2zzsaw_defsz00(BgL_rtl_vlengthz00_bglt);
	BGL_EXPORTED_DECL int BGl_blockzd2labelzd2zzsaw_defsz00(BgL_blockz00_bglt);
	static obj_t BGl_z62rtl_pragmazd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_notseqz00_bglt
		BGl_rtl_notseqzd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62rtl_vsetzd2typezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62dumpza2zc0zzsaw_defsz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32152ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_setfieldzd2namezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzd2onexprzf3zd2setz12ze1zzsaw_defsz00(BgL_rtl_regz00_bglt,
		obj_t);
	static obj_t BGl_z62shapezd2rtl_ins1792zb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_ifnez00zzsaw_defsz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(obj_t);
	static BgL_blockz00_bglt BGl_z62rtl_ifnezd2thenzb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_vrefz00_bglt BGl_z62rtl_vrefzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_regzd2typezd2zzsaw_defsz00(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62blockzd2succszb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_selectzd2typezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2000z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_setfieldzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_setfieldz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62rtl_globalrefzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_jumpexitzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2004z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32404ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_retzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_applyz00_bglt BGl_z62rtl_applyzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62lambda2005z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_nopz00_bglt BGl_rtl_nopzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_notseqzd2loczd2zzsaw_defsz00(BgL_rtl_notseqz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt
		BGl_makezd2rtl_regzd2zzsaw_defsz00(BgL_typez00_bglt, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_callz00_bglt
		BGl_rtl_callzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DECL BgL_rtl_applyz00_bglt
		BGl_makezd2rtl_applyzd2zzsaw_defsz00(obj_t);
	BGL_IMPORT obj_t
		BGl_callzd2withzd2outputzd2stringzd2zz__r4_ports_6_10_1z00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_retz00_bglt
		BGl_makezd2rtl_retzd2zzsaw_defsz00(obj_t, BgL_blockz00_bglt);
	static obj_t BGl_z62lambda2010z62zzsaw_defsz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_close_output_port(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_instanceofzd2typezd2zzsaw_defsz00(BgL_rtl_instanceofz00_bglt);
	static obj_t BGl_z62lambda2011z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_retzd2tozd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_callz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_notseqzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2017z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_selectz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62lambda2018z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_vrefzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_selectzf3z91zzsaw_defsz00(obj_t, obj_t);
	static BgL_atomz00_bglt BGl_z62rtl_loadizd2constantzb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_selectzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_selectz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_vallocz00_bglt
		BGl_makezd2rtl_valloczd2zzsaw_defsz00(obj_t, BgL_typez00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt BGl_rtl_regzd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62rtl_getfieldzd2objtypezd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_getfieldzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_instanceofzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_protectedzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_applyzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_nopzd2loczd2zzsaw_defsz00(BgL_rtl_nopz00_bglt);
	static obj_t BGl_z62rtl_switchzd2labelszb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_boxsetzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_boxsetz00_bglt,
		obj_t);
	static obj_t BGl_z62rtl_setfieldzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32082ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2025z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62rtl_newzd2typezb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2026z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32228ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_storegz00_bglt
		BGl_rtl_storegzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_storegzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_storegz00_bglt,
		BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_callzd2loczd2zzsaw_defsz00(BgL_rtl_callz00_bglt);
	static BgL_rtl_goz00_bglt BGl_z62makezd2rtl_gozb0zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_returnzd2typezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_loadgz00_bglt
		BGl_makezd2rtl_loadgzd2zzsaw_defsz00(obj_t, BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzd2debugnamezd2zzsaw_defsz00(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_loadiz00_bglt
		BGl_makezd2rtl_loadizd2zzsaw_defsz00(obj_t, BgL_atomz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_makeboxz00_bglt
		BGl_rtl_makeboxzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DECL BgL_rtl_nopz00_bglt
		BGl_makezd2rtl_nopzd2zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_newzd2typezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2033z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2034z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32245ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_lightfuncallz00_bglt
		BGl_makezd2rtl_lightfuncallzd2zzsaw_defsz00(obj_t, obj_t, obj_t, obj_t);
	static BgL_blockz00_bglt BGl_z62blockzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_instanceofzd2typezd2setz12z12zzsaw_defsz00
		(BgL_rtl_instanceofz00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_rtl_boxsetzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_lastz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_dumpzd2inszd2rhsz00zzsaw_defsz00(BgL_rtl_insz00_bglt, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_castz00_bglt
		BGl_rtl_castzd2nilzd2zzsaw_defsz00(void);
	static BgL_blockz00_bglt BGl_z62lambda2202z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32602ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2041z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2203z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2042z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_storegzd2loczd2zzsaw_defsz00(BgL_rtl_storegz00_bglt);
	static BgL_rtl_globalrefz00_bglt
		BGl_z62makezd2rtl_globalrefzb0zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_returnz00zzsaw_defsz00 = BUNSPEC;
	static BgL_rtl_ifz00_bglt BGl_z62makezd2rtl_ifzb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_inszd2z52spillzd2setz12z22zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_ifnez00_bglt BGl_z62lambda2209z62zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rtlzd2dumpzd2zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_retblockz00_bglt
		BGl_rtl_retblockzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DEF obj_t BGl_rtl_applyz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_returnzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_returnz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_debugzd2sawzd2zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62blockzd2firstzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_funcallz00_bglt
		BGl_makezd2rtl_funcallzd2zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_movzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_makeboxzd2loczd2zzsaw_defsz00(BgL_rtl_makeboxz00_bglt);
	static BgL_rtl_purez00_bglt BGl_z62rtl_purezd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_storegzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_storegz00_bglt,
		obj_t);
	static BgL_rtl_ifnez00_bglt BGl_z62lambda2211z62zzsaw_defsz00(obj_t);
	static BgL_rtl_funz00_bglt BGl_z62lambda2050z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_funz00_bglt BGl_z62lambda2052z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_funz00_bglt
		BGl_rtl_inszd2funzd2zzsaw_defsz00(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62rtl_loadizd2constantzd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2217z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockzd2succszd2setz12z12zzsaw_defsz00(BgL_blockz00_bglt, obj_t);
	static obj_t BGl_z62lambda2218z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_setfieldzd2namezb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_jumpexitz00_bglt
		BGl_rtl_jumpexitzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_loadizd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_loadiz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_newzd2constrzd2zzsaw_defsz00(BgL_rtl_newz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_castzd2loczd2zzsaw_defsz00(BgL_rtl_castz00_bglt);
	static obj_t BGl_z62rtl_castzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_nopzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_lastzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_lastz00_bglt, obj_t);
	static BgL_rtl_loadgz00_bglt BGl_z62rtl_loadgzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62lambda2060z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2061z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockzd2predszd2setz12z12zzsaw_defsz00(BgL_blockz00_bglt, obj_t);
	static BgL_rtl_goz00_bglt BGl_z62lambda2224z62zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2z52spillz80zzsaw_defsz00(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_retblockzd2loczd2zzsaw_defsz00(BgL_rtl_retblockz00_bglt);
	static BgL_rtl_goz00_bglt BGl_z62lambda2226z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_regzf3z91zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_switchz00_bglt BGl_z62makezd2rtl_switchzb0zzsaw_defsz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_rtl_lastz00_bglt BGl_z62lambda2068z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_goz00_bglt BGl_rtl_gozd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DEF obj_t BGl_rtl_loadgz00zzsaw_defsz00 = BUNSPEC;
	static BgL_rtl_retblockz00_bglt
		BGl_z62makezd2rtl_retblockzb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_loadiz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_purezd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62blockzd2labelzb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_vlengthz00_bglt
		BGl_z62rtl_vlengthzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_lightfuncallzd2rettypezd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_ifnezd2thenzd2setz12z12zzsaw_defsz00(BgL_rtl_ifnez00_bglt,
		BgL_blockz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_protectedz00_bglt
		BGl_rtl_protectedzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DEF obj_t BGl_rtl_notseqz00zzsaw_defsz00 = BUNSPEC;
	static BgL_rtl_funz00_bglt BGl_z62makezd2rtl_funzb0zzsaw_defsz00(obj_t,
		obj_t);
	static BgL_rtl_newz00_bglt BGl_z62makezd2rtl_newzb0zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62dumpzd2block1798zb0zzsaw_defsz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_rtl_lastz00_bglt BGl_z62lambda2070z62zzsaw_defsz00(obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2234z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32265ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_jumpexitzd2loczd2zzsaw_defsz00(BgL_rtl_jumpexitz00_bglt);
	static obj_t BGl_z62lambda2235z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_getfieldzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_blockzd2predszd2zzsaw_defsz00(BgL_blockz00_bglt);
	static BgL_rtl_returnz00_bglt BGl_z62lambda2078z62zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_jumpexitz00_bglt
		BGl_z62makezd2rtl_jumpexitzb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DECL BgL_blockz00_bglt BGl_blockzd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_defsz00(void);
	static obj_t BGl_z62rtl_selectzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_ifzf3zf3zzsaw_defsz00(obj_t);
	static BgL_rtl_lightfuncallz00_bglt
		BGl_z62makezd2rtl_lightfuncallzb0zzsaw_defsz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_instanceofzd2loczd2setz12z12zzsaw_defsz00
		(BgL_rtl_instanceofz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_ifeqz00_bglt
		BGl_makezd2rtl_ifeqzd2zzsaw_defsz00(obj_t, BgL_blockz00_bglt);
	static obj_t BGl_z62rtl_regzd2namezb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_loadgzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_effectzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_defsz00(void);
	static BgL_rtl_vrefz00_bglt BGl_z62lambda2402z62zzsaw_defsz00(obj_t);
	static BgL_rtl_purez00_bglt BGl_z62lambda2241z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_returnz00_bglt BGl_z62lambda2080z62zzsaw_defsz00(obj_t);
	static BgL_rtl_purez00_bglt BGl_z62lambda2243z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_switchzd2typezd2zzsaw_defsz00(BgL_rtl_switchz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_rtl_gozd2loczd2zzsaw_defsz00(BgL_rtl_goz00_bglt);
	static BgL_rtl_nopz00_bglt BGl_z62rtl_nopzd2nilzb0zzsaw_defsz00(obj_t);
	static BgL_typez00_bglt BGl_z62lambda2086z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2087z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_purez00_bglt
		BGl_makezd2rtl_purezd2zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_vlengthzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_selectz00_bglt
		BGl_makezd2rtl_selectzd2zzsaw_defsz00(obj_t, BgL_typez00_bglt, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_castz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_rtl_protectz00_bglt
		BGl_makezd2rtl_protectzd2zzsaw_defsz00(obj_t);
	static BgL_rtl_goz00_bglt BGl_z62rtl_gozd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_getfieldz00_bglt
		BGl_makezd2rtl_getfieldzd2zzsaw_defsz00(obj_t, obj_t, BgL_typez00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_rtl_switchzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_getfieldzd2namezd2zzsaw_defsz00(BgL_rtl_getfieldz00_bglt);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_rtl_callzd2varzd2zzsaw_defsz00(BgL_rtl_callz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_protectedzd2loczd2zzsaw_defsz00(BgL_rtl_protectedz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_insz00_bglt BGl_rtl_inszd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62rtl_selectzd2patternszd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2412z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_nopz00_bglt BGl_z62lambda2251z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2413z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_instanceofz00_bglt
		BGl_z62rtl_instanceofzd2nilzb0zzsaw_defsz00(obj_t);
	static BgL_rtl_setfieldz00_bglt
		BGl_z62makezd2rtl_setfieldzb0zzsaw_defsz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_rtl_nopz00_bglt BGl_z62lambda2253z62zzsaw_defsz00(obj_t);
	static BgL_rtl_jumpexitz00_bglt BGl_z62lambda2093z62zzsaw_defsz00(obj_t,
		obj_t);
	static BgL_rtl_jumpexitz00_bglt BGl_z62lambda2095z62zzsaw_defsz00(obj_t);
	static BgL_typez00_bglt BGl_z62lambda2419z62zzsaw_defsz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
	static obj_t BGl_z62rtl_lightfuncallzd2loczd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62dumpzd2fun1803zb0zzsaw_defsz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_vsetz00_bglt
		BGl_makezd2rtl_vsetzd2zzsaw_defsz00(obj_t, BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62rtl_funzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_inszf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_makeboxz00_bglt
		BGl_makezd2rtl_makeboxzd2zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_globalrefzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzd2varzd2zzsaw_defsz00(BgL_rtl_regz00_bglt);
	static BgL_rtl_regz00_bglt BGl_z62rtl_regzd2nilzb0zzsaw_defsz00(obj_t);
	static BgL_rtl_protectz00_bglt
		BGl_z62rtl_protectzd2nilzb0zzsaw_defsz00(obj_t);
	static BgL_rtl_cast_nullz00_bglt
		BGl_z62rtl_cast_nullzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62lambda2420z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_nopzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_setfieldzd2typezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_lightfuncallzd2funszd2setz12z12zzsaw_defsz00
		(BgL_rtl_lightfuncallz00_bglt, obj_t);
	static BgL_rtl_movz00_bglt BGl_z62lambda2261z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_movz00_bglt BGl_z62lambda2263z62zzsaw_defsz00(obj_t);
	static BgL_rtl_effectz00_bglt BGl_z62rtl_effectzd2nilzb0zzsaw_defsz00(obj_t);
	static BgL_rtl_vlengthz00_bglt BGl_z62lambda2426z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_rtl_storegz00_bglt BGl_z62makezd2rtl_storegzb0zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static BgL_rtl_vlengthz00_bglt BGl_z62lambda2429z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_gozd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_rtl_storegzd2varzd2zzsaw_defsz00(BgL_rtl_storegz00_bglt);
	static obj_t BGl_z62rtl_newzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_retblockzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2loczd2zzsaw_defsz00(BgL_rtl_insz00_bglt);
	static BgL_rtl_instanceofz00_bglt
		BGl_z62makezd2rtl_instanceofzb0zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_instanceofzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32730ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_loadiz00_bglt BGl_z62lambda2271z62zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_loadiz00_bglt BGl_z62lambda2273z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_getfieldz00zzsaw_defsz00 = BUNSPEC;
	static BgL_typez00_bglt BGl_z62rtl_setfieldzd2typezb0zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_z62dumpzd2funzd2rtl_pragma1828z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_returnz00_bglt
		BGl_makezd2rtl_returnzd2zzsaw_defsz00(obj_t, BgL_typez00_bglt);
	static obj_t BGl_z62dumpzd2funzd2rtl_call1826z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_protectzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_ifnezd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_retzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_retz00_bglt, obj_t);
	static obj_t BGl_z62dumpzd2rtl_reg1802zb0zzsaw_defsz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_protectzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_cast_nullzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vlengthzd2vtypezd2setz12z12zzsaw_defsz00(BgL_rtl_vlengthz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62rtl_lastzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2z52spillzd2setz12z40zzsaw_defsz00(BgL_rtl_insz00_bglt, obj_t);
	static obj_t BGl_z62rtl_boxsetzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_effectzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_newz00_bglt BGl_z62lambda2600z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62blockzf3z91zzsaw_defsz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2440z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2441z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_atomz00_bglt BGl_z62lambda2280z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2281z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32197ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2607z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2608z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_loadgz00_bglt BGl_z62lambda2288z62zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_switchzd2patternszd2setz12z12zzsaw_defsz00(BgL_rtl_switchz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vsetzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_vsetz00_bglt,
		BgL_typez00_bglt);
	static BgL_rtl_failz00_bglt BGl_z62makezd2rtl_failzb0zzsaw_defsz00(obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62rtl_vsetzd2vtypezb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_cast_nullzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_cast_nullz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_rtl_gozf3zf3zzsaw_defsz00(obj_t);
	static BgL_typez00_bglt BGl_z62lambda2450z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2612z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2451z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2613z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_loadgz00_bglt BGl_z62lambda2290z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32465ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32376ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_protectzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_protectz00_bglt,
		obj_t);
	static BgL_rtl_funz00_bglt BGl_z62rtl_inszd2funzb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_purezd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62blockzd2labelzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2296z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2297z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_vallocz00_bglt
		BGl_rtl_valloczd2nilzd2zzsaw_defsz00(void);
	static BgL_typez00_bglt BGl_z62rtl_regzd2typezb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_loadiz00_bglt BGl_z62rtl_loadizd2nilzb0zzsaw_defsz00(obj_t);
	static BgL_rtl_loadfunz00_bglt
		BGl_z62rtl_loadfunzd2nilzb0zzsaw_defsz00(obj_t);
	static BgL_rtl_instanceofz00_bglt BGl_z62lambda2460z62zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32482ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62rtl_loadgzd2varzb0zzsaw_defsz00(obj_t,
		obj_t);
	static BgL_rtl_instanceofz00_bglt BGl_z62lambda2462z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_notseqz00_bglt
		BGl_makezd2rtl_notseqzd2zzsaw_defsz00(obj_t);
	static BgL_rtl_callz00_bglt BGl_z62lambda2625z62zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_valloczd2vtypezd2zzsaw_defsz00(BgL_rtl_vallocz00_bglt);
	static obj_t BGl_z62rtl_vsetzf3z91zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_callz00_bglt BGl_z62lambda2627z62zzsaw_defsz00(obj_t);
	static BgL_rtl_regz00_bglt BGl_z62makezd2rtl_regzb0zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_valloczd2typezd2zzsaw_defsz00(BgL_rtl_vallocz00_bglt);
	static obj_t BGl_z62dumpzd2funzd2rtl_globalr1816z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_rtl_callz00_bglt BGl_z62rtl_callzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_getfieldzd2typezd2zzsaw_defsz00(BgL_rtl_getfieldz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_rtl_storegzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vrefzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_vrefz00_bglt, obj_t);
	static BgL_rtl_retz00_bglt BGl_z62makezd2rtl_retzb0zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_atomz00_bglt
		BGl_rtl_loadizd2constantzd2zzsaw_defsz00(BgL_rtl_loadiz00_bglt);
	static BgL_typez00_bglt BGl_z62lambda2470z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2471z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_selectzd2patternszb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_selectzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_selectz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32629ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2634z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2635z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_pragmazd2formatzd2setz12z12zzsaw_defsz00(BgL_rtl_pragmaz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_pragmazd2srfi0zd2zzsaw_defsz00(BgL_rtl_pragmaz00_bglt);
	static BgL_rtl_vlengthz00_bglt
		BGl_z62makezd2rtl_vlengthzb0zzsaw_defsz00(obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_protectedz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_ifeqzf3z91zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_makeboxz00_bglt BGl_z62lambda2478z62zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_z62blockzd2predszb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_valloczd2loczd2zzsaw_defsz00(BgL_rtl_vallocz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_effectzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_effectz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_vsetz00_bglt
		BGl_rtl_vsetzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DECL bool_t BGl_rtl_lastzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_pragmazd2formatzb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62dumpzd2funzd2rtl_cast1830z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_blockz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_loadizd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_loadfunzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_regzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_lightfuncallzd2rettypezb0zzsaw_defsz00(obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62zc3z04anonymousza32913ze3ze5zzsaw_defsz00(obj_t);
	static BgL_rtl_makeboxz00_bglt BGl_z62lambda2480z62zzsaw_defsz00(obj_t);
	static BgL_typez00_bglt BGl_z62lambda2804z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2805z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_switchz00_bglt BGl_z62rtl_switchzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_ifnez00_bglt
		BGl_makezd2rtl_ifnezd2zzsaw_defsz00(obj_t, BgL_blockz00_bglt);
	static obj_t BGl_z62rtl_callzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_selectz00_bglt
		BGl_rtl_selectzd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62rtl_boxrefzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62rtl_selectzd2typezb0zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_switchzf3z91zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_getfieldz00_bglt
		BGl_z62rtl_getfieldzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_retblockzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_retblockz00_bglt,
		obj_t);
	static obj_t BGl_z62rtl_movzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_nopz00_bglt BGl_z62makezd2rtl_nopzb0zzsaw_defsz00(obj_t,
		obj_t);
	static BgL_rtl_insz00_bglt BGl_z62rtl_inszd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_inszd2funzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_failzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_failz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_blockz00_bglt
		BGl_rtl_ifeqzd2thenzd2zzsaw_defsz00(BgL_rtl_ifeqz00_bglt);
	static obj_t BGl_z62rtl_switchzd2typezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_applyz00_bglt BGl_z62lambda2650z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_lightfuncallzd2namezd2setz12z12zzsaw_defsz00
		(BgL_rtl_lightfuncallz00_bglt, obj_t);
	static BgL_rtl_protectz00_bglt BGl_z62lambda2814z62zzsaw_defsz00(obj_t,
		obj_t);
	static BgL_rtl_boxrefz00_bglt BGl_z62lambda2491z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_applyz00_bglt BGl_z62lambda2653z62zzsaw_defsz00(obj_t);
	static BgL_rtl_protectz00_bglt BGl_z62lambda2816z62zzsaw_defsz00(obj_t);
	static BgL_rtl_boxrefz00_bglt BGl_z62lambda2493z62zzsaw_defsz00(obj_t);
	static obj_t __cnst[84];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_vrefzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vrefza7d2lo3561z00,
		BGl_z62rtl_vrefzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_protectedzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_protected3562za7,
		BGl_z62rtl_protectedzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_setfieldzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_setfieldza73563z00,
		BGl_z62rtl_setfieldzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_protectzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_protectza7f3564z00, BGl_z62rtl_protectzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_callzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_callza7d2lo3565z00,
		BGl_z62rtl_callzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_pragmazd2formatzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_pragmaza7d23566z00,
		BGl_z62rtl_pragmazd2formatzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_blockzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762blockza7d2nilza7b3567za7, BGl_z62blockzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_castzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_castza7d2ni3568z00, BGl_z62rtl_castzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_pragmazd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_pragmaza7d23569z00,
		BGl_z62rtl_pragmazd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_callzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_callza7d2ni3570z00, BGl_z62rtl_callzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_dumpzd2marginzd2envz00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2margin3571z00, BGl_z62dumpzd2marginzb0zzsaw_defsz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_inszd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2nil3572z00, BGl_z62rtl_inszd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_vlengthzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vlengthza7d3573z00,
		BGl_z62rtl_vlengthzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_gozd2tozd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_goza7d2toza7b3574za7, BGl_z62rtl_gozd2tozb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_valloczd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_va3575z00,
		BGl_z62makezd2rtl_valloczb0zzsaw_defsz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_loadfunzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_loadfunza7d3576z00,
		BGl_z62rtl_loadfunzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_getfieldzd2objtypezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_getfieldza73577z00,
		BGl_z62rtl_getfieldzd2objtypezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_applyzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_applyza7d2l3578z00, BGl_z62rtl_applyzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_cast_nullzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_cast_null3579za7,
		BGl_z62rtl_cast_nullzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_castzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_ca3580z00, BGl_z62makezd2rtl_castzb0zzsaw_defsz00,
		0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadfunzd2varzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_loadfunza7d3581z00,
		BGl_z62rtl_loadfunzd2varzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_valloczd2vtypezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vallocza7d23582z00,
		BGl_z62rtl_valloczd2vtypezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_inszd2argszd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2arg3583z00, BGl_z62rtl_inszd2argszb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_storegzd2varzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_storegza7d23584z00,
		BGl_z62rtl_storegzd2varzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_cast_nullzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_cast_null3585za7,
		BGl_z62rtl_cast_nullzd2typezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_lastzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_lastza7d2ni3586z00, BGl_z62rtl_lastzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_funzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_funza7f3za7913587za7, BGl_z62rtl_funzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_pragmazd2srfi0zd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_pragmaza7d23588z00,
		BGl_z62rtl_pragmazd2srfi0zb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7d2typ3589z00, BGl_z62rtl_regzd2typezb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_protectedzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_protected3590za7,
		BGl_z62rtl_protectedzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_boxrefzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_boxrefza7d23591z00,
		BGl_z62rtl_boxrefzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2z52spillzd2setz12zd2envz92zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2za7523592za7,
		BGl_z62rtl_inszd2z52spillzd2setz12z22zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_nopzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_nopza7d2nil3593z00, BGl_z62rtl_nopzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2argszd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2arg3594z00,
		BGl_z62rtl_inszd2argszd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vlengthzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vlengthza7d3595z00,
		BGl_z62rtl_vlengthzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2blockzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2blockza73596za7, BGl_z62makezd2blockzb0zzsaw_defsz00,
		0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_switchzd2patternszd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_switchza7d23597z00,
		BGl_z62rtl_switchzd2patternszd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_selectzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_se3598z00,
		BGl_z62makezd2rtl_selectzb0zzsaw_defsz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3300z00zzsaw_defsz00,
		BgL_bgl_za762lambda2131za7623599z00, BGl_z62lambda2131z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3301z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3600za7,
		BGl_z62zc3z04anonymousza32127ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3302z00zzsaw_defsz00,
		BgL_bgl_za762lambda2125za7623601z00, BGl_z62lambda2125z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_retzd2tozd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_retza7d2toza73602za7,
		BGl_z62rtl_retzd2tozd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3303z00zzsaw_defsz00,
		BgL_bgl_za762lambda2123za7623603z00, BGl_z62lambda2123z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3304z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3604za7,
		BGl_z62zc3z04anonymousza32142ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3305z00zzsaw_defsz00,
		BgL_bgl_za762lambda2140za7623605z00, BGl_z62lambda2140z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3306z00zzsaw_defsz00,
		BgL_bgl_za762lambda2138za7623606z00, BGl_z62lambda2138z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3307z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3607za7,
		BGl_z62zc3z04anonymousza32152ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3308z00zzsaw_defsz00,
		BgL_bgl_za762lambda2150za7623608z00, BGl_z62lambda2150z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3309z00zzsaw_defsz00,
		BgL_bgl_za762lambda2148za7623609z00, BGl_z62lambda2148z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_selectzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_selectza7f33610z00, BGl_z62rtl_selectzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_lightfuncallzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_lightfunc3611za7,
		BGl_z62rtl_lightfuncallzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_vlengthzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_vl3612z00,
		BGl_z62makezd2rtl_vlengthzb0zzsaw_defsz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_castzd2fromtypezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_castza7d2fr3613z00,
		BGl_z62rtl_castzd2fromtypezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_protectedzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_protected3614za7, BGl_z62rtl_protectedzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_inszd2argsza2zd2envza2zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2arg3615z00,
		BGl_z62rtl_inszd2argsza2z12zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2loc3616z00,
		BGl_z62rtl_inszd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3310z00zzsaw_defsz00,
		BgL_bgl_za762lambda2167za7623617z00, BGl_z62lambda2167z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3311z00zzsaw_defsz00,
		BgL_bgl_za762lambda2166za7623618z00, BGl_z62lambda2166z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3312z00zzsaw_defsz00,
		BgL_bgl_za762lambda2172za7623619z00, BGl_z62lambda2172z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3313z00zzsaw_defsz00,
		BgL_bgl_za762lambda2171za7623620z00, BGl_z62lambda2171z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3314z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3621za7,
		BGl_z62zc3z04anonymousza32162ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vrefzd2vtypezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vrefza7d2vt3622z00,
		BGl_z62rtl_vrefzd2vtypezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3315z00zzsaw_defsz00,
		BgL_bgl_za762lambda2160za7623623z00, BGl_z62lambda2160z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_globalrefzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_gl3624z00,
		BGl_z62makezd2rtl_globalrefzb0zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3316z00zzsaw_defsz00,
		BgL_bgl_za762lambda2158za7623625z00, BGl_z62lambda2158z62zzsaw_defsz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3317z00zzsaw_defsz00,
		BgL_bgl_za762lambda2187za7623626z00, BGl_z62lambda2187z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3242z00zzsaw_defsz00,
		BgL_bgl_string3242za700za7za7s3627za7, "BIGLOOTRACE", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3318z00zzsaw_defsz00,
		BgL_bgl_za762lambda2186za7623628z00, BGl_z62lambda2186z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3243z00zzsaw_defsz00,
		BgL_bgl_string3243za700za7za7s3629za7, "bbv ", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3319z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3630za7,
		BGl_z62zc3z04anonymousza32182ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3244z00zzsaw_defsz00,
		BgL_bgl_string3244za700za7za7s3631za7, " bbv", 4);
	      DEFINE_STRING(BGl_string3245z00zzsaw_defsz00,
		BgL_bgl_string3245za700za7za7s3632za7, " bbv ", 5);
	      DEFINE_STRING(BGl_string3246z00zzsaw_defsz00,
		BgL_bgl_string3246za700za7za7s3633za7, "bbv", 3);
	      DEFINE_STRING(BGl_string3247z00zzsaw_defsz00,
		BgL_bgl_string3247za700za7za7s3634za7, "+-- ", 4);
	      DEFINE_STRING(BGl_string3248z00zzsaw_defsz00,
		BgL_bgl_string3248za700za7za7s3635za7, " ", 1);
	      DEFINE_STRING(BGl_string3249z00zzsaw_defsz00,
		BgL_bgl_string3249za700za7za7s3636za7, "| args:", 7);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_applyzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_applyza7f3za73637za7, BGl_z62rtl_applyzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_newzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_newza7d2loc3638z00,
		BGl_z62rtl_newzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_switchzd2patternszd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_switchza7d23639z00,
		BGl_z62rtl_switchzd2patternszb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3320z00zzsaw_defsz00,
		BgL_bgl_za762lambda2180za7623640z00, BGl_z62lambda2180z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3321z00zzsaw_defsz00,
		BgL_bgl_za762lambda2178za7623641z00, BGl_z62lambda2178z62zzsaw_defsz00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3322z00zzsaw_defsz00,
		BgL_bgl_za762lambda2203za7623642z00, BGl_z62lambda2203z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3323z00zzsaw_defsz00,
		BgL_bgl_za762lambda2202za7623643z00, BGl_z62lambda2202z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3324z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3644za7,
		BGl_z62zc3z04anonymousza32197ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzd2hardwarezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7d2har3645z00,
		BGl_z62rtl_regzd2hardwarezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3325z00zzsaw_defsz00,
		BgL_bgl_za762lambda2195za7623646z00, BGl_z62lambda2195z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3250z00zzsaw_defsz00,
		BgL_bgl_string3250za700za7za7s3647za7, "| Basic blocks: ", 16);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3326z00zzsaw_defsz00,
		BgL_bgl_za762lambda2193za7623648z00, BGl_z62lambda2193z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3251z00zzsaw_defsz00,
		BgL_bgl_string3251za700za7za7s3649za7, "(", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3327z00zzsaw_defsz00,
		BgL_bgl_za762lambda2218za7623650z00, BGl_z62lambda2218z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3252z00zzsaw_defsz00,
		BgL_bgl_string3252za700za7za7s3651za7, ")", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3328z00zzsaw_defsz00,
		BgL_bgl_za762lambda2217za7623652z00, BGl_z62lambda2217z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3253z00zzsaw_defsz00,
		BgL_bgl_string3253za700za7za7s3653za7, " #;(", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3329z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3654za7,
		BGl_z62zc3z04anonymousza32213ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_inszf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7f3za7913655za7, BGl_z62rtl_inszf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_returnzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_re3656z00,
		BGl_z62makezd2rtl_returnzb0zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_funcallzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_funcallza7d3657z00,
		BGl_z62rtl_funcallzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_funzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_funza7d2loc3658z00, BGl_z62rtl_funzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3330z00zzsaw_defsz00,
		BgL_bgl_za762lambda2211za7623659z00, BGl_z62lambda2211z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3331z00zzsaw_defsz00,
		BgL_bgl_za762lambda2209za7623660z00, BGl_z62lambda2209z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3332z00zzsaw_defsz00,
		BgL_bgl_za762lambda2235za7623661z00, BGl_z62lambda2235z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3333z00zzsaw_defsz00,
		BgL_bgl_za762lambda2234za7623662z00, BGl_z62lambda2234z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3334z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3663za7,
		BGl_z62zc3z04anonymousza32228ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3335z00zzsaw_defsz00,
		BgL_bgl_za762lambda2226za7623664z00, BGl_z62lambda2226z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3336z00zzsaw_defsz00,
		BgL_bgl_za762lambda2224za7623665z00, BGl_z62lambda2224z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3337z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3666za7,
		BGl_z62zc3z04anonymousza32245ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3338z00zzsaw_defsz00,
		BgL_bgl_za762lambda2243za7623667z00, BGl_z62lambda2243z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3339z00zzsaw_defsz00,
		BgL_bgl_za762lambda2241za7623668z00, BGl_z62lambda2241z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_newzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_newza7f3za7913669za7, BGl_z62rtl_newzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_vsetzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vsetza7d2ty3670z00,
		BGl_z62rtl_vsetzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_protectzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_pr3671z00,
		BGl_z62makezd2rtl_protectzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3500z00zzsaw_defsz00,
		BgL_bgl_za762lambda2836za7623672z00, BGl_z62lambda2836z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3501z00zzsaw_defsz00,
		BgL_bgl_za762lambda2834za7623673z00, BGl_z62lambda2834z62zzsaw_defsz00, 0L,
		BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3502z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3674za7,
		BGl_z62zc3z04anonymousza32913ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3340z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3675za7,
		BGl_z62zc3z04anonymousza32255ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3503z00zzsaw_defsz00,
		BgL_bgl_za762lambda2912za7623676z00, BGl_z62lambda2912z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3341z00zzsaw_defsz00,
		BgL_bgl_za762lambda2253za7623677z00, BGl_z62lambda2253z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3504z00zzsaw_defsz00,
		BgL_bgl_za762lambda2911za7623678z00, BGl_z62lambda2911z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3342z00zzsaw_defsz00,
		BgL_bgl_za762lambda2251za7623679z00, BGl_z62lambda2251z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3505z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3680za7,
		BGl_z62zc3z04anonymousza32920ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3343z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3681za7,
		BGl_z62zc3z04anonymousza32265ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3506z00zzsaw_defsz00,
		BgL_bgl_za762lambda2919za7623682z00, BGl_z62lambda2919z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3344z00zzsaw_defsz00,
		BgL_bgl_za762lambda2263za7623683z00, BGl_z62lambda2263z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3507z00zzsaw_defsz00,
		BgL_bgl_za762lambda2918za7623684z00, BGl_z62lambda2918z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3345z00zzsaw_defsz00,
		BgL_bgl_za762lambda2261za7623685z00, BGl_z62lambda2261z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3508z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3686za7,
		BGl_z62zc3z04anonymousza32927ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3346z00zzsaw_defsz00,
		BgL_bgl_za762lambda2281za7623687z00, BGl_z62lambda2281z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3509z00zzsaw_defsz00,
		BgL_bgl_za762lambda2926za7623688z00, BGl_z62lambda2926z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3347z00zzsaw_defsz00,
		BgL_bgl_za762lambda2280za7623689z00, BGl_z62lambda2280z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3348z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3690za7,
		BGl_z62zc3z04anonymousza32275ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3349z00zzsaw_defsz00,
		BgL_bgl_za762lambda2273za7623691z00, BGl_z62lambda2273z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	extern obj_t BGl_shapezd2envzd2zztools_shapez00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_inszd2destzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2des3692z00, BGl_z62rtl_inszd2destzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_ifeqzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_ifeqza7d2lo3693z00,
		BGl_z62rtl_ifeqzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7d2nil3694z00, BGl_z62rtl_regzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3510z00zzsaw_defsz00,
		BgL_bgl_za762lambda2925za7623695z00, BGl_z62lambda2925z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3511z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3696za7,
		BGl_z62zc3z04anonymousza32940ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3512z00zzsaw_defsz00,
		BgL_bgl_za762lambda2939za7623697z00, BGl_z62lambda2939z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3350z00zzsaw_defsz00,
		BgL_bgl_za762lambda2271za7623698z00, BGl_z62lambda2271z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3513z00zzsaw_defsz00,
		BgL_bgl_za762lambda2938za7623699z00, BGl_z62lambda2938z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3351z00zzsaw_defsz00,
		BgL_bgl_za762lambda2297za7623700z00, BGl_z62lambda2297z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3514z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3701za7,
		BGl_z62zc3z04anonymousza32905ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3352z00zzsaw_defsz00,
		BgL_bgl_za762lambda2296za7623702z00, BGl_z62lambda2296z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3515z00zzsaw_defsz00,
		BgL_bgl_za762lambda2903za7623703z00, BGl_z62lambda2903z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3353z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3704za7,
		BGl_z62zc3z04anonymousza32292ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3516z00zzsaw_defsz00,
		BgL_bgl_za762lambda2900za7623705z00, BGl_z62lambda2900z62zzsaw_defsz00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3354z00zzsaw_defsz00,
		BgL_bgl_za762lambda2290za7623706z00, BGl_z62lambda2290z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3355z00zzsaw_defsz00,
		BgL_bgl_za762lambda2288za7623707z00, BGl_z62lambda2288z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3518z00zzsaw_defsz00,
		BgL_bgl_za762dump1795za762za7za73708z00, BGl_z62dump1795z62zzsaw_defsz00,
		0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3356z00zzsaw_defsz00,
		BgL_bgl_za762lambda2315za7623709z00, BGl_z62lambda2315z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3357z00zzsaw_defsz00,
		BgL_bgl_za762lambda2314za7623710z00, BGl_z62lambda2314z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3358z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3711za7,
		BGl_z62zc3z04anonymousza32308ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3359z00zzsaw_defsz00,
		BgL_bgl_za762lambda2306za7623712z00, BGl_z62lambda2306z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_movzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_movza7d2nil3713z00, BGl_z62rtl_movzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_getfieldzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_getfieldza73714z00,
		BGl_z62rtl_getfieldzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3520z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2fun1803715z00, BGl_z62dumpzd2fun1803zb0zzsaw_defsz00,
		0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3522z00zzsaw_defsz00,
		BgL_bgl_za762shapeza7d2rtl_i3716z00,
		BGl_z62shapezd2rtl_ins1792zb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3360z00zzsaw_defsz00,
		BgL_bgl_za762lambda2304za7623717z00, BGl_z62lambda2304z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3361z00zzsaw_defsz00,
		BgL_bgl_za762lambda2331za7623718z00, BGl_z62lambda2331z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3524z00zzsaw_defsz00,
		BgL_bgl_za762shapeza7d2rtl_r3719z00,
		BGl_z62shapezd2rtl_reg1794zb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3362z00zzsaw_defsz00,
		BgL_bgl_za762lambda2330za7623720z00, BGl_z62lambda2330z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3525z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2block13721z00,
		BGl_z62dumpzd2block1798zb0zzsaw_defsz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3363z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3722za7,
		BGl_z62zc3z04anonymousza32326ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3364z00zzsaw_defsz00,
		BgL_bgl_za762lambda2324za7623723z00, BGl_z62lambda2324z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3527z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2rtl_in3724z00,
		BGl_z62dumpzd2rtl_ins1800zb0zzsaw_defsz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3365z00zzsaw_defsz00,
		BgL_bgl_za762lambda2322za7623725z00, BGl_z62lambda2322z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3528z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2rtl_re3726z00,
		BGl_z62dumpzd2rtl_reg1802zb0zzsaw_defsz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3366z00zzsaw_defsz00,
		BgL_bgl_za762lambda2350za7623727z00, BGl_z62lambda2350z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3529z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23728za7,
		BGl_z62dumpzd2funzd2rtl_fun1806z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3367z00zzsaw_defsz00,
		BgL_bgl_za762lambda2349za7623729z00, BGl_z62lambda2349z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3368z00zzsaw_defsz00,
		BgL_bgl_za762lambda2356za7623730z00, BGl_z62lambda2356z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3369z00zzsaw_defsz00,
		BgL_bgl_za762lambda2355za7623731z00, BGl_z62lambda2355z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_ifnezd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_ifneza7d2lo3732z00,
		BGl_z62rtl_ifnezd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadfunzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_loadfunza7f3733z00, BGl_z62rtl_loadfunzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadgzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_loadgza7d2l3734z00, BGl_z62rtl_loadgzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_vrefzd2vtypezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vrefza7d2vt3735z00,
		BGl_z62rtl_vrefzd2vtypezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3531z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23736za7,
		BGl_z62dumpzd2funzd2rtl_loadi1808z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3532z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23737za7,
		BGl_z62dumpzd2funzd2rtl_mov1810z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3370z00zzsaw_defsz00,
		BgL_bgl_za762lambda2362za7623738z00, BGl_z62lambda2362z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3533z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23739za7,
		BGl_z62dumpzd2funzd2rtl_loadg1812z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3371z00zzsaw_defsz00,
		BgL_bgl_za762lambda2361za7623740z00, BGl_z62lambda2361z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3534z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23741za7,
		BGl_z62dumpzd2funzd2rtl_loadfun1814z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3372z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3742za7,
		BGl_z62zc3z04anonymousza32343ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3535z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23743za7,
		BGl_z62dumpzd2funzd2rtl_globalr1816z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3373z00zzsaw_defsz00,
		BgL_bgl_za762lambda2341za7623744z00, BGl_z62lambda2341z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3536z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23745za7,
		BGl_z62dumpzd2funzd2rtl_switch1818z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3374z00zzsaw_defsz00,
		BgL_bgl_za762lambda2339za7623746z00, BGl_z62lambda2339z62zzsaw_defsz00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3537z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23747za7,
		BGl_z62dumpzd2funzd2rtl_ifeq1820z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3375z00zzsaw_defsz00,
		BgL_bgl_za762lambda2382za7623748z00, BGl_z62lambda2382z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3538z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23749za7,
		BGl_z62dumpzd2funzd2rtl_ifne1822z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3376z00zzsaw_defsz00,
		BgL_bgl_za762lambda2381za7623750z00, BGl_z62lambda2381z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_boxsetzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_boxsetza7d23751z00,
		BGl_z62rtl_boxsetzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3539z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23752za7,
		BGl_z62dumpzd2funzd2rtl_go1824z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3377z00zzsaw_defsz00,
		BgL_bgl_za762lambda2389za7623753z00, BGl_z62lambda2389z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3378z00zzsaw_defsz00,
		BgL_bgl_za762lambda2388za7623754z00, BGl_z62lambda2388z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3379z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3755za7,
		BGl_z62zc3z04anonymousza32376ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_loadfunzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_lo3756z00,
		BGl_z62makezd2rtl_loadfunzb0zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3540z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23757za7,
		BGl_z62dumpzd2funzd2rtl_call1826z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3541z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23758za7,
		BGl_z62dumpzd2funzd2rtl_pragma1828z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3542z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23759za7,
		BGl_z62dumpzd2funzd2rtl_cast1830z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3380z00zzsaw_defsz00,
		BgL_bgl_za762lambda2374za7623760z00, BGl_z62lambda2374z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_retblockzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_retblockza73761z00,
		BGl_z62rtl_retblockzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3543z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23762za7,
		BGl_z62dumpzd2funzd2rtl_new1832z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3381z00zzsaw_defsz00,
		BgL_bgl_za762lambda2372za7623763z00, BGl_z62lambda2372z62zzsaw_defsz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3382z00zzsaw_defsz00,
		BgL_bgl_za762lambda2413za7623764z00, BGl_z62lambda2413z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3383z00zzsaw_defsz00,
		BgL_bgl_za762lambda2412za7623765z00, BGl_z62lambda2412z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3384z00zzsaw_defsz00,
		BgL_bgl_za762lambda2420za7623766z00, BGl_z62lambda2420z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3385z00zzsaw_defsz00,
		BgL_bgl_za762lambda2419za7623767z00, BGl_z62lambda2419z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3386z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3768za7,
		BGl_z62zc3z04anonymousza32404ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifnezf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_ifneza7f3za793769za7, BGl_z62rtl_ifnezf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3387z00zzsaw_defsz00,
		BgL_bgl_za762lambda2402za7623770z00, BGl_z62lambda2402z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3388z00zzsaw_defsz00,
		BgL_bgl_za762lambda2399za7623771z00, BGl_z62lambda2399z62zzsaw_defsz00, 0L,
		BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vrefzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vrefza7d2ni3772z00, BGl_z62rtl_vrefzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3389z00zzsaw_defsz00,
		BgL_bgl_za762lambda2441za7623773z00, BGl_z62lambda2441z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadgzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_loadgza7f3za73774za7, BGl_z62rtl_loadgzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_cast_nullzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_cast_null3775za7,
		BGl_z62rtl_cast_nullzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_vsetzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_vs3776z00, BGl_z62makezd2rtl_vsetzb0zzsaw_defsz00,
		0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_loadizd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_loadiza7d2l3777z00,
		BGl_z62rtl_loadizd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3390z00zzsaw_defsz00,
		BgL_bgl_za762lambda2440za7623778z00, BGl_z62lambda2440z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3391z00zzsaw_defsz00,
		BgL_bgl_za762lambda2451za7623779z00, BGl_z62lambda2451z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3392z00zzsaw_defsz00,
		BgL_bgl_za762lambda2450za7623780z00, BGl_z62lambda2450z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3393z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3781za7,
		BGl_z62zc3z04anonymousza32431ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3394z00zzsaw_defsz00,
		BgL_bgl_za762lambda2429za7623782z00, BGl_z62lambda2429z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3395z00zzsaw_defsz00,
		BgL_bgl_za762lambda2426za7623783z00, BGl_z62lambda2426z62zzsaw_defsz00, 0L,
		BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_gozd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_go3784z00, BGl_z62makezd2rtl_gozb0zzsaw_defsz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3396z00zzsaw_defsz00,
		BgL_bgl_za762lambda2471za7623785z00, BGl_z62lambda2471z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_switchzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_switchza7d23786z00,
		BGl_z62rtl_switchzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3397z00zzsaw_defsz00,
		BgL_bgl_za762lambda2470za7623787z00, BGl_z62lambda2470z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3398z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3788za7,
		BGl_z62zc3z04anonymousza32465ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3399z00zzsaw_defsz00,
		BgL_bgl_za762lambda2462za7623789z00, BGl_z62lambda2462z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_lightfuncallzd2funszd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_lightfunc3790za7,
		BGl_z62rtl_lightfuncallzd2funszb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_selectzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_selectza7d23791z00,
		BGl_z62rtl_selectzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_pragmazf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_pragmaza7f33792z00, BGl_z62rtl_pragmazf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_instanceofzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_instanceo3793za7,
		BGl_z62rtl_instanceofzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_switchzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_switchza7d23794z00,
		BGl_z62rtl_switchzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_gozd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_goza7d2locza73795za7,
		BGl_z62rtl_gozd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzd2onexprzf3zd2setz12zd2envz33zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7d2one3796z00,
		BGl_z62rtl_regzd2onexprzf3zd2setz12z83zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_funcallzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_funcallza7f3797z00, BGl_z62rtl_funcallzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_lightfuncallzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_lightfunc3798za7,
		BGl_z62rtl_lightfuncallzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_valloczd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vallocza7d23799z00,
		BGl_z62rtl_valloczd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_ifza7f3za791za73800z00, BGl_z62rtl_ifzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_boxrefzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_bo3801z00,
		BGl_z62makezd2rtl_boxrefzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadfunzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_loadfunza7d3802z00,
		BGl_z62rtl_loadfunzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_jumpexitzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_jumpexitza73803z00, BGl_z62rtl_jumpexitzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_newzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_newza7d2loc3804z00, BGl_z62rtl_newzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_storegzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_storegza7d23805z00,
		BGl_z62rtl_storegzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_lightfuncallzd2namezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_lightfunc3806za7,
		BGl_z62rtl_lightfuncallzd2namezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_returnzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_returnza7d23807z00,
		BGl_z62rtl_returnzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_effectzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_effectza7f33808z00, BGl_z62rtl_effectzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_globalrefzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_globalref3809za7,
		BGl_z62rtl_globalrefzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockzd2predszd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762blockza7d2preds3810z00,
		BGl_z62blockzd2predszd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7d2typ3811z00,
		BGl_z62rtl_regzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_pragmazd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_pragmaza7d23812z00,
		BGl_z62rtl_pragmazd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockzd2firstzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762blockza7d2first3813z00,
		BGl_z62blockzd2firstzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vlengthzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_vlengthza7f3814z00, BGl_z62rtl_vlengthzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_instanceofzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_instanceo3815za7,
		BGl_z62rtl_instanceofzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_applyzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_applyza7d2n3816z00, BGl_z62rtl_applyzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7f3za7913817za7, BGl_z62rtl_regzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_failzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_failza7d2lo3818z00, BGl_z62rtl_failzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_boxrefzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_boxrefza7d23819z00,
		BGl_z62rtl_boxrefzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_ifnezd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_if3820z00, BGl_z62makezd2rtl_ifnezb0zzsaw_defsz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_cast_nullzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_cast_null3821za7,
		BGl_z62rtl_cast_nullzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_getfieldzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_ge3822z00,
		BGl_z62makezd2rtl_getfieldzb0zzsaw_defsz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_funcallzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_fu3823z00,
		BGl_z62makezd2rtl_funcallzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_applyzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_ap3824z00,
		BGl_z62makezd2rtl_applyzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_castzd2totypezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_castza7d2to3825z00,
		BGl_z62rtl_castzd2totypezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_inszd2funzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2fun3826z00, BGl_z62rtl_inszd2funzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_getfieldzd2objtypezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_getfieldza73827z00,
		BGl_z62rtl_getfieldzd2objtypezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_instanceofzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_instanceo3828za7, BGl_z62rtl_instanceofzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_retzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_retza7f3za7913829za7, BGl_z62rtl_retzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_switchzd2labelszd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_switchza7d23830z00,
		BGl_z62rtl_switchzd2labelszd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vsetzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vsetza7d2lo3831z00, BGl_z62rtl_vsetzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_newzd2constrzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_newza7d2con3832z00,
		BGl_z62rtl_newzd2constrzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_blockzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762blockza7f3za791za7za73833za7, BGl_z62blockzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_inszd2z52spillzd2envz52zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2za7523834za7,
		BGl_z62rtl_inszd2z52spillze2zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_pragmazd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_pr3835z00,
		BGl_z62makezd2rtl_pragmazb0zzsaw_defsz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_returnzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_returnza7d23836z00,
		BGl_z62rtl_returnzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vlengthzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vlengthza7d3837z00,
		BGl_z62rtl_vlengthzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_movzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_movza7d2loc3838z00,
		BGl_z62rtl_movzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_failzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_failza7f3za793839za7, BGl_z62rtl_failzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadizf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_loadiza7f3za73840za7, BGl_z62rtl_loadizf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_ifeqzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_if3841z00, BGl_z62makezd2rtl_ifeqzb0zzsaw_defsz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_movzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_movza7f3za7913842za7, BGl_z62rtl_movzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_funzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_fu3843z00, BGl_z62makezd2rtl_funzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_setfieldzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_se3844z00,
		BGl_z62makezd2rtl_setfieldzb0zzsaw_defsz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_globalrefzd2varzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_globalref3845za7,
		BGl_z62rtl_globalrefzd2varzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_valloczd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vallocza7d23846z00,
		BGl_z62rtl_valloczd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_funcallzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_funcallza7d3847z00,
		BGl_z62rtl_funcallzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_funzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_funza7d2nil3848z00, BGl_z62rtl_funzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_dumpzd2funzd2envz00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7b03849za7, BGl_z62dumpzd2funzb0zzsaw_defsz00,
		0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_lightfuncallzd2funszd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_lightfunc3850za7,
		BGl_z62rtl_lightfuncallzd2funszd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_retblockzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_retblockza73851z00,
		BGl_z62rtl_retblockzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_loadgzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_lo3852z00,
		BGl_z62makezd2rtl_loadgzb0zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_switchzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_switchza7d23853z00,
		BGl_z62rtl_switchzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_jumpexitzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_jumpexitza73854z00,
		BGl_z62rtl_jumpexitzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzd2varzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7d2var3855z00,
		BGl_z62rtl_regzd2varzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_retzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_retza7d2loc3856z00,
		BGl_z62rtl_retzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadizd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_loadiza7d2l3857z00, BGl_z62rtl_loadizd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_protectedzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_pr3858z00,
		BGl_z62makezd2rtl_protectedzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_switchzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_switchza7d23859z00,
		BGl_z62rtl_switchzd2typezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_gozd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_goza7d2locza73860za7, BGl_z62rtl_gozd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_valloczd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vallocza7d23861z00,
		BGl_z62rtl_valloczd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifnezd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_ifneza7d2lo3862z00, BGl_z62rtl_ifnezd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_switchzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_switchza7f33863z00, BGl_z62rtl_switchzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_makeboxzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_makeboxza7d3864z00,
		BGl_z62rtl_makeboxzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_newzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_ne3865z00, BGl_z62makezd2rtl_newzb0zzsaw_defsz00,
		0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_loadgzd2varzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_loadgza7d2v3866z00,
		BGl_z62rtl_loadgzd2varzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockzd2succszd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762blockza7d2succs3867z00,
		BGl_z62blockzd2succszd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadgzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_loadgza7d2n3868z00, BGl_z62rtl_loadgzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_boxsetzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_boxsetza7d23869z00,
		BGl_z62rtl_boxsetzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vsetzd2vtypezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vsetza7d2vt3870z00,
		BGl_z62rtl_vsetzd2vtypezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_valloczd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vallocza7d23871z00,
		BGl_z62rtl_valloczd2typezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzd2debugnamezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7d2deb3872z00,
		BGl_z62rtl_regzd2debugnamezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_selectzd2patternszd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_selectza7d23873z00,
		BGl_z62rtl_selectzd2patternszb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadizd2constantzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_loadiza7d2c3874z00,
		BGl_z62rtl_loadizd2constantzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_returnzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_returnza7d23875z00,
		BGl_z62rtl_returnzd2typezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_instanceofzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_instanceo3876za7,
		BGl_z62rtl_instanceofzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_retzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_retza7d2loc3877z00, BGl_z62rtl_retzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_selectzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_selectza7d23878z00,
		BGl_z62rtl_selectzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_getfieldzd2namezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_getfieldza73879z00,
		BGl_z62rtl_getfieldzd2namezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_callzd2varzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_callza7d2va3880z00, BGl_z62rtl_callzd2varzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_setfieldzd2namezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_setfieldza73881z00,
		BGl_z62rtl_setfieldzd2namezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_lastzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_la3882z00, BGl_z62makezd2rtl_lastzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_nopzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_nopza7f3za7913883za7, BGl_z62rtl_nopzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_lightfuncallzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_lightfunc3884za7,
		BGl_z62rtl_lightfuncallzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_valloczd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vallocza7d23885z00,
		BGl_z62rtl_valloczd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_makeboxzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_ma3886z00,
		BGl_z62makezd2rtl_makeboxzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_setfieldzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_setfieldza73887z00,
		BGl_z62rtl_setfieldzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_effectzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_effectza7d23888z00,
		BGl_z62rtl_effectzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadfunzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_loadfunza7d3889z00,
		BGl_z62rtl_loadfunzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_newzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_newza7d2nil3890z00, BGl_z62rtl_newzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_storegzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_storegza7d23891z00,
		BGl_z62rtl_storegzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_storegzd2varzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_storegza7d23892z00,
		BGl_z62rtl_storegzd2varzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_dumpzd2envzd2zzsaw_defsz00,
		BgL_bgl_za762dumpza762za7za7saw_3893z00, BGl_z62dumpz62zzsaw_defsz00, 0L,
		BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_loadizd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_lo3894z00,
		BGl_z62makezd2rtl_loadizb0zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_selectzd2patternszd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_selectza7d23895z00,
		BGl_z62rtl_selectzd2patternszd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2funzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2fun3896z00,
		BGl_z62rtl_inszd2funzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_valloczf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_vallocza7f33897z00, BGl_z62rtl_valloczf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_getfieldzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_getfieldza73898z00, BGl_z62rtl_getfieldzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzd2onexprzf3zd2envzf3zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7d2one3899z00,
		BGl_z62rtl_regzd2onexprzf3z43zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_castzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_castza7f3za793900za7, BGl_z62rtl_castzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_returnzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_returnza7d23901z00,
		BGl_z62rtl_returnzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_boxsetzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_boxsetza7f33902z00, BGl_z62rtl_boxsetzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_effectzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_ef3903z00,
		BGl_z62makezd2rtl_effectzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtlzd2dumpzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtlza7d2dumpza7b03904za7, BGl_z62rtlzd2dumpzb0zzsaw_defsz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_notseqzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_notseqza7d23905z00,
		BGl_z62rtl_notseqzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_failzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_fa3906z00, BGl_z62makezd2rtl_failzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_purezd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_pureza7d2lo3907z00, BGl_z62rtl_purezd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_vsetzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vsetza7d2lo3908z00,
		BGl_z62rtl_vsetzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_applyzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_applyza7d2l3909z00,
		BGl_z62rtl_applyzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_makeboxzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_makeboxza7d3910z00,
		BGl_z62rtl_makeboxzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_setfieldzd2namezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_setfieldza73911z00,
		BGl_z62rtl_setfieldzd2namezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_movzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_mo3912z00, BGl_z62makezd2rtl_movzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_failzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_failza7d2lo3913z00,
		BGl_z62rtl_failzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifeqzd2thenzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_ifeqza7d2th3914z00, BGl_z62rtl_ifeqzd2thenzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_funcallzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_funcallza7d3915z00,
		BGl_z62rtl_funcallzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vsetzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vsetza7d2ty3916z00, BGl_z62rtl_vsetzd2typezb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_lightfuncallzd2rettypezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_lightfunc3917za7,
		BGl_z62rtl_lightfuncallzd2rettypezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_ifza7d2locza73918za7, BGl_z62rtl_ifzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_setfieldzd2objtypezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_setfieldza73919z00,
		BGl_z62rtl_setfieldzd2objtypezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vsetzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_vsetza7f3za793920za7, BGl_z62rtl_vsetzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_failzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_failza7d2ni3921z00, BGl_z62rtl_failzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_dumpza2zd2envz70zzsaw_defsz00,
		BgL_bgl_za762dumpza7a2za7c0za7za7s3922za7, BGl_z62dumpza2zc0zzsaw_defsz00,
		0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_lightfuncallzd2rettypezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_lightfunc3923za7,
		BGl_z62rtl_lightfuncallzd2rettypezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3400z00zzsaw_defsz00,
		BgL_bgl_za762lambda2460za7623924z00, BGl_z62lambda2460z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3401z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3925za7,
		BGl_z62zc3z04anonymousza32482ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3402z00zzsaw_defsz00,
		BgL_bgl_za762lambda2480za7623926z00, BGl_z62lambda2480z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3403z00zzsaw_defsz00,
		BgL_bgl_za762lambda2478za7623927z00, BGl_z62lambda2478z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3404z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3928za7,
		BGl_z62zc3z04anonymousza32496ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3405z00zzsaw_defsz00,
		BgL_bgl_za762lambda2493za7623929z00, BGl_z62lambda2493z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_globalrefzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_globalref3930za7,
		BGl_z62rtl_globalrefzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3406z00zzsaw_defsz00,
		BgL_bgl_za762lambda2491za7623931z00, BGl_z62lambda2491z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3407z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3932za7,
		BGl_z62zc3z04anonymousza32507ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_purezf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_pureza7f3za793933za7, BGl_z62rtl_purezf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3408z00zzsaw_defsz00,
		BgL_bgl_za762lambda2504za7623934z00, BGl_z62lambda2504z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3409z00zzsaw_defsz00,
		BgL_bgl_za762lambda2502za7623935z00, BGl_z62lambda2502z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_blockzd2succszd2envz00zzsaw_defsz00,
		BgL_bgl_za762blockza7d2succs3936z00, BGl_z62blockzd2succszb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_effectzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_effectza7d23937z00,
		BGl_z62rtl_effectzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vsetzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vsetza7d2ni3938z00, BGl_z62rtl_vsetzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3410z00zzsaw_defsz00,
		BgL_bgl_za762lambda2529za7623939z00, BGl_z62lambda2529z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3411z00zzsaw_defsz00,
		BgL_bgl_za762lambda2528za7623940z00, BGl_z62lambda2528z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3412z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3941za7,
		BGl_z62zc3z04anonymousza32522ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3413z00zzsaw_defsz00,
		BgL_bgl_za762lambda2520za7623942z00, BGl_z62lambda2520z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3414z00zzsaw_defsz00,
		BgL_bgl_za762lambda2515za7623943z00, BGl_z62lambda2515z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_newzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_newza7d2typ3944z00, BGl_z62rtl_newzd2typezb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3415z00zzsaw_defsz00,
		BgL_bgl_za762lambda2548za7623945z00, BGl_z62lambda2548z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3416z00zzsaw_defsz00,
		BgL_bgl_za762lambda2547za7623946z00, BGl_z62lambda2547z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3254z00zzsaw_defsz00,
		BgL_bgl_za762lambda2000za7623947z00, BGl_z62lambda2000z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3417z00zzsaw_defsz00,
		BgL_bgl_za762lambda2553za7623948z00, BGl_z62lambda2553z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3255z00zzsaw_defsz00,
		BgL_bgl_za762lambda1999za7623949z00, BGl_z62lambda1999z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3418z00zzsaw_defsz00,
		BgL_bgl_za762lambda2552za7623950z00, BGl_z62lambda2552z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3256z00zzsaw_defsz00,
		BgL_bgl_za762lambda2005za7623951z00, BGl_z62lambda2005z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3419z00zzsaw_defsz00,
		BgL_bgl_za762lambda2558za7623952z00, BGl_z62lambda2558z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3257z00zzsaw_defsz00,
		BgL_bgl_za762lambda2004za7623953z00, BGl_z62lambda2004z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3258z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3954za7,
		BGl_z62zc3z04anonymousza32012ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_returnzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_returnza7f33955z00, BGl_z62rtl_returnzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3259z00zzsaw_defsz00,
		BgL_bgl_za762lambda2011za7623956z00, BGl_z62lambda2011z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_getfieldzd2namezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_getfieldza73957z00,
		BGl_z62rtl_getfieldzd2namezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_callzd2varzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_callza7d2va3958z00,
		BGl_z62rtl_callzd2varzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3420z00zzsaw_defsz00,
		BgL_bgl_za762lambda2557za7623959z00, BGl_z62lambda2557z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_retzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_re3960z00, BGl_z62makezd2rtl_retzb0zzsaw_defsz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3421z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3961za7,
		BGl_z62zc3z04anonymousza32542ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3422z00zzsaw_defsz00,
		BgL_bgl_za762lambda2539za7623962z00, BGl_z62lambda2539z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3260z00zzsaw_defsz00,
		BgL_bgl_za762lambda2010za7623963z00, BGl_z62lambda2010z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3423z00zzsaw_defsz00,
		BgL_bgl_za762lambda2537za7623964z00, BGl_z62lambda2537z62zzsaw_defsz00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3261z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3965za7,
		BGl_z62zc3z04anonymousza32019ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3424z00zzsaw_defsz00,
		BgL_bgl_za762lambda2575za7623966z00, BGl_z62lambda2575z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3262z00zzsaw_defsz00,
		BgL_bgl_za762lambda2018za7623967z00, BGl_z62lambda2018z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3425z00zzsaw_defsz00,
		BgL_bgl_za762lambda2574za7623968z00, BGl_z62lambda2574z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3263z00zzsaw_defsz00,
		BgL_bgl_za762lambda2017za7623969z00, BGl_z62lambda2017z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3426z00zzsaw_defsz00,
		BgL_bgl_za762lambda2580za7623970z00, BGl_z62lambda2580z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3264z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3971za7,
		BGl_z62zc3z04anonymousza32027ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3427z00zzsaw_defsz00,
		BgL_bgl_za762lambda2579za7623972z00, BGl_z62lambda2579z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3265z00zzsaw_defsz00,
		BgL_bgl_za762lambda2026za7623973z00, BGl_z62lambda2026z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3428z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3974za7,
		BGl_z62zc3z04anonymousza32569ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3266z00zzsaw_defsz00,
		BgL_bgl_za762lambda2025za7623975z00, BGl_z62lambda2025z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3429z00zzsaw_defsz00,
		BgL_bgl_za762lambda2566za7623976z00, BGl_z62lambda2566z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3267z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3977za7,
		BGl_z62zc3z04anonymousza32035ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3517z00zzsaw_defsz00,
		BgL_bgl_string3517za700za7za7s3978za7, "", 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3268z00zzsaw_defsz00,
		BgL_bgl_za762lambda2034za7623979z00, BGl_z62lambda2034z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3269z00zzsaw_defsz00,
		BgL_bgl_za762lambda2033za7623980z00, BGl_z62lambda2033z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3519z00zzsaw_defsz00,
		BgL_bgl_string3519za700za7za7s3981za7, "dump1795", 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_castzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_castza7d2lo3982z00,
		BGl_z62rtl_castzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzd2varzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7d2var3983z00, BGl_z62rtl_regzd2varzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3430z00zzsaw_defsz00,
		BgL_bgl_za762lambda2564za7623984z00, BGl_z62lambda2564z62zzsaw_defsz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3431z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3985za7,
		BGl_z62zc3z04anonymousza32591ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3432z00zzsaw_defsz00,
		BgL_bgl_za762lambda2588za7623986z00, BGl_z62lambda2588z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3270z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3987za7,
		BGl_z62zc3z04anonymousza32043ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3433z00zzsaw_defsz00,
		BgL_bgl_za762lambda2586za7623988z00, BGl_z62lambda2586z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3271z00zzsaw_defsz00,
		BgL_bgl_za762lambda2042za7623989z00, BGl_z62lambda2042z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3521z00zzsaw_defsz00,
		BgL_bgl_string3521za700za7za7s3990za7, "dump-fun1803", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3434z00zzsaw_defsz00,
		BgL_bgl_za762lambda2608za7623991z00, BGl_z62lambda2608z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3272z00zzsaw_defsz00,
		BgL_bgl_za762lambda2041za7623992z00, BGl_z62lambda2041z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3435z00zzsaw_defsz00,
		BgL_bgl_za762lambda2607za7623993z00, BGl_z62lambda2607z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3273z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3994za7,
		BGl_z62zc3z04anonymousza31991ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3523z00zzsaw_defsz00,
		BgL_bgl_string3523za700za7za7s3995za7, "shape", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3436z00zzsaw_defsz00,
		BgL_bgl_za762lambda2613za7623996z00, BGl_z62lambda2613z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3274z00zzsaw_defsz00,
		BgL_bgl_za762lambda1989za7623997z00, BGl_z62lambda1989z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_switchzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_sw3998z00,
		BGl_z62makezd2rtl_switchzb0zzsaw_defsz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3437z00zzsaw_defsz00,
		BgL_bgl_za762lambda2612za7623999z00, BGl_z62lambda2612z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3275z00zzsaw_defsz00,
		BgL_bgl_za762lambda1987za7624000z00, BGl_z62lambda1987z62zzsaw_defsz00, 0L,
		BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3438z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo4001za7,
		BGl_z62zc3z04anonymousza32602ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3276z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo4002za7,
		BGl_z62zc3z04anonymousza32062ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3526z00zzsaw_defsz00,
		BgL_bgl_string3526za700za7za7s4003za7, "dump", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3439z00zzsaw_defsz00,
		BgL_bgl_za762lambda2600za7624004z00, BGl_z62lambda2600z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3277z00zzsaw_defsz00,
		BgL_bgl_za762lambda2061za7624005z00, BGl_z62lambda2061z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3278z00zzsaw_defsz00,
		BgL_bgl_za762lambda2060za7624006z00, BGl_z62lambda2060z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3279z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo4007za7,
		BGl_z62zc3z04anonymousza32054ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vlengthzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vlengthza7d4008z00,
		BGl_z62rtl_vlengthzd2typezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_blockzd2labelzd2envz00zzsaw_defsz00,
		BgL_bgl_za762blockza7d2label4009z00, BGl_z62blockzd2labelzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_getfieldzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_getfieldza74010z00,
		BGl_z62rtl_getfieldzd2typezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_storegzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_storegza7f34011z00, BGl_z62rtl_storegzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3440z00zzsaw_defsz00,
		BgL_bgl_za762lambda2598za7624012z00, BGl_z62lambda2598z62zzsaw_defsz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3441z00zzsaw_defsz00,
		BgL_bgl_za762lambda2635za7624013z00, BGl_z62lambda2635z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_loadfunzd2varzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_loadfunza7d4014z00,
		BGl_z62rtl_loadfunzd2varzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3442z00zzsaw_defsz00,
		BgL_bgl_za762lambda2634za7624015z00, BGl_z62lambda2634z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3280z00zzsaw_defsz00,
		BgL_bgl_za762lambda2052za7624016z00, BGl_z62lambda2052z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3530z00zzsaw_defsz00,
		BgL_bgl_string3530za700za7za7s4017za7, "dump-fun", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3443z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo4018za7,
		BGl_z62zc3z04anonymousza32629ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3281z00zzsaw_defsz00,
		BgL_bgl_za762lambda2050za7624019z00, BGl_z62lambda2050z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3444z00zzsaw_defsz00,
		BgL_bgl_za762lambda2627za7624020z00, BGl_z62lambda2627z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3282z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo4021za7,
		BGl_z62zc3z04anonymousza32072ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3445z00zzsaw_defsz00,
		BgL_bgl_za762lambda2625za7624022z00, BGl_z62lambda2625z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3283z00zzsaw_defsz00,
		BgL_bgl_za762lambda2070za7624023z00, BGl_z62lambda2070z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3446z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo4024za7,
		BGl_z62zc3z04anonymousza32656ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3284z00zzsaw_defsz00,
		BgL_bgl_za762lambda2068za7624025z00, BGl_z62lambda2068z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3447z00zzsaw_defsz00,
		BgL_bgl_za762lambda2653za7624026z00, BGl_z62lambda2653z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3285z00zzsaw_defsz00,
		BgL_bgl_za762lambda2087za7624027z00, BGl_z62lambda2087z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_notseqzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_notseqza7d24028z00,
		BGl_z62rtl_notseqzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_setfieldzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_setfieldza74029z00,
		BGl_z62rtl_setfieldzd2typezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3448z00zzsaw_defsz00,
		BgL_bgl_za762lambda2650za7624030z00, BGl_z62lambda2650z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3286z00zzsaw_defsz00,
		BgL_bgl_za762lambda2086za7624031z00, BGl_z62lambda2086z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3449z00zzsaw_defsz00,
		BgL_bgl_za762lambda2677za7624032z00, BGl_z62lambda2677z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3287z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo4033za7,
		BGl_z62zc3z04anonymousza32082ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3288z00zzsaw_defsz00,
		BgL_bgl_za762lambda2080za7624034z00, BGl_z62lambda2080z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3289z00zzsaw_defsz00,
		BgL_bgl_za762lambda2078za7624035z00, BGl_z62lambda2078z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_blockzd2predszd2envz00zzsaw_defsz00,
		BgL_bgl_za762blockza7d2preds4036z00, BGl_z62blockzd2predszb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_protectzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_protectza7d4037z00,
		BGl_z62rtl_protectzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzd2debugnamezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7d2deb4038z00,
		BGl_z62rtl_regzd2debugnamezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_pragmazd2formatzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_pragmaza7d24039z00,
		BGl_z62rtl_pragmazd2formatzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifeqzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_ifeqza7d2lo4040z00, BGl_z62rtl_ifeqzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_lastzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_lastza7f3za794041za7, BGl_z62rtl_lastzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_dumpzd2inszd2rhszd2envzd2zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2insza7d24042za7,
		BGl_z62dumpzd2inszd2rhsz62zzsaw_defsz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3450z00zzsaw_defsz00,
		BgL_bgl_za762lambda2676za7624043z00, BGl_z62lambda2676z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3451z00zzsaw_defsz00,
		BgL_bgl_za762lambda2683za7624044z00, BGl_z62lambda2683z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3452z00zzsaw_defsz00,
		BgL_bgl_za762lambda2682za7624045z00, BGl_z62lambda2682z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3290z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo4046za7,
		BGl_z62zc3z04anonymousza32097ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3453z00zzsaw_defsz00,
		BgL_bgl_za762lambda2692za7624047z00, BGl_z62lambda2692z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3291z00zzsaw_defsz00,
		BgL_bgl_za762lambda2095za7624048z00, BGl_z62lambda2095z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3454z00zzsaw_defsz00,
		BgL_bgl_za762lambda2691za7624049z00, BGl_z62lambda2691z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3292z00zzsaw_defsz00,
		BgL_bgl_za762lambda2093za7624050z00, BGl_z62lambda2093z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3455z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo4051za7,
		BGl_z62zc3z04anonymousza32671ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3293z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo4052za7,
		BGl_z62zc3z04anonymousza32107ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3456z00zzsaw_defsz00,
		BgL_bgl_za762lambda2668za7624053z00, BGl_z62lambda2668z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3294z00zzsaw_defsz00,
		BgL_bgl_za762lambda2105za7624054z00, BGl_z62lambda2105z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3544z00zzsaw_defsz00,
		BgL_bgl_string3544za700za7za7s4055za7, "::", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3457z00zzsaw_defsz00,
		BgL_bgl_za762lambda2666za7624056z00, BGl_z62lambda2666z62zzsaw_defsz00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3295z00zzsaw_defsz00,
		BgL_bgl_za762lambda2103za7624057z00, BGl_z62lambda2103z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3545z00zzsaw_defsz00,
		BgL_bgl_string3545za700za7za7s4058za7, "<-", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3458z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo4059za7,
		BGl_z62zc3z04anonymousza32720ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3296z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo4060za7,
		BGl_z62zc3z04anonymousza32117ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3546z00zzsaw_defsz00,
		BgL_bgl_string3546za700za7za7s4061za7, " (go ", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3459z00zzsaw_defsz00,
		BgL_bgl_za762lambda2716za7624062z00, BGl_z62lambda2716z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3297z00zzsaw_defsz00,
		BgL_bgl_za762lambda2115za7624063z00, BGl_z62lambda2115z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3547z00zzsaw_defsz00,
		BgL_bgl_string3547za700za7za7s4064za7, "[", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3298z00zzsaw_defsz00,
		BgL_bgl_za762lambda2113za7624065z00, BGl_z62lambda2113z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3548z00zzsaw_defsz00,
		BgL_bgl_string3548za700za7za7s4066za7, " <- ", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3299z00zzsaw_defsz00,
		BgL_bgl_za762lambda2132za7624067z00, BGl_z62lambda2132z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3549z00zzsaw_defsz00,
		BgL_bgl_string3549za700za7za7s4068za7, " (", 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_retblockzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_retblockza74069z00,
		BGl_z62rtl_retblockzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_protectedzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_protected4070za7,
		BGl_z62rtl_protectedzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_notseqzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_notseqza7f34071z00, BGl_z62rtl_notseqzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3460z00zzsaw_defsz00,
		BgL_bgl_za762lambda2713za7624072z00, BGl_z62lambda2713z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_loadizd2constantzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_loadiza7d2c4073z00,
		BGl_z62rtl_loadizd2constantzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3461z00zzsaw_defsz00,
		BgL_bgl_za762lambda2735za7624074z00, BGl_z62lambda2735z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_setfieldzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_setfieldza74075z00,
		BGl_z62rtl_setfieldzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3462z00zzsaw_defsz00,
		BgL_bgl_za762lambda2734za7624076z00, BGl_z62lambda2734z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3550z00zzsaw_defsz00,
		BgL_bgl_string3550za700za7za7s4077za7, "]", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3463z00zzsaw_defsz00,
		BgL_bgl_za762lambda2740za7624078z00, BGl_z62lambda2740z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3551z00zzsaw_defsz00,
		BgL_bgl_string3551za700za7za7s4079za7, ":preds ", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3464z00zzsaw_defsz00,
		BgL_bgl_za762lambda2739za7624080z00, BGl_z62lambda2739z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3552z00zzsaw_defsz00,
		BgL_bgl_string3552za700za7za7s4081za7, ":succs ", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3465z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo4082za7,
		BGl_z62zc3z04anonymousza32730ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3553z00zzsaw_defsz00,
		BgL_bgl_string3553za700za7za7s4083za7, "\n )\n", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3466z00zzsaw_defsz00,
		BgL_bgl_za762lambda2728za7624084z00, BGl_z62lambda2728z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_gozd2tozd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_goza7d2toza7d4085za7,
		BGl_z62rtl_gozd2tozd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3554z00zzsaw_defsz00,
		BgL_bgl_string3554za700za7za7s4086za7, "*", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3467z00zzsaw_defsz00,
		BgL_bgl_za762lambda2726za7624087z00, BGl_z62lambda2726z62zzsaw_defsz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STRING(BGl_string3555z00zzsaw_defsz00,
		BgL_bgl_string3555za700za7za7s4088za7, "%", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3468z00zzsaw_defsz00,
		BgL_bgl_za762lambda2759za7624089z00, BGl_z62lambda2759z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3556z00zzsaw_defsz00,
		BgL_bgl_string3556za700za7za7s4090za7, "$", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3469z00zzsaw_defsz00,
		BgL_bgl_za762lambda2758za7624091z00, BGl_z62lambda2758z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3557z00zzsaw_defsz00,
		BgL_bgl_string3557za700za7za7s4092za7, "@", 1);
	      DEFINE_STRING(BGl_string3558z00zzsaw_defsz00,
		BgL_bgl_string3558za700za7za7s4093za7, "saw_defs", 8);
	      DEFINE_STRING(BGl_string3559z00zzsaw_defsz00,
		BgL_bgl_string3559za700za7za7s4094za7,
		"_ block first succs preds int label rtl_ins args fun dest %spill rtl_protected rtl_protect rtl_cast_null rtl_cast fromtype totype rtl_pragma srfi0 format rtl_funcall rtl_lightfuncall rettype funs symbol rtl_apply rtl_call rtl_new pair-nil constr rtl_boxset rtl_vset rtl_setfield rtl_storeg rtl_effect rtl_boxref rtl_makebox rtl_instanceof rtl_vlength rtl_vref rtl_valloc vtype rtl_getfield objtype bstring rtl_globalref rtl_loadfun rtl_loadg rtl_loadi constant rtl_mov rtl_nop rtl_pure rtl_go rtl_ifne rtl_ifeq then rtl_switch labels rtl_select patterns rtl_if rtl_notseq rtl_ret to rtl_retblock rtl_fail rtl_jumpexit rtl_return rtl_last rtl_fun loc saw_defs rtl_reg hardware debugname key name onexpr? obj var type #(\"\" \" \" \"  \" \"   \" \"    \" \"     \" \"      \" \"       \") ",
		771);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_jumpexitzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_jumpexitza74095z00,
		BGl_z62rtl_jumpexitzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_switchzd2labelszd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_switchza7d24096z00,
		BGl_z62rtl_switchzd2labelszb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_castzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_castza7d2lo4097z00, BGl_z62rtl_castzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadizd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_loadiza7d2n4098z00, BGl_z62rtl_loadizd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3470z00zzsaw_defsz00,
		BgL_bgl_za762lambda2765za7624099z00, BGl_z62lambda2765z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_jumpexitzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_jumpexitza74100z00,
		BGl_z62rtl_jumpexitzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3471z00zzsaw_defsz00,
		BgL_bgl_za762lambda2764za7624101z00, BGl_z62lambda2764z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3472z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo4102za7,
		BGl_z62zc3z04anonymousza32754ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3473z00zzsaw_defsz00,
		BgL_bgl_za762lambda2752za7624103z00, BGl_z62lambda2752z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3474z00zzsaw_defsz00,
		BgL_bgl_za762lambda2750za7624104z00, BGl_z62lambda2750z62zzsaw_defsz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3475z00zzsaw_defsz00,
		BgL_bgl_za762lambda2805za7624105z00, BGl_z62lambda2805z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_boxsetzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_bo4106z00,
		BGl_z62makezd2rtl_boxsetzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3476z00zzsaw_defsz00,
		BgL_bgl_za762lambda2804za7624107z00, BGl_z62lambda2804z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_retblockzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_re4108z00,
		BGl_z62makezd2rtl_retblockzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3477z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo4109za7,
		BGl_z62zc3z04anonymousza32781ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3478z00zzsaw_defsz00,
		BgL_bgl_za762lambda2775za7624110z00, BGl_z62lambda2775z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3479z00zzsaw_defsz00,
		BgL_bgl_za762lambda2771za7624111z00, BGl_z62lambda2771z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_gozd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_goza7d2nilza74112za7, BGl_z62rtl_gozd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_callzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_callza7d2lo4113z00, BGl_z62rtl_callzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifnezd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_ifneza7d2ni4114z00, BGl_z62rtl_ifnezd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_retblockzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_retblockza74115z00, BGl_z62rtl_retblockzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_inszd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2loc4116z00, BGl_z62rtl_inszd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_makeboxzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_makeboxza7d4117z00,
		BGl_z62rtl_makeboxzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3480z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo4118za7,
		BGl_z62zc3z04anonymousza32818ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_lightfuncallzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_lightfunc4119za7,
		BGl_z62rtl_lightfuncallzf3z91zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3481z00zzsaw_defsz00,
		BgL_bgl_za762lambda2816za7624120z00, BGl_z62lambda2816z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3482z00zzsaw_defsz00,
		BgL_bgl_za762lambda2814za7624121z00, BGl_z62lambda2814z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_vrefzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_vr4122z00, BGl_z62makezd2rtl_vrefzb0zzsaw_defsz00,
		0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3483z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo4123za7,
		BGl_z62zc3z04anonymousza32828ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3484z00zzsaw_defsz00,
		BgL_bgl_za762lambda2826za7624124z00, BGl_z62lambda2826z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3485z00zzsaw_defsz00,
		BgL_bgl_za762lambda2824za7624125z00, BGl_z62lambda2824z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_jumpexitzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_ju4126z00,
		BGl_z62makezd2rtl_jumpexitzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_vsetzd2vtypezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vsetza7d2vt4127z00,
		BGl_z62rtl_vsetzd2vtypezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3486z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo4128za7,
		BGl_z62zc3z04anonymousza32849ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3487z00zzsaw_defsz00,
		BgL_bgl_za762lambda2848za7624129z00, BGl_z62lambda2848z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3488z00zzsaw_defsz00,
		BgL_bgl_za762lambda2847za7624130z00, BGl_z62lambda2847z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3489z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo4131za7,
		BGl_z62zc3z04anonymousza32856ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_cast_nullzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_cast_null4132za7,
		BGl_z62rtl_cast_nullzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_retzd2tozd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_retza7d2toza74133za7, BGl_z62rtl_retzd2tozb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3490z00zzsaw_defsz00,
		BgL_bgl_za762lambda2855za7624134z00, BGl_z62lambda2855z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3491z00zzsaw_defsz00,
		BgL_bgl_za762lambda2854za7624135z00, BGl_z62lambda2854z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3492z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo4136za7,
		BGl_z62zc3z04anonymousza32863ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3493z00zzsaw_defsz00,
		BgL_bgl_za762lambda2862za7624137z00, BGl_z62lambda2862z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3494z00zzsaw_defsz00,
		BgL_bgl_za762lambda2861za7624138z00, BGl_z62lambda2861z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3495z00zzsaw_defsz00,
		BgL_bgl_za762lambda2868za7624139z00, BGl_z62lambda2868z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3496z00zzsaw_defsz00,
		BgL_bgl_za762lambda2867za7624140z00, BGl_z62lambda2867z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3497z00zzsaw_defsz00,
		BgL_bgl_za762lambda2881za7624141z00, BGl_z62lambda2881z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3498z00zzsaw_defsz00,
		BgL_bgl_za762lambda2880za7624142z00, BGl_z62lambda2880z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3499z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo4143za7,
		BGl_z62zc3z04anonymousza32839ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_gozf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_goza7f3za791za74144z00, BGl_z62rtl_gozf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_callzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_callza7f3za794145za7, BGl_z62rtl_callzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_lastzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_lastza7d2lo4146z00, BGl_z62rtl_lastzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_getfieldzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_getfieldza74147z00,
		BGl_z62rtl_getfieldzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_castzd2fromtypezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_castza7d2fr4148z00,
		BGl_z62rtl_castzd2fromtypezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_boxrefzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_boxrefza7d24149z00,
		BGl_z62rtl_boxrefzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_nopzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_nopza7d2loc4150z00, BGl_z62rtl_nopzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_retzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_retza7d2nil4151z00, BGl_z62rtl_retzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_notseqzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_no4152z00,
		BGl_z62makezd2rtl_notseqzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_cast_nullzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_ca4153z00,
		BGl_z62makezd2rtl_cast_nullzb0zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_newzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_newza7d2typ4154z00,
		BGl_z62rtl_newzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_nopzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_no4155z00, BGl_z62makezd2rtl_nopzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifnezd2thenzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_ifneza7d2th4156z00, BGl_z62rtl_ifnezd2thenzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifeqzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_ifeqza7f3za794157za7, BGl_z62rtl_ifeqzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_selectzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_selectza7d24158z00,
		BGl_z62rtl_selectzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2rtl_lightfuncallzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_li4159z00,
		BGl_z62makezd2rtl_lightfuncallzb0zzsaw_defsz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_newzd2constrzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_newza7d2con4160z00,
		BGl_z62rtl_newzd2constrzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_loadgzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_loadgza7d2l4161z00,
		BGl_z62rtl_loadgzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_globalrefzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_globalref4162za7, BGl_z62rtl_globalrefzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_setfieldzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_setfieldza74163z00, BGl_z62rtl_setfieldzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_setfieldzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_setfieldza74164z00,
		BGl_z62rtl_setfieldzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_ifzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_if4165z00, BGl_z62makezd2rtl_ifzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_vrefzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vrefza7d2ty4166z00,
		BGl_z62rtl_vrefzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_effectzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_effectza7d24167z00,
		BGl_z62rtl_effectzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_purezd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_pu4168z00, BGl_z62makezd2rtl_purezb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_regzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_re4169z00, BGl_z62makezd2rtl_regzb0zzsaw_defsz00,
		0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_instanceofzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_instanceo4170za7,
		BGl_z62rtl_instanceofzd2typezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_purezd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_pureza7d2lo4171z00,
		BGl_z62rtl_purezd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_lightfuncallzd2namezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_lightfunc4172za7,
		BGl_z62rtl_lightfuncallzd2namezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_protectzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_protectza7d4173z00,
		BGl_z62rtl_protectzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_selectzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_selectza7d24174z00,
		BGl_z62rtl_selectzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_ifza7d2locza74175za7,
		BGl_z62rtl_ifzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_setfieldzd2objtypezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_setfieldza74176z00,
		BGl_z62rtl_setfieldzd2objtypezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_castzd2totypezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_castza7d2to4177z00,
		BGl_z62rtl_castzd2totypezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_storegzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_st4178z00,
		BGl_z62makezd2rtl_storegzb0zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_boxrefzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_boxrefza7f34179z00, BGl_z62rtl_boxrefzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_valloczd2vtypezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vallocza7d24180z00,
		BGl_z62rtl_valloczd2vtypezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_notseqzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_notseqza7d24181z00,
		BGl_z62rtl_notseqzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_purezd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_pureza7d2ni4182z00, BGl_z62rtl_purezd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_instanceofzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_in4183z00,
		BGl_z62makezd2rtl_instanceofzb0zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_ifnezd2thenzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_ifneza7d2th4184z00,
		BGl_z62rtl_ifnezd2thenzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_cast_nullzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_cast_null4185za7, BGl_z62rtl_cast_nullzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_getfieldzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_getfieldza74186z00,
		BGl_z62rtl_getfieldzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_nopzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_nopza7d2loc4187z00,
		BGl_z62rtl_nopzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzd2keyzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7d2key4188z00, BGl_z62rtl_regzd2keyzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_vlengthzd2vtypezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vlengthza7d4189z00,
		BGl_z62rtl_vlengthzd2vtypezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_ifeqzd2thenzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_ifeqza7d2th4190z00,
		BGl_z62rtl_ifeqzd2thenzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_movzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_movza7d2loc4191z00, BGl_z62rtl_movzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_ifza7d2nilza74192za7, BGl_z62rtl_ifzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_returnzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_returnza7d24193z00,
		BGl_z62rtl_returnzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_getfieldzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_getfieldza74194z00,
		BGl_z62rtl_getfieldzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vrefzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_vrefza7f3za794195za7, BGl_z62rtl_vrefzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_storegzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_storegza7d24196z00,
		BGl_z62rtl_storegzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vlengthzd2vtypezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vlengthza7d4197z00,
		BGl_z62rtl_vlengthzd2vtypezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_globalrefzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_globalref4198za7,
		BGl_z62rtl_globalrefzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzd2namezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7d2nam4199z00, BGl_z62rtl_regzd2namezb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_funzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_funza7d2loc4200z00,
		BGl_z62rtl_funzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_blockzd2firstzd2envz00zzsaw_defsz00,
		BgL_bgl_za762blockza7d2first4201z00, BGl_z62blockzd2firstzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_lastzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_lastza7d2lo4202z00,
		BGl_z62rtl_lastzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_boxsetzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_boxsetza7d24203z00,
		BGl_z62rtl_boxsetzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_dumpzd2basiczd2blockszd2envzd2zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2basicza74204za7,
		BGl_z62dumpzd2basiczd2blocksz62zzsaw_defsz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2destzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2des4205z00,
		BGl_z62rtl_inszd2destzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_globalrefzd2varzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_globalref4206za7,
		BGl_z62rtl_globalrefzd2varzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vrefzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vrefza7d2lo4207z00, BGl_z62rtl_vrefzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_vlengthzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vlengthza7d4208z00,
		BGl_z62rtl_vlengthzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockzd2labelzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762blockza7d2label4209z00,
		BGl_z62blockzd2labelzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_inszd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_in4210z00, BGl_z62makezd2rtl_inszb0zzsaw_defsz00,
		0L, BUNSPEC, 5);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_switchzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_switchza7d24211z00,
		BGl_z62rtl_switchzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vrefzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vrefza7d2ty4212z00, BGl_z62rtl_vrefzd2typezb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_selectzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_selectza7d24213z00,
		BGl_z62rtl_selectzd2typezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_instanceofzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_instanceo4214za7,
		BGl_z62rtl_instanceofzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_pragmazd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_pragmaza7d24215z00,
		BGl_z62rtl_pragmazd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_protectzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_protectza7d4216z00,
		BGl_z62rtl_protectzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifeqzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_ifeqza7d2ni4217z00, BGl_z62rtl_ifeqzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadgzd2varzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_loadgza7d2v4218z00, BGl_z62rtl_loadgzd2varzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_pragmazd2srfi0zd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_pragmaza7d24219z00,
		BGl_z62rtl_pragmazd2srfi0zd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_makeboxzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_makeboxza7f4220z00, BGl_z62rtl_makeboxzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_callzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_ca4221z00, BGl_z62makezd2rtl_callzb0zzsaw_defsz00,
		0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_rtl_insz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_funcallz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_vrefz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_protectz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_boxsetz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_makeboxz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_lightfuncallz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_movz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_retblockz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_jumpexitz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_switchz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_goz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_instanceofz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_setfieldz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_ifz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_storegz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_failz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_globalrefz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_effectz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_funz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_newz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_pragmaz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_boxrefz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_ifeqz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_vlengthz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_purez00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_vsetz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_regz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_vallocz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_cast_nullz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_loadfunz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_retz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_nopz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_ifnez00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_callz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_selectz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_lastz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_returnz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_applyz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_debugzd2sawzd2zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_loadgz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_loadiz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_notseqz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_castz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_getfieldz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_protectedz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_blockz00zzsaw_defsz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long
		BgL_checksumz00_10268, char *BgL_fromz00_10269)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_defsz00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_defsz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_defsz00();
					BGl_libraryzd2moduleszd2initz00zzsaw_defsz00();
					BGl_cnstzd2initzd2zzsaw_defsz00();
					BGl_importedzd2moduleszd2initz00zzsaw_defsz00();
					BGl_objectzd2initzd2zzsaw_defsz00();
					BGl_genericzd2initzd2zzsaw_defsz00();
					BGl_methodzd2initzd2zzsaw_defsz00();
					return BGl_toplevelzd2initzd2zzsaw_defsz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.scm 1 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "saw_defs");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L, "saw_defs");
			BGl_modulezd2initializa7ationz75zz__osz00(0L, "saw_defs");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "saw_defs");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "saw_defs");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L, "saw_defs");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "saw_defs");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "saw_defs");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "saw_defs");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "saw_defs");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "saw_defs");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "saw_defs");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"saw_defs");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"saw_defs");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.scm 1 */
			{	/* SawMill/defs.scm 1 */
				obj_t BgL_cportz00_8779;

				{	/* SawMill/defs.scm 1 */
					obj_t BgL_stringz00_8786;

					BgL_stringz00_8786 = BGl_string3559z00zzsaw_defsz00;
					{	/* SawMill/defs.scm 1 */
						obj_t BgL_startz00_8787;

						BgL_startz00_8787 = BINT(0L);
						{	/* SawMill/defs.scm 1 */
							obj_t BgL_endz00_8788;

							BgL_endz00_8788 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_8786)));
							{	/* SawMill/defs.scm 1 */

								BgL_cportz00_8779 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_8786, BgL_startz00_8787, BgL_endz00_8788);
				}}}}
				{
					long BgL_iz00_8780;

					BgL_iz00_8780 = 83L;
				BgL_loopz00_8781:
					if ((BgL_iz00_8780 == (-1L)))
						{	/* SawMill/defs.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawMill/defs.scm 1 */
							{	/* SawMill/defs.scm 1 */
								obj_t BgL_arg3560z00_8782;

								{	/* SawMill/defs.scm 1 */

									{	/* SawMill/defs.scm 1 */
										obj_t BgL_locationz00_8784;

										BgL_locationz00_8784 = BBOOL(((bool_t) 0));
										{	/* SawMill/defs.scm 1 */

											BgL_arg3560z00_8782 =
												BGl_readz00zz__readerz00(BgL_cportz00_8779,
												BgL_locationz00_8784);
										}
									}
								}
								{	/* SawMill/defs.scm 1 */
									int BgL_tmpz00_10304;

									BgL_tmpz00_10304 = (int) (BgL_iz00_8780);
									CNST_TABLE_SET(BgL_tmpz00_10304, BgL_arg3560z00_8782);
							}}
							{	/* SawMill/defs.scm 1 */
								int BgL_auxz00_8785;

								BgL_auxz00_8785 = (int) ((BgL_iz00_8780 - 1L));
								{
									long BgL_iz00_10309;

									BgL_iz00_10309 = (long) (BgL_auxz00_8785);
									BgL_iz00_8780 = BgL_iz00_10309;
									goto BgL_loopz00_8781;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.scm 1 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.scm 1 */
			{	/* SawMill/defs.scm 100 */
				obj_t BgL_ez00_1903;

				BgL_ez00_1903 = BGl_getenvz00zz__osz00(BGl_string3242z00zzsaw_defsz00);
				if (STRINGP(BgL_ez00_1903))
					{	/* SawMill/defs.scm 102 */
						bool_t BgL__ortest_1445z00_1905;

						{	/* SawMill/defs.scm 102 */

							BgL__ortest_1445z00_1905 =
								BGl_stringzd2prefixzf3z21zz__r4_strings_6_7z00
								(BGl_string3243z00zzsaw_defsz00, BgL_ez00_1903, BFALSE, BFALSE,
								BFALSE, BFALSE);
						}
						if (BgL__ortest_1445z00_1905)
							{	/* SawMill/defs.scm 102 */
								BGl_debugzd2sawzd2zzsaw_defsz00 =
									BBOOL(BgL__ortest_1445z00_1905);
							}
						else
							{	/* SawMill/defs.scm 103 */
								bool_t BgL__ortest_1446z00_1906;

								{	/* SawMill/defs.scm 103 */

									BgL__ortest_1446z00_1906 =
										BGl_stringzd2suffixzf3z21zz__r4_strings_6_7z00
										(BGl_string3244z00zzsaw_defsz00, BgL_ez00_1903, BFALSE,
										BFALSE, BFALSE, BFALSE);
								}
								if (BgL__ortest_1446z00_1906)
									{	/* SawMill/defs.scm 103 */
										BGl_debugzd2sawzd2zzsaw_defsz00 =
											BBOOL(BgL__ortest_1446z00_1906);
									}
								else
									{	/* SawMill/defs.scm 104 */
										obj_t BgL__ortest_1447z00_1907;

										{	/* SawMill/defs.scm 104 */

											BgL__ortest_1447z00_1907 =
												BGl_stringzd2containszd2zz__r4_strings_6_7z00
												(BgL_ez00_1903, BGl_string3245z00zzsaw_defsz00,
												(int) (0L));
										}
										if (CBOOL(BgL__ortest_1447z00_1907))
											{	/* SawMill/defs.scm 104 */
												BGl_debugzd2sawzd2zzsaw_defsz00 =
													BgL__ortest_1447z00_1907;
											}
										else
											{	/* SawMill/defs.scm 104 */
												if ((3L == STRING_LENGTH(BgL_ez00_1903)))
													{	/* SawMill/defs.scm 105 */
														int BgL_arg1343z00_4214;

														{	/* SawMill/defs.scm 105 */
															char *BgL_auxz00_10330;
															char *BgL_tmpz00_10328;

															BgL_auxz00_10330 =
																BSTRING_TO_STRING(BgL_ez00_1903);
															BgL_tmpz00_10328 =
																BSTRING_TO_STRING
																(BGl_string3246z00zzsaw_defsz00);
															BgL_arg1343z00_4214 =
																memcmp(BgL_tmpz00_10328, BgL_auxz00_10330, 3L);
														}
														BGl_debugzd2sawzd2zzsaw_defsz00 =
															BBOOL(((long) (BgL_arg1343z00_4214) == 0L));
													}
												else
													{	/* SawMill/defs.scm 105 */
														BGl_debugzd2sawzd2zzsaw_defsz00 = BFALSE;
													}
											}
									}
							}
					}
				else
					{	/* SawMill/defs.scm 101 */
						BGl_debugzd2sawzd2zzsaw_defsz00 = BFALSE;
					}
			}
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzsaw_defsz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_1924;

					BgL_headz00_1924 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_1925;
						obj_t BgL_tailz00_1926;

						BgL_prevz00_1925 = BgL_headz00_1924;
						BgL_tailz00_1926 = BgL_l1z00_1;
					BgL_loopz00_1927:
						if (PAIRP(BgL_tailz00_1926))
							{
								obj_t BgL_newzd2prevzd2_1929;

								BgL_newzd2prevzd2_1929 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1926), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_1925, BgL_newzd2prevzd2_1929);
								{
									obj_t BgL_tailz00_10345;
									obj_t BgL_prevz00_10344;

									BgL_prevz00_10344 = BgL_newzd2prevzd2_1929;
									BgL_tailz00_10345 = CDR(BgL_tailz00_1926);
									BgL_tailz00_1926 = BgL_tailz00_10345;
									BgL_prevz00_1925 = BgL_prevz00_10344;
									goto BgL_loopz00_1927;
								}
							}
						else
							{
								BNIL;
							}
						return CDR(BgL_headz00_1924);
					}
				}
		}

	}



/* make-rtl_reg */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt
		BGl_makezd2rtl_regzd2zzsaw_defsz00(BgL_typez00_bglt BgL_type1505z00_3,
		obj_t BgL_var1506z00_4, obj_t BgL_onexprzf31507zf3_5,
		obj_t BgL_name1508z00_6, obj_t BgL_key1509z00_7,
		obj_t BgL_debugname1510z00_8, obj_t BgL_hardware1511z00_9)
	{
		{	/* SawMill/defs.sch 533 */
			{	/* SawMill/defs.sch 533 */
				BgL_rtl_regz00_bglt BgL_new1351z00_8790;

				{	/* SawMill/defs.sch 533 */
					BgL_rtl_regz00_bglt BgL_new1350z00_8791;

					BgL_new1350z00_8791 =
						((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_regz00_bgl))));
					{	/* SawMill/defs.sch 533 */
						long BgL_arg1847z00_8792;

						BgL_arg1847z00_8792 = BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1350z00_8791), BgL_arg1847z00_8792);
					}
					{	/* SawMill/defs.sch 533 */
						BgL_objectz00_bglt BgL_tmpz00_10352;

						BgL_tmpz00_10352 = ((BgL_objectz00_bglt) BgL_new1350z00_8791);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10352, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1350z00_8791);
					BgL_new1351z00_8790 = BgL_new1350z00_8791;
				}
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1351z00_8790))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1505z00_3), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1351z00_8790))->BgL_varz00) =
					((obj_t) BgL_var1506z00_4), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1351z00_8790))->
						BgL_onexprzf3zf3) = ((obj_t) BgL_onexprzf31507zf3_5), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1351z00_8790))->BgL_namez00) =
					((obj_t) BgL_name1508z00_6), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1351z00_8790))->BgL_keyz00) =
					((obj_t) BgL_key1509z00_7), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1351z00_8790))->
						BgL_debugnamez00) = ((obj_t) BgL_debugname1510z00_8), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1351z00_8790))->
						BgL_hardwarez00) = ((obj_t) BgL_hardware1511z00_9), BUNSPEC);
				return BgL_new1351z00_8790;
			}
		}

	}



/* &make-rtl_reg */
	BgL_rtl_regz00_bglt BGl_z62makezd2rtl_regzb0zzsaw_defsz00(obj_t
		BgL_envz00_6996, obj_t BgL_type1505z00_6997, obj_t BgL_var1506z00_6998,
		obj_t BgL_onexprzf31507zf3_6999, obj_t BgL_name1508z00_7000,
		obj_t BgL_key1509z00_7001, obj_t BgL_debugname1510z00_7002,
		obj_t BgL_hardware1511z00_7003)
	{
		{	/* SawMill/defs.sch 533 */
			return
				BGl_makezd2rtl_regzd2zzsaw_defsz00(
				((BgL_typez00_bglt) BgL_type1505z00_6997), BgL_var1506z00_6998,
				BgL_onexprzf31507zf3_6999, BgL_name1508z00_7000, BgL_key1509z00_7001,
				BgL_debugname1510z00_7002, BgL_hardware1511z00_7003);
		}

	}



/* rtl_reg? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_regzf3zf3zzsaw_defsz00(obj_t BgL_objz00_10)
	{
		{	/* SawMill/defs.sch 534 */
			{	/* SawMill/defs.sch 534 */
				obj_t BgL_classz00_8793;

				BgL_classz00_8793 = BGl_rtl_regz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_10))
					{	/* SawMill/defs.sch 534 */
						BgL_objectz00_bglt BgL_arg1858z00_8794;

						BgL_arg1858z00_8794 = (BgL_objectz00_bglt) (BgL_objz00_10);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 534 */
								long BgL_idxz00_8795;

								BgL_idxz00_8795 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_8794);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8795 + 1L)) == BgL_classz00_8793);
							}
						else
							{	/* SawMill/defs.sch 534 */
								bool_t BgL_res3180z00_8798;

								{	/* SawMill/defs.sch 534 */
									obj_t BgL_oclassz00_8799;

									{	/* SawMill/defs.sch 534 */
										obj_t BgL_arg1866z00_8800;
										long BgL_arg1867z00_8801;

										BgL_arg1866z00_8800 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 534 */
											long BgL_arg1869z00_8802;

											BgL_arg1869z00_8802 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_8794);
											BgL_arg1867z00_8801 = (BgL_arg1869z00_8802 - OBJECT_TYPE);
										}
										BgL_oclassz00_8799 =
											VECTOR_REF(BgL_arg1866z00_8800, BgL_arg1867z00_8801);
									}
									{	/* SawMill/defs.sch 534 */
										bool_t BgL__ortest_1115z00_8803;

										BgL__ortest_1115z00_8803 =
											(BgL_classz00_8793 == BgL_oclassz00_8799);
										if (BgL__ortest_1115z00_8803)
											{	/* SawMill/defs.sch 534 */
												BgL_res3180z00_8798 = BgL__ortest_1115z00_8803;
											}
										else
											{	/* SawMill/defs.sch 534 */
												long BgL_odepthz00_8804;

												{	/* SawMill/defs.sch 534 */
													obj_t BgL_arg1855z00_8805;

													BgL_arg1855z00_8805 = (BgL_oclassz00_8799);
													BgL_odepthz00_8804 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_8805);
												}
												if ((1L < BgL_odepthz00_8804))
													{	/* SawMill/defs.sch 534 */
														obj_t BgL_arg1853z00_8806;

														{	/* SawMill/defs.sch 534 */
															obj_t BgL_arg1854z00_8807;

															BgL_arg1854z00_8807 = (BgL_oclassz00_8799);
															BgL_arg1853z00_8806 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_8807,
																1L);
														}
														BgL_res3180z00_8798 =
															(BgL_arg1853z00_8806 == BgL_classz00_8793);
													}
												else
													{	/* SawMill/defs.sch 534 */
														BgL_res3180z00_8798 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3180z00_8798;
							}
					}
				else
					{	/* SawMill/defs.sch 534 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_reg? */
	obj_t BGl_z62rtl_regzf3z91zzsaw_defsz00(obj_t BgL_envz00_7004,
		obj_t BgL_objz00_7005)
	{
		{	/* SawMill/defs.sch 534 */
			return BBOOL(BGl_rtl_regzf3zf3zzsaw_defsz00(BgL_objz00_7005));
		}

	}



/* rtl_reg-nil */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt BGl_rtl_regzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 535 */
			{	/* SawMill/defs.sch 535 */
				obj_t BgL_classz00_4265;

				BgL_classz00_4265 = BGl_rtl_regz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 535 */
					obj_t BgL__ortest_1117z00_4266;

					BgL__ortest_1117z00_4266 = BGL_CLASS_NIL(BgL_classz00_4265);
					if (CBOOL(BgL__ortest_1117z00_4266))
						{	/* SawMill/defs.sch 535 */
							return ((BgL_rtl_regz00_bglt) BgL__ortest_1117z00_4266);
						}
					else
						{	/* SawMill/defs.sch 535 */
							return
								((BgL_rtl_regz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4265));
						}
				}
			}
		}

	}



/* &rtl_reg-nil */
	BgL_rtl_regz00_bglt BGl_z62rtl_regzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7006)
	{
		{	/* SawMill/defs.sch 535 */
			return BGl_rtl_regzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_reg-hardware */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzd2hardwarezd2zzsaw_defsz00(BgL_rtl_regz00_bglt BgL_oz00_11)
	{
		{	/* SawMill/defs.sch 536 */
			return (((BgL_rtl_regz00_bglt) COBJECT(BgL_oz00_11))->BgL_hardwarez00);
		}

	}



/* &rtl_reg-hardware */
	obj_t BGl_z62rtl_regzd2hardwarezb0zzsaw_defsz00(obj_t BgL_envz00_7007,
		obj_t BgL_oz00_7008)
	{
		{	/* SawMill/defs.sch 536 */
			return
				BGl_rtl_regzd2hardwarezd2zzsaw_defsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_7008));
		}

	}



/* rtl_reg-debugname */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzd2debugnamezd2zzsaw_defsz00(BgL_rtl_regz00_bglt BgL_oz00_14)
	{
		{	/* SawMill/defs.sch 538 */
			return (((BgL_rtl_regz00_bglt) COBJECT(BgL_oz00_14))->BgL_debugnamez00);
		}

	}



/* &rtl_reg-debugname */
	obj_t BGl_z62rtl_regzd2debugnamezb0zzsaw_defsz00(obj_t BgL_envz00_7009,
		obj_t BgL_oz00_7010)
	{
		{	/* SawMill/defs.sch 538 */
			return
				BGl_rtl_regzd2debugnamezd2zzsaw_defsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_7010));
		}

	}



/* rtl_reg-debugname-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzd2debugnamezd2setz12z12zzsaw_defsz00(BgL_rtl_regz00_bglt
		BgL_oz00_15, obj_t BgL_vz00_16)
	{
		{	/* SawMill/defs.sch 539 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_oz00_15))->BgL_debugnamez00) =
				((obj_t) BgL_vz00_16), BUNSPEC);
		}

	}



/* &rtl_reg-debugname-set! */
	obj_t BGl_z62rtl_regzd2debugnamezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7011, obj_t BgL_oz00_7012, obj_t BgL_vz00_7013)
	{
		{	/* SawMill/defs.sch 539 */
			return
				BGl_rtl_regzd2debugnamezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_7012), BgL_vz00_7013);
		}

	}



/* rtl_reg-key */
	BGL_EXPORTED_DEF obj_t BGl_rtl_regzd2keyzd2zzsaw_defsz00(BgL_rtl_regz00_bglt
		BgL_oz00_17)
	{
		{	/* SawMill/defs.sch 540 */
			return (((BgL_rtl_regz00_bglt) COBJECT(BgL_oz00_17))->BgL_keyz00);
		}

	}



/* &rtl_reg-key */
	obj_t BGl_z62rtl_regzd2keyzb0zzsaw_defsz00(obj_t BgL_envz00_7014,
		obj_t BgL_oz00_7015)
	{
		{	/* SawMill/defs.sch 540 */
			return
				BGl_rtl_regzd2keyzd2zzsaw_defsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_7015));
		}

	}



/* rtl_reg-name */
	BGL_EXPORTED_DEF obj_t BGl_rtl_regzd2namezd2zzsaw_defsz00(BgL_rtl_regz00_bglt
		BgL_oz00_20)
	{
		{	/* SawMill/defs.sch 542 */
			return (((BgL_rtl_regz00_bglt) COBJECT(BgL_oz00_20))->BgL_namez00);
		}

	}



/* &rtl_reg-name */
	obj_t BGl_z62rtl_regzd2namezb0zzsaw_defsz00(obj_t BgL_envz00_7016,
		obj_t BgL_oz00_7017)
	{
		{	/* SawMill/defs.sch 542 */
			return
				BGl_rtl_regzd2namezd2zzsaw_defsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_7017));
		}

	}



/* rtl_reg-onexpr? */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzd2onexprzf3z21zzsaw_defsz00(BgL_rtl_regz00_bglt BgL_oz00_23)
	{
		{	/* SawMill/defs.sch 544 */
			return (((BgL_rtl_regz00_bglt) COBJECT(BgL_oz00_23))->BgL_onexprzf3zf3);
		}

	}



/* &rtl_reg-onexpr? */
	obj_t BGl_z62rtl_regzd2onexprzf3z43zzsaw_defsz00(obj_t BgL_envz00_7018,
		obj_t BgL_oz00_7019)
	{
		{	/* SawMill/defs.sch 544 */
			return
				BGl_rtl_regzd2onexprzf3z21zzsaw_defsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_7019));
		}

	}



/* rtl_reg-onexpr?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzd2onexprzf3zd2setz12ze1zzsaw_defsz00(BgL_rtl_regz00_bglt
		BgL_oz00_24, obj_t BgL_vz00_25)
	{
		{	/* SawMill/defs.sch 545 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_oz00_24))->BgL_onexprzf3zf3) =
				((obj_t) BgL_vz00_25), BUNSPEC);
		}

	}



/* &rtl_reg-onexpr?-set! */
	obj_t BGl_z62rtl_regzd2onexprzf3zd2setz12z83zzsaw_defsz00(obj_t
		BgL_envz00_7020, obj_t BgL_oz00_7021, obj_t BgL_vz00_7022)
	{
		{	/* SawMill/defs.sch 545 */
			return
				BGl_rtl_regzd2onexprzf3zd2setz12ze1zzsaw_defsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_7021), BgL_vz00_7022);
		}

	}



/* rtl_reg-var */
	BGL_EXPORTED_DEF obj_t BGl_rtl_regzd2varzd2zzsaw_defsz00(BgL_rtl_regz00_bglt
		BgL_oz00_26)
	{
		{	/* SawMill/defs.sch 546 */
			return (((BgL_rtl_regz00_bglt) COBJECT(BgL_oz00_26))->BgL_varz00);
		}

	}



/* &rtl_reg-var */
	obj_t BGl_z62rtl_regzd2varzb0zzsaw_defsz00(obj_t BgL_envz00_7023,
		obj_t BgL_oz00_7024)
	{
		{	/* SawMill/defs.sch 546 */
			return
				BGl_rtl_regzd2varzd2zzsaw_defsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_7024));
		}

	}



/* rtl_reg-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_regz00_bglt BgL_oz00_27,
		obj_t BgL_vz00_28)
	{
		{	/* SawMill/defs.sch 547 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_oz00_27))->BgL_varz00) =
				((obj_t) BgL_vz00_28), BUNSPEC);
		}

	}



/* &rtl_reg-var-set! */
	obj_t BGl_z62rtl_regzd2varzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7025,
		obj_t BgL_oz00_7026, obj_t BgL_vz00_7027)
	{
		{	/* SawMill/defs.sch 547 */
			return
				BGl_rtl_regzd2varzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_7026), BgL_vz00_7027);
		}

	}



/* rtl_reg-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_regzd2typezd2zzsaw_defsz00(BgL_rtl_regz00_bglt BgL_oz00_29)
	{
		{	/* SawMill/defs.sch 548 */
			return (((BgL_rtl_regz00_bglt) COBJECT(BgL_oz00_29))->BgL_typez00);
		}

	}



/* &rtl_reg-type */
	BgL_typez00_bglt BGl_z62rtl_regzd2typezb0zzsaw_defsz00(obj_t BgL_envz00_7028,
		obj_t BgL_oz00_7029)
	{
		{	/* SawMill/defs.sch 548 */
			return
				BGl_rtl_regzd2typezd2zzsaw_defsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_7029));
		}

	}



/* rtl_reg-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_regz00_bglt BgL_oz00_30,
		BgL_typez00_bglt BgL_vz00_31)
	{
		{	/* SawMill/defs.sch 549 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_oz00_30))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_31), BUNSPEC);
		}

	}



/* &rtl_reg-type-set! */
	obj_t BGl_z62rtl_regzd2typezd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7030,
		obj_t BgL_oz00_7031, obj_t BgL_vz00_7032)
	{
		{	/* SawMill/defs.sch 549 */
			return
				BGl_rtl_regzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_7031),
				((BgL_typez00_bglt) BgL_vz00_7032));
		}

	}



/* make-rtl_fun */
	BGL_EXPORTED_DEF BgL_rtl_funz00_bglt BGl_makezd2rtl_funzd2zzsaw_defsz00(obj_t
		BgL_loc1503z00_32)
	{
		{	/* SawMill/defs.sch 552 */
			{	/* SawMill/defs.sch 552 */
				BgL_rtl_funz00_bglt BgL_new1353z00_8808;

				{	/* SawMill/defs.sch 552 */
					BgL_rtl_funz00_bglt BgL_new1352z00_8809;

					BgL_new1352z00_8809 =
						((BgL_rtl_funz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_funz00_bgl))));
					{	/* SawMill/defs.sch 552 */
						long BgL_arg1848z00_8810;

						BgL_arg1848z00_8810 = BGL_CLASS_NUM(BGl_rtl_funz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1352z00_8809), BgL_arg1848z00_8810);
					}
					BgL_new1353z00_8808 = BgL_new1352z00_8809;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(BgL_new1353z00_8808))->BgL_locz00) =
					((obj_t) BgL_loc1503z00_32), BUNSPEC);
				return BgL_new1353z00_8808;
			}
		}

	}



/* &make-rtl_fun */
	BgL_rtl_funz00_bglt BGl_z62makezd2rtl_funzb0zzsaw_defsz00(obj_t
		BgL_envz00_7033, obj_t BgL_loc1503z00_7034)
	{
		{	/* SawMill/defs.sch 552 */
			return BGl_makezd2rtl_funzd2zzsaw_defsz00(BgL_loc1503z00_7034);
		}

	}



/* rtl_fun? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_funzf3zf3zzsaw_defsz00(obj_t BgL_objz00_33)
	{
		{	/* SawMill/defs.sch 553 */
			{	/* SawMill/defs.sch 553 */
				obj_t BgL_classz00_8811;

				BgL_classz00_8811 = BGl_rtl_funz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_33))
					{	/* SawMill/defs.sch 553 */
						BgL_objectz00_bglt BgL_arg1858z00_8812;

						BgL_arg1858z00_8812 = (BgL_objectz00_bglt) (BgL_objz00_33);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 553 */
								long BgL_idxz00_8813;

								BgL_idxz00_8813 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_8812);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8813 + 1L)) == BgL_classz00_8811);
							}
						else
							{	/* SawMill/defs.sch 553 */
								bool_t BgL_res3181z00_8816;

								{	/* SawMill/defs.sch 553 */
									obj_t BgL_oclassz00_8817;

									{	/* SawMill/defs.sch 553 */
										obj_t BgL_arg1866z00_8818;
										long BgL_arg1867z00_8819;

										BgL_arg1866z00_8818 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 553 */
											long BgL_arg1869z00_8820;

											BgL_arg1869z00_8820 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_8812);
											BgL_arg1867z00_8819 = (BgL_arg1869z00_8820 - OBJECT_TYPE);
										}
										BgL_oclassz00_8817 =
											VECTOR_REF(BgL_arg1866z00_8818, BgL_arg1867z00_8819);
									}
									{	/* SawMill/defs.sch 553 */
										bool_t BgL__ortest_1115z00_8821;

										BgL__ortest_1115z00_8821 =
											(BgL_classz00_8811 == BgL_oclassz00_8817);
										if (BgL__ortest_1115z00_8821)
											{	/* SawMill/defs.sch 553 */
												BgL_res3181z00_8816 = BgL__ortest_1115z00_8821;
											}
										else
											{	/* SawMill/defs.sch 553 */
												long BgL_odepthz00_8822;

												{	/* SawMill/defs.sch 553 */
													obj_t BgL_arg1855z00_8823;

													BgL_arg1855z00_8823 = (BgL_oclassz00_8817);
													BgL_odepthz00_8822 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_8823);
												}
												if ((1L < BgL_odepthz00_8822))
													{	/* SawMill/defs.sch 553 */
														obj_t BgL_arg1853z00_8824;

														{	/* SawMill/defs.sch 553 */
															obj_t BgL_arg1854z00_8825;

															BgL_arg1854z00_8825 = (BgL_oclassz00_8817);
															BgL_arg1853z00_8824 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_8825,
																1L);
														}
														BgL_res3181z00_8816 =
															(BgL_arg1853z00_8824 == BgL_classz00_8811);
													}
												else
													{	/* SawMill/defs.sch 553 */
														BgL_res3181z00_8816 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3181z00_8816;
							}
					}
				else
					{	/* SawMill/defs.sch 553 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_fun? */
	obj_t BGl_z62rtl_funzf3z91zzsaw_defsz00(obj_t BgL_envz00_7035,
		obj_t BgL_objz00_7036)
	{
		{	/* SawMill/defs.sch 553 */
			return BBOOL(BGl_rtl_funzf3zf3zzsaw_defsz00(BgL_objz00_7036));
		}

	}



/* rtl_fun-nil */
	BGL_EXPORTED_DEF BgL_rtl_funz00_bglt BGl_rtl_funzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 554 */
			{	/* SawMill/defs.sch 554 */
				obj_t BgL_classz00_4307;

				BgL_classz00_4307 = BGl_rtl_funz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 554 */
					obj_t BgL__ortest_1117z00_4308;

					BgL__ortest_1117z00_4308 = BGL_CLASS_NIL(BgL_classz00_4307);
					if (CBOOL(BgL__ortest_1117z00_4308))
						{	/* SawMill/defs.sch 554 */
							return ((BgL_rtl_funz00_bglt) BgL__ortest_1117z00_4308);
						}
					else
						{	/* SawMill/defs.sch 554 */
							return
								((BgL_rtl_funz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4307));
						}
				}
			}
		}

	}



/* &rtl_fun-nil */
	BgL_rtl_funz00_bglt BGl_z62rtl_funzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7037)
	{
		{	/* SawMill/defs.sch 554 */
			return BGl_rtl_funzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_fun-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_funzd2loczd2zzsaw_defsz00(BgL_rtl_funz00_bglt
		BgL_oz00_34)
	{
		{	/* SawMill/defs.sch 555 */
			return (((BgL_rtl_funz00_bglt) COBJECT(BgL_oz00_34))->BgL_locz00);
		}

	}



/* &rtl_fun-loc */
	obj_t BGl_z62rtl_funzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7038,
		obj_t BgL_oz00_7039)
	{
		{	/* SawMill/defs.sch 555 */
			return
				BGl_rtl_funzd2loczd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt) BgL_oz00_7039));
		}

	}



/* rtl_fun-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_funzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_funz00_bglt BgL_oz00_35,
		obj_t BgL_vz00_36)
	{
		{	/* SawMill/defs.sch 556 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(BgL_oz00_35))->BgL_locz00) =
				((obj_t) BgL_vz00_36), BUNSPEC);
		}

	}



/* &rtl_fun-loc-set! */
	obj_t BGl_z62rtl_funzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7040,
		obj_t BgL_oz00_7041, obj_t BgL_vz00_7042)
	{
		{	/* SawMill/defs.sch 556 */
			return
				BGl_rtl_funzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_funz00_bglt) BgL_oz00_7041), BgL_vz00_7042);
		}

	}



/* make-rtl_last */
	BGL_EXPORTED_DEF BgL_rtl_lastz00_bglt
		BGl_makezd2rtl_lastzd2zzsaw_defsz00(obj_t BgL_loc1501z00_37)
	{
		{	/* SawMill/defs.sch 559 */
			{	/* SawMill/defs.sch 559 */
				BgL_rtl_lastz00_bglt BgL_new1355z00_8826;

				{	/* SawMill/defs.sch 559 */
					BgL_rtl_lastz00_bglt BgL_new1354z00_8827;

					BgL_new1354z00_8827 =
						((BgL_rtl_lastz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_lastz00_bgl))));
					{	/* SawMill/defs.sch 559 */
						long BgL_arg1851z00_8828;

						BgL_arg1851z00_8828 = BGL_CLASS_NUM(BGl_rtl_lastz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1354z00_8827), BgL_arg1851z00_8828);
					}
					BgL_new1355z00_8826 = BgL_new1354z00_8827;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1355z00_8826)))->BgL_locz00) =
					((obj_t) BgL_loc1501z00_37), BUNSPEC);
				return BgL_new1355z00_8826;
			}
		}

	}



/* &make-rtl_last */
	BgL_rtl_lastz00_bglt BGl_z62makezd2rtl_lastzb0zzsaw_defsz00(obj_t
		BgL_envz00_7043, obj_t BgL_loc1501z00_7044)
	{
		{	/* SawMill/defs.sch 559 */
			return BGl_makezd2rtl_lastzd2zzsaw_defsz00(BgL_loc1501z00_7044);
		}

	}



/* rtl_last? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_lastzf3zf3zzsaw_defsz00(obj_t BgL_objz00_38)
	{
		{	/* SawMill/defs.sch 560 */
			{	/* SawMill/defs.sch 560 */
				obj_t BgL_classz00_8829;

				BgL_classz00_8829 = BGl_rtl_lastz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_38))
					{	/* SawMill/defs.sch 560 */
						BgL_objectz00_bglt BgL_arg1858z00_8830;

						BgL_arg1858z00_8830 = (BgL_objectz00_bglt) (BgL_objz00_38);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 560 */
								long BgL_idxz00_8831;

								BgL_idxz00_8831 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_8830);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8831 + 2L)) == BgL_classz00_8829);
							}
						else
							{	/* SawMill/defs.sch 560 */
								bool_t BgL_res3182z00_8834;

								{	/* SawMill/defs.sch 560 */
									obj_t BgL_oclassz00_8835;

									{	/* SawMill/defs.sch 560 */
										obj_t BgL_arg1866z00_8836;
										long BgL_arg1867z00_8837;

										BgL_arg1866z00_8836 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 560 */
											long BgL_arg1869z00_8838;

											BgL_arg1869z00_8838 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_8830);
											BgL_arg1867z00_8837 = (BgL_arg1869z00_8838 - OBJECT_TYPE);
										}
										BgL_oclassz00_8835 =
											VECTOR_REF(BgL_arg1866z00_8836, BgL_arg1867z00_8837);
									}
									{	/* SawMill/defs.sch 560 */
										bool_t BgL__ortest_1115z00_8839;

										BgL__ortest_1115z00_8839 =
											(BgL_classz00_8829 == BgL_oclassz00_8835);
										if (BgL__ortest_1115z00_8839)
											{	/* SawMill/defs.sch 560 */
												BgL_res3182z00_8834 = BgL__ortest_1115z00_8839;
											}
										else
											{	/* SawMill/defs.sch 560 */
												long BgL_odepthz00_8840;

												{	/* SawMill/defs.sch 560 */
													obj_t BgL_arg1855z00_8841;

													BgL_arg1855z00_8841 = (BgL_oclassz00_8835);
													BgL_odepthz00_8840 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_8841);
												}
												if ((2L < BgL_odepthz00_8840))
													{	/* SawMill/defs.sch 560 */
														obj_t BgL_arg1853z00_8842;

														{	/* SawMill/defs.sch 560 */
															obj_t BgL_arg1854z00_8843;

															BgL_arg1854z00_8843 = (BgL_oclassz00_8835);
															BgL_arg1853z00_8842 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_8843,
																2L);
														}
														BgL_res3182z00_8834 =
															(BgL_arg1853z00_8842 == BgL_classz00_8829);
													}
												else
													{	/* SawMill/defs.sch 560 */
														BgL_res3182z00_8834 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3182z00_8834;
							}
					}
				else
					{	/* SawMill/defs.sch 560 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_last? */
	obj_t BGl_z62rtl_lastzf3z91zzsaw_defsz00(obj_t BgL_envz00_7045,
		obj_t BgL_objz00_7046)
	{
		{	/* SawMill/defs.sch 560 */
			return BBOOL(BGl_rtl_lastzf3zf3zzsaw_defsz00(BgL_objz00_7046));
		}

	}



/* rtl_last-nil */
	BGL_EXPORTED_DEF BgL_rtl_lastz00_bglt BGl_rtl_lastzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 561 */
			{	/* SawMill/defs.sch 561 */
				obj_t BgL_classz00_4349;

				BgL_classz00_4349 = BGl_rtl_lastz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 561 */
					obj_t BgL__ortest_1117z00_4350;

					BgL__ortest_1117z00_4350 = BGL_CLASS_NIL(BgL_classz00_4349);
					if (CBOOL(BgL__ortest_1117z00_4350))
						{	/* SawMill/defs.sch 561 */
							return ((BgL_rtl_lastz00_bglt) BgL__ortest_1117z00_4350);
						}
					else
						{	/* SawMill/defs.sch 561 */
							return
								((BgL_rtl_lastz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4349));
						}
				}
			}
		}

	}



/* &rtl_last-nil */
	BgL_rtl_lastz00_bglt BGl_z62rtl_lastzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7047)
	{
		{	/* SawMill/defs.sch 561 */
			return BGl_rtl_lastzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_last-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_lastzd2loczd2zzsaw_defsz00(BgL_rtl_lastz00_bglt
		BgL_oz00_39)
	{
		{	/* SawMill/defs.sch 562 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_39)))->BgL_locz00);
		}

	}



/* &rtl_last-loc */
	obj_t BGl_z62rtl_lastzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7048,
		obj_t BgL_oz00_7049)
	{
		{	/* SawMill/defs.sch 562 */
			return
				BGl_rtl_lastzd2loczd2zzsaw_defsz00(
				((BgL_rtl_lastz00_bglt) BgL_oz00_7049));
		}

	}



/* rtl_last-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_lastzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_lastz00_bglt
		BgL_oz00_40, obj_t BgL_vz00_41)
	{
		{	/* SawMill/defs.sch 563 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_40)))->BgL_locz00) =
				((obj_t) BgL_vz00_41), BUNSPEC);
		}

	}



/* &rtl_last-loc-set! */
	obj_t BGl_z62rtl_lastzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7050,
		obj_t BgL_oz00_7051, obj_t BgL_vz00_7052)
	{
		{	/* SawMill/defs.sch 563 */
			return
				BGl_rtl_lastzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_lastz00_bglt) BgL_oz00_7051), BgL_vz00_7052);
		}

	}



/* make-rtl_return */
	BGL_EXPORTED_DEF BgL_rtl_returnz00_bglt
		BGl_makezd2rtl_returnzd2zzsaw_defsz00(obj_t BgL_loc1498z00_42,
		BgL_typez00_bglt BgL_type1499z00_43)
	{
		{	/* SawMill/defs.sch 566 */
			{	/* SawMill/defs.sch 566 */
				BgL_rtl_returnz00_bglt BgL_new1357z00_8844;

				{	/* SawMill/defs.sch 566 */
					BgL_rtl_returnz00_bglt BgL_new1356z00_8845;

					BgL_new1356z00_8845 =
						((BgL_rtl_returnz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_returnz00_bgl))));
					{	/* SawMill/defs.sch 566 */
						long BgL_arg1852z00_8846;

						BgL_arg1852z00_8846 = BGL_CLASS_NUM(BGl_rtl_returnz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1356z00_8845), BgL_arg1852z00_8846);
					}
					BgL_new1357z00_8844 = BgL_new1356z00_8845;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1357z00_8844)))->BgL_locz00) =
					((obj_t) BgL_loc1498z00_42), BUNSPEC);
				((((BgL_rtl_returnz00_bglt) COBJECT(BgL_new1357z00_8844))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1499z00_43), BUNSPEC);
				return BgL_new1357z00_8844;
			}
		}

	}



/* &make-rtl_return */
	BgL_rtl_returnz00_bglt BGl_z62makezd2rtl_returnzb0zzsaw_defsz00(obj_t
		BgL_envz00_7053, obj_t BgL_loc1498z00_7054, obj_t BgL_type1499z00_7055)
	{
		{	/* SawMill/defs.sch 566 */
			return
				BGl_makezd2rtl_returnzd2zzsaw_defsz00(BgL_loc1498z00_7054,
				((BgL_typez00_bglt) BgL_type1499z00_7055));
		}

	}



/* rtl_return? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_returnzf3zf3zzsaw_defsz00(obj_t BgL_objz00_44)
	{
		{	/* SawMill/defs.sch 567 */
			{	/* SawMill/defs.sch 567 */
				obj_t BgL_classz00_8847;

				BgL_classz00_8847 = BGl_rtl_returnz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_44))
					{	/* SawMill/defs.sch 567 */
						BgL_objectz00_bglt BgL_arg1858z00_8848;

						BgL_arg1858z00_8848 = (BgL_objectz00_bglt) (BgL_objz00_44);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 567 */
								long BgL_idxz00_8849;

								BgL_idxz00_8849 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_8848);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8849 + 3L)) == BgL_classz00_8847);
							}
						else
							{	/* SawMill/defs.sch 567 */
								bool_t BgL_res3183z00_8852;

								{	/* SawMill/defs.sch 567 */
									obj_t BgL_oclassz00_8853;

									{	/* SawMill/defs.sch 567 */
										obj_t BgL_arg1866z00_8854;
										long BgL_arg1867z00_8855;

										BgL_arg1866z00_8854 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 567 */
											long BgL_arg1869z00_8856;

											BgL_arg1869z00_8856 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_8848);
											BgL_arg1867z00_8855 = (BgL_arg1869z00_8856 - OBJECT_TYPE);
										}
										BgL_oclassz00_8853 =
											VECTOR_REF(BgL_arg1866z00_8854, BgL_arg1867z00_8855);
									}
									{	/* SawMill/defs.sch 567 */
										bool_t BgL__ortest_1115z00_8857;

										BgL__ortest_1115z00_8857 =
											(BgL_classz00_8847 == BgL_oclassz00_8853);
										if (BgL__ortest_1115z00_8857)
											{	/* SawMill/defs.sch 567 */
												BgL_res3183z00_8852 = BgL__ortest_1115z00_8857;
											}
										else
											{	/* SawMill/defs.sch 567 */
												long BgL_odepthz00_8858;

												{	/* SawMill/defs.sch 567 */
													obj_t BgL_arg1855z00_8859;

													BgL_arg1855z00_8859 = (BgL_oclassz00_8853);
													BgL_odepthz00_8858 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_8859);
												}
												if ((3L < BgL_odepthz00_8858))
													{	/* SawMill/defs.sch 567 */
														obj_t BgL_arg1853z00_8860;

														{	/* SawMill/defs.sch 567 */
															obj_t BgL_arg1854z00_8861;

															BgL_arg1854z00_8861 = (BgL_oclassz00_8853);
															BgL_arg1853z00_8860 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_8861,
																3L);
														}
														BgL_res3183z00_8852 =
															(BgL_arg1853z00_8860 == BgL_classz00_8847);
													}
												else
													{	/* SawMill/defs.sch 567 */
														BgL_res3183z00_8852 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3183z00_8852;
							}
					}
				else
					{	/* SawMill/defs.sch 567 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_return? */
	obj_t BGl_z62rtl_returnzf3z91zzsaw_defsz00(obj_t BgL_envz00_7056,
		obj_t BgL_objz00_7057)
	{
		{	/* SawMill/defs.sch 567 */
			return BBOOL(BGl_rtl_returnzf3zf3zzsaw_defsz00(BgL_objz00_7057));
		}

	}



/* rtl_return-nil */
	BGL_EXPORTED_DEF BgL_rtl_returnz00_bglt
		BGl_rtl_returnzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 568 */
			{	/* SawMill/defs.sch 568 */
				obj_t BgL_classz00_4391;

				BgL_classz00_4391 = BGl_rtl_returnz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 568 */
					obj_t BgL__ortest_1117z00_4392;

					BgL__ortest_1117z00_4392 = BGL_CLASS_NIL(BgL_classz00_4391);
					if (CBOOL(BgL__ortest_1117z00_4392))
						{	/* SawMill/defs.sch 568 */
							return ((BgL_rtl_returnz00_bglt) BgL__ortest_1117z00_4392);
						}
					else
						{	/* SawMill/defs.sch 568 */
							return
								((BgL_rtl_returnz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4391));
						}
				}
			}
		}

	}



/* &rtl_return-nil */
	BgL_rtl_returnz00_bglt BGl_z62rtl_returnzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7058)
	{
		{	/* SawMill/defs.sch 568 */
			return BGl_rtl_returnzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_return-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_returnzd2typezd2zzsaw_defsz00(BgL_rtl_returnz00_bglt BgL_oz00_45)
	{
		{	/* SawMill/defs.sch 569 */
			return (((BgL_rtl_returnz00_bglt) COBJECT(BgL_oz00_45))->BgL_typez00);
		}

	}



/* &rtl_return-type */
	BgL_typez00_bglt BGl_z62rtl_returnzd2typezb0zzsaw_defsz00(obj_t
		BgL_envz00_7059, obj_t BgL_oz00_7060)
	{
		{	/* SawMill/defs.sch 569 */
			return
				BGl_rtl_returnzd2typezd2zzsaw_defsz00(
				((BgL_rtl_returnz00_bglt) BgL_oz00_7060));
		}

	}



/* rtl_return-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_returnzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_returnz00_bglt
		BgL_oz00_46, BgL_typez00_bglt BgL_vz00_47)
	{
		{	/* SawMill/defs.sch 570 */
			return
				((((BgL_rtl_returnz00_bglt) COBJECT(BgL_oz00_46))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_47), BUNSPEC);
		}

	}



/* &rtl_return-type-set! */
	obj_t BGl_z62rtl_returnzd2typezd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7061,
		obj_t BgL_oz00_7062, obj_t BgL_vz00_7063)
	{
		{	/* SawMill/defs.sch 570 */
			return
				BGl_rtl_returnzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_returnz00_bglt) BgL_oz00_7062),
				((BgL_typez00_bglt) BgL_vz00_7063));
		}

	}



/* rtl_return-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_returnzd2loczd2zzsaw_defsz00(BgL_rtl_returnz00_bglt BgL_oz00_48)
	{
		{	/* SawMill/defs.sch 571 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_48)))->BgL_locz00);
		}

	}



/* &rtl_return-loc */
	obj_t BGl_z62rtl_returnzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7064,
		obj_t BgL_oz00_7065)
	{
		{	/* SawMill/defs.sch 571 */
			return
				BGl_rtl_returnzd2loczd2zzsaw_defsz00(
				((BgL_rtl_returnz00_bglt) BgL_oz00_7065));
		}

	}



/* rtl_return-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_returnzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_returnz00_bglt
		BgL_oz00_49, obj_t BgL_vz00_50)
	{
		{	/* SawMill/defs.sch 572 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_49)))->BgL_locz00) =
				((obj_t) BgL_vz00_50), BUNSPEC);
		}

	}



/* &rtl_return-loc-set! */
	obj_t BGl_z62rtl_returnzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7066,
		obj_t BgL_oz00_7067, obj_t BgL_vz00_7068)
	{
		{	/* SawMill/defs.sch 572 */
			return
				BGl_rtl_returnzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_returnz00_bglt) BgL_oz00_7067), BgL_vz00_7068);
		}

	}



/* make-rtl_jumpexit */
	BGL_EXPORTED_DEF BgL_rtl_jumpexitz00_bglt
		BGl_makezd2rtl_jumpexitzd2zzsaw_defsz00(obj_t BgL_loc1496z00_51)
	{
		{	/* SawMill/defs.sch 575 */
			{	/* SawMill/defs.sch 575 */
				BgL_rtl_jumpexitz00_bglt BgL_new1359z00_8862;

				{	/* SawMill/defs.sch 575 */
					BgL_rtl_jumpexitz00_bglt BgL_new1358z00_8863;

					BgL_new1358z00_8863 =
						((BgL_rtl_jumpexitz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_jumpexitz00_bgl))));
					{	/* SawMill/defs.sch 575 */
						long BgL_arg1856z00_8864;

						BgL_arg1856z00_8864 =
							BGL_CLASS_NUM(BGl_rtl_jumpexitz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1358z00_8863), BgL_arg1856z00_8864);
					}
					BgL_new1359z00_8862 = BgL_new1358z00_8863;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1359z00_8862)))->BgL_locz00) =
					((obj_t) BgL_loc1496z00_51), BUNSPEC);
				return BgL_new1359z00_8862;
			}
		}

	}



/* &make-rtl_jumpexit */
	BgL_rtl_jumpexitz00_bglt BGl_z62makezd2rtl_jumpexitzb0zzsaw_defsz00(obj_t
		BgL_envz00_7069, obj_t BgL_loc1496z00_7070)
	{
		{	/* SawMill/defs.sch 575 */
			return BGl_makezd2rtl_jumpexitzd2zzsaw_defsz00(BgL_loc1496z00_7070);
		}

	}



/* rtl_jumpexit? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_jumpexitzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_52)
	{
		{	/* SawMill/defs.sch 576 */
			{	/* SawMill/defs.sch 576 */
				obj_t BgL_classz00_8865;

				BgL_classz00_8865 = BGl_rtl_jumpexitz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_52))
					{	/* SawMill/defs.sch 576 */
						BgL_objectz00_bglt BgL_arg1858z00_8866;

						BgL_arg1858z00_8866 = (BgL_objectz00_bglt) (BgL_objz00_52);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 576 */
								long BgL_idxz00_8867;

								BgL_idxz00_8867 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_8866);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8867 + 3L)) == BgL_classz00_8865);
							}
						else
							{	/* SawMill/defs.sch 576 */
								bool_t BgL_res3184z00_8870;

								{	/* SawMill/defs.sch 576 */
									obj_t BgL_oclassz00_8871;

									{	/* SawMill/defs.sch 576 */
										obj_t BgL_arg1866z00_8872;
										long BgL_arg1867z00_8873;

										BgL_arg1866z00_8872 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 576 */
											long BgL_arg1869z00_8874;

											BgL_arg1869z00_8874 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_8866);
											BgL_arg1867z00_8873 = (BgL_arg1869z00_8874 - OBJECT_TYPE);
										}
										BgL_oclassz00_8871 =
											VECTOR_REF(BgL_arg1866z00_8872, BgL_arg1867z00_8873);
									}
									{	/* SawMill/defs.sch 576 */
										bool_t BgL__ortest_1115z00_8875;

										BgL__ortest_1115z00_8875 =
											(BgL_classz00_8865 == BgL_oclassz00_8871);
										if (BgL__ortest_1115z00_8875)
											{	/* SawMill/defs.sch 576 */
												BgL_res3184z00_8870 = BgL__ortest_1115z00_8875;
											}
										else
											{	/* SawMill/defs.sch 576 */
												long BgL_odepthz00_8876;

												{	/* SawMill/defs.sch 576 */
													obj_t BgL_arg1855z00_8877;

													BgL_arg1855z00_8877 = (BgL_oclassz00_8871);
													BgL_odepthz00_8876 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_8877);
												}
												if ((3L < BgL_odepthz00_8876))
													{	/* SawMill/defs.sch 576 */
														obj_t BgL_arg1853z00_8878;

														{	/* SawMill/defs.sch 576 */
															obj_t BgL_arg1854z00_8879;

															BgL_arg1854z00_8879 = (BgL_oclassz00_8871);
															BgL_arg1853z00_8878 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_8879,
																3L);
														}
														BgL_res3184z00_8870 =
															(BgL_arg1853z00_8878 == BgL_classz00_8865);
													}
												else
													{	/* SawMill/defs.sch 576 */
														BgL_res3184z00_8870 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3184z00_8870;
							}
					}
				else
					{	/* SawMill/defs.sch 576 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_jumpexit? */
	obj_t BGl_z62rtl_jumpexitzf3z91zzsaw_defsz00(obj_t BgL_envz00_7071,
		obj_t BgL_objz00_7072)
	{
		{	/* SawMill/defs.sch 576 */
			return BBOOL(BGl_rtl_jumpexitzf3zf3zzsaw_defsz00(BgL_objz00_7072));
		}

	}



/* rtl_jumpexit-nil */
	BGL_EXPORTED_DEF BgL_rtl_jumpexitz00_bglt
		BGl_rtl_jumpexitzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 577 */
			{	/* SawMill/defs.sch 577 */
				obj_t BgL_classz00_4433;

				BgL_classz00_4433 = BGl_rtl_jumpexitz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 577 */
					obj_t BgL__ortest_1117z00_4434;

					BgL__ortest_1117z00_4434 = BGL_CLASS_NIL(BgL_classz00_4433);
					if (CBOOL(BgL__ortest_1117z00_4434))
						{	/* SawMill/defs.sch 577 */
							return ((BgL_rtl_jumpexitz00_bglt) BgL__ortest_1117z00_4434);
						}
					else
						{	/* SawMill/defs.sch 577 */
							return
								((BgL_rtl_jumpexitz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4433));
						}
				}
			}
		}

	}



/* &rtl_jumpexit-nil */
	BgL_rtl_jumpexitz00_bglt BGl_z62rtl_jumpexitzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7073)
	{
		{	/* SawMill/defs.sch 577 */
			return BGl_rtl_jumpexitzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_jumpexit-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_jumpexitzd2loczd2zzsaw_defsz00(BgL_rtl_jumpexitz00_bglt BgL_oz00_53)
	{
		{	/* SawMill/defs.sch 578 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_53)))->BgL_locz00);
		}

	}



/* &rtl_jumpexit-loc */
	obj_t BGl_z62rtl_jumpexitzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7074,
		obj_t BgL_oz00_7075)
	{
		{	/* SawMill/defs.sch 578 */
			return
				BGl_rtl_jumpexitzd2loczd2zzsaw_defsz00(
				((BgL_rtl_jumpexitz00_bglt) BgL_oz00_7075));
		}

	}



/* rtl_jumpexit-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_jumpexitzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_jumpexitz00_bglt
		BgL_oz00_54, obj_t BgL_vz00_55)
	{
		{	/* SawMill/defs.sch 579 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_54)))->BgL_locz00) =
				((obj_t) BgL_vz00_55), BUNSPEC);
		}

	}



/* &rtl_jumpexit-loc-set! */
	obj_t BGl_z62rtl_jumpexitzd2loczd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7076, obj_t BgL_oz00_7077, obj_t BgL_vz00_7078)
	{
		{	/* SawMill/defs.sch 579 */
			return
				BGl_rtl_jumpexitzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_jumpexitz00_bglt) BgL_oz00_7077), BgL_vz00_7078);
		}

	}



/* make-rtl_fail */
	BGL_EXPORTED_DEF BgL_rtl_failz00_bglt
		BGl_makezd2rtl_failzd2zzsaw_defsz00(obj_t BgL_loc1494z00_56)
	{
		{	/* SawMill/defs.sch 582 */
			{	/* SawMill/defs.sch 582 */
				BgL_rtl_failz00_bglt BgL_new1361z00_8880;

				{	/* SawMill/defs.sch 582 */
					BgL_rtl_failz00_bglt BgL_new1360z00_8881;

					BgL_new1360z00_8881 =
						((BgL_rtl_failz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_failz00_bgl))));
					{	/* SawMill/defs.sch 582 */
						long BgL_arg1857z00_8882;

						BgL_arg1857z00_8882 = BGL_CLASS_NUM(BGl_rtl_failz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1360z00_8881), BgL_arg1857z00_8882);
					}
					BgL_new1361z00_8880 = BgL_new1360z00_8881;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1361z00_8880)))->BgL_locz00) =
					((obj_t) BgL_loc1494z00_56), BUNSPEC);
				return BgL_new1361z00_8880;
			}
		}

	}



/* &make-rtl_fail */
	BgL_rtl_failz00_bglt BGl_z62makezd2rtl_failzb0zzsaw_defsz00(obj_t
		BgL_envz00_7079, obj_t BgL_loc1494z00_7080)
	{
		{	/* SawMill/defs.sch 582 */
			return BGl_makezd2rtl_failzd2zzsaw_defsz00(BgL_loc1494z00_7080);
		}

	}



/* rtl_fail? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_failzf3zf3zzsaw_defsz00(obj_t BgL_objz00_57)
	{
		{	/* SawMill/defs.sch 583 */
			{	/* SawMill/defs.sch 583 */
				obj_t BgL_classz00_8883;

				BgL_classz00_8883 = BGl_rtl_failz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_57))
					{	/* SawMill/defs.sch 583 */
						BgL_objectz00_bglt BgL_arg1858z00_8884;

						BgL_arg1858z00_8884 = (BgL_objectz00_bglt) (BgL_objz00_57);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 583 */
								long BgL_idxz00_8885;

								BgL_idxz00_8885 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_8884);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8885 + 3L)) == BgL_classz00_8883);
							}
						else
							{	/* SawMill/defs.sch 583 */
								bool_t BgL_res3185z00_8888;

								{	/* SawMill/defs.sch 583 */
									obj_t BgL_oclassz00_8889;

									{	/* SawMill/defs.sch 583 */
										obj_t BgL_arg1866z00_8890;
										long BgL_arg1867z00_8891;

										BgL_arg1866z00_8890 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 583 */
											long BgL_arg1869z00_8892;

											BgL_arg1869z00_8892 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_8884);
											BgL_arg1867z00_8891 = (BgL_arg1869z00_8892 - OBJECT_TYPE);
										}
										BgL_oclassz00_8889 =
											VECTOR_REF(BgL_arg1866z00_8890, BgL_arg1867z00_8891);
									}
									{	/* SawMill/defs.sch 583 */
										bool_t BgL__ortest_1115z00_8893;

										BgL__ortest_1115z00_8893 =
											(BgL_classz00_8883 == BgL_oclassz00_8889);
										if (BgL__ortest_1115z00_8893)
											{	/* SawMill/defs.sch 583 */
												BgL_res3185z00_8888 = BgL__ortest_1115z00_8893;
											}
										else
											{	/* SawMill/defs.sch 583 */
												long BgL_odepthz00_8894;

												{	/* SawMill/defs.sch 583 */
													obj_t BgL_arg1855z00_8895;

													BgL_arg1855z00_8895 = (BgL_oclassz00_8889);
													BgL_odepthz00_8894 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_8895);
												}
												if ((3L < BgL_odepthz00_8894))
													{	/* SawMill/defs.sch 583 */
														obj_t BgL_arg1853z00_8896;

														{	/* SawMill/defs.sch 583 */
															obj_t BgL_arg1854z00_8897;

															BgL_arg1854z00_8897 = (BgL_oclassz00_8889);
															BgL_arg1853z00_8896 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_8897,
																3L);
														}
														BgL_res3185z00_8888 =
															(BgL_arg1853z00_8896 == BgL_classz00_8883);
													}
												else
													{	/* SawMill/defs.sch 583 */
														BgL_res3185z00_8888 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3185z00_8888;
							}
					}
				else
					{	/* SawMill/defs.sch 583 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_fail? */
	obj_t BGl_z62rtl_failzf3z91zzsaw_defsz00(obj_t BgL_envz00_7081,
		obj_t BgL_objz00_7082)
	{
		{	/* SawMill/defs.sch 583 */
			return BBOOL(BGl_rtl_failzf3zf3zzsaw_defsz00(BgL_objz00_7082));
		}

	}



/* rtl_fail-nil */
	BGL_EXPORTED_DEF BgL_rtl_failz00_bglt BGl_rtl_failzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 584 */
			{	/* SawMill/defs.sch 584 */
				obj_t BgL_classz00_4475;

				BgL_classz00_4475 = BGl_rtl_failz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 584 */
					obj_t BgL__ortest_1117z00_4476;

					BgL__ortest_1117z00_4476 = BGL_CLASS_NIL(BgL_classz00_4475);
					if (CBOOL(BgL__ortest_1117z00_4476))
						{	/* SawMill/defs.sch 584 */
							return ((BgL_rtl_failz00_bglt) BgL__ortest_1117z00_4476);
						}
					else
						{	/* SawMill/defs.sch 584 */
							return
								((BgL_rtl_failz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4475));
						}
				}
			}
		}

	}



/* &rtl_fail-nil */
	BgL_rtl_failz00_bglt BGl_z62rtl_failzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7083)
	{
		{	/* SawMill/defs.sch 584 */
			return BGl_rtl_failzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_fail-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_failzd2loczd2zzsaw_defsz00(BgL_rtl_failz00_bglt
		BgL_oz00_58)
	{
		{	/* SawMill/defs.sch 585 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_58)))->BgL_locz00);
		}

	}



/* &rtl_fail-loc */
	obj_t BGl_z62rtl_failzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7084,
		obj_t BgL_oz00_7085)
	{
		{	/* SawMill/defs.sch 585 */
			return
				BGl_rtl_failzd2loczd2zzsaw_defsz00(
				((BgL_rtl_failz00_bglt) BgL_oz00_7085));
		}

	}



/* rtl_fail-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_failzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_failz00_bglt
		BgL_oz00_59, obj_t BgL_vz00_60)
	{
		{	/* SawMill/defs.sch 586 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_59)))->BgL_locz00) =
				((obj_t) BgL_vz00_60), BUNSPEC);
		}

	}



/* &rtl_fail-loc-set! */
	obj_t BGl_z62rtl_failzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7086,
		obj_t BgL_oz00_7087, obj_t BgL_vz00_7088)
	{
		{	/* SawMill/defs.sch 586 */
			return
				BGl_rtl_failzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_failz00_bglt) BgL_oz00_7087), BgL_vz00_7088);
		}

	}



/* make-rtl_retblock */
	BGL_EXPORTED_DEF BgL_rtl_retblockz00_bglt
		BGl_makezd2rtl_retblockzd2zzsaw_defsz00(obj_t BgL_loc1492z00_61)
	{
		{	/* SawMill/defs.sch 589 */
			{	/* SawMill/defs.sch 589 */
				BgL_rtl_retblockz00_bglt BgL_new1363z00_8898;

				{	/* SawMill/defs.sch 589 */
					BgL_rtl_retblockz00_bglt BgL_new1362z00_8899;

					BgL_new1362z00_8899 =
						((BgL_rtl_retblockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_retblockz00_bgl))));
					{	/* SawMill/defs.sch 589 */
						long BgL_arg1859z00_8900;

						BgL_arg1859z00_8900 =
							BGL_CLASS_NUM(BGl_rtl_retblockz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1362z00_8899), BgL_arg1859z00_8900);
					}
					BgL_new1363z00_8898 = BgL_new1362z00_8899;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1363z00_8898)))->BgL_locz00) =
					((obj_t) BgL_loc1492z00_61), BUNSPEC);
				return BgL_new1363z00_8898;
			}
		}

	}



/* &make-rtl_retblock */
	BgL_rtl_retblockz00_bglt BGl_z62makezd2rtl_retblockzb0zzsaw_defsz00(obj_t
		BgL_envz00_7089, obj_t BgL_loc1492z00_7090)
	{
		{	/* SawMill/defs.sch 589 */
			return BGl_makezd2rtl_retblockzd2zzsaw_defsz00(BgL_loc1492z00_7090);
		}

	}



/* rtl_retblock? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_retblockzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_62)
	{
		{	/* SawMill/defs.sch 590 */
			{	/* SawMill/defs.sch 590 */
				obj_t BgL_classz00_8901;

				BgL_classz00_8901 = BGl_rtl_retblockz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_62))
					{	/* SawMill/defs.sch 590 */
						BgL_objectz00_bglt BgL_arg1858z00_8902;

						BgL_arg1858z00_8902 = (BgL_objectz00_bglt) (BgL_objz00_62);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 590 */
								long BgL_idxz00_8903;

								BgL_idxz00_8903 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_8902);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8903 + 2L)) == BgL_classz00_8901);
							}
						else
							{	/* SawMill/defs.sch 590 */
								bool_t BgL_res3186z00_8906;

								{	/* SawMill/defs.sch 590 */
									obj_t BgL_oclassz00_8907;

									{	/* SawMill/defs.sch 590 */
										obj_t BgL_arg1866z00_8908;
										long BgL_arg1867z00_8909;

										BgL_arg1866z00_8908 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 590 */
											long BgL_arg1869z00_8910;

											BgL_arg1869z00_8910 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_8902);
											BgL_arg1867z00_8909 = (BgL_arg1869z00_8910 - OBJECT_TYPE);
										}
										BgL_oclassz00_8907 =
											VECTOR_REF(BgL_arg1866z00_8908, BgL_arg1867z00_8909);
									}
									{	/* SawMill/defs.sch 590 */
										bool_t BgL__ortest_1115z00_8911;

										BgL__ortest_1115z00_8911 =
											(BgL_classz00_8901 == BgL_oclassz00_8907);
										if (BgL__ortest_1115z00_8911)
											{	/* SawMill/defs.sch 590 */
												BgL_res3186z00_8906 = BgL__ortest_1115z00_8911;
											}
										else
											{	/* SawMill/defs.sch 590 */
												long BgL_odepthz00_8912;

												{	/* SawMill/defs.sch 590 */
													obj_t BgL_arg1855z00_8913;

													BgL_arg1855z00_8913 = (BgL_oclassz00_8907);
													BgL_odepthz00_8912 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_8913);
												}
												if ((2L < BgL_odepthz00_8912))
													{	/* SawMill/defs.sch 590 */
														obj_t BgL_arg1853z00_8914;

														{	/* SawMill/defs.sch 590 */
															obj_t BgL_arg1854z00_8915;

															BgL_arg1854z00_8915 = (BgL_oclassz00_8907);
															BgL_arg1853z00_8914 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_8915,
																2L);
														}
														BgL_res3186z00_8906 =
															(BgL_arg1853z00_8914 == BgL_classz00_8901);
													}
												else
													{	/* SawMill/defs.sch 590 */
														BgL_res3186z00_8906 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3186z00_8906;
							}
					}
				else
					{	/* SawMill/defs.sch 590 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_retblock? */
	obj_t BGl_z62rtl_retblockzf3z91zzsaw_defsz00(obj_t BgL_envz00_7091,
		obj_t BgL_objz00_7092)
	{
		{	/* SawMill/defs.sch 590 */
			return BBOOL(BGl_rtl_retblockzf3zf3zzsaw_defsz00(BgL_objz00_7092));
		}

	}



/* rtl_retblock-nil */
	BGL_EXPORTED_DEF BgL_rtl_retblockz00_bglt
		BGl_rtl_retblockzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 591 */
			{	/* SawMill/defs.sch 591 */
				obj_t BgL_classz00_4517;

				BgL_classz00_4517 = BGl_rtl_retblockz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 591 */
					obj_t BgL__ortest_1117z00_4518;

					BgL__ortest_1117z00_4518 = BGL_CLASS_NIL(BgL_classz00_4517);
					if (CBOOL(BgL__ortest_1117z00_4518))
						{	/* SawMill/defs.sch 591 */
							return ((BgL_rtl_retblockz00_bglt) BgL__ortest_1117z00_4518);
						}
					else
						{	/* SawMill/defs.sch 591 */
							return
								((BgL_rtl_retblockz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4517));
						}
				}
			}
		}

	}



/* &rtl_retblock-nil */
	BgL_rtl_retblockz00_bglt BGl_z62rtl_retblockzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7093)
	{
		{	/* SawMill/defs.sch 591 */
			return BGl_rtl_retblockzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_retblock-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_retblockzd2loczd2zzsaw_defsz00(BgL_rtl_retblockz00_bglt BgL_oz00_63)
	{
		{	/* SawMill/defs.sch 592 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_63)))->BgL_locz00);
		}

	}



/* &rtl_retblock-loc */
	obj_t BGl_z62rtl_retblockzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7094,
		obj_t BgL_oz00_7095)
	{
		{	/* SawMill/defs.sch 592 */
			return
				BGl_rtl_retblockzd2loczd2zzsaw_defsz00(
				((BgL_rtl_retblockz00_bglt) BgL_oz00_7095));
		}

	}



/* rtl_retblock-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_retblockzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_retblockz00_bglt
		BgL_oz00_64, obj_t BgL_vz00_65)
	{
		{	/* SawMill/defs.sch 593 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_64)))->BgL_locz00) =
				((obj_t) BgL_vz00_65), BUNSPEC);
		}

	}



/* &rtl_retblock-loc-set! */
	obj_t BGl_z62rtl_retblockzd2loczd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7096, obj_t BgL_oz00_7097, obj_t BgL_vz00_7098)
	{
		{	/* SawMill/defs.sch 593 */
			return
				BGl_rtl_retblockzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_retblockz00_bglt) BgL_oz00_7097), BgL_vz00_7098);
		}

	}



/* make-rtl_ret */
	BGL_EXPORTED_DEF BgL_rtl_retz00_bglt BGl_makezd2rtl_retzd2zzsaw_defsz00(obj_t
		BgL_loc1488z00_66, BgL_blockz00_bglt BgL_to1489z00_67)
	{
		{	/* SawMill/defs.sch 596 */
			{	/* SawMill/defs.sch 596 */
				BgL_rtl_retz00_bglt BgL_new1365z00_8916;

				{	/* SawMill/defs.sch 596 */
					BgL_rtl_retz00_bglt BgL_new1364z00_8917;

					BgL_new1364z00_8917 =
						((BgL_rtl_retz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_retz00_bgl))));
					{	/* SawMill/defs.sch 596 */
						long BgL_arg1865z00_8918;

						BgL_arg1865z00_8918 = BGL_CLASS_NUM(BGl_rtl_retz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1364z00_8917), BgL_arg1865z00_8918);
					}
					BgL_new1365z00_8916 = BgL_new1364z00_8917;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1365z00_8916)))->BgL_locz00) =
					((obj_t) BgL_loc1488z00_66), BUNSPEC);
				((((BgL_rtl_retz00_bglt) COBJECT(BgL_new1365z00_8916))->BgL_toz00) =
					((BgL_blockz00_bglt) BgL_to1489z00_67), BUNSPEC);
				return BgL_new1365z00_8916;
			}
		}

	}



/* &make-rtl_ret */
	BgL_rtl_retz00_bglt BGl_z62makezd2rtl_retzb0zzsaw_defsz00(obj_t
		BgL_envz00_7099, obj_t BgL_loc1488z00_7100, obj_t BgL_to1489z00_7101)
	{
		{	/* SawMill/defs.sch 596 */
			return
				BGl_makezd2rtl_retzd2zzsaw_defsz00(BgL_loc1488z00_7100,
				((BgL_blockz00_bglt) BgL_to1489z00_7101));
		}

	}



/* rtl_ret? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_retzf3zf3zzsaw_defsz00(obj_t BgL_objz00_68)
	{
		{	/* SawMill/defs.sch 597 */
			{	/* SawMill/defs.sch 597 */
				obj_t BgL_classz00_8919;

				BgL_classz00_8919 = BGl_rtl_retz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_68))
					{	/* SawMill/defs.sch 597 */
						BgL_objectz00_bglt BgL_arg1858z00_8920;

						BgL_arg1858z00_8920 = (BgL_objectz00_bglt) (BgL_objz00_68);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 597 */
								long BgL_idxz00_8921;

								BgL_idxz00_8921 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_8920);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8921 + 3L)) == BgL_classz00_8919);
							}
						else
							{	/* SawMill/defs.sch 597 */
								bool_t BgL_res3187z00_8924;

								{	/* SawMill/defs.sch 597 */
									obj_t BgL_oclassz00_8925;

									{	/* SawMill/defs.sch 597 */
										obj_t BgL_arg1866z00_8926;
										long BgL_arg1867z00_8927;

										BgL_arg1866z00_8926 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 597 */
											long BgL_arg1869z00_8928;

											BgL_arg1869z00_8928 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_8920);
											BgL_arg1867z00_8927 = (BgL_arg1869z00_8928 - OBJECT_TYPE);
										}
										BgL_oclassz00_8925 =
											VECTOR_REF(BgL_arg1866z00_8926, BgL_arg1867z00_8927);
									}
									{	/* SawMill/defs.sch 597 */
										bool_t BgL__ortest_1115z00_8929;

										BgL__ortest_1115z00_8929 =
											(BgL_classz00_8919 == BgL_oclassz00_8925);
										if (BgL__ortest_1115z00_8929)
											{	/* SawMill/defs.sch 597 */
												BgL_res3187z00_8924 = BgL__ortest_1115z00_8929;
											}
										else
											{	/* SawMill/defs.sch 597 */
												long BgL_odepthz00_8930;

												{	/* SawMill/defs.sch 597 */
													obj_t BgL_arg1855z00_8931;

													BgL_arg1855z00_8931 = (BgL_oclassz00_8925);
													BgL_odepthz00_8930 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_8931);
												}
												if ((3L < BgL_odepthz00_8930))
													{	/* SawMill/defs.sch 597 */
														obj_t BgL_arg1853z00_8932;

														{	/* SawMill/defs.sch 597 */
															obj_t BgL_arg1854z00_8933;

															BgL_arg1854z00_8933 = (BgL_oclassz00_8925);
															BgL_arg1853z00_8932 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_8933,
																3L);
														}
														BgL_res3187z00_8924 =
															(BgL_arg1853z00_8932 == BgL_classz00_8919);
													}
												else
													{	/* SawMill/defs.sch 597 */
														BgL_res3187z00_8924 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3187z00_8924;
							}
					}
				else
					{	/* SawMill/defs.sch 597 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_ret? */
	obj_t BGl_z62rtl_retzf3z91zzsaw_defsz00(obj_t BgL_envz00_7102,
		obj_t BgL_objz00_7103)
	{
		{	/* SawMill/defs.sch 597 */
			return BBOOL(BGl_rtl_retzf3zf3zzsaw_defsz00(BgL_objz00_7103));
		}

	}



/* rtl_ret-nil */
	BGL_EXPORTED_DEF BgL_rtl_retz00_bglt BGl_rtl_retzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 598 */
			{	/* SawMill/defs.sch 598 */
				obj_t BgL_classz00_4559;

				BgL_classz00_4559 = BGl_rtl_retz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 598 */
					obj_t BgL__ortest_1117z00_4560;

					BgL__ortest_1117z00_4560 = BGL_CLASS_NIL(BgL_classz00_4559);
					if (CBOOL(BgL__ortest_1117z00_4560))
						{	/* SawMill/defs.sch 598 */
							return ((BgL_rtl_retz00_bglt) BgL__ortest_1117z00_4560);
						}
					else
						{	/* SawMill/defs.sch 598 */
							return
								((BgL_rtl_retz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4559));
						}
				}
			}
		}

	}



/* &rtl_ret-nil */
	BgL_rtl_retz00_bglt BGl_z62rtl_retzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7104)
	{
		{	/* SawMill/defs.sch 598 */
			return BGl_rtl_retzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_ret-to */
	BGL_EXPORTED_DEF BgL_blockz00_bglt
		BGl_rtl_retzd2tozd2zzsaw_defsz00(BgL_rtl_retz00_bglt BgL_oz00_69)
	{
		{	/* SawMill/defs.sch 599 */
			return (((BgL_rtl_retz00_bglt) COBJECT(BgL_oz00_69))->BgL_toz00);
		}

	}



/* &rtl_ret-to */
	BgL_blockz00_bglt BGl_z62rtl_retzd2tozb0zzsaw_defsz00(obj_t BgL_envz00_7105,
		obj_t BgL_oz00_7106)
	{
		{	/* SawMill/defs.sch 599 */
			return
				BGl_rtl_retzd2tozd2zzsaw_defsz00(((BgL_rtl_retz00_bglt) BgL_oz00_7106));
		}

	}



/* rtl_ret-to-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_retzd2tozd2setz12z12zzsaw_defsz00(BgL_rtl_retz00_bglt BgL_oz00_70,
		BgL_blockz00_bglt BgL_vz00_71)
	{
		{	/* SawMill/defs.sch 600 */
			return
				((((BgL_rtl_retz00_bglt) COBJECT(BgL_oz00_70))->BgL_toz00) =
				((BgL_blockz00_bglt) BgL_vz00_71), BUNSPEC);
		}

	}



/* &rtl_ret-to-set! */
	obj_t BGl_z62rtl_retzd2tozd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7107,
		obj_t BgL_oz00_7108, obj_t BgL_vz00_7109)
	{
		{	/* SawMill/defs.sch 600 */
			return
				BGl_rtl_retzd2tozd2setz12z12zzsaw_defsz00(
				((BgL_rtl_retz00_bglt) BgL_oz00_7108),
				((BgL_blockz00_bglt) BgL_vz00_7109));
		}

	}



/* rtl_ret-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_retzd2loczd2zzsaw_defsz00(BgL_rtl_retz00_bglt
		BgL_oz00_72)
	{
		{	/* SawMill/defs.sch 601 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_72)))->BgL_locz00);
		}

	}



/* &rtl_ret-loc */
	obj_t BGl_z62rtl_retzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7110,
		obj_t BgL_oz00_7111)
	{
		{	/* SawMill/defs.sch 601 */
			return
				BGl_rtl_retzd2loczd2zzsaw_defsz00(
				((BgL_rtl_retz00_bglt) BgL_oz00_7111));
		}

	}



/* rtl_ret-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_retzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_retz00_bglt BgL_oz00_73,
		obj_t BgL_vz00_74)
	{
		{	/* SawMill/defs.sch 602 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_73)))->BgL_locz00) =
				((obj_t) BgL_vz00_74), BUNSPEC);
		}

	}



/* &rtl_ret-loc-set! */
	obj_t BGl_z62rtl_retzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7112,
		obj_t BgL_oz00_7113, obj_t BgL_vz00_7114)
	{
		{	/* SawMill/defs.sch 602 */
			return
				BGl_rtl_retzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_retz00_bglt) BgL_oz00_7113), BgL_vz00_7114);
		}

	}



/* make-rtl_notseq */
	BGL_EXPORTED_DEF BgL_rtl_notseqz00_bglt
		BGl_makezd2rtl_notseqzd2zzsaw_defsz00(obj_t BgL_loc1486z00_75)
	{
		{	/* SawMill/defs.sch 605 */
			{	/* SawMill/defs.sch 605 */
				BgL_rtl_notseqz00_bglt BgL_new1367z00_8934;

				{	/* SawMill/defs.sch 605 */
					BgL_rtl_notseqz00_bglt BgL_new1366z00_8935;

					BgL_new1366z00_8935 =
						((BgL_rtl_notseqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_notseqz00_bgl))));
					{	/* SawMill/defs.sch 605 */
						long BgL_arg1872z00_8936;

						BgL_arg1872z00_8936 = BGL_CLASS_NUM(BGl_rtl_notseqz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1366z00_8935), BgL_arg1872z00_8936);
					}
					BgL_new1367z00_8934 = BgL_new1366z00_8935;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1367z00_8934)))->BgL_locz00) =
					((obj_t) BgL_loc1486z00_75), BUNSPEC);
				return BgL_new1367z00_8934;
			}
		}

	}



/* &make-rtl_notseq */
	BgL_rtl_notseqz00_bglt BGl_z62makezd2rtl_notseqzb0zzsaw_defsz00(obj_t
		BgL_envz00_7115, obj_t BgL_loc1486z00_7116)
	{
		{	/* SawMill/defs.sch 605 */
			return BGl_makezd2rtl_notseqzd2zzsaw_defsz00(BgL_loc1486z00_7116);
		}

	}



/* rtl_notseq? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_notseqzf3zf3zzsaw_defsz00(obj_t BgL_objz00_76)
	{
		{	/* SawMill/defs.sch 606 */
			{	/* SawMill/defs.sch 606 */
				obj_t BgL_classz00_8937;

				BgL_classz00_8937 = BGl_rtl_notseqz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_76))
					{	/* SawMill/defs.sch 606 */
						BgL_objectz00_bglt BgL_arg1858z00_8938;

						BgL_arg1858z00_8938 = (BgL_objectz00_bglt) (BgL_objz00_76);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 606 */
								long BgL_idxz00_8939;

								BgL_idxz00_8939 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_8938);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8939 + 2L)) == BgL_classz00_8937);
							}
						else
							{	/* SawMill/defs.sch 606 */
								bool_t BgL_res3188z00_8942;

								{	/* SawMill/defs.sch 606 */
									obj_t BgL_oclassz00_8943;

									{	/* SawMill/defs.sch 606 */
										obj_t BgL_arg1866z00_8944;
										long BgL_arg1867z00_8945;

										BgL_arg1866z00_8944 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 606 */
											long BgL_arg1869z00_8946;

											BgL_arg1869z00_8946 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_8938);
											BgL_arg1867z00_8945 = (BgL_arg1869z00_8946 - OBJECT_TYPE);
										}
										BgL_oclassz00_8943 =
											VECTOR_REF(BgL_arg1866z00_8944, BgL_arg1867z00_8945);
									}
									{	/* SawMill/defs.sch 606 */
										bool_t BgL__ortest_1115z00_8947;

										BgL__ortest_1115z00_8947 =
											(BgL_classz00_8937 == BgL_oclassz00_8943);
										if (BgL__ortest_1115z00_8947)
											{	/* SawMill/defs.sch 606 */
												BgL_res3188z00_8942 = BgL__ortest_1115z00_8947;
											}
										else
											{	/* SawMill/defs.sch 606 */
												long BgL_odepthz00_8948;

												{	/* SawMill/defs.sch 606 */
													obj_t BgL_arg1855z00_8949;

													BgL_arg1855z00_8949 = (BgL_oclassz00_8943);
													BgL_odepthz00_8948 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_8949);
												}
												if ((2L < BgL_odepthz00_8948))
													{	/* SawMill/defs.sch 606 */
														obj_t BgL_arg1853z00_8950;

														{	/* SawMill/defs.sch 606 */
															obj_t BgL_arg1854z00_8951;

															BgL_arg1854z00_8951 = (BgL_oclassz00_8943);
															BgL_arg1853z00_8950 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_8951,
																2L);
														}
														BgL_res3188z00_8942 =
															(BgL_arg1853z00_8950 == BgL_classz00_8937);
													}
												else
													{	/* SawMill/defs.sch 606 */
														BgL_res3188z00_8942 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3188z00_8942;
							}
					}
				else
					{	/* SawMill/defs.sch 606 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_notseq? */
	obj_t BGl_z62rtl_notseqzf3z91zzsaw_defsz00(obj_t BgL_envz00_7117,
		obj_t BgL_objz00_7118)
	{
		{	/* SawMill/defs.sch 606 */
			return BBOOL(BGl_rtl_notseqzf3zf3zzsaw_defsz00(BgL_objz00_7118));
		}

	}



/* rtl_notseq-nil */
	BGL_EXPORTED_DEF BgL_rtl_notseqz00_bglt
		BGl_rtl_notseqzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 607 */
			{	/* SawMill/defs.sch 607 */
				obj_t BgL_classz00_4601;

				BgL_classz00_4601 = BGl_rtl_notseqz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 607 */
					obj_t BgL__ortest_1117z00_4602;

					BgL__ortest_1117z00_4602 = BGL_CLASS_NIL(BgL_classz00_4601);
					if (CBOOL(BgL__ortest_1117z00_4602))
						{	/* SawMill/defs.sch 607 */
							return ((BgL_rtl_notseqz00_bglt) BgL__ortest_1117z00_4602);
						}
					else
						{	/* SawMill/defs.sch 607 */
							return
								((BgL_rtl_notseqz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4601));
						}
				}
			}
		}

	}



/* &rtl_notseq-nil */
	BgL_rtl_notseqz00_bglt BGl_z62rtl_notseqzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7119)
	{
		{	/* SawMill/defs.sch 607 */
			return BGl_rtl_notseqzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_notseq-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_notseqzd2loczd2zzsaw_defsz00(BgL_rtl_notseqz00_bglt BgL_oz00_77)
	{
		{	/* SawMill/defs.sch 608 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_77)))->BgL_locz00);
		}

	}



/* &rtl_notseq-loc */
	obj_t BGl_z62rtl_notseqzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7120,
		obj_t BgL_oz00_7121)
	{
		{	/* SawMill/defs.sch 608 */
			return
				BGl_rtl_notseqzd2loczd2zzsaw_defsz00(
				((BgL_rtl_notseqz00_bglt) BgL_oz00_7121));
		}

	}



/* rtl_notseq-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_notseqzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_notseqz00_bglt
		BgL_oz00_78, obj_t BgL_vz00_79)
	{
		{	/* SawMill/defs.sch 609 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_78)))->BgL_locz00) =
				((obj_t) BgL_vz00_79), BUNSPEC);
		}

	}



/* &rtl_notseq-loc-set! */
	obj_t BGl_z62rtl_notseqzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7122,
		obj_t BgL_oz00_7123, obj_t BgL_vz00_7124)
	{
		{	/* SawMill/defs.sch 609 */
			return
				BGl_rtl_notseqzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_notseqz00_bglt) BgL_oz00_7123), BgL_vz00_7124);
		}

	}



/* make-rtl_if */
	BGL_EXPORTED_DEF BgL_rtl_ifz00_bglt BGl_makezd2rtl_ifzd2zzsaw_defsz00(obj_t
		BgL_loc1484z00_80)
	{
		{	/* SawMill/defs.sch 612 */
			{	/* SawMill/defs.sch 612 */
				BgL_rtl_ifz00_bglt BgL_new1369z00_8952;

				{	/* SawMill/defs.sch 612 */
					BgL_rtl_ifz00_bglt BgL_new1368z00_8953;

					BgL_new1368z00_8953 =
						((BgL_rtl_ifz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_ifz00_bgl))));
					{	/* SawMill/defs.sch 612 */
						long BgL_arg1873z00_8954;

						BgL_arg1873z00_8954 = BGL_CLASS_NUM(BGl_rtl_ifz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1368z00_8953), BgL_arg1873z00_8954);
					}
					BgL_new1369z00_8952 = BgL_new1368z00_8953;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1369z00_8952)))->BgL_locz00) =
					((obj_t) BgL_loc1484z00_80), BUNSPEC);
				return BgL_new1369z00_8952;
			}
		}

	}



/* &make-rtl_if */
	BgL_rtl_ifz00_bglt BGl_z62makezd2rtl_ifzb0zzsaw_defsz00(obj_t BgL_envz00_7125,
		obj_t BgL_loc1484z00_7126)
	{
		{	/* SawMill/defs.sch 612 */
			return BGl_makezd2rtl_ifzd2zzsaw_defsz00(BgL_loc1484z00_7126);
		}

	}



/* rtl_if? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_ifzf3zf3zzsaw_defsz00(obj_t BgL_objz00_81)
	{
		{	/* SawMill/defs.sch 613 */
			{	/* SawMill/defs.sch 613 */
				obj_t BgL_classz00_8955;

				BgL_classz00_8955 = BGl_rtl_ifz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_81))
					{	/* SawMill/defs.sch 613 */
						BgL_objectz00_bglt BgL_arg1858z00_8956;

						BgL_arg1858z00_8956 = (BgL_objectz00_bglt) (BgL_objz00_81);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 613 */
								long BgL_idxz00_8957;

								BgL_idxz00_8957 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_8956);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8957 + 3L)) == BgL_classz00_8955);
							}
						else
							{	/* SawMill/defs.sch 613 */
								bool_t BgL_res3189z00_8960;

								{	/* SawMill/defs.sch 613 */
									obj_t BgL_oclassz00_8961;

									{	/* SawMill/defs.sch 613 */
										obj_t BgL_arg1866z00_8962;
										long BgL_arg1867z00_8963;

										BgL_arg1866z00_8962 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 613 */
											long BgL_arg1869z00_8964;

											BgL_arg1869z00_8964 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_8956);
											BgL_arg1867z00_8963 = (BgL_arg1869z00_8964 - OBJECT_TYPE);
										}
										BgL_oclassz00_8961 =
											VECTOR_REF(BgL_arg1866z00_8962, BgL_arg1867z00_8963);
									}
									{	/* SawMill/defs.sch 613 */
										bool_t BgL__ortest_1115z00_8965;

										BgL__ortest_1115z00_8965 =
											(BgL_classz00_8955 == BgL_oclassz00_8961);
										if (BgL__ortest_1115z00_8965)
											{	/* SawMill/defs.sch 613 */
												BgL_res3189z00_8960 = BgL__ortest_1115z00_8965;
											}
										else
											{	/* SawMill/defs.sch 613 */
												long BgL_odepthz00_8966;

												{	/* SawMill/defs.sch 613 */
													obj_t BgL_arg1855z00_8967;

													BgL_arg1855z00_8967 = (BgL_oclassz00_8961);
													BgL_odepthz00_8966 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_8967);
												}
												if ((3L < BgL_odepthz00_8966))
													{	/* SawMill/defs.sch 613 */
														obj_t BgL_arg1853z00_8968;

														{	/* SawMill/defs.sch 613 */
															obj_t BgL_arg1854z00_8969;

															BgL_arg1854z00_8969 = (BgL_oclassz00_8961);
															BgL_arg1853z00_8968 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_8969,
																3L);
														}
														BgL_res3189z00_8960 =
															(BgL_arg1853z00_8968 == BgL_classz00_8955);
													}
												else
													{	/* SawMill/defs.sch 613 */
														BgL_res3189z00_8960 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3189z00_8960;
							}
					}
				else
					{	/* SawMill/defs.sch 613 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_if? */
	obj_t BGl_z62rtl_ifzf3z91zzsaw_defsz00(obj_t BgL_envz00_7127,
		obj_t BgL_objz00_7128)
	{
		{	/* SawMill/defs.sch 613 */
			return BBOOL(BGl_rtl_ifzf3zf3zzsaw_defsz00(BgL_objz00_7128));
		}

	}



/* rtl_if-nil */
	BGL_EXPORTED_DEF BgL_rtl_ifz00_bglt BGl_rtl_ifzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 614 */
			{	/* SawMill/defs.sch 614 */
				obj_t BgL_classz00_4643;

				BgL_classz00_4643 = BGl_rtl_ifz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 614 */
					obj_t BgL__ortest_1117z00_4644;

					BgL__ortest_1117z00_4644 = BGL_CLASS_NIL(BgL_classz00_4643);
					if (CBOOL(BgL__ortest_1117z00_4644))
						{	/* SawMill/defs.sch 614 */
							return ((BgL_rtl_ifz00_bglt) BgL__ortest_1117z00_4644);
						}
					else
						{	/* SawMill/defs.sch 614 */
							return
								((BgL_rtl_ifz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4643));
						}
				}
			}
		}

	}



/* &rtl_if-nil */
	BgL_rtl_ifz00_bglt BGl_z62rtl_ifzd2nilzb0zzsaw_defsz00(obj_t BgL_envz00_7129)
	{
		{	/* SawMill/defs.sch 614 */
			return BGl_rtl_ifzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_if-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_ifzd2loczd2zzsaw_defsz00(BgL_rtl_ifz00_bglt
		BgL_oz00_82)
	{
		{	/* SawMill/defs.sch 615 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_82)))->BgL_locz00);
		}

	}



/* &rtl_if-loc */
	obj_t BGl_z62rtl_ifzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7130,
		obj_t BgL_oz00_7131)
	{
		{	/* SawMill/defs.sch 615 */
			return
				BGl_rtl_ifzd2loczd2zzsaw_defsz00(((BgL_rtl_ifz00_bglt) BgL_oz00_7131));
		}

	}



/* rtl_if-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_ifzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_ifz00_bglt BgL_oz00_83,
		obj_t BgL_vz00_84)
	{
		{	/* SawMill/defs.sch 616 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_83)))->BgL_locz00) =
				((obj_t) BgL_vz00_84), BUNSPEC);
		}

	}



/* &rtl_if-loc-set! */
	obj_t BGl_z62rtl_ifzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7132,
		obj_t BgL_oz00_7133, obj_t BgL_vz00_7134)
	{
		{	/* SawMill/defs.sch 616 */
			return
				BGl_rtl_ifzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_ifz00_bglt) BgL_oz00_7133), BgL_vz00_7134);
		}

	}



/* make-rtl_select */
	BGL_EXPORTED_DEF BgL_rtl_selectz00_bglt
		BGl_makezd2rtl_selectzd2zzsaw_defsz00(obj_t BgL_loc1480z00_85,
		BgL_typez00_bglt BgL_type1481z00_86, obj_t BgL_patterns1482z00_87)
	{
		{	/* SawMill/defs.sch 619 */
			{	/* SawMill/defs.sch 619 */
				BgL_rtl_selectz00_bglt BgL_new1371z00_8970;

				{	/* SawMill/defs.sch 619 */
					BgL_rtl_selectz00_bglt BgL_new1370z00_8971;

					BgL_new1370z00_8971 =
						((BgL_rtl_selectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_selectz00_bgl))));
					{	/* SawMill/defs.sch 619 */
						long BgL_arg1876z00_8972;

						BgL_arg1876z00_8972 = BGL_CLASS_NUM(BGl_rtl_selectz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1370z00_8971), BgL_arg1876z00_8972);
					}
					BgL_new1371z00_8970 = BgL_new1370z00_8971;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1371z00_8970)))->BgL_locz00) =
					((obj_t) BgL_loc1480z00_85), BUNSPEC);
				((((BgL_rtl_selectz00_bglt) COBJECT(BgL_new1371z00_8970))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1481z00_86), BUNSPEC);
				((((BgL_rtl_selectz00_bglt) COBJECT(BgL_new1371z00_8970))->
						BgL_patternsz00) = ((obj_t) BgL_patterns1482z00_87), BUNSPEC);
				return BgL_new1371z00_8970;
			}
		}

	}



/* &make-rtl_select */
	BgL_rtl_selectz00_bglt BGl_z62makezd2rtl_selectzb0zzsaw_defsz00(obj_t
		BgL_envz00_7135, obj_t BgL_loc1480z00_7136, obj_t BgL_type1481z00_7137,
		obj_t BgL_patterns1482z00_7138)
	{
		{	/* SawMill/defs.sch 619 */
			return
				BGl_makezd2rtl_selectzd2zzsaw_defsz00(BgL_loc1480z00_7136,
				((BgL_typez00_bglt) BgL_type1481z00_7137), BgL_patterns1482z00_7138);
		}

	}



/* rtl_select? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_selectzf3zf3zzsaw_defsz00(obj_t BgL_objz00_88)
	{
		{	/* SawMill/defs.sch 620 */
			{	/* SawMill/defs.sch 620 */
				obj_t BgL_classz00_8973;

				BgL_classz00_8973 = BGl_rtl_selectz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_88))
					{	/* SawMill/defs.sch 620 */
						BgL_objectz00_bglt BgL_arg1858z00_8974;

						BgL_arg1858z00_8974 = (BgL_objectz00_bglt) (BgL_objz00_88);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 620 */
								long BgL_idxz00_8975;

								BgL_idxz00_8975 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_8974);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8975 + 3L)) == BgL_classz00_8973);
							}
						else
							{	/* SawMill/defs.sch 620 */
								bool_t BgL_res3190z00_8978;

								{	/* SawMill/defs.sch 620 */
									obj_t BgL_oclassz00_8979;

									{	/* SawMill/defs.sch 620 */
										obj_t BgL_arg1866z00_8980;
										long BgL_arg1867z00_8981;

										BgL_arg1866z00_8980 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 620 */
											long BgL_arg1869z00_8982;

											BgL_arg1869z00_8982 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_8974);
											BgL_arg1867z00_8981 = (BgL_arg1869z00_8982 - OBJECT_TYPE);
										}
										BgL_oclassz00_8979 =
											VECTOR_REF(BgL_arg1866z00_8980, BgL_arg1867z00_8981);
									}
									{	/* SawMill/defs.sch 620 */
										bool_t BgL__ortest_1115z00_8983;

										BgL__ortest_1115z00_8983 =
											(BgL_classz00_8973 == BgL_oclassz00_8979);
										if (BgL__ortest_1115z00_8983)
											{	/* SawMill/defs.sch 620 */
												BgL_res3190z00_8978 = BgL__ortest_1115z00_8983;
											}
										else
											{	/* SawMill/defs.sch 620 */
												long BgL_odepthz00_8984;

												{	/* SawMill/defs.sch 620 */
													obj_t BgL_arg1855z00_8985;

													BgL_arg1855z00_8985 = (BgL_oclassz00_8979);
													BgL_odepthz00_8984 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_8985);
												}
												if ((3L < BgL_odepthz00_8984))
													{	/* SawMill/defs.sch 620 */
														obj_t BgL_arg1853z00_8986;

														{	/* SawMill/defs.sch 620 */
															obj_t BgL_arg1854z00_8987;

															BgL_arg1854z00_8987 = (BgL_oclassz00_8979);
															BgL_arg1853z00_8986 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_8987,
																3L);
														}
														BgL_res3190z00_8978 =
															(BgL_arg1853z00_8986 == BgL_classz00_8973);
													}
												else
													{	/* SawMill/defs.sch 620 */
														BgL_res3190z00_8978 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3190z00_8978;
							}
					}
				else
					{	/* SawMill/defs.sch 620 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_select? */
	obj_t BGl_z62rtl_selectzf3z91zzsaw_defsz00(obj_t BgL_envz00_7139,
		obj_t BgL_objz00_7140)
	{
		{	/* SawMill/defs.sch 620 */
			return BBOOL(BGl_rtl_selectzf3zf3zzsaw_defsz00(BgL_objz00_7140));
		}

	}



/* rtl_select-nil */
	BGL_EXPORTED_DEF BgL_rtl_selectz00_bglt
		BGl_rtl_selectzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 621 */
			{	/* SawMill/defs.sch 621 */
				obj_t BgL_classz00_4685;

				BgL_classz00_4685 = BGl_rtl_selectz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 621 */
					obj_t BgL__ortest_1117z00_4686;

					BgL__ortest_1117z00_4686 = BGL_CLASS_NIL(BgL_classz00_4685);
					if (CBOOL(BgL__ortest_1117z00_4686))
						{	/* SawMill/defs.sch 621 */
							return ((BgL_rtl_selectz00_bglt) BgL__ortest_1117z00_4686);
						}
					else
						{	/* SawMill/defs.sch 621 */
							return
								((BgL_rtl_selectz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4685));
						}
				}
			}
		}

	}



/* &rtl_select-nil */
	BgL_rtl_selectz00_bglt BGl_z62rtl_selectzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7141)
	{
		{	/* SawMill/defs.sch 621 */
			return BGl_rtl_selectzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_select-patterns */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_selectzd2patternszd2zzsaw_defsz00(BgL_rtl_selectz00_bglt
		BgL_oz00_89)
	{
		{	/* SawMill/defs.sch 622 */
			return (((BgL_rtl_selectz00_bglt) COBJECT(BgL_oz00_89))->BgL_patternsz00);
		}

	}



/* &rtl_select-patterns */
	obj_t BGl_z62rtl_selectzd2patternszb0zzsaw_defsz00(obj_t BgL_envz00_7142,
		obj_t BgL_oz00_7143)
	{
		{	/* SawMill/defs.sch 622 */
			return
				BGl_rtl_selectzd2patternszd2zzsaw_defsz00(
				((BgL_rtl_selectz00_bglt) BgL_oz00_7143));
		}

	}



/* rtl_select-patterns-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_selectzd2patternszd2setz12z12zzsaw_defsz00(BgL_rtl_selectz00_bglt
		BgL_oz00_90, obj_t BgL_vz00_91)
	{
		{	/* SawMill/defs.sch 623 */
			return
				((((BgL_rtl_selectz00_bglt) COBJECT(BgL_oz00_90))->BgL_patternsz00) =
				((obj_t) BgL_vz00_91), BUNSPEC);
		}

	}



/* &rtl_select-patterns-set! */
	obj_t BGl_z62rtl_selectzd2patternszd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7144, obj_t BgL_oz00_7145, obj_t BgL_vz00_7146)
	{
		{	/* SawMill/defs.sch 623 */
			return
				BGl_rtl_selectzd2patternszd2setz12z12zzsaw_defsz00(
				((BgL_rtl_selectz00_bglt) BgL_oz00_7145), BgL_vz00_7146);
		}

	}



/* rtl_select-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_selectzd2typezd2zzsaw_defsz00(BgL_rtl_selectz00_bglt BgL_oz00_92)
	{
		{	/* SawMill/defs.sch 624 */
			return (((BgL_rtl_selectz00_bglt) COBJECT(BgL_oz00_92))->BgL_typez00);
		}

	}



/* &rtl_select-type */
	BgL_typez00_bglt BGl_z62rtl_selectzd2typezb0zzsaw_defsz00(obj_t
		BgL_envz00_7147, obj_t BgL_oz00_7148)
	{
		{	/* SawMill/defs.sch 624 */
			return
				BGl_rtl_selectzd2typezd2zzsaw_defsz00(
				((BgL_rtl_selectz00_bglt) BgL_oz00_7148));
		}

	}



/* rtl_select-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_selectzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_selectz00_bglt
		BgL_oz00_93, BgL_typez00_bglt BgL_vz00_94)
	{
		{	/* SawMill/defs.sch 625 */
			return
				((((BgL_rtl_selectz00_bglt) COBJECT(BgL_oz00_93))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_94), BUNSPEC);
		}

	}



/* &rtl_select-type-set! */
	obj_t BGl_z62rtl_selectzd2typezd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7149,
		obj_t BgL_oz00_7150, obj_t BgL_vz00_7151)
	{
		{	/* SawMill/defs.sch 625 */
			return
				BGl_rtl_selectzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_selectz00_bglt) BgL_oz00_7150),
				((BgL_typez00_bglt) BgL_vz00_7151));
		}

	}



/* rtl_select-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_selectzd2loczd2zzsaw_defsz00(BgL_rtl_selectz00_bglt BgL_oz00_95)
	{
		{	/* SawMill/defs.sch 626 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_95)))->BgL_locz00);
		}

	}



/* &rtl_select-loc */
	obj_t BGl_z62rtl_selectzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7152,
		obj_t BgL_oz00_7153)
	{
		{	/* SawMill/defs.sch 626 */
			return
				BGl_rtl_selectzd2loczd2zzsaw_defsz00(
				((BgL_rtl_selectz00_bglt) BgL_oz00_7153));
		}

	}



/* rtl_select-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_selectzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_selectz00_bglt
		BgL_oz00_96, obj_t BgL_vz00_97)
	{
		{	/* SawMill/defs.sch 627 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_96)))->BgL_locz00) =
				((obj_t) BgL_vz00_97), BUNSPEC);
		}

	}



/* &rtl_select-loc-set! */
	obj_t BGl_z62rtl_selectzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7154,
		obj_t BgL_oz00_7155, obj_t BgL_vz00_7156)
	{
		{	/* SawMill/defs.sch 627 */
			return
				BGl_rtl_selectzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_selectz00_bglt) BgL_oz00_7155), BgL_vz00_7156);
		}

	}



/* make-rtl_switch */
	BGL_EXPORTED_DEF BgL_rtl_switchz00_bglt
		BGl_makezd2rtl_switchzd2zzsaw_defsz00(obj_t BgL_loc1475z00_98,
		BgL_typez00_bglt BgL_type1476z00_99, obj_t BgL_patterns1477z00_100,
		obj_t BgL_labels1478z00_101)
	{
		{	/* SawMill/defs.sch 630 */
			{	/* SawMill/defs.sch 630 */
				BgL_rtl_switchz00_bglt BgL_new1373z00_8988;

				{	/* SawMill/defs.sch 630 */
					BgL_rtl_switchz00_bglt BgL_new1372z00_8989;

					BgL_new1372z00_8989 =
						((BgL_rtl_switchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_switchz00_bgl))));
					{	/* SawMill/defs.sch 630 */
						long BgL_arg1878z00_8990;

						BgL_arg1878z00_8990 = BGL_CLASS_NUM(BGl_rtl_switchz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1372z00_8989), BgL_arg1878z00_8990);
					}
					BgL_new1373z00_8988 = BgL_new1372z00_8989;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1373z00_8988)))->BgL_locz00) =
					((obj_t) BgL_loc1475z00_98), BUNSPEC);
				((((BgL_rtl_selectz00_bglt) COBJECT(((BgL_rtl_selectz00_bglt)
									BgL_new1373z00_8988)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1476z00_99), BUNSPEC);
				((((BgL_rtl_selectz00_bglt) COBJECT(((BgL_rtl_selectz00_bglt)
									BgL_new1373z00_8988)))->BgL_patternsz00) =
					((obj_t) BgL_patterns1477z00_100), BUNSPEC);
				((((BgL_rtl_switchz00_bglt) COBJECT(BgL_new1373z00_8988))->
						BgL_labelsz00) = ((obj_t) BgL_labels1478z00_101), BUNSPEC);
				return BgL_new1373z00_8988;
			}
		}

	}



/* &make-rtl_switch */
	BgL_rtl_switchz00_bglt BGl_z62makezd2rtl_switchzb0zzsaw_defsz00(obj_t
		BgL_envz00_7157, obj_t BgL_loc1475z00_7158, obj_t BgL_type1476z00_7159,
		obj_t BgL_patterns1477z00_7160, obj_t BgL_labels1478z00_7161)
	{
		{	/* SawMill/defs.sch 630 */
			return
				BGl_makezd2rtl_switchzd2zzsaw_defsz00(BgL_loc1475z00_7158,
				((BgL_typez00_bglt) BgL_type1476z00_7159), BgL_patterns1477z00_7160,
				BgL_labels1478z00_7161);
		}

	}



/* rtl_switch? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_switchzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_102)
	{
		{	/* SawMill/defs.sch 631 */
			{	/* SawMill/defs.sch 631 */
				obj_t BgL_classz00_8991;

				BgL_classz00_8991 = BGl_rtl_switchz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_102))
					{	/* SawMill/defs.sch 631 */
						BgL_objectz00_bglt BgL_arg1858z00_8992;

						BgL_arg1858z00_8992 = (BgL_objectz00_bglt) (BgL_objz00_102);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 631 */
								long BgL_idxz00_8993;

								BgL_idxz00_8993 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_8992);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8993 + 4L)) == BgL_classz00_8991);
							}
						else
							{	/* SawMill/defs.sch 631 */
								bool_t BgL_res3191z00_8996;

								{	/* SawMill/defs.sch 631 */
									obj_t BgL_oclassz00_8997;

									{	/* SawMill/defs.sch 631 */
										obj_t BgL_arg1866z00_8998;
										long BgL_arg1867z00_8999;

										BgL_arg1866z00_8998 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 631 */
											long BgL_arg1869z00_9000;

											BgL_arg1869z00_9000 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_8992);
											BgL_arg1867z00_8999 = (BgL_arg1869z00_9000 - OBJECT_TYPE);
										}
										BgL_oclassz00_8997 =
											VECTOR_REF(BgL_arg1866z00_8998, BgL_arg1867z00_8999);
									}
									{	/* SawMill/defs.sch 631 */
										bool_t BgL__ortest_1115z00_9001;

										BgL__ortest_1115z00_9001 =
											(BgL_classz00_8991 == BgL_oclassz00_8997);
										if (BgL__ortest_1115z00_9001)
											{	/* SawMill/defs.sch 631 */
												BgL_res3191z00_8996 = BgL__ortest_1115z00_9001;
											}
										else
											{	/* SawMill/defs.sch 631 */
												long BgL_odepthz00_9002;

												{	/* SawMill/defs.sch 631 */
													obj_t BgL_arg1855z00_9003;

													BgL_arg1855z00_9003 = (BgL_oclassz00_8997);
													BgL_odepthz00_9002 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9003);
												}
												if ((4L < BgL_odepthz00_9002))
													{	/* SawMill/defs.sch 631 */
														obj_t BgL_arg1853z00_9004;

														{	/* SawMill/defs.sch 631 */
															obj_t BgL_arg1854z00_9005;

															BgL_arg1854z00_9005 = (BgL_oclassz00_8997);
															BgL_arg1853z00_9004 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9005,
																4L);
														}
														BgL_res3191z00_8996 =
															(BgL_arg1853z00_9004 == BgL_classz00_8991);
													}
												else
													{	/* SawMill/defs.sch 631 */
														BgL_res3191z00_8996 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3191z00_8996;
							}
					}
				else
					{	/* SawMill/defs.sch 631 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_switch? */
	obj_t BGl_z62rtl_switchzf3z91zzsaw_defsz00(obj_t BgL_envz00_7162,
		obj_t BgL_objz00_7163)
	{
		{	/* SawMill/defs.sch 631 */
			return BBOOL(BGl_rtl_switchzf3zf3zzsaw_defsz00(BgL_objz00_7163));
		}

	}



/* rtl_switch-nil */
	BGL_EXPORTED_DEF BgL_rtl_switchz00_bglt
		BGl_rtl_switchzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 632 */
			{	/* SawMill/defs.sch 632 */
				obj_t BgL_classz00_4727;

				BgL_classz00_4727 = BGl_rtl_switchz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 632 */
					obj_t BgL__ortest_1117z00_4728;

					BgL__ortest_1117z00_4728 = BGL_CLASS_NIL(BgL_classz00_4727);
					if (CBOOL(BgL__ortest_1117z00_4728))
						{	/* SawMill/defs.sch 632 */
							return ((BgL_rtl_switchz00_bglt) BgL__ortest_1117z00_4728);
						}
					else
						{	/* SawMill/defs.sch 632 */
							return
								((BgL_rtl_switchz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4727));
						}
				}
			}
		}

	}



/* &rtl_switch-nil */
	BgL_rtl_switchz00_bglt BGl_z62rtl_switchzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7164)
	{
		{	/* SawMill/defs.sch 632 */
			return BGl_rtl_switchzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_switch-labels */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_switchzd2labelszd2zzsaw_defsz00(BgL_rtl_switchz00_bglt BgL_oz00_103)
	{
		{	/* SawMill/defs.sch 633 */
			return (((BgL_rtl_switchz00_bglt) COBJECT(BgL_oz00_103))->BgL_labelsz00);
		}

	}



/* &rtl_switch-labels */
	obj_t BGl_z62rtl_switchzd2labelszb0zzsaw_defsz00(obj_t BgL_envz00_7165,
		obj_t BgL_oz00_7166)
	{
		{	/* SawMill/defs.sch 633 */
			return
				BGl_rtl_switchzd2labelszd2zzsaw_defsz00(
				((BgL_rtl_switchz00_bglt) BgL_oz00_7166));
		}

	}



/* rtl_switch-labels-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_switchzd2labelszd2setz12z12zzsaw_defsz00(BgL_rtl_switchz00_bglt
		BgL_oz00_104, obj_t BgL_vz00_105)
	{
		{	/* SawMill/defs.sch 634 */
			return
				((((BgL_rtl_switchz00_bglt) COBJECT(BgL_oz00_104))->BgL_labelsz00) =
				((obj_t) BgL_vz00_105), BUNSPEC);
		}

	}



/* &rtl_switch-labels-set! */
	obj_t BGl_z62rtl_switchzd2labelszd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7167, obj_t BgL_oz00_7168, obj_t BgL_vz00_7169)
	{
		{	/* SawMill/defs.sch 634 */
			return
				BGl_rtl_switchzd2labelszd2setz12z12zzsaw_defsz00(
				((BgL_rtl_switchz00_bglt) BgL_oz00_7168), BgL_vz00_7169);
		}

	}



/* rtl_switch-patterns */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_switchzd2patternszd2zzsaw_defsz00(BgL_rtl_switchz00_bglt
		BgL_oz00_106)
	{
		{	/* SawMill/defs.sch 635 */
			return
				(((BgL_rtl_selectz00_bglt) COBJECT(
						((BgL_rtl_selectz00_bglt) BgL_oz00_106)))->BgL_patternsz00);
		}

	}



/* &rtl_switch-patterns */
	obj_t BGl_z62rtl_switchzd2patternszb0zzsaw_defsz00(obj_t BgL_envz00_7170,
		obj_t BgL_oz00_7171)
	{
		{	/* SawMill/defs.sch 635 */
			return
				BGl_rtl_switchzd2patternszd2zzsaw_defsz00(
				((BgL_rtl_switchz00_bglt) BgL_oz00_7171));
		}

	}



/* rtl_switch-patterns-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_switchzd2patternszd2setz12z12zzsaw_defsz00(BgL_rtl_switchz00_bglt
		BgL_oz00_107, obj_t BgL_vz00_108)
	{
		{	/* SawMill/defs.sch 636 */
			return
				((((BgL_rtl_selectz00_bglt) COBJECT(
							((BgL_rtl_selectz00_bglt) BgL_oz00_107)))->BgL_patternsz00) =
				((obj_t) BgL_vz00_108), BUNSPEC);
		}

	}



/* &rtl_switch-patterns-set! */
	obj_t BGl_z62rtl_switchzd2patternszd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7172, obj_t BgL_oz00_7173, obj_t BgL_vz00_7174)
	{
		{	/* SawMill/defs.sch 636 */
			return
				BGl_rtl_switchzd2patternszd2setz12z12zzsaw_defsz00(
				((BgL_rtl_switchz00_bglt) BgL_oz00_7173), BgL_vz00_7174);
		}

	}



/* rtl_switch-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_switchzd2typezd2zzsaw_defsz00(BgL_rtl_switchz00_bglt BgL_oz00_109)
	{
		{	/* SawMill/defs.sch 637 */
			return
				(((BgL_rtl_selectz00_bglt) COBJECT(
						((BgL_rtl_selectz00_bglt) BgL_oz00_109)))->BgL_typez00);
		}

	}



/* &rtl_switch-type */
	BgL_typez00_bglt BGl_z62rtl_switchzd2typezb0zzsaw_defsz00(obj_t
		BgL_envz00_7175, obj_t BgL_oz00_7176)
	{
		{	/* SawMill/defs.sch 637 */
			return
				BGl_rtl_switchzd2typezd2zzsaw_defsz00(
				((BgL_rtl_switchz00_bglt) BgL_oz00_7176));
		}

	}



/* rtl_switch-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_switchzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_switchz00_bglt
		BgL_oz00_110, BgL_typez00_bglt BgL_vz00_111)
	{
		{	/* SawMill/defs.sch 638 */
			return
				((((BgL_rtl_selectz00_bglt) COBJECT(
							((BgL_rtl_selectz00_bglt) BgL_oz00_110)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_111), BUNSPEC);
		}

	}



/* &rtl_switch-type-set! */
	obj_t BGl_z62rtl_switchzd2typezd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7177,
		obj_t BgL_oz00_7178, obj_t BgL_vz00_7179)
	{
		{	/* SawMill/defs.sch 638 */
			return
				BGl_rtl_switchzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_switchz00_bglt) BgL_oz00_7178),
				((BgL_typez00_bglt) BgL_vz00_7179));
		}

	}



/* rtl_switch-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_switchzd2loczd2zzsaw_defsz00(BgL_rtl_switchz00_bglt BgL_oz00_112)
	{
		{	/* SawMill/defs.sch 639 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_112)))->BgL_locz00);
		}

	}



/* &rtl_switch-loc */
	obj_t BGl_z62rtl_switchzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7180,
		obj_t BgL_oz00_7181)
	{
		{	/* SawMill/defs.sch 639 */
			return
				BGl_rtl_switchzd2loczd2zzsaw_defsz00(
				((BgL_rtl_switchz00_bglt) BgL_oz00_7181));
		}

	}



/* rtl_switch-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_switchzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_switchz00_bglt
		BgL_oz00_113, obj_t BgL_vz00_114)
	{
		{	/* SawMill/defs.sch 640 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_113)))->BgL_locz00) =
				((obj_t) BgL_vz00_114), BUNSPEC);
		}

	}



/* &rtl_switch-loc-set! */
	obj_t BGl_z62rtl_switchzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7182,
		obj_t BgL_oz00_7183, obj_t BgL_vz00_7184)
	{
		{	/* SawMill/defs.sch 640 */
			return
				BGl_rtl_switchzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_switchz00_bglt) BgL_oz00_7183), BgL_vz00_7184);
		}

	}



/* make-rtl_ifeq */
	BGL_EXPORTED_DEF BgL_rtl_ifeqz00_bglt
		BGl_makezd2rtl_ifeqzd2zzsaw_defsz00(obj_t BgL_loc1471z00_115,
		BgL_blockz00_bglt BgL_then1472z00_116)
	{
		{	/* SawMill/defs.sch 643 */
			{	/* SawMill/defs.sch 643 */
				BgL_rtl_ifeqz00_bglt BgL_new1375z00_9006;

				{	/* SawMill/defs.sch 643 */
					BgL_rtl_ifeqz00_bglt BgL_new1374z00_9007;

					BgL_new1374z00_9007 =
						((BgL_rtl_ifeqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_ifeqz00_bgl))));
					{	/* SawMill/defs.sch 643 */
						long BgL_arg1882z00_9008;

						BgL_arg1882z00_9008 = BGL_CLASS_NUM(BGl_rtl_ifeqz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1374z00_9007), BgL_arg1882z00_9008);
					}
					BgL_new1375z00_9006 = BgL_new1374z00_9007;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1375z00_9006)))->BgL_locz00) =
					((obj_t) BgL_loc1471z00_115), BUNSPEC);
				((((BgL_rtl_ifeqz00_bglt) COBJECT(BgL_new1375z00_9006))->BgL_thenz00) =
					((BgL_blockz00_bglt) BgL_then1472z00_116), BUNSPEC);
				return BgL_new1375z00_9006;
			}
		}

	}



/* &make-rtl_ifeq */
	BgL_rtl_ifeqz00_bglt BGl_z62makezd2rtl_ifeqzb0zzsaw_defsz00(obj_t
		BgL_envz00_7185, obj_t BgL_loc1471z00_7186, obj_t BgL_then1472z00_7187)
	{
		{	/* SawMill/defs.sch 643 */
			return
				BGl_makezd2rtl_ifeqzd2zzsaw_defsz00(BgL_loc1471z00_7186,
				((BgL_blockz00_bglt) BgL_then1472z00_7187));
		}

	}



/* rtl_ifeq? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_ifeqzf3zf3zzsaw_defsz00(obj_t BgL_objz00_117)
	{
		{	/* SawMill/defs.sch 644 */
			{	/* SawMill/defs.sch 644 */
				obj_t BgL_classz00_9009;

				BgL_classz00_9009 = BGl_rtl_ifeqz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_117))
					{	/* SawMill/defs.sch 644 */
						BgL_objectz00_bglt BgL_arg1858z00_9010;

						BgL_arg1858z00_9010 = (BgL_objectz00_bglt) (BgL_objz00_117);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 644 */
								long BgL_idxz00_9011;

								BgL_idxz00_9011 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9010);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9011 + 3L)) == BgL_classz00_9009);
							}
						else
							{	/* SawMill/defs.sch 644 */
								bool_t BgL_res3192z00_9014;

								{	/* SawMill/defs.sch 644 */
									obj_t BgL_oclassz00_9015;

									{	/* SawMill/defs.sch 644 */
										obj_t BgL_arg1866z00_9016;
										long BgL_arg1867z00_9017;

										BgL_arg1866z00_9016 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 644 */
											long BgL_arg1869z00_9018;

											BgL_arg1869z00_9018 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9010);
											BgL_arg1867z00_9017 = (BgL_arg1869z00_9018 - OBJECT_TYPE);
										}
										BgL_oclassz00_9015 =
											VECTOR_REF(BgL_arg1866z00_9016, BgL_arg1867z00_9017);
									}
									{	/* SawMill/defs.sch 644 */
										bool_t BgL__ortest_1115z00_9019;

										BgL__ortest_1115z00_9019 =
											(BgL_classz00_9009 == BgL_oclassz00_9015);
										if (BgL__ortest_1115z00_9019)
											{	/* SawMill/defs.sch 644 */
												BgL_res3192z00_9014 = BgL__ortest_1115z00_9019;
											}
										else
											{	/* SawMill/defs.sch 644 */
												long BgL_odepthz00_9020;

												{	/* SawMill/defs.sch 644 */
													obj_t BgL_arg1855z00_9021;

													BgL_arg1855z00_9021 = (BgL_oclassz00_9015);
													BgL_odepthz00_9020 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9021);
												}
												if ((3L < BgL_odepthz00_9020))
													{	/* SawMill/defs.sch 644 */
														obj_t BgL_arg1853z00_9022;

														{	/* SawMill/defs.sch 644 */
															obj_t BgL_arg1854z00_9023;

															BgL_arg1854z00_9023 = (BgL_oclassz00_9015);
															BgL_arg1853z00_9022 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9023,
																3L);
														}
														BgL_res3192z00_9014 =
															(BgL_arg1853z00_9022 == BgL_classz00_9009);
													}
												else
													{	/* SawMill/defs.sch 644 */
														BgL_res3192z00_9014 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3192z00_9014;
							}
					}
				else
					{	/* SawMill/defs.sch 644 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_ifeq? */
	obj_t BGl_z62rtl_ifeqzf3z91zzsaw_defsz00(obj_t BgL_envz00_7188,
		obj_t BgL_objz00_7189)
	{
		{	/* SawMill/defs.sch 644 */
			return BBOOL(BGl_rtl_ifeqzf3zf3zzsaw_defsz00(BgL_objz00_7189));
		}

	}



/* rtl_ifeq-nil */
	BGL_EXPORTED_DEF BgL_rtl_ifeqz00_bglt BGl_rtl_ifeqzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 645 */
			{	/* SawMill/defs.sch 645 */
				obj_t BgL_classz00_4769;

				BgL_classz00_4769 = BGl_rtl_ifeqz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 645 */
					obj_t BgL__ortest_1117z00_4770;

					BgL__ortest_1117z00_4770 = BGL_CLASS_NIL(BgL_classz00_4769);
					if (CBOOL(BgL__ortest_1117z00_4770))
						{	/* SawMill/defs.sch 645 */
							return ((BgL_rtl_ifeqz00_bglt) BgL__ortest_1117z00_4770);
						}
					else
						{	/* SawMill/defs.sch 645 */
							return
								((BgL_rtl_ifeqz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4769));
						}
				}
			}
		}

	}



/* &rtl_ifeq-nil */
	BgL_rtl_ifeqz00_bglt BGl_z62rtl_ifeqzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7190)
	{
		{	/* SawMill/defs.sch 645 */
			return BGl_rtl_ifeqzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_ifeq-then */
	BGL_EXPORTED_DEF BgL_blockz00_bglt
		BGl_rtl_ifeqzd2thenzd2zzsaw_defsz00(BgL_rtl_ifeqz00_bglt BgL_oz00_118)
	{
		{	/* SawMill/defs.sch 646 */
			return (((BgL_rtl_ifeqz00_bglt) COBJECT(BgL_oz00_118))->BgL_thenz00);
		}

	}



/* &rtl_ifeq-then */
	BgL_blockz00_bglt BGl_z62rtl_ifeqzd2thenzb0zzsaw_defsz00(obj_t
		BgL_envz00_7191, obj_t BgL_oz00_7192)
	{
		{	/* SawMill/defs.sch 646 */
			return
				BGl_rtl_ifeqzd2thenzd2zzsaw_defsz00(
				((BgL_rtl_ifeqz00_bglt) BgL_oz00_7192));
		}

	}



/* rtl_ifeq-then-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_ifeqzd2thenzd2setz12z12zzsaw_defsz00(BgL_rtl_ifeqz00_bglt
		BgL_oz00_119, BgL_blockz00_bglt BgL_vz00_120)
	{
		{	/* SawMill/defs.sch 647 */
			return
				((((BgL_rtl_ifeqz00_bglt) COBJECT(BgL_oz00_119))->BgL_thenz00) =
				((BgL_blockz00_bglt) BgL_vz00_120), BUNSPEC);
		}

	}



/* &rtl_ifeq-then-set! */
	obj_t BGl_z62rtl_ifeqzd2thenzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7193,
		obj_t BgL_oz00_7194, obj_t BgL_vz00_7195)
	{
		{	/* SawMill/defs.sch 647 */
			return
				BGl_rtl_ifeqzd2thenzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_ifeqz00_bglt) BgL_oz00_7194),
				((BgL_blockz00_bglt) BgL_vz00_7195));
		}

	}



/* rtl_ifeq-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_ifeqzd2loczd2zzsaw_defsz00(BgL_rtl_ifeqz00_bglt
		BgL_oz00_121)
	{
		{	/* SawMill/defs.sch 648 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_121)))->BgL_locz00);
		}

	}



/* &rtl_ifeq-loc */
	obj_t BGl_z62rtl_ifeqzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7196,
		obj_t BgL_oz00_7197)
	{
		{	/* SawMill/defs.sch 648 */
			return
				BGl_rtl_ifeqzd2loczd2zzsaw_defsz00(
				((BgL_rtl_ifeqz00_bglt) BgL_oz00_7197));
		}

	}



/* rtl_ifeq-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_ifeqzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_ifeqz00_bglt
		BgL_oz00_122, obj_t BgL_vz00_123)
	{
		{	/* SawMill/defs.sch 649 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_122)))->BgL_locz00) =
				((obj_t) BgL_vz00_123), BUNSPEC);
		}

	}



/* &rtl_ifeq-loc-set! */
	obj_t BGl_z62rtl_ifeqzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7198,
		obj_t BgL_oz00_7199, obj_t BgL_vz00_7200)
	{
		{	/* SawMill/defs.sch 649 */
			return
				BGl_rtl_ifeqzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_ifeqz00_bglt) BgL_oz00_7199), BgL_vz00_7200);
		}

	}



/* make-rtl_ifne */
	BGL_EXPORTED_DEF BgL_rtl_ifnez00_bglt
		BGl_makezd2rtl_ifnezd2zzsaw_defsz00(obj_t BgL_loc1468z00_124,
		BgL_blockz00_bglt BgL_then1469z00_125)
	{
		{	/* SawMill/defs.sch 652 */
			{	/* SawMill/defs.sch 652 */
				BgL_rtl_ifnez00_bglt BgL_new1377z00_9024;

				{	/* SawMill/defs.sch 652 */
					BgL_rtl_ifnez00_bglt BgL_new1376z00_9025;

					BgL_new1376z00_9025 =
						((BgL_rtl_ifnez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_ifnez00_bgl))));
					{	/* SawMill/defs.sch 652 */
						long BgL_arg1884z00_9026;

						BgL_arg1884z00_9026 = BGL_CLASS_NUM(BGl_rtl_ifnez00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1376z00_9025), BgL_arg1884z00_9026);
					}
					BgL_new1377z00_9024 = BgL_new1376z00_9025;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1377z00_9024)))->BgL_locz00) =
					((obj_t) BgL_loc1468z00_124), BUNSPEC);
				((((BgL_rtl_ifnez00_bglt) COBJECT(BgL_new1377z00_9024))->BgL_thenz00) =
					((BgL_blockz00_bglt) BgL_then1469z00_125), BUNSPEC);
				return BgL_new1377z00_9024;
			}
		}

	}



/* &make-rtl_ifne */
	BgL_rtl_ifnez00_bglt BGl_z62makezd2rtl_ifnezb0zzsaw_defsz00(obj_t
		BgL_envz00_7201, obj_t BgL_loc1468z00_7202, obj_t BgL_then1469z00_7203)
	{
		{	/* SawMill/defs.sch 652 */
			return
				BGl_makezd2rtl_ifnezd2zzsaw_defsz00(BgL_loc1468z00_7202,
				((BgL_blockz00_bglt) BgL_then1469z00_7203));
		}

	}



/* rtl_ifne? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_ifnezf3zf3zzsaw_defsz00(obj_t BgL_objz00_126)
	{
		{	/* SawMill/defs.sch 653 */
			{	/* SawMill/defs.sch 653 */
				obj_t BgL_classz00_9027;

				BgL_classz00_9027 = BGl_rtl_ifnez00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_126))
					{	/* SawMill/defs.sch 653 */
						BgL_objectz00_bglt BgL_arg1858z00_9028;

						BgL_arg1858z00_9028 = (BgL_objectz00_bglt) (BgL_objz00_126);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 653 */
								long BgL_idxz00_9029;

								BgL_idxz00_9029 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9028);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9029 + 3L)) == BgL_classz00_9027);
							}
						else
							{	/* SawMill/defs.sch 653 */
								bool_t BgL_res3193z00_9032;

								{	/* SawMill/defs.sch 653 */
									obj_t BgL_oclassz00_9033;

									{	/* SawMill/defs.sch 653 */
										obj_t BgL_arg1866z00_9034;
										long BgL_arg1867z00_9035;

										BgL_arg1866z00_9034 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 653 */
											long BgL_arg1869z00_9036;

											BgL_arg1869z00_9036 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9028);
											BgL_arg1867z00_9035 = (BgL_arg1869z00_9036 - OBJECT_TYPE);
										}
										BgL_oclassz00_9033 =
											VECTOR_REF(BgL_arg1866z00_9034, BgL_arg1867z00_9035);
									}
									{	/* SawMill/defs.sch 653 */
										bool_t BgL__ortest_1115z00_9037;

										BgL__ortest_1115z00_9037 =
											(BgL_classz00_9027 == BgL_oclassz00_9033);
										if (BgL__ortest_1115z00_9037)
											{	/* SawMill/defs.sch 653 */
												BgL_res3193z00_9032 = BgL__ortest_1115z00_9037;
											}
										else
											{	/* SawMill/defs.sch 653 */
												long BgL_odepthz00_9038;

												{	/* SawMill/defs.sch 653 */
													obj_t BgL_arg1855z00_9039;

													BgL_arg1855z00_9039 = (BgL_oclassz00_9033);
													BgL_odepthz00_9038 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9039);
												}
												if ((3L < BgL_odepthz00_9038))
													{	/* SawMill/defs.sch 653 */
														obj_t BgL_arg1853z00_9040;

														{	/* SawMill/defs.sch 653 */
															obj_t BgL_arg1854z00_9041;

															BgL_arg1854z00_9041 = (BgL_oclassz00_9033);
															BgL_arg1853z00_9040 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9041,
																3L);
														}
														BgL_res3193z00_9032 =
															(BgL_arg1853z00_9040 == BgL_classz00_9027);
													}
												else
													{	/* SawMill/defs.sch 653 */
														BgL_res3193z00_9032 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3193z00_9032;
							}
					}
				else
					{	/* SawMill/defs.sch 653 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_ifne? */
	obj_t BGl_z62rtl_ifnezf3z91zzsaw_defsz00(obj_t BgL_envz00_7204,
		obj_t BgL_objz00_7205)
	{
		{	/* SawMill/defs.sch 653 */
			return BBOOL(BGl_rtl_ifnezf3zf3zzsaw_defsz00(BgL_objz00_7205));
		}

	}



/* rtl_ifne-nil */
	BGL_EXPORTED_DEF BgL_rtl_ifnez00_bglt BGl_rtl_ifnezd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 654 */
			{	/* SawMill/defs.sch 654 */
				obj_t BgL_classz00_4811;

				BgL_classz00_4811 = BGl_rtl_ifnez00zzsaw_defsz00;
				{	/* SawMill/defs.sch 654 */
					obj_t BgL__ortest_1117z00_4812;

					BgL__ortest_1117z00_4812 = BGL_CLASS_NIL(BgL_classz00_4811);
					if (CBOOL(BgL__ortest_1117z00_4812))
						{	/* SawMill/defs.sch 654 */
							return ((BgL_rtl_ifnez00_bglt) BgL__ortest_1117z00_4812);
						}
					else
						{	/* SawMill/defs.sch 654 */
							return
								((BgL_rtl_ifnez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4811));
						}
				}
			}
		}

	}



/* &rtl_ifne-nil */
	BgL_rtl_ifnez00_bglt BGl_z62rtl_ifnezd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7206)
	{
		{	/* SawMill/defs.sch 654 */
			return BGl_rtl_ifnezd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_ifne-then */
	BGL_EXPORTED_DEF BgL_blockz00_bglt
		BGl_rtl_ifnezd2thenzd2zzsaw_defsz00(BgL_rtl_ifnez00_bglt BgL_oz00_127)
	{
		{	/* SawMill/defs.sch 655 */
			return (((BgL_rtl_ifnez00_bglt) COBJECT(BgL_oz00_127))->BgL_thenz00);
		}

	}



/* &rtl_ifne-then */
	BgL_blockz00_bglt BGl_z62rtl_ifnezd2thenzb0zzsaw_defsz00(obj_t
		BgL_envz00_7207, obj_t BgL_oz00_7208)
	{
		{	/* SawMill/defs.sch 655 */
			return
				BGl_rtl_ifnezd2thenzd2zzsaw_defsz00(
				((BgL_rtl_ifnez00_bglt) BgL_oz00_7208));
		}

	}



/* rtl_ifne-then-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_ifnezd2thenzd2setz12z12zzsaw_defsz00(BgL_rtl_ifnez00_bglt
		BgL_oz00_128, BgL_blockz00_bglt BgL_vz00_129)
	{
		{	/* SawMill/defs.sch 656 */
			return
				((((BgL_rtl_ifnez00_bglt) COBJECT(BgL_oz00_128))->BgL_thenz00) =
				((BgL_blockz00_bglt) BgL_vz00_129), BUNSPEC);
		}

	}



/* &rtl_ifne-then-set! */
	obj_t BGl_z62rtl_ifnezd2thenzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7209,
		obj_t BgL_oz00_7210, obj_t BgL_vz00_7211)
	{
		{	/* SawMill/defs.sch 656 */
			return
				BGl_rtl_ifnezd2thenzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_ifnez00_bglt) BgL_oz00_7210),
				((BgL_blockz00_bglt) BgL_vz00_7211));
		}

	}



/* rtl_ifne-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_ifnezd2loczd2zzsaw_defsz00(BgL_rtl_ifnez00_bglt
		BgL_oz00_130)
	{
		{	/* SawMill/defs.sch 657 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_130)))->BgL_locz00);
		}

	}



/* &rtl_ifne-loc */
	obj_t BGl_z62rtl_ifnezd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7212,
		obj_t BgL_oz00_7213)
	{
		{	/* SawMill/defs.sch 657 */
			return
				BGl_rtl_ifnezd2loczd2zzsaw_defsz00(
				((BgL_rtl_ifnez00_bglt) BgL_oz00_7213));
		}

	}



/* rtl_ifne-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_ifnezd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_ifnez00_bglt
		BgL_oz00_131, obj_t BgL_vz00_132)
	{
		{	/* SawMill/defs.sch 658 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_131)))->BgL_locz00) =
				((obj_t) BgL_vz00_132), BUNSPEC);
		}

	}



/* &rtl_ifne-loc-set! */
	obj_t BGl_z62rtl_ifnezd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7214,
		obj_t BgL_oz00_7215, obj_t BgL_vz00_7216)
	{
		{	/* SawMill/defs.sch 658 */
			return
				BGl_rtl_ifnezd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_ifnez00_bglt) BgL_oz00_7215), BgL_vz00_7216);
		}

	}



/* make-rtl_go */
	BGL_EXPORTED_DEF BgL_rtl_goz00_bglt BGl_makezd2rtl_gozd2zzsaw_defsz00(obj_t
		BgL_loc1465z00_133, BgL_blockz00_bglt BgL_to1466z00_134)
	{
		{	/* SawMill/defs.sch 661 */
			{	/* SawMill/defs.sch 661 */
				BgL_rtl_goz00_bglt BgL_new1379z00_9042;

				{	/* SawMill/defs.sch 661 */
					BgL_rtl_goz00_bglt BgL_new1378z00_9043;

					BgL_new1378z00_9043 =
						((BgL_rtl_goz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_goz00_bgl))));
					{	/* SawMill/defs.sch 661 */
						long BgL_arg1885z00_9044;

						BgL_arg1885z00_9044 = BGL_CLASS_NUM(BGl_rtl_goz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1378z00_9043), BgL_arg1885z00_9044);
					}
					BgL_new1379z00_9042 = BgL_new1378z00_9043;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1379z00_9042)))->BgL_locz00) =
					((obj_t) BgL_loc1465z00_133), BUNSPEC);
				((((BgL_rtl_goz00_bglt) COBJECT(BgL_new1379z00_9042))->BgL_toz00) =
					((BgL_blockz00_bglt) BgL_to1466z00_134), BUNSPEC);
				return BgL_new1379z00_9042;
			}
		}

	}



/* &make-rtl_go */
	BgL_rtl_goz00_bglt BGl_z62makezd2rtl_gozb0zzsaw_defsz00(obj_t BgL_envz00_7217,
		obj_t BgL_loc1465z00_7218, obj_t BgL_to1466z00_7219)
	{
		{	/* SawMill/defs.sch 661 */
			return
				BGl_makezd2rtl_gozd2zzsaw_defsz00(BgL_loc1465z00_7218,
				((BgL_blockz00_bglt) BgL_to1466z00_7219));
		}

	}



/* rtl_go? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_gozf3zf3zzsaw_defsz00(obj_t BgL_objz00_135)
	{
		{	/* SawMill/defs.sch 662 */
			{	/* SawMill/defs.sch 662 */
				obj_t BgL_classz00_9045;

				BgL_classz00_9045 = BGl_rtl_goz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_135))
					{	/* SawMill/defs.sch 662 */
						BgL_objectz00_bglt BgL_arg1858z00_9046;

						BgL_arg1858z00_9046 = (BgL_objectz00_bglt) (BgL_objz00_135);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 662 */
								long BgL_idxz00_9047;

								BgL_idxz00_9047 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9046);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9047 + 3L)) == BgL_classz00_9045);
							}
						else
							{	/* SawMill/defs.sch 662 */
								bool_t BgL_res3194z00_9050;

								{	/* SawMill/defs.sch 662 */
									obj_t BgL_oclassz00_9051;

									{	/* SawMill/defs.sch 662 */
										obj_t BgL_arg1866z00_9052;
										long BgL_arg1867z00_9053;

										BgL_arg1866z00_9052 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 662 */
											long BgL_arg1869z00_9054;

											BgL_arg1869z00_9054 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9046);
											BgL_arg1867z00_9053 = (BgL_arg1869z00_9054 - OBJECT_TYPE);
										}
										BgL_oclassz00_9051 =
											VECTOR_REF(BgL_arg1866z00_9052, BgL_arg1867z00_9053);
									}
									{	/* SawMill/defs.sch 662 */
										bool_t BgL__ortest_1115z00_9055;

										BgL__ortest_1115z00_9055 =
											(BgL_classz00_9045 == BgL_oclassz00_9051);
										if (BgL__ortest_1115z00_9055)
											{	/* SawMill/defs.sch 662 */
												BgL_res3194z00_9050 = BgL__ortest_1115z00_9055;
											}
										else
											{	/* SawMill/defs.sch 662 */
												long BgL_odepthz00_9056;

												{	/* SawMill/defs.sch 662 */
													obj_t BgL_arg1855z00_9057;

													BgL_arg1855z00_9057 = (BgL_oclassz00_9051);
													BgL_odepthz00_9056 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9057);
												}
												if ((3L < BgL_odepthz00_9056))
													{	/* SawMill/defs.sch 662 */
														obj_t BgL_arg1853z00_9058;

														{	/* SawMill/defs.sch 662 */
															obj_t BgL_arg1854z00_9059;

															BgL_arg1854z00_9059 = (BgL_oclassz00_9051);
															BgL_arg1853z00_9058 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9059,
																3L);
														}
														BgL_res3194z00_9050 =
															(BgL_arg1853z00_9058 == BgL_classz00_9045);
													}
												else
													{	/* SawMill/defs.sch 662 */
														BgL_res3194z00_9050 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3194z00_9050;
							}
					}
				else
					{	/* SawMill/defs.sch 662 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_go? */
	obj_t BGl_z62rtl_gozf3z91zzsaw_defsz00(obj_t BgL_envz00_7220,
		obj_t BgL_objz00_7221)
	{
		{	/* SawMill/defs.sch 662 */
			return BBOOL(BGl_rtl_gozf3zf3zzsaw_defsz00(BgL_objz00_7221));
		}

	}



/* rtl_go-nil */
	BGL_EXPORTED_DEF BgL_rtl_goz00_bglt BGl_rtl_gozd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 663 */
			{	/* SawMill/defs.sch 663 */
				obj_t BgL_classz00_4853;

				BgL_classz00_4853 = BGl_rtl_goz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 663 */
					obj_t BgL__ortest_1117z00_4854;

					BgL__ortest_1117z00_4854 = BGL_CLASS_NIL(BgL_classz00_4853);
					if (CBOOL(BgL__ortest_1117z00_4854))
						{	/* SawMill/defs.sch 663 */
							return ((BgL_rtl_goz00_bglt) BgL__ortest_1117z00_4854);
						}
					else
						{	/* SawMill/defs.sch 663 */
							return
								((BgL_rtl_goz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4853));
						}
				}
			}
		}

	}



/* &rtl_go-nil */
	BgL_rtl_goz00_bglt BGl_z62rtl_gozd2nilzb0zzsaw_defsz00(obj_t BgL_envz00_7222)
	{
		{	/* SawMill/defs.sch 663 */
			return BGl_rtl_gozd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_go-to */
	BGL_EXPORTED_DEF BgL_blockz00_bglt
		BGl_rtl_gozd2tozd2zzsaw_defsz00(BgL_rtl_goz00_bglt BgL_oz00_136)
	{
		{	/* SawMill/defs.sch 664 */
			return (((BgL_rtl_goz00_bglt) COBJECT(BgL_oz00_136))->BgL_toz00);
		}

	}



/* &rtl_go-to */
	BgL_blockz00_bglt BGl_z62rtl_gozd2tozb0zzsaw_defsz00(obj_t BgL_envz00_7223,
		obj_t BgL_oz00_7224)
	{
		{	/* SawMill/defs.sch 664 */
			return
				BGl_rtl_gozd2tozd2zzsaw_defsz00(((BgL_rtl_goz00_bglt) BgL_oz00_7224));
		}

	}



/* rtl_go-to-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_gozd2tozd2setz12z12zzsaw_defsz00(BgL_rtl_goz00_bglt BgL_oz00_137,
		BgL_blockz00_bglt BgL_vz00_138)
	{
		{	/* SawMill/defs.sch 665 */
			return
				((((BgL_rtl_goz00_bglt) COBJECT(BgL_oz00_137))->BgL_toz00) =
				((BgL_blockz00_bglt) BgL_vz00_138), BUNSPEC);
		}

	}



/* &rtl_go-to-set! */
	obj_t BGl_z62rtl_gozd2tozd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7225,
		obj_t BgL_oz00_7226, obj_t BgL_vz00_7227)
	{
		{	/* SawMill/defs.sch 665 */
			return
				BGl_rtl_gozd2tozd2setz12z12zzsaw_defsz00(
				((BgL_rtl_goz00_bglt) BgL_oz00_7226),
				((BgL_blockz00_bglt) BgL_vz00_7227));
		}

	}



/* rtl_go-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_gozd2loczd2zzsaw_defsz00(BgL_rtl_goz00_bglt
		BgL_oz00_139)
	{
		{	/* SawMill/defs.sch 666 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_139)))->BgL_locz00);
		}

	}



/* &rtl_go-loc */
	obj_t BGl_z62rtl_gozd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7228,
		obj_t BgL_oz00_7229)
	{
		{	/* SawMill/defs.sch 666 */
			return
				BGl_rtl_gozd2loczd2zzsaw_defsz00(((BgL_rtl_goz00_bglt) BgL_oz00_7229));
		}

	}



/* rtl_go-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_gozd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_goz00_bglt BgL_oz00_140,
		obj_t BgL_vz00_141)
	{
		{	/* SawMill/defs.sch 667 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_140)))->BgL_locz00) =
				((obj_t) BgL_vz00_141), BUNSPEC);
		}

	}



/* &rtl_go-loc-set! */
	obj_t BGl_z62rtl_gozd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7230,
		obj_t BgL_oz00_7231, obj_t BgL_vz00_7232)
	{
		{	/* SawMill/defs.sch 667 */
			return
				BGl_rtl_gozd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_goz00_bglt) BgL_oz00_7231), BgL_vz00_7232);
		}

	}



/* make-rtl_pure */
	BGL_EXPORTED_DEF BgL_rtl_purez00_bglt
		BGl_makezd2rtl_purezd2zzsaw_defsz00(obj_t BgL_loc1461z00_142)
	{
		{	/* SawMill/defs.sch 670 */
			{	/* SawMill/defs.sch 670 */
				BgL_rtl_purez00_bglt BgL_new1381z00_9060;

				{	/* SawMill/defs.sch 670 */
					BgL_rtl_purez00_bglt BgL_new1380z00_9061;

					BgL_new1380z00_9061 =
						((BgL_rtl_purez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_purez00_bgl))));
					{	/* SawMill/defs.sch 670 */
						long BgL_arg1886z00_9062;

						BgL_arg1886z00_9062 = BGL_CLASS_NUM(BGl_rtl_purez00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1380z00_9061), BgL_arg1886z00_9062);
					}
					BgL_new1381z00_9060 = BgL_new1380z00_9061;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1381z00_9060)))->BgL_locz00) =
					((obj_t) BgL_loc1461z00_142), BUNSPEC);
				return BgL_new1381z00_9060;
			}
		}

	}



/* &make-rtl_pure */
	BgL_rtl_purez00_bglt BGl_z62makezd2rtl_purezb0zzsaw_defsz00(obj_t
		BgL_envz00_7233, obj_t BgL_loc1461z00_7234)
	{
		{	/* SawMill/defs.sch 670 */
			return BGl_makezd2rtl_purezd2zzsaw_defsz00(BgL_loc1461z00_7234);
		}

	}



/* rtl_pure? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_purezf3zf3zzsaw_defsz00(obj_t BgL_objz00_143)
	{
		{	/* SawMill/defs.sch 671 */
			{	/* SawMill/defs.sch 671 */
				obj_t BgL_classz00_9063;

				BgL_classz00_9063 = BGl_rtl_purez00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_143))
					{	/* SawMill/defs.sch 671 */
						BgL_objectz00_bglt BgL_arg1858z00_9064;

						BgL_arg1858z00_9064 = (BgL_objectz00_bglt) (BgL_objz00_143);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 671 */
								long BgL_idxz00_9065;

								BgL_idxz00_9065 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9064);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9065 + 2L)) == BgL_classz00_9063);
							}
						else
							{	/* SawMill/defs.sch 671 */
								bool_t BgL_res3195z00_9068;

								{	/* SawMill/defs.sch 671 */
									obj_t BgL_oclassz00_9069;

									{	/* SawMill/defs.sch 671 */
										obj_t BgL_arg1866z00_9070;
										long BgL_arg1867z00_9071;

										BgL_arg1866z00_9070 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 671 */
											long BgL_arg1869z00_9072;

											BgL_arg1869z00_9072 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9064);
											BgL_arg1867z00_9071 = (BgL_arg1869z00_9072 - OBJECT_TYPE);
										}
										BgL_oclassz00_9069 =
											VECTOR_REF(BgL_arg1866z00_9070, BgL_arg1867z00_9071);
									}
									{	/* SawMill/defs.sch 671 */
										bool_t BgL__ortest_1115z00_9073;

										BgL__ortest_1115z00_9073 =
											(BgL_classz00_9063 == BgL_oclassz00_9069);
										if (BgL__ortest_1115z00_9073)
											{	/* SawMill/defs.sch 671 */
												BgL_res3195z00_9068 = BgL__ortest_1115z00_9073;
											}
										else
											{	/* SawMill/defs.sch 671 */
												long BgL_odepthz00_9074;

												{	/* SawMill/defs.sch 671 */
													obj_t BgL_arg1855z00_9075;

													BgL_arg1855z00_9075 = (BgL_oclassz00_9069);
													BgL_odepthz00_9074 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9075);
												}
												if ((2L < BgL_odepthz00_9074))
													{	/* SawMill/defs.sch 671 */
														obj_t BgL_arg1853z00_9076;

														{	/* SawMill/defs.sch 671 */
															obj_t BgL_arg1854z00_9077;

															BgL_arg1854z00_9077 = (BgL_oclassz00_9069);
															BgL_arg1853z00_9076 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9077,
																2L);
														}
														BgL_res3195z00_9068 =
															(BgL_arg1853z00_9076 == BgL_classz00_9063);
													}
												else
													{	/* SawMill/defs.sch 671 */
														BgL_res3195z00_9068 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3195z00_9068;
							}
					}
				else
					{	/* SawMill/defs.sch 671 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_pure? */
	obj_t BGl_z62rtl_purezf3z91zzsaw_defsz00(obj_t BgL_envz00_7235,
		obj_t BgL_objz00_7236)
	{
		{	/* SawMill/defs.sch 671 */
			return BBOOL(BGl_rtl_purezf3zf3zzsaw_defsz00(BgL_objz00_7236));
		}

	}



/* rtl_pure-nil */
	BGL_EXPORTED_DEF BgL_rtl_purez00_bglt BGl_rtl_purezd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 672 */
			{	/* SawMill/defs.sch 672 */
				obj_t BgL_classz00_4895;

				BgL_classz00_4895 = BGl_rtl_purez00zzsaw_defsz00;
				{	/* SawMill/defs.sch 672 */
					obj_t BgL__ortest_1117z00_4896;

					BgL__ortest_1117z00_4896 = BGL_CLASS_NIL(BgL_classz00_4895);
					if (CBOOL(BgL__ortest_1117z00_4896))
						{	/* SawMill/defs.sch 672 */
							return ((BgL_rtl_purez00_bglt) BgL__ortest_1117z00_4896);
						}
					else
						{	/* SawMill/defs.sch 672 */
							return
								((BgL_rtl_purez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4895));
						}
				}
			}
		}

	}



/* &rtl_pure-nil */
	BgL_rtl_purez00_bglt BGl_z62rtl_purezd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7237)
	{
		{	/* SawMill/defs.sch 672 */
			return BGl_rtl_purezd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_pure-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_purezd2loczd2zzsaw_defsz00(BgL_rtl_purez00_bglt
		BgL_oz00_144)
	{
		{	/* SawMill/defs.sch 673 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_144)))->BgL_locz00);
		}

	}



/* &rtl_pure-loc */
	obj_t BGl_z62rtl_purezd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7238,
		obj_t BgL_oz00_7239)
	{
		{	/* SawMill/defs.sch 673 */
			return
				BGl_rtl_purezd2loczd2zzsaw_defsz00(
				((BgL_rtl_purez00_bglt) BgL_oz00_7239));
		}

	}



/* rtl_pure-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_purezd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_purez00_bglt
		BgL_oz00_145, obj_t BgL_vz00_146)
	{
		{	/* SawMill/defs.sch 674 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_145)))->BgL_locz00) =
				((obj_t) BgL_vz00_146), BUNSPEC);
		}

	}



/* &rtl_pure-loc-set! */
	obj_t BGl_z62rtl_purezd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7240,
		obj_t BgL_oz00_7241, obj_t BgL_vz00_7242)
	{
		{	/* SawMill/defs.sch 674 */
			return
				BGl_rtl_purezd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_purez00_bglt) BgL_oz00_7241), BgL_vz00_7242);
		}

	}



/* make-rtl_nop */
	BGL_EXPORTED_DEF BgL_rtl_nopz00_bglt BGl_makezd2rtl_nopzd2zzsaw_defsz00(obj_t
		BgL_loc1459z00_147)
	{
		{	/* SawMill/defs.sch 677 */
			{	/* SawMill/defs.sch 677 */
				BgL_rtl_nopz00_bglt BgL_new1383z00_9078;

				{	/* SawMill/defs.sch 677 */
					BgL_rtl_nopz00_bglt BgL_new1382z00_9079;

					BgL_new1382z00_9079 =
						((BgL_rtl_nopz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_nopz00_bgl))));
					{	/* SawMill/defs.sch 677 */
						long BgL_arg1887z00_9080;

						BgL_arg1887z00_9080 = BGL_CLASS_NUM(BGl_rtl_nopz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1382z00_9079), BgL_arg1887z00_9080);
					}
					BgL_new1383z00_9078 = BgL_new1382z00_9079;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1383z00_9078)))->BgL_locz00) =
					((obj_t) BgL_loc1459z00_147), BUNSPEC);
				return BgL_new1383z00_9078;
			}
		}

	}



/* &make-rtl_nop */
	BgL_rtl_nopz00_bglt BGl_z62makezd2rtl_nopzb0zzsaw_defsz00(obj_t
		BgL_envz00_7243, obj_t BgL_loc1459z00_7244)
	{
		{	/* SawMill/defs.sch 677 */
			return BGl_makezd2rtl_nopzd2zzsaw_defsz00(BgL_loc1459z00_7244);
		}

	}



/* rtl_nop? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_nopzf3zf3zzsaw_defsz00(obj_t BgL_objz00_148)
	{
		{	/* SawMill/defs.sch 678 */
			{	/* SawMill/defs.sch 678 */
				obj_t BgL_classz00_9081;

				BgL_classz00_9081 = BGl_rtl_nopz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_148))
					{	/* SawMill/defs.sch 678 */
						BgL_objectz00_bglt BgL_arg1858z00_9082;

						BgL_arg1858z00_9082 = (BgL_objectz00_bglt) (BgL_objz00_148);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 678 */
								long BgL_idxz00_9083;

								BgL_idxz00_9083 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9082);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9083 + 3L)) == BgL_classz00_9081);
							}
						else
							{	/* SawMill/defs.sch 678 */
								bool_t BgL_res3196z00_9086;

								{	/* SawMill/defs.sch 678 */
									obj_t BgL_oclassz00_9087;

									{	/* SawMill/defs.sch 678 */
										obj_t BgL_arg1866z00_9088;
										long BgL_arg1867z00_9089;

										BgL_arg1866z00_9088 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 678 */
											long BgL_arg1869z00_9090;

											BgL_arg1869z00_9090 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9082);
											BgL_arg1867z00_9089 = (BgL_arg1869z00_9090 - OBJECT_TYPE);
										}
										BgL_oclassz00_9087 =
											VECTOR_REF(BgL_arg1866z00_9088, BgL_arg1867z00_9089);
									}
									{	/* SawMill/defs.sch 678 */
										bool_t BgL__ortest_1115z00_9091;

										BgL__ortest_1115z00_9091 =
											(BgL_classz00_9081 == BgL_oclassz00_9087);
										if (BgL__ortest_1115z00_9091)
											{	/* SawMill/defs.sch 678 */
												BgL_res3196z00_9086 = BgL__ortest_1115z00_9091;
											}
										else
											{	/* SawMill/defs.sch 678 */
												long BgL_odepthz00_9092;

												{	/* SawMill/defs.sch 678 */
													obj_t BgL_arg1855z00_9093;

													BgL_arg1855z00_9093 = (BgL_oclassz00_9087);
													BgL_odepthz00_9092 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9093);
												}
												if ((3L < BgL_odepthz00_9092))
													{	/* SawMill/defs.sch 678 */
														obj_t BgL_arg1853z00_9094;

														{	/* SawMill/defs.sch 678 */
															obj_t BgL_arg1854z00_9095;

															BgL_arg1854z00_9095 = (BgL_oclassz00_9087);
															BgL_arg1853z00_9094 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9095,
																3L);
														}
														BgL_res3196z00_9086 =
															(BgL_arg1853z00_9094 == BgL_classz00_9081);
													}
												else
													{	/* SawMill/defs.sch 678 */
														BgL_res3196z00_9086 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3196z00_9086;
							}
					}
				else
					{	/* SawMill/defs.sch 678 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_nop? */
	obj_t BGl_z62rtl_nopzf3z91zzsaw_defsz00(obj_t BgL_envz00_7245,
		obj_t BgL_objz00_7246)
	{
		{	/* SawMill/defs.sch 678 */
			return BBOOL(BGl_rtl_nopzf3zf3zzsaw_defsz00(BgL_objz00_7246));
		}

	}



/* rtl_nop-nil */
	BGL_EXPORTED_DEF BgL_rtl_nopz00_bglt BGl_rtl_nopzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 679 */
			{	/* SawMill/defs.sch 679 */
				obj_t BgL_classz00_4937;

				BgL_classz00_4937 = BGl_rtl_nopz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 679 */
					obj_t BgL__ortest_1117z00_4938;

					BgL__ortest_1117z00_4938 = BGL_CLASS_NIL(BgL_classz00_4937);
					if (CBOOL(BgL__ortest_1117z00_4938))
						{	/* SawMill/defs.sch 679 */
							return ((BgL_rtl_nopz00_bglt) BgL__ortest_1117z00_4938);
						}
					else
						{	/* SawMill/defs.sch 679 */
							return
								((BgL_rtl_nopz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4937));
						}
				}
			}
		}

	}



/* &rtl_nop-nil */
	BgL_rtl_nopz00_bglt BGl_z62rtl_nopzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7247)
	{
		{	/* SawMill/defs.sch 679 */
			return BGl_rtl_nopzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_nop-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_nopzd2loczd2zzsaw_defsz00(BgL_rtl_nopz00_bglt
		BgL_oz00_149)
	{
		{	/* SawMill/defs.sch 680 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_149)))->BgL_locz00);
		}

	}



/* &rtl_nop-loc */
	obj_t BGl_z62rtl_nopzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7248,
		obj_t BgL_oz00_7249)
	{
		{	/* SawMill/defs.sch 680 */
			return
				BGl_rtl_nopzd2loczd2zzsaw_defsz00(
				((BgL_rtl_nopz00_bglt) BgL_oz00_7249));
		}

	}



/* rtl_nop-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_nopzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_nopz00_bglt BgL_oz00_150,
		obj_t BgL_vz00_151)
	{
		{	/* SawMill/defs.sch 681 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_150)))->BgL_locz00) =
				((obj_t) BgL_vz00_151), BUNSPEC);
		}

	}



/* &rtl_nop-loc-set! */
	obj_t BGl_z62rtl_nopzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7250,
		obj_t BgL_oz00_7251, obj_t BgL_vz00_7252)
	{
		{	/* SawMill/defs.sch 681 */
			return
				BGl_rtl_nopzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_nopz00_bglt) BgL_oz00_7251), BgL_vz00_7252);
		}

	}



/* make-rtl_mov */
	BGL_EXPORTED_DEF BgL_rtl_movz00_bglt BGl_makezd2rtl_movzd2zzsaw_defsz00(obj_t
		BgL_loc1457z00_152)
	{
		{	/* SawMill/defs.sch 684 */
			{	/* SawMill/defs.sch 684 */
				BgL_rtl_movz00_bglt BgL_new1385z00_9096;

				{	/* SawMill/defs.sch 684 */
					BgL_rtl_movz00_bglt BgL_new1384z00_9097;

					BgL_new1384z00_9097 =
						((BgL_rtl_movz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_movz00_bgl))));
					{	/* SawMill/defs.sch 684 */
						long BgL_arg1889z00_9098;

						BgL_arg1889z00_9098 = BGL_CLASS_NUM(BGl_rtl_movz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1384z00_9097), BgL_arg1889z00_9098);
					}
					BgL_new1385z00_9096 = BgL_new1384z00_9097;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1385z00_9096)))->BgL_locz00) =
					((obj_t) BgL_loc1457z00_152), BUNSPEC);
				return BgL_new1385z00_9096;
			}
		}

	}



/* &make-rtl_mov */
	BgL_rtl_movz00_bglt BGl_z62makezd2rtl_movzb0zzsaw_defsz00(obj_t
		BgL_envz00_7253, obj_t BgL_loc1457z00_7254)
	{
		{	/* SawMill/defs.sch 684 */
			return BGl_makezd2rtl_movzd2zzsaw_defsz00(BgL_loc1457z00_7254);
		}

	}



/* rtl_mov? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_movzf3zf3zzsaw_defsz00(obj_t BgL_objz00_153)
	{
		{	/* SawMill/defs.sch 685 */
			{	/* SawMill/defs.sch 685 */
				obj_t BgL_classz00_9099;

				BgL_classz00_9099 = BGl_rtl_movz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_153))
					{	/* SawMill/defs.sch 685 */
						BgL_objectz00_bglt BgL_arg1858z00_9100;

						BgL_arg1858z00_9100 = (BgL_objectz00_bglt) (BgL_objz00_153);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 685 */
								long BgL_idxz00_9101;

								BgL_idxz00_9101 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9100);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9101 + 3L)) == BgL_classz00_9099);
							}
						else
							{	/* SawMill/defs.sch 685 */
								bool_t BgL_res3197z00_9104;

								{	/* SawMill/defs.sch 685 */
									obj_t BgL_oclassz00_9105;

									{	/* SawMill/defs.sch 685 */
										obj_t BgL_arg1866z00_9106;
										long BgL_arg1867z00_9107;

										BgL_arg1866z00_9106 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 685 */
											long BgL_arg1869z00_9108;

											BgL_arg1869z00_9108 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9100);
											BgL_arg1867z00_9107 = (BgL_arg1869z00_9108 - OBJECT_TYPE);
										}
										BgL_oclassz00_9105 =
											VECTOR_REF(BgL_arg1866z00_9106, BgL_arg1867z00_9107);
									}
									{	/* SawMill/defs.sch 685 */
										bool_t BgL__ortest_1115z00_9109;

										BgL__ortest_1115z00_9109 =
											(BgL_classz00_9099 == BgL_oclassz00_9105);
										if (BgL__ortest_1115z00_9109)
											{	/* SawMill/defs.sch 685 */
												BgL_res3197z00_9104 = BgL__ortest_1115z00_9109;
											}
										else
											{	/* SawMill/defs.sch 685 */
												long BgL_odepthz00_9110;

												{	/* SawMill/defs.sch 685 */
													obj_t BgL_arg1855z00_9111;

													BgL_arg1855z00_9111 = (BgL_oclassz00_9105);
													BgL_odepthz00_9110 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9111);
												}
												if ((3L < BgL_odepthz00_9110))
													{	/* SawMill/defs.sch 685 */
														obj_t BgL_arg1853z00_9112;

														{	/* SawMill/defs.sch 685 */
															obj_t BgL_arg1854z00_9113;

															BgL_arg1854z00_9113 = (BgL_oclassz00_9105);
															BgL_arg1853z00_9112 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9113,
																3L);
														}
														BgL_res3197z00_9104 =
															(BgL_arg1853z00_9112 == BgL_classz00_9099);
													}
												else
													{	/* SawMill/defs.sch 685 */
														BgL_res3197z00_9104 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3197z00_9104;
							}
					}
				else
					{	/* SawMill/defs.sch 685 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_mov? */
	obj_t BGl_z62rtl_movzf3z91zzsaw_defsz00(obj_t BgL_envz00_7255,
		obj_t BgL_objz00_7256)
	{
		{	/* SawMill/defs.sch 685 */
			return BBOOL(BGl_rtl_movzf3zf3zzsaw_defsz00(BgL_objz00_7256));
		}

	}



/* rtl_mov-nil */
	BGL_EXPORTED_DEF BgL_rtl_movz00_bglt BGl_rtl_movzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 686 */
			{	/* SawMill/defs.sch 686 */
				obj_t BgL_classz00_4979;

				BgL_classz00_4979 = BGl_rtl_movz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 686 */
					obj_t BgL__ortest_1117z00_4980;

					BgL__ortest_1117z00_4980 = BGL_CLASS_NIL(BgL_classz00_4979);
					if (CBOOL(BgL__ortest_1117z00_4980))
						{	/* SawMill/defs.sch 686 */
							return ((BgL_rtl_movz00_bglt) BgL__ortest_1117z00_4980);
						}
					else
						{	/* SawMill/defs.sch 686 */
							return
								((BgL_rtl_movz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4979));
						}
				}
			}
		}

	}



/* &rtl_mov-nil */
	BgL_rtl_movz00_bglt BGl_z62rtl_movzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7257)
	{
		{	/* SawMill/defs.sch 686 */
			return BGl_rtl_movzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_mov-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_movzd2loczd2zzsaw_defsz00(BgL_rtl_movz00_bglt
		BgL_oz00_154)
	{
		{	/* SawMill/defs.sch 687 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_154)))->BgL_locz00);
		}

	}



/* &rtl_mov-loc */
	obj_t BGl_z62rtl_movzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7258,
		obj_t BgL_oz00_7259)
	{
		{	/* SawMill/defs.sch 687 */
			return
				BGl_rtl_movzd2loczd2zzsaw_defsz00(
				((BgL_rtl_movz00_bglt) BgL_oz00_7259));
		}

	}



/* rtl_mov-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_movzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_movz00_bglt BgL_oz00_155,
		obj_t BgL_vz00_156)
	{
		{	/* SawMill/defs.sch 688 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_155)))->BgL_locz00) =
				((obj_t) BgL_vz00_156), BUNSPEC);
		}

	}



/* &rtl_mov-loc-set! */
	obj_t BGl_z62rtl_movzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7260,
		obj_t BgL_oz00_7261, obj_t BgL_vz00_7262)
	{
		{	/* SawMill/defs.sch 688 */
			return
				BGl_rtl_movzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_movz00_bglt) BgL_oz00_7261), BgL_vz00_7262);
		}

	}



/* make-rtl_loadi */
	BGL_EXPORTED_DEF BgL_rtl_loadiz00_bglt
		BGl_makezd2rtl_loadizd2zzsaw_defsz00(obj_t BgL_loc1452z00_157,
		BgL_atomz00_bglt BgL_constant1453z00_158)
	{
		{	/* SawMill/defs.sch 691 */
			{	/* SawMill/defs.sch 691 */
				BgL_rtl_loadiz00_bglt BgL_new1387z00_9114;

				{	/* SawMill/defs.sch 691 */
					BgL_rtl_loadiz00_bglt BgL_new1386z00_9115;

					BgL_new1386z00_9115 =
						((BgL_rtl_loadiz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_loadiz00_bgl))));
					{	/* SawMill/defs.sch 691 */
						long BgL_arg1890z00_9116;

						BgL_arg1890z00_9116 = BGL_CLASS_NUM(BGl_rtl_loadiz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1386z00_9115), BgL_arg1890z00_9116);
					}
					BgL_new1387z00_9114 = BgL_new1386z00_9115;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1387z00_9114)))->BgL_locz00) =
					((obj_t) BgL_loc1452z00_157), BUNSPEC);
				((((BgL_rtl_loadiz00_bglt) COBJECT(BgL_new1387z00_9114))->
						BgL_constantz00) =
					((BgL_atomz00_bglt) BgL_constant1453z00_158), BUNSPEC);
				return BgL_new1387z00_9114;
			}
		}

	}



/* &make-rtl_loadi */
	BgL_rtl_loadiz00_bglt BGl_z62makezd2rtl_loadizb0zzsaw_defsz00(obj_t
		BgL_envz00_7263, obj_t BgL_loc1452z00_7264, obj_t BgL_constant1453z00_7265)
	{
		{	/* SawMill/defs.sch 691 */
			return
				BGl_makezd2rtl_loadizd2zzsaw_defsz00(BgL_loc1452z00_7264,
				((BgL_atomz00_bglt) BgL_constant1453z00_7265));
		}

	}



/* rtl_loadi? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_loadizf3zf3zzsaw_defsz00(obj_t BgL_objz00_159)
	{
		{	/* SawMill/defs.sch 692 */
			{	/* SawMill/defs.sch 692 */
				obj_t BgL_classz00_9117;

				BgL_classz00_9117 = BGl_rtl_loadiz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_159))
					{	/* SawMill/defs.sch 692 */
						BgL_objectz00_bglt BgL_arg1858z00_9118;

						BgL_arg1858z00_9118 = (BgL_objectz00_bglt) (BgL_objz00_159);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 692 */
								long BgL_idxz00_9119;

								BgL_idxz00_9119 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9118);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9119 + 3L)) == BgL_classz00_9117);
							}
						else
							{	/* SawMill/defs.sch 692 */
								bool_t BgL_res3198z00_9122;

								{	/* SawMill/defs.sch 692 */
									obj_t BgL_oclassz00_9123;

									{	/* SawMill/defs.sch 692 */
										obj_t BgL_arg1866z00_9124;
										long BgL_arg1867z00_9125;

										BgL_arg1866z00_9124 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 692 */
											long BgL_arg1869z00_9126;

											BgL_arg1869z00_9126 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9118);
											BgL_arg1867z00_9125 = (BgL_arg1869z00_9126 - OBJECT_TYPE);
										}
										BgL_oclassz00_9123 =
											VECTOR_REF(BgL_arg1866z00_9124, BgL_arg1867z00_9125);
									}
									{	/* SawMill/defs.sch 692 */
										bool_t BgL__ortest_1115z00_9127;

										BgL__ortest_1115z00_9127 =
											(BgL_classz00_9117 == BgL_oclassz00_9123);
										if (BgL__ortest_1115z00_9127)
											{	/* SawMill/defs.sch 692 */
												BgL_res3198z00_9122 = BgL__ortest_1115z00_9127;
											}
										else
											{	/* SawMill/defs.sch 692 */
												long BgL_odepthz00_9128;

												{	/* SawMill/defs.sch 692 */
													obj_t BgL_arg1855z00_9129;

													BgL_arg1855z00_9129 = (BgL_oclassz00_9123);
													BgL_odepthz00_9128 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9129);
												}
												if ((3L < BgL_odepthz00_9128))
													{	/* SawMill/defs.sch 692 */
														obj_t BgL_arg1853z00_9130;

														{	/* SawMill/defs.sch 692 */
															obj_t BgL_arg1854z00_9131;

															BgL_arg1854z00_9131 = (BgL_oclassz00_9123);
															BgL_arg1853z00_9130 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9131,
																3L);
														}
														BgL_res3198z00_9122 =
															(BgL_arg1853z00_9130 == BgL_classz00_9117);
													}
												else
													{	/* SawMill/defs.sch 692 */
														BgL_res3198z00_9122 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3198z00_9122;
							}
					}
				else
					{	/* SawMill/defs.sch 692 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_loadi? */
	obj_t BGl_z62rtl_loadizf3z91zzsaw_defsz00(obj_t BgL_envz00_7266,
		obj_t BgL_objz00_7267)
	{
		{	/* SawMill/defs.sch 692 */
			return BBOOL(BGl_rtl_loadizf3zf3zzsaw_defsz00(BgL_objz00_7267));
		}

	}



/* rtl_loadi-nil */
	BGL_EXPORTED_DEF BgL_rtl_loadiz00_bglt
		BGl_rtl_loadizd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 693 */
			{	/* SawMill/defs.sch 693 */
				obj_t BgL_classz00_5021;

				BgL_classz00_5021 = BGl_rtl_loadiz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 693 */
					obj_t BgL__ortest_1117z00_5022;

					BgL__ortest_1117z00_5022 = BGL_CLASS_NIL(BgL_classz00_5021);
					if (CBOOL(BgL__ortest_1117z00_5022))
						{	/* SawMill/defs.sch 693 */
							return ((BgL_rtl_loadiz00_bglt) BgL__ortest_1117z00_5022);
						}
					else
						{	/* SawMill/defs.sch 693 */
							return
								((BgL_rtl_loadiz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5021));
						}
				}
			}
		}

	}



/* &rtl_loadi-nil */
	BgL_rtl_loadiz00_bglt BGl_z62rtl_loadizd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7268)
	{
		{	/* SawMill/defs.sch 693 */
			return BGl_rtl_loadizd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_loadi-constant */
	BGL_EXPORTED_DEF BgL_atomz00_bglt
		BGl_rtl_loadizd2constantzd2zzsaw_defsz00(BgL_rtl_loadiz00_bglt BgL_oz00_160)
	{
		{	/* SawMill/defs.sch 694 */
			return (((BgL_rtl_loadiz00_bglt) COBJECT(BgL_oz00_160))->BgL_constantz00);
		}

	}



/* &rtl_loadi-constant */
	BgL_atomz00_bglt BGl_z62rtl_loadizd2constantzb0zzsaw_defsz00(obj_t
		BgL_envz00_7269, obj_t BgL_oz00_7270)
	{
		{	/* SawMill/defs.sch 694 */
			return
				BGl_rtl_loadizd2constantzd2zzsaw_defsz00(
				((BgL_rtl_loadiz00_bglt) BgL_oz00_7270));
		}

	}



/* rtl_loadi-constant-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_loadizd2constantzd2setz12z12zzsaw_defsz00(BgL_rtl_loadiz00_bglt
		BgL_oz00_161, BgL_atomz00_bglt BgL_vz00_162)
	{
		{	/* SawMill/defs.sch 695 */
			return
				((((BgL_rtl_loadiz00_bglt) COBJECT(BgL_oz00_161))->BgL_constantz00) =
				((BgL_atomz00_bglt) BgL_vz00_162), BUNSPEC);
		}

	}



/* &rtl_loadi-constant-set! */
	obj_t BGl_z62rtl_loadizd2constantzd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7271, obj_t BgL_oz00_7272, obj_t BgL_vz00_7273)
	{
		{	/* SawMill/defs.sch 695 */
			return
				BGl_rtl_loadizd2constantzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_loadiz00_bglt) BgL_oz00_7272),
				((BgL_atomz00_bglt) BgL_vz00_7273));
		}

	}



/* rtl_loadi-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_loadizd2loczd2zzsaw_defsz00(BgL_rtl_loadiz00_bglt BgL_oz00_163)
	{
		{	/* SawMill/defs.sch 696 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_163)))->BgL_locz00);
		}

	}



/* &rtl_loadi-loc */
	obj_t BGl_z62rtl_loadizd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7274,
		obj_t BgL_oz00_7275)
	{
		{	/* SawMill/defs.sch 696 */
			return
				BGl_rtl_loadizd2loczd2zzsaw_defsz00(
				((BgL_rtl_loadiz00_bglt) BgL_oz00_7275));
		}

	}



/* rtl_loadi-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_loadizd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_loadiz00_bglt
		BgL_oz00_164, obj_t BgL_vz00_165)
	{
		{	/* SawMill/defs.sch 697 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_164)))->BgL_locz00) =
				((obj_t) BgL_vz00_165), BUNSPEC);
		}

	}



/* &rtl_loadi-loc-set! */
	obj_t BGl_z62rtl_loadizd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7276,
		obj_t BgL_oz00_7277, obj_t BgL_vz00_7278)
	{
		{	/* SawMill/defs.sch 697 */
			return
				BGl_rtl_loadizd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_loadiz00_bglt) BgL_oz00_7277), BgL_vz00_7278);
		}

	}



/* make-rtl_loadg */
	BGL_EXPORTED_DEF BgL_rtl_loadgz00_bglt
		BGl_makezd2rtl_loadgzd2zzsaw_defsz00(obj_t BgL_loc1449z00_166,
		BgL_globalz00_bglt BgL_var1450z00_167)
	{
		{	/* SawMill/defs.sch 700 */
			{	/* SawMill/defs.sch 700 */
				BgL_rtl_loadgz00_bglt BgL_new1389z00_9132;

				{	/* SawMill/defs.sch 700 */
					BgL_rtl_loadgz00_bglt BgL_new1388z00_9133;

					BgL_new1388z00_9133 =
						((BgL_rtl_loadgz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_loadgz00_bgl))));
					{	/* SawMill/defs.sch 700 */
						long BgL_arg1891z00_9134;

						BgL_arg1891z00_9134 = BGL_CLASS_NUM(BGl_rtl_loadgz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1388z00_9133), BgL_arg1891z00_9134);
					}
					BgL_new1389z00_9132 = BgL_new1388z00_9133;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1389z00_9132)))->BgL_locz00) =
					((obj_t) BgL_loc1449z00_166), BUNSPEC);
				((((BgL_rtl_loadgz00_bglt) COBJECT(BgL_new1389z00_9132))->BgL_varz00) =
					((BgL_globalz00_bglt) BgL_var1450z00_167), BUNSPEC);
				return BgL_new1389z00_9132;
			}
		}

	}



/* &make-rtl_loadg */
	BgL_rtl_loadgz00_bglt BGl_z62makezd2rtl_loadgzb0zzsaw_defsz00(obj_t
		BgL_envz00_7279, obj_t BgL_loc1449z00_7280, obj_t BgL_var1450z00_7281)
	{
		{	/* SawMill/defs.sch 700 */
			return
				BGl_makezd2rtl_loadgzd2zzsaw_defsz00(BgL_loc1449z00_7280,
				((BgL_globalz00_bglt) BgL_var1450z00_7281));
		}

	}



/* rtl_loadg? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_loadgzf3zf3zzsaw_defsz00(obj_t BgL_objz00_168)
	{
		{	/* SawMill/defs.sch 701 */
			{	/* SawMill/defs.sch 701 */
				obj_t BgL_classz00_9135;

				BgL_classz00_9135 = BGl_rtl_loadgz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_168))
					{	/* SawMill/defs.sch 701 */
						BgL_objectz00_bglt BgL_arg1858z00_9136;

						BgL_arg1858z00_9136 = (BgL_objectz00_bglt) (BgL_objz00_168);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 701 */
								long BgL_idxz00_9137;

								BgL_idxz00_9137 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9136);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9137 + 3L)) == BgL_classz00_9135);
							}
						else
							{	/* SawMill/defs.sch 701 */
								bool_t BgL_res3199z00_9140;

								{	/* SawMill/defs.sch 701 */
									obj_t BgL_oclassz00_9141;

									{	/* SawMill/defs.sch 701 */
										obj_t BgL_arg1866z00_9142;
										long BgL_arg1867z00_9143;

										BgL_arg1866z00_9142 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 701 */
											long BgL_arg1869z00_9144;

											BgL_arg1869z00_9144 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9136);
											BgL_arg1867z00_9143 = (BgL_arg1869z00_9144 - OBJECT_TYPE);
										}
										BgL_oclassz00_9141 =
											VECTOR_REF(BgL_arg1866z00_9142, BgL_arg1867z00_9143);
									}
									{	/* SawMill/defs.sch 701 */
										bool_t BgL__ortest_1115z00_9145;

										BgL__ortest_1115z00_9145 =
											(BgL_classz00_9135 == BgL_oclassz00_9141);
										if (BgL__ortest_1115z00_9145)
											{	/* SawMill/defs.sch 701 */
												BgL_res3199z00_9140 = BgL__ortest_1115z00_9145;
											}
										else
											{	/* SawMill/defs.sch 701 */
												long BgL_odepthz00_9146;

												{	/* SawMill/defs.sch 701 */
													obj_t BgL_arg1855z00_9147;

													BgL_arg1855z00_9147 = (BgL_oclassz00_9141);
													BgL_odepthz00_9146 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9147);
												}
												if ((3L < BgL_odepthz00_9146))
													{	/* SawMill/defs.sch 701 */
														obj_t BgL_arg1853z00_9148;

														{	/* SawMill/defs.sch 701 */
															obj_t BgL_arg1854z00_9149;

															BgL_arg1854z00_9149 = (BgL_oclassz00_9141);
															BgL_arg1853z00_9148 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9149,
																3L);
														}
														BgL_res3199z00_9140 =
															(BgL_arg1853z00_9148 == BgL_classz00_9135);
													}
												else
													{	/* SawMill/defs.sch 701 */
														BgL_res3199z00_9140 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3199z00_9140;
							}
					}
				else
					{	/* SawMill/defs.sch 701 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_loadg? */
	obj_t BGl_z62rtl_loadgzf3z91zzsaw_defsz00(obj_t BgL_envz00_7282,
		obj_t BgL_objz00_7283)
	{
		{	/* SawMill/defs.sch 701 */
			return BBOOL(BGl_rtl_loadgzf3zf3zzsaw_defsz00(BgL_objz00_7283));
		}

	}



/* rtl_loadg-nil */
	BGL_EXPORTED_DEF BgL_rtl_loadgz00_bglt
		BGl_rtl_loadgzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 702 */
			{	/* SawMill/defs.sch 702 */
				obj_t BgL_classz00_5063;

				BgL_classz00_5063 = BGl_rtl_loadgz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 702 */
					obj_t BgL__ortest_1117z00_5064;

					BgL__ortest_1117z00_5064 = BGL_CLASS_NIL(BgL_classz00_5063);
					if (CBOOL(BgL__ortest_1117z00_5064))
						{	/* SawMill/defs.sch 702 */
							return ((BgL_rtl_loadgz00_bglt) BgL__ortest_1117z00_5064);
						}
					else
						{	/* SawMill/defs.sch 702 */
							return
								((BgL_rtl_loadgz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5063));
						}
				}
			}
		}

	}



/* &rtl_loadg-nil */
	BgL_rtl_loadgz00_bglt BGl_z62rtl_loadgzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7284)
	{
		{	/* SawMill/defs.sch 702 */
			return BGl_rtl_loadgzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_loadg-var */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_rtl_loadgzd2varzd2zzsaw_defsz00(BgL_rtl_loadgz00_bglt BgL_oz00_169)
	{
		{	/* SawMill/defs.sch 703 */
			return (((BgL_rtl_loadgz00_bglt) COBJECT(BgL_oz00_169))->BgL_varz00);
		}

	}



/* &rtl_loadg-var */
	BgL_globalz00_bglt BGl_z62rtl_loadgzd2varzb0zzsaw_defsz00(obj_t
		BgL_envz00_7285, obj_t BgL_oz00_7286)
	{
		{	/* SawMill/defs.sch 703 */
			return
				BGl_rtl_loadgzd2varzd2zzsaw_defsz00(
				((BgL_rtl_loadgz00_bglt) BgL_oz00_7286));
		}

	}



/* rtl_loadg-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_loadgzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_loadgz00_bglt
		BgL_oz00_170, BgL_globalz00_bglt BgL_vz00_171)
	{
		{	/* SawMill/defs.sch 704 */
			return
				((((BgL_rtl_loadgz00_bglt) COBJECT(BgL_oz00_170))->BgL_varz00) =
				((BgL_globalz00_bglt) BgL_vz00_171), BUNSPEC);
		}

	}



/* &rtl_loadg-var-set! */
	obj_t BGl_z62rtl_loadgzd2varzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7287,
		obj_t BgL_oz00_7288, obj_t BgL_vz00_7289)
	{
		{	/* SawMill/defs.sch 704 */
			return
				BGl_rtl_loadgzd2varzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_loadgz00_bglt) BgL_oz00_7288),
				((BgL_globalz00_bglt) BgL_vz00_7289));
		}

	}



/* rtl_loadg-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_loadgzd2loczd2zzsaw_defsz00(BgL_rtl_loadgz00_bglt BgL_oz00_172)
	{
		{	/* SawMill/defs.sch 705 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_172)))->BgL_locz00);
		}

	}



/* &rtl_loadg-loc */
	obj_t BGl_z62rtl_loadgzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7290,
		obj_t BgL_oz00_7291)
	{
		{	/* SawMill/defs.sch 705 */
			return
				BGl_rtl_loadgzd2loczd2zzsaw_defsz00(
				((BgL_rtl_loadgz00_bglt) BgL_oz00_7291));
		}

	}



/* rtl_loadg-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_loadgzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_loadgz00_bglt
		BgL_oz00_173, obj_t BgL_vz00_174)
	{
		{	/* SawMill/defs.sch 706 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_173)))->BgL_locz00) =
				((obj_t) BgL_vz00_174), BUNSPEC);
		}

	}



/* &rtl_loadg-loc-set! */
	obj_t BGl_z62rtl_loadgzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7292,
		obj_t BgL_oz00_7293, obj_t BgL_vz00_7294)
	{
		{	/* SawMill/defs.sch 706 */
			return
				BGl_rtl_loadgzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_loadgz00_bglt) BgL_oz00_7293), BgL_vz00_7294);
		}

	}



/* make-rtl_loadfun */
	BGL_EXPORTED_DEF BgL_rtl_loadfunz00_bglt
		BGl_makezd2rtl_loadfunzd2zzsaw_defsz00(obj_t BgL_loc1444z00_175,
		BgL_globalz00_bglt BgL_var1446z00_176)
	{
		{	/* SawMill/defs.sch 709 */
			{	/* SawMill/defs.sch 709 */
				BgL_rtl_loadfunz00_bglt BgL_new1391z00_9150;

				{	/* SawMill/defs.sch 709 */
					BgL_rtl_loadfunz00_bglt BgL_new1390z00_9151;

					BgL_new1390z00_9151 =
						((BgL_rtl_loadfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_loadfunz00_bgl))));
					{	/* SawMill/defs.sch 709 */
						long BgL_arg1892z00_9152;

						BgL_arg1892z00_9152 =
							BGL_CLASS_NUM(BGl_rtl_loadfunz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1390z00_9151), BgL_arg1892z00_9152);
					}
					BgL_new1391z00_9150 = BgL_new1390z00_9151;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1391z00_9150)))->BgL_locz00) =
					((obj_t) BgL_loc1444z00_175), BUNSPEC);
				((((BgL_rtl_loadfunz00_bglt) COBJECT(BgL_new1391z00_9150))->
						BgL_varz00) = ((BgL_globalz00_bglt) BgL_var1446z00_176), BUNSPEC);
				return BgL_new1391z00_9150;
			}
		}

	}



/* &make-rtl_loadfun */
	BgL_rtl_loadfunz00_bglt BGl_z62makezd2rtl_loadfunzb0zzsaw_defsz00(obj_t
		BgL_envz00_7295, obj_t BgL_loc1444z00_7296, obj_t BgL_var1446z00_7297)
	{
		{	/* SawMill/defs.sch 709 */
			return
				BGl_makezd2rtl_loadfunzd2zzsaw_defsz00(BgL_loc1444z00_7296,
				((BgL_globalz00_bglt) BgL_var1446z00_7297));
		}

	}



/* rtl_loadfun? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_loadfunzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_177)
	{
		{	/* SawMill/defs.sch 710 */
			{	/* SawMill/defs.sch 710 */
				obj_t BgL_classz00_9153;

				BgL_classz00_9153 = BGl_rtl_loadfunz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_177))
					{	/* SawMill/defs.sch 710 */
						BgL_objectz00_bglt BgL_arg1858z00_9154;

						BgL_arg1858z00_9154 = (BgL_objectz00_bglt) (BgL_objz00_177);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 710 */
								long BgL_idxz00_9155;

								BgL_idxz00_9155 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9154);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9155 + 3L)) == BgL_classz00_9153);
							}
						else
							{	/* SawMill/defs.sch 710 */
								bool_t BgL_res3200z00_9158;

								{	/* SawMill/defs.sch 710 */
									obj_t BgL_oclassz00_9159;

									{	/* SawMill/defs.sch 710 */
										obj_t BgL_arg1866z00_9160;
										long BgL_arg1867z00_9161;

										BgL_arg1866z00_9160 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 710 */
											long BgL_arg1869z00_9162;

											BgL_arg1869z00_9162 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9154);
											BgL_arg1867z00_9161 = (BgL_arg1869z00_9162 - OBJECT_TYPE);
										}
										BgL_oclassz00_9159 =
											VECTOR_REF(BgL_arg1866z00_9160, BgL_arg1867z00_9161);
									}
									{	/* SawMill/defs.sch 710 */
										bool_t BgL__ortest_1115z00_9163;

										BgL__ortest_1115z00_9163 =
											(BgL_classz00_9153 == BgL_oclassz00_9159);
										if (BgL__ortest_1115z00_9163)
											{	/* SawMill/defs.sch 710 */
												BgL_res3200z00_9158 = BgL__ortest_1115z00_9163;
											}
										else
											{	/* SawMill/defs.sch 710 */
												long BgL_odepthz00_9164;

												{	/* SawMill/defs.sch 710 */
													obj_t BgL_arg1855z00_9165;

													BgL_arg1855z00_9165 = (BgL_oclassz00_9159);
													BgL_odepthz00_9164 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9165);
												}
												if ((3L < BgL_odepthz00_9164))
													{	/* SawMill/defs.sch 710 */
														obj_t BgL_arg1853z00_9166;

														{	/* SawMill/defs.sch 710 */
															obj_t BgL_arg1854z00_9167;

															BgL_arg1854z00_9167 = (BgL_oclassz00_9159);
															BgL_arg1853z00_9166 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9167,
																3L);
														}
														BgL_res3200z00_9158 =
															(BgL_arg1853z00_9166 == BgL_classz00_9153);
													}
												else
													{	/* SawMill/defs.sch 710 */
														BgL_res3200z00_9158 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3200z00_9158;
							}
					}
				else
					{	/* SawMill/defs.sch 710 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_loadfun? */
	obj_t BGl_z62rtl_loadfunzf3z91zzsaw_defsz00(obj_t BgL_envz00_7298,
		obj_t BgL_objz00_7299)
	{
		{	/* SawMill/defs.sch 710 */
			return BBOOL(BGl_rtl_loadfunzf3zf3zzsaw_defsz00(BgL_objz00_7299));
		}

	}



/* rtl_loadfun-nil */
	BGL_EXPORTED_DEF BgL_rtl_loadfunz00_bglt
		BGl_rtl_loadfunzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 711 */
			{	/* SawMill/defs.sch 711 */
				obj_t BgL_classz00_5105;

				BgL_classz00_5105 = BGl_rtl_loadfunz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 711 */
					obj_t BgL__ortest_1117z00_5106;

					BgL__ortest_1117z00_5106 = BGL_CLASS_NIL(BgL_classz00_5105);
					if (CBOOL(BgL__ortest_1117z00_5106))
						{	/* SawMill/defs.sch 711 */
							return ((BgL_rtl_loadfunz00_bglt) BgL__ortest_1117z00_5106);
						}
					else
						{	/* SawMill/defs.sch 711 */
							return
								((BgL_rtl_loadfunz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5105));
						}
				}
			}
		}

	}



/* &rtl_loadfun-nil */
	BgL_rtl_loadfunz00_bglt BGl_z62rtl_loadfunzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7300)
	{
		{	/* SawMill/defs.sch 711 */
			return BGl_rtl_loadfunzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_loadfun-var */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_rtl_loadfunzd2varzd2zzsaw_defsz00(BgL_rtl_loadfunz00_bglt BgL_oz00_178)
	{
		{	/* SawMill/defs.sch 712 */
			return (((BgL_rtl_loadfunz00_bglt) COBJECT(BgL_oz00_178))->BgL_varz00);
		}

	}



/* &rtl_loadfun-var */
	BgL_globalz00_bglt BGl_z62rtl_loadfunzd2varzb0zzsaw_defsz00(obj_t
		BgL_envz00_7301, obj_t BgL_oz00_7302)
	{
		{	/* SawMill/defs.sch 712 */
			return
				BGl_rtl_loadfunzd2varzd2zzsaw_defsz00(
				((BgL_rtl_loadfunz00_bglt) BgL_oz00_7302));
		}

	}



/* rtl_loadfun-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_loadfunzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_loadfunz00_bglt
		BgL_oz00_179, BgL_globalz00_bglt BgL_vz00_180)
	{
		{	/* SawMill/defs.sch 713 */
			return
				((((BgL_rtl_loadfunz00_bglt) COBJECT(BgL_oz00_179))->BgL_varz00) =
				((BgL_globalz00_bglt) BgL_vz00_180), BUNSPEC);
		}

	}



/* &rtl_loadfun-var-set! */
	obj_t BGl_z62rtl_loadfunzd2varzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7303,
		obj_t BgL_oz00_7304, obj_t BgL_vz00_7305)
	{
		{	/* SawMill/defs.sch 713 */
			return
				BGl_rtl_loadfunzd2varzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_loadfunz00_bglt) BgL_oz00_7304),
				((BgL_globalz00_bglt) BgL_vz00_7305));
		}

	}



/* rtl_loadfun-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_loadfunzd2loczd2zzsaw_defsz00(BgL_rtl_loadfunz00_bglt BgL_oz00_181)
	{
		{	/* SawMill/defs.sch 714 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_181)))->BgL_locz00);
		}

	}



/* &rtl_loadfun-loc */
	obj_t BGl_z62rtl_loadfunzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7306,
		obj_t BgL_oz00_7307)
	{
		{	/* SawMill/defs.sch 714 */
			return
				BGl_rtl_loadfunzd2loczd2zzsaw_defsz00(
				((BgL_rtl_loadfunz00_bglt) BgL_oz00_7307));
		}

	}



/* rtl_loadfun-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_loadfunzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_loadfunz00_bglt
		BgL_oz00_182, obj_t BgL_vz00_183)
	{
		{	/* SawMill/defs.sch 715 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_182)))->BgL_locz00) =
				((obj_t) BgL_vz00_183), BUNSPEC);
		}

	}



/* &rtl_loadfun-loc-set! */
	obj_t BGl_z62rtl_loadfunzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7308,
		obj_t BgL_oz00_7309, obj_t BgL_vz00_7310)
	{
		{	/* SawMill/defs.sch 715 */
			return
				BGl_rtl_loadfunzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_loadfunz00_bglt) BgL_oz00_7309), BgL_vz00_7310);
		}

	}



/* make-rtl_globalref */
	BGL_EXPORTED_DEF BgL_rtl_globalrefz00_bglt
		BGl_makezd2rtl_globalrefzd2zzsaw_defsz00(obj_t BgL_loc1439z00_184,
		BgL_globalz00_bglt BgL_var1440z00_185)
	{
		{	/* SawMill/defs.sch 718 */
			{	/* SawMill/defs.sch 718 */
				BgL_rtl_globalrefz00_bglt BgL_new1393z00_9168;

				{	/* SawMill/defs.sch 718 */
					BgL_rtl_globalrefz00_bglt BgL_new1392z00_9169;

					BgL_new1392z00_9169 =
						((BgL_rtl_globalrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_globalrefz00_bgl))));
					{	/* SawMill/defs.sch 718 */
						long BgL_arg1893z00_9170;

						BgL_arg1893z00_9170 =
							BGL_CLASS_NUM(BGl_rtl_globalrefz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1392z00_9169), BgL_arg1893z00_9170);
					}
					BgL_new1393z00_9168 = BgL_new1392z00_9169;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1393z00_9168)))->BgL_locz00) =
					((obj_t) BgL_loc1439z00_184), BUNSPEC);
				((((BgL_rtl_globalrefz00_bglt) COBJECT(BgL_new1393z00_9168))->
						BgL_varz00) = ((BgL_globalz00_bglt) BgL_var1440z00_185), BUNSPEC);
				return BgL_new1393z00_9168;
			}
		}

	}



/* &make-rtl_globalref */
	BgL_rtl_globalrefz00_bglt BGl_z62makezd2rtl_globalrefzb0zzsaw_defsz00(obj_t
		BgL_envz00_7311, obj_t BgL_loc1439z00_7312, obj_t BgL_var1440z00_7313)
	{
		{	/* SawMill/defs.sch 718 */
			return
				BGl_makezd2rtl_globalrefzd2zzsaw_defsz00(BgL_loc1439z00_7312,
				((BgL_globalz00_bglt) BgL_var1440z00_7313));
		}

	}



/* rtl_globalref? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_globalrefzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_186)
	{
		{	/* SawMill/defs.sch 719 */
			{	/* SawMill/defs.sch 719 */
				obj_t BgL_classz00_9171;

				BgL_classz00_9171 = BGl_rtl_globalrefz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_186))
					{	/* SawMill/defs.sch 719 */
						BgL_objectz00_bglt BgL_arg1858z00_9172;

						BgL_arg1858z00_9172 = (BgL_objectz00_bglt) (BgL_objz00_186);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 719 */
								long BgL_idxz00_9173;

								BgL_idxz00_9173 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9172);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9173 + 3L)) == BgL_classz00_9171);
							}
						else
							{	/* SawMill/defs.sch 719 */
								bool_t BgL_res3201z00_9176;

								{	/* SawMill/defs.sch 719 */
									obj_t BgL_oclassz00_9177;

									{	/* SawMill/defs.sch 719 */
										obj_t BgL_arg1866z00_9178;
										long BgL_arg1867z00_9179;

										BgL_arg1866z00_9178 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 719 */
											long BgL_arg1869z00_9180;

											BgL_arg1869z00_9180 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9172);
											BgL_arg1867z00_9179 = (BgL_arg1869z00_9180 - OBJECT_TYPE);
										}
										BgL_oclassz00_9177 =
											VECTOR_REF(BgL_arg1866z00_9178, BgL_arg1867z00_9179);
									}
									{	/* SawMill/defs.sch 719 */
										bool_t BgL__ortest_1115z00_9181;

										BgL__ortest_1115z00_9181 =
											(BgL_classz00_9171 == BgL_oclassz00_9177);
										if (BgL__ortest_1115z00_9181)
											{	/* SawMill/defs.sch 719 */
												BgL_res3201z00_9176 = BgL__ortest_1115z00_9181;
											}
										else
											{	/* SawMill/defs.sch 719 */
												long BgL_odepthz00_9182;

												{	/* SawMill/defs.sch 719 */
													obj_t BgL_arg1855z00_9183;

													BgL_arg1855z00_9183 = (BgL_oclassz00_9177);
													BgL_odepthz00_9182 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9183);
												}
												if ((3L < BgL_odepthz00_9182))
													{	/* SawMill/defs.sch 719 */
														obj_t BgL_arg1853z00_9184;

														{	/* SawMill/defs.sch 719 */
															obj_t BgL_arg1854z00_9185;

															BgL_arg1854z00_9185 = (BgL_oclassz00_9177);
															BgL_arg1853z00_9184 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9185,
																3L);
														}
														BgL_res3201z00_9176 =
															(BgL_arg1853z00_9184 == BgL_classz00_9171);
													}
												else
													{	/* SawMill/defs.sch 719 */
														BgL_res3201z00_9176 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3201z00_9176;
							}
					}
				else
					{	/* SawMill/defs.sch 719 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_globalref? */
	obj_t BGl_z62rtl_globalrefzf3z91zzsaw_defsz00(obj_t BgL_envz00_7314,
		obj_t BgL_objz00_7315)
	{
		{	/* SawMill/defs.sch 719 */
			return BBOOL(BGl_rtl_globalrefzf3zf3zzsaw_defsz00(BgL_objz00_7315));
		}

	}



/* rtl_globalref-nil */
	BGL_EXPORTED_DEF BgL_rtl_globalrefz00_bglt
		BGl_rtl_globalrefzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 720 */
			{	/* SawMill/defs.sch 720 */
				obj_t BgL_classz00_5147;

				BgL_classz00_5147 = BGl_rtl_globalrefz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 720 */
					obj_t BgL__ortest_1117z00_5148;

					BgL__ortest_1117z00_5148 = BGL_CLASS_NIL(BgL_classz00_5147);
					if (CBOOL(BgL__ortest_1117z00_5148))
						{	/* SawMill/defs.sch 720 */
							return ((BgL_rtl_globalrefz00_bglt) BgL__ortest_1117z00_5148);
						}
					else
						{	/* SawMill/defs.sch 720 */
							return
								((BgL_rtl_globalrefz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5147));
						}
				}
			}
		}

	}



/* &rtl_globalref-nil */
	BgL_rtl_globalrefz00_bglt BGl_z62rtl_globalrefzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7316)
	{
		{	/* SawMill/defs.sch 720 */
			return BGl_rtl_globalrefzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_globalref-var */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_rtl_globalrefzd2varzd2zzsaw_defsz00(BgL_rtl_globalrefz00_bglt
		BgL_oz00_187)
	{
		{	/* SawMill/defs.sch 721 */
			return (((BgL_rtl_globalrefz00_bglt) COBJECT(BgL_oz00_187))->BgL_varz00);
		}

	}



/* &rtl_globalref-var */
	BgL_globalz00_bglt BGl_z62rtl_globalrefzd2varzb0zzsaw_defsz00(obj_t
		BgL_envz00_7317, obj_t BgL_oz00_7318)
	{
		{	/* SawMill/defs.sch 721 */
			return
				BGl_rtl_globalrefzd2varzd2zzsaw_defsz00(
				((BgL_rtl_globalrefz00_bglt) BgL_oz00_7318));
		}

	}



/* rtl_globalref-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_globalrefzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_globalrefz00_bglt
		BgL_oz00_188, BgL_globalz00_bglt BgL_vz00_189)
	{
		{	/* SawMill/defs.sch 722 */
			return
				((((BgL_rtl_globalrefz00_bglt) COBJECT(BgL_oz00_188))->BgL_varz00) =
				((BgL_globalz00_bglt) BgL_vz00_189), BUNSPEC);
		}

	}



/* &rtl_globalref-var-set! */
	obj_t BGl_z62rtl_globalrefzd2varzd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7319, obj_t BgL_oz00_7320, obj_t BgL_vz00_7321)
	{
		{	/* SawMill/defs.sch 722 */
			return
				BGl_rtl_globalrefzd2varzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_globalrefz00_bglt) BgL_oz00_7320),
				((BgL_globalz00_bglt) BgL_vz00_7321));
		}

	}



/* rtl_globalref-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_globalrefzd2loczd2zzsaw_defsz00(BgL_rtl_globalrefz00_bglt
		BgL_oz00_190)
	{
		{	/* SawMill/defs.sch 723 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_190)))->BgL_locz00);
		}

	}



/* &rtl_globalref-loc */
	obj_t BGl_z62rtl_globalrefzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7322,
		obj_t BgL_oz00_7323)
	{
		{	/* SawMill/defs.sch 723 */
			return
				BGl_rtl_globalrefzd2loczd2zzsaw_defsz00(
				((BgL_rtl_globalrefz00_bglt) BgL_oz00_7323));
		}

	}



/* rtl_globalref-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_globalrefzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_globalrefz00_bglt
		BgL_oz00_191, obj_t BgL_vz00_192)
	{
		{	/* SawMill/defs.sch 724 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_191)))->BgL_locz00) =
				((obj_t) BgL_vz00_192), BUNSPEC);
		}

	}



/* &rtl_globalref-loc-set! */
	obj_t BGl_z62rtl_globalrefzd2loczd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7324, obj_t BgL_oz00_7325, obj_t BgL_vz00_7326)
	{
		{	/* SawMill/defs.sch 724 */
			return
				BGl_rtl_globalrefzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_globalrefz00_bglt) BgL_oz00_7325), BgL_vz00_7326);
		}

	}



/* make-rtl_getfield */
	BGL_EXPORTED_DEF BgL_rtl_getfieldz00_bglt
		BGl_makezd2rtl_getfieldzd2zzsaw_defsz00(obj_t BgL_loc1433z00_193,
		obj_t BgL_name1434z00_194, BgL_typez00_bglt BgL_objtype1435z00_195,
		BgL_typez00_bglt BgL_type1436z00_196)
	{
		{	/* SawMill/defs.sch 727 */
			{	/* SawMill/defs.sch 727 */
				BgL_rtl_getfieldz00_bglt BgL_new1395z00_9186;

				{	/* SawMill/defs.sch 727 */
					BgL_rtl_getfieldz00_bglt BgL_new1394z00_9187;

					BgL_new1394z00_9187 =
						((BgL_rtl_getfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_getfieldz00_bgl))));
					{	/* SawMill/defs.sch 727 */
						long BgL_arg1894z00_9188;

						BgL_arg1894z00_9188 =
							BGL_CLASS_NUM(BGl_rtl_getfieldz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1394z00_9187), BgL_arg1894z00_9188);
					}
					BgL_new1395z00_9186 = BgL_new1394z00_9187;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1395z00_9186)))->BgL_locz00) =
					((obj_t) BgL_loc1433z00_193), BUNSPEC);
				((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_new1395z00_9186))->
						BgL_namez00) = ((obj_t) BgL_name1434z00_194), BUNSPEC);
				((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_new1395z00_9186))->
						BgL_objtypez00) =
					((BgL_typez00_bglt) BgL_objtype1435z00_195), BUNSPEC);
				((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_new1395z00_9186))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1436z00_196), BUNSPEC);
				return BgL_new1395z00_9186;
			}
		}

	}



/* &make-rtl_getfield */
	BgL_rtl_getfieldz00_bglt BGl_z62makezd2rtl_getfieldzb0zzsaw_defsz00(obj_t
		BgL_envz00_7327, obj_t BgL_loc1433z00_7328, obj_t BgL_name1434z00_7329,
		obj_t BgL_objtype1435z00_7330, obj_t BgL_type1436z00_7331)
	{
		{	/* SawMill/defs.sch 727 */
			return
				BGl_makezd2rtl_getfieldzd2zzsaw_defsz00(BgL_loc1433z00_7328,
				BgL_name1434z00_7329, ((BgL_typez00_bglt) BgL_objtype1435z00_7330),
				((BgL_typez00_bglt) BgL_type1436z00_7331));
		}

	}



/* rtl_getfield? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_getfieldzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_197)
	{
		{	/* SawMill/defs.sch 728 */
			{	/* SawMill/defs.sch 728 */
				obj_t BgL_classz00_9189;

				BgL_classz00_9189 = BGl_rtl_getfieldz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_197))
					{	/* SawMill/defs.sch 728 */
						BgL_objectz00_bglt BgL_arg1858z00_9190;

						BgL_arg1858z00_9190 = (BgL_objectz00_bglt) (BgL_objz00_197);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 728 */
								long BgL_idxz00_9191;

								BgL_idxz00_9191 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9190);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9191 + 3L)) == BgL_classz00_9189);
							}
						else
							{	/* SawMill/defs.sch 728 */
								bool_t BgL_res3202z00_9194;

								{	/* SawMill/defs.sch 728 */
									obj_t BgL_oclassz00_9195;

									{	/* SawMill/defs.sch 728 */
										obj_t BgL_arg1866z00_9196;
										long BgL_arg1867z00_9197;

										BgL_arg1866z00_9196 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 728 */
											long BgL_arg1869z00_9198;

											BgL_arg1869z00_9198 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9190);
											BgL_arg1867z00_9197 = (BgL_arg1869z00_9198 - OBJECT_TYPE);
										}
										BgL_oclassz00_9195 =
											VECTOR_REF(BgL_arg1866z00_9196, BgL_arg1867z00_9197);
									}
									{	/* SawMill/defs.sch 728 */
										bool_t BgL__ortest_1115z00_9199;

										BgL__ortest_1115z00_9199 =
											(BgL_classz00_9189 == BgL_oclassz00_9195);
										if (BgL__ortest_1115z00_9199)
											{	/* SawMill/defs.sch 728 */
												BgL_res3202z00_9194 = BgL__ortest_1115z00_9199;
											}
										else
											{	/* SawMill/defs.sch 728 */
												long BgL_odepthz00_9200;

												{	/* SawMill/defs.sch 728 */
													obj_t BgL_arg1855z00_9201;

													BgL_arg1855z00_9201 = (BgL_oclassz00_9195);
													BgL_odepthz00_9200 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9201);
												}
												if ((3L < BgL_odepthz00_9200))
													{	/* SawMill/defs.sch 728 */
														obj_t BgL_arg1853z00_9202;

														{	/* SawMill/defs.sch 728 */
															obj_t BgL_arg1854z00_9203;

															BgL_arg1854z00_9203 = (BgL_oclassz00_9195);
															BgL_arg1853z00_9202 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9203,
																3L);
														}
														BgL_res3202z00_9194 =
															(BgL_arg1853z00_9202 == BgL_classz00_9189);
													}
												else
													{	/* SawMill/defs.sch 728 */
														BgL_res3202z00_9194 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3202z00_9194;
							}
					}
				else
					{	/* SawMill/defs.sch 728 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_getfield? */
	obj_t BGl_z62rtl_getfieldzf3z91zzsaw_defsz00(obj_t BgL_envz00_7332,
		obj_t BgL_objz00_7333)
	{
		{	/* SawMill/defs.sch 728 */
			return BBOOL(BGl_rtl_getfieldzf3zf3zzsaw_defsz00(BgL_objz00_7333));
		}

	}



/* rtl_getfield-nil */
	BGL_EXPORTED_DEF BgL_rtl_getfieldz00_bglt
		BGl_rtl_getfieldzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 729 */
			{	/* SawMill/defs.sch 729 */
				obj_t BgL_classz00_5189;

				BgL_classz00_5189 = BGl_rtl_getfieldz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 729 */
					obj_t BgL__ortest_1117z00_5190;

					BgL__ortest_1117z00_5190 = BGL_CLASS_NIL(BgL_classz00_5189);
					if (CBOOL(BgL__ortest_1117z00_5190))
						{	/* SawMill/defs.sch 729 */
							return ((BgL_rtl_getfieldz00_bglt) BgL__ortest_1117z00_5190);
						}
					else
						{	/* SawMill/defs.sch 729 */
							return
								((BgL_rtl_getfieldz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5189));
						}
				}
			}
		}

	}



/* &rtl_getfield-nil */
	BgL_rtl_getfieldz00_bglt BGl_z62rtl_getfieldzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7334)
	{
		{	/* SawMill/defs.sch 729 */
			return BGl_rtl_getfieldzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_getfield-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_getfieldzd2typezd2zzsaw_defsz00(BgL_rtl_getfieldz00_bglt
		BgL_oz00_198)
	{
		{	/* SawMill/defs.sch 730 */
			return (((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_oz00_198))->BgL_typez00);
		}

	}



/* &rtl_getfield-type */
	BgL_typez00_bglt BGl_z62rtl_getfieldzd2typezb0zzsaw_defsz00(obj_t
		BgL_envz00_7335, obj_t BgL_oz00_7336)
	{
		{	/* SawMill/defs.sch 730 */
			return
				BGl_rtl_getfieldzd2typezd2zzsaw_defsz00(
				((BgL_rtl_getfieldz00_bglt) BgL_oz00_7336));
		}

	}



/* rtl_getfield-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_getfieldzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_getfieldz00_bglt
		BgL_oz00_199, BgL_typez00_bglt BgL_vz00_200)
	{
		{	/* SawMill/defs.sch 731 */
			return
				((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_oz00_199))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_200), BUNSPEC);
		}

	}



/* &rtl_getfield-type-set! */
	obj_t BGl_z62rtl_getfieldzd2typezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7337, obj_t BgL_oz00_7338, obj_t BgL_vz00_7339)
	{
		{	/* SawMill/defs.sch 731 */
			return
				BGl_rtl_getfieldzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_getfieldz00_bglt) BgL_oz00_7338),
				((BgL_typez00_bglt) BgL_vz00_7339));
		}

	}



/* rtl_getfield-objtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_getfieldzd2objtypezd2zzsaw_defsz00(BgL_rtl_getfieldz00_bglt
		BgL_oz00_201)
	{
		{	/* SawMill/defs.sch 732 */
			return
				(((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_oz00_201))->BgL_objtypez00);
		}

	}



/* &rtl_getfield-objtype */
	BgL_typez00_bglt BGl_z62rtl_getfieldzd2objtypezb0zzsaw_defsz00(obj_t
		BgL_envz00_7340, obj_t BgL_oz00_7341)
	{
		{	/* SawMill/defs.sch 732 */
			return
				BGl_rtl_getfieldzd2objtypezd2zzsaw_defsz00(
				((BgL_rtl_getfieldz00_bglt) BgL_oz00_7341));
		}

	}



/* rtl_getfield-objtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_getfieldzd2objtypezd2setz12z12zzsaw_defsz00(BgL_rtl_getfieldz00_bglt
		BgL_oz00_202, BgL_typez00_bglt BgL_vz00_203)
	{
		{	/* SawMill/defs.sch 733 */
			return
				((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_oz00_202))->BgL_objtypez00) =
				((BgL_typez00_bglt) BgL_vz00_203), BUNSPEC);
		}

	}



/* &rtl_getfield-objtype-set! */
	obj_t BGl_z62rtl_getfieldzd2objtypezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7342, obj_t BgL_oz00_7343, obj_t BgL_vz00_7344)
	{
		{	/* SawMill/defs.sch 733 */
			return
				BGl_rtl_getfieldzd2objtypezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_getfieldz00_bglt) BgL_oz00_7343),
				((BgL_typez00_bglt) BgL_vz00_7344));
		}

	}



/* rtl_getfield-name */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_getfieldzd2namezd2zzsaw_defsz00(BgL_rtl_getfieldz00_bglt
		BgL_oz00_204)
	{
		{	/* SawMill/defs.sch 734 */
			return (((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_oz00_204))->BgL_namez00);
		}

	}



/* &rtl_getfield-name */
	obj_t BGl_z62rtl_getfieldzd2namezb0zzsaw_defsz00(obj_t BgL_envz00_7345,
		obj_t BgL_oz00_7346)
	{
		{	/* SawMill/defs.sch 734 */
			return
				BGl_rtl_getfieldzd2namezd2zzsaw_defsz00(
				((BgL_rtl_getfieldz00_bglt) BgL_oz00_7346));
		}

	}



/* rtl_getfield-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_getfieldzd2namezd2setz12z12zzsaw_defsz00(BgL_rtl_getfieldz00_bglt
		BgL_oz00_205, obj_t BgL_vz00_206)
	{
		{	/* SawMill/defs.sch 735 */
			return
				((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_oz00_205))->BgL_namez00) =
				((obj_t) BgL_vz00_206), BUNSPEC);
		}

	}



/* &rtl_getfield-name-set! */
	obj_t BGl_z62rtl_getfieldzd2namezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7347, obj_t BgL_oz00_7348, obj_t BgL_vz00_7349)
	{
		{	/* SawMill/defs.sch 735 */
			return
				BGl_rtl_getfieldzd2namezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_getfieldz00_bglt) BgL_oz00_7348), BgL_vz00_7349);
		}

	}



/* rtl_getfield-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_getfieldzd2loczd2zzsaw_defsz00(BgL_rtl_getfieldz00_bglt
		BgL_oz00_207)
	{
		{	/* SawMill/defs.sch 736 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_207)))->BgL_locz00);
		}

	}



/* &rtl_getfield-loc */
	obj_t BGl_z62rtl_getfieldzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7350,
		obj_t BgL_oz00_7351)
	{
		{	/* SawMill/defs.sch 736 */
			return
				BGl_rtl_getfieldzd2loczd2zzsaw_defsz00(
				((BgL_rtl_getfieldz00_bglt) BgL_oz00_7351));
		}

	}



/* rtl_getfield-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_getfieldzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_getfieldz00_bglt
		BgL_oz00_208, obj_t BgL_vz00_209)
	{
		{	/* SawMill/defs.sch 737 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_208)))->BgL_locz00) =
				((obj_t) BgL_vz00_209), BUNSPEC);
		}

	}



/* &rtl_getfield-loc-set! */
	obj_t BGl_z62rtl_getfieldzd2loczd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7352, obj_t BgL_oz00_7353, obj_t BgL_vz00_7354)
	{
		{	/* SawMill/defs.sch 737 */
			return
				BGl_rtl_getfieldzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_getfieldz00_bglt) BgL_oz00_7353), BgL_vz00_7354);
		}

	}



/* make-rtl_valloc */
	BGL_EXPORTED_DEF BgL_rtl_vallocz00_bglt
		BGl_makezd2rtl_valloczd2zzsaw_defsz00(obj_t BgL_loc1429z00_210,
		BgL_typez00_bglt BgL_type1430z00_211, BgL_typez00_bglt BgL_vtype1431z00_212)
	{
		{	/* SawMill/defs.sch 740 */
			{	/* SawMill/defs.sch 740 */
				BgL_rtl_vallocz00_bglt BgL_new1397z00_9204;

				{	/* SawMill/defs.sch 740 */
					BgL_rtl_vallocz00_bglt BgL_new1396z00_9205;

					BgL_new1396z00_9205 =
						((BgL_rtl_vallocz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_vallocz00_bgl))));
					{	/* SawMill/defs.sch 740 */
						long BgL_arg1895z00_9206;

						BgL_arg1895z00_9206 = BGL_CLASS_NUM(BGl_rtl_vallocz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1396z00_9205), BgL_arg1895z00_9206);
					}
					BgL_new1397z00_9204 = BgL_new1396z00_9205;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1397z00_9204)))->BgL_locz00) =
					((obj_t) BgL_loc1429z00_210), BUNSPEC);
				((((BgL_rtl_vallocz00_bglt) COBJECT(BgL_new1397z00_9204))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1430z00_211), BUNSPEC);
				((((BgL_rtl_vallocz00_bglt) COBJECT(BgL_new1397z00_9204))->
						BgL_vtypez00) = ((BgL_typez00_bglt) BgL_vtype1431z00_212), BUNSPEC);
				return BgL_new1397z00_9204;
			}
		}

	}



/* &make-rtl_valloc */
	BgL_rtl_vallocz00_bglt BGl_z62makezd2rtl_valloczb0zzsaw_defsz00(obj_t
		BgL_envz00_7355, obj_t BgL_loc1429z00_7356, obj_t BgL_type1430z00_7357,
		obj_t BgL_vtype1431z00_7358)
	{
		{	/* SawMill/defs.sch 740 */
			return
				BGl_makezd2rtl_valloczd2zzsaw_defsz00(BgL_loc1429z00_7356,
				((BgL_typez00_bglt) BgL_type1430z00_7357),
				((BgL_typez00_bglt) BgL_vtype1431z00_7358));
		}

	}



/* rtl_valloc? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_valloczf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_213)
	{
		{	/* SawMill/defs.sch 741 */
			{	/* SawMill/defs.sch 741 */
				obj_t BgL_classz00_9207;

				BgL_classz00_9207 = BGl_rtl_vallocz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_213))
					{	/* SawMill/defs.sch 741 */
						BgL_objectz00_bglt BgL_arg1858z00_9208;

						BgL_arg1858z00_9208 = (BgL_objectz00_bglt) (BgL_objz00_213);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 741 */
								long BgL_idxz00_9209;

								BgL_idxz00_9209 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9208);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9209 + 3L)) == BgL_classz00_9207);
							}
						else
							{	/* SawMill/defs.sch 741 */
								bool_t BgL_res3203z00_9212;

								{	/* SawMill/defs.sch 741 */
									obj_t BgL_oclassz00_9213;

									{	/* SawMill/defs.sch 741 */
										obj_t BgL_arg1866z00_9214;
										long BgL_arg1867z00_9215;

										BgL_arg1866z00_9214 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 741 */
											long BgL_arg1869z00_9216;

											BgL_arg1869z00_9216 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9208);
											BgL_arg1867z00_9215 = (BgL_arg1869z00_9216 - OBJECT_TYPE);
										}
										BgL_oclassz00_9213 =
											VECTOR_REF(BgL_arg1866z00_9214, BgL_arg1867z00_9215);
									}
									{	/* SawMill/defs.sch 741 */
										bool_t BgL__ortest_1115z00_9217;

										BgL__ortest_1115z00_9217 =
											(BgL_classz00_9207 == BgL_oclassz00_9213);
										if (BgL__ortest_1115z00_9217)
											{	/* SawMill/defs.sch 741 */
												BgL_res3203z00_9212 = BgL__ortest_1115z00_9217;
											}
										else
											{	/* SawMill/defs.sch 741 */
												long BgL_odepthz00_9218;

												{	/* SawMill/defs.sch 741 */
													obj_t BgL_arg1855z00_9219;

													BgL_arg1855z00_9219 = (BgL_oclassz00_9213);
													BgL_odepthz00_9218 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9219);
												}
												if ((3L < BgL_odepthz00_9218))
													{	/* SawMill/defs.sch 741 */
														obj_t BgL_arg1853z00_9220;

														{	/* SawMill/defs.sch 741 */
															obj_t BgL_arg1854z00_9221;

															BgL_arg1854z00_9221 = (BgL_oclassz00_9213);
															BgL_arg1853z00_9220 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9221,
																3L);
														}
														BgL_res3203z00_9212 =
															(BgL_arg1853z00_9220 == BgL_classz00_9207);
													}
												else
													{	/* SawMill/defs.sch 741 */
														BgL_res3203z00_9212 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3203z00_9212;
							}
					}
				else
					{	/* SawMill/defs.sch 741 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_valloc? */
	obj_t BGl_z62rtl_valloczf3z91zzsaw_defsz00(obj_t BgL_envz00_7359,
		obj_t BgL_objz00_7360)
	{
		{	/* SawMill/defs.sch 741 */
			return BBOOL(BGl_rtl_valloczf3zf3zzsaw_defsz00(BgL_objz00_7360));
		}

	}



/* rtl_valloc-nil */
	BGL_EXPORTED_DEF BgL_rtl_vallocz00_bglt
		BGl_rtl_valloczd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 742 */
			{	/* SawMill/defs.sch 742 */
				obj_t BgL_classz00_5231;

				BgL_classz00_5231 = BGl_rtl_vallocz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 742 */
					obj_t BgL__ortest_1117z00_5232;

					BgL__ortest_1117z00_5232 = BGL_CLASS_NIL(BgL_classz00_5231);
					if (CBOOL(BgL__ortest_1117z00_5232))
						{	/* SawMill/defs.sch 742 */
							return ((BgL_rtl_vallocz00_bglt) BgL__ortest_1117z00_5232);
						}
					else
						{	/* SawMill/defs.sch 742 */
							return
								((BgL_rtl_vallocz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5231));
						}
				}
			}
		}

	}



/* &rtl_valloc-nil */
	BgL_rtl_vallocz00_bglt BGl_z62rtl_valloczd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7361)
	{
		{	/* SawMill/defs.sch 742 */
			return BGl_rtl_valloczd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_valloc-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_valloczd2vtypezd2zzsaw_defsz00(BgL_rtl_vallocz00_bglt BgL_oz00_214)
	{
		{	/* SawMill/defs.sch 743 */
			return (((BgL_rtl_vallocz00_bglt) COBJECT(BgL_oz00_214))->BgL_vtypez00);
		}

	}



/* &rtl_valloc-vtype */
	BgL_typez00_bglt BGl_z62rtl_valloczd2vtypezb0zzsaw_defsz00(obj_t
		BgL_envz00_7362, obj_t BgL_oz00_7363)
	{
		{	/* SawMill/defs.sch 743 */
			return
				BGl_rtl_valloczd2vtypezd2zzsaw_defsz00(
				((BgL_rtl_vallocz00_bglt) BgL_oz00_7363));
		}

	}



/* rtl_valloc-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_valloczd2vtypezd2setz12z12zzsaw_defsz00(BgL_rtl_vallocz00_bglt
		BgL_oz00_215, BgL_typez00_bglt BgL_vz00_216)
	{
		{	/* SawMill/defs.sch 744 */
			return
				((((BgL_rtl_vallocz00_bglt) COBJECT(BgL_oz00_215))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_216), BUNSPEC);
		}

	}



/* &rtl_valloc-vtype-set! */
	obj_t BGl_z62rtl_valloczd2vtypezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7364, obj_t BgL_oz00_7365, obj_t BgL_vz00_7366)
	{
		{	/* SawMill/defs.sch 744 */
			return
				BGl_rtl_valloczd2vtypezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vallocz00_bglt) BgL_oz00_7365),
				((BgL_typez00_bglt) BgL_vz00_7366));
		}

	}



/* rtl_valloc-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_valloczd2typezd2zzsaw_defsz00(BgL_rtl_vallocz00_bglt BgL_oz00_217)
	{
		{	/* SawMill/defs.sch 745 */
			return (((BgL_rtl_vallocz00_bglt) COBJECT(BgL_oz00_217))->BgL_typez00);
		}

	}



/* &rtl_valloc-type */
	BgL_typez00_bglt BGl_z62rtl_valloczd2typezb0zzsaw_defsz00(obj_t
		BgL_envz00_7367, obj_t BgL_oz00_7368)
	{
		{	/* SawMill/defs.sch 745 */
			return
				BGl_rtl_valloczd2typezd2zzsaw_defsz00(
				((BgL_rtl_vallocz00_bglt) BgL_oz00_7368));
		}

	}



/* rtl_valloc-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_valloczd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_vallocz00_bglt
		BgL_oz00_218, BgL_typez00_bglt BgL_vz00_219)
	{
		{	/* SawMill/defs.sch 746 */
			return
				((((BgL_rtl_vallocz00_bglt) COBJECT(BgL_oz00_218))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_219), BUNSPEC);
		}

	}



/* &rtl_valloc-type-set! */
	obj_t BGl_z62rtl_valloczd2typezd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7369,
		obj_t BgL_oz00_7370, obj_t BgL_vz00_7371)
	{
		{	/* SawMill/defs.sch 746 */
			return
				BGl_rtl_valloczd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vallocz00_bglt) BgL_oz00_7370),
				((BgL_typez00_bglt) BgL_vz00_7371));
		}

	}



/* rtl_valloc-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_valloczd2loczd2zzsaw_defsz00(BgL_rtl_vallocz00_bglt BgL_oz00_220)
	{
		{	/* SawMill/defs.sch 747 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_220)))->BgL_locz00);
		}

	}



/* &rtl_valloc-loc */
	obj_t BGl_z62rtl_valloczd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7372,
		obj_t BgL_oz00_7373)
	{
		{	/* SawMill/defs.sch 747 */
			return
				BGl_rtl_valloczd2loczd2zzsaw_defsz00(
				((BgL_rtl_vallocz00_bglt) BgL_oz00_7373));
		}

	}



/* rtl_valloc-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_valloczd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_vallocz00_bglt
		BgL_oz00_221, obj_t BgL_vz00_222)
	{
		{	/* SawMill/defs.sch 748 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_221)))->BgL_locz00) =
				((obj_t) BgL_vz00_222), BUNSPEC);
		}

	}



/* &rtl_valloc-loc-set! */
	obj_t BGl_z62rtl_valloczd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7374,
		obj_t BgL_oz00_7375, obj_t BgL_vz00_7376)
	{
		{	/* SawMill/defs.sch 748 */
			return
				BGl_rtl_valloczd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vallocz00_bglt) BgL_oz00_7375), BgL_vz00_7376);
		}

	}



/* make-rtl_vref */
	BGL_EXPORTED_DEF BgL_rtl_vrefz00_bglt
		BGl_makezd2rtl_vrefzd2zzsaw_defsz00(obj_t BgL_loc1425z00_223,
		BgL_typez00_bglt BgL_type1426z00_224, BgL_typez00_bglt BgL_vtype1427z00_225)
	{
		{	/* SawMill/defs.sch 751 */
			{	/* SawMill/defs.sch 751 */
				BgL_rtl_vrefz00_bglt BgL_new1399z00_9222;

				{	/* SawMill/defs.sch 751 */
					BgL_rtl_vrefz00_bglt BgL_new1398z00_9223;

					BgL_new1398z00_9223 =
						((BgL_rtl_vrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_vrefz00_bgl))));
					{	/* SawMill/defs.sch 751 */
						long BgL_arg1896z00_9224;

						BgL_arg1896z00_9224 = BGL_CLASS_NUM(BGl_rtl_vrefz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1398z00_9223), BgL_arg1896z00_9224);
					}
					BgL_new1399z00_9222 = BgL_new1398z00_9223;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1399z00_9222)))->BgL_locz00) =
					((obj_t) BgL_loc1425z00_223), BUNSPEC);
				((((BgL_rtl_vrefz00_bglt) COBJECT(BgL_new1399z00_9222))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1426z00_224), BUNSPEC);
				((((BgL_rtl_vrefz00_bglt) COBJECT(BgL_new1399z00_9222))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1427z00_225), BUNSPEC);
				return BgL_new1399z00_9222;
			}
		}

	}



/* &make-rtl_vref */
	BgL_rtl_vrefz00_bglt BGl_z62makezd2rtl_vrefzb0zzsaw_defsz00(obj_t
		BgL_envz00_7377, obj_t BgL_loc1425z00_7378, obj_t BgL_type1426z00_7379,
		obj_t BgL_vtype1427z00_7380)
	{
		{	/* SawMill/defs.sch 751 */
			return
				BGl_makezd2rtl_vrefzd2zzsaw_defsz00(BgL_loc1425z00_7378,
				((BgL_typez00_bglt) BgL_type1426z00_7379),
				((BgL_typez00_bglt) BgL_vtype1427z00_7380));
		}

	}



/* rtl_vref? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_vrefzf3zf3zzsaw_defsz00(obj_t BgL_objz00_226)
	{
		{	/* SawMill/defs.sch 752 */
			{	/* SawMill/defs.sch 752 */
				obj_t BgL_classz00_9225;

				BgL_classz00_9225 = BGl_rtl_vrefz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_226))
					{	/* SawMill/defs.sch 752 */
						BgL_objectz00_bglt BgL_arg1858z00_9226;

						BgL_arg1858z00_9226 = (BgL_objectz00_bglt) (BgL_objz00_226);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 752 */
								long BgL_idxz00_9227;

								BgL_idxz00_9227 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9226);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9227 + 3L)) == BgL_classz00_9225);
							}
						else
							{	/* SawMill/defs.sch 752 */
								bool_t BgL_res3204z00_9230;

								{	/* SawMill/defs.sch 752 */
									obj_t BgL_oclassz00_9231;

									{	/* SawMill/defs.sch 752 */
										obj_t BgL_arg1866z00_9232;
										long BgL_arg1867z00_9233;

										BgL_arg1866z00_9232 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 752 */
											long BgL_arg1869z00_9234;

											BgL_arg1869z00_9234 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9226);
											BgL_arg1867z00_9233 = (BgL_arg1869z00_9234 - OBJECT_TYPE);
										}
										BgL_oclassz00_9231 =
											VECTOR_REF(BgL_arg1866z00_9232, BgL_arg1867z00_9233);
									}
									{	/* SawMill/defs.sch 752 */
										bool_t BgL__ortest_1115z00_9235;

										BgL__ortest_1115z00_9235 =
											(BgL_classz00_9225 == BgL_oclassz00_9231);
										if (BgL__ortest_1115z00_9235)
											{	/* SawMill/defs.sch 752 */
												BgL_res3204z00_9230 = BgL__ortest_1115z00_9235;
											}
										else
											{	/* SawMill/defs.sch 752 */
												long BgL_odepthz00_9236;

												{	/* SawMill/defs.sch 752 */
													obj_t BgL_arg1855z00_9237;

													BgL_arg1855z00_9237 = (BgL_oclassz00_9231);
													BgL_odepthz00_9236 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9237);
												}
												if ((3L < BgL_odepthz00_9236))
													{	/* SawMill/defs.sch 752 */
														obj_t BgL_arg1853z00_9238;

														{	/* SawMill/defs.sch 752 */
															obj_t BgL_arg1854z00_9239;

															BgL_arg1854z00_9239 = (BgL_oclassz00_9231);
															BgL_arg1853z00_9238 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9239,
																3L);
														}
														BgL_res3204z00_9230 =
															(BgL_arg1853z00_9238 == BgL_classz00_9225);
													}
												else
													{	/* SawMill/defs.sch 752 */
														BgL_res3204z00_9230 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3204z00_9230;
							}
					}
				else
					{	/* SawMill/defs.sch 752 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_vref? */
	obj_t BGl_z62rtl_vrefzf3z91zzsaw_defsz00(obj_t BgL_envz00_7381,
		obj_t BgL_objz00_7382)
	{
		{	/* SawMill/defs.sch 752 */
			return BBOOL(BGl_rtl_vrefzf3zf3zzsaw_defsz00(BgL_objz00_7382));
		}

	}



/* rtl_vref-nil */
	BGL_EXPORTED_DEF BgL_rtl_vrefz00_bglt BGl_rtl_vrefzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 753 */
			{	/* SawMill/defs.sch 753 */
				obj_t BgL_classz00_5273;

				BgL_classz00_5273 = BGl_rtl_vrefz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 753 */
					obj_t BgL__ortest_1117z00_5274;

					BgL__ortest_1117z00_5274 = BGL_CLASS_NIL(BgL_classz00_5273);
					if (CBOOL(BgL__ortest_1117z00_5274))
						{	/* SawMill/defs.sch 753 */
							return ((BgL_rtl_vrefz00_bglt) BgL__ortest_1117z00_5274);
						}
					else
						{	/* SawMill/defs.sch 753 */
							return
								((BgL_rtl_vrefz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5273));
						}
				}
			}
		}

	}



/* &rtl_vref-nil */
	BgL_rtl_vrefz00_bglt BGl_z62rtl_vrefzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7383)
	{
		{	/* SawMill/defs.sch 753 */
			return BGl_rtl_vrefzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_vref-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_vrefzd2vtypezd2zzsaw_defsz00(BgL_rtl_vrefz00_bglt BgL_oz00_227)
	{
		{	/* SawMill/defs.sch 754 */
			return (((BgL_rtl_vrefz00_bglt) COBJECT(BgL_oz00_227))->BgL_vtypez00);
		}

	}



/* &rtl_vref-vtype */
	BgL_typez00_bglt BGl_z62rtl_vrefzd2vtypezb0zzsaw_defsz00(obj_t
		BgL_envz00_7384, obj_t BgL_oz00_7385)
	{
		{	/* SawMill/defs.sch 754 */
			return
				BGl_rtl_vrefzd2vtypezd2zzsaw_defsz00(
				((BgL_rtl_vrefz00_bglt) BgL_oz00_7385));
		}

	}



/* rtl_vref-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_vrefzd2vtypezd2setz12z12zzsaw_defsz00(BgL_rtl_vrefz00_bglt
		BgL_oz00_228, BgL_typez00_bglt BgL_vz00_229)
	{
		{	/* SawMill/defs.sch 755 */
			return
				((((BgL_rtl_vrefz00_bglt) COBJECT(BgL_oz00_228))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_229), BUNSPEC);
		}

	}



/* &rtl_vref-vtype-set! */
	obj_t BGl_z62rtl_vrefzd2vtypezd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7386,
		obj_t BgL_oz00_7387, obj_t BgL_vz00_7388)
	{
		{	/* SawMill/defs.sch 755 */
			return
				BGl_rtl_vrefzd2vtypezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vrefz00_bglt) BgL_oz00_7387),
				((BgL_typez00_bglt) BgL_vz00_7388));
		}

	}



/* rtl_vref-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_vrefzd2typezd2zzsaw_defsz00(BgL_rtl_vrefz00_bglt BgL_oz00_230)
	{
		{	/* SawMill/defs.sch 756 */
			return (((BgL_rtl_vrefz00_bglt) COBJECT(BgL_oz00_230))->BgL_typez00);
		}

	}



/* &rtl_vref-type */
	BgL_typez00_bglt BGl_z62rtl_vrefzd2typezb0zzsaw_defsz00(obj_t BgL_envz00_7389,
		obj_t BgL_oz00_7390)
	{
		{	/* SawMill/defs.sch 756 */
			return
				BGl_rtl_vrefzd2typezd2zzsaw_defsz00(
				((BgL_rtl_vrefz00_bglt) BgL_oz00_7390));
		}

	}



/* rtl_vref-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_vrefzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_vrefz00_bglt
		BgL_oz00_231, BgL_typez00_bglt BgL_vz00_232)
	{
		{	/* SawMill/defs.sch 757 */
			return
				((((BgL_rtl_vrefz00_bglt) COBJECT(BgL_oz00_231))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_232), BUNSPEC);
		}

	}



/* &rtl_vref-type-set! */
	obj_t BGl_z62rtl_vrefzd2typezd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7391,
		obj_t BgL_oz00_7392, obj_t BgL_vz00_7393)
	{
		{	/* SawMill/defs.sch 757 */
			return
				BGl_rtl_vrefzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vrefz00_bglt) BgL_oz00_7392),
				((BgL_typez00_bglt) BgL_vz00_7393));
		}

	}



/* rtl_vref-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_vrefzd2loczd2zzsaw_defsz00(BgL_rtl_vrefz00_bglt
		BgL_oz00_233)
	{
		{	/* SawMill/defs.sch 758 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_233)))->BgL_locz00);
		}

	}



/* &rtl_vref-loc */
	obj_t BGl_z62rtl_vrefzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7394,
		obj_t BgL_oz00_7395)
	{
		{	/* SawMill/defs.sch 758 */
			return
				BGl_rtl_vrefzd2loczd2zzsaw_defsz00(
				((BgL_rtl_vrefz00_bglt) BgL_oz00_7395));
		}

	}



/* rtl_vref-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_vrefzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_vrefz00_bglt
		BgL_oz00_234, obj_t BgL_vz00_235)
	{
		{	/* SawMill/defs.sch 759 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_234)))->BgL_locz00) =
				((obj_t) BgL_vz00_235), BUNSPEC);
		}

	}



/* &rtl_vref-loc-set! */
	obj_t BGl_z62rtl_vrefzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7396,
		obj_t BgL_oz00_7397, obj_t BgL_vz00_7398)
	{
		{	/* SawMill/defs.sch 759 */
			return
				BGl_rtl_vrefzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vrefz00_bglt) BgL_oz00_7397), BgL_vz00_7398);
		}

	}



/* make-rtl_vlength */
	BGL_EXPORTED_DEF BgL_rtl_vlengthz00_bglt
		BGl_makezd2rtl_vlengthzd2zzsaw_defsz00(obj_t BgL_loc1420z00_236,
		BgL_typez00_bglt BgL_type1421z00_237, BgL_typez00_bglt BgL_vtype1422z00_238)
	{
		{	/* SawMill/defs.sch 762 */
			{	/* SawMill/defs.sch 762 */
				BgL_rtl_vlengthz00_bglt BgL_new1401z00_9240;

				{	/* SawMill/defs.sch 762 */
					BgL_rtl_vlengthz00_bglt BgL_new1400z00_9241;

					BgL_new1400z00_9241 =
						((BgL_rtl_vlengthz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_vlengthz00_bgl))));
					{	/* SawMill/defs.sch 762 */
						long BgL_arg1897z00_9242;

						BgL_arg1897z00_9242 =
							BGL_CLASS_NUM(BGl_rtl_vlengthz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1400z00_9241), BgL_arg1897z00_9242);
					}
					BgL_new1401z00_9240 = BgL_new1400z00_9241;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1401z00_9240)))->BgL_locz00) =
					((obj_t) BgL_loc1420z00_236), BUNSPEC);
				((((BgL_rtl_vlengthz00_bglt) COBJECT(BgL_new1401z00_9240))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1421z00_237), BUNSPEC);
				((((BgL_rtl_vlengthz00_bglt) COBJECT(BgL_new1401z00_9240))->
						BgL_vtypez00) = ((BgL_typez00_bglt) BgL_vtype1422z00_238), BUNSPEC);
				return BgL_new1401z00_9240;
			}
		}

	}



/* &make-rtl_vlength */
	BgL_rtl_vlengthz00_bglt BGl_z62makezd2rtl_vlengthzb0zzsaw_defsz00(obj_t
		BgL_envz00_7399, obj_t BgL_loc1420z00_7400, obj_t BgL_type1421z00_7401,
		obj_t BgL_vtype1422z00_7402)
	{
		{	/* SawMill/defs.sch 762 */
			return
				BGl_makezd2rtl_vlengthzd2zzsaw_defsz00(BgL_loc1420z00_7400,
				((BgL_typez00_bglt) BgL_type1421z00_7401),
				((BgL_typez00_bglt) BgL_vtype1422z00_7402));
		}

	}



/* rtl_vlength? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_vlengthzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_239)
	{
		{	/* SawMill/defs.sch 763 */
			{	/* SawMill/defs.sch 763 */
				obj_t BgL_classz00_9243;

				BgL_classz00_9243 = BGl_rtl_vlengthz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_239))
					{	/* SawMill/defs.sch 763 */
						BgL_objectz00_bglt BgL_arg1858z00_9244;

						BgL_arg1858z00_9244 = (BgL_objectz00_bglt) (BgL_objz00_239);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 763 */
								long BgL_idxz00_9245;

								BgL_idxz00_9245 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9244);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9245 + 3L)) == BgL_classz00_9243);
							}
						else
							{	/* SawMill/defs.sch 763 */
								bool_t BgL_res3205z00_9248;

								{	/* SawMill/defs.sch 763 */
									obj_t BgL_oclassz00_9249;

									{	/* SawMill/defs.sch 763 */
										obj_t BgL_arg1866z00_9250;
										long BgL_arg1867z00_9251;

										BgL_arg1866z00_9250 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 763 */
											long BgL_arg1869z00_9252;

											BgL_arg1869z00_9252 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9244);
											BgL_arg1867z00_9251 = (BgL_arg1869z00_9252 - OBJECT_TYPE);
										}
										BgL_oclassz00_9249 =
											VECTOR_REF(BgL_arg1866z00_9250, BgL_arg1867z00_9251);
									}
									{	/* SawMill/defs.sch 763 */
										bool_t BgL__ortest_1115z00_9253;

										BgL__ortest_1115z00_9253 =
											(BgL_classz00_9243 == BgL_oclassz00_9249);
										if (BgL__ortest_1115z00_9253)
											{	/* SawMill/defs.sch 763 */
												BgL_res3205z00_9248 = BgL__ortest_1115z00_9253;
											}
										else
											{	/* SawMill/defs.sch 763 */
												long BgL_odepthz00_9254;

												{	/* SawMill/defs.sch 763 */
													obj_t BgL_arg1855z00_9255;

													BgL_arg1855z00_9255 = (BgL_oclassz00_9249);
													BgL_odepthz00_9254 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9255);
												}
												if ((3L < BgL_odepthz00_9254))
													{	/* SawMill/defs.sch 763 */
														obj_t BgL_arg1853z00_9256;

														{	/* SawMill/defs.sch 763 */
															obj_t BgL_arg1854z00_9257;

															BgL_arg1854z00_9257 = (BgL_oclassz00_9249);
															BgL_arg1853z00_9256 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9257,
																3L);
														}
														BgL_res3205z00_9248 =
															(BgL_arg1853z00_9256 == BgL_classz00_9243);
													}
												else
													{	/* SawMill/defs.sch 763 */
														BgL_res3205z00_9248 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3205z00_9248;
							}
					}
				else
					{	/* SawMill/defs.sch 763 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_vlength? */
	obj_t BGl_z62rtl_vlengthzf3z91zzsaw_defsz00(obj_t BgL_envz00_7403,
		obj_t BgL_objz00_7404)
	{
		{	/* SawMill/defs.sch 763 */
			return BBOOL(BGl_rtl_vlengthzf3zf3zzsaw_defsz00(BgL_objz00_7404));
		}

	}



/* rtl_vlength-nil */
	BGL_EXPORTED_DEF BgL_rtl_vlengthz00_bglt
		BGl_rtl_vlengthzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 764 */
			{	/* SawMill/defs.sch 764 */
				obj_t BgL_classz00_5315;

				BgL_classz00_5315 = BGl_rtl_vlengthz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 764 */
					obj_t BgL__ortest_1117z00_5316;

					BgL__ortest_1117z00_5316 = BGL_CLASS_NIL(BgL_classz00_5315);
					if (CBOOL(BgL__ortest_1117z00_5316))
						{	/* SawMill/defs.sch 764 */
							return ((BgL_rtl_vlengthz00_bglt) BgL__ortest_1117z00_5316);
						}
					else
						{	/* SawMill/defs.sch 764 */
							return
								((BgL_rtl_vlengthz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5315));
						}
				}
			}
		}

	}



/* &rtl_vlength-nil */
	BgL_rtl_vlengthz00_bglt BGl_z62rtl_vlengthzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7405)
	{
		{	/* SawMill/defs.sch 764 */
			return BGl_rtl_vlengthzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_vlength-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_vlengthzd2vtypezd2zzsaw_defsz00(BgL_rtl_vlengthz00_bglt
		BgL_oz00_240)
	{
		{	/* SawMill/defs.sch 765 */
			return (((BgL_rtl_vlengthz00_bglt) COBJECT(BgL_oz00_240))->BgL_vtypez00);
		}

	}



/* &rtl_vlength-vtype */
	BgL_typez00_bglt BGl_z62rtl_vlengthzd2vtypezb0zzsaw_defsz00(obj_t
		BgL_envz00_7406, obj_t BgL_oz00_7407)
	{
		{	/* SawMill/defs.sch 765 */
			return
				BGl_rtl_vlengthzd2vtypezd2zzsaw_defsz00(
				((BgL_rtl_vlengthz00_bglt) BgL_oz00_7407));
		}

	}



/* rtl_vlength-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_vlengthzd2vtypezd2setz12z12zzsaw_defsz00(BgL_rtl_vlengthz00_bglt
		BgL_oz00_241, BgL_typez00_bglt BgL_vz00_242)
	{
		{	/* SawMill/defs.sch 766 */
			return
				((((BgL_rtl_vlengthz00_bglt) COBJECT(BgL_oz00_241))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_242), BUNSPEC);
		}

	}



/* &rtl_vlength-vtype-set! */
	obj_t BGl_z62rtl_vlengthzd2vtypezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7408, obj_t BgL_oz00_7409, obj_t BgL_vz00_7410)
	{
		{	/* SawMill/defs.sch 766 */
			return
				BGl_rtl_vlengthzd2vtypezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vlengthz00_bglt) BgL_oz00_7409),
				((BgL_typez00_bglt) BgL_vz00_7410));
		}

	}



/* rtl_vlength-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_vlengthzd2typezd2zzsaw_defsz00(BgL_rtl_vlengthz00_bglt BgL_oz00_243)
	{
		{	/* SawMill/defs.sch 767 */
			return (((BgL_rtl_vlengthz00_bglt) COBJECT(BgL_oz00_243))->BgL_typez00);
		}

	}



/* &rtl_vlength-type */
	BgL_typez00_bglt BGl_z62rtl_vlengthzd2typezb0zzsaw_defsz00(obj_t
		BgL_envz00_7411, obj_t BgL_oz00_7412)
	{
		{	/* SawMill/defs.sch 767 */
			return
				BGl_rtl_vlengthzd2typezd2zzsaw_defsz00(
				((BgL_rtl_vlengthz00_bglt) BgL_oz00_7412));
		}

	}



/* rtl_vlength-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_vlengthzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_vlengthz00_bglt
		BgL_oz00_244, BgL_typez00_bglt BgL_vz00_245)
	{
		{	/* SawMill/defs.sch 768 */
			return
				((((BgL_rtl_vlengthz00_bglt) COBJECT(BgL_oz00_244))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_245), BUNSPEC);
		}

	}



/* &rtl_vlength-type-set! */
	obj_t BGl_z62rtl_vlengthzd2typezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7413, obj_t BgL_oz00_7414, obj_t BgL_vz00_7415)
	{
		{	/* SawMill/defs.sch 768 */
			return
				BGl_rtl_vlengthzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vlengthz00_bglt) BgL_oz00_7414),
				((BgL_typez00_bglt) BgL_vz00_7415));
		}

	}



/* rtl_vlength-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_vlengthzd2loczd2zzsaw_defsz00(BgL_rtl_vlengthz00_bglt BgL_oz00_246)
	{
		{	/* SawMill/defs.sch 769 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_246)))->BgL_locz00);
		}

	}



/* &rtl_vlength-loc */
	obj_t BGl_z62rtl_vlengthzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7416,
		obj_t BgL_oz00_7417)
	{
		{	/* SawMill/defs.sch 769 */
			return
				BGl_rtl_vlengthzd2loczd2zzsaw_defsz00(
				((BgL_rtl_vlengthz00_bglt) BgL_oz00_7417));
		}

	}



/* rtl_vlength-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_vlengthzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_vlengthz00_bglt
		BgL_oz00_247, obj_t BgL_vz00_248)
	{
		{	/* SawMill/defs.sch 770 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_247)))->BgL_locz00) =
				((obj_t) BgL_vz00_248), BUNSPEC);
		}

	}



/* &rtl_vlength-loc-set! */
	obj_t BGl_z62rtl_vlengthzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7418,
		obj_t BgL_oz00_7419, obj_t BgL_vz00_7420)
	{
		{	/* SawMill/defs.sch 770 */
			return
				BGl_rtl_vlengthzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vlengthz00_bglt) BgL_oz00_7419), BgL_vz00_7420);
		}

	}



/* make-rtl_instanceof */
	BGL_EXPORTED_DEF BgL_rtl_instanceofz00_bglt
		BGl_makezd2rtl_instanceofzd2zzsaw_defsz00(obj_t BgL_loc1417z00_249,
		BgL_typez00_bglt BgL_type1418z00_250)
	{
		{	/* SawMill/defs.sch 773 */
			{	/* SawMill/defs.sch 773 */
				BgL_rtl_instanceofz00_bglt BgL_new1403z00_9258;

				{	/* SawMill/defs.sch 773 */
					BgL_rtl_instanceofz00_bglt BgL_new1402z00_9259;

					BgL_new1402z00_9259 =
						((BgL_rtl_instanceofz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_instanceofz00_bgl))));
					{	/* SawMill/defs.sch 773 */
						long BgL_arg1898z00_9260;

						BgL_arg1898z00_9260 =
							BGL_CLASS_NUM(BGl_rtl_instanceofz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1402z00_9259), BgL_arg1898z00_9260);
					}
					BgL_new1403z00_9258 = BgL_new1402z00_9259;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1403z00_9258)))->BgL_locz00) =
					((obj_t) BgL_loc1417z00_249), BUNSPEC);
				((((BgL_rtl_instanceofz00_bglt) COBJECT(BgL_new1403z00_9258))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1418z00_250), BUNSPEC);
				return BgL_new1403z00_9258;
			}
		}

	}



/* &make-rtl_instanceof */
	BgL_rtl_instanceofz00_bglt BGl_z62makezd2rtl_instanceofzb0zzsaw_defsz00(obj_t
		BgL_envz00_7421, obj_t BgL_loc1417z00_7422, obj_t BgL_type1418z00_7423)
	{
		{	/* SawMill/defs.sch 773 */
			return
				BGl_makezd2rtl_instanceofzd2zzsaw_defsz00(BgL_loc1417z00_7422,
				((BgL_typez00_bglt) BgL_type1418z00_7423));
		}

	}



/* rtl_instanceof? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_instanceofzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_251)
	{
		{	/* SawMill/defs.sch 774 */
			{	/* SawMill/defs.sch 774 */
				obj_t BgL_classz00_9261;

				BgL_classz00_9261 = BGl_rtl_instanceofz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_251))
					{	/* SawMill/defs.sch 774 */
						BgL_objectz00_bglt BgL_arg1858z00_9262;

						BgL_arg1858z00_9262 = (BgL_objectz00_bglt) (BgL_objz00_251);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 774 */
								long BgL_idxz00_9263;

								BgL_idxz00_9263 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9262);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9263 + 3L)) == BgL_classz00_9261);
							}
						else
							{	/* SawMill/defs.sch 774 */
								bool_t BgL_res3206z00_9266;

								{	/* SawMill/defs.sch 774 */
									obj_t BgL_oclassz00_9267;

									{	/* SawMill/defs.sch 774 */
										obj_t BgL_arg1866z00_9268;
										long BgL_arg1867z00_9269;

										BgL_arg1866z00_9268 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 774 */
											long BgL_arg1869z00_9270;

											BgL_arg1869z00_9270 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9262);
											BgL_arg1867z00_9269 = (BgL_arg1869z00_9270 - OBJECT_TYPE);
										}
										BgL_oclassz00_9267 =
											VECTOR_REF(BgL_arg1866z00_9268, BgL_arg1867z00_9269);
									}
									{	/* SawMill/defs.sch 774 */
										bool_t BgL__ortest_1115z00_9271;

										BgL__ortest_1115z00_9271 =
											(BgL_classz00_9261 == BgL_oclassz00_9267);
										if (BgL__ortest_1115z00_9271)
											{	/* SawMill/defs.sch 774 */
												BgL_res3206z00_9266 = BgL__ortest_1115z00_9271;
											}
										else
											{	/* SawMill/defs.sch 774 */
												long BgL_odepthz00_9272;

												{	/* SawMill/defs.sch 774 */
													obj_t BgL_arg1855z00_9273;

													BgL_arg1855z00_9273 = (BgL_oclassz00_9267);
													BgL_odepthz00_9272 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9273);
												}
												if ((3L < BgL_odepthz00_9272))
													{	/* SawMill/defs.sch 774 */
														obj_t BgL_arg1853z00_9274;

														{	/* SawMill/defs.sch 774 */
															obj_t BgL_arg1854z00_9275;

															BgL_arg1854z00_9275 = (BgL_oclassz00_9267);
															BgL_arg1853z00_9274 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9275,
																3L);
														}
														BgL_res3206z00_9266 =
															(BgL_arg1853z00_9274 == BgL_classz00_9261);
													}
												else
													{	/* SawMill/defs.sch 774 */
														BgL_res3206z00_9266 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3206z00_9266;
							}
					}
				else
					{	/* SawMill/defs.sch 774 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_instanceof? */
	obj_t BGl_z62rtl_instanceofzf3z91zzsaw_defsz00(obj_t BgL_envz00_7424,
		obj_t BgL_objz00_7425)
	{
		{	/* SawMill/defs.sch 774 */
			return BBOOL(BGl_rtl_instanceofzf3zf3zzsaw_defsz00(BgL_objz00_7425));
		}

	}



/* rtl_instanceof-nil */
	BGL_EXPORTED_DEF BgL_rtl_instanceofz00_bglt
		BGl_rtl_instanceofzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 775 */
			{	/* SawMill/defs.sch 775 */
				obj_t BgL_classz00_5357;

				BgL_classz00_5357 = BGl_rtl_instanceofz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 775 */
					obj_t BgL__ortest_1117z00_5358;

					BgL__ortest_1117z00_5358 = BGL_CLASS_NIL(BgL_classz00_5357);
					if (CBOOL(BgL__ortest_1117z00_5358))
						{	/* SawMill/defs.sch 775 */
							return ((BgL_rtl_instanceofz00_bglt) BgL__ortest_1117z00_5358);
						}
					else
						{	/* SawMill/defs.sch 775 */
							return
								((BgL_rtl_instanceofz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5357));
						}
				}
			}
		}

	}



/* &rtl_instanceof-nil */
	BgL_rtl_instanceofz00_bglt BGl_z62rtl_instanceofzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7426)
	{
		{	/* SawMill/defs.sch 775 */
			return BGl_rtl_instanceofzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_instanceof-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_instanceofzd2typezd2zzsaw_defsz00(BgL_rtl_instanceofz00_bglt
		BgL_oz00_252)
	{
		{	/* SawMill/defs.sch 776 */
			return
				(((BgL_rtl_instanceofz00_bglt) COBJECT(BgL_oz00_252))->BgL_typez00);
		}

	}



/* &rtl_instanceof-type */
	BgL_typez00_bglt BGl_z62rtl_instanceofzd2typezb0zzsaw_defsz00(obj_t
		BgL_envz00_7427, obj_t BgL_oz00_7428)
	{
		{	/* SawMill/defs.sch 776 */
			return
				BGl_rtl_instanceofzd2typezd2zzsaw_defsz00(
				((BgL_rtl_instanceofz00_bglt) BgL_oz00_7428));
		}

	}



/* rtl_instanceof-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_instanceofzd2typezd2setz12z12zzsaw_defsz00
		(BgL_rtl_instanceofz00_bglt BgL_oz00_253, BgL_typez00_bglt BgL_vz00_254)
	{
		{	/* SawMill/defs.sch 777 */
			return
				((((BgL_rtl_instanceofz00_bglt) COBJECT(BgL_oz00_253))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_254), BUNSPEC);
		}

	}



/* &rtl_instanceof-type-set! */
	obj_t BGl_z62rtl_instanceofzd2typezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7429, obj_t BgL_oz00_7430, obj_t BgL_vz00_7431)
	{
		{	/* SawMill/defs.sch 777 */
			return
				BGl_rtl_instanceofzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_instanceofz00_bglt) BgL_oz00_7430),
				((BgL_typez00_bglt) BgL_vz00_7431));
		}

	}



/* rtl_instanceof-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_instanceofzd2loczd2zzsaw_defsz00(BgL_rtl_instanceofz00_bglt
		BgL_oz00_255)
	{
		{	/* SawMill/defs.sch 778 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_255)))->BgL_locz00);
		}

	}



/* &rtl_instanceof-loc */
	obj_t BGl_z62rtl_instanceofzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7432,
		obj_t BgL_oz00_7433)
	{
		{	/* SawMill/defs.sch 778 */
			return
				BGl_rtl_instanceofzd2loczd2zzsaw_defsz00(
				((BgL_rtl_instanceofz00_bglt) BgL_oz00_7433));
		}

	}



/* rtl_instanceof-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_instanceofzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_instanceofz00_bglt
		BgL_oz00_256, obj_t BgL_vz00_257)
	{
		{	/* SawMill/defs.sch 779 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_256)))->BgL_locz00) =
				((obj_t) BgL_vz00_257), BUNSPEC);
		}

	}



/* &rtl_instanceof-loc-set! */
	obj_t BGl_z62rtl_instanceofzd2loczd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7434, obj_t BgL_oz00_7435, obj_t BgL_vz00_7436)
	{
		{	/* SawMill/defs.sch 779 */
			return
				BGl_rtl_instanceofzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_instanceofz00_bglt) BgL_oz00_7435), BgL_vz00_7436);
		}

	}



/* make-rtl_makebox */
	BGL_EXPORTED_DEF BgL_rtl_makeboxz00_bglt
		BGl_makezd2rtl_makeboxzd2zzsaw_defsz00(obj_t BgL_loc1415z00_258)
	{
		{	/* SawMill/defs.sch 782 */
			{	/* SawMill/defs.sch 782 */
				BgL_rtl_makeboxz00_bglt BgL_new1405z00_9276;

				{	/* SawMill/defs.sch 782 */
					BgL_rtl_makeboxz00_bglt BgL_new1404z00_9277;

					BgL_new1404z00_9277 =
						((BgL_rtl_makeboxz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_makeboxz00_bgl))));
					{	/* SawMill/defs.sch 782 */
						long BgL_arg1899z00_9278;

						BgL_arg1899z00_9278 =
							BGL_CLASS_NUM(BGl_rtl_makeboxz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1404z00_9277), BgL_arg1899z00_9278);
					}
					BgL_new1405z00_9276 = BgL_new1404z00_9277;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1405z00_9276)))->BgL_locz00) =
					((obj_t) BgL_loc1415z00_258), BUNSPEC);
				return BgL_new1405z00_9276;
			}
		}

	}



/* &make-rtl_makebox */
	BgL_rtl_makeboxz00_bglt BGl_z62makezd2rtl_makeboxzb0zzsaw_defsz00(obj_t
		BgL_envz00_7437, obj_t BgL_loc1415z00_7438)
	{
		{	/* SawMill/defs.sch 782 */
			return BGl_makezd2rtl_makeboxzd2zzsaw_defsz00(BgL_loc1415z00_7438);
		}

	}



/* rtl_makebox? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_makeboxzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_259)
	{
		{	/* SawMill/defs.sch 783 */
			{	/* SawMill/defs.sch 783 */
				obj_t BgL_classz00_9279;

				BgL_classz00_9279 = BGl_rtl_makeboxz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_259))
					{	/* SawMill/defs.sch 783 */
						BgL_objectz00_bglt BgL_arg1858z00_9280;

						BgL_arg1858z00_9280 = (BgL_objectz00_bglt) (BgL_objz00_259);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 783 */
								long BgL_idxz00_9281;

								BgL_idxz00_9281 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9280);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9281 + 3L)) == BgL_classz00_9279);
							}
						else
							{	/* SawMill/defs.sch 783 */
								bool_t BgL_res3207z00_9284;

								{	/* SawMill/defs.sch 783 */
									obj_t BgL_oclassz00_9285;

									{	/* SawMill/defs.sch 783 */
										obj_t BgL_arg1866z00_9286;
										long BgL_arg1867z00_9287;

										BgL_arg1866z00_9286 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 783 */
											long BgL_arg1869z00_9288;

											BgL_arg1869z00_9288 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9280);
											BgL_arg1867z00_9287 = (BgL_arg1869z00_9288 - OBJECT_TYPE);
										}
										BgL_oclassz00_9285 =
											VECTOR_REF(BgL_arg1866z00_9286, BgL_arg1867z00_9287);
									}
									{	/* SawMill/defs.sch 783 */
										bool_t BgL__ortest_1115z00_9289;

										BgL__ortest_1115z00_9289 =
											(BgL_classz00_9279 == BgL_oclassz00_9285);
										if (BgL__ortest_1115z00_9289)
											{	/* SawMill/defs.sch 783 */
												BgL_res3207z00_9284 = BgL__ortest_1115z00_9289;
											}
										else
											{	/* SawMill/defs.sch 783 */
												long BgL_odepthz00_9290;

												{	/* SawMill/defs.sch 783 */
													obj_t BgL_arg1855z00_9291;

													BgL_arg1855z00_9291 = (BgL_oclassz00_9285);
													BgL_odepthz00_9290 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9291);
												}
												if ((3L < BgL_odepthz00_9290))
													{	/* SawMill/defs.sch 783 */
														obj_t BgL_arg1853z00_9292;

														{	/* SawMill/defs.sch 783 */
															obj_t BgL_arg1854z00_9293;

															BgL_arg1854z00_9293 = (BgL_oclassz00_9285);
															BgL_arg1853z00_9292 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9293,
																3L);
														}
														BgL_res3207z00_9284 =
															(BgL_arg1853z00_9292 == BgL_classz00_9279);
													}
												else
													{	/* SawMill/defs.sch 783 */
														BgL_res3207z00_9284 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3207z00_9284;
							}
					}
				else
					{	/* SawMill/defs.sch 783 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_makebox? */
	obj_t BGl_z62rtl_makeboxzf3z91zzsaw_defsz00(obj_t BgL_envz00_7439,
		obj_t BgL_objz00_7440)
	{
		{	/* SawMill/defs.sch 783 */
			return BBOOL(BGl_rtl_makeboxzf3zf3zzsaw_defsz00(BgL_objz00_7440));
		}

	}



/* rtl_makebox-nil */
	BGL_EXPORTED_DEF BgL_rtl_makeboxz00_bglt
		BGl_rtl_makeboxzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 784 */
			{	/* SawMill/defs.sch 784 */
				obj_t BgL_classz00_5399;

				BgL_classz00_5399 = BGl_rtl_makeboxz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 784 */
					obj_t BgL__ortest_1117z00_5400;

					BgL__ortest_1117z00_5400 = BGL_CLASS_NIL(BgL_classz00_5399);
					if (CBOOL(BgL__ortest_1117z00_5400))
						{	/* SawMill/defs.sch 784 */
							return ((BgL_rtl_makeboxz00_bglt) BgL__ortest_1117z00_5400);
						}
					else
						{	/* SawMill/defs.sch 784 */
							return
								((BgL_rtl_makeboxz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5399));
						}
				}
			}
		}

	}



/* &rtl_makebox-nil */
	BgL_rtl_makeboxz00_bglt BGl_z62rtl_makeboxzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7441)
	{
		{	/* SawMill/defs.sch 784 */
			return BGl_rtl_makeboxzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_makebox-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_makeboxzd2loczd2zzsaw_defsz00(BgL_rtl_makeboxz00_bglt BgL_oz00_260)
	{
		{	/* SawMill/defs.sch 785 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_260)))->BgL_locz00);
		}

	}



/* &rtl_makebox-loc */
	obj_t BGl_z62rtl_makeboxzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7442,
		obj_t BgL_oz00_7443)
	{
		{	/* SawMill/defs.sch 785 */
			return
				BGl_rtl_makeboxzd2loczd2zzsaw_defsz00(
				((BgL_rtl_makeboxz00_bglt) BgL_oz00_7443));
		}

	}



/* rtl_makebox-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_makeboxzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_makeboxz00_bglt
		BgL_oz00_261, obj_t BgL_vz00_262)
	{
		{	/* SawMill/defs.sch 786 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_261)))->BgL_locz00) =
				((obj_t) BgL_vz00_262), BUNSPEC);
		}

	}



/* &rtl_makebox-loc-set! */
	obj_t BGl_z62rtl_makeboxzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7444,
		obj_t BgL_oz00_7445, obj_t BgL_vz00_7446)
	{
		{	/* SawMill/defs.sch 786 */
			return
				BGl_rtl_makeboxzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_makeboxz00_bglt) BgL_oz00_7445), BgL_vz00_7446);
		}

	}



/* make-rtl_boxref */
	BGL_EXPORTED_DEF BgL_rtl_boxrefz00_bglt
		BGl_makezd2rtl_boxrefzd2zzsaw_defsz00(obj_t BgL_loc1412z00_263)
	{
		{	/* SawMill/defs.sch 789 */
			{	/* SawMill/defs.sch 789 */
				BgL_rtl_boxrefz00_bglt BgL_new1407z00_9294;

				{	/* SawMill/defs.sch 789 */
					BgL_rtl_boxrefz00_bglt BgL_new1406z00_9295;

					BgL_new1406z00_9295 =
						((BgL_rtl_boxrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_boxrefz00_bgl))));
					{	/* SawMill/defs.sch 789 */
						long BgL_arg1900z00_9296;

						BgL_arg1900z00_9296 = BGL_CLASS_NUM(BGl_rtl_boxrefz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1406z00_9295), BgL_arg1900z00_9296);
					}
					BgL_new1407z00_9294 = BgL_new1406z00_9295;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1407z00_9294)))->BgL_locz00) =
					((obj_t) BgL_loc1412z00_263), BUNSPEC);
				return BgL_new1407z00_9294;
			}
		}

	}



/* &make-rtl_boxref */
	BgL_rtl_boxrefz00_bglt BGl_z62makezd2rtl_boxrefzb0zzsaw_defsz00(obj_t
		BgL_envz00_7447, obj_t BgL_loc1412z00_7448)
	{
		{	/* SawMill/defs.sch 789 */
			return BGl_makezd2rtl_boxrefzd2zzsaw_defsz00(BgL_loc1412z00_7448);
		}

	}



/* rtl_boxref? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_boxrefzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_264)
	{
		{	/* SawMill/defs.sch 790 */
			{	/* SawMill/defs.sch 790 */
				obj_t BgL_classz00_9297;

				BgL_classz00_9297 = BGl_rtl_boxrefz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_264))
					{	/* SawMill/defs.sch 790 */
						BgL_objectz00_bglt BgL_arg1858z00_9298;

						BgL_arg1858z00_9298 = (BgL_objectz00_bglt) (BgL_objz00_264);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 790 */
								long BgL_idxz00_9299;

								BgL_idxz00_9299 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9298);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9299 + 3L)) == BgL_classz00_9297);
							}
						else
							{	/* SawMill/defs.sch 790 */
								bool_t BgL_res3208z00_9302;

								{	/* SawMill/defs.sch 790 */
									obj_t BgL_oclassz00_9303;

									{	/* SawMill/defs.sch 790 */
										obj_t BgL_arg1866z00_9304;
										long BgL_arg1867z00_9305;

										BgL_arg1866z00_9304 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 790 */
											long BgL_arg1869z00_9306;

											BgL_arg1869z00_9306 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9298);
											BgL_arg1867z00_9305 = (BgL_arg1869z00_9306 - OBJECT_TYPE);
										}
										BgL_oclassz00_9303 =
											VECTOR_REF(BgL_arg1866z00_9304, BgL_arg1867z00_9305);
									}
									{	/* SawMill/defs.sch 790 */
										bool_t BgL__ortest_1115z00_9307;

										BgL__ortest_1115z00_9307 =
											(BgL_classz00_9297 == BgL_oclassz00_9303);
										if (BgL__ortest_1115z00_9307)
											{	/* SawMill/defs.sch 790 */
												BgL_res3208z00_9302 = BgL__ortest_1115z00_9307;
											}
										else
											{	/* SawMill/defs.sch 790 */
												long BgL_odepthz00_9308;

												{	/* SawMill/defs.sch 790 */
													obj_t BgL_arg1855z00_9309;

													BgL_arg1855z00_9309 = (BgL_oclassz00_9303);
													BgL_odepthz00_9308 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9309);
												}
												if ((3L < BgL_odepthz00_9308))
													{	/* SawMill/defs.sch 790 */
														obj_t BgL_arg1853z00_9310;

														{	/* SawMill/defs.sch 790 */
															obj_t BgL_arg1854z00_9311;

															BgL_arg1854z00_9311 = (BgL_oclassz00_9303);
															BgL_arg1853z00_9310 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9311,
																3L);
														}
														BgL_res3208z00_9302 =
															(BgL_arg1853z00_9310 == BgL_classz00_9297);
													}
												else
													{	/* SawMill/defs.sch 790 */
														BgL_res3208z00_9302 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3208z00_9302;
							}
					}
				else
					{	/* SawMill/defs.sch 790 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_boxref? */
	obj_t BGl_z62rtl_boxrefzf3z91zzsaw_defsz00(obj_t BgL_envz00_7449,
		obj_t BgL_objz00_7450)
	{
		{	/* SawMill/defs.sch 790 */
			return BBOOL(BGl_rtl_boxrefzf3zf3zzsaw_defsz00(BgL_objz00_7450));
		}

	}



/* rtl_boxref-nil */
	BGL_EXPORTED_DEF BgL_rtl_boxrefz00_bglt
		BGl_rtl_boxrefzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 791 */
			{	/* SawMill/defs.sch 791 */
				obj_t BgL_classz00_5441;

				BgL_classz00_5441 = BGl_rtl_boxrefz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 791 */
					obj_t BgL__ortest_1117z00_5442;

					BgL__ortest_1117z00_5442 = BGL_CLASS_NIL(BgL_classz00_5441);
					if (CBOOL(BgL__ortest_1117z00_5442))
						{	/* SawMill/defs.sch 791 */
							return ((BgL_rtl_boxrefz00_bglt) BgL__ortest_1117z00_5442);
						}
					else
						{	/* SawMill/defs.sch 791 */
							return
								((BgL_rtl_boxrefz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5441));
						}
				}
			}
		}

	}



/* &rtl_boxref-nil */
	BgL_rtl_boxrefz00_bglt BGl_z62rtl_boxrefzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7451)
	{
		{	/* SawMill/defs.sch 791 */
			return BGl_rtl_boxrefzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_boxref-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_boxrefzd2loczd2zzsaw_defsz00(BgL_rtl_boxrefz00_bglt BgL_oz00_265)
	{
		{	/* SawMill/defs.sch 792 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_265)))->BgL_locz00);
		}

	}



/* &rtl_boxref-loc */
	obj_t BGl_z62rtl_boxrefzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7452,
		obj_t BgL_oz00_7453)
	{
		{	/* SawMill/defs.sch 792 */
			return
				BGl_rtl_boxrefzd2loczd2zzsaw_defsz00(
				((BgL_rtl_boxrefz00_bglt) BgL_oz00_7453));
		}

	}



/* rtl_boxref-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_boxrefzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_boxrefz00_bglt
		BgL_oz00_266, obj_t BgL_vz00_267)
	{
		{	/* SawMill/defs.sch 793 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_266)))->BgL_locz00) =
				((obj_t) BgL_vz00_267), BUNSPEC);
		}

	}



/* &rtl_boxref-loc-set! */
	obj_t BGl_z62rtl_boxrefzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7454,
		obj_t BgL_oz00_7455, obj_t BgL_vz00_7456)
	{
		{	/* SawMill/defs.sch 793 */
			return
				BGl_rtl_boxrefzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_boxrefz00_bglt) BgL_oz00_7455), BgL_vz00_7456);
		}

	}



/* make-rtl_effect */
	BGL_EXPORTED_DEF BgL_rtl_effectz00_bglt
		BGl_makezd2rtl_effectzd2zzsaw_defsz00(obj_t BgL_loc1409z00_268)
	{
		{	/* SawMill/defs.sch 796 */
			{	/* SawMill/defs.sch 796 */
				BgL_rtl_effectz00_bglt BgL_new1409z00_9312;

				{	/* SawMill/defs.sch 796 */
					BgL_rtl_effectz00_bglt BgL_new1408z00_9313;

					BgL_new1408z00_9313 =
						((BgL_rtl_effectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_effectz00_bgl))));
					{	/* SawMill/defs.sch 796 */
						long BgL_arg1901z00_9314;

						BgL_arg1901z00_9314 = BGL_CLASS_NUM(BGl_rtl_effectz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1408z00_9313), BgL_arg1901z00_9314);
					}
					BgL_new1409z00_9312 = BgL_new1408z00_9313;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1409z00_9312)))->BgL_locz00) =
					((obj_t) BgL_loc1409z00_268), BUNSPEC);
				return BgL_new1409z00_9312;
			}
		}

	}



/* &make-rtl_effect */
	BgL_rtl_effectz00_bglt BGl_z62makezd2rtl_effectzb0zzsaw_defsz00(obj_t
		BgL_envz00_7457, obj_t BgL_loc1409z00_7458)
	{
		{	/* SawMill/defs.sch 796 */
			return BGl_makezd2rtl_effectzd2zzsaw_defsz00(BgL_loc1409z00_7458);
		}

	}



/* rtl_effect? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_effectzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_269)
	{
		{	/* SawMill/defs.sch 797 */
			{	/* SawMill/defs.sch 797 */
				obj_t BgL_classz00_9315;

				BgL_classz00_9315 = BGl_rtl_effectz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_269))
					{	/* SawMill/defs.sch 797 */
						BgL_objectz00_bglt BgL_arg1858z00_9316;

						BgL_arg1858z00_9316 = (BgL_objectz00_bglt) (BgL_objz00_269);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 797 */
								long BgL_idxz00_9317;

								BgL_idxz00_9317 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9316);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9317 + 2L)) == BgL_classz00_9315);
							}
						else
							{	/* SawMill/defs.sch 797 */
								bool_t BgL_res3209z00_9320;

								{	/* SawMill/defs.sch 797 */
									obj_t BgL_oclassz00_9321;

									{	/* SawMill/defs.sch 797 */
										obj_t BgL_arg1866z00_9322;
										long BgL_arg1867z00_9323;

										BgL_arg1866z00_9322 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 797 */
											long BgL_arg1869z00_9324;

											BgL_arg1869z00_9324 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9316);
											BgL_arg1867z00_9323 = (BgL_arg1869z00_9324 - OBJECT_TYPE);
										}
										BgL_oclassz00_9321 =
											VECTOR_REF(BgL_arg1866z00_9322, BgL_arg1867z00_9323);
									}
									{	/* SawMill/defs.sch 797 */
										bool_t BgL__ortest_1115z00_9325;

										BgL__ortest_1115z00_9325 =
											(BgL_classz00_9315 == BgL_oclassz00_9321);
										if (BgL__ortest_1115z00_9325)
											{	/* SawMill/defs.sch 797 */
												BgL_res3209z00_9320 = BgL__ortest_1115z00_9325;
											}
										else
											{	/* SawMill/defs.sch 797 */
												long BgL_odepthz00_9326;

												{	/* SawMill/defs.sch 797 */
													obj_t BgL_arg1855z00_9327;

													BgL_arg1855z00_9327 = (BgL_oclassz00_9321);
													BgL_odepthz00_9326 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9327);
												}
												if ((2L < BgL_odepthz00_9326))
													{	/* SawMill/defs.sch 797 */
														obj_t BgL_arg1853z00_9328;

														{	/* SawMill/defs.sch 797 */
															obj_t BgL_arg1854z00_9329;

															BgL_arg1854z00_9329 = (BgL_oclassz00_9321);
															BgL_arg1853z00_9328 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9329,
																2L);
														}
														BgL_res3209z00_9320 =
															(BgL_arg1853z00_9328 == BgL_classz00_9315);
													}
												else
													{	/* SawMill/defs.sch 797 */
														BgL_res3209z00_9320 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3209z00_9320;
							}
					}
				else
					{	/* SawMill/defs.sch 797 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_effect? */
	obj_t BGl_z62rtl_effectzf3z91zzsaw_defsz00(obj_t BgL_envz00_7459,
		obj_t BgL_objz00_7460)
	{
		{	/* SawMill/defs.sch 797 */
			return BBOOL(BGl_rtl_effectzf3zf3zzsaw_defsz00(BgL_objz00_7460));
		}

	}



/* rtl_effect-nil */
	BGL_EXPORTED_DEF BgL_rtl_effectz00_bglt
		BGl_rtl_effectzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 798 */
			{	/* SawMill/defs.sch 798 */
				obj_t BgL_classz00_5483;

				BgL_classz00_5483 = BGl_rtl_effectz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 798 */
					obj_t BgL__ortest_1117z00_5484;

					BgL__ortest_1117z00_5484 = BGL_CLASS_NIL(BgL_classz00_5483);
					if (CBOOL(BgL__ortest_1117z00_5484))
						{	/* SawMill/defs.sch 798 */
							return ((BgL_rtl_effectz00_bglt) BgL__ortest_1117z00_5484);
						}
					else
						{	/* SawMill/defs.sch 798 */
							return
								((BgL_rtl_effectz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5483));
						}
				}
			}
		}

	}



/* &rtl_effect-nil */
	BgL_rtl_effectz00_bglt BGl_z62rtl_effectzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7461)
	{
		{	/* SawMill/defs.sch 798 */
			return BGl_rtl_effectzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_effect-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_effectzd2loczd2zzsaw_defsz00(BgL_rtl_effectz00_bglt BgL_oz00_270)
	{
		{	/* SawMill/defs.sch 799 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_270)))->BgL_locz00);
		}

	}



/* &rtl_effect-loc */
	obj_t BGl_z62rtl_effectzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7462,
		obj_t BgL_oz00_7463)
	{
		{	/* SawMill/defs.sch 799 */
			return
				BGl_rtl_effectzd2loczd2zzsaw_defsz00(
				((BgL_rtl_effectz00_bglt) BgL_oz00_7463));
		}

	}



/* rtl_effect-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_effectzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_effectz00_bglt
		BgL_oz00_271, obj_t BgL_vz00_272)
	{
		{	/* SawMill/defs.sch 800 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_271)))->BgL_locz00) =
				((obj_t) BgL_vz00_272), BUNSPEC);
		}

	}



/* &rtl_effect-loc-set! */
	obj_t BGl_z62rtl_effectzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7464,
		obj_t BgL_oz00_7465, obj_t BgL_vz00_7466)
	{
		{	/* SawMill/defs.sch 800 */
			return
				BGl_rtl_effectzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_effectz00_bglt) BgL_oz00_7465), BgL_vz00_7466);
		}

	}



/* make-rtl_storeg */
	BGL_EXPORTED_DEF BgL_rtl_storegz00_bglt
		BGl_makezd2rtl_storegzd2zzsaw_defsz00(obj_t BgL_loc1406z00_273,
		BgL_globalz00_bglt BgL_var1407z00_274)
	{
		{	/* SawMill/defs.sch 803 */
			{	/* SawMill/defs.sch 803 */
				BgL_rtl_storegz00_bglt BgL_new1411z00_9330;

				{	/* SawMill/defs.sch 803 */
					BgL_rtl_storegz00_bglt BgL_new1410z00_9331;

					BgL_new1410z00_9331 =
						((BgL_rtl_storegz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_storegz00_bgl))));
					{	/* SawMill/defs.sch 803 */
						long BgL_arg1902z00_9332;

						BgL_arg1902z00_9332 = BGL_CLASS_NUM(BGl_rtl_storegz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1410z00_9331), BgL_arg1902z00_9332);
					}
					BgL_new1411z00_9330 = BgL_new1410z00_9331;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1411z00_9330)))->BgL_locz00) =
					((obj_t) BgL_loc1406z00_273), BUNSPEC);
				((((BgL_rtl_storegz00_bglt) COBJECT(BgL_new1411z00_9330))->BgL_varz00) =
					((BgL_globalz00_bglt) BgL_var1407z00_274), BUNSPEC);
				return BgL_new1411z00_9330;
			}
		}

	}



/* &make-rtl_storeg */
	BgL_rtl_storegz00_bglt BGl_z62makezd2rtl_storegzb0zzsaw_defsz00(obj_t
		BgL_envz00_7467, obj_t BgL_loc1406z00_7468, obj_t BgL_var1407z00_7469)
	{
		{	/* SawMill/defs.sch 803 */
			return
				BGl_makezd2rtl_storegzd2zzsaw_defsz00(BgL_loc1406z00_7468,
				((BgL_globalz00_bglt) BgL_var1407z00_7469));
		}

	}



/* rtl_storeg? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_storegzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_275)
	{
		{	/* SawMill/defs.sch 804 */
			{	/* SawMill/defs.sch 804 */
				obj_t BgL_classz00_9333;

				BgL_classz00_9333 = BGl_rtl_storegz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_275))
					{	/* SawMill/defs.sch 804 */
						BgL_objectz00_bglt BgL_arg1858z00_9334;

						BgL_arg1858z00_9334 = (BgL_objectz00_bglt) (BgL_objz00_275);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 804 */
								long BgL_idxz00_9335;

								BgL_idxz00_9335 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9334);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9335 + 3L)) == BgL_classz00_9333);
							}
						else
							{	/* SawMill/defs.sch 804 */
								bool_t BgL_res3210z00_9338;

								{	/* SawMill/defs.sch 804 */
									obj_t BgL_oclassz00_9339;

									{	/* SawMill/defs.sch 804 */
										obj_t BgL_arg1866z00_9340;
										long BgL_arg1867z00_9341;

										BgL_arg1866z00_9340 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 804 */
											long BgL_arg1869z00_9342;

											BgL_arg1869z00_9342 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9334);
											BgL_arg1867z00_9341 = (BgL_arg1869z00_9342 - OBJECT_TYPE);
										}
										BgL_oclassz00_9339 =
											VECTOR_REF(BgL_arg1866z00_9340, BgL_arg1867z00_9341);
									}
									{	/* SawMill/defs.sch 804 */
										bool_t BgL__ortest_1115z00_9343;

										BgL__ortest_1115z00_9343 =
											(BgL_classz00_9333 == BgL_oclassz00_9339);
										if (BgL__ortest_1115z00_9343)
											{	/* SawMill/defs.sch 804 */
												BgL_res3210z00_9338 = BgL__ortest_1115z00_9343;
											}
										else
											{	/* SawMill/defs.sch 804 */
												long BgL_odepthz00_9344;

												{	/* SawMill/defs.sch 804 */
													obj_t BgL_arg1855z00_9345;

													BgL_arg1855z00_9345 = (BgL_oclassz00_9339);
													BgL_odepthz00_9344 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9345);
												}
												if ((3L < BgL_odepthz00_9344))
													{	/* SawMill/defs.sch 804 */
														obj_t BgL_arg1853z00_9346;

														{	/* SawMill/defs.sch 804 */
															obj_t BgL_arg1854z00_9347;

															BgL_arg1854z00_9347 = (BgL_oclassz00_9339);
															BgL_arg1853z00_9346 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9347,
																3L);
														}
														BgL_res3210z00_9338 =
															(BgL_arg1853z00_9346 == BgL_classz00_9333);
													}
												else
													{	/* SawMill/defs.sch 804 */
														BgL_res3210z00_9338 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3210z00_9338;
							}
					}
				else
					{	/* SawMill/defs.sch 804 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_storeg? */
	obj_t BGl_z62rtl_storegzf3z91zzsaw_defsz00(obj_t BgL_envz00_7470,
		obj_t BgL_objz00_7471)
	{
		{	/* SawMill/defs.sch 804 */
			return BBOOL(BGl_rtl_storegzf3zf3zzsaw_defsz00(BgL_objz00_7471));
		}

	}



/* rtl_storeg-nil */
	BGL_EXPORTED_DEF BgL_rtl_storegz00_bglt
		BGl_rtl_storegzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 805 */
			{	/* SawMill/defs.sch 805 */
				obj_t BgL_classz00_5525;

				BgL_classz00_5525 = BGl_rtl_storegz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 805 */
					obj_t BgL__ortest_1117z00_5526;

					BgL__ortest_1117z00_5526 = BGL_CLASS_NIL(BgL_classz00_5525);
					if (CBOOL(BgL__ortest_1117z00_5526))
						{	/* SawMill/defs.sch 805 */
							return ((BgL_rtl_storegz00_bglt) BgL__ortest_1117z00_5526);
						}
					else
						{	/* SawMill/defs.sch 805 */
							return
								((BgL_rtl_storegz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5525));
						}
				}
			}
		}

	}



/* &rtl_storeg-nil */
	BgL_rtl_storegz00_bglt BGl_z62rtl_storegzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7472)
	{
		{	/* SawMill/defs.sch 805 */
			return BGl_rtl_storegzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_storeg-var */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_rtl_storegzd2varzd2zzsaw_defsz00(BgL_rtl_storegz00_bglt BgL_oz00_276)
	{
		{	/* SawMill/defs.sch 806 */
			return (((BgL_rtl_storegz00_bglt) COBJECT(BgL_oz00_276))->BgL_varz00);
		}

	}



/* &rtl_storeg-var */
	BgL_globalz00_bglt BGl_z62rtl_storegzd2varzb0zzsaw_defsz00(obj_t
		BgL_envz00_7473, obj_t BgL_oz00_7474)
	{
		{	/* SawMill/defs.sch 806 */
			return
				BGl_rtl_storegzd2varzd2zzsaw_defsz00(
				((BgL_rtl_storegz00_bglt) BgL_oz00_7474));
		}

	}



/* rtl_storeg-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_storegzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_storegz00_bglt
		BgL_oz00_277, BgL_globalz00_bglt BgL_vz00_278)
	{
		{	/* SawMill/defs.sch 807 */
			return
				((((BgL_rtl_storegz00_bglt) COBJECT(BgL_oz00_277))->BgL_varz00) =
				((BgL_globalz00_bglt) BgL_vz00_278), BUNSPEC);
		}

	}



/* &rtl_storeg-var-set! */
	obj_t BGl_z62rtl_storegzd2varzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7475,
		obj_t BgL_oz00_7476, obj_t BgL_vz00_7477)
	{
		{	/* SawMill/defs.sch 807 */
			return
				BGl_rtl_storegzd2varzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_storegz00_bglt) BgL_oz00_7476),
				((BgL_globalz00_bglt) BgL_vz00_7477));
		}

	}



/* rtl_storeg-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_storegzd2loczd2zzsaw_defsz00(BgL_rtl_storegz00_bglt BgL_oz00_279)
	{
		{	/* SawMill/defs.sch 808 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_279)))->BgL_locz00);
		}

	}



/* &rtl_storeg-loc */
	obj_t BGl_z62rtl_storegzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7478,
		obj_t BgL_oz00_7479)
	{
		{	/* SawMill/defs.sch 808 */
			return
				BGl_rtl_storegzd2loczd2zzsaw_defsz00(
				((BgL_rtl_storegz00_bglt) BgL_oz00_7479));
		}

	}



/* rtl_storeg-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_storegzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_storegz00_bglt
		BgL_oz00_280, obj_t BgL_vz00_281)
	{
		{	/* SawMill/defs.sch 809 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_280)))->BgL_locz00) =
				((obj_t) BgL_vz00_281), BUNSPEC);
		}

	}



/* &rtl_storeg-loc-set! */
	obj_t BGl_z62rtl_storegzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7480,
		obj_t BgL_oz00_7481, obj_t BgL_vz00_7482)
	{
		{	/* SawMill/defs.sch 809 */
			return
				BGl_rtl_storegzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_storegz00_bglt) BgL_oz00_7481), BgL_vz00_7482);
		}

	}



/* make-rtl_setfield */
	BGL_EXPORTED_DEF BgL_rtl_setfieldz00_bglt
		BGl_makezd2rtl_setfieldzd2zzsaw_defsz00(obj_t BgL_loc1401z00_282,
		obj_t BgL_name1402z00_283, BgL_typez00_bglt BgL_objtype1403z00_284,
		BgL_typez00_bglt BgL_type1404z00_285)
	{
		{	/* SawMill/defs.sch 812 */
			{	/* SawMill/defs.sch 812 */
				BgL_rtl_setfieldz00_bglt BgL_new1413z00_9348;

				{	/* SawMill/defs.sch 812 */
					BgL_rtl_setfieldz00_bglt BgL_new1412z00_9349;

					BgL_new1412z00_9349 =
						((BgL_rtl_setfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_setfieldz00_bgl))));
					{	/* SawMill/defs.sch 812 */
						long BgL_arg1903z00_9350;

						BgL_arg1903z00_9350 =
							BGL_CLASS_NUM(BGl_rtl_setfieldz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1412z00_9349), BgL_arg1903z00_9350);
					}
					BgL_new1413z00_9348 = BgL_new1412z00_9349;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1413z00_9348)))->BgL_locz00) =
					((obj_t) BgL_loc1401z00_282), BUNSPEC);
				((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_new1413z00_9348))->
						BgL_namez00) = ((obj_t) BgL_name1402z00_283), BUNSPEC);
				((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_new1413z00_9348))->
						BgL_objtypez00) =
					((BgL_typez00_bglt) BgL_objtype1403z00_284), BUNSPEC);
				((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_new1413z00_9348))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1404z00_285), BUNSPEC);
				return BgL_new1413z00_9348;
			}
		}

	}



/* &make-rtl_setfield */
	BgL_rtl_setfieldz00_bglt BGl_z62makezd2rtl_setfieldzb0zzsaw_defsz00(obj_t
		BgL_envz00_7483, obj_t BgL_loc1401z00_7484, obj_t BgL_name1402z00_7485,
		obj_t BgL_objtype1403z00_7486, obj_t BgL_type1404z00_7487)
	{
		{	/* SawMill/defs.sch 812 */
			return
				BGl_makezd2rtl_setfieldzd2zzsaw_defsz00(BgL_loc1401z00_7484,
				BgL_name1402z00_7485, ((BgL_typez00_bglt) BgL_objtype1403z00_7486),
				((BgL_typez00_bglt) BgL_type1404z00_7487));
		}

	}



/* rtl_setfield? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_setfieldzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_286)
	{
		{	/* SawMill/defs.sch 813 */
			{	/* SawMill/defs.sch 813 */
				obj_t BgL_classz00_9351;

				BgL_classz00_9351 = BGl_rtl_setfieldz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_286))
					{	/* SawMill/defs.sch 813 */
						BgL_objectz00_bglt BgL_arg1858z00_9352;

						BgL_arg1858z00_9352 = (BgL_objectz00_bglt) (BgL_objz00_286);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 813 */
								long BgL_idxz00_9353;

								BgL_idxz00_9353 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9352);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9353 + 3L)) == BgL_classz00_9351);
							}
						else
							{	/* SawMill/defs.sch 813 */
								bool_t BgL_res3211z00_9356;

								{	/* SawMill/defs.sch 813 */
									obj_t BgL_oclassz00_9357;

									{	/* SawMill/defs.sch 813 */
										obj_t BgL_arg1866z00_9358;
										long BgL_arg1867z00_9359;

										BgL_arg1866z00_9358 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 813 */
											long BgL_arg1869z00_9360;

											BgL_arg1869z00_9360 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9352);
											BgL_arg1867z00_9359 = (BgL_arg1869z00_9360 - OBJECT_TYPE);
										}
										BgL_oclassz00_9357 =
											VECTOR_REF(BgL_arg1866z00_9358, BgL_arg1867z00_9359);
									}
									{	/* SawMill/defs.sch 813 */
										bool_t BgL__ortest_1115z00_9361;

										BgL__ortest_1115z00_9361 =
											(BgL_classz00_9351 == BgL_oclassz00_9357);
										if (BgL__ortest_1115z00_9361)
											{	/* SawMill/defs.sch 813 */
												BgL_res3211z00_9356 = BgL__ortest_1115z00_9361;
											}
										else
											{	/* SawMill/defs.sch 813 */
												long BgL_odepthz00_9362;

												{	/* SawMill/defs.sch 813 */
													obj_t BgL_arg1855z00_9363;

													BgL_arg1855z00_9363 = (BgL_oclassz00_9357);
													BgL_odepthz00_9362 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9363);
												}
												if ((3L < BgL_odepthz00_9362))
													{	/* SawMill/defs.sch 813 */
														obj_t BgL_arg1853z00_9364;

														{	/* SawMill/defs.sch 813 */
															obj_t BgL_arg1854z00_9365;

															BgL_arg1854z00_9365 = (BgL_oclassz00_9357);
															BgL_arg1853z00_9364 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9365,
																3L);
														}
														BgL_res3211z00_9356 =
															(BgL_arg1853z00_9364 == BgL_classz00_9351);
													}
												else
													{	/* SawMill/defs.sch 813 */
														BgL_res3211z00_9356 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3211z00_9356;
							}
					}
				else
					{	/* SawMill/defs.sch 813 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_setfield? */
	obj_t BGl_z62rtl_setfieldzf3z91zzsaw_defsz00(obj_t BgL_envz00_7488,
		obj_t BgL_objz00_7489)
	{
		{	/* SawMill/defs.sch 813 */
			return BBOOL(BGl_rtl_setfieldzf3zf3zzsaw_defsz00(BgL_objz00_7489));
		}

	}



/* rtl_setfield-nil */
	BGL_EXPORTED_DEF BgL_rtl_setfieldz00_bglt
		BGl_rtl_setfieldzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 814 */
			{	/* SawMill/defs.sch 814 */
				obj_t BgL_classz00_5567;

				BgL_classz00_5567 = BGl_rtl_setfieldz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 814 */
					obj_t BgL__ortest_1117z00_5568;

					BgL__ortest_1117z00_5568 = BGL_CLASS_NIL(BgL_classz00_5567);
					if (CBOOL(BgL__ortest_1117z00_5568))
						{	/* SawMill/defs.sch 814 */
							return ((BgL_rtl_setfieldz00_bglt) BgL__ortest_1117z00_5568);
						}
					else
						{	/* SawMill/defs.sch 814 */
							return
								((BgL_rtl_setfieldz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5567));
						}
				}
			}
		}

	}



/* &rtl_setfield-nil */
	BgL_rtl_setfieldz00_bglt BGl_z62rtl_setfieldzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7490)
	{
		{	/* SawMill/defs.sch 814 */
			return BGl_rtl_setfieldzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_setfield-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_setfieldzd2typezd2zzsaw_defsz00(BgL_rtl_setfieldz00_bglt
		BgL_oz00_287)
	{
		{	/* SawMill/defs.sch 815 */
			return (((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_oz00_287))->BgL_typez00);
		}

	}



/* &rtl_setfield-type */
	BgL_typez00_bglt BGl_z62rtl_setfieldzd2typezb0zzsaw_defsz00(obj_t
		BgL_envz00_7491, obj_t BgL_oz00_7492)
	{
		{	/* SawMill/defs.sch 815 */
			return
				BGl_rtl_setfieldzd2typezd2zzsaw_defsz00(
				((BgL_rtl_setfieldz00_bglt) BgL_oz00_7492));
		}

	}



/* rtl_setfield-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_setfieldzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_setfieldz00_bglt
		BgL_oz00_288, BgL_typez00_bglt BgL_vz00_289)
	{
		{	/* SawMill/defs.sch 816 */
			return
				((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_oz00_288))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_289), BUNSPEC);
		}

	}



/* &rtl_setfield-type-set! */
	obj_t BGl_z62rtl_setfieldzd2typezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7493, obj_t BgL_oz00_7494, obj_t BgL_vz00_7495)
	{
		{	/* SawMill/defs.sch 816 */
			return
				BGl_rtl_setfieldzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_setfieldz00_bglt) BgL_oz00_7494),
				((BgL_typez00_bglt) BgL_vz00_7495));
		}

	}



/* rtl_setfield-objtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_setfieldzd2objtypezd2zzsaw_defsz00(BgL_rtl_setfieldz00_bglt
		BgL_oz00_290)
	{
		{	/* SawMill/defs.sch 817 */
			return
				(((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_oz00_290))->BgL_objtypez00);
		}

	}



/* &rtl_setfield-objtype */
	BgL_typez00_bglt BGl_z62rtl_setfieldzd2objtypezb0zzsaw_defsz00(obj_t
		BgL_envz00_7496, obj_t BgL_oz00_7497)
	{
		{	/* SawMill/defs.sch 817 */
			return
				BGl_rtl_setfieldzd2objtypezd2zzsaw_defsz00(
				((BgL_rtl_setfieldz00_bglt) BgL_oz00_7497));
		}

	}



/* rtl_setfield-objtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_setfieldzd2objtypezd2setz12z12zzsaw_defsz00(BgL_rtl_setfieldz00_bglt
		BgL_oz00_291, BgL_typez00_bglt BgL_vz00_292)
	{
		{	/* SawMill/defs.sch 818 */
			return
				((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_oz00_291))->BgL_objtypez00) =
				((BgL_typez00_bglt) BgL_vz00_292), BUNSPEC);
		}

	}



/* &rtl_setfield-objtype-set! */
	obj_t BGl_z62rtl_setfieldzd2objtypezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7498, obj_t BgL_oz00_7499, obj_t BgL_vz00_7500)
	{
		{	/* SawMill/defs.sch 818 */
			return
				BGl_rtl_setfieldzd2objtypezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_setfieldz00_bglt) BgL_oz00_7499),
				((BgL_typez00_bglt) BgL_vz00_7500));
		}

	}



/* rtl_setfield-name */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_setfieldzd2namezd2zzsaw_defsz00(BgL_rtl_setfieldz00_bglt
		BgL_oz00_293)
	{
		{	/* SawMill/defs.sch 819 */
			return (((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_oz00_293))->BgL_namez00);
		}

	}



/* &rtl_setfield-name */
	obj_t BGl_z62rtl_setfieldzd2namezb0zzsaw_defsz00(obj_t BgL_envz00_7501,
		obj_t BgL_oz00_7502)
	{
		{	/* SawMill/defs.sch 819 */
			return
				BGl_rtl_setfieldzd2namezd2zzsaw_defsz00(
				((BgL_rtl_setfieldz00_bglt) BgL_oz00_7502));
		}

	}



/* rtl_setfield-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_setfieldzd2namezd2setz12z12zzsaw_defsz00(BgL_rtl_setfieldz00_bglt
		BgL_oz00_294, obj_t BgL_vz00_295)
	{
		{	/* SawMill/defs.sch 820 */
			return
				((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_oz00_294))->BgL_namez00) =
				((obj_t) BgL_vz00_295), BUNSPEC);
		}

	}



/* &rtl_setfield-name-set! */
	obj_t BGl_z62rtl_setfieldzd2namezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7503, obj_t BgL_oz00_7504, obj_t BgL_vz00_7505)
	{
		{	/* SawMill/defs.sch 820 */
			return
				BGl_rtl_setfieldzd2namezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_setfieldz00_bglt) BgL_oz00_7504), BgL_vz00_7505);
		}

	}



/* rtl_setfield-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_setfieldzd2loczd2zzsaw_defsz00(BgL_rtl_setfieldz00_bglt
		BgL_oz00_296)
	{
		{	/* SawMill/defs.sch 821 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_296)))->BgL_locz00);
		}

	}



/* &rtl_setfield-loc */
	obj_t BGl_z62rtl_setfieldzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7506,
		obj_t BgL_oz00_7507)
	{
		{	/* SawMill/defs.sch 821 */
			return
				BGl_rtl_setfieldzd2loczd2zzsaw_defsz00(
				((BgL_rtl_setfieldz00_bglt) BgL_oz00_7507));
		}

	}



/* rtl_setfield-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_setfieldzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_setfieldz00_bglt
		BgL_oz00_297, obj_t BgL_vz00_298)
	{
		{	/* SawMill/defs.sch 822 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_297)))->BgL_locz00) =
				((obj_t) BgL_vz00_298), BUNSPEC);
		}

	}



/* &rtl_setfield-loc-set! */
	obj_t BGl_z62rtl_setfieldzd2loczd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7508, obj_t BgL_oz00_7509, obj_t BgL_vz00_7510)
	{
		{	/* SawMill/defs.sch 822 */
			return
				BGl_rtl_setfieldzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_setfieldz00_bglt) BgL_oz00_7509), BgL_vz00_7510);
		}

	}



/* make-rtl_vset */
	BGL_EXPORTED_DEF BgL_rtl_vsetz00_bglt
		BGl_makezd2rtl_vsetzd2zzsaw_defsz00(obj_t BgL_loc1396z00_299,
		BgL_typez00_bglt BgL_type1397z00_300, BgL_typez00_bglt BgL_vtype1398z00_301)
	{
		{	/* SawMill/defs.sch 825 */
			{	/* SawMill/defs.sch 825 */
				BgL_rtl_vsetz00_bglt BgL_new1415z00_9366;

				{	/* SawMill/defs.sch 825 */
					BgL_rtl_vsetz00_bglt BgL_new1414z00_9367;

					BgL_new1414z00_9367 =
						((BgL_rtl_vsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_vsetz00_bgl))));
					{	/* SawMill/defs.sch 825 */
						long BgL_arg1904z00_9368;

						BgL_arg1904z00_9368 = BGL_CLASS_NUM(BGl_rtl_vsetz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1414z00_9367), BgL_arg1904z00_9368);
					}
					BgL_new1415z00_9366 = BgL_new1414z00_9367;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1415z00_9366)))->BgL_locz00) =
					((obj_t) BgL_loc1396z00_299), BUNSPEC);
				((((BgL_rtl_vsetz00_bglt) COBJECT(BgL_new1415z00_9366))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1397z00_300), BUNSPEC);
				((((BgL_rtl_vsetz00_bglt) COBJECT(BgL_new1415z00_9366))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1398z00_301), BUNSPEC);
				return BgL_new1415z00_9366;
			}
		}

	}



/* &make-rtl_vset */
	BgL_rtl_vsetz00_bglt BGl_z62makezd2rtl_vsetzb0zzsaw_defsz00(obj_t
		BgL_envz00_7511, obj_t BgL_loc1396z00_7512, obj_t BgL_type1397z00_7513,
		obj_t BgL_vtype1398z00_7514)
	{
		{	/* SawMill/defs.sch 825 */
			return
				BGl_makezd2rtl_vsetzd2zzsaw_defsz00(BgL_loc1396z00_7512,
				((BgL_typez00_bglt) BgL_type1397z00_7513),
				((BgL_typez00_bglt) BgL_vtype1398z00_7514));
		}

	}



/* rtl_vset? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_vsetzf3zf3zzsaw_defsz00(obj_t BgL_objz00_302)
	{
		{	/* SawMill/defs.sch 826 */
			{	/* SawMill/defs.sch 826 */
				obj_t BgL_classz00_9369;

				BgL_classz00_9369 = BGl_rtl_vsetz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_302))
					{	/* SawMill/defs.sch 826 */
						BgL_objectz00_bglt BgL_arg1858z00_9370;

						BgL_arg1858z00_9370 = (BgL_objectz00_bglt) (BgL_objz00_302);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 826 */
								long BgL_idxz00_9371;

								BgL_idxz00_9371 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9370);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9371 + 3L)) == BgL_classz00_9369);
							}
						else
							{	/* SawMill/defs.sch 826 */
								bool_t BgL_res3212z00_9374;

								{	/* SawMill/defs.sch 826 */
									obj_t BgL_oclassz00_9375;

									{	/* SawMill/defs.sch 826 */
										obj_t BgL_arg1866z00_9376;
										long BgL_arg1867z00_9377;

										BgL_arg1866z00_9376 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 826 */
											long BgL_arg1869z00_9378;

											BgL_arg1869z00_9378 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9370);
											BgL_arg1867z00_9377 = (BgL_arg1869z00_9378 - OBJECT_TYPE);
										}
										BgL_oclassz00_9375 =
											VECTOR_REF(BgL_arg1866z00_9376, BgL_arg1867z00_9377);
									}
									{	/* SawMill/defs.sch 826 */
										bool_t BgL__ortest_1115z00_9379;

										BgL__ortest_1115z00_9379 =
											(BgL_classz00_9369 == BgL_oclassz00_9375);
										if (BgL__ortest_1115z00_9379)
											{	/* SawMill/defs.sch 826 */
												BgL_res3212z00_9374 = BgL__ortest_1115z00_9379;
											}
										else
											{	/* SawMill/defs.sch 826 */
												long BgL_odepthz00_9380;

												{	/* SawMill/defs.sch 826 */
													obj_t BgL_arg1855z00_9381;

													BgL_arg1855z00_9381 = (BgL_oclassz00_9375);
													BgL_odepthz00_9380 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9381);
												}
												if ((3L < BgL_odepthz00_9380))
													{	/* SawMill/defs.sch 826 */
														obj_t BgL_arg1853z00_9382;

														{	/* SawMill/defs.sch 826 */
															obj_t BgL_arg1854z00_9383;

															BgL_arg1854z00_9383 = (BgL_oclassz00_9375);
															BgL_arg1853z00_9382 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9383,
																3L);
														}
														BgL_res3212z00_9374 =
															(BgL_arg1853z00_9382 == BgL_classz00_9369);
													}
												else
													{	/* SawMill/defs.sch 826 */
														BgL_res3212z00_9374 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3212z00_9374;
							}
					}
				else
					{	/* SawMill/defs.sch 826 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_vset? */
	obj_t BGl_z62rtl_vsetzf3z91zzsaw_defsz00(obj_t BgL_envz00_7515,
		obj_t BgL_objz00_7516)
	{
		{	/* SawMill/defs.sch 826 */
			return BBOOL(BGl_rtl_vsetzf3zf3zzsaw_defsz00(BgL_objz00_7516));
		}

	}



/* rtl_vset-nil */
	BGL_EXPORTED_DEF BgL_rtl_vsetz00_bglt BGl_rtl_vsetzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 827 */
			{	/* SawMill/defs.sch 827 */
				obj_t BgL_classz00_5609;

				BgL_classz00_5609 = BGl_rtl_vsetz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 827 */
					obj_t BgL__ortest_1117z00_5610;

					BgL__ortest_1117z00_5610 = BGL_CLASS_NIL(BgL_classz00_5609);
					if (CBOOL(BgL__ortest_1117z00_5610))
						{	/* SawMill/defs.sch 827 */
							return ((BgL_rtl_vsetz00_bglt) BgL__ortest_1117z00_5610);
						}
					else
						{	/* SawMill/defs.sch 827 */
							return
								((BgL_rtl_vsetz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5609));
						}
				}
			}
		}

	}



/* &rtl_vset-nil */
	BgL_rtl_vsetz00_bglt BGl_z62rtl_vsetzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7517)
	{
		{	/* SawMill/defs.sch 827 */
			return BGl_rtl_vsetzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_vset-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_vsetzd2vtypezd2zzsaw_defsz00(BgL_rtl_vsetz00_bglt BgL_oz00_303)
	{
		{	/* SawMill/defs.sch 828 */
			return (((BgL_rtl_vsetz00_bglt) COBJECT(BgL_oz00_303))->BgL_vtypez00);
		}

	}



/* &rtl_vset-vtype */
	BgL_typez00_bglt BGl_z62rtl_vsetzd2vtypezb0zzsaw_defsz00(obj_t
		BgL_envz00_7518, obj_t BgL_oz00_7519)
	{
		{	/* SawMill/defs.sch 828 */
			return
				BGl_rtl_vsetzd2vtypezd2zzsaw_defsz00(
				((BgL_rtl_vsetz00_bglt) BgL_oz00_7519));
		}

	}



/* rtl_vset-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_vsetzd2vtypezd2setz12z12zzsaw_defsz00(BgL_rtl_vsetz00_bglt
		BgL_oz00_304, BgL_typez00_bglt BgL_vz00_305)
	{
		{	/* SawMill/defs.sch 829 */
			return
				((((BgL_rtl_vsetz00_bglt) COBJECT(BgL_oz00_304))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_305), BUNSPEC);
		}

	}



/* &rtl_vset-vtype-set! */
	obj_t BGl_z62rtl_vsetzd2vtypezd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7520,
		obj_t BgL_oz00_7521, obj_t BgL_vz00_7522)
	{
		{	/* SawMill/defs.sch 829 */
			return
				BGl_rtl_vsetzd2vtypezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vsetz00_bglt) BgL_oz00_7521),
				((BgL_typez00_bglt) BgL_vz00_7522));
		}

	}



/* rtl_vset-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_vsetzd2typezd2zzsaw_defsz00(BgL_rtl_vsetz00_bglt BgL_oz00_306)
	{
		{	/* SawMill/defs.sch 830 */
			return (((BgL_rtl_vsetz00_bglt) COBJECT(BgL_oz00_306))->BgL_typez00);
		}

	}



/* &rtl_vset-type */
	BgL_typez00_bglt BGl_z62rtl_vsetzd2typezb0zzsaw_defsz00(obj_t BgL_envz00_7523,
		obj_t BgL_oz00_7524)
	{
		{	/* SawMill/defs.sch 830 */
			return
				BGl_rtl_vsetzd2typezd2zzsaw_defsz00(
				((BgL_rtl_vsetz00_bglt) BgL_oz00_7524));
		}

	}



/* rtl_vset-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_vsetzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_vsetz00_bglt
		BgL_oz00_307, BgL_typez00_bglt BgL_vz00_308)
	{
		{	/* SawMill/defs.sch 831 */
			return
				((((BgL_rtl_vsetz00_bglt) COBJECT(BgL_oz00_307))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_308), BUNSPEC);
		}

	}



/* &rtl_vset-type-set! */
	obj_t BGl_z62rtl_vsetzd2typezd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7525,
		obj_t BgL_oz00_7526, obj_t BgL_vz00_7527)
	{
		{	/* SawMill/defs.sch 831 */
			return
				BGl_rtl_vsetzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vsetz00_bglt) BgL_oz00_7526),
				((BgL_typez00_bglt) BgL_vz00_7527));
		}

	}



/* rtl_vset-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_vsetzd2loczd2zzsaw_defsz00(BgL_rtl_vsetz00_bglt
		BgL_oz00_309)
	{
		{	/* SawMill/defs.sch 832 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_309)))->BgL_locz00);
		}

	}



/* &rtl_vset-loc */
	obj_t BGl_z62rtl_vsetzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7528,
		obj_t BgL_oz00_7529)
	{
		{	/* SawMill/defs.sch 832 */
			return
				BGl_rtl_vsetzd2loczd2zzsaw_defsz00(
				((BgL_rtl_vsetz00_bglt) BgL_oz00_7529));
		}

	}



/* rtl_vset-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_vsetzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_vsetz00_bglt
		BgL_oz00_310, obj_t BgL_vz00_311)
	{
		{	/* SawMill/defs.sch 833 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_310)))->BgL_locz00) =
				((obj_t) BgL_vz00_311), BUNSPEC);
		}

	}



/* &rtl_vset-loc-set! */
	obj_t BGl_z62rtl_vsetzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7530,
		obj_t BgL_oz00_7531, obj_t BgL_vz00_7532)
	{
		{	/* SawMill/defs.sch 833 */
			return
				BGl_rtl_vsetzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vsetz00_bglt) BgL_oz00_7531), BgL_vz00_7532);
		}

	}



/* make-rtl_boxset */
	BGL_EXPORTED_DEF BgL_rtl_boxsetz00_bglt
		BGl_makezd2rtl_boxsetzd2zzsaw_defsz00(obj_t BgL_loc1394z00_312)
	{
		{	/* SawMill/defs.sch 836 */
			{	/* SawMill/defs.sch 836 */
				BgL_rtl_boxsetz00_bglt BgL_new1417z00_9384;

				{	/* SawMill/defs.sch 836 */
					BgL_rtl_boxsetz00_bglt BgL_new1416z00_9385;

					BgL_new1416z00_9385 =
						((BgL_rtl_boxsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_boxsetz00_bgl))));
					{	/* SawMill/defs.sch 836 */
						long BgL_arg1905z00_9386;

						BgL_arg1905z00_9386 = BGL_CLASS_NUM(BGl_rtl_boxsetz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1416z00_9385), BgL_arg1905z00_9386);
					}
					BgL_new1417z00_9384 = BgL_new1416z00_9385;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1417z00_9384)))->BgL_locz00) =
					((obj_t) BgL_loc1394z00_312), BUNSPEC);
				return BgL_new1417z00_9384;
			}
		}

	}



/* &make-rtl_boxset */
	BgL_rtl_boxsetz00_bglt BGl_z62makezd2rtl_boxsetzb0zzsaw_defsz00(obj_t
		BgL_envz00_7533, obj_t BgL_loc1394z00_7534)
	{
		{	/* SawMill/defs.sch 836 */
			return BGl_makezd2rtl_boxsetzd2zzsaw_defsz00(BgL_loc1394z00_7534);
		}

	}



/* rtl_boxset? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_boxsetzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_313)
	{
		{	/* SawMill/defs.sch 837 */
			{	/* SawMill/defs.sch 837 */
				obj_t BgL_classz00_9387;

				BgL_classz00_9387 = BGl_rtl_boxsetz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_313))
					{	/* SawMill/defs.sch 837 */
						BgL_objectz00_bglt BgL_arg1858z00_9388;

						BgL_arg1858z00_9388 = (BgL_objectz00_bglt) (BgL_objz00_313);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 837 */
								long BgL_idxz00_9389;

								BgL_idxz00_9389 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9388);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9389 + 3L)) == BgL_classz00_9387);
							}
						else
							{	/* SawMill/defs.sch 837 */
								bool_t BgL_res3213z00_9392;

								{	/* SawMill/defs.sch 837 */
									obj_t BgL_oclassz00_9393;

									{	/* SawMill/defs.sch 837 */
										obj_t BgL_arg1866z00_9394;
										long BgL_arg1867z00_9395;

										BgL_arg1866z00_9394 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 837 */
											long BgL_arg1869z00_9396;

											BgL_arg1869z00_9396 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9388);
											BgL_arg1867z00_9395 = (BgL_arg1869z00_9396 - OBJECT_TYPE);
										}
										BgL_oclassz00_9393 =
											VECTOR_REF(BgL_arg1866z00_9394, BgL_arg1867z00_9395);
									}
									{	/* SawMill/defs.sch 837 */
										bool_t BgL__ortest_1115z00_9397;

										BgL__ortest_1115z00_9397 =
											(BgL_classz00_9387 == BgL_oclassz00_9393);
										if (BgL__ortest_1115z00_9397)
											{	/* SawMill/defs.sch 837 */
												BgL_res3213z00_9392 = BgL__ortest_1115z00_9397;
											}
										else
											{	/* SawMill/defs.sch 837 */
												long BgL_odepthz00_9398;

												{	/* SawMill/defs.sch 837 */
													obj_t BgL_arg1855z00_9399;

													BgL_arg1855z00_9399 = (BgL_oclassz00_9393);
													BgL_odepthz00_9398 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9399);
												}
												if ((3L < BgL_odepthz00_9398))
													{	/* SawMill/defs.sch 837 */
														obj_t BgL_arg1853z00_9400;

														{	/* SawMill/defs.sch 837 */
															obj_t BgL_arg1854z00_9401;

															BgL_arg1854z00_9401 = (BgL_oclassz00_9393);
															BgL_arg1853z00_9400 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9401,
																3L);
														}
														BgL_res3213z00_9392 =
															(BgL_arg1853z00_9400 == BgL_classz00_9387);
													}
												else
													{	/* SawMill/defs.sch 837 */
														BgL_res3213z00_9392 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3213z00_9392;
							}
					}
				else
					{	/* SawMill/defs.sch 837 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_boxset? */
	obj_t BGl_z62rtl_boxsetzf3z91zzsaw_defsz00(obj_t BgL_envz00_7535,
		obj_t BgL_objz00_7536)
	{
		{	/* SawMill/defs.sch 837 */
			return BBOOL(BGl_rtl_boxsetzf3zf3zzsaw_defsz00(BgL_objz00_7536));
		}

	}



/* rtl_boxset-nil */
	BGL_EXPORTED_DEF BgL_rtl_boxsetz00_bglt
		BGl_rtl_boxsetzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 838 */
			{	/* SawMill/defs.sch 838 */
				obj_t BgL_classz00_5651;

				BgL_classz00_5651 = BGl_rtl_boxsetz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 838 */
					obj_t BgL__ortest_1117z00_5652;

					BgL__ortest_1117z00_5652 = BGL_CLASS_NIL(BgL_classz00_5651);
					if (CBOOL(BgL__ortest_1117z00_5652))
						{	/* SawMill/defs.sch 838 */
							return ((BgL_rtl_boxsetz00_bglt) BgL__ortest_1117z00_5652);
						}
					else
						{	/* SawMill/defs.sch 838 */
							return
								((BgL_rtl_boxsetz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5651));
						}
				}
			}
		}

	}



/* &rtl_boxset-nil */
	BgL_rtl_boxsetz00_bglt BGl_z62rtl_boxsetzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7537)
	{
		{	/* SawMill/defs.sch 838 */
			return BGl_rtl_boxsetzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_boxset-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_boxsetzd2loczd2zzsaw_defsz00(BgL_rtl_boxsetz00_bglt BgL_oz00_314)
	{
		{	/* SawMill/defs.sch 839 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_314)))->BgL_locz00);
		}

	}



/* &rtl_boxset-loc */
	obj_t BGl_z62rtl_boxsetzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7538,
		obj_t BgL_oz00_7539)
	{
		{	/* SawMill/defs.sch 839 */
			return
				BGl_rtl_boxsetzd2loczd2zzsaw_defsz00(
				((BgL_rtl_boxsetz00_bglt) BgL_oz00_7539));
		}

	}



/* rtl_boxset-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_boxsetzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_boxsetz00_bglt
		BgL_oz00_315, obj_t BgL_vz00_316)
	{
		{	/* SawMill/defs.sch 840 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_315)))->BgL_locz00) =
				((obj_t) BgL_vz00_316), BUNSPEC);
		}

	}



/* &rtl_boxset-loc-set! */
	obj_t BGl_z62rtl_boxsetzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7540,
		obj_t BgL_oz00_7541, obj_t BgL_vz00_7542)
	{
		{	/* SawMill/defs.sch 840 */
			return
				BGl_rtl_boxsetzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_boxsetz00_bglt) BgL_oz00_7541), BgL_vz00_7542);
		}

	}



/* make-rtl_new */
	BGL_EXPORTED_DEF BgL_rtl_newz00_bglt BGl_makezd2rtl_newzd2zzsaw_defsz00(obj_t
		BgL_loc1390z00_317, BgL_typez00_bglt BgL_type1391z00_318,
		obj_t BgL_constr1392z00_319)
	{
		{	/* SawMill/defs.sch 843 */
			{	/* SawMill/defs.sch 843 */
				BgL_rtl_newz00_bglt BgL_new1420z00_9402;

				{	/* SawMill/defs.sch 843 */
					BgL_rtl_newz00_bglt BgL_new1419z00_9403;

					BgL_new1419z00_9403 =
						((BgL_rtl_newz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_newz00_bgl))));
					{	/* SawMill/defs.sch 843 */
						long BgL_arg1906z00_9404;

						BgL_arg1906z00_9404 = BGL_CLASS_NUM(BGl_rtl_newz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1419z00_9403), BgL_arg1906z00_9404);
					}
					BgL_new1420z00_9402 = BgL_new1419z00_9403;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1420z00_9402)))->BgL_locz00) =
					((obj_t) BgL_loc1390z00_317), BUNSPEC);
				((((BgL_rtl_newz00_bglt) COBJECT(BgL_new1420z00_9402))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1391z00_318), BUNSPEC);
				((((BgL_rtl_newz00_bglt) COBJECT(BgL_new1420z00_9402))->BgL_constrz00) =
					((obj_t) BgL_constr1392z00_319), BUNSPEC);
				return BgL_new1420z00_9402;
			}
		}

	}



/* &make-rtl_new */
	BgL_rtl_newz00_bglt BGl_z62makezd2rtl_newzb0zzsaw_defsz00(obj_t
		BgL_envz00_7543, obj_t BgL_loc1390z00_7544, obj_t BgL_type1391z00_7545,
		obj_t BgL_constr1392z00_7546)
	{
		{	/* SawMill/defs.sch 843 */
			return
				BGl_makezd2rtl_newzd2zzsaw_defsz00(BgL_loc1390z00_7544,
				((BgL_typez00_bglt) BgL_type1391z00_7545), BgL_constr1392z00_7546);
		}

	}



/* rtl_new? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_newzf3zf3zzsaw_defsz00(obj_t BgL_objz00_320)
	{
		{	/* SawMill/defs.sch 844 */
			{	/* SawMill/defs.sch 844 */
				obj_t BgL_classz00_9405;

				BgL_classz00_9405 = BGl_rtl_newz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_320))
					{	/* SawMill/defs.sch 844 */
						BgL_objectz00_bglt BgL_arg1858z00_9406;

						BgL_arg1858z00_9406 = (BgL_objectz00_bglt) (BgL_objz00_320);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 844 */
								long BgL_idxz00_9407;

								BgL_idxz00_9407 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9406);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9407 + 2L)) == BgL_classz00_9405);
							}
						else
							{	/* SawMill/defs.sch 844 */
								bool_t BgL_res3214z00_9410;

								{	/* SawMill/defs.sch 844 */
									obj_t BgL_oclassz00_9411;

									{	/* SawMill/defs.sch 844 */
										obj_t BgL_arg1866z00_9412;
										long BgL_arg1867z00_9413;

										BgL_arg1866z00_9412 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 844 */
											long BgL_arg1869z00_9414;

											BgL_arg1869z00_9414 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9406);
											BgL_arg1867z00_9413 = (BgL_arg1869z00_9414 - OBJECT_TYPE);
										}
										BgL_oclassz00_9411 =
											VECTOR_REF(BgL_arg1866z00_9412, BgL_arg1867z00_9413);
									}
									{	/* SawMill/defs.sch 844 */
										bool_t BgL__ortest_1115z00_9415;

										BgL__ortest_1115z00_9415 =
											(BgL_classz00_9405 == BgL_oclassz00_9411);
										if (BgL__ortest_1115z00_9415)
											{	/* SawMill/defs.sch 844 */
												BgL_res3214z00_9410 = BgL__ortest_1115z00_9415;
											}
										else
											{	/* SawMill/defs.sch 844 */
												long BgL_odepthz00_9416;

												{	/* SawMill/defs.sch 844 */
													obj_t BgL_arg1855z00_9417;

													BgL_arg1855z00_9417 = (BgL_oclassz00_9411);
													BgL_odepthz00_9416 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9417);
												}
												if ((2L < BgL_odepthz00_9416))
													{	/* SawMill/defs.sch 844 */
														obj_t BgL_arg1853z00_9418;

														{	/* SawMill/defs.sch 844 */
															obj_t BgL_arg1854z00_9419;

															BgL_arg1854z00_9419 = (BgL_oclassz00_9411);
															BgL_arg1853z00_9418 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9419,
																2L);
														}
														BgL_res3214z00_9410 =
															(BgL_arg1853z00_9418 == BgL_classz00_9405);
													}
												else
													{	/* SawMill/defs.sch 844 */
														BgL_res3214z00_9410 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3214z00_9410;
							}
					}
				else
					{	/* SawMill/defs.sch 844 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_new? */
	obj_t BGl_z62rtl_newzf3z91zzsaw_defsz00(obj_t BgL_envz00_7547,
		obj_t BgL_objz00_7548)
	{
		{	/* SawMill/defs.sch 844 */
			return BBOOL(BGl_rtl_newzf3zf3zzsaw_defsz00(BgL_objz00_7548));
		}

	}



/* rtl_new-nil */
	BGL_EXPORTED_DEF BgL_rtl_newz00_bglt BGl_rtl_newzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 845 */
			{	/* SawMill/defs.sch 845 */
				obj_t BgL_classz00_5693;

				BgL_classz00_5693 = BGl_rtl_newz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 845 */
					obj_t BgL__ortest_1117z00_5694;

					BgL__ortest_1117z00_5694 = BGL_CLASS_NIL(BgL_classz00_5693);
					if (CBOOL(BgL__ortest_1117z00_5694))
						{	/* SawMill/defs.sch 845 */
							return ((BgL_rtl_newz00_bglt) BgL__ortest_1117z00_5694);
						}
					else
						{	/* SawMill/defs.sch 845 */
							return
								((BgL_rtl_newz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5693));
						}
				}
			}
		}

	}



/* &rtl_new-nil */
	BgL_rtl_newz00_bglt BGl_z62rtl_newzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7549)
	{
		{	/* SawMill/defs.sch 845 */
			return BGl_rtl_newzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_new-constr */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_newzd2constrzd2zzsaw_defsz00(BgL_rtl_newz00_bglt BgL_oz00_321)
	{
		{	/* SawMill/defs.sch 846 */
			return (((BgL_rtl_newz00_bglt) COBJECT(BgL_oz00_321))->BgL_constrz00);
		}

	}



/* &rtl_new-constr */
	obj_t BGl_z62rtl_newzd2constrzb0zzsaw_defsz00(obj_t BgL_envz00_7550,
		obj_t BgL_oz00_7551)
	{
		{	/* SawMill/defs.sch 846 */
			return
				BGl_rtl_newzd2constrzd2zzsaw_defsz00(
				((BgL_rtl_newz00_bglt) BgL_oz00_7551));
		}

	}



/* rtl_new-constr-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_newzd2constrzd2setz12z12zzsaw_defsz00(BgL_rtl_newz00_bglt
		BgL_oz00_322, obj_t BgL_vz00_323)
	{
		{	/* SawMill/defs.sch 847 */
			return
				((((BgL_rtl_newz00_bglt) COBJECT(BgL_oz00_322))->BgL_constrz00) =
				((obj_t) BgL_vz00_323), BUNSPEC);
		}

	}



/* &rtl_new-constr-set! */
	obj_t BGl_z62rtl_newzd2constrzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7552,
		obj_t BgL_oz00_7553, obj_t BgL_vz00_7554)
	{
		{	/* SawMill/defs.sch 847 */
			return
				BGl_rtl_newzd2constrzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_newz00_bglt) BgL_oz00_7553), BgL_vz00_7554);
		}

	}



/* rtl_new-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_newzd2typezd2zzsaw_defsz00(BgL_rtl_newz00_bglt BgL_oz00_324)
	{
		{	/* SawMill/defs.sch 848 */
			return (((BgL_rtl_newz00_bglt) COBJECT(BgL_oz00_324))->BgL_typez00);
		}

	}



/* &rtl_new-type */
	BgL_typez00_bglt BGl_z62rtl_newzd2typezb0zzsaw_defsz00(obj_t BgL_envz00_7555,
		obj_t BgL_oz00_7556)
	{
		{	/* SawMill/defs.sch 848 */
			return
				BGl_rtl_newzd2typezd2zzsaw_defsz00(
				((BgL_rtl_newz00_bglt) BgL_oz00_7556));
		}

	}



/* rtl_new-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_newzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_newz00_bglt
		BgL_oz00_325, BgL_typez00_bglt BgL_vz00_326)
	{
		{	/* SawMill/defs.sch 849 */
			return
				((((BgL_rtl_newz00_bglt) COBJECT(BgL_oz00_325))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_326), BUNSPEC);
		}

	}



/* &rtl_new-type-set! */
	obj_t BGl_z62rtl_newzd2typezd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7557,
		obj_t BgL_oz00_7558, obj_t BgL_vz00_7559)
	{
		{	/* SawMill/defs.sch 849 */
			return
				BGl_rtl_newzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_newz00_bglt) BgL_oz00_7558),
				((BgL_typez00_bglt) BgL_vz00_7559));
		}

	}



/* rtl_new-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_newzd2loczd2zzsaw_defsz00(BgL_rtl_newz00_bglt
		BgL_oz00_327)
	{
		{	/* SawMill/defs.sch 850 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_327)))->BgL_locz00);
		}

	}



/* &rtl_new-loc */
	obj_t BGl_z62rtl_newzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7560,
		obj_t BgL_oz00_7561)
	{
		{	/* SawMill/defs.sch 850 */
			return
				BGl_rtl_newzd2loczd2zzsaw_defsz00(
				((BgL_rtl_newz00_bglt) BgL_oz00_7561));
		}

	}



/* rtl_new-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_newzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_newz00_bglt BgL_oz00_328,
		obj_t BgL_vz00_329)
	{
		{	/* SawMill/defs.sch 851 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_328)))->BgL_locz00) =
				((obj_t) BgL_vz00_329), BUNSPEC);
		}

	}



/* &rtl_new-loc-set! */
	obj_t BGl_z62rtl_newzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7562,
		obj_t BgL_oz00_7563, obj_t BgL_vz00_7564)
	{
		{	/* SawMill/defs.sch 851 */
			return
				BGl_rtl_newzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_newz00_bglt) BgL_oz00_7563), BgL_vz00_7564);
		}

	}



/* make-rtl_call */
	BGL_EXPORTED_DEF BgL_rtl_callz00_bglt
		BGl_makezd2rtl_callzd2zzsaw_defsz00(obj_t BgL_loc1387z00_330,
		BgL_globalz00_bglt BgL_var1388z00_331)
	{
		{	/* SawMill/defs.sch 854 */
			{	/* SawMill/defs.sch 854 */
				BgL_rtl_callz00_bglt BgL_new1422z00_9420;

				{	/* SawMill/defs.sch 854 */
					BgL_rtl_callz00_bglt BgL_new1421z00_9421;

					BgL_new1421z00_9421 =
						((BgL_rtl_callz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_callz00_bgl))));
					{	/* SawMill/defs.sch 854 */
						long BgL_arg1907z00_9422;

						BgL_arg1907z00_9422 = BGL_CLASS_NUM(BGl_rtl_callz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1421z00_9421), BgL_arg1907z00_9422);
					}
					BgL_new1422z00_9420 = BgL_new1421z00_9421;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1422z00_9420)))->BgL_locz00) =
					((obj_t) BgL_loc1387z00_330), BUNSPEC);
				((((BgL_rtl_callz00_bglt) COBJECT(BgL_new1422z00_9420))->BgL_varz00) =
					((BgL_globalz00_bglt) BgL_var1388z00_331), BUNSPEC);
				return BgL_new1422z00_9420;
			}
		}

	}



/* &make-rtl_call */
	BgL_rtl_callz00_bglt BGl_z62makezd2rtl_callzb0zzsaw_defsz00(obj_t
		BgL_envz00_7565, obj_t BgL_loc1387z00_7566, obj_t BgL_var1388z00_7567)
	{
		{	/* SawMill/defs.sch 854 */
			return
				BGl_makezd2rtl_callzd2zzsaw_defsz00(BgL_loc1387z00_7566,
				((BgL_globalz00_bglt) BgL_var1388z00_7567));
		}

	}



/* rtl_call? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_callzf3zf3zzsaw_defsz00(obj_t BgL_objz00_332)
	{
		{	/* SawMill/defs.sch 855 */
			{	/* SawMill/defs.sch 855 */
				obj_t BgL_classz00_9423;

				BgL_classz00_9423 = BGl_rtl_callz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_332))
					{	/* SawMill/defs.sch 855 */
						BgL_objectz00_bglt BgL_arg1858z00_9424;

						BgL_arg1858z00_9424 = (BgL_objectz00_bglt) (BgL_objz00_332);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 855 */
								long BgL_idxz00_9425;

								BgL_idxz00_9425 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9424);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9425 + 2L)) == BgL_classz00_9423);
							}
						else
							{	/* SawMill/defs.sch 855 */
								bool_t BgL_res3215z00_9428;

								{	/* SawMill/defs.sch 855 */
									obj_t BgL_oclassz00_9429;

									{	/* SawMill/defs.sch 855 */
										obj_t BgL_arg1866z00_9430;
										long BgL_arg1867z00_9431;

										BgL_arg1866z00_9430 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 855 */
											long BgL_arg1869z00_9432;

											BgL_arg1869z00_9432 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9424);
											BgL_arg1867z00_9431 = (BgL_arg1869z00_9432 - OBJECT_TYPE);
										}
										BgL_oclassz00_9429 =
											VECTOR_REF(BgL_arg1866z00_9430, BgL_arg1867z00_9431);
									}
									{	/* SawMill/defs.sch 855 */
										bool_t BgL__ortest_1115z00_9433;

										BgL__ortest_1115z00_9433 =
											(BgL_classz00_9423 == BgL_oclassz00_9429);
										if (BgL__ortest_1115z00_9433)
											{	/* SawMill/defs.sch 855 */
												BgL_res3215z00_9428 = BgL__ortest_1115z00_9433;
											}
										else
											{	/* SawMill/defs.sch 855 */
												long BgL_odepthz00_9434;

												{	/* SawMill/defs.sch 855 */
													obj_t BgL_arg1855z00_9435;

													BgL_arg1855z00_9435 = (BgL_oclassz00_9429);
													BgL_odepthz00_9434 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9435);
												}
												if ((2L < BgL_odepthz00_9434))
													{	/* SawMill/defs.sch 855 */
														obj_t BgL_arg1853z00_9436;

														{	/* SawMill/defs.sch 855 */
															obj_t BgL_arg1854z00_9437;

															BgL_arg1854z00_9437 = (BgL_oclassz00_9429);
															BgL_arg1853z00_9436 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9437,
																2L);
														}
														BgL_res3215z00_9428 =
															(BgL_arg1853z00_9436 == BgL_classz00_9423);
													}
												else
													{	/* SawMill/defs.sch 855 */
														BgL_res3215z00_9428 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3215z00_9428;
							}
					}
				else
					{	/* SawMill/defs.sch 855 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_call? */
	obj_t BGl_z62rtl_callzf3z91zzsaw_defsz00(obj_t BgL_envz00_7568,
		obj_t BgL_objz00_7569)
	{
		{	/* SawMill/defs.sch 855 */
			return BBOOL(BGl_rtl_callzf3zf3zzsaw_defsz00(BgL_objz00_7569));
		}

	}



/* rtl_call-nil */
	BGL_EXPORTED_DEF BgL_rtl_callz00_bglt BGl_rtl_callzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 856 */
			{	/* SawMill/defs.sch 856 */
				obj_t BgL_classz00_5735;

				BgL_classz00_5735 = BGl_rtl_callz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 856 */
					obj_t BgL__ortest_1117z00_5736;

					BgL__ortest_1117z00_5736 = BGL_CLASS_NIL(BgL_classz00_5735);
					if (CBOOL(BgL__ortest_1117z00_5736))
						{	/* SawMill/defs.sch 856 */
							return ((BgL_rtl_callz00_bglt) BgL__ortest_1117z00_5736);
						}
					else
						{	/* SawMill/defs.sch 856 */
							return
								((BgL_rtl_callz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5735));
						}
				}
			}
		}

	}



/* &rtl_call-nil */
	BgL_rtl_callz00_bglt BGl_z62rtl_callzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7570)
	{
		{	/* SawMill/defs.sch 856 */
			return BGl_rtl_callzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_call-var */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_rtl_callzd2varzd2zzsaw_defsz00(BgL_rtl_callz00_bglt BgL_oz00_333)
	{
		{	/* SawMill/defs.sch 857 */
			return (((BgL_rtl_callz00_bglt) COBJECT(BgL_oz00_333))->BgL_varz00);
		}

	}



/* &rtl_call-var */
	BgL_globalz00_bglt BGl_z62rtl_callzd2varzb0zzsaw_defsz00(obj_t
		BgL_envz00_7571, obj_t BgL_oz00_7572)
	{
		{	/* SawMill/defs.sch 857 */
			return
				BGl_rtl_callzd2varzd2zzsaw_defsz00(
				((BgL_rtl_callz00_bglt) BgL_oz00_7572));
		}

	}



/* rtl_call-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_callzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_callz00_bglt
		BgL_oz00_334, BgL_globalz00_bglt BgL_vz00_335)
	{
		{	/* SawMill/defs.sch 858 */
			return
				((((BgL_rtl_callz00_bglt) COBJECT(BgL_oz00_334))->BgL_varz00) =
				((BgL_globalz00_bglt) BgL_vz00_335), BUNSPEC);
		}

	}



/* &rtl_call-var-set! */
	obj_t BGl_z62rtl_callzd2varzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7573,
		obj_t BgL_oz00_7574, obj_t BgL_vz00_7575)
	{
		{	/* SawMill/defs.sch 858 */
			return
				BGl_rtl_callzd2varzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_callz00_bglt) BgL_oz00_7574),
				((BgL_globalz00_bglt) BgL_vz00_7575));
		}

	}



/* rtl_call-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_callzd2loczd2zzsaw_defsz00(BgL_rtl_callz00_bglt
		BgL_oz00_336)
	{
		{	/* SawMill/defs.sch 859 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_336)))->BgL_locz00);
		}

	}



/* &rtl_call-loc */
	obj_t BGl_z62rtl_callzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7576,
		obj_t BgL_oz00_7577)
	{
		{	/* SawMill/defs.sch 859 */
			return
				BGl_rtl_callzd2loczd2zzsaw_defsz00(
				((BgL_rtl_callz00_bglt) BgL_oz00_7577));
		}

	}



/* rtl_call-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_callzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_callz00_bglt
		BgL_oz00_337, obj_t BgL_vz00_338)
	{
		{	/* SawMill/defs.sch 860 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_337)))->BgL_locz00) =
				((obj_t) BgL_vz00_338), BUNSPEC);
		}

	}



/* &rtl_call-loc-set! */
	obj_t BGl_z62rtl_callzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7578,
		obj_t BgL_oz00_7579, obj_t BgL_vz00_7580)
	{
		{	/* SawMill/defs.sch 860 */
			return
				BGl_rtl_callzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_callz00_bglt) BgL_oz00_7579), BgL_vz00_7580);
		}

	}



/* make-rtl_apply */
	BGL_EXPORTED_DEF BgL_rtl_applyz00_bglt
		BGl_makezd2rtl_applyzd2zzsaw_defsz00(obj_t BgL_loc1385z00_339)
	{
		{	/* SawMill/defs.sch 863 */
			{	/* SawMill/defs.sch 863 */
				BgL_rtl_applyz00_bglt BgL_new1424z00_9438;

				{	/* SawMill/defs.sch 863 */
					BgL_rtl_applyz00_bglt BgL_new1423z00_9439;

					BgL_new1423z00_9439 =
						((BgL_rtl_applyz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_applyz00_bgl))));
					{	/* SawMill/defs.sch 863 */
						long BgL_arg1908z00_9440;

						BgL_arg1908z00_9440 = BGL_CLASS_NUM(BGl_rtl_applyz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1423z00_9439), BgL_arg1908z00_9440);
					}
					BgL_new1424z00_9438 = BgL_new1423z00_9439;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1424z00_9438)))->BgL_locz00) =
					((obj_t) BgL_loc1385z00_339), BUNSPEC);
				return BgL_new1424z00_9438;
			}
		}

	}



/* &make-rtl_apply */
	BgL_rtl_applyz00_bglt BGl_z62makezd2rtl_applyzb0zzsaw_defsz00(obj_t
		BgL_envz00_7581, obj_t BgL_loc1385z00_7582)
	{
		{	/* SawMill/defs.sch 863 */
			return BGl_makezd2rtl_applyzd2zzsaw_defsz00(BgL_loc1385z00_7582);
		}

	}



/* rtl_apply? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_applyzf3zf3zzsaw_defsz00(obj_t BgL_objz00_340)
	{
		{	/* SawMill/defs.sch 864 */
			{	/* SawMill/defs.sch 864 */
				obj_t BgL_classz00_9441;

				BgL_classz00_9441 = BGl_rtl_applyz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_340))
					{	/* SawMill/defs.sch 864 */
						BgL_objectz00_bglt BgL_arg1858z00_9442;

						BgL_arg1858z00_9442 = (BgL_objectz00_bglt) (BgL_objz00_340);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 864 */
								long BgL_idxz00_9443;

								BgL_idxz00_9443 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9442);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9443 + 2L)) == BgL_classz00_9441);
							}
						else
							{	/* SawMill/defs.sch 864 */
								bool_t BgL_res3216z00_9446;

								{	/* SawMill/defs.sch 864 */
									obj_t BgL_oclassz00_9447;

									{	/* SawMill/defs.sch 864 */
										obj_t BgL_arg1866z00_9448;
										long BgL_arg1867z00_9449;

										BgL_arg1866z00_9448 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 864 */
											long BgL_arg1869z00_9450;

											BgL_arg1869z00_9450 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9442);
											BgL_arg1867z00_9449 = (BgL_arg1869z00_9450 - OBJECT_TYPE);
										}
										BgL_oclassz00_9447 =
											VECTOR_REF(BgL_arg1866z00_9448, BgL_arg1867z00_9449);
									}
									{	/* SawMill/defs.sch 864 */
										bool_t BgL__ortest_1115z00_9451;

										BgL__ortest_1115z00_9451 =
											(BgL_classz00_9441 == BgL_oclassz00_9447);
										if (BgL__ortest_1115z00_9451)
											{	/* SawMill/defs.sch 864 */
												BgL_res3216z00_9446 = BgL__ortest_1115z00_9451;
											}
										else
											{	/* SawMill/defs.sch 864 */
												long BgL_odepthz00_9452;

												{	/* SawMill/defs.sch 864 */
													obj_t BgL_arg1855z00_9453;

													BgL_arg1855z00_9453 = (BgL_oclassz00_9447);
													BgL_odepthz00_9452 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9453);
												}
												if ((2L < BgL_odepthz00_9452))
													{	/* SawMill/defs.sch 864 */
														obj_t BgL_arg1853z00_9454;

														{	/* SawMill/defs.sch 864 */
															obj_t BgL_arg1854z00_9455;

															BgL_arg1854z00_9455 = (BgL_oclassz00_9447);
															BgL_arg1853z00_9454 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9455,
																2L);
														}
														BgL_res3216z00_9446 =
															(BgL_arg1853z00_9454 == BgL_classz00_9441);
													}
												else
													{	/* SawMill/defs.sch 864 */
														BgL_res3216z00_9446 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3216z00_9446;
							}
					}
				else
					{	/* SawMill/defs.sch 864 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_apply? */
	obj_t BGl_z62rtl_applyzf3z91zzsaw_defsz00(obj_t BgL_envz00_7583,
		obj_t BgL_objz00_7584)
	{
		{	/* SawMill/defs.sch 864 */
			return BBOOL(BGl_rtl_applyzf3zf3zzsaw_defsz00(BgL_objz00_7584));
		}

	}



/* rtl_apply-nil */
	BGL_EXPORTED_DEF BgL_rtl_applyz00_bglt
		BGl_rtl_applyzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 865 */
			{	/* SawMill/defs.sch 865 */
				obj_t BgL_classz00_5777;

				BgL_classz00_5777 = BGl_rtl_applyz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 865 */
					obj_t BgL__ortest_1117z00_5778;

					BgL__ortest_1117z00_5778 = BGL_CLASS_NIL(BgL_classz00_5777);
					if (CBOOL(BgL__ortest_1117z00_5778))
						{	/* SawMill/defs.sch 865 */
							return ((BgL_rtl_applyz00_bglt) BgL__ortest_1117z00_5778);
						}
					else
						{	/* SawMill/defs.sch 865 */
							return
								((BgL_rtl_applyz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5777));
						}
				}
			}
		}

	}



/* &rtl_apply-nil */
	BgL_rtl_applyz00_bglt BGl_z62rtl_applyzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7585)
	{
		{	/* SawMill/defs.sch 865 */
			return BGl_rtl_applyzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_apply-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_applyzd2loczd2zzsaw_defsz00(BgL_rtl_applyz00_bglt BgL_oz00_341)
	{
		{	/* SawMill/defs.sch 866 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_341)))->BgL_locz00);
		}

	}



/* &rtl_apply-loc */
	obj_t BGl_z62rtl_applyzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7586,
		obj_t BgL_oz00_7587)
	{
		{	/* SawMill/defs.sch 866 */
			return
				BGl_rtl_applyzd2loczd2zzsaw_defsz00(
				((BgL_rtl_applyz00_bglt) BgL_oz00_7587));
		}

	}



/* rtl_apply-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_applyzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_applyz00_bglt
		BgL_oz00_342, obj_t BgL_vz00_343)
	{
		{	/* SawMill/defs.sch 867 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_342)))->BgL_locz00) =
				((obj_t) BgL_vz00_343), BUNSPEC);
		}

	}



/* &rtl_apply-loc-set! */
	obj_t BGl_z62rtl_applyzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7588,
		obj_t BgL_oz00_7589, obj_t BgL_vz00_7590)
	{
		{	/* SawMill/defs.sch 867 */
			return
				BGl_rtl_applyzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_applyz00_bglt) BgL_oz00_7589), BgL_vz00_7590);
		}

	}



/* make-rtl_lightfuncall */
	BGL_EXPORTED_DEF BgL_rtl_lightfuncallz00_bglt
		BGl_makezd2rtl_lightfuncallzd2zzsaw_defsz00(obj_t BgL_loc1380z00_344,
		obj_t BgL_name1381z00_345, obj_t BgL_funs1382z00_346,
		obj_t BgL_rettype1383z00_347)
	{
		{	/* SawMill/defs.sch 870 */
			{	/* SawMill/defs.sch 870 */
				BgL_rtl_lightfuncallz00_bglt BgL_new1426z00_9456;

				{	/* SawMill/defs.sch 870 */
					BgL_rtl_lightfuncallz00_bglt BgL_new1425z00_9457;

					BgL_new1425z00_9457 =
						((BgL_rtl_lightfuncallz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_lightfuncallz00_bgl))));
					{	/* SawMill/defs.sch 870 */
						long BgL_arg1909z00_9458;

						BgL_arg1909z00_9458 =
							BGL_CLASS_NUM(BGl_rtl_lightfuncallz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1425z00_9457), BgL_arg1909z00_9458);
					}
					BgL_new1426z00_9456 = BgL_new1425z00_9457;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1426z00_9456)))->BgL_locz00) =
					((obj_t) BgL_loc1380z00_344), BUNSPEC);
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_new1426z00_9456))->
						BgL_namez00) = ((obj_t) BgL_name1381z00_345), BUNSPEC);
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_new1426z00_9456))->
						BgL_funsz00) = ((obj_t) BgL_funs1382z00_346), BUNSPEC);
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_new1426z00_9456))->
						BgL_rettypez00) = ((obj_t) BgL_rettype1383z00_347), BUNSPEC);
				return BgL_new1426z00_9456;
			}
		}

	}



/* &make-rtl_lightfuncall */
	BgL_rtl_lightfuncallz00_bglt
		BGl_z62makezd2rtl_lightfuncallzb0zzsaw_defsz00(obj_t BgL_envz00_7591,
		obj_t BgL_loc1380z00_7592, obj_t BgL_name1381z00_7593,
		obj_t BgL_funs1382z00_7594, obj_t BgL_rettype1383z00_7595)
	{
		{	/* SawMill/defs.sch 870 */
			return
				BGl_makezd2rtl_lightfuncallzd2zzsaw_defsz00(BgL_loc1380z00_7592,
				BgL_name1381z00_7593, BgL_funs1382z00_7594, BgL_rettype1383z00_7595);
		}

	}



/* rtl_lightfuncall? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_lightfuncallzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_348)
	{
		{	/* SawMill/defs.sch 871 */
			{	/* SawMill/defs.sch 871 */
				obj_t BgL_classz00_9459;

				BgL_classz00_9459 = BGl_rtl_lightfuncallz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_348))
					{	/* SawMill/defs.sch 871 */
						BgL_objectz00_bglt BgL_arg1858z00_9460;

						BgL_arg1858z00_9460 = (BgL_objectz00_bglt) (BgL_objz00_348);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 871 */
								long BgL_idxz00_9461;

								BgL_idxz00_9461 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9460);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9461 + 2L)) == BgL_classz00_9459);
							}
						else
							{	/* SawMill/defs.sch 871 */
								bool_t BgL_res3217z00_9464;

								{	/* SawMill/defs.sch 871 */
									obj_t BgL_oclassz00_9465;

									{	/* SawMill/defs.sch 871 */
										obj_t BgL_arg1866z00_9466;
										long BgL_arg1867z00_9467;

										BgL_arg1866z00_9466 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 871 */
											long BgL_arg1869z00_9468;

											BgL_arg1869z00_9468 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9460);
											BgL_arg1867z00_9467 = (BgL_arg1869z00_9468 - OBJECT_TYPE);
										}
										BgL_oclassz00_9465 =
											VECTOR_REF(BgL_arg1866z00_9466, BgL_arg1867z00_9467);
									}
									{	/* SawMill/defs.sch 871 */
										bool_t BgL__ortest_1115z00_9469;

										BgL__ortest_1115z00_9469 =
											(BgL_classz00_9459 == BgL_oclassz00_9465);
										if (BgL__ortest_1115z00_9469)
											{	/* SawMill/defs.sch 871 */
												BgL_res3217z00_9464 = BgL__ortest_1115z00_9469;
											}
										else
											{	/* SawMill/defs.sch 871 */
												long BgL_odepthz00_9470;

												{	/* SawMill/defs.sch 871 */
													obj_t BgL_arg1855z00_9471;

													BgL_arg1855z00_9471 = (BgL_oclassz00_9465);
													BgL_odepthz00_9470 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9471);
												}
												if ((2L < BgL_odepthz00_9470))
													{	/* SawMill/defs.sch 871 */
														obj_t BgL_arg1853z00_9472;

														{	/* SawMill/defs.sch 871 */
															obj_t BgL_arg1854z00_9473;

															BgL_arg1854z00_9473 = (BgL_oclassz00_9465);
															BgL_arg1853z00_9472 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9473,
																2L);
														}
														BgL_res3217z00_9464 =
															(BgL_arg1853z00_9472 == BgL_classz00_9459);
													}
												else
													{	/* SawMill/defs.sch 871 */
														BgL_res3217z00_9464 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3217z00_9464;
							}
					}
				else
					{	/* SawMill/defs.sch 871 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_lightfuncall? */
	obj_t BGl_z62rtl_lightfuncallzf3z91zzsaw_defsz00(obj_t BgL_envz00_7596,
		obj_t BgL_objz00_7597)
	{
		{	/* SawMill/defs.sch 871 */
			return BBOOL(BGl_rtl_lightfuncallzf3zf3zzsaw_defsz00(BgL_objz00_7597));
		}

	}



/* rtl_lightfuncall-nil */
	BGL_EXPORTED_DEF BgL_rtl_lightfuncallz00_bglt
		BGl_rtl_lightfuncallzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 872 */
			{	/* SawMill/defs.sch 872 */
				obj_t BgL_classz00_5819;

				BgL_classz00_5819 = BGl_rtl_lightfuncallz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 872 */
					obj_t BgL__ortest_1117z00_5820;

					BgL__ortest_1117z00_5820 = BGL_CLASS_NIL(BgL_classz00_5819);
					if (CBOOL(BgL__ortest_1117z00_5820))
						{	/* SawMill/defs.sch 872 */
							return ((BgL_rtl_lightfuncallz00_bglt) BgL__ortest_1117z00_5820);
						}
					else
						{	/* SawMill/defs.sch 872 */
							return
								((BgL_rtl_lightfuncallz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5819));
						}
				}
			}
		}

	}



/* &rtl_lightfuncall-nil */
	BgL_rtl_lightfuncallz00_bglt
		BGl_z62rtl_lightfuncallzd2nilzb0zzsaw_defsz00(obj_t BgL_envz00_7598)
	{
		{	/* SawMill/defs.sch 872 */
			return BGl_rtl_lightfuncallzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_lightfuncall-rettype */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_lightfuncallzd2rettypezd2zzsaw_defsz00(BgL_rtl_lightfuncallz00_bglt
		BgL_oz00_349)
	{
		{	/* SawMill/defs.sch 873 */
			return
				(((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_oz00_349))->
				BgL_rettypez00);
		}

	}



/* &rtl_lightfuncall-rettype */
	obj_t BGl_z62rtl_lightfuncallzd2rettypezb0zzsaw_defsz00(obj_t BgL_envz00_7599,
		obj_t BgL_oz00_7600)
	{
		{	/* SawMill/defs.sch 873 */
			return
				BGl_rtl_lightfuncallzd2rettypezd2zzsaw_defsz00(
				((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7600));
		}

	}



/* rtl_lightfuncall-rettype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_lightfuncallzd2rettypezd2setz12z12zzsaw_defsz00
		(BgL_rtl_lightfuncallz00_bglt BgL_oz00_350, obj_t BgL_vz00_351)
	{
		{	/* SawMill/defs.sch 874 */
			return
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_oz00_350))->
					BgL_rettypez00) = ((obj_t) BgL_vz00_351), BUNSPEC);
		}

	}



/* &rtl_lightfuncall-rettype-set! */
	obj_t BGl_z62rtl_lightfuncallzd2rettypezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7601, obj_t BgL_oz00_7602, obj_t BgL_vz00_7603)
	{
		{	/* SawMill/defs.sch 874 */
			return
				BGl_rtl_lightfuncallzd2rettypezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7602), BgL_vz00_7603);
		}

	}



/* rtl_lightfuncall-funs */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_lightfuncallzd2funszd2zzsaw_defsz00(BgL_rtl_lightfuncallz00_bglt
		BgL_oz00_352)
	{
		{	/* SawMill/defs.sch 875 */
			return
				(((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_oz00_352))->BgL_funsz00);
		}

	}



/* &rtl_lightfuncall-funs */
	obj_t BGl_z62rtl_lightfuncallzd2funszb0zzsaw_defsz00(obj_t BgL_envz00_7604,
		obj_t BgL_oz00_7605)
	{
		{	/* SawMill/defs.sch 875 */
			return
				BGl_rtl_lightfuncallzd2funszd2zzsaw_defsz00(
				((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7605));
		}

	}



/* rtl_lightfuncall-funs-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_lightfuncallzd2funszd2setz12z12zzsaw_defsz00
		(BgL_rtl_lightfuncallz00_bglt BgL_oz00_353, obj_t BgL_vz00_354)
	{
		{	/* SawMill/defs.sch 876 */
			return
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_oz00_353))->BgL_funsz00) =
				((obj_t) BgL_vz00_354), BUNSPEC);
		}

	}



/* &rtl_lightfuncall-funs-set! */
	obj_t BGl_z62rtl_lightfuncallzd2funszd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7606, obj_t BgL_oz00_7607, obj_t BgL_vz00_7608)
	{
		{	/* SawMill/defs.sch 876 */
			return
				BGl_rtl_lightfuncallzd2funszd2setz12z12zzsaw_defsz00(
				((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7607), BgL_vz00_7608);
		}

	}



/* rtl_lightfuncall-name */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_lightfuncallzd2namezd2zzsaw_defsz00(BgL_rtl_lightfuncallz00_bglt
		BgL_oz00_355)
	{
		{	/* SawMill/defs.sch 877 */
			return
				(((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_oz00_355))->BgL_namez00);
		}

	}



/* &rtl_lightfuncall-name */
	obj_t BGl_z62rtl_lightfuncallzd2namezb0zzsaw_defsz00(obj_t BgL_envz00_7609,
		obj_t BgL_oz00_7610)
	{
		{	/* SawMill/defs.sch 877 */
			return
				BGl_rtl_lightfuncallzd2namezd2zzsaw_defsz00(
				((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7610));
		}

	}



/* rtl_lightfuncall-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_lightfuncallzd2namezd2setz12z12zzsaw_defsz00
		(BgL_rtl_lightfuncallz00_bglt BgL_oz00_356, obj_t BgL_vz00_357)
	{
		{	/* SawMill/defs.sch 878 */
			return
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_oz00_356))->BgL_namez00) =
				((obj_t) BgL_vz00_357), BUNSPEC);
		}

	}



/* &rtl_lightfuncall-name-set! */
	obj_t BGl_z62rtl_lightfuncallzd2namezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7611, obj_t BgL_oz00_7612, obj_t BgL_vz00_7613)
	{
		{	/* SawMill/defs.sch 878 */
			return
				BGl_rtl_lightfuncallzd2namezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7612), BgL_vz00_7613);
		}

	}



/* rtl_lightfuncall-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_lightfuncallzd2loczd2zzsaw_defsz00(BgL_rtl_lightfuncallz00_bglt
		BgL_oz00_358)
	{
		{	/* SawMill/defs.sch 879 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_358)))->BgL_locz00);
		}

	}



/* &rtl_lightfuncall-loc */
	obj_t BGl_z62rtl_lightfuncallzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7614,
		obj_t BgL_oz00_7615)
	{
		{	/* SawMill/defs.sch 879 */
			return
				BGl_rtl_lightfuncallzd2loczd2zzsaw_defsz00(
				((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7615));
		}

	}



/* rtl_lightfuncall-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_lightfuncallzd2loczd2setz12z12zzsaw_defsz00
		(BgL_rtl_lightfuncallz00_bglt BgL_oz00_359, obj_t BgL_vz00_360)
	{
		{	/* SawMill/defs.sch 880 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_359)))->BgL_locz00) =
				((obj_t) BgL_vz00_360), BUNSPEC);
		}

	}



/* &rtl_lightfuncall-loc-set! */
	obj_t BGl_z62rtl_lightfuncallzd2loczd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7616, obj_t BgL_oz00_7617, obj_t BgL_vz00_7618)
	{
		{	/* SawMill/defs.sch 880 */
			return
				BGl_rtl_lightfuncallzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7617), BgL_vz00_7618);
		}

	}



/* make-rtl_funcall */
	BGL_EXPORTED_DEF BgL_rtl_funcallz00_bglt
		BGl_makezd2rtl_funcallzd2zzsaw_defsz00(obj_t BgL_loc1377z00_361)
	{
		{	/* SawMill/defs.sch 883 */
			{	/* SawMill/defs.sch 883 */
				BgL_rtl_funcallz00_bglt BgL_new1428z00_9474;

				{	/* SawMill/defs.sch 883 */
					BgL_rtl_funcallz00_bglt BgL_new1427z00_9475;

					BgL_new1427z00_9475 =
						((BgL_rtl_funcallz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_funcallz00_bgl))));
					{	/* SawMill/defs.sch 883 */
						long BgL_arg1910z00_9476;

						BgL_arg1910z00_9476 =
							BGL_CLASS_NUM(BGl_rtl_funcallz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1427z00_9475), BgL_arg1910z00_9476);
					}
					BgL_new1428z00_9474 = BgL_new1427z00_9475;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1428z00_9474)))->BgL_locz00) =
					((obj_t) BgL_loc1377z00_361), BUNSPEC);
				return BgL_new1428z00_9474;
			}
		}

	}



/* &make-rtl_funcall */
	BgL_rtl_funcallz00_bglt BGl_z62makezd2rtl_funcallzb0zzsaw_defsz00(obj_t
		BgL_envz00_7619, obj_t BgL_loc1377z00_7620)
	{
		{	/* SawMill/defs.sch 883 */
			return BGl_makezd2rtl_funcallzd2zzsaw_defsz00(BgL_loc1377z00_7620);
		}

	}



/* rtl_funcall? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_funcallzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_362)
	{
		{	/* SawMill/defs.sch 884 */
			{	/* SawMill/defs.sch 884 */
				obj_t BgL_classz00_9477;

				BgL_classz00_9477 = BGl_rtl_funcallz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_362))
					{	/* SawMill/defs.sch 884 */
						BgL_objectz00_bglt BgL_arg1858z00_9478;

						BgL_arg1858z00_9478 = (BgL_objectz00_bglt) (BgL_objz00_362);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 884 */
								long BgL_idxz00_9479;

								BgL_idxz00_9479 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9478);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9479 + 2L)) == BgL_classz00_9477);
							}
						else
							{	/* SawMill/defs.sch 884 */
								bool_t BgL_res3218z00_9482;

								{	/* SawMill/defs.sch 884 */
									obj_t BgL_oclassz00_9483;

									{	/* SawMill/defs.sch 884 */
										obj_t BgL_arg1866z00_9484;
										long BgL_arg1867z00_9485;

										BgL_arg1866z00_9484 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 884 */
											long BgL_arg1869z00_9486;

											BgL_arg1869z00_9486 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9478);
											BgL_arg1867z00_9485 = (BgL_arg1869z00_9486 - OBJECT_TYPE);
										}
										BgL_oclassz00_9483 =
											VECTOR_REF(BgL_arg1866z00_9484, BgL_arg1867z00_9485);
									}
									{	/* SawMill/defs.sch 884 */
										bool_t BgL__ortest_1115z00_9487;

										BgL__ortest_1115z00_9487 =
											(BgL_classz00_9477 == BgL_oclassz00_9483);
										if (BgL__ortest_1115z00_9487)
											{	/* SawMill/defs.sch 884 */
												BgL_res3218z00_9482 = BgL__ortest_1115z00_9487;
											}
										else
											{	/* SawMill/defs.sch 884 */
												long BgL_odepthz00_9488;

												{	/* SawMill/defs.sch 884 */
													obj_t BgL_arg1855z00_9489;

													BgL_arg1855z00_9489 = (BgL_oclassz00_9483);
													BgL_odepthz00_9488 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9489);
												}
												if ((2L < BgL_odepthz00_9488))
													{	/* SawMill/defs.sch 884 */
														obj_t BgL_arg1853z00_9490;

														{	/* SawMill/defs.sch 884 */
															obj_t BgL_arg1854z00_9491;

															BgL_arg1854z00_9491 = (BgL_oclassz00_9483);
															BgL_arg1853z00_9490 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9491,
																2L);
														}
														BgL_res3218z00_9482 =
															(BgL_arg1853z00_9490 == BgL_classz00_9477);
													}
												else
													{	/* SawMill/defs.sch 884 */
														BgL_res3218z00_9482 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3218z00_9482;
							}
					}
				else
					{	/* SawMill/defs.sch 884 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_funcall? */
	obj_t BGl_z62rtl_funcallzf3z91zzsaw_defsz00(obj_t BgL_envz00_7621,
		obj_t BgL_objz00_7622)
	{
		{	/* SawMill/defs.sch 884 */
			return BBOOL(BGl_rtl_funcallzf3zf3zzsaw_defsz00(BgL_objz00_7622));
		}

	}



/* rtl_funcall-nil */
	BGL_EXPORTED_DEF BgL_rtl_funcallz00_bglt
		BGl_rtl_funcallzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 885 */
			{	/* SawMill/defs.sch 885 */
				obj_t BgL_classz00_5861;

				BgL_classz00_5861 = BGl_rtl_funcallz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 885 */
					obj_t BgL__ortest_1117z00_5862;

					BgL__ortest_1117z00_5862 = BGL_CLASS_NIL(BgL_classz00_5861);
					if (CBOOL(BgL__ortest_1117z00_5862))
						{	/* SawMill/defs.sch 885 */
							return ((BgL_rtl_funcallz00_bglt) BgL__ortest_1117z00_5862);
						}
					else
						{	/* SawMill/defs.sch 885 */
							return
								((BgL_rtl_funcallz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5861));
						}
				}
			}
		}

	}



/* &rtl_funcall-nil */
	BgL_rtl_funcallz00_bglt BGl_z62rtl_funcallzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7623)
	{
		{	/* SawMill/defs.sch 885 */
			return BGl_rtl_funcallzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_funcall-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_funcallzd2loczd2zzsaw_defsz00(BgL_rtl_funcallz00_bglt BgL_oz00_363)
	{
		{	/* SawMill/defs.sch 886 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_363)))->BgL_locz00);
		}

	}



/* &rtl_funcall-loc */
	obj_t BGl_z62rtl_funcallzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7624,
		obj_t BgL_oz00_7625)
	{
		{	/* SawMill/defs.sch 886 */
			return
				BGl_rtl_funcallzd2loczd2zzsaw_defsz00(
				((BgL_rtl_funcallz00_bglt) BgL_oz00_7625));
		}

	}



/* rtl_funcall-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_funcallzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_funcallz00_bglt
		BgL_oz00_364, obj_t BgL_vz00_365)
	{
		{	/* SawMill/defs.sch 887 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_364)))->BgL_locz00) =
				((obj_t) BgL_vz00_365), BUNSPEC);
		}

	}



/* &rtl_funcall-loc-set! */
	obj_t BGl_z62rtl_funcallzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7626,
		obj_t BgL_oz00_7627, obj_t BgL_vz00_7628)
	{
		{	/* SawMill/defs.sch 887 */
			return
				BGl_rtl_funcallzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_funcallz00_bglt) BgL_oz00_7627), BgL_vz00_7628);
		}

	}



/* make-rtl_pragma */
	BGL_EXPORTED_DEF BgL_rtl_pragmaz00_bglt
		BGl_makezd2rtl_pragmazd2zzsaw_defsz00(obj_t BgL_loc1373z00_366,
		obj_t BgL_format1374z00_367, obj_t BgL_srfi01375z00_368)
	{
		{	/* SawMill/defs.sch 890 */
			{	/* SawMill/defs.sch 890 */
				BgL_rtl_pragmaz00_bglt BgL_new1430z00_9492;

				{	/* SawMill/defs.sch 890 */
					BgL_rtl_pragmaz00_bglt BgL_new1429z00_9493;

					BgL_new1429z00_9493 =
						((BgL_rtl_pragmaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_pragmaz00_bgl))));
					{	/* SawMill/defs.sch 890 */
						long BgL_arg1911z00_9494;

						BgL_arg1911z00_9494 = BGL_CLASS_NUM(BGl_rtl_pragmaz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1429z00_9493), BgL_arg1911z00_9494);
					}
					BgL_new1430z00_9492 = BgL_new1429z00_9493;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1430z00_9492)))->BgL_locz00) =
					((obj_t) BgL_loc1373z00_366), BUNSPEC);
				((((BgL_rtl_pragmaz00_bglt) COBJECT(BgL_new1430z00_9492))->
						BgL_formatz00) = ((obj_t) BgL_format1374z00_367), BUNSPEC);
				((((BgL_rtl_pragmaz00_bglt) COBJECT(BgL_new1430z00_9492))->
						BgL_srfi0z00) = ((obj_t) BgL_srfi01375z00_368), BUNSPEC);
				return BgL_new1430z00_9492;
			}
		}

	}



/* &make-rtl_pragma */
	BgL_rtl_pragmaz00_bglt BGl_z62makezd2rtl_pragmazb0zzsaw_defsz00(obj_t
		BgL_envz00_7629, obj_t BgL_loc1373z00_7630, obj_t BgL_format1374z00_7631,
		obj_t BgL_srfi01375z00_7632)
	{
		{	/* SawMill/defs.sch 890 */
			return
				BGl_makezd2rtl_pragmazd2zzsaw_defsz00(BgL_loc1373z00_7630,
				BgL_format1374z00_7631, BgL_srfi01375z00_7632);
		}

	}



/* rtl_pragma? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_pragmazf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_369)
	{
		{	/* SawMill/defs.sch 891 */
			{	/* SawMill/defs.sch 891 */
				obj_t BgL_classz00_9495;

				BgL_classz00_9495 = BGl_rtl_pragmaz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_369))
					{	/* SawMill/defs.sch 891 */
						BgL_objectz00_bglt BgL_arg1858z00_9496;

						BgL_arg1858z00_9496 = (BgL_objectz00_bglt) (BgL_objz00_369);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 891 */
								long BgL_idxz00_9497;

								BgL_idxz00_9497 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9496);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9497 + 2L)) == BgL_classz00_9495);
							}
						else
							{	/* SawMill/defs.sch 891 */
								bool_t BgL_res3219z00_9500;

								{	/* SawMill/defs.sch 891 */
									obj_t BgL_oclassz00_9501;

									{	/* SawMill/defs.sch 891 */
										obj_t BgL_arg1866z00_9502;
										long BgL_arg1867z00_9503;

										BgL_arg1866z00_9502 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 891 */
											long BgL_arg1869z00_9504;

											BgL_arg1869z00_9504 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9496);
											BgL_arg1867z00_9503 = (BgL_arg1869z00_9504 - OBJECT_TYPE);
										}
										BgL_oclassz00_9501 =
											VECTOR_REF(BgL_arg1866z00_9502, BgL_arg1867z00_9503);
									}
									{	/* SawMill/defs.sch 891 */
										bool_t BgL__ortest_1115z00_9505;

										BgL__ortest_1115z00_9505 =
											(BgL_classz00_9495 == BgL_oclassz00_9501);
										if (BgL__ortest_1115z00_9505)
											{	/* SawMill/defs.sch 891 */
												BgL_res3219z00_9500 = BgL__ortest_1115z00_9505;
											}
										else
											{	/* SawMill/defs.sch 891 */
												long BgL_odepthz00_9506;

												{	/* SawMill/defs.sch 891 */
													obj_t BgL_arg1855z00_9507;

													BgL_arg1855z00_9507 = (BgL_oclassz00_9501);
													BgL_odepthz00_9506 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9507);
												}
												if ((2L < BgL_odepthz00_9506))
													{	/* SawMill/defs.sch 891 */
														obj_t BgL_arg1853z00_9508;

														{	/* SawMill/defs.sch 891 */
															obj_t BgL_arg1854z00_9509;

															BgL_arg1854z00_9509 = (BgL_oclassz00_9501);
															BgL_arg1853z00_9508 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9509,
																2L);
														}
														BgL_res3219z00_9500 =
															(BgL_arg1853z00_9508 == BgL_classz00_9495);
													}
												else
													{	/* SawMill/defs.sch 891 */
														BgL_res3219z00_9500 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3219z00_9500;
							}
					}
				else
					{	/* SawMill/defs.sch 891 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_pragma? */
	obj_t BGl_z62rtl_pragmazf3z91zzsaw_defsz00(obj_t BgL_envz00_7633,
		obj_t BgL_objz00_7634)
	{
		{	/* SawMill/defs.sch 891 */
			return BBOOL(BGl_rtl_pragmazf3zf3zzsaw_defsz00(BgL_objz00_7634));
		}

	}



/* rtl_pragma-nil */
	BGL_EXPORTED_DEF BgL_rtl_pragmaz00_bglt
		BGl_rtl_pragmazd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 892 */
			{	/* SawMill/defs.sch 892 */
				obj_t BgL_classz00_5903;

				BgL_classz00_5903 = BGl_rtl_pragmaz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 892 */
					obj_t BgL__ortest_1117z00_5904;

					BgL__ortest_1117z00_5904 = BGL_CLASS_NIL(BgL_classz00_5903);
					if (CBOOL(BgL__ortest_1117z00_5904))
						{	/* SawMill/defs.sch 892 */
							return ((BgL_rtl_pragmaz00_bglt) BgL__ortest_1117z00_5904);
						}
					else
						{	/* SawMill/defs.sch 892 */
							return
								((BgL_rtl_pragmaz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5903));
						}
				}
			}
		}

	}



/* &rtl_pragma-nil */
	BgL_rtl_pragmaz00_bglt BGl_z62rtl_pragmazd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7635)
	{
		{	/* SawMill/defs.sch 892 */
			return BGl_rtl_pragmazd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_pragma-srfi0 */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_pragmazd2srfi0zd2zzsaw_defsz00(BgL_rtl_pragmaz00_bglt BgL_oz00_370)
	{
		{	/* SawMill/defs.sch 893 */
			return (((BgL_rtl_pragmaz00_bglt) COBJECT(BgL_oz00_370))->BgL_srfi0z00);
		}

	}



/* &rtl_pragma-srfi0 */
	obj_t BGl_z62rtl_pragmazd2srfi0zb0zzsaw_defsz00(obj_t BgL_envz00_7636,
		obj_t BgL_oz00_7637)
	{
		{	/* SawMill/defs.sch 893 */
			return
				BGl_rtl_pragmazd2srfi0zd2zzsaw_defsz00(
				((BgL_rtl_pragmaz00_bglt) BgL_oz00_7637));
		}

	}



/* rtl_pragma-srfi0-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_pragmazd2srfi0zd2setz12z12zzsaw_defsz00(BgL_rtl_pragmaz00_bglt
		BgL_oz00_371, obj_t BgL_vz00_372)
	{
		{	/* SawMill/defs.sch 894 */
			return
				((((BgL_rtl_pragmaz00_bglt) COBJECT(BgL_oz00_371))->BgL_srfi0z00) =
				((obj_t) BgL_vz00_372), BUNSPEC);
		}

	}



/* &rtl_pragma-srfi0-set! */
	obj_t BGl_z62rtl_pragmazd2srfi0zd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7638, obj_t BgL_oz00_7639, obj_t BgL_vz00_7640)
	{
		{	/* SawMill/defs.sch 894 */
			return
				BGl_rtl_pragmazd2srfi0zd2setz12z12zzsaw_defsz00(
				((BgL_rtl_pragmaz00_bglt) BgL_oz00_7639), BgL_vz00_7640);
		}

	}



/* rtl_pragma-format */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_pragmazd2formatzd2zzsaw_defsz00(BgL_rtl_pragmaz00_bglt BgL_oz00_373)
	{
		{	/* SawMill/defs.sch 895 */
			return (((BgL_rtl_pragmaz00_bglt) COBJECT(BgL_oz00_373))->BgL_formatz00);
		}

	}



/* &rtl_pragma-format */
	obj_t BGl_z62rtl_pragmazd2formatzb0zzsaw_defsz00(obj_t BgL_envz00_7641,
		obj_t BgL_oz00_7642)
	{
		{	/* SawMill/defs.sch 895 */
			return
				BGl_rtl_pragmazd2formatzd2zzsaw_defsz00(
				((BgL_rtl_pragmaz00_bglt) BgL_oz00_7642));
		}

	}



/* rtl_pragma-format-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_pragmazd2formatzd2setz12z12zzsaw_defsz00(BgL_rtl_pragmaz00_bglt
		BgL_oz00_374, obj_t BgL_vz00_375)
	{
		{	/* SawMill/defs.sch 896 */
			return
				((((BgL_rtl_pragmaz00_bglt) COBJECT(BgL_oz00_374))->BgL_formatz00) =
				((obj_t) BgL_vz00_375), BUNSPEC);
		}

	}



/* &rtl_pragma-format-set! */
	obj_t BGl_z62rtl_pragmazd2formatzd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7643, obj_t BgL_oz00_7644, obj_t BgL_vz00_7645)
	{
		{	/* SawMill/defs.sch 896 */
			return
				BGl_rtl_pragmazd2formatzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_pragmaz00_bglt) BgL_oz00_7644), BgL_vz00_7645);
		}

	}



/* rtl_pragma-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_pragmazd2loczd2zzsaw_defsz00(BgL_rtl_pragmaz00_bglt BgL_oz00_376)
	{
		{	/* SawMill/defs.sch 897 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_376)))->BgL_locz00);
		}

	}



/* &rtl_pragma-loc */
	obj_t BGl_z62rtl_pragmazd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7646,
		obj_t BgL_oz00_7647)
	{
		{	/* SawMill/defs.sch 897 */
			return
				BGl_rtl_pragmazd2loczd2zzsaw_defsz00(
				((BgL_rtl_pragmaz00_bglt) BgL_oz00_7647));
		}

	}



/* rtl_pragma-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_pragmazd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_pragmaz00_bglt
		BgL_oz00_377, obj_t BgL_vz00_378)
	{
		{	/* SawMill/defs.sch 898 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_377)))->BgL_locz00) =
				((obj_t) BgL_vz00_378), BUNSPEC);
		}

	}



/* &rtl_pragma-loc-set! */
	obj_t BGl_z62rtl_pragmazd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7648,
		obj_t BgL_oz00_7649, obj_t BgL_vz00_7650)
	{
		{	/* SawMill/defs.sch 898 */
			return
				BGl_rtl_pragmazd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_pragmaz00_bglt) BgL_oz00_7649), BgL_vz00_7650);
		}

	}



/* make-rtl_cast */
	BGL_EXPORTED_DEF BgL_rtl_castz00_bglt
		BGl_makezd2rtl_castzd2zzsaw_defsz00(obj_t BgL_loc1369z00_379,
		BgL_typez00_bglt BgL_totype1370z00_380,
		BgL_typez00_bglt BgL_fromtype1371z00_381)
	{
		{	/* SawMill/defs.sch 901 */
			{	/* SawMill/defs.sch 901 */
				BgL_rtl_castz00_bglt BgL_new1432z00_9510;

				{	/* SawMill/defs.sch 901 */
					BgL_rtl_castz00_bglt BgL_new1431z00_9511;

					BgL_new1431z00_9511 =
						((BgL_rtl_castz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_castz00_bgl))));
					{	/* SawMill/defs.sch 901 */
						long BgL_arg1912z00_9512;

						BgL_arg1912z00_9512 = BGL_CLASS_NUM(BGl_rtl_castz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1431z00_9511), BgL_arg1912z00_9512);
					}
					BgL_new1432z00_9510 = BgL_new1431z00_9511;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1432z00_9510)))->BgL_locz00) =
					((obj_t) BgL_loc1369z00_379), BUNSPEC);
				((((BgL_rtl_castz00_bglt) COBJECT(BgL_new1432z00_9510))->
						BgL_totypez00) =
					((BgL_typez00_bglt) BgL_totype1370z00_380), BUNSPEC);
				((((BgL_rtl_castz00_bglt) COBJECT(BgL_new1432z00_9510))->
						BgL_fromtypez00) =
					((BgL_typez00_bglt) BgL_fromtype1371z00_381), BUNSPEC);
				return BgL_new1432z00_9510;
			}
		}

	}



/* &make-rtl_cast */
	BgL_rtl_castz00_bglt BGl_z62makezd2rtl_castzb0zzsaw_defsz00(obj_t
		BgL_envz00_7651, obj_t BgL_loc1369z00_7652, obj_t BgL_totype1370z00_7653,
		obj_t BgL_fromtype1371z00_7654)
	{
		{	/* SawMill/defs.sch 901 */
			return
				BGl_makezd2rtl_castzd2zzsaw_defsz00(BgL_loc1369z00_7652,
				((BgL_typez00_bglt) BgL_totype1370z00_7653),
				((BgL_typez00_bglt) BgL_fromtype1371z00_7654));
		}

	}



/* rtl_cast? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_castzf3zf3zzsaw_defsz00(obj_t BgL_objz00_382)
	{
		{	/* SawMill/defs.sch 902 */
			{	/* SawMill/defs.sch 902 */
				obj_t BgL_classz00_9513;

				BgL_classz00_9513 = BGl_rtl_castz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_382))
					{	/* SawMill/defs.sch 902 */
						BgL_objectz00_bglt BgL_arg1858z00_9514;

						BgL_arg1858z00_9514 = (BgL_objectz00_bglt) (BgL_objz00_382);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 902 */
								long BgL_idxz00_9515;

								BgL_idxz00_9515 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9514);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9515 + 2L)) == BgL_classz00_9513);
							}
						else
							{	/* SawMill/defs.sch 902 */
								bool_t BgL_res3220z00_9518;

								{	/* SawMill/defs.sch 902 */
									obj_t BgL_oclassz00_9519;

									{	/* SawMill/defs.sch 902 */
										obj_t BgL_arg1866z00_9520;
										long BgL_arg1867z00_9521;

										BgL_arg1866z00_9520 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 902 */
											long BgL_arg1869z00_9522;

											BgL_arg1869z00_9522 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9514);
											BgL_arg1867z00_9521 = (BgL_arg1869z00_9522 - OBJECT_TYPE);
										}
										BgL_oclassz00_9519 =
											VECTOR_REF(BgL_arg1866z00_9520, BgL_arg1867z00_9521);
									}
									{	/* SawMill/defs.sch 902 */
										bool_t BgL__ortest_1115z00_9523;

										BgL__ortest_1115z00_9523 =
											(BgL_classz00_9513 == BgL_oclassz00_9519);
										if (BgL__ortest_1115z00_9523)
											{	/* SawMill/defs.sch 902 */
												BgL_res3220z00_9518 = BgL__ortest_1115z00_9523;
											}
										else
											{	/* SawMill/defs.sch 902 */
												long BgL_odepthz00_9524;

												{	/* SawMill/defs.sch 902 */
													obj_t BgL_arg1855z00_9525;

													BgL_arg1855z00_9525 = (BgL_oclassz00_9519);
													BgL_odepthz00_9524 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9525);
												}
												if ((2L < BgL_odepthz00_9524))
													{	/* SawMill/defs.sch 902 */
														obj_t BgL_arg1853z00_9526;

														{	/* SawMill/defs.sch 902 */
															obj_t BgL_arg1854z00_9527;

															BgL_arg1854z00_9527 = (BgL_oclassz00_9519);
															BgL_arg1853z00_9526 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9527,
																2L);
														}
														BgL_res3220z00_9518 =
															(BgL_arg1853z00_9526 == BgL_classz00_9513);
													}
												else
													{	/* SawMill/defs.sch 902 */
														BgL_res3220z00_9518 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3220z00_9518;
							}
					}
				else
					{	/* SawMill/defs.sch 902 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_cast? */
	obj_t BGl_z62rtl_castzf3z91zzsaw_defsz00(obj_t BgL_envz00_7655,
		obj_t BgL_objz00_7656)
	{
		{	/* SawMill/defs.sch 902 */
			return BBOOL(BGl_rtl_castzf3zf3zzsaw_defsz00(BgL_objz00_7656));
		}

	}



/* rtl_cast-nil */
	BGL_EXPORTED_DEF BgL_rtl_castz00_bglt BGl_rtl_castzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 903 */
			{	/* SawMill/defs.sch 903 */
				obj_t BgL_classz00_5945;

				BgL_classz00_5945 = BGl_rtl_castz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 903 */
					obj_t BgL__ortest_1117z00_5946;

					BgL__ortest_1117z00_5946 = BGL_CLASS_NIL(BgL_classz00_5945);
					if (CBOOL(BgL__ortest_1117z00_5946))
						{	/* SawMill/defs.sch 903 */
							return ((BgL_rtl_castz00_bglt) BgL__ortest_1117z00_5946);
						}
					else
						{	/* SawMill/defs.sch 903 */
							return
								((BgL_rtl_castz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5945));
						}
				}
			}
		}

	}



/* &rtl_cast-nil */
	BgL_rtl_castz00_bglt BGl_z62rtl_castzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7657)
	{
		{	/* SawMill/defs.sch 903 */
			return BGl_rtl_castzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_cast-fromtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_castzd2fromtypezd2zzsaw_defsz00(BgL_rtl_castz00_bglt BgL_oz00_383)
	{
		{	/* SawMill/defs.sch 904 */
			return (((BgL_rtl_castz00_bglt) COBJECT(BgL_oz00_383))->BgL_fromtypez00);
		}

	}



/* &rtl_cast-fromtype */
	BgL_typez00_bglt BGl_z62rtl_castzd2fromtypezb0zzsaw_defsz00(obj_t
		BgL_envz00_7658, obj_t BgL_oz00_7659)
	{
		{	/* SawMill/defs.sch 904 */
			return
				BGl_rtl_castzd2fromtypezd2zzsaw_defsz00(
				((BgL_rtl_castz00_bglt) BgL_oz00_7659));
		}

	}



/* rtl_cast-fromtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_castzd2fromtypezd2setz12z12zzsaw_defsz00(BgL_rtl_castz00_bglt
		BgL_oz00_384, BgL_typez00_bglt BgL_vz00_385)
	{
		{	/* SawMill/defs.sch 905 */
			return
				((((BgL_rtl_castz00_bglt) COBJECT(BgL_oz00_384))->BgL_fromtypez00) =
				((BgL_typez00_bglt) BgL_vz00_385), BUNSPEC);
		}

	}



/* &rtl_cast-fromtype-set! */
	obj_t BGl_z62rtl_castzd2fromtypezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7660, obj_t BgL_oz00_7661, obj_t BgL_vz00_7662)
	{
		{	/* SawMill/defs.sch 905 */
			return
				BGl_rtl_castzd2fromtypezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_castz00_bglt) BgL_oz00_7661),
				((BgL_typez00_bglt) BgL_vz00_7662));
		}

	}



/* rtl_cast-totype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_castzd2totypezd2zzsaw_defsz00(BgL_rtl_castz00_bglt BgL_oz00_386)
	{
		{	/* SawMill/defs.sch 906 */
			return (((BgL_rtl_castz00_bglt) COBJECT(BgL_oz00_386))->BgL_totypez00);
		}

	}



/* &rtl_cast-totype */
	BgL_typez00_bglt BGl_z62rtl_castzd2totypezb0zzsaw_defsz00(obj_t
		BgL_envz00_7663, obj_t BgL_oz00_7664)
	{
		{	/* SawMill/defs.sch 906 */
			return
				BGl_rtl_castzd2totypezd2zzsaw_defsz00(
				((BgL_rtl_castz00_bglt) BgL_oz00_7664));
		}

	}



/* rtl_cast-totype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_castzd2totypezd2setz12z12zzsaw_defsz00(BgL_rtl_castz00_bglt
		BgL_oz00_387, BgL_typez00_bglt BgL_vz00_388)
	{
		{	/* SawMill/defs.sch 907 */
			return
				((((BgL_rtl_castz00_bglt) COBJECT(BgL_oz00_387))->BgL_totypez00) =
				((BgL_typez00_bglt) BgL_vz00_388), BUNSPEC);
		}

	}



/* &rtl_cast-totype-set! */
	obj_t BGl_z62rtl_castzd2totypezd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7665,
		obj_t BgL_oz00_7666, obj_t BgL_vz00_7667)
	{
		{	/* SawMill/defs.sch 907 */
			return
				BGl_rtl_castzd2totypezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_castz00_bglt) BgL_oz00_7666),
				((BgL_typez00_bglt) BgL_vz00_7667));
		}

	}



/* rtl_cast-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_castzd2loczd2zzsaw_defsz00(BgL_rtl_castz00_bglt
		BgL_oz00_389)
	{
		{	/* SawMill/defs.sch 908 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_389)))->BgL_locz00);
		}

	}



/* &rtl_cast-loc */
	obj_t BGl_z62rtl_castzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7668,
		obj_t BgL_oz00_7669)
	{
		{	/* SawMill/defs.sch 908 */
			return
				BGl_rtl_castzd2loczd2zzsaw_defsz00(
				((BgL_rtl_castz00_bglt) BgL_oz00_7669));
		}

	}



/* rtl_cast-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_castzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_castz00_bglt
		BgL_oz00_390, obj_t BgL_vz00_391)
	{
		{	/* SawMill/defs.sch 909 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_390)))->BgL_locz00) =
				((obj_t) BgL_vz00_391), BUNSPEC);
		}

	}



/* &rtl_cast-loc-set! */
	obj_t BGl_z62rtl_castzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7670,
		obj_t BgL_oz00_7671, obj_t BgL_vz00_7672)
	{
		{	/* SawMill/defs.sch 909 */
			return
				BGl_rtl_castzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_castz00_bglt) BgL_oz00_7671), BgL_vz00_7672);
		}

	}



/* make-rtl_cast_null */
	BGL_EXPORTED_DEF BgL_rtl_cast_nullz00_bglt
		BGl_makezd2rtl_cast_nullzd2zzsaw_defsz00(obj_t BgL_loc1366z00_392,
		BgL_typez00_bglt BgL_type1367z00_393)
	{
		{	/* SawMill/defs.sch 912 */
			{	/* SawMill/defs.sch 912 */
				BgL_rtl_cast_nullz00_bglt BgL_new1435z00_9528;

				{	/* SawMill/defs.sch 912 */
					BgL_rtl_cast_nullz00_bglt BgL_new1434z00_9529;

					BgL_new1434z00_9529 =
						((BgL_rtl_cast_nullz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_cast_nullz00_bgl))));
					{	/* SawMill/defs.sch 912 */
						long BgL_arg1913z00_9530;

						BgL_arg1913z00_9530 =
							BGL_CLASS_NUM(BGl_rtl_cast_nullz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1434z00_9529), BgL_arg1913z00_9530);
					}
					BgL_new1435z00_9528 = BgL_new1434z00_9529;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1435z00_9528)))->BgL_locz00) =
					((obj_t) BgL_loc1366z00_392), BUNSPEC);
				((((BgL_rtl_cast_nullz00_bglt) COBJECT(BgL_new1435z00_9528))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1367z00_393), BUNSPEC);
				return BgL_new1435z00_9528;
			}
		}

	}



/* &make-rtl_cast_null */
	BgL_rtl_cast_nullz00_bglt BGl_z62makezd2rtl_cast_nullzb0zzsaw_defsz00(obj_t
		BgL_envz00_7673, obj_t BgL_loc1366z00_7674, obj_t BgL_type1367z00_7675)
	{
		{	/* SawMill/defs.sch 912 */
			return
				BGl_makezd2rtl_cast_nullzd2zzsaw_defsz00(BgL_loc1366z00_7674,
				((BgL_typez00_bglt) BgL_type1367z00_7675));
		}

	}



/* rtl_cast_null? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_cast_nullzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_394)
	{
		{	/* SawMill/defs.sch 913 */
			{	/* SawMill/defs.sch 913 */
				obj_t BgL_classz00_9531;

				BgL_classz00_9531 = BGl_rtl_cast_nullz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_394))
					{	/* SawMill/defs.sch 913 */
						BgL_objectz00_bglt BgL_arg1858z00_9532;

						BgL_arg1858z00_9532 = (BgL_objectz00_bglt) (BgL_objz00_394);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 913 */
								long BgL_idxz00_9533;

								BgL_idxz00_9533 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9532);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9533 + 2L)) == BgL_classz00_9531);
							}
						else
							{	/* SawMill/defs.sch 913 */
								bool_t BgL_res3221z00_9536;

								{	/* SawMill/defs.sch 913 */
									obj_t BgL_oclassz00_9537;

									{	/* SawMill/defs.sch 913 */
										obj_t BgL_arg1866z00_9538;
										long BgL_arg1867z00_9539;

										BgL_arg1866z00_9538 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 913 */
											long BgL_arg1869z00_9540;

											BgL_arg1869z00_9540 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9532);
											BgL_arg1867z00_9539 = (BgL_arg1869z00_9540 - OBJECT_TYPE);
										}
										BgL_oclassz00_9537 =
											VECTOR_REF(BgL_arg1866z00_9538, BgL_arg1867z00_9539);
									}
									{	/* SawMill/defs.sch 913 */
										bool_t BgL__ortest_1115z00_9541;

										BgL__ortest_1115z00_9541 =
											(BgL_classz00_9531 == BgL_oclassz00_9537);
										if (BgL__ortest_1115z00_9541)
											{	/* SawMill/defs.sch 913 */
												BgL_res3221z00_9536 = BgL__ortest_1115z00_9541;
											}
										else
											{	/* SawMill/defs.sch 913 */
												long BgL_odepthz00_9542;

												{	/* SawMill/defs.sch 913 */
													obj_t BgL_arg1855z00_9543;

													BgL_arg1855z00_9543 = (BgL_oclassz00_9537);
													BgL_odepthz00_9542 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9543);
												}
												if ((2L < BgL_odepthz00_9542))
													{	/* SawMill/defs.sch 913 */
														obj_t BgL_arg1853z00_9544;

														{	/* SawMill/defs.sch 913 */
															obj_t BgL_arg1854z00_9545;

															BgL_arg1854z00_9545 = (BgL_oclassz00_9537);
															BgL_arg1853z00_9544 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9545,
																2L);
														}
														BgL_res3221z00_9536 =
															(BgL_arg1853z00_9544 == BgL_classz00_9531);
													}
												else
													{	/* SawMill/defs.sch 913 */
														BgL_res3221z00_9536 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3221z00_9536;
							}
					}
				else
					{	/* SawMill/defs.sch 913 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_cast_null? */
	obj_t BGl_z62rtl_cast_nullzf3z91zzsaw_defsz00(obj_t BgL_envz00_7676,
		obj_t BgL_objz00_7677)
	{
		{	/* SawMill/defs.sch 913 */
			return BBOOL(BGl_rtl_cast_nullzf3zf3zzsaw_defsz00(BgL_objz00_7677));
		}

	}



/* rtl_cast_null-nil */
	BGL_EXPORTED_DEF BgL_rtl_cast_nullz00_bglt
		BGl_rtl_cast_nullzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 914 */
			{	/* SawMill/defs.sch 914 */
				obj_t BgL_classz00_5987;

				BgL_classz00_5987 = BGl_rtl_cast_nullz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 914 */
					obj_t BgL__ortest_1117z00_5988;

					BgL__ortest_1117z00_5988 = BGL_CLASS_NIL(BgL_classz00_5987);
					if (CBOOL(BgL__ortest_1117z00_5988))
						{	/* SawMill/defs.sch 914 */
							return ((BgL_rtl_cast_nullz00_bglt) BgL__ortest_1117z00_5988);
						}
					else
						{	/* SawMill/defs.sch 914 */
							return
								((BgL_rtl_cast_nullz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5987));
						}
				}
			}
		}

	}



/* &rtl_cast_null-nil */
	BgL_rtl_cast_nullz00_bglt BGl_z62rtl_cast_nullzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7678)
	{
		{	/* SawMill/defs.sch 914 */
			return BGl_rtl_cast_nullzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_cast_null-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_cast_nullzd2typezd2zzsaw_defsz00(BgL_rtl_cast_nullz00_bglt
		BgL_oz00_395)
	{
		{	/* SawMill/defs.sch 915 */
			return (((BgL_rtl_cast_nullz00_bglt) COBJECT(BgL_oz00_395))->BgL_typez00);
		}

	}



/* &rtl_cast_null-type */
	BgL_typez00_bglt BGl_z62rtl_cast_nullzd2typezb0zzsaw_defsz00(obj_t
		BgL_envz00_7679, obj_t BgL_oz00_7680)
	{
		{	/* SawMill/defs.sch 915 */
			return
				BGl_rtl_cast_nullzd2typezd2zzsaw_defsz00(
				((BgL_rtl_cast_nullz00_bglt) BgL_oz00_7680));
		}

	}



/* rtl_cast_null-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_cast_nullzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_cast_nullz00_bglt
		BgL_oz00_396, BgL_typez00_bglt BgL_vz00_397)
	{
		{	/* SawMill/defs.sch 916 */
			return
				((((BgL_rtl_cast_nullz00_bglt) COBJECT(BgL_oz00_396))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_397), BUNSPEC);
		}

	}



/* &rtl_cast_null-type-set! */
	obj_t BGl_z62rtl_cast_nullzd2typezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7681, obj_t BgL_oz00_7682, obj_t BgL_vz00_7683)
	{
		{	/* SawMill/defs.sch 916 */
			return
				BGl_rtl_cast_nullzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_cast_nullz00_bglt) BgL_oz00_7682),
				((BgL_typez00_bglt) BgL_vz00_7683));
		}

	}



/* rtl_cast_null-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_cast_nullzd2loczd2zzsaw_defsz00(BgL_rtl_cast_nullz00_bglt
		BgL_oz00_398)
	{
		{	/* SawMill/defs.sch 917 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_398)))->BgL_locz00);
		}

	}



/* &rtl_cast_null-loc */
	obj_t BGl_z62rtl_cast_nullzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7684,
		obj_t BgL_oz00_7685)
	{
		{	/* SawMill/defs.sch 917 */
			return
				BGl_rtl_cast_nullzd2loczd2zzsaw_defsz00(
				((BgL_rtl_cast_nullz00_bglt) BgL_oz00_7685));
		}

	}



/* rtl_cast_null-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_cast_nullzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_cast_nullz00_bglt
		BgL_oz00_399, obj_t BgL_vz00_400)
	{
		{	/* SawMill/defs.sch 918 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_399)))->BgL_locz00) =
				((obj_t) BgL_vz00_400), BUNSPEC);
		}

	}



/* &rtl_cast_null-loc-set! */
	obj_t BGl_z62rtl_cast_nullzd2loczd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7686, obj_t BgL_oz00_7687, obj_t BgL_vz00_7688)
	{
		{	/* SawMill/defs.sch 918 */
			return
				BGl_rtl_cast_nullzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_cast_nullz00_bglt) BgL_oz00_7687), BgL_vz00_7688);
		}

	}



/* make-rtl_protect */
	BGL_EXPORTED_DEF BgL_rtl_protectz00_bglt
		BGl_makezd2rtl_protectzd2zzsaw_defsz00(obj_t BgL_loc1363z00_401)
	{
		{	/* SawMill/defs.sch 921 */
			{	/* SawMill/defs.sch 921 */
				BgL_rtl_protectz00_bglt BgL_new1437z00_9546;

				{	/* SawMill/defs.sch 921 */
					BgL_rtl_protectz00_bglt BgL_new1436z00_9547;

					BgL_new1436z00_9547 =
						((BgL_rtl_protectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_protectz00_bgl))));
					{	/* SawMill/defs.sch 921 */
						long BgL_arg1915z00_9548;

						BgL_arg1915z00_9548 =
							BGL_CLASS_NUM(BGl_rtl_protectz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1436z00_9547), BgL_arg1915z00_9548);
					}
					BgL_new1437z00_9546 = BgL_new1436z00_9547;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1437z00_9546)))->BgL_locz00) =
					((obj_t) BgL_loc1363z00_401), BUNSPEC);
				return BgL_new1437z00_9546;
			}
		}

	}



/* &make-rtl_protect */
	BgL_rtl_protectz00_bglt BGl_z62makezd2rtl_protectzb0zzsaw_defsz00(obj_t
		BgL_envz00_7689, obj_t BgL_loc1363z00_7690)
	{
		{	/* SawMill/defs.sch 921 */
			return BGl_makezd2rtl_protectzd2zzsaw_defsz00(BgL_loc1363z00_7690);
		}

	}



/* rtl_protect? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_protectzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_402)
	{
		{	/* SawMill/defs.sch 922 */
			{	/* SawMill/defs.sch 922 */
				obj_t BgL_classz00_9549;

				BgL_classz00_9549 = BGl_rtl_protectz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_402))
					{	/* SawMill/defs.sch 922 */
						BgL_objectz00_bglt BgL_arg1858z00_9550;

						BgL_arg1858z00_9550 = (BgL_objectz00_bglt) (BgL_objz00_402);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 922 */
								long BgL_idxz00_9551;

								BgL_idxz00_9551 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9550);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9551 + 2L)) == BgL_classz00_9549);
							}
						else
							{	/* SawMill/defs.sch 922 */
								bool_t BgL_res3222z00_9554;

								{	/* SawMill/defs.sch 922 */
									obj_t BgL_oclassz00_9555;

									{	/* SawMill/defs.sch 922 */
										obj_t BgL_arg1866z00_9556;
										long BgL_arg1867z00_9557;

										BgL_arg1866z00_9556 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 922 */
											long BgL_arg1869z00_9558;

											BgL_arg1869z00_9558 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9550);
											BgL_arg1867z00_9557 = (BgL_arg1869z00_9558 - OBJECT_TYPE);
										}
										BgL_oclassz00_9555 =
											VECTOR_REF(BgL_arg1866z00_9556, BgL_arg1867z00_9557);
									}
									{	/* SawMill/defs.sch 922 */
										bool_t BgL__ortest_1115z00_9559;

										BgL__ortest_1115z00_9559 =
											(BgL_classz00_9549 == BgL_oclassz00_9555);
										if (BgL__ortest_1115z00_9559)
											{	/* SawMill/defs.sch 922 */
												BgL_res3222z00_9554 = BgL__ortest_1115z00_9559;
											}
										else
											{	/* SawMill/defs.sch 922 */
												long BgL_odepthz00_9560;

												{	/* SawMill/defs.sch 922 */
													obj_t BgL_arg1855z00_9561;

													BgL_arg1855z00_9561 = (BgL_oclassz00_9555);
													BgL_odepthz00_9560 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9561);
												}
												if ((2L < BgL_odepthz00_9560))
													{	/* SawMill/defs.sch 922 */
														obj_t BgL_arg1853z00_9562;

														{	/* SawMill/defs.sch 922 */
															obj_t BgL_arg1854z00_9563;

															BgL_arg1854z00_9563 = (BgL_oclassz00_9555);
															BgL_arg1853z00_9562 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9563,
																2L);
														}
														BgL_res3222z00_9554 =
															(BgL_arg1853z00_9562 == BgL_classz00_9549);
													}
												else
													{	/* SawMill/defs.sch 922 */
														BgL_res3222z00_9554 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3222z00_9554;
							}
					}
				else
					{	/* SawMill/defs.sch 922 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_protect? */
	obj_t BGl_z62rtl_protectzf3z91zzsaw_defsz00(obj_t BgL_envz00_7691,
		obj_t BgL_objz00_7692)
	{
		{	/* SawMill/defs.sch 922 */
			return BBOOL(BGl_rtl_protectzf3zf3zzsaw_defsz00(BgL_objz00_7692));
		}

	}



/* rtl_protect-nil */
	BGL_EXPORTED_DEF BgL_rtl_protectz00_bglt
		BGl_rtl_protectzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 923 */
			{	/* SawMill/defs.sch 923 */
				obj_t BgL_classz00_6029;

				BgL_classz00_6029 = BGl_rtl_protectz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 923 */
					obj_t BgL__ortest_1117z00_6030;

					BgL__ortest_1117z00_6030 = BGL_CLASS_NIL(BgL_classz00_6029);
					if (CBOOL(BgL__ortest_1117z00_6030))
						{	/* SawMill/defs.sch 923 */
							return ((BgL_rtl_protectz00_bglt) BgL__ortest_1117z00_6030);
						}
					else
						{	/* SawMill/defs.sch 923 */
							return
								((BgL_rtl_protectz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_6029));
						}
				}
			}
		}

	}



/* &rtl_protect-nil */
	BgL_rtl_protectz00_bglt BGl_z62rtl_protectzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7693)
	{
		{	/* SawMill/defs.sch 923 */
			return BGl_rtl_protectzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_protect-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_protectzd2loczd2zzsaw_defsz00(BgL_rtl_protectz00_bglt BgL_oz00_403)
	{
		{	/* SawMill/defs.sch 924 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_403)))->BgL_locz00);
		}

	}



/* &rtl_protect-loc */
	obj_t BGl_z62rtl_protectzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7694,
		obj_t BgL_oz00_7695)
	{
		{	/* SawMill/defs.sch 924 */
			return
				BGl_rtl_protectzd2loczd2zzsaw_defsz00(
				((BgL_rtl_protectz00_bglt) BgL_oz00_7695));
		}

	}



/* rtl_protect-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_protectzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_protectz00_bglt
		BgL_oz00_404, obj_t BgL_vz00_405)
	{
		{	/* SawMill/defs.sch 925 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_404)))->BgL_locz00) =
				((obj_t) BgL_vz00_405), BUNSPEC);
		}

	}



/* &rtl_protect-loc-set! */
	obj_t BGl_z62rtl_protectzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7696,
		obj_t BgL_oz00_7697, obj_t BgL_vz00_7698)
	{
		{	/* SawMill/defs.sch 925 */
			return
				BGl_rtl_protectzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_protectz00_bglt) BgL_oz00_7697), BgL_vz00_7698);
		}

	}



/* make-rtl_protected */
	BGL_EXPORTED_DEF BgL_rtl_protectedz00_bglt
		BGl_makezd2rtl_protectedzd2zzsaw_defsz00(obj_t BgL_loc1361z00_406)
	{
		{	/* SawMill/defs.sch 928 */
			{	/* SawMill/defs.sch 928 */
				BgL_rtl_protectedz00_bglt BgL_new1440z00_9564;

				{	/* SawMill/defs.sch 928 */
					BgL_rtl_protectedz00_bglt BgL_new1439z00_9565;

					BgL_new1439z00_9565 =
						((BgL_rtl_protectedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_protectedz00_bgl))));
					{	/* SawMill/defs.sch 928 */
						long BgL_arg1916z00_9566;

						BgL_arg1916z00_9566 =
							BGL_CLASS_NUM(BGl_rtl_protectedz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1439z00_9565), BgL_arg1916z00_9566);
					}
					BgL_new1440z00_9564 = BgL_new1439z00_9565;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1440z00_9564)))->BgL_locz00) =
					((obj_t) BgL_loc1361z00_406), BUNSPEC);
				return BgL_new1440z00_9564;
			}
		}

	}



/* &make-rtl_protected */
	BgL_rtl_protectedz00_bglt BGl_z62makezd2rtl_protectedzb0zzsaw_defsz00(obj_t
		BgL_envz00_7699, obj_t BgL_loc1361z00_7700)
	{
		{	/* SawMill/defs.sch 928 */
			return BGl_makezd2rtl_protectedzd2zzsaw_defsz00(BgL_loc1361z00_7700);
		}

	}



/* rtl_protected? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_protectedzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_407)
	{
		{	/* SawMill/defs.sch 929 */
			{	/* SawMill/defs.sch 929 */
				obj_t BgL_classz00_9567;

				BgL_classz00_9567 = BGl_rtl_protectedz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_407))
					{	/* SawMill/defs.sch 929 */
						BgL_objectz00_bglt BgL_arg1858z00_9568;

						BgL_arg1858z00_9568 = (BgL_objectz00_bglt) (BgL_objz00_407);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 929 */
								long BgL_idxz00_9569;

								BgL_idxz00_9569 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9568);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9569 + 2L)) == BgL_classz00_9567);
							}
						else
							{	/* SawMill/defs.sch 929 */
								bool_t BgL_res3223z00_9572;

								{	/* SawMill/defs.sch 929 */
									obj_t BgL_oclassz00_9573;

									{	/* SawMill/defs.sch 929 */
										obj_t BgL_arg1866z00_9574;
										long BgL_arg1867z00_9575;

										BgL_arg1866z00_9574 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 929 */
											long BgL_arg1869z00_9576;

											BgL_arg1869z00_9576 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9568);
											BgL_arg1867z00_9575 = (BgL_arg1869z00_9576 - OBJECT_TYPE);
										}
										BgL_oclassz00_9573 =
											VECTOR_REF(BgL_arg1866z00_9574, BgL_arg1867z00_9575);
									}
									{	/* SawMill/defs.sch 929 */
										bool_t BgL__ortest_1115z00_9577;

										BgL__ortest_1115z00_9577 =
											(BgL_classz00_9567 == BgL_oclassz00_9573);
										if (BgL__ortest_1115z00_9577)
											{	/* SawMill/defs.sch 929 */
												BgL_res3223z00_9572 = BgL__ortest_1115z00_9577;
											}
										else
											{	/* SawMill/defs.sch 929 */
												long BgL_odepthz00_9578;

												{	/* SawMill/defs.sch 929 */
													obj_t BgL_arg1855z00_9579;

													BgL_arg1855z00_9579 = (BgL_oclassz00_9573);
													BgL_odepthz00_9578 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9579);
												}
												if ((2L < BgL_odepthz00_9578))
													{	/* SawMill/defs.sch 929 */
														obj_t BgL_arg1853z00_9580;

														{	/* SawMill/defs.sch 929 */
															obj_t BgL_arg1854z00_9581;

															BgL_arg1854z00_9581 = (BgL_oclassz00_9573);
															BgL_arg1853z00_9580 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9581,
																2L);
														}
														BgL_res3223z00_9572 =
															(BgL_arg1853z00_9580 == BgL_classz00_9567);
													}
												else
													{	/* SawMill/defs.sch 929 */
														BgL_res3223z00_9572 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3223z00_9572;
							}
					}
				else
					{	/* SawMill/defs.sch 929 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_protected? */
	obj_t BGl_z62rtl_protectedzf3z91zzsaw_defsz00(obj_t BgL_envz00_7701,
		obj_t BgL_objz00_7702)
	{
		{	/* SawMill/defs.sch 929 */
			return BBOOL(BGl_rtl_protectedzf3zf3zzsaw_defsz00(BgL_objz00_7702));
		}

	}



/* rtl_protected-nil */
	BGL_EXPORTED_DEF BgL_rtl_protectedz00_bglt
		BGl_rtl_protectedzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 930 */
			{	/* SawMill/defs.sch 930 */
				obj_t BgL_classz00_6071;

				BgL_classz00_6071 = BGl_rtl_protectedz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 930 */
					obj_t BgL__ortest_1117z00_6072;

					BgL__ortest_1117z00_6072 = BGL_CLASS_NIL(BgL_classz00_6071);
					if (CBOOL(BgL__ortest_1117z00_6072))
						{	/* SawMill/defs.sch 930 */
							return ((BgL_rtl_protectedz00_bglt) BgL__ortest_1117z00_6072);
						}
					else
						{	/* SawMill/defs.sch 930 */
							return
								((BgL_rtl_protectedz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_6071));
						}
				}
			}
		}

	}



/* &rtl_protected-nil */
	BgL_rtl_protectedz00_bglt BGl_z62rtl_protectedzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7703)
	{
		{	/* SawMill/defs.sch 930 */
			return BGl_rtl_protectedzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_protected-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_protectedzd2loczd2zzsaw_defsz00(BgL_rtl_protectedz00_bglt
		BgL_oz00_408)
	{
		{	/* SawMill/defs.sch 931 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_408)))->BgL_locz00);
		}

	}



/* &rtl_protected-loc */
	obj_t BGl_z62rtl_protectedzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7704,
		obj_t BgL_oz00_7705)
	{
		{	/* SawMill/defs.sch 931 */
			return
				BGl_rtl_protectedzd2loczd2zzsaw_defsz00(
				((BgL_rtl_protectedz00_bglt) BgL_oz00_7705));
		}

	}



/* rtl_protected-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_protectedzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_protectedz00_bglt
		BgL_oz00_409, obj_t BgL_vz00_410)
	{
		{	/* SawMill/defs.sch 932 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_409)))->BgL_locz00) =
				((obj_t) BgL_vz00_410), BUNSPEC);
		}

	}



/* &rtl_protected-loc-set! */
	obj_t BGl_z62rtl_protectedzd2loczd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7706, obj_t BgL_oz00_7707, obj_t BgL_vz00_7708)
	{
		{	/* SawMill/defs.sch 932 */
			return
				BGl_rtl_protectedzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_protectedz00_bglt) BgL_oz00_7707), BgL_vz00_7708);
		}

	}



/* make-rtl_ins */
	BGL_EXPORTED_DEF BgL_rtl_insz00_bglt BGl_makezd2rtl_inszd2zzsaw_defsz00(obj_t
		BgL_loc1355z00_411, obj_t BgL_z52spill1356z52_412,
		obj_t BgL_dest1357z00_413, BgL_rtl_funz00_bglt BgL_fun1358z00_414,
		obj_t BgL_args1359z00_415)
	{
		{	/* SawMill/defs.sch 935 */
			{	/* SawMill/defs.sch 935 */
				BgL_rtl_insz00_bglt BgL_new1442z00_9582;

				{	/* SawMill/defs.sch 935 */
					BgL_rtl_insz00_bglt BgL_new1441z00_9583;

					BgL_new1441z00_9583 =
						((BgL_rtl_insz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_insz00_bgl))));
					{	/* SawMill/defs.sch 935 */
						long BgL_arg1917z00_9584;

						BgL_arg1917z00_9584 = BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1441z00_9583), BgL_arg1917z00_9584);
					}
					{	/* SawMill/defs.sch 935 */
						BgL_objectz00_bglt BgL_tmpz00_12762;

						BgL_tmpz00_12762 = ((BgL_objectz00_bglt) BgL_new1441z00_9583);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12762, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1441z00_9583);
					BgL_new1442z00_9582 = BgL_new1441z00_9583;
				}
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1442z00_9582))->BgL_locz00) =
					((obj_t) BgL_loc1355z00_411), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1442z00_9582))->
						BgL_z52spillz52) = ((obj_t) BgL_z52spill1356z52_412), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1442z00_9582))->BgL_destz00) =
					((obj_t) BgL_dest1357z00_413), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1442z00_9582))->BgL_funz00) =
					((BgL_rtl_funz00_bglt) BgL_fun1358z00_414), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1442z00_9582))->BgL_argsz00) =
					((obj_t) BgL_args1359z00_415), BUNSPEC);
				return BgL_new1442z00_9582;
			}
		}

	}



/* &make-rtl_ins */
	BgL_rtl_insz00_bglt BGl_z62makezd2rtl_inszb0zzsaw_defsz00(obj_t
		BgL_envz00_7709, obj_t BgL_loc1355z00_7710, obj_t BgL_z52spill1356z52_7711,
		obj_t BgL_dest1357z00_7712, obj_t BgL_fun1358z00_7713,
		obj_t BgL_args1359z00_7714)
	{
		{	/* SawMill/defs.sch 935 */
			return
				BGl_makezd2rtl_inszd2zzsaw_defsz00(BgL_loc1355z00_7710,
				BgL_z52spill1356z52_7711, BgL_dest1357z00_7712,
				((BgL_rtl_funz00_bglt) BgL_fun1358z00_7713), BgL_args1359z00_7714);
		}

	}



/* rtl_ins? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_inszf3zf3zzsaw_defsz00(obj_t BgL_objz00_416)
	{
		{	/* SawMill/defs.sch 936 */
			{	/* SawMill/defs.sch 936 */
				obj_t BgL_classz00_9585;

				BgL_classz00_9585 = BGl_rtl_insz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_416))
					{	/* SawMill/defs.sch 936 */
						BgL_objectz00_bglt BgL_arg1858z00_9586;

						BgL_arg1858z00_9586 = (BgL_objectz00_bglt) (BgL_objz00_416);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 936 */
								long BgL_idxz00_9587;

								BgL_idxz00_9587 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9586);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9587 + 1L)) == BgL_classz00_9585);
							}
						else
							{	/* SawMill/defs.sch 936 */
								bool_t BgL_res3224z00_9590;

								{	/* SawMill/defs.sch 936 */
									obj_t BgL_oclassz00_9591;

									{	/* SawMill/defs.sch 936 */
										obj_t BgL_arg1866z00_9592;
										long BgL_arg1867z00_9593;

										BgL_arg1866z00_9592 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 936 */
											long BgL_arg1869z00_9594;

											BgL_arg1869z00_9594 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9586);
											BgL_arg1867z00_9593 = (BgL_arg1869z00_9594 - OBJECT_TYPE);
										}
										BgL_oclassz00_9591 =
											VECTOR_REF(BgL_arg1866z00_9592, BgL_arg1867z00_9593);
									}
									{	/* SawMill/defs.sch 936 */
										bool_t BgL__ortest_1115z00_9595;

										BgL__ortest_1115z00_9595 =
											(BgL_classz00_9585 == BgL_oclassz00_9591);
										if (BgL__ortest_1115z00_9595)
											{	/* SawMill/defs.sch 936 */
												BgL_res3224z00_9590 = BgL__ortest_1115z00_9595;
											}
										else
											{	/* SawMill/defs.sch 936 */
												long BgL_odepthz00_9596;

												{	/* SawMill/defs.sch 936 */
													obj_t BgL_arg1855z00_9597;

													BgL_arg1855z00_9597 = (BgL_oclassz00_9591);
													BgL_odepthz00_9596 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9597);
												}
												if ((1L < BgL_odepthz00_9596))
													{	/* SawMill/defs.sch 936 */
														obj_t BgL_arg1853z00_9598;

														{	/* SawMill/defs.sch 936 */
															obj_t BgL_arg1854z00_9599;

															BgL_arg1854z00_9599 = (BgL_oclassz00_9591);
															BgL_arg1853z00_9598 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9599,
																1L);
														}
														BgL_res3224z00_9590 =
															(BgL_arg1853z00_9598 == BgL_classz00_9585);
													}
												else
													{	/* SawMill/defs.sch 936 */
														BgL_res3224z00_9590 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3224z00_9590;
							}
					}
				else
					{	/* SawMill/defs.sch 936 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_ins? */
	obj_t BGl_z62rtl_inszf3z91zzsaw_defsz00(obj_t BgL_envz00_7715,
		obj_t BgL_objz00_7716)
	{
		{	/* SawMill/defs.sch 936 */
			return BBOOL(BGl_rtl_inszf3zf3zzsaw_defsz00(BgL_objz00_7716));
		}

	}



/* rtl_ins-nil */
	BGL_EXPORTED_DEF BgL_rtl_insz00_bglt BGl_rtl_inszd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 937 */
			{	/* SawMill/defs.sch 937 */
				obj_t BgL_classz00_6114;

				BgL_classz00_6114 = BGl_rtl_insz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 937 */
					obj_t BgL__ortest_1117z00_6115;

					BgL__ortest_1117z00_6115 = BGL_CLASS_NIL(BgL_classz00_6114);
					if (CBOOL(BgL__ortest_1117z00_6115))
						{	/* SawMill/defs.sch 937 */
							return ((BgL_rtl_insz00_bglt) BgL__ortest_1117z00_6115);
						}
					else
						{	/* SawMill/defs.sch 937 */
							return
								((BgL_rtl_insz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_6114));
						}
				}
			}
		}

	}



/* &rtl_ins-nil */
	BgL_rtl_insz00_bglt BGl_z62rtl_inszd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7717)
	{
		{	/* SawMill/defs.sch 937 */
			return BGl_rtl_inszd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_ins-args */
	BGL_EXPORTED_DEF obj_t BGl_rtl_inszd2argszd2zzsaw_defsz00(BgL_rtl_insz00_bglt
		BgL_oz00_417)
	{
		{	/* SawMill/defs.sch 938 */
			return (((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_417))->BgL_argsz00);
		}

	}



/* &rtl_ins-args */
	obj_t BGl_z62rtl_inszd2argszb0zzsaw_defsz00(obj_t BgL_envz00_7718,
		obj_t BgL_oz00_7719)
	{
		{	/* SawMill/defs.sch 938 */
			return
				BGl_rtl_inszd2argszd2zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_7719));
		}

	}



/* rtl_ins-args-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszd2argszd2setz12z12zzsaw_defsz00(BgL_rtl_insz00_bglt
		BgL_oz00_418, obj_t BgL_vz00_419)
	{
		{	/* SawMill/defs.sch 939 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_418))->BgL_argsz00) =
				((obj_t) BgL_vz00_419), BUNSPEC);
		}

	}



/* &rtl_ins-args-set! */
	obj_t BGl_z62rtl_inszd2argszd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7720,
		obj_t BgL_oz00_7721, obj_t BgL_vz00_7722)
	{
		{	/* SawMill/defs.sch 939 */
			return
				BGl_rtl_inszd2argszd2setz12z12zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_7721), BgL_vz00_7722);
		}

	}



/* rtl_ins-fun */
	BGL_EXPORTED_DEF BgL_rtl_funz00_bglt
		BGl_rtl_inszd2funzd2zzsaw_defsz00(BgL_rtl_insz00_bglt BgL_oz00_420)
	{
		{	/* SawMill/defs.sch 940 */
			return (((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_420))->BgL_funz00);
		}

	}



/* &rtl_ins-fun */
	BgL_rtl_funz00_bglt BGl_z62rtl_inszd2funzb0zzsaw_defsz00(obj_t
		BgL_envz00_7723, obj_t BgL_oz00_7724)
	{
		{	/* SawMill/defs.sch 940 */
			return
				BGl_rtl_inszd2funzd2zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_7724));
		}

	}



/* rtl_ins-fun-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszd2funzd2setz12z12zzsaw_defsz00(BgL_rtl_insz00_bglt BgL_oz00_421,
		BgL_rtl_funz00_bglt BgL_vz00_422)
	{
		{	/* SawMill/defs.sch 941 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_421))->BgL_funz00) =
				((BgL_rtl_funz00_bglt) BgL_vz00_422), BUNSPEC);
		}

	}



/* &rtl_ins-fun-set! */
	obj_t BGl_z62rtl_inszd2funzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7725,
		obj_t BgL_oz00_7726, obj_t BgL_vz00_7727)
	{
		{	/* SawMill/defs.sch 941 */
			return
				BGl_rtl_inszd2funzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_7726),
				((BgL_rtl_funz00_bglt) BgL_vz00_7727));
		}

	}



/* rtl_ins-dest */
	BGL_EXPORTED_DEF obj_t BGl_rtl_inszd2destzd2zzsaw_defsz00(BgL_rtl_insz00_bglt
		BgL_oz00_423)
	{
		{	/* SawMill/defs.sch 942 */
			return (((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_423))->BgL_destz00);
		}

	}



/* &rtl_ins-dest */
	obj_t BGl_z62rtl_inszd2destzb0zzsaw_defsz00(obj_t BgL_envz00_7728,
		obj_t BgL_oz00_7729)
	{
		{	/* SawMill/defs.sch 942 */
			return
				BGl_rtl_inszd2destzd2zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_7729));
		}

	}



/* rtl_ins-dest-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszd2destzd2setz12z12zzsaw_defsz00(BgL_rtl_insz00_bglt
		BgL_oz00_424, obj_t BgL_vz00_425)
	{
		{	/* SawMill/defs.sch 943 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_424))->BgL_destz00) =
				((obj_t) BgL_vz00_425), BUNSPEC);
		}

	}



/* &rtl_ins-dest-set! */
	obj_t BGl_z62rtl_inszd2destzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7730,
		obj_t BgL_oz00_7731, obj_t BgL_vz00_7732)
	{
		{	/* SawMill/defs.sch 943 */
			return
				BGl_rtl_inszd2destzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_7731), BgL_vz00_7732);
		}

	}



/* rtl_ins-%spill */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszd2z52spillz80zzsaw_defsz00(BgL_rtl_insz00_bglt BgL_oz00_426)
	{
		{	/* SawMill/defs.sch 944 */
			return (((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_426))->BgL_z52spillz52);
		}

	}



/* &rtl_ins-%spill */
	obj_t BGl_z62rtl_inszd2z52spillze2zzsaw_defsz00(obj_t BgL_envz00_7733,
		obj_t BgL_oz00_7734)
	{
		{	/* SawMill/defs.sch 944 */
			return
				BGl_rtl_inszd2z52spillz80zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_7734));
		}

	}



/* rtl_ins-%spill-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszd2z52spillzd2setz12z40zzsaw_defsz00(BgL_rtl_insz00_bglt
		BgL_oz00_427, obj_t BgL_vz00_428)
	{
		{	/* SawMill/defs.sch 945 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_427))->BgL_z52spillz52) =
				((obj_t) BgL_vz00_428), BUNSPEC);
		}

	}



/* &rtl_ins-%spill-set! */
	obj_t BGl_z62rtl_inszd2z52spillzd2setz12z22zzsaw_defsz00(obj_t
		BgL_envz00_7735, obj_t BgL_oz00_7736, obj_t BgL_vz00_7737)
	{
		{	/* SawMill/defs.sch 945 */
			return
				BGl_rtl_inszd2z52spillzd2setz12z40zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_7736), BgL_vz00_7737);
		}

	}



/* rtl_ins-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_inszd2loczd2zzsaw_defsz00(BgL_rtl_insz00_bglt
		BgL_oz00_429)
	{
		{	/* SawMill/defs.sch 946 */
			return (((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_429))->BgL_locz00);
		}

	}



/* &rtl_ins-loc */
	obj_t BGl_z62rtl_inszd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7738,
		obj_t BgL_oz00_7739)
	{
		{	/* SawMill/defs.sch 946 */
			return
				BGl_rtl_inszd2loczd2zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_7739));
		}

	}



/* rtl_ins-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_insz00_bglt BgL_oz00_430,
		obj_t BgL_vz00_431)
	{
		{	/* SawMill/defs.sch 947 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_430))->BgL_locz00) =
				((obj_t) BgL_vz00_431), BUNSPEC);
		}

	}



/* &rtl_ins-loc-set! */
	obj_t BGl_z62rtl_inszd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7740,
		obj_t BgL_oz00_7741, obj_t BgL_vz00_7742)
	{
		{	/* SawMill/defs.sch 947 */
			return
				BGl_rtl_inszd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_7741), BgL_vz00_7742);
		}

	}



/* make-block */
	BGL_EXPORTED_DEF BgL_blockz00_bglt BGl_makezd2blockzd2zzsaw_defsz00(int
		BgL_label1350z00_432, obj_t BgL_preds1351z00_433,
		obj_t BgL_succs1352z00_434, obj_t BgL_first1353z00_435)
	{
		{	/* SawMill/defs.sch 950 */
			{	/* SawMill/defs.sch 950 */
				BgL_blockz00_bglt BgL_new1444z00_9600;

				{	/* SawMill/defs.sch 950 */
					BgL_blockz00_bglt BgL_new1443z00_9601;

					BgL_new1443z00_9601 =
						((BgL_blockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_blockz00_bgl))));
					{	/* SawMill/defs.sch 950 */
						long BgL_arg1918z00_9602;

						BgL_arg1918z00_9602 = BGL_CLASS_NUM(BGl_blockz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1443z00_9601), BgL_arg1918z00_9602);
					}
					{	/* SawMill/defs.sch 950 */
						BgL_objectz00_bglt BgL_tmpz00_12839;

						BgL_tmpz00_12839 = ((BgL_objectz00_bglt) BgL_new1443z00_9601);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12839, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1443z00_9601);
					BgL_new1444z00_9600 = BgL_new1443z00_9601;
				}
				((((BgL_blockz00_bglt) COBJECT(BgL_new1444z00_9600))->BgL_labelz00) =
					((int) BgL_label1350z00_432), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(BgL_new1444z00_9600))->BgL_predsz00) =
					((obj_t) BgL_preds1351z00_433), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(BgL_new1444z00_9600))->BgL_succsz00) =
					((obj_t) BgL_succs1352z00_434), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(BgL_new1444z00_9600))->BgL_firstz00) =
					((obj_t) BgL_first1353z00_435), BUNSPEC);
				return BgL_new1444z00_9600;
			}
		}

	}



/* &make-block */
	BgL_blockz00_bglt BGl_z62makezd2blockzb0zzsaw_defsz00(obj_t BgL_envz00_7743,
		obj_t BgL_label1350z00_7744, obj_t BgL_preds1351z00_7745,
		obj_t BgL_succs1352z00_7746, obj_t BgL_first1353z00_7747)
	{
		{	/* SawMill/defs.sch 950 */
			return
				BGl_makezd2blockzd2zzsaw_defsz00(CINT(BgL_label1350z00_7744),
				BgL_preds1351z00_7745, BgL_succs1352z00_7746, BgL_first1353z00_7747);
		}

	}



/* block? */
	BGL_EXPORTED_DEF bool_t BGl_blockzf3zf3zzsaw_defsz00(obj_t BgL_objz00_436)
	{
		{	/* SawMill/defs.sch 951 */
			{	/* SawMill/defs.sch 951 */
				obj_t BgL_classz00_9603;

				BgL_classz00_9603 = BGl_blockz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_436))
					{	/* SawMill/defs.sch 951 */
						BgL_objectz00_bglt BgL_arg1858z00_9604;

						BgL_arg1858z00_9604 = (BgL_objectz00_bglt) (BgL_objz00_436);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 951 */
								long BgL_idxz00_9605;

								BgL_idxz00_9605 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9604);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9605 + 1L)) == BgL_classz00_9603);
							}
						else
							{	/* SawMill/defs.sch 951 */
								bool_t BgL_res3225z00_9608;

								{	/* SawMill/defs.sch 951 */
									obj_t BgL_oclassz00_9609;

									{	/* SawMill/defs.sch 951 */
										obj_t BgL_arg1866z00_9610;
										long BgL_arg1867z00_9611;

										BgL_arg1866z00_9610 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/defs.sch 951 */
											long BgL_arg1869z00_9612;

											BgL_arg1869z00_9612 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9604);
											BgL_arg1867z00_9611 = (BgL_arg1869z00_9612 - OBJECT_TYPE);
										}
										BgL_oclassz00_9609 =
											VECTOR_REF(BgL_arg1866z00_9610, BgL_arg1867z00_9611);
									}
									{	/* SawMill/defs.sch 951 */
										bool_t BgL__ortest_1115z00_9613;

										BgL__ortest_1115z00_9613 =
											(BgL_classz00_9603 == BgL_oclassz00_9609);
										if (BgL__ortest_1115z00_9613)
											{	/* SawMill/defs.sch 951 */
												BgL_res3225z00_9608 = BgL__ortest_1115z00_9613;
											}
										else
											{	/* SawMill/defs.sch 951 */
												long BgL_odepthz00_9614;

												{	/* SawMill/defs.sch 951 */
													obj_t BgL_arg1855z00_9615;

													BgL_arg1855z00_9615 = (BgL_oclassz00_9609);
													BgL_odepthz00_9614 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9615);
												}
												if ((1L < BgL_odepthz00_9614))
													{	/* SawMill/defs.sch 951 */
														obj_t BgL_arg1853z00_9616;

														{	/* SawMill/defs.sch 951 */
															obj_t BgL_arg1854z00_9617;

															BgL_arg1854z00_9617 = (BgL_oclassz00_9609);
															BgL_arg1853z00_9616 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9617,
																1L);
														}
														BgL_res3225z00_9608 =
															(BgL_arg1853z00_9616 == BgL_classz00_9603);
													}
												else
													{	/* SawMill/defs.sch 951 */
														BgL_res3225z00_9608 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3225z00_9608;
							}
					}
				else
					{	/* SawMill/defs.sch 951 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &block? */
	obj_t BGl_z62blockzf3z91zzsaw_defsz00(obj_t BgL_envz00_7748,
		obj_t BgL_objz00_7749)
	{
		{	/* SawMill/defs.sch 951 */
			return BBOOL(BGl_blockzf3zf3zzsaw_defsz00(BgL_objz00_7749));
		}

	}



/* block-nil */
	BGL_EXPORTED_DEF BgL_blockz00_bglt BGl_blockzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 952 */
			{	/* SawMill/defs.sch 952 */
				obj_t BgL_classz00_6157;

				BgL_classz00_6157 = BGl_blockz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 952 */
					obj_t BgL__ortest_1117z00_6158;

					BgL__ortest_1117z00_6158 = BGL_CLASS_NIL(BgL_classz00_6157);
					if (CBOOL(BgL__ortest_1117z00_6158))
						{	/* SawMill/defs.sch 952 */
							return ((BgL_blockz00_bglt) BgL__ortest_1117z00_6158);
						}
					else
						{	/* SawMill/defs.sch 952 */
							return
								((BgL_blockz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_6157));
						}
				}
			}
		}

	}



/* &block-nil */
	BgL_blockz00_bglt BGl_z62blockzd2nilzb0zzsaw_defsz00(obj_t BgL_envz00_7750)
	{
		{	/* SawMill/defs.sch 952 */
			return BGl_blockzd2nilzd2zzsaw_defsz00();
		}

	}



/* block-first */
	BGL_EXPORTED_DEF obj_t BGl_blockzd2firstzd2zzsaw_defsz00(BgL_blockz00_bglt
		BgL_oz00_437)
	{
		{	/* SawMill/defs.sch 953 */
			return (((BgL_blockz00_bglt) COBJECT(BgL_oz00_437))->BgL_firstz00);
		}

	}



/* &block-first */
	obj_t BGl_z62blockzd2firstzb0zzsaw_defsz00(obj_t BgL_envz00_7751,
		obj_t BgL_oz00_7752)
	{
		{	/* SawMill/defs.sch 953 */
			return
				BGl_blockzd2firstzd2zzsaw_defsz00(((BgL_blockz00_bglt) BgL_oz00_7752));
		}

	}



/* block-first-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockzd2firstzd2setz12z12zzsaw_defsz00(BgL_blockz00_bglt BgL_oz00_438,
		obj_t BgL_vz00_439)
	{
		{	/* SawMill/defs.sch 954 */
			return
				((((BgL_blockz00_bglt) COBJECT(BgL_oz00_438))->BgL_firstz00) =
				((obj_t) BgL_vz00_439), BUNSPEC);
		}

	}



/* &block-first-set! */
	obj_t BGl_z62blockzd2firstzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7753,
		obj_t BgL_oz00_7754, obj_t BgL_vz00_7755)
	{
		{	/* SawMill/defs.sch 954 */
			return
				BGl_blockzd2firstzd2setz12z12zzsaw_defsz00(
				((BgL_blockz00_bglt) BgL_oz00_7754), BgL_vz00_7755);
		}

	}



/* block-succs */
	BGL_EXPORTED_DEF obj_t BGl_blockzd2succszd2zzsaw_defsz00(BgL_blockz00_bglt
		BgL_oz00_440)
	{
		{	/* SawMill/defs.sch 955 */
			return (((BgL_blockz00_bglt) COBJECT(BgL_oz00_440))->BgL_succsz00);
		}

	}



/* &block-succs */
	obj_t BGl_z62blockzd2succszb0zzsaw_defsz00(obj_t BgL_envz00_7756,
		obj_t BgL_oz00_7757)
	{
		{	/* SawMill/defs.sch 955 */
			return
				BGl_blockzd2succszd2zzsaw_defsz00(((BgL_blockz00_bglt) BgL_oz00_7757));
		}

	}



/* block-succs-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockzd2succszd2setz12z12zzsaw_defsz00(BgL_blockz00_bglt BgL_oz00_441,
		obj_t BgL_vz00_442)
	{
		{	/* SawMill/defs.sch 956 */
			return
				((((BgL_blockz00_bglt) COBJECT(BgL_oz00_441))->BgL_succsz00) =
				((obj_t) BgL_vz00_442), BUNSPEC);
		}

	}



/* &block-succs-set! */
	obj_t BGl_z62blockzd2succszd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7758,
		obj_t BgL_oz00_7759, obj_t BgL_vz00_7760)
	{
		{	/* SawMill/defs.sch 956 */
			return
				BGl_blockzd2succszd2setz12z12zzsaw_defsz00(
				((BgL_blockz00_bglt) BgL_oz00_7759), BgL_vz00_7760);
		}

	}



/* block-preds */
	BGL_EXPORTED_DEF obj_t BGl_blockzd2predszd2zzsaw_defsz00(BgL_blockz00_bglt
		BgL_oz00_443)
	{
		{	/* SawMill/defs.sch 957 */
			return (((BgL_blockz00_bglt) COBJECT(BgL_oz00_443))->BgL_predsz00);
		}

	}



/* &block-preds */
	obj_t BGl_z62blockzd2predszb0zzsaw_defsz00(obj_t BgL_envz00_7761,
		obj_t BgL_oz00_7762)
	{
		{	/* SawMill/defs.sch 957 */
			return
				BGl_blockzd2predszd2zzsaw_defsz00(((BgL_blockz00_bglt) BgL_oz00_7762));
		}

	}



/* block-preds-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockzd2predszd2setz12z12zzsaw_defsz00(BgL_blockz00_bglt BgL_oz00_444,
		obj_t BgL_vz00_445)
	{
		{	/* SawMill/defs.sch 958 */
			return
				((((BgL_blockz00_bglt) COBJECT(BgL_oz00_444))->BgL_predsz00) =
				((obj_t) BgL_vz00_445), BUNSPEC);
		}

	}



/* &block-preds-set! */
	obj_t BGl_z62blockzd2predszd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7763,
		obj_t BgL_oz00_7764, obj_t BgL_vz00_7765)
	{
		{	/* SawMill/defs.sch 958 */
			return
				BGl_blockzd2predszd2setz12z12zzsaw_defsz00(
				((BgL_blockz00_bglt) BgL_oz00_7764), BgL_vz00_7765);
		}

	}



/* block-label */
	BGL_EXPORTED_DEF int BGl_blockzd2labelzd2zzsaw_defsz00(BgL_blockz00_bglt
		BgL_oz00_446)
	{
		{	/* SawMill/defs.sch 959 */
			return (((BgL_blockz00_bglt) COBJECT(BgL_oz00_446))->BgL_labelz00);
		}

	}



/* &block-label */
	obj_t BGl_z62blockzd2labelzb0zzsaw_defsz00(obj_t BgL_envz00_7766,
		obj_t BgL_oz00_7767)
	{
		{	/* SawMill/defs.sch 959 */
			return
				BINT(BGl_blockzd2labelzd2zzsaw_defsz00(
					((BgL_blockz00_bglt) BgL_oz00_7767)));
		}

	}



/* block-label-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockzd2labelzd2setz12z12zzsaw_defsz00(BgL_blockz00_bglt BgL_oz00_447,
		int BgL_vz00_448)
	{
		{	/* SawMill/defs.sch 960 */
			return
				((((BgL_blockz00_bglt) COBJECT(BgL_oz00_447))->BgL_labelz00) =
				((int) BgL_vz00_448), BUNSPEC);
		}

	}



/* &block-label-set! */
	obj_t BGl_z62blockzd2labelzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7768,
		obj_t BgL_oz00_7769, obj_t BgL_vz00_7770)
	{
		{	/* SawMill/defs.sch 960 */
			return
				BGl_blockzd2labelzd2setz12z12zzsaw_defsz00(
				((BgL_blockz00_bglt) BgL_oz00_7769), CINT(BgL_vz00_7770));
		}

	}



/* rtl_ins-args* */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszd2argsza2z70zzsaw_defsz00(BgL_rtl_insz00_bglt BgL_insz00_449)
	{
		{	/* SawMill/defs.scm 110 */
			{	/* SawMill/defs.scm 111 */
				obj_t BgL_g1448z00_2070;

				BgL_g1448z00_2070 =
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_insz00_449))->BgL_argsz00);
				{
					obj_t BgL_argsz00_2073;
					obj_t BgL_resz00_2074;

					BgL_argsz00_2073 = BgL_g1448z00_2070;
					BgL_resz00_2074 = BNIL;
				BgL_zc3z04anonymousza31919ze3z87_2075:
					if (NULLP(BgL_argsz00_2073))
						{	/* SawMill/defs.scm 114 */
							return BgL_resz00_2074;
						}
					else
						{	/* SawMill/defs.scm 116 */
							bool_t BgL_test4462z00_12909;

							{	/* SawMill/defs.scm 116 */
								obj_t BgL_arg1936z00_2090;

								BgL_arg1936z00_2090 = CAR(((obj_t) BgL_argsz00_2073));
								{	/* SawMill/defs.scm 116 */
									obj_t BgL_classz00_6161;

									BgL_classz00_6161 = BGl_rtl_regz00zzsaw_defsz00;
									if (BGL_OBJECTP(BgL_arg1936z00_2090))
										{	/* SawMill/defs.scm 116 */
											BgL_objectz00_bglt BgL_arg1858z00_6163;

											BgL_arg1858z00_6163 =
												(BgL_objectz00_bglt) (BgL_arg1936z00_2090);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* SawMill/defs.scm 116 */
													long BgL_idxz00_6169;

													BgL_idxz00_6169 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6163);
													BgL_test4462z00_12909 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_6169 + 1L)) == BgL_classz00_6161);
												}
											else
												{	/* SawMill/defs.scm 116 */
													bool_t BgL_res3226z00_6194;

													{	/* SawMill/defs.scm 116 */
														obj_t BgL_oclassz00_6177;

														{	/* SawMill/defs.scm 116 */
															obj_t BgL_arg1866z00_6185;
															long BgL_arg1867z00_6186;

															BgL_arg1866z00_6185 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* SawMill/defs.scm 116 */
																long BgL_arg1869z00_6187;

																BgL_arg1869z00_6187 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6163);
																BgL_arg1867z00_6186 =
																	(BgL_arg1869z00_6187 - OBJECT_TYPE);
															}
															BgL_oclassz00_6177 =
																VECTOR_REF(BgL_arg1866z00_6185,
																BgL_arg1867z00_6186);
														}
														{	/* SawMill/defs.scm 116 */
															bool_t BgL__ortest_1115z00_6178;

															BgL__ortest_1115z00_6178 =
																(BgL_classz00_6161 == BgL_oclassz00_6177);
															if (BgL__ortest_1115z00_6178)
																{	/* SawMill/defs.scm 116 */
																	BgL_res3226z00_6194 =
																		BgL__ortest_1115z00_6178;
																}
															else
																{	/* SawMill/defs.scm 116 */
																	long BgL_odepthz00_6179;

																	{	/* SawMill/defs.scm 116 */
																		obj_t BgL_arg1855z00_6180;

																		BgL_arg1855z00_6180 = (BgL_oclassz00_6177);
																		BgL_odepthz00_6179 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_6180);
																	}
																	if ((1L < BgL_odepthz00_6179))
																		{	/* SawMill/defs.scm 116 */
																			obj_t BgL_arg1853z00_6182;

																			{	/* SawMill/defs.scm 116 */
																				obj_t BgL_arg1854z00_6183;

																				BgL_arg1854z00_6183 =
																					(BgL_oclassz00_6177);
																				BgL_arg1853z00_6182 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_6183, 1L);
																			}
																			BgL_res3226z00_6194 =
																				(BgL_arg1853z00_6182 ==
																				BgL_classz00_6161);
																		}
																	else
																		{	/* SawMill/defs.scm 116 */
																			BgL_res3226z00_6194 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test4462z00_12909 = BgL_res3226z00_6194;
												}
										}
									else
										{	/* SawMill/defs.scm 116 */
											BgL_test4462z00_12909 = ((bool_t) 0);
										}
								}
							}
							if (BgL_test4462z00_12909)
								{	/* SawMill/defs.scm 117 */
									obj_t BgL_arg1923z00_2079;
									obj_t BgL_arg1924z00_2080;

									BgL_arg1923z00_2079 = CDR(((obj_t) BgL_argsz00_2073));
									{	/* SawMill/defs.scm 117 */
										obj_t BgL_arg1926z00_2081;

										BgL_arg1926z00_2081 = CAR(((obj_t) BgL_argsz00_2073));
										BgL_arg1924z00_2080 =
											MAKE_YOUNG_PAIR(BgL_arg1926z00_2081, BgL_resz00_2074);
									}
									{
										obj_t BgL_resz00_12940;
										obj_t BgL_argsz00_12939;

										BgL_argsz00_12939 = BgL_arg1923z00_2079;
										BgL_resz00_12940 = BgL_arg1924z00_2080;
										BgL_resz00_2074 = BgL_resz00_12940;
										BgL_argsz00_2073 = BgL_argsz00_12939;
										goto BgL_zc3z04anonymousza31919ze3z87_2075;
									}
								}
							else
								{	/* SawMill/defs.scm 118 */
									bool_t BgL_test4467z00_12941;

									{	/* SawMill/defs.scm 118 */
										obj_t BgL_arg1935z00_2089;

										BgL_arg1935z00_2089 = CAR(((obj_t) BgL_argsz00_2073));
										{	/* SawMill/defs.scm 118 */
											obj_t BgL_classz00_6198;

											BgL_classz00_6198 = BGl_rtl_insz00zzsaw_defsz00;
											if (BGL_OBJECTP(BgL_arg1935z00_2089))
												{	/* SawMill/defs.scm 118 */
													BgL_objectz00_bglt BgL_arg1858z00_6200;

													BgL_arg1858z00_6200 =
														(BgL_objectz00_bglt) (BgL_arg1935z00_2089);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* SawMill/defs.scm 118 */
															long BgL_idxz00_6206;

															BgL_idxz00_6206 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6200);
															BgL_test4467z00_12941 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_6206 + 1L)) == BgL_classz00_6198);
														}
													else
														{	/* SawMill/defs.scm 118 */
															bool_t BgL_res3227z00_6231;

															{	/* SawMill/defs.scm 118 */
																obj_t BgL_oclassz00_6214;

																{	/* SawMill/defs.scm 118 */
																	obj_t BgL_arg1866z00_6222;
																	long BgL_arg1867z00_6223;

																	BgL_arg1866z00_6222 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* SawMill/defs.scm 118 */
																		long BgL_arg1869z00_6224;

																		BgL_arg1869z00_6224 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6200);
																		BgL_arg1867z00_6223 =
																			(BgL_arg1869z00_6224 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_6214 =
																		VECTOR_REF(BgL_arg1866z00_6222,
																		BgL_arg1867z00_6223);
																}
																{	/* SawMill/defs.scm 118 */
																	bool_t BgL__ortest_1115z00_6215;

																	BgL__ortest_1115z00_6215 =
																		(BgL_classz00_6198 == BgL_oclassz00_6214);
																	if (BgL__ortest_1115z00_6215)
																		{	/* SawMill/defs.scm 118 */
																			BgL_res3227z00_6231 =
																				BgL__ortest_1115z00_6215;
																		}
																	else
																		{	/* SawMill/defs.scm 118 */
																			long BgL_odepthz00_6216;

																			{	/* SawMill/defs.scm 118 */
																				obj_t BgL_arg1855z00_6217;

																				BgL_arg1855z00_6217 =
																					(BgL_oclassz00_6214);
																				BgL_odepthz00_6216 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_6217);
																			}
																			if ((1L < BgL_odepthz00_6216))
																				{	/* SawMill/defs.scm 118 */
																					obj_t BgL_arg1853z00_6219;

																					{	/* SawMill/defs.scm 118 */
																						obj_t BgL_arg1854z00_6220;

																						BgL_arg1854z00_6220 =
																							(BgL_oclassz00_6214);
																						BgL_arg1853z00_6219 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_6220, 1L);
																					}
																					BgL_res3227z00_6231 =
																						(BgL_arg1853z00_6219 ==
																						BgL_classz00_6198);
																				}
																			else
																				{	/* SawMill/defs.scm 118 */
																					BgL_res3227z00_6231 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test4467z00_12941 = BgL_res3227z00_6231;
														}
												}
											else
												{	/* SawMill/defs.scm 118 */
													BgL_test4467z00_12941 = ((bool_t) 0);
												}
										}
									}
									if (BgL_test4467z00_12941)
										{	/* SawMill/defs.scm 119 */
											obj_t BgL_arg1929z00_2084;
											obj_t BgL_arg1930z00_2085;

											BgL_arg1929z00_2084 = CDR(((obj_t) BgL_argsz00_2073));
											{	/* SawMill/defs.scm 119 */
												obj_t BgL_arg1932z00_2086;

												{	/* SawMill/defs.scm 119 */
													obj_t BgL_arg1933z00_2087;

													BgL_arg1933z00_2087 = CAR(((obj_t) BgL_argsz00_2073));
													BgL_arg1932z00_2086 =
														BGl_rtl_inszd2argsza2z70zzsaw_defsz00(
														((BgL_rtl_insz00_bglt) BgL_arg1933z00_2087));
												}
												BgL_arg1930z00_2085 =
													BGl_appendzd221011zd2zzsaw_defsz00
													(BgL_arg1932z00_2086, BgL_resz00_2074);
											}
											{
												obj_t BgL_resz00_12974;
												obj_t BgL_argsz00_12973;

												BgL_argsz00_12973 = BgL_arg1929z00_2084;
												BgL_resz00_12974 = BgL_arg1930z00_2085;
												BgL_resz00_2074 = BgL_resz00_12974;
												BgL_argsz00_2073 = BgL_argsz00_12973;
												goto BgL_zc3z04anonymousza31919ze3z87_2075;
											}
										}
									else
										{	/* SawMill/defs.scm 121 */
											obj_t BgL_arg1934z00_2088;

											BgL_arg1934z00_2088 = CDR(((obj_t) BgL_argsz00_2073));
											{
												obj_t BgL_argsz00_12977;

												BgL_argsz00_12977 = BgL_arg1934z00_2088;
												BgL_argsz00_2073 = BgL_argsz00_12977;
												goto BgL_zc3z04anonymousza31919ze3z87_2075;
											}
										}
								}
						}
				}
			}
		}

	}



/* &rtl_ins-args* */
	obj_t BGl_z62rtl_inszd2argsza2z12zzsaw_defsz00(obj_t BgL_envz00_7771,
		obj_t BgL_insz00_7772)
	{
		{	/* SawMill/defs.scm 110 */
			return
				BGl_rtl_inszd2argsza2z70zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_insz00_7772));
		}

	}



/* dump-basic-blocks */
	BGL_EXPORTED_DEF obj_t BGl_dumpzd2basiczd2blocksz00zzsaw_defsz00(obj_t
		BgL_idz00_452, obj_t BgL_vz00_453, obj_t BgL_paramsz00_454,
		obj_t BgL_lz00_455)
	{
		{	/* SawMill/defs.scm 160 */
			{	/* SawMill/defs.scm 161 */
				obj_t BgL_port1658z00_2092;

				BgL_port1658z00_2092 = BGl_za2tracezd2portza2zd2zztools_tracez00;
				{	/* SawMill/defs.scm 161 */
					obj_t BgL_tmpz00_12980;

					BgL_tmpz00_12980 = ((obj_t) BgL_port1658z00_2092);
					bgl_display_string(BGl_string3247z00zzsaw_defsz00, BgL_tmpz00_12980);
				}
				bgl_display_obj(BgL_idz00_452, BgL_port1658z00_2092);
				{	/* SawMill/defs.scm 161 */
					obj_t BgL_tmpz00_12984;

					BgL_tmpz00_12984 = ((obj_t) BgL_port1658z00_2092);
					bgl_display_string(BGl_string3248z00zzsaw_defsz00, BgL_tmpz00_12984);
				}
				bgl_display_obj(BGl_shapez00zztools_shapez00(BgL_vz00_453),
					BgL_port1658z00_2092);
				{	/* SawMill/defs.scm 161 */
					obj_t BgL_tmpz00_12989;

					BgL_tmpz00_12989 = ((obj_t) BgL_port1658z00_2092);
					bgl_display_char(((unsigned char) 10), BgL_tmpz00_12989);
			}}
			bgl_display_string(BGl_string3249z00zzsaw_defsz00,
				BGl_za2tracezd2portza2zd2zztools_tracez00);
			if (NULLP(BgL_paramsz00_454))
				{	/* SawMill/defs.scm 163 */
					BNIL;
				}
			else
				{	/* SawMill/defs.scm 163 */
					obj_t BgL_head1661z00_2096;

					BgL_head1661z00_2096 = MAKE_YOUNG_PAIR(BNIL, BNIL);
					{
						obj_t BgL_l1659z00_2098;
						obj_t BgL_tail1662z00_2099;

						BgL_l1659z00_2098 = BgL_paramsz00_454;
						BgL_tail1662z00_2099 = BgL_head1661z00_2096;
					BgL_zc3z04anonymousza31940ze3z87_2100:
						if (NULLP(BgL_l1659z00_2098))
							{	/* SawMill/defs.scm 163 */
								CDR(BgL_head1661z00_2096);
							}
						else
							{	/* SawMill/defs.scm 163 */
								obj_t BgL_newtail1663z00_2102;

								{	/* SawMill/defs.scm 163 */
									obj_t BgL_arg1943z00_2104;

									{	/* SawMill/defs.scm 163 */
										obj_t BgL_az00_2105;

										BgL_az00_2105 = CAR(((obj_t) BgL_l1659z00_2098));
										bgl_display_string(BGl_string3248z00zzsaw_defsz00,
											BGl_za2tracezd2portza2zd2zztools_tracez00);
										BgL_arg1943z00_2104 =
											BGl_dumpz00zzsaw_defsz00(BgL_az00_2105,
											BGl_za2tracezd2portza2zd2zztools_tracez00, (int) (0L));
									}
									BgL_newtail1663z00_2102 =
										MAKE_YOUNG_PAIR(BgL_arg1943z00_2104, BNIL);
								}
								SET_CDR(BgL_tail1662z00_2099, BgL_newtail1663z00_2102);
								{	/* SawMill/defs.scm 163 */
									obj_t BgL_arg1942z00_2103;

									BgL_arg1942z00_2103 = CDR(((obj_t) BgL_l1659z00_2098));
									{
										obj_t BgL_tail1662z00_13009;
										obj_t BgL_l1659z00_13008;

										BgL_l1659z00_13008 = BgL_arg1942z00_2103;
										BgL_tail1662z00_13009 = BgL_newtail1663z00_2102;
										BgL_tail1662z00_2099 = BgL_tail1662z00_13009;
										BgL_l1659z00_2098 = BgL_l1659z00_13008;
										goto BgL_zc3z04anonymousza31940ze3z87_2100;
									}
								}
							}
					}
				}
			bgl_display_char(((unsigned char) 10),
				BGl_za2tracezd2portza2zd2zztools_tracez00);
			{	/* SawMill/defs.scm 168 */
				obj_t BgL_port1664z00_2107;

				BgL_port1664z00_2107 = BGl_za2tracezd2portza2zd2zztools_tracez00;
				{	/* SawMill/defs.scm 168 */
					obj_t BgL_tmpz00_13011;

					BgL_tmpz00_13011 = ((obj_t) BgL_port1664z00_2107);
					bgl_display_string(BGl_string3250z00zzsaw_defsz00, BgL_tmpz00_13011);
				}
				{	/* SawMill/defs.scm 168 */
					obj_t BgL_tmpz00_13014;

					BgL_tmpz00_13014 = ((obj_t) BgL_port1664z00_2107);
					bgl_display_char(((unsigned char) 10), BgL_tmpz00_13014);
			}}
			{
				obj_t BgL_l1665z00_2109;

				{	/* SawMill/defs.scm 169 */
					bool_t BgL_tmpz00_13017;

					BgL_l1665z00_2109 = BgL_lz00_455;
				BgL_zc3z04anonymousza31944ze3z87_2110:
					if (PAIRP(BgL_l1665z00_2109))
						{	/* SawMill/defs.scm 169 */
							{	/* SawMill/defs.scm 170 */
								obj_t BgL_bz00_2112;

								BgL_bz00_2112 = CAR(BgL_l1665z00_2109);
								{	/* SawMill/defs.scm 170 */
									obj_t BgL_portz00_6253;

									BgL_portz00_6253 = BGl_za2tracezd2portza2zd2zztools_tracez00;
									BGl_dumpz00zzsaw_defsz00(BgL_bz00_2112, BgL_portz00_6253,
										(int) (0L));
									bgl_display_char(((unsigned char) 10), BgL_portz00_6253);
								}
								bgl_display_char(((unsigned char) 10),
									BGl_za2tracezd2portza2zd2zztools_tracez00);
							}
							{
								obj_t BgL_l1665z00_13025;

								BgL_l1665z00_13025 = CDR(BgL_l1665z00_2109);
								BgL_l1665z00_2109 = BgL_l1665z00_13025;
								goto BgL_zc3z04anonymousza31944ze3z87_2110;
							}
						}
					else
						{	/* SawMill/defs.scm 169 */
							BgL_tmpz00_13017 = ((bool_t) 1);
						}
					return BBOOL(BgL_tmpz00_13017);
				}
			}
		}

	}



/* &dump-basic-blocks */
	obj_t BGl_z62dumpzd2basiczd2blocksz62zzsaw_defsz00(obj_t BgL_envz00_7773,
		obj_t BgL_idz00_7774, obj_t BgL_vz00_7775, obj_t BgL_paramsz00_7776,
		obj_t BgL_lz00_7777)
	{
		{	/* SawMill/defs.scm 160 */
			return
				BGl_dumpzd2basiczd2blocksz00zzsaw_defsz00(BgL_idz00_7774, BgL_vz00_7775,
				BgL_paramsz00_7776, BgL_lz00_7777);
		}

	}



/* rtl-dump */
	BGL_EXPORTED_DEF obj_t BGl_rtlzd2dumpzd2zzsaw_defsz00(obj_t BgL_objz00_456,
		obj_t BgL_portz00_457)
	{
		{	/* SawMill/defs.scm 177 */
			BGl_dumpz00zzsaw_defsz00(BgL_objz00_456, BgL_portz00_457, (int) (0L));
			return bgl_display_char(((unsigned char) 10), BgL_portz00_457);
		}

	}



/* &rtl-dump */
	obj_t BGl_z62rtlzd2dumpzb0zzsaw_defsz00(obj_t BgL_envz00_7778,
		obj_t BgL_objz00_7779, obj_t BgL_portz00_7780)
	{
		{	/* SawMill/defs.scm 177 */
			return BGl_rtlzd2dumpzd2zzsaw_defsz00(BgL_objz00_7779, BgL_portz00_7780);
		}

	}



/* dump-margin */
	BGL_EXPORTED_DEF obj_t BGl_dumpzd2marginzd2zzsaw_defsz00(obj_t BgL_pz00_458,
		int BgL_mz00_459)
	{
		{	/* SawMill/defs.scm 184 */
			{	/* SawMill/defs.scm 185 */
				obj_t BgL_mgsz00_2115;

				BgL_mgsz00_2115 = ((obj_t) CNST_TABLE_REF(0));
				if (((long) (BgL_mz00_459) < VECTOR_LENGTH(BgL_mgsz00_2115)))
					{	/* SawMill/defs.scm 186 */
						return
							bgl_display_obj(VECTOR_REF(BgL_mgsz00_2115,
								(long) (BgL_mz00_459)), BgL_pz00_458);
					}
				else
					{	/* SawMill/defs.scm 186 */
						return
							bgl_display_obj(make_string(
								(long) (BgL_mz00_459), ((unsigned char) ' ')), BgL_pz00_458);
		}}}

	}



/* &dump-margin */
	obj_t BGl_z62dumpzd2marginzb0zzsaw_defsz00(obj_t BgL_envz00_7781,
		obj_t BgL_pz00_7782, obj_t BgL_mz00_7783)
	{
		{	/* SawMill/defs.scm 184 */
			return
				BGl_dumpzd2marginzd2zzsaw_defsz00(BgL_pz00_7782, CINT(BgL_mz00_7783));
		}

	}



/* dump* */
	BGL_EXPORTED_DEF obj_t BGl_dumpza2za2zzsaw_defsz00(obj_t BgL_oz00_463,
		obj_t BgL_pz00_464, int BgL_mz00_465)
	{
		{	/* SawMill/defs.scm 211 */
			if (NULLP(BgL_oz00_463))
				{	/* SawMill/defs.scm 213 */
					return BUNSPEC;
				}
			else
				{	/* SawMill/defs.scm 213 */
					if (NULLP(CDR(((obj_t) BgL_oz00_463))))
						{	/* SawMill/defs.scm 216 */
							obj_t BgL_arg1960z00_2124;

							BgL_arg1960z00_2124 = CAR(((obj_t) BgL_oz00_463));
							BGL_TAIL return
								BGl_dumpz00zzsaw_defsz00(BgL_arg1960z00_2124, BgL_pz00_464,
								BgL_mz00_465);
						}
					else
						{
							obj_t BgL_oz00_2126;

							{	/* SawMill/defs.scm 218 */
								bool_t BgL_tmpz00_13056;

								BgL_oz00_2126 = BgL_oz00_463;
							BgL_zc3z04anonymousza31961ze3z87_2127:
								{	/* SawMill/defs.scm 219 */
									obj_t BgL_arg1962z00_2128;

									BgL_arg1962z00_2128 = CAR(((obj_t) BgL_oz00_2126));
									BGl_dumpz00zzsaw_defsz00(BgL_arg1962z00_2128, BgL_pz00_464,
										BgL_mz00_465);
								}
								{	/* SawMill/defs.scm 220 */
									bool_t BgL_test4478z00_13060;

									{	/* SawMill/defs.scm 220 */
										obj_t BgL_tmpz00_13061;

										BgL_tmpz00_13061 = CDR(((obj_t) BgL_oz00_2126));
										BgL_test4478z00_13060 = PAIRP(BgL_tmpz00_13061);
									}
									if (BgL_test4478z00_13060)
										{	/* SawMill/defs.scm 220 */
											bgl_display_char(((unsigned char) 10), BgL_pz00_464);
											BGl_dumpzd2marginzd2zzsaw_defsz00(BgL_pz00_464,
												BgL_mz00_465);
											{	/* SawMill/defs.scm 223 */
												obj_t BgL_arg1965z00_2131;

												BgL_arg1965z00_2131 = CDR(((obj_t) BgL_oz00_2126));
												{
													obj_t BgL_oz00_13069;

													BgL_oz00_13069 = BgL_arg1965z00_2131;
													BgL_oz00_2126 = BgL_oz00_13069;
													goto BgL_zc3z04anonymousza31961ze3z87_2127;
												}
											}
										}
									else
										{	/* SawMill/defs.scm 220 */
											BgL_tmpz00_13056 = ((bool_t) 0);
										}
								}
								return BBOOL(BgL_tmpz00_13056);
							}
						}
				}
		}

	}



/* &dump* */
	obj_t BGl_z62dumpza2zc0zzsaw_defsz00(obj_t BgL_envz00_7784,
		obj_t BgL_oz00_7785, obj_t BgL_pz00_7786, obj_t BgL_mz00_7787)
	{
		{	/* SawMill/defs.scm 211 */
			return
				BGl_dumpza2za2zzsaw_defsz00(BgL_oz00_7785, BgL_pz00_7786,
				CINT(BgL_mz00_7787));
		}

	}



/* dump-args */
	bool_t BGl_dumpzd2argszd2zzsaw_defsz00(obj_t BgL_argsz00_466,
		obj_t BgL_pz00_467)
	{
		{	/* SawMill/defs.scm 228 */
			{
				obj_t BgL_argsz00_2136;

				BgL_argsz00_2136 = BgL_argsz00_466;
			BgL_zc3z04anonymousza31968ze3z87_2137:
				if (PAIRP(BgL_argsz00_2136))
					{	/* SawMill/defs.scm 231 */
						obj_t BgL_az00_2139;

						BgL_az00_2139 = CAR(BgL_argsz00_2136);
						{	/* SawMill/defs.scm 233 */
							bool_t BgL_test4480z00_13076;

							{	/* SawMill/defs.scm 233 */
								obj_t BgL_classz00_6271;

								BgL_classz00_6271 = BGl_rtl_regz00zzsaw_defsz00;
								if (BGL_OBJECTP(BgL_az00_2139))
									{	/* SawMill/defs.scm 233 */
										BgL_objectz00_bglt BgL_arg1858z00_6273;

										BgL_arg1858z00_6273 = (BgL_objectz00_bglt) (BgL_az00_2139);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* SawMill/defs.scm 233 */
												long BgL_idxz00_6279;

												BgL_idxz00_6279 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6273);
												BgL_test4480z00_13076 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_6279 + 1L)) == BgL_classz00_6271);
											}
										else
											{	/* SawMill/defs.scm 233 */
												bool_t BgL_res3228z00_6304;

												{	/* SawMill/defs.scm 233 */
													obj_t BgL_oclassz00_6287;

													{	/* SawMill/defs.scm 233 */
														obj_t BgL_arg1866z00_6295;
														long BgL_arg1867z00_6296;

														BgL_arg1866z00_6295 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* SawMill/defs.scm 233 */
															long BgL_arg1869z00_6297;

															BgL_arg1869z00_6297 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6273);
															BgL_arg1867z00_6296 =
																(BgL_arg1869z00_6297 - OBJECT_TYPE);
														}
														BgL_oclassz00_6287 =
															VECTOR_REF(BgL_arg1866z00_6295,
															BgL_arg1867z00_6296);
													}
													{	/* SawMill/defs.scm 233 */
														bool_t BgL__ortest_1115z00_6288;

														BgL__ortest_1115z00_6288 =
															(BgL_classz00_6271 == BgL_oclassz00_6287);
														if (BgL__ortest_1115z00_6288)
															{	/* SawMill/defs.scm 233 */
																BgL_res3228z00_6304 = BgL__ortest_1115z00_6288;
															}
														else
															{	/* SawMill/defs.scm 233 */
																long BgL_odepthz00_6289;

																{	/* SawMill/defs.scm 233 */
																	obj_t BgL_arg1855z00_6290;

																	BgL_arg1855z00_6290 = (BgL_oclassz00_6287);
																	BgL_odepthz00_6289 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_6290);
																}
																if ((1L < BgL_odepthz00_6289))
																	{	/* SawMill/defs.scm 233 */
																		obj_t BgL_arg1853z00_6292;

																		{	/* SawMill/defs.scm 233 */
																			obj_t BgL_arg1854z00_6293;

																			BgL_arg1854z00_6293 =
																				(BgL_oclassz00_6287);
																			BgL_arg1853z00_6292 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_6293, 1L);
																		}
																		BgL_res3228z00_6304 =
																			(BgL_arg1853z00_6292 ==
																			BgL_classz00_6271);
																	}
																else
																	{	/* SawMill/defs.scm 233 */
																		BgL_res3228z00_6304 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test4480z00_13076 = BgL_res3228z00_6304;
											}
									}
								else
									{	/* SawMill/defs.scm 233 */
										BgL_test4480z00_13076 = ((bool_t) 0);
									}
							}
							if (BgL_test4480z00_13076)
								{	/* SawMill/defs.scm 233 */
									{	/* SawMill/defs.scm 234 */
										obj_t BgL_tmpz00_13099;

										BgL_tmpz00_13099 = ((obj_t) BgL_pz00_467);
										bgl_display_string(BGl_string3248z00zzsaw_defsz00,
											BgL_tmpz00_13099);
									}
									BGl_dumpz00zzsaw_defsz00(BgL_az00_2139, BgL_pz00_467,
										(int) (0L));
								}
							else
								{	/* SawMill/defs.scm 236 */
									bool_t BgL_test4485z00_13104;

									{	/* SawMill/defs.scm 236 */
										obj_t BgL_classz00_6307;

										BgL_classz00_6307 = BGl_rtl_insz00zzsaw_defsz00;
										if (BGL_OBJECTP(BgL_az00_2139))
											{	/* SawMill/defs.scm 236 */
												BgL_objectz00_bglt BgL_arg1858z00_6309;

												BgL_arg1858z00_6309 =
													(BgL_objectz00_bglt) (BgL_az00_2139);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* SawMill/defs.scm 236 */
														long BgL_idxz00_6315;

														BgL_idxz00_6315 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6309);
														BgL_test4485z00_13104 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_6315 + 1L)) == BgL_classz00_6307);
													}
												else
													{	/* SawMill/defs.scm 236 */
														bool_t BgL_res3229z00_6340;

														{	/* SawMill/defs.scm 236 */
															obj_t BgL_oclassz00_6323;

															{	/* SawMill/defs.scm 236 */
																obj_t BgL_arg1866z00_6331;
																long BgL_arg1867z00_6332;

																BgL_arg1866z00_6331 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* SawMill/defs.scm 236 */
																	long BgL_arg1869z00_6333;

																	BgL_arg1869z00_6333 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6309);
																	BgL_arg1867z00_6332 =
																		(BgL_arg1869z00_6333 - OBJECT_TYPE);
																}
																BgL_oclassz00_6323 =
																	VECTOR_REF(BgL_arg1866z00_6331,
																	BgL_arg1867z00_6332);
															}
															{	/* SawMill/defs.scm 236 */
																bool_t BgL__ortest_1115z00_6324;

																BgL__ortest_1115z00_6324 =
																	(BgL_classz00_6307 == BgL_oclassz00_6323);
																if (BgL__ortest_1115z00_6324)
																	{	/* SawMill/defs.scm 236 */
																		BgL_res3229z00_6340 =
																			BgL__ortest_1115z00_6324;
																	}
																else
																	{	/* SawMill/defs.scm 236 */
																		long BgL_odepthz00_6325;

																		{	/* SawMill/defs.scm 236 */
																			obj_t BgL_arg1855z00_6326;

																			BgL_arg1855z00_6326 =
																				(BgL_oclassz00_6323);
																			BgL_odepthz00_6325 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_6326);
																		}
																		if ((1L < BgL_odepthz00_6325))
																			{	/* SawMill/defs.scm 236 */
																				obj_t BgL_arg1853z00_6328;

																				{	/* SawMill/defs.scm 236 */
																					obj_t BgL_arg1854z00_6329;

																					BgL_arg1854z00_6329 =
																						(BgL_oclassz00_6323);
																					BgL_arg1853z00_6328 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_6329, 1L);
																				}
																				BgL_res3229z00_6340 =
																					(BgL_arg1853z00_6328 ==
																					BgL_classz00_6307);
																			}
																		else
																			{	/* SawMill/defs.scm 236 */
																				BgL_res3229z00_6340 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test4485z00_13104 = BgL_res3229z00_6340;
													}
											}
										else
											{	/* SawMill/defs.scm 236 */
												BgL_test4485z00_13104 = ((bool_t) 0);
											}
									}
									if (BgL_test4485z00_13104)
										{	/* SawMill/defs.scm 236 */
											{	/* SawMill/defs.scm 237 */
												obj_t BgL_tmpz00_13127;

												BgL_tmpz00_13127 = ((obj_t) BgL_pz00_467);
												bgl_display_string(BGl_string3248z00zzsaw_defsz00,
													BgL_tmpz00_13127);
											}
											{	/* SawMill/defs.scm 287 */
												obj_t BgL_tmpz00_13130;

												BgL_tmpz00_13130 = ((obj_t) BgL_pz00_467);
												bgl_display_string(BGl_string3251z00zzsaw_defsz00,
													BgL_tmpz00_13130);
											}
											{	/* SawMill/defs.scm 288 */
												BgL_rtl_funz00_bglt BgL_arg1973z00_6345;
												obj_t BgL_arg1974z00_6346;
												obj_t BgL_arg1975z00_6347;

												BgL_arg1973z00_6345 =
													(((BgL_rtl_insz00_bglt) COBJECT(
															((BgL_rtl_insz00_bglt) BgL_az00_2139)))->
													BgL_funz00);
												BgL_arg1974z00_6346 =
													(((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
																BgL_az00_2139)))->BgL_destz00);
												BgL_arg1975z00_6347 =
													(((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
																BgL_az00_2139)))->BgL_argsz00);
												BGl_dumpzd2funzd2zzsaw_defsz00(BgL_arg1973z00_6345,
													BgL_arg1974z00_6346, BgL_arg1975z00_6347,
													BgL_pz00_467, BINT(0L));
											}
											{	/* SawMill/defs.scm 289 */
												obj_t BgL_tmpz00_13141;

												BgL_tmpz00_13141 = ((obj_t) BgL_pz00_467);
												bgl_display_string(BGl_string3252z00zzsaw_defsz00,
													BgL_tmpz00_13141);
											}
										}
									else
										{	/* SawMill/defs.scm 236 */
											{	/* SawMill/defs.scm 240 */
												obj_t BgL_tmpz00_13144;

												BgL_tmpz00_13144 = ((obj_t) BgL_pz00_467);
												bgl_display_string(BGl_string3248z00zzsaw_defsz00,
													BgL_tmpz00_13144);
											}
											bgl_display_obj(BgL_az00_2139, BgL_pz00_467);
										}
								}
						}
						{
							obj_t BgL_argsz00_13148;

							BgL_argsz00_13148 = CDR(BgL_argsz00_2136);
							BgL_argsz00_2136 = BgL_argsz00_13148;
							goto BgL_zc3z04anonymousza31968ze3z87_2137;
						}
					}
				else
					{	/* SawMill/defs.scm 230 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* dump-ins-rhs */
	BGL_EXPORTED_DEF obj_t
		BGl_dumpzd2inszd2rhsz00zzsaw_defsz00(BgL_rtl_insz00_bglt BgL_oz00_474,
		obj_t BgL_pz00_475, obj_t BgL_mz00_476)
	{
		{	/* SawMill/defs.scm 285 */
			{	/* SawMill/defs.scm 287 */
				obj_t BgL_tmpz00_13150;

				BgL_tmpz00_13150 = ((obj_t) BgL_pz00_475);
				bgl_display_string(BGl_string3251z00zzsaw_defsz00, BgL_tmpz00_13150);
			}
			BGl_dumpzd2funzd2zzsaw_defsz00(
				(((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_474))->BgL_funz00),
				(((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_474))->BgL_destz00),
				(((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_474))->BgL_argsz00),
				BgL_pz00_475, BgL_mz00_476);
			{	/* SawMill/defs.scm 289 */
				obj_t BgL_tmpz00_13157;

				BgL_tmpz00_13157 = ((obj_t) BgL_pz00_475);
				return
					bgl_display_string(BGl_string3252z00zzsaw_defsz00, BgL_tmpz00_13157);
			}
		}

	}



/* &dump-ins-rhs */
	obj_t BGl_z62dumpzd2inszd2rhsz62zzsaw_defsz00(obj_t BgL_envz00_7788,
		obj_t BgL_oz00_7789, obj_t BgL_pz00_7790, obj_t BgL_mz00_7791)
	{
		{	/* SawMill/defs.scm 285 */
			return
				BGl_dumpzd2inszd2rhsz00zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_7789), BgL_pz00_7790, BgL_mz00_7791);
		}

	}



/* show-fun */
	obj_t BGl_showzd2funzd2zzsaw_defsz00(BgL_rtl_funz00_bglt BgL_oz00_480,
		obj_t BgL_destz00_481, obj_t BgL_pz00_482)
	{
		{	/* SawMill/defs.scm 303 */
			{	/* SawMill/defs.scm 304 */
				obj_t BgL_cz00_2148;

				{	/* SawMill/defs.scm 304 */
					obj_t BgL_arg1980z00_2152;

					{	/* SawMill/defs.scm 304 */
						obj_t BgL_arg1981z00_2153;

						{	/* SawMill/defs.scm 304 */
							obj_t BgL_arg1866z00_6360;
							long BgL_arg1867z00_6361;

							BgL_arg1866z00_6360 = (BGl_za2classesza2z00zz__objectz00);
							{	/* SawMill/defs.scm 304 */
								long BgL_arg1869z00_6362;

								BgL_arg1869z00_6362 =
									BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_oz00_480));
								BgL_arg1867z00_6361 = (BgL_arg1869z00_6362 - OBJECT_TYPE);
							}
							BgL_arg1981z00_2153 =
								VECTOR_REF(BgL_arg1866z00_6360, BgL_arg1867z00_6361);
						}
						BgL_arg1980z00_2152 =
							BGl_classzd2namezd2zz__objectz00(BgL_arg1981z00_2153);
					}
					{	/* SawMill/defs.scm 304 */
						obj_t BgL_arg1486z00_6369;

						BgL_arg1486z00_6369 = SYMBOL_TO_STRING(BgL_arg1980z00_2152);
						BgL_cz00_2148 =
							BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1486z00_6369);
				}}
				bgl_display_obj(c_substring(BgL_cz00_2148, 4L,
						STRING_LENGTH(BgL_cz00_2148)), BgL_pz00_482);
				{	/* SawMill/defs.scm 306 */
					bool_t BgL_test4490z00_13173;

					if (CBOOL(BgL_destz00_481))
						{	/* SawMill/defs.scm 306 */
							BgL_test4490z00_13173 = CBOOL(BGl_debugzd2sawzd2zzsaw_defsz00);
						}
					else
						{	/* SawMill/defs.scm 306 */
							BgL_test4490z00_13173 = ((bool_t) 0);
						}
					if (BgL_test4490z00_13173)
						{	/* SawMill/defs.scm 306 */
							{	/* SawMill/defs.scm 307 */
								obj_t BgL_tmpz00_13177;

								BgL_tmpz00_13177 = ((obj_t) BgL_pz00_482);
								bgl_display_string(BGl_string3253z00zzsaw_defsz00,
									BgL_tmpz00_13177);
							}
							BGl_dumpz00zzsaw_defsz00(BgL_destz00_481, BgL_pz00_482,
								(int) (0L));
							{	/* SawMill/defs.scm 309 */
								obj_t BgL_tmpz00_13182;

								BgL_tmpz00_13182 = ((obj_t) BgL_pz00_482);
								return
									bgl_display_string(BGl_string3252z00zzsaw_defsz00,
									BgL_tmpz00_13182);
							}
						}
					else
						{	/* SawMill/defs.scm 306 */
							return BFALSE;
						}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.scm 1 */
			{	/* SawMill/defs.scm 12 */
				obj_t BgL_arg1985z00_2157;
				obj_t BgL_arg1986z00_2158;

				{	/* SawMill/defs.scm 12 */
					obj_t BgL_v1699z00_2175;

					BgL_v1699z00_2175 = create_vector(7L);
					{	/* SawMill/defs.scm 12 */
						obj_t BgL_arg1994z00_2176;

						BgL_arg1994z00_2176 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(1)), BGl_proc3255z00zzsaw_defsz00,
							BGl_proc3254z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1699z00_2175, 0L, BgL_arg1994z00_2176);
					}
					{	/* SawMill/defs.scm 12 */
						obj_t BgL_arg2001z00_2186;

						BgL_arg2001z00_2186 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(2)), BGl_proc3257z00zzsaw_defsz00,
							BGl_proc3256z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(3)));
						VECTOR_SET(BgL_v1699z00_2175, 1L, BgL_arg2001z00_2186);
					}
					{	/* SawMill/defs.scm 12 */
						obj_t BgL_arg2006z00_2196;

						BgL_arg2006z00_2196 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(4)), BGl_proc3260z00zzsaw_defsz00,
							BGl_proc3259z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3258z00zzsaw_defsz00, ((obj_t) CNST_TABLE_REF(3)));
						VECTOR_SET(BgL_v1699z00_2175, 2L, BgL_arg2006z00_2196);
					}
					{	/* SawMill/defs.scm 12 */
						obj_t BgL_arg2013z00_2209;

						BgL_arg2013z00_2209 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(5)), BGl_proc3263z00zzsaw_defsz00,
							BGl_proc3262z00zzsaw_defsz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc3261z00zzsaw_defsz00, ((obj_t) CNST_TABLE_REF(3)));
						VECTOR_SET(BgL_v1699z00_2175, 3L, BgL_arg2013z00_2209);
					}
					{	/* SawMill/defs.scm 12 */
						obj_t BgL_arg2021z00_2223;

						BgL_arg2021z00_2223 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(6)), BGl_proc3266z00zzsaw_defsz00,
							BGl_proc3265z00zzsaw_defsz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc3264z00zzsaw_defsz00, ((obj_t) CNST_TABLE_REF(3)));
						VECTOR_SET(BgL_v1699z00_2175, 4L, BgL_arg2021z00_2223);
					}
					{	/* SawMill/defs.scm 12 */
						obj_t BgL_arg2028z00_2237;

						BgL_arg2028z00_2237 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(7)), BGl_proc3269z00zzsaw_defsz00,
							BGl_proc3268z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3267z00zzsaw_defsz00, ((obj_t) CNST_TABLE_REF(3)));
						VECTOR_SET(BgL_v1699z00_2175, 5L, BgL_arg2028z00_2237);
					}
					{	/* SawMill/defs.scm 12 */
						obj_t BgL_arg2036z00_2250;

						BgL_arg2036z00_2250 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(8)), BGl_proc3272z00zzsaw_defsz00,
							BGl_proc3271z00zzsaw_defsz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc3270z00zzsaw_defsz00, ((obj_t) CNST_TABLE_REF(3)));
						VECTOR_SET(BgL_v1699z00_2175, 6L, BgL_arg2036z00_2250);
					}
					BgL_arg1985z00_2157 = BgL_v1699z00_2175;
				}
				{	/* SawMill/defs.scm 12 */
					obj_t BgL_v1700z00_2263;

					BgL_v1700z00_2263 = create_vector(0L);
					BgL_arg1986z00_2158 = BgL_v1700z00_2263;
				}
				BGl_rtl_regz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(9)),
					((obj_t)
						CNST_TABLE_REF(10)), BGl_objectz00zz__objectz00, 23530L,
					BGl_proc3275z00zzsaw_defsz00, BGl_proc3274z00zzsaw_defsz00, BFALSE,
					BGl_proc3273z00zzsaw_defsz00, BFALSE, BgL_arg1985z00_2157,
					BgL_arg1986z00_2158);
			}
			{	/* SawMill/defs.scm 21 */
				obj_t BgL_arg2047z00_2270;
				obj_t BgL_arg2049z00_2271;

				{	/* SawMill/defs.scm 21 */
					obj_t BgL_v1701z00_2282;

					BgL_v1701z00_2282 = create_vector(1L);
					{	/* SawMill/defs.scm 21 */
						obj_t BgL_arg2055z00_2283;

						BgL_arg2055z00_2283 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(11)), BGl_proc3278z00zzsaw_defsz00,
							BGl_proc3277z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3276z00zzsaw_defsz00, ((obj_t) CNST_TABLE_REF(3)));
						VECTOR_SET(BgL_v1701z00_2282, 0L, BgL_arg2055z00_2283);
					}
					BgL_arg2047z00_2270 = BgL_v1701z00_2282;
				}
				{	/* SawMill/defs.scm 21 */
					obj_t BgL_v1702z00_2296;

					BgL_v1702z00_2296 = create_vector(0L);
					BgL_arg2049z00_2271 = BgL_v1702z00_2296;
				}
				BGl_rtl_funz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(12)),
					((obj_t)
						CNST_TABLE_REF(10)), BGl_objectz00zz__objectz00, 50121L,
					BGl_proc3281z00zzsaw_defsz00, BGl_proc3280z00zzsaw_defsz00, BFALSE,
					BGl_proc3279z00zzsaw_defsz00, BFALSE, BgL_arg2047z00_2270,
					BgL_arg2049z00_2271);
			}
			{	/* SawMill/defs.scm 23 */
				obj_t BgL_arg2066z00_2303;
				obj_t BgL_arg2067z00_2304;

				{	/* SawMill/defs.scm 23 */
					obj_t BgL_v1703z00_2315;

					BgL_v1703z00_2315 = create_vector(0L);
					BgL_arg2066z00_2303 = BgL_v1703z00_2315;
				}
				{	/* SawMill/defs.scm 23 */
					obj_t BgL_v1704z00_2316;

					BgL_v1704z00_2316 = create_vector(0L);
					BgL_arg2067z00_2304 = BgL_v1704z00_2316;
				}
				BGl_rtl_lastz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(13)),
					((obj_t)
						CNST_TABLE_REF(10)), BGl_rtl_funz00zzsaw_defsz00, 46348L,
					BGl_proc3284z00zzsaw_defsz00, BGl_proc3283z00zzsaw_defsz00, BFALSE,
					BGl_proc3282z00zzsaw_defsz00, BFALSE, BgL_arg2066z00_2303,
					BgL_arg2067z00_2304);
			}
			{	/* SawMill/defs.scm 24 */
				obj_t BgL_arg2076z00_2323;
				obj_t BgL_arg2077z00_2324;

				{	/* SawMill/defs.scm 24 */
					obj_t BgL_v1705z00_2336;

					BgL_v1705z00_2336 = create_vector(1L);
					{	/* SawMill/defs.scm 24 */
						obj_t BgL_arg2083z00_2337;

						BgL_arg2083z00_2337 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(1)), BGl_proc3286z00zzsaw_defsz00,
							BGl_proc3285z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1705z00_2336, 0L, BgL_arg2083z00_2337);
					}
					BgL_arg2076z00_2323 = BgL_v1705z00_2336;
				}
				{	/* SawMill/defs.scm 24 */
					obj_t BgL_v1706z00_2347;

					BgL_v1706z00_2347 = create_vector(0L);
					BgL_arg2077z00_2324 = BgL_v1706z00_2347;
				}
				BGl_rtl_returnz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(14)),
					((obj_t)
						CNST_TABLE_REF(10)), BGl_rtl_lastz00zzsaw_defsz00, 2933L,
					BGl_proc3289z00zzsaw_defsz00, BGl_proc3288z00zzsaw_defsz00, BFALSE,
					BGl_proc3287z00zzsaw_defsz00, BFALSE, BgL_arg2076z00_2323,
					BgL_arg2077z00_2324);
			}
			{	/* SawMill/defs.scm 25 */
				obj_t BgL_arg2091z00_2354;
				obj_t BgL_arg2092z00_2355;

				{	/* SawMill/defs.scm 25 */
					obj_t BgL_v1707z00_2366;

					BgL_v1707z00_2366 = create_vector(0L);
					BgL_arg2091z00_2354 = BgL_v1707z00_2366;
				}
				{	/* SawMill/defs.scm 25 */
					obj_t BgL_v1708z00_2367;

					BgL_v1708z00_2367 = create_vector(0L);
					BgL_arg2092z00_2355 = BgL_v1708z00_2367;
				}
				BGl_rtl_jumpexitz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(15)),
					((obj_t)
						CNST_TABLE_REF(10)), BGl_rtl_lastz00zzsaw_defsz00, 2291L,
					BGl_proc3292z00zzsaw_defsz00, BGl_proc3291z00zzsaw_defsz00, BFALSE,
					BGl_proc3290z00zzsaw_defsz00, BFALSE, BgL_arg2091z00_2354,
					BgL_arg2092z00_2355);
			}
			{	/* SawMill/defs.scm 26 */
				obj_t BgL_arg2101z00_2374;
				obj_t BgL_arg2102z00_2375;

				{	/* SawMill/defs.scm 26 */
					obj_t BgL_v1709z00_2386;

					BgL_v1709z00_2386 = create_vector(0L);
					BgL_arg2101z00_2374 = BgL_v1709z00_2386;
				}
				{	/* SawMill/defs.scm 26 */
					obj_t BgL_v1710z00_2387;

					BgL_v1710z00_2387 = create_vector(0L);
					BgL_arg2102z00_2375 = BgL_v1710z00_2387;
				}
				BGl_rtl_failz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(16)),
					((obj_t)
						CNST_TABLE_REF(10)), BGl_rtl_lastz00zzsaw_defsz00, 45401L,
					BGl_proc3295z00zzsaw_defsz00, BGl_proc3294z00zzsaw_defsz00, BFALSE,
					BGl_proc3293z00zzsaw_defsz00, BFALSE, BgL_arg2101z00_2374,
					BgL_arg2102z00_2375);
			}
			{	/* SawMill/defs.scm 27 */
				obj_t BgL_arg2111z00_2394;
				obj_t BgL_arg2112z00_2395;

				{	/* SawMill/defs.scm 27 */
					obj_t BgL_v1711z00_2406;

					BgL_v1711z00_2406 = create_vector(0L);
					BgL_arg2111z00_2394 = BgL_v1711z00_2406;
				}
				{	/* SawMill/defs.scm 27 */
					obj_t BgL_v1712z00_2407;

					BgL_v1712z00_2407 = create_vector(0L);
					BgL_arg2112z00_2395 = BgL_v1712z00_2407;
				}
				BGl_rtl_retblockz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(17)),
					((obj_t)
						CNST_TABLE_REF(10)), BGl_rtl_funz00zzsaw_defsz00, 32430L,
					BGl_proc3298z00zzsaw_defsz00, BGl_proc3297z00zzsaw_defsz00, BFALSE,
					BGl_proc3296z00zzsaw_defsz00, BFALSE, BgL_arg2111z00_2394,
					BgL_arg2112z00_2395);
			}
			{	/* SawMill/defs.scm 28 */
				obj_t BgL_arg2121z00_2414;
				obj_t BgL_arg2122z00_2415;

				{	/* SawMill/defs.scm 28 */
					obj_t BgL_v1713z00_2427;

					BgL_v1713z00_2427 = create_vector(1L);
					{	/* SawMill/defs.scm 28 */
						obj_t BgL_arg2128z00_2428;

						BgL_arg2128z00_2428 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(18)), BGl_proc3300z00zzsaw_defsz00,
							BGl_proc3299z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_blockz00zzsaw_defsz00);
						VECTOR_SET(BgL_v1713z00_2427, 0L, BgL_arg2128z00_2428);
					}
					BgL_arg2121z00_2414 = BgL_v1713z00_2427;
				}
				{	/* SawMill/defs.scm 28 */
					obj_t BgL_v1714z00_2438;

					BgL_v1714z00_2438 = create_vector(0L);
					BgL_arg2122z00_2415 = BgL_v1714z00_2438;
				}
				BGl_rtl_retz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(19)),
					((obj_t)
						CNST_TABLE_REF(10)), BGl_rtl_lastz00zzsaw_defsz00, 55560L,
					BGl_proc3303z00zzsaw_defsz00, BGl_proc3302z00zzsaw_defsz00, BFALSE,
					BGl_proc3301z00zzsaw_defsz00, BFALSE, BgL_arg2121z00_2414,
					BgL_arg2122z00_2415);
			}
			{	/* SawMill/defs.scm 30 */
				obj_t BgL_arg2136z00_2445;
				obj_t BgL_arg2137z00_2446;

				{	/* SawMill/defs.scm 30 */
					obj_t BgL_v1715z00_2457;

					BgL_v1715z00_2457 = create_vector(0L);
					BgL_arg2136z00_2445 = BgL_v1715z00_2457;
				}
				{	/* SawMill/defs.scm 30 */
					obj_t BgL_v1716z00_2458;

					BgL_v1716z00_2458 = create_vector(0L);
					BgL_arg2137z00_2446 = BgL_v1716z00_2458;
				}
				BGl_rtl_notseqz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(20)),
					((obj_t)
						CNST_TABLE_REF(10)), BGl_rtl_funz00zzsaw_defsz00, 57578L,
					BGl_proc3306z00zzsaw_defsz00, BGl_proc3305z00zzsaw_defsz00, BFALSE,
					BGl_proc3304z00zzsaw_defsz00, BFALSE, BgL_arg2136z00_2445,
					BgL_arg2137z00_2446);
			}
			{	/* SawMill/defs.scm 31 */
				obj_t BgL_arg2146z00_2465;
				obj_t BgL_arg2147z00_2466;

				{	/* SawMill/defs.scm 31 */
					obj_t BgL_v1717z00_2477;

					BgL_v1717z00_2477 = create_vector(0L);
					BgL_arg2146z00_2465 = BgL_v1717z00_2477;
				}
				{	/* SawMill/defs.scm 31 */
					obj_t BgL_v1718z00_2478;

					BgL_v1718z00_2478 = create_vector(0L);
					BgL_arg2147z00_2466 = BgL_v1718z00_2478;
				}
				BGl_rtl_ifz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(21)),
					((obj_t)
						CNST_TABLE_REF(10)), BGl_rtl_notseqz00zzsaw_defsz00, 31216L,
					BGl_proc3309z00zzsaw_defsz00, BGl_proc3308z00zzsaw_defsz00, BFALSE,
					BGl_proc3307z00zzsaw_defsz00, BFALSE, BgL_arg2146z00_2465,
					BgL_arg2147z00_2466);
			}
			{	/* SawMill/defs.scm 32 */
				obj_t BgL_arg2156z00_2485;
				obj_t BgL_arg2157z00_2486;

				{	/* SawMill/defs.scm 32 */
					obj_t BgL_v1719z00_2499;

					BgL_v1719z00_2499 = create_vector(2L);
					{	/* SawMill/defs.scm 32 */
						obj_t BgL_arg2163z00_2500;

						BgL_arg2163z00_2500 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(1)), BGl_proc3311z00zzsaw_defsz00,
							BGl_proc3310z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1719z00_2499, 0L, BgL_arg2163z00_2500);
					}
					{	/* SawMill/defs.scm 32 */
						obj_t BgL_arg2168z00_2510;

						BgL_arg2168z00_2510 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(22)), BGl_proc3313z00zzsaw_defsz00,
							BGl_proc3312z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(3)));
						VECTOR_SET(BgL_v1719z00_2499, 1L, BgL_arg2168z00_2510);
					}
					BgL_arg2156z00_2485 = BgL_v1719z00_2499;
				}
				{	/* SawMill/defs.scm 32 */
					obj_t BgL_v1720z00_2520;

					BgL_v1720z00_2520 = create_vector(0L);
					BgL_arg2157z00_2486 = BgL_v1720z00_2520;
				}
				BGl_rtl_selectz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(23)),
					((obj_t)
						CNST_TABLE_REF(10)), BGl_rtl_notseqz00zzsaw_defsz00, 6346L,
					BGl_proc3316z00zzsaw_defsz00, BGl_proc3315z00zzsaw_defsz00, BFALSE,
					BGl_proc3314z00zzsaw_defsz00, BFALSE, BgL_arg2156z00_2485,
					BgL_arg2157z00_2486);
			}
			{	/* SawMill/defs.scm 33 */
				obj_t BgL_arg2176z00_2527;
				obj_t BgL_arg2177z00_2528;

				{	/* SawMill/defs.scm 33 */
					obj_t BgL_v1721z00_2542;

					BgL_v1721z00_2542 = create_vector(1L);
					{	/* SawMill/defs.scm 33 */
						obj_t BgL_arg2183z00_2543;

						BgL_arg2183z00_2543 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(24)), BGl_proc3318z00zzsaw_defsz00,
							BGl_proc3317z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(3)));
						VECTOR_SET(BgL_v1721z00_2542, 0L, BgL_arg2183z00_2543);
					}
					BgL_arg2176z00_2527 = BgL_v1721z00_2542;
				}
				{	/* SawMill/defs.scm 33 */
					obj_t BgL_v1722z00_2553;

					BgL_v1722z00_2553 = create_vector(0L);
					BgL_arg2177z00_2528 = BgL_v1722z00_2553;
				}
				BGl_rtl_switchz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(25)),
					((obj_t)
						CNST_TABLE_REF(10)), BGl_rtl_selectz00zzsaw_defsz00, 61548L,
					BGl_proc3321z00zzsaw_defsz00, BGl_proc3320z00zzsaw_defsz00, BFALSE,
					BGl_proc3319z00zzsaw_defsz00, BFALSE, BgL_arg2176z00_2527,
					BgL_arg2177z00_2528);
			}
			{	/* SawMill/defs.scm 34 */
				obj_t BgL_arg2191z00_2560;
				obj_t BgL_arg2192z00_2561;

				{	/* SawMill/defs.scm 34 */
					obj_t BgL_v1723z00_2573;

					BgL_v1723z00_2573 = create_vector(1L);
					{	/* SawMill/defs.scm 34 */
						obj_t BgL_arg2198z00_2574;

						BgL_arg2198z00_2574 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(26)), BGl_proc3323z00zzsaw_defsz00,
							BGl_proc3322z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_blockz00zzsaw_defsz00);
						VECTOR_SET(BgL_v1723z00_2573, 0L, BgL_arg2198z00_2574);
					}
					BgL_arg2191z00_2560 = BgL_v1723z00_2573;
				}
				{	/* SawMill/defs.scm 34 */
					obj_t BgL_v1724z00_2584;

					BgL_v1724z00_2584 = create_vector(0L);
					BgL_arg2192z00_2561 = BgL_v1724z00_2584;
				}
				BGl_rtl_ifeqz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(27)),
					((obj_t)
						CNST_TABLE_REF(10)), BGl_rtl_notseqz00zzsaw_defsz00, 50772L,
					BGl_proc3326z00zzsaw_defsz00, BGl_proc3325z00zzsaw_defsz00, BFALSE,
					BGl_proc3324z00zzsaw_defsz00, BFALSE, BgL_arg2191z00_2560,
					BgL_arg2192z00_2561);
			}
			{	/* SawMill/defs.scm 35 */
				obj_t BgL_arg2207z00_2591;
				obj_t BgL_arg2208z00_2592;

				{	/* SawMill/defs.scm 35 */
					obj_t BgL_v1725z00_2604;

					BgL_v1725z00_2604 = create_vector(1L);
					{	/* SawMill/defs.scm 35 */
						obj_t BgL_arg2214z00_2605;

						BgL_arg2214z00_2605 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(26)), BGl_proc3328z00zzsaw_defsz00,
							BGl_proc3327z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_blockz00zzsaw_defsz00);
						VECTOR_SET(BgL_v1725z00_2604, 0L, BgL_arg2214z00_2605);
					}
					BgL_arg2207z00_2591 = BgL_v1725z00_2604;
				}
				{	/* SawMill/defs.scm 35 */
					obj_t BgL_v1726z00_2615;

					BgL_v1726z00_2615 = create_vector(0L);
					BgL_arg2208z00_2592 = BgL_v1726z00_2615;
				}
				BGl_rtl_ifnez00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(28)),
					((obj_t)
						CNST_TABLE_REF(10)), BGl_rtl_notseqz00zzsaw_defsz00, 43703L,
					BGl_proc3331z00zzsaw_defsz00, BGl_proc3330z00zzsaw_defsz00, BFALSE,
					BGl_proc3329z00zzsaw_defsz00, BFALSE, BgL_arg2207z00_2591,
					BgL_arg2208z00_2592);
			}
			{	/* SawMill/defs.scm 36 */
				obj_t BgL_arg2222z00_2622;
				obj_t BgL_arg2223z00_2623;

				{	/* SawMill/defs.scm 36 */
					obj_t BgL_v1727z00_2635;

					BgL_v1727z00_2635 = create_vector(1L);
					{	/* SawMill/defs.scm 36 */
						obj_t BgL_arg2230z00_2636;

						BgL_arg2230z00_2636 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(18)), BGl_proc3333z00zzsaw_defsz00,
							BGl_proc3332z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_blockz00zzsaw_defsz00);
						VECTOR_SET(BgL_v1727z00_2635, 0L, BgL_arg2230z00_2636);
					}
					BgL_arg2222z00_2622 = BgL_v1727z00_2635;
				}
				{	/* SawMill/defs.scm 36 */
					obj_t BgL_v1728z00_2646;

					BgL_v1728z00_2646 = create_vector(0L);
					BgL_arg2223z00_2623 = BgL_v1728z00_2646;
				}
				BGl_rtl_goz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(29)),
					((obj_t)
						CNST_TABLE_REF(10)), BGl_rtl_notseqz00zzsaw_defsz00, 55455L,
					BGl_proc3336z00zzsaw_defsz00, BGl_proc3335z00zzsaw_defsz00, BFALSE,
					BGl_proc3334z00zzsaw_defsz00, BFALSE, BgL_arg2222z00_2622,
					BgL_arg2223z00_2623);
			}
			{	/* SawMill/defs.scm 38 */
				obj_t BgL_arg2239z00_2653;
				obj_t BgL_arg2240z00_2654;

				{	/* SawMill/defs.scm 38 */
					obj_t BgL_v1729z00_2665;

					BgL_v1729z00_2665 = create_vector(0L);
					BgL_arg2239z00_2653 = BgL_v1729z00_2665;
				}
				{	/* SawMill/defs.scm 38 */
					obj_t BgL_v1730z00_2666;

					BgL_v1730z00_2666 = create_vector(0L);
					BgL_arg2240z00_2654 = BgL_v1730z00_2666;
				}
				BGl_rtl_purez00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(30)),
					((obj_t)
						CNST_TABLE_REF(10)), BGl_rtl_funz00zzsaw_defsz00, 28820L,
					BGl_proc3339z00zzsaw_defsz00, BGl_proc3338z00zzsaw_defsz00, BFALSE,
					BGl_proc3337z00zzsaw_defsz00, BFALSE, BgL_arg2239z00_2653,
					BgL_arg2240z00_2654);
			}
			{	/* SawMill/defs.scm 39 */
				obj_t BgL_arg2249z00_2673;
				obj_t BgL_arg2250z00_2674;

				{	/* SawMill/defs.scm 39 */
					obj_t BgL_v1731z00_2685;

					BgL_v1731z00_2685 = create_vector(0L);
					BgL_arg2249z00_2673 = BgL_v1731z00_2685;
				}
				{	/* SawMill/defs.scm 39 */
					obj_t BgL_v1732z00_2686;

					BgL_v1732z00_2686 = create_vector(0L);
					BgL_arg2250z00_2674 = BgL_v1732z00_2686;
				}
				BGl_rtl_nopz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(31)),
					((obj_t)
						CNST_TABLE_REF(10)), BGl_rtl_purez00zzsaw_defsz00, 27632L,
					BGl_proc3342z00zzsaw_defsz00, BGl_proc3341z00zzsaw_defsz00, BFALSE,
					BGl_proc3340z00zzsaw_defsz00, BFALSE, BgL_arg2249z00_2673,
					BgL_arg2250z00_2674);
			}
			{	/* SawMill/defs.scm 40 */
				obj_t BgL_arg2259z00_2693;
				obj_t BgL_arg2260z00_2694;

				{	/* SawMill/defs.scm 40 */
					obj_t BgL_v1733z00_2705;

					BgL_v1733z00_2705 = create_vector(0L);
					BgL_arg2259z00_2693 = BgL_v1733z00_2705;
				}
				{	/* SawMill/defs.scm 40 */
					obj_t BgL_v1734z00_2706;

					BgL_v1734z00_2706 = create_vector(0L);
					BgL_arg2260z00_2694 = BgL_v1734z00_2706;
				}
				BGl_rtl_movz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(32)),
					((obj_t)
						CNST_TABLE_REF(10)), BGl_rtl_purez00zzsaw_defsz00, 12799L,
					BGl_proc3345z00zzsaw_defsz00, BGl_proc3344z00zzsaw_defsz00, BFALSE,
					BGl_proc3343z00zzsaw_defsz00, BFALSE, BgL_arg2259z00_2693,
					BgL_arg2260z00_2694);
			}
			{	/* SawMill/defs.scm 41 */
				obj_t BgL_arg2269z00_2713;
				obj_t BgL_arg2270z00_2714;

				{	/* SawMill/defs.scm 41 */
					obj_t BgL_v1735z00_2726;

					BgL_v1735z00_2726 = create_vector(1L);
					{	/* SawMill/defs.scm 41 */
						obj_t BgL_arg2276z00_2727;

						BgL_arg2276z00_2727 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(33)), BGl_proc3347z00zzsaw_defsz00,
							BGl_proc3346z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_atomz00zzast_nodez00);
						VECTOR_SET(BgL_v1735z00_2726, 0L, BgL_arg2276z00_2727);
					}
					BgL_arg2269z00_2713 = BgL_v1735z00_2726;
				}
				{	/* SawMill/defs.scm 41 */
					obj_t BgL_v1736z00_2737;

					BgL_v1736z00_2737 = create_vector(0L);
					BgL_arg2270z00_2714 = BgL_v1736z00_2737;
				}
				BGl_rtl_loadiz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(34)),
					((obj_t)
						CNST_TABLE_REF(10)), BGl_rtl_purez00zzsaw_defsz00, 16623L,
					BGl_proc3350z00zzsaw_defsz00, BGl_proc3349z00zzsaw_defsz00, BFALSE,
					BGl_proc3348z00zzsaw_defsz00, BFALSE, BgL_arg2269z00_2713,
					BgL_arg2270z00_2714);
			}
			{	/* SawMill/defs.scm 42 */
				obj_t BgL_arg2286z00_2744;
				obj_t BgL_arg2287z00_2745;

				{	/* SawMill/defs.scm 42 */
					obj_t BgL_v1737z00_2757;

					BgL_v1737z00_2757 = create_vector(1L);
					{	/* SawMill/defs.scm 42 */
						obj_t BgL_arg2293z00_2758;

						BgL_arg2293z00_2758 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(2)), BGl_proc3352z00zzsaw_defsz00,
							BGl_proc3351z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_globalz00zzast_varz00);
						VECTOR_SET(BgL_v1737z00_2757, 0L, BgL_arg2293z00_2758);
					}
					BgL_arg2286z00_2744 = BgL_v1737z00_2757;
				}
				{	/* SawMill/defs.scm 42 */
					obj_t BgL_v1738z00_2768;

					BgL_v1738z00_2768 = create_vector(0L);
					BgL_arg2287z00_2745 = BgL_v1738z00_2768;
				}
				BGl_rtl_loadgz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(35)),
					((obj_t)
						CNST_TABLE_REF(10)), BGl_rtl_purez00zzsaw_defsz00, 34672L,
					BGl_proc3355z00zzsaw_defsz00, BGl_proc3354z00zzsaw_defsz00, BFALSE,
					BGl_proc3353z00zzsaw_defsz00, BFALSE, BgL_arg2286z00_2744,
					BgL_arg2287z00_2745);
			}
			{	/* SawMill/defs.scm 43 */
				obj_t BgL_arg2302z00_2775;
				obj_t BgL_arg2303z00_2776;

				{	/* SawMill/defs.scm 43 */
					obj_t BgL_v1739z00_2788;

					BgL_v1739z00_2788 = create_vector(1L);
					{	/* SawMill/defs.scm 43 */
						obj_t BgL_arg2309z00_2789;

						BgL_arg2309z00_2789 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(2)), BGl_proc3357z00zzsaw_defsz00,
							BGl_proc3356z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_globalz00zzast_varz00);
						VECTOR_SET(BgL_v1739z00_2788, 0L, BgL_arg2309z00_2789);
					}
					BgL_arg2302z00_2775 = BgL_v1739z00_2788;
				}
				{	/* SawMill/defs.scm 43 */
					obj_t BgL_v1740z00_2799;

					BgL_v1740z00_2799 = create_vector(0L);
					BgL_arg2303z00_2776 = BgL_v1740z00_2799;
				}
				BGl_rtl_loadfunz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(36)),
					((obj_t)
						CNST_TABLE_REF(10)), BGl_rtl_purez00zzsaw_defsz00, 13326L,
					BGl_proc3360z00zzsaw_defsz00, BGl_proc3359z00zzsaw_defsz00, BFALSE,
					BGl_proc3358z00zzsaw_defsz00, BFALSE, BgL_arg2302z00_2775,
					BgL_arg2303z00_2776);
			}
			{	/* SawMill/defs.scm 44 */
				obj_t BgL_arg2320z00_2806;
				obj_t BgL_arg2321z00_2807;

				{	/* SawMill/defs.scm 44 */
					obj_t BgL_v1741z00_2819;

					BgL_v1741z00_2819 = create_vector(1L);
					{	/* SawMill/defs.scm 44 */
						obj_t BgL_arg2327z00_2820;

						BgL_arg2327z00_2820 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(2)), BGl_proc3362z00zzsaw_defsz00,
							BGl_proc3361z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_globalz00zzast_varz00);
						VECTOR_SET(BgL_v1741z00_2819, 0L, BgL_arg2327z00_2820);
					}
					BgL_arg2320z00_2806 = BgL_v1741z00_2819;
				}
				{	/* SawMill/defs.scm 44 */
					obj_t BgL_v1742z00_2830;

					BgL_v1742z00_2830 = create_vector(0L);
					BgL_arg2321z00_2807 = BgL_v1742z00_2830;
				}
				BGl_rtl_globalrefz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(37)),
					((obj_t)
						CNST_TABLE_REF(10)), BGl_rtl_purez00zzsaw_defsz00, 23593L,
					BGl_proc3365z00zzsaw_defsz00, BGl_proc3364z00zzsaw_defsz00, BFALSE,
					BGl_proc3363z00zzsaw_defsz00, BFALSE, BgL_arg2320z00_2806,
					BgL_arg2321z00_2807);
			}
			{	/* SawMill/defs.scm 45 */
				obj_t BgL_arg2337z00_2837;
				obj_t BgL_arg2338z00_2838;

				{	/* SawMill/defs.scm 45 */
					obj_t BgL_v1743z00_2852;

					BgL_v1743z00_2852 = create_vector(3L);
					{	/* SawMill/defs.scm 45 */
						obj_t BgL_arg2345z00_2853;

						BgL_arg2345z00_2853 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(5)), BGl_proc3367z00zzsaw_defsz00,
							BGl_proc3366z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(38)));
						VECTOR_SET(BgL_v1743z00_2852, 0L, BgL_arg2345z00_2853);
					}
					{	/* SawMill/defs.scm 45 */
						obj_t BgL_arg2351z00_2863;

						BgL_arg2351z00_2863 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(39)), BGl_proc3369z00zzsaw_defsz00,
							BGl_proc3368z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1743z00_2852, 1L, BgL_arg2351z00_2863);
					}
					{	/* SawMill/defs.scm 45 */
						obj_t BgL_arg2358z00_2873;

						BgL_arg2358z00_2873 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(1)), BGl_proc3371z00zzsaw_defsz00,
							BGl_proc3370z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1743z00_2852, 2L, BgL_arg2358z00_2873);
					}
					BgL_arg2337z00_2837 = BgL_v1743z00_2852;
				}
				{	/* SawMill/defs.scm 45 */
					obj_t BgL_v1744z00_2883;

					BgL_v1744z00_2883 = create_vector(0L);
					BgL_arg2338z00_2838 = BgL_v1744z00_2883;
				}
				BGl_rtl_getfieldz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(40)),
					((obj_t)
						CNST_TABLE_REF(10)), BGl_rtl_purez00zzsaw_defsz00, 51124L,
					BGl_proc3374z00zzsaw_defsz00, BGl_proc3373z00zzsaw_defsz00, BFALSE,
					BGl_proc3372z00zzsaw_defsz00, BFALSE, BgL_arg2337z00_2837,
					BgL_arg2338z00_2838);
			}
			{	/* SawMill/defs.scm 46 */
				obj_t BgL_arg2369z00_2890;
				obj_t BgL_arg2371z00_2891;

				{	/* SawMill/defs.scm 46 */
					obj_t BgL_v1745z00_2904;

					BgL_v1745z00_2904 = create_vector(2L);
					{	/* SawMill/defs.scm 46 */
						obj_t BgL_arg2377z00_2905;

						BgL_arg2377z00_2905 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(1)), BGl_proc3376z00zzsaw_defsz00,
							BGl_proc3375z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1745z00_2904, 0L, BgL_arg2377z00_2905);
					}
					{	/* SawMill/defs.scm 46 */
						obj_t BgL_arg2383z00_2915;

						BgL_arg2383z00_2915 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(41)), BGl_proc3378z00zzsaw_defsz00,
							BGl_proc3377z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1745z00_2904, 1L, BgL_arg2383z00_2915);
					}
					BgL_arg2369z00_2890 = BgL_v1745z00_2904;
				}
				{	/* SawMill/defs.scm 46 */
					obj_t BgL_v1746z00_2925;

					BgL_v1746z00_2925 = create_vector(0L);
					BgL_arg2371z00_2891 = BgL_v1746z00_2925;
				}
				BGl_rtl_vallocz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(42)),
					((obj_t)
						CNST_TABLE_REF(10)), BGl_rtl_purez00zzsaw_defsz00, 58150L,
					BGl_proc3381z00zzsaw_defsz00, BGl_proc3380z00zzsaw_defsz00, BFALSE,
					BGl_proc3379z00zzsaw_defsz00, BFALSE, BgL_arg2369z00_2890,
					BgL_arg2371z00_2891);
			}
			{	/* SawMill/defs.scm 47 */
				obj_t BgL_arg2396z00_2932;
				obj_t BgL_arg2398z00_2933;

				{	/* SawMill/defs.scm 47 */
					obj_t BgL_v1747z00_2946;

					BgL_v1747z00_2946 = create_vector(2L);
					{	/* SawMill/defs.scm 47 */
						obj_t BgL_arg2405z00_2947;

						BgL_arg2405z00_2947 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(1)), BGl_proc3383z00zzsaw_defsz00,
							BGl_proc3382z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1747z00_2946, 0L, BgL_arg2405z00_2947);
					}
					{	/* SawMill/defs.scm 47 */
						obj_t BgL_arg2415z00_2957;

						BgL_arg2415z00_2957 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(41)), BGl_proc3385z00zzsaw_defsz00,
							BGl_proc3384z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1747z00_2946, 1L, BgL_arg2415z00_2957);
					}
					BgL_arg2396z00_2932 = BgL_v1747z00_2946;
				}
				{	/* SawMill/defs.scm 47 */
					obj_t BgL_v1748z00_2967;

					BgL_v1748z00_2967 = create_vector(0L);
					BgL_arg2398z00_2933 = BgL_v1748z00_2967;
				}
				BGl_rtl_vrefz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(43)),
					((obj_t)
						CNST_TABLE_REF(10)), BGl_rtl_purez00zzsaw_defsz00, 12596L,
					BGl_proc3388z00zzsaw_defsz00, BGl_proc3387z00zzsaw_defsz00, BFALSE,
					BGl_proc3386z00zzsaw_defsz00, BFALSE, BgL_arg2396z00_2932,
					BgL_arg2398z00_2933);
			}
			{	/* SawMill/defs.scm 48 */
				obj_t BgL_arg2424z00_2974;
				obj_t BgL_arg2425z00_2975;

				{	/* SawMill/defs.scm 48 */
					obj_t BgL_v1749z00_2988;

					BgL_v1749z00_2988 = create_vector(2L);
					{	/* SawMill/defs.scm 48 */
						obj_t BgL_arg2437z00_2989;

						BgL_arg2437z00_2989 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(1)), BGl_proc3390z00zzsaw_defsz00,
							BGl_proc3389z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1749z00_2988, 0L, BgL_arg2437z00_2989);
					}
					{	/* SawMill/defs.scm 48 */
						obj_t BgL_arg2443z00_2999;

						BgL_arg2443z00_2999 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(41)), BGl_proc3392z00zzsaw_defsz00,
							BGl_proc3391z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1749z00_2988, 1L, BgL_arg2443z00_2999);
					}
					BgL_arg2424z00_2974 = BgL_v1749z00_2988;
				}
				{	/* SawMill/defs.scm 48 */
					obj_t BgL_v1750z00_3009;

					BgL_v1750z00_3009 = create_vector(0L);
					BgL_arg2425z00_2975 = BgL_v1750z00_3009;
				}
				BGl_rtl_vlengthz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(44)),
					((obj_t)
						CNST_TABLE_REF(10)), BGl_rtl_purez00zzsaw_defsz00, 48015L,
					BGl_proc3395z00zzsaw_defsz00, BGl_proc3394z00zzsaw_defsz00, BFALSE,
					BGl_proc3393z00zzsaw_defsz00, BFALSE, BgL_arg2424z00_2974,
					BgL_arg2425z00_2975);
			}
			{	/* SawMill/defs.scm 49 */
				obj_t BgL_arg2457z00_3016;
				obj_t BgL_arg2459z00_3017;

				{	/* SawMill/defs.scm 49 */
					obj_t BgL_v1751z00_3029;

					BgL_v1751z00_3029 = create_vector(1L);
					{	/* SawMill/defs.scm 49 */
						obj_t BgL_arg2466z00_3030;

						BgL_arg2466z00_3030 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(1)), BGl_proc3397z00zzsaw_defsz00,
							BGl_proc3396z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1751z00_3029, 0L, BgL_arg2466z00_3030);
					}
					BgL_arg2457z00_3016 = BgL_v1751z00_3029;
				}
				{	/* SawMill/defs.scm 49 */
					obj_t BgL_v1752z00_3040;

					BgL_v1752z00_3040 = create_vector(0L);
					BgL_arg2459z00_3017 = BgL_v1752z00_3040;
				}
				BGl_rtl_instanceofz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(45)),
					((obj_t)
						CNST_TABLE_REF(10)), BGl_rtl_purez00zzsaw_defsz00, 47751L,
					BGl_proc3400z00zzsaw_defsz00, BGl_proc3399z00zzsaw_defsz00, BFALSE,
					BGl_proc3398z00zzsaw_defsz00, BFALSE, BgL_arg2457z00_3016,
					BgL_arg2459z00_3017);
			}
			{	/* SawMill/defs.scm 50 */
				obj_t BgL_arg2476z00_3047;
				obj_t BgL_arg2477z00_3048;

				{	/* SawMill/defs.scm 50 */
					obj_t BgL_v1753z00_3059;

					BgL_v1753z00_3059 = create_vector(0L);
					BgL_arg2476z00_3047 = BgL_v1753z00_3059;
				}
				{	/* SawMill/defs.scm 50 */
					obj_t BgL_v1754z00_3060;

					BgL_v1754z00_3060 = create_vector(0L);
					BgL_arg2477z00_3048 = BgL_v1754z00_3060;
				}
				BGl_rtl_makeboxz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(46)),
					((obj_t)
						CNST_TABLE_REF(10)), BGl_rtl_purez00zzsaw_defsz00, 40746L,
					BGl_proc3403z00zzsaw_defsz00, BGl_proc3402z00zzsaw_defsz00, BFALSE,
					BGl_proc3401z00zzsaw_defsz00, BFALSE, BgL_arg2476z00_3047,
					BgL_arg2477z00_3048);
			}
			{	/* SawMill/defs.scm 51 */
				obj_t BgL_arg2489z00_3067;
				obj_t BgL_arg2490z00_3068;

				{	/* SawMill/defs.scm 51 */
					obj_t BgL_v1755z00_3079;

					BgL_v1755z00_3079 = create_vector(0L);
					BgL_arg2489z00_3067 = BgL_v1755z00_3079;
				}
				{	/* SawMill/defs.scm 51 */
					obj_t BgL_v1756z00_3080;

					BgL_v1756z00_3080 = create_vector(0L);
					BgL_arg2490z00_3068 = BgL_v1756z00_3080;
				}
				BGl_rtl_boxrefz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(47)),
					((obj_t)
						CNST_TABLE_REF(10)), BGl_rtl_purez00zzsaw_defsz00, 52683L,
					BGl_proc3406z00zzsaw_defsz00, BGl_proc3405z00zzsaw_defsz00, BFALSE,
					BGl_proc3404z00zzsaw_defsz00, BFALSE, BgL_arg2489z00_3067,
					BgL_arg2490z00_3068);
			}
			{	/* SawMill/defs.scm 53 */
				obj_t BgL_arg2500z00_3087;
				obj_t BgL_arg2501z00_3088;

				{	/* SawMill/defs.scm 53 */
					obj_t BgL_v1757z00_3099;

					BgL_v1757z00_3099 = create_vector(0L);
					BgL_arg2500z00_3087 = BgL_v1757z00_3099;
				}
				{	/* SawMill/defs.scm 53 */
					obj_t BgL_v1758z00_3100;

					BgL_v1758z00_3100 = create_vector(0L);
					BgL_arg2501z00_3088 = BgL_v1758z00_3100;
				}
				BGl_rtl_effectz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(48)),
					((obj_t)
						CNST_TABLE_REF(10)), BGl_rtl_funz00zzsaw_defsz00, 9927L,
					BGl_proc3409z00zzsaw_defsz00, BGl_proc3408z00zzsaw_defsz00, BFALSE,
					BGl_proc3407z00zzsaw_defsz00, BFALSE, BgL_arg2500z00_3087,
					BgL_arg2501z00_3088);
			}
			{	/* SawMill/defs.scm 54 */
				obj_t BgL_arg2512z00_3107;
				obj_t BgL_arg2514z00_3108;

				{	/* SawMill/defs.scm 54 */
					obj_t BgL_v1759z00_3120;

					BgL_v1759z00_3120 = create_vector(1L);
					{	/* SawMill/defs.scm 54 */
						obj_t BgL_arg2523z00_3121;

						BgL_arg2523z00_3121 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(2)), BGl_proc3411z00zzsaw_defsz00,
							BGl_proc3410z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_globalz00zzast_varz00);
						VECTOR_SET(BgL_v1759z00_3120, 0L, BgL_arg2523z00_3121);
					}
					BgL_arg2512z00_3107 = BgL_v1759z00_3120;
				}
				{	/* SawMill/defs.scm 54 */
					obj_t BgL_v1760z00_3131;

					BgL_v1760z00_3131 = create_vector(0L);
					BgL_arg2514z00_3108 = BgL_v1760z00_3131;
				}
				BGl_rtl_storegz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(49)),
					((obj_t)
						CNST_TABLE_REF(10)), BGl_rtl_effectz00zzsaw_defsz00, 10162L,
					BGl_proc3414z00zzsaw_defsz00, BGl_proc3413z00zzsaw_defsz00, BFALSE,
					BGl_proc3412z00zzsaw_defsz00, BFALSE, BgL_arg2512z00_3107,
					BgL_arg2514z00_3108);
			}
			{	/* SawMill/defs.scm 55 */
				obj_t BgL_arg2535z00_3138;
				obj_t BgL_arg2536z00_3139;

				{	/* SawMill/defs.scm 55 */
					obj_t BgL_v1761z00_3153;

					BgL_v1761z00_3153 = create_vector(3L);
					{	/* SawMill/defs.scm 55 */
						obj_t BgL_arg2543z00_3154;

						BgL_arg2543z00_3154 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(5)), BGl_proc3416z00zzsaw_defsz00,
							BGl_proc3415z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(38)));
						VECTOR_SET(BgL_v1761z00_3153, 0L, BgL_arg2543z00_3154);
					}
					{	/* SawMill/defs.scm 55 */
						obj_t BgL_arg2549z00_3164;

						BgL_arg2549z00_3164 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(39)), BGl_proc3418z00zzsaw_defsz00,
							BGl_proc3417z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1761z00_3153, 1L, BgL_arg2549z00_3164);
					}
					{	/* SawMill/defs.scm 55 */
						obj_t BgL_arg2554z00_3174;

						BgL_arg2554z00_3174 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(1)), BGl_proc3420z00zzsaw_defsz00,
							BGl_proc3419z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1761z00_3153, 2L, BgL_arg2554z00_3174);
					}
					BgL_arg2535z00_3138 = BgL_v1761z00_3153;
				}
				{	/* SawMill/defs.scm 55 */
					obj_t BgL_v1762z00_3184;

					BgL_v1762z00_3184 = create_vector(0L);
					BgL_arg2536z00_3139 = BgL_v1762z00_3184;
				}
				BGl_rtl_setfieldz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(50)),
					((obj_t)
						CNST_TABLE_REF(10)), BGl_rtl_effectz00zzsaw_defsz00, 44593L,
					BGl_proc3423z00zzsaw_defsz00, BGl_proc3422z00zzsaw_defsz00, BFALSE,
					BGl_proc3421z00zzsaw_defsz00, BFALSE, BgL_arg2535z00_3138,
					BgL_arg2536z00_3139);
			}
			{	/* SawMill/defs.scm 56 */
				obj_t BgL_arg2562z00_3191;
				obj_t BgL_arg2563z00_3192;

				{	/* SawMill/defs.scm 56 */
					obj_t BgL_v1763z00_3205;

					BgL_v1763z00_3205 = create_vector(2L);
					{	/* SawMill/defs.scm 56 */
						obj_t BgL_arg2571z00_3206;

						BgL_arg2571z00_3206 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(1)), BGl_proc3425z00zzsaw_defsz00,
							BGl_proc3424z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1763z00_3205, 0L, BgL_arg2571z00_3206);
					}
					{	/* SawMill/defs.scm 56 */
						obj_t BgL_arg2576z00_3216;

						BgL_arg2576z00_3216 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(41)), BGl_proc3427z00zzsaw_defsz00,
							BGl_proc3426z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1763z00_3205, 1L, BgL_arg2576z00_3216);
					}
					BgL_arg2562z00_3191 = BgL_v1763z00_3205;
				}
				{	/* SawMill/defs.scm 56 */
					obj_t BgL_v1764z00_3226;

					BgL_v1764z00_3226 = create_vector(0L);
					BgL_arg2563z00_3192 = BgL_v1764z00_3226;
				}
				BGl_rtl_vsetz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(51)),
					((obj_t)
						CNST_TABLE_REF(10)), BGl_rtl_effectz00zzsaw_defsz00, 41652L,
					BGl_proc3430z00zzsaw_defsz00, BGl_proc3429z00zzsaw_defsz00, BFALSE,
					BGl_proc3428z00zzsaw_defsz00, BFALSE, BgL_arg2562z00_3191,
					BgL_arg2563z00_3192);
			}
			{	/* SawMill/defs.scm 57 */
				obj_t BgL_arg2584z00_3233;
				obj_t BgL_arg2585z00_3234;

				{	/* SawMill/defs.scm 57 */
					obj_t BgL_v1765z00_3245;

					BgL_v1765z00_3245 = create_vector(0L);
					BgL_arg2584z00_3233 = BgL_v1765z00_3245;
				}
				{	/* SawMill/defs.scm 57 */
					obj_t BgL_v1766z00_3246;

					BgL_v1766z00_3246 = create_vector(0L);
					BgL_arg2585z00_3234 = BgL_v1766z00_3246;
				}
				BGl_rtl_boxsetz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(52)),
					((obj_t)
						CNST_TABLE_REF(10)), BGl_rtl_effectz00zzsaw_defsz00, 28043L,
					BGl_proc3433z00zzsaw_defsz00, BGl_proc3432z00zzsaw_defsz00, BFALSE,
					BGl_proc3431z00zzsaw_defsz00, BFALSE, BgL_arg2584z00_3233,
					BgL_arg2585z00_3234);
			}
			{	/* SawMill/defs.scm 59 */
				obj_t BgL_arg2596z00_3253;
				obj_t BgL_arg2597z00_3254;

				{	/* SawMill/defs.scm 59 */
					obj_t BgL_v1767z00_3267;

					BgL_v1767z00_3267 = create_vector(2L);
					{	/* SawMill/defs.scm 59 */
						obj_t BgL_arg2603z00_3268;

						BgL_arg2603z00_3268 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(1)), BGl_proc3435z00zzsaw_defsz00,
							BGl_proc3434z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1767z00_3267, 0L, BgL_arg2603z00_3268);
					}
					{	/* SawMill/defs.scm 59 */
						obj_t BgL_arg2609z00_3278;

						BgL_arg2609z00_3278 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(53)), BGl_proc3437z00zzsaw_defsz00,
							BGl_proc3436z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(54)));
						VECTOR_SET(BgL_v1767z00_3267, 1L, BgL_arg2609z00_3278);
					}
					BgL_arg2596z00_3253 = BgL_v1767z00_3267;
				}
				{	/* SawMill/defs.scm 59 */
					obj_t BgL_v1768z00_3288;

					BgL_v1768z00_3288 = create_vector(0L);
					BgL_arg2597z00_3254 = BgL_v1768z00_3288;
				}
				BGl_rtl_newz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(55)),
					((obj_t)
						CNST_TABLE_REF(10)), BGl_rtl_funz00zzsaw_defsz00, 55659L,
					BGl_proc3440z00zzsaw_defsz00, BGl_proc3439z00zzsaw_defsz00, BFALSE,
					BGl_proc3438z00zzsaw_defsz00, BFALSE, BgL_arg2596z00_3253,
					BgL_arg2597z00_3254);
			}
			{	/* SawMill/defs.scm 60 */
				obj_t BgL_arg2622z00_3295;
				obj_t BgL_arg2624z00_3296;

				{	/* SawMill/defs.scm 60 */
					obj_t BgL_v1769z00_3308;

					BgL_v1769z00_3308 = create_vector(1L);
					{	/* SawMill/defs.scm 60 */
						obj_t BgL_arg2630z00_3309;

						BgL_arg2630z00_3309 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(2)), BGl_proc3442z00zzsaw_defsz00,
							BGl_proc3441z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_globalz00zzast_varz00);
						VECTOR_SET(BgL_v1769z00_3308, 0L, BgL_arg2630z00_3309);
					}
					BgL_arg2622z00_3295 = BgL_v1769z00_3308;
				}
				{	/* SawMill/defs.scm 60 */
					obj_t BgL_v1770z00_3319;

					BgL_v1770z00_3319 = create_vector(0L);
					BgL_arg2624z00_3296 = BgL_v1770z00_3319;
				}
				BGl_rtl_callz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(56)),
					((obj_t)
						CNST_TABLE_REF(10)), BGl_rtl_funz00zzsaw_defsz00, 39022L,
					BGl_proc3445z00zzsaw_defsz00, BGl_proc3444z00zzsaw_defsz00, BFALSE,
					BGl_proc3443z00zzsaw_defsz00, BFALSE, BgL_arg2622z00_3295,
					BgL_arg2624z00_3296);
			}
			{	/* SawMill/defs.scm 61 */
				obj_t BgL_arg2645z00_3326;
				obj_t BgL_arg2649z00_3327;

				{	/* SawMill/defs.scm 61 */
					obj_t BgL_v1771z00_3338;

					BgL_v1771z00_3338 = create_vector(0L);
					BgL_arg2645z00_3326 = BgL_v1771z00_3338;
				}
				{	/* SawMill/defs.scm 61 */
					obj_t BgL_v1772z00_3339;

					BgL_v1772z00_3339 = create_vector(0L);
					BgL_arg2649z00_3327 = BgL_v1772z00_3339;
				}
				BGl_rtl_applyz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(57)),
					((obj_t)
						CNST_TABLE_REF(10)), BGl_rtl_funz00zzsaw_defsz00, 20926L,
					BGl_proc3448z00zzsaw_defsz00, BGl_proc3447z00zzsaw_defsz00, BFALSE,
					BGl_proc3446z00zzsaw_defsz00, BFALSE, BgL_arg2645z00_3326,
					BgL_arg2649z00_3327);
			}
			{	/* SawMill/defs.scm 62 */
				obj_t BgL_arg2663z00_3346;
				obj_t BgL_arg2665z00_3347;

				{	/* SawMill/defs.scm 62 */
					obj_t BgL_v1773z00_3361;

					BgL_v1773z00_3361 = create_vector(3L);
					{	/* SawMill/defs.scm 62 */
						obj_t BgL_arg2673z00_3362;

						BgL_arg2673z00_3362 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(5)), BGl_proc3450z00zzsaw_defsz00,
							BGl_proc3449z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(58)));
						VECTOR_SET(BgL_v1773z00_3361, 0L, BgL_arg2673z00_3362);
					}
					{	/* SawMill/defs.scm 62 */
						obj_t BgL_arg2679z00_3372;

						BgL_arg2679z00_3372 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(59)), BGl_proc3452z00zzsaw_defsz00,
							BGl_proc3451z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(54)));
						VECTOR_SET(BgL_v1773z00_3361, 1L, BgL_arg2679z00_3372);
					}
					{	/* SawMill/defs.scm 62 */
						obj_t BgL_arg2684z00_3382;

						BgL_arg2684z00_3382 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(60)), BGl_proc3454z00zzsaw_defsz00,
							BGl_proc3453z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(3)));
						VECTOR_SET(BgL_v1773z00_3361, 2L, BgL_arg2684z00_3382);
					}
					BgL_arg2663z00_3346 = BgL_v1773z00_3361;
				}
				{	/* SawMill/defs.scm 62 */
					obj_t BgL_v1774z00_3392;

					BgL_v1774z00_3392 = create_vector(0L);
					BgL_arg2665z00_3347 = BgL_v1774z00_3392;
				}
				BGl_rtl_lightfuncallz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(61)),
					((obj_t)
						CNST_TABLE_REF(10)), BGl_rtl_funz00zzsaw_defsz00, 38185L,
					BGl_proc3457z00zzsaw_defsz00, BGl_proc3456z00zzsaw_defsz00, BFALSE,
					BGl_proc3455z00zzsaw_defsz00, BFALSE, BgL_arg2663z00_3346,
					BgL_arg2665z00_3347);
			}
			{	/* SawMill/defs.scm 63 */
				obj_t BgL_arg2711z00_3399;
				obj_t BgL_arg2712z00_3400;

				{	/* SawMill/defs.scm 63 */
					obj_t BgL_v1775z00_3411;

					BgL_v1775z00_3411 = create_vector(0L);
					BgL_arg2711z00_3399 = BgL_v1775z00_3411;
				}
				{	/* SawMill/defs.scm 63 */
					obj_t BgL_v1776z00_3412;

					BgL_v1776z00_3412 = create_vector(0L);
					BgL_arg2712z00_3400 = BgL_v1776z00_3412;
				}
				BGl_rtl_funcallz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(62)),
					((obj_t)
						CNST_TABLE_REF(10)), BGl_rtl_funz00zzsaw_defsz00, 41503L,
					BGl_proc3460z00zzsaw_defsz00, BGl_proc3459z00zzsaw_defsz00, BFALSE,
					BGl_proc3458z00zzsaw_defsz00, BFALSE, BgL_arg2711z00_3399,
					BgL_arg2712z00_3400);
			}
			{	/* SawMill/defs.scm 64 */
				obj_t BgL_arg2724z00_3419;
				obj_t BgL_arg2725z00_3420;

				{	/* SawMill/defs.scm 64 */
					obj_t BgL_v1777z00_3433;

					BgL_v1777z00_3433 = create_vector(2L);
					{	/* SawMill/defs.scm 64 */
						obj_t BgL_arg2731z00_3434;

						BgL_arg2731z00_3434 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(63)), BGl_proc3462z00zzsaw_defsz00,
							BGl_proc3461z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(38)));
						VECTOR_SET(BgL_v1777z00_3433, 0L, BgL_arg2731z00_3434);
					}
					{	/* SawMill/defs.scm 64 */
						obj_t BgL_arg2736z00_3444;

						BgL_arg2736z00_3444 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(64)), BGl_proc3464z00zzsaw_defsz00,
							BGl_proc3463z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(58)));
						VECTOR_SET(BgL_v1777z00_3433, 1L, BgL_arg2736z00_3444);
					}
					BgL_arg2724z00_3419 = BgL_v1777z00_3433;
				}
				{	/* SawMill/defs.scm 64 */
					obj_t BgL_v1778z00_3454;

					BgL_v1778z00_3454 = create_vector(0L);
					BgL_arg2725z00_3420 = BgL_v1778z00_3454;
				}
				BGl_rtl_pragmaz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(65)),
					((obj_t)
						CNST_TABLE_REF(10)), BGl_rtl_funz00zzsaw_defsz00, 59328L,
					BGl_proc3467z00zzsaw_defsz00, BGl_proc3466z00zzsaw_defsz00, BFALSE,
					BGl_proc3465z00zzsaw_defsz00, BFALSE, BgL_arg2724z00_3419,
					BgL_arg2725z00_3420);
			}
			{	/* SawMill/defs.scm 65 */
				obj_t BgL_arg2745z00_3461;
				obj_t BgL_arg2749z00_3462;

				{	/* SawMill/defs.scm 65 */
					obj_t BgL_v1779z00_3475;

					BgL_v1779z00_3475 = create_vector(2L);
					{	/* SawMill/defs.scm 65 */
						obj_t BgL_arg2755z00_3476;

						BgL_arg2755z00_3476 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(66)), BGl_proc3469z00zzsaw_defsz00,
							BGl_proc3468z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1779z00_3475, 0L, BgL_arg2755z00_3476);
					}
					{	/* SawMill/defs.scm 65 */
						obj_t BgL_arg2761z00_3486;

						BgL_arg2761z00_3486 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(67)), BGl_proc3471z00zzsaw_defsz00,
							BGl_proc3470z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1779z00_3475, 1L, BgL_arg2761z00_3486);
					}
					BgL_arg2745z00_3461 = BgL_v1779z00_3475;
				}
				{	/* SawMill/defs.scm 65 */
					obj_t BgL_v1780z00_3496;

					BgL_v1780z00_3496 = create_vector(0L);
					BgL_arg2749z00_3462 = BgL_v1780z00_3496;
				}
				BGl_rtl_castz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(68)),
					((obj_t)
						CNST_TABLE_REF(10)), BGl_rtl_funz00zzsaw_defsz00, 9526L,
					BGl_proc3474z00zzsaw_defsz00, BGl_proc3473z00zzsaw_defsz00, BFALSE,
					BGl_proc3472z00zzsaw_defsz00, BFALSE, BgL_arg2745z00_3461,
					BgL_arg2749z00_3462);
			}
			{	/* SawMill/defs.scm 66 */
				obj_t BgL_arg2769z00_3503;
				obj_t BgL_arg2770z00_3504;

				{	/* SawMill/defs.scm 66 */
					obj_t BgL_v1781z00_3516;

					BgL_v1781z00_3516 = create_vector(1L);
					{	/* SawMill/defs.scm 66 */
						obj_t BgL_arg2800z00_3517;

						BgL_arg2800z00_3517 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(1)), BGl_proc3476z00zzsaw_defsz00,
							BGl_proc3475z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1781z00_3516, 0L, BgL_arg2800z00_3517);
					}
					BgL_arg2769z00_3503 = BgL_v1781z00_3516;
				}
				{	/* SawMill/defs.scm 66 */
					obj_t BgL_v1782z00_3527;

					BgL_v1782z00_3527 = create_vector(0L);
					BgL_arg2770z00_3504 = BgL_v1782z00_3527;
				}
				BGl_rtl_cast_nullz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(69)),
					((obj_t)
						CNST_TABLE_REF(10)), BGl_rtl_funz00zzsaw_defsz00, 56783L,
					BGl_proc3479z00zzsaw_defsz00, BGl_proc3478z00zzsaw_defsz00, BFALSE,
					BGl_proc3477z00zzsaw_defsz00, BFALSE, BgL_arg2769z00_3503,
					BgL_arg2770z00_3504);
			}
			{	/* SawMill/defs.scm 67 */
				obj_t BgL_arg2812z00_3534;
				obj_t BgL_arg2813z00_3535;

				{	/* SawMill/defs.scm 67 */
					obj_t BgL_v1783z00_3546;

					BgL_v1783z00_3546 = create_vector(0L);
					BgL_arg2812z00_3534 = BgL_v1783z00_3546;
				}
				{	/* SawMill/defs.scm 67 */
					obj_t BgL_v1784z00_3547;

					BgL_v1784z00_3547 = create_vector(0L);
					BgL_arg2813z00_3535 = BgL_v1784z00_3547;
				}
				BGl_rtl_protectz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(70)),
					((obj_t)
						CNST_TABLE_REF(10)), BGl_rtl_funz00zzsaw_defsz00, 65043L,
					BGl_proc3482z00zzsaw_defsz00, BGl_proc3481z00zzsaw_defsz00, BFALSE,
					BGl_proc3480z00zzsaw_defsz00, BFALSE, BgL_arg2812z00_3534,
					BgL_arg2813z00_3535);
			}
			{	/* SawMill/defs.scm 68 */
				obj_t BgL_arg2822z00_3554;
				obj_t BgL_arg2823z00_3555;

				{	/* SawMill/defs.scm 68 */
					obj_t BgL_v1785z00_3566;

					BgL_v1785z00_3566 = create_vector(0L);
					BgL_arg2822z00_3554 = BgL_v1785z00_3566;
				}
				{	/* SawMill/defs.scm 68 */
					obj_t BgL_v1786z00_3567;

					BgL_v1786z00_3567 = create_vector(0L);
					BgL_arg2823z00_3555 = BgL_v1786z00_3567;
				}
				BGl_rtl_protectedz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(71)),
					((obj_t)
						CNST_TABLE_REF(10)), BGl_rtl_funz00zzsaw_defsz00, 3034L,
					BGl_proc3485z00zzsaw_defsz00, BGl_proc3484z00zzsaw_defsz00, BFALSE,
					BGl_proc3483z00zzsaw_defsz00, BFALSE, BgL_arg2822z00_3554,
					BgL_arg2823z00_3555);
			}
			{	/* SawMill/defs.scm 71 */
				obj_t BgL_arg2832z00_3574;
				obj_t BgL_arg2833z00_3575;

				{	/* SawMill/defs.scm 71 */
					obj_t BgL_v1787z00_3590;

					BgL_v1787z00_3590 = create_vector(5L);
					{	/* SawMill/defs.scm 71 */
						obj_t BgL_arg2840z00_3591;

						BgL_arg2840z00_3591 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(11)), BGl_proc3488z00zzsaw_defsz00,
							BGl_proc3487z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3486z00zzsaw_defsz00, ((obj_t) CNST_TABLE_REF(3)));
						VECTOR_SET(BgL_v1787z00_3590, 0L, BgL_arg2840z00_3591);
					}
					{	/* SawMill/defs.scm 71 */
						obj_t BgL_arg2850z00_3604;

						BgL_arg2850z00_3604 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(72)), BGl_proc3491z00zzsaw_defsz00,
							BGl_proc3490z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3489z00zzsaw_defsz00, ((obj_t) CNST_TABLE_REF(54)));
						VECTOR_SET(BgL_v1787z00_3590, 1L, BgL_arg2850z00_3604);
					}
					{	/* SawMill/defs.scm 71 */
						obj_t BgL_arg2857z00_3617;

						BgL_arg2857z00_3617 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(73)), BGl_proc3494z00zzsaw_defsz00,
							BGl_proc3493z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3492z00zzsaw_defsz00, ((obj_t) CNST_TABLE_REF(3)));
						VECTOR_SET(BgL_v1787z00_3590, 2L, BgL_arg2857z00_3617);
					}
					{	/* SawMill/defs.scm 71 */
						obj_t BgL_arg2864z00_3630;

						BgL_arg2864z00_3630 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(74)), BGl_proc3496z00zzsaw_defsz00,
							BGl_proc3495z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_rtl_funz00zzsaw_defsz00);
						VECTOR_SET(BgL_v1787z00_3590, 3L, BgL_arg2864z00_3630);
					}
					{	/* SawMill/defs.scm 71 */
						obj_t BgL_arg2871z00_3640;

						BgL_arg2871z00_3640 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(75)), BGl_proc3498z00zzsaw_defsz00,
							BGl_proc3497z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(54)));
						VECTOR_SET(BgL_v1787z00_3590, 4L, BgL_arg2871z00_3640);
					}
					BgL_arg2832z00_3574 = BgL_v1787z00_3590;
				}
				{	/* SawMill/defs.scm 71 */
					obj_t BgL_v1788z00_3650;

					BgL_v1788z00_3650 = create_vector(0L);
					BgL_arg2833z00_3575 = BgL_v1788z00_3650;
				}
				BGl_rtl_insz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(76)),
					((obj_t)
						CNST_TABLE_REF(10)), BGl_objectz00zz__objectz00, 17433L,
					BGl_proc3501z00zzsaw_defsz00, BGl_proc3500z00zzsaw_defsz00, BFALSE,
					BGl_proc3499z00zzsaw_defsz00, BFALSE, BgL_arg2832z00_3574,
					BgL_arg2833z00_3575);
			}
			{	/* SawMill/defs.scm 79 */
				obj_t BgL_arg2898z00_3657;
				obj_t BgL_arg2899z00_3658;

				{	/* SawMill/defs.scm 79 */
					obj_t BgL_v1789z00_3672;

					BgL_v1789z00_3672 = create_vector(4L);
					{	/* SawMill/defs.scm 79 */
						obj_t BgL_arg2906z00_3673;

						BgL_arg2906z00_3673 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(77)), BGl_proc3504z00zzsaw_defsz00,
							BGl_proc3503z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3502z00zzsaw_defsz00, ((obj_t) CNST_TABLE_REF(78)));
						VECTOR_SET(BgL_v1789z00_3672, 0L, BgL_arg2906z00_3673);
					}
					{	/* SawMill/defs.scm 79 */
						obj_t BgL_arg2914z00_3686;

						BgL_arg2914z00_3686 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(79)), BGl_proc3507z00zzsaw_defsz00,
							BGl_proc3506z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3505z00zzsaw_defsz00, ((obj_t) CNST_TABLE_REF(54)));
						VECTOR_SET(BgL_v1789z00_3672, 1L, BgL_arg2914z00_3686);
					}
					{	/* SawMill/defs.scm 79 */
						obj_t BgL_arg2921z00_3699;

						BgL_arg2921z00_3699 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(80)), BGl_proc3510z00zzsaw_defsz00,
							BGl_proc3509z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3508z00zzsaw_defsz00, ((obj_t) CNST_TABLE_REF(54)));
						VECTOR_SET(BgL_v1789z00_3672, 2L, BgL_arg2921z00_3699);
					}
					{	/* SawMill/defs.scm 79 */
						obj_t BgL_arg2928z00_3712;

						BgL_arg2928z00_3712 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(81)), BGl_proc3513z00zzsaw_defsz00,
							BGl_proc3512z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3511z00zzsaw_defsz00, ((obj_t) CNST_TABLE_REF(54)));
						VECTOR_SET(BgL_v1789z00_3672, 3L, BgL_arg2928z00_3712);
					}
					BgL_arg2898z00_3657 = BgL_v1789z00_3672;
				}
				{	/* SawMill/defs.scm 79 */
					obj_t BgL_v1790z00_3725;

					BgL_v1790z00_3725 = create_vector(0L);
					BgL_arg2899z00_3658 = BgL_v1790z00_3725;
				}
				return (BGl_blockz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
						((obj_t)
							CNST_TABLE_REF(82)),
						((obj_t)
							CNST_TABLE_REF(10)), BGl_objectz00zz__objectz00, 60935L,
						BGl_proc3516z00zzsaw_defsz00, BGl_proc3515z00zzsaw_defsz00, BFALSE,
						BGl_proc3514z00zzsaw_defsz00, BFALSE, BgL_arg2898z00_3657,
						BgL_arg2899z00_3658), BUNSPEC);
			}
		}

	}



/* &<@anonymous:2905> */
	obj_t BGl_z62zc3z04anonymousza32905ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8055,
		obj_t BgL_new1349z00_8056)
	{
		{	/* SawMill/defs.scm 79 */
			{
				BgL_blockz00_bglt BgL_auxz00_13781;

				((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_new1349z00_8056)))->BgL_labelz00) =
					((int) (int) (0L)), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
									BgL_new1349z00_8056)))->BgL_predsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
									BgL_new1349z00_8056)))->BgL_succsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
									BgL_new1349z00_8056)))->BgL_firstz00) =
					((obj_t) BNIL), BUNSPEC);
				BgL_auxz00_13781 = ((BgL_blockz00_bglt) BgL_new1349z00_8056);
				return ((obj_t) BgL_auxz00_13781);
			}
		}

	}



/* &lambda2903 */
	BgL_blockz00_bglt BGl_z62lambda2903z62zzsaw_defsz00(obj_t BgL_envz00_8057)
	{
		{	/* SawMill/defs.scm 79 */
			{	/* SawMill/defs.scm 79 */
				BgL_blockz00_bglt BgL_new1348z00_9619;

				BgL_new1348z00_9619 =
					((BgL_blockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_blockz00_bgl))));
				{	/* SawMill/defs.scm 79 */
					long BgL_arg2904z00_9620;

					BgL_arg2904z00_9620 = BGL_CLASS_NUM(BGl_blockz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1348z00_9619), BgL_arg2904z00_9620);
				}
				{	/* SawMill/defs.scm 79 */
					BgL_objectz00_bglt BgL_tmpz00_13797;

					BgL_tmpz00_13797 = ((BgL_objectz00_bglt) BgL_new1348z00_9619);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13797, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1348z00_9619);
				return BgL_new1348z00_9619;
			}
		}

	}



/* &lambda2900 */
	BgL_blockz00_bglt BGl_z62lambda2900z62zzsaw_defsz00(obj_t BgL_envz00_8058,
		obj_t BgL_label1344z00_8059, obj_t BgL_preds1345z00_8060,
		obj_t BgL_succs1346z00_8061, obj_t BgL_first1347z00_8062)
	{
		{	/* SawMill/defs.scm 79 */
			{	/* SawMill/defs.scm 79 */
				int BgL_label1344z00_9621;

				BgL_label1344z00_9621 = CINT(BgL_label1344z00_8059);
				{	/* SawMill/defs.scm 79 */
					BgL_blockz00_bglt BgL_new1551z00_9625;

					{	/* SawMill/defs.scm 79 */
						BgL_blockz00_bglt BgL_new1550z00_9626;

						BgL_new1550z00_9626 =
							((BgL_blockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_blockz00_bgl))));
						{	/* SawMill/defs.scm 79 */
							long BgL_arg2902z00_9627;

							BgL_arg2902z00_9627 = BGL_CLASS_NUM(BGl_blockz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1550z00_9626),
								BgL_arg2902z00_9627);
						}
						{	/* SawMill/defs.scm 79 */
							BgL_objectz00_bglt BgL_tmpz00_13806;

							BgL_tmpz00_13806 = ((BgL_objectz00_bglt) BgL_new1550z00_9626);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13806, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1550z00_9626);
						BgL_new1551z00_9625 = BgL_new1550z00_9626;
					}
					((((BgL_blockz00_bglt) COBJECT(BgL_new1551z00_9625))->BgL_labelz00) =
						((int) BgL_label1344z00_9621), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(BgL_new1551z00_9625))->BgL_predsz00) =
						((obj_t) ((obj_t) BgL_preds1345z00_8060)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(BgL_new1551z00_9625))->BgL_succsz00) =
						((obj_t) ((obj_t) BgL_succs1346z00_8061)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(BgL_new1551z00_9625))->BgL_firstz00) =
						((obj_t) ((obj_t) BgL_first1347z00_8062)), BUNSPEC);
					return BgL_new1551z00_9625;
				}
			}
		}

	}



/* &<@anonymous:2940> */
	obj_t BGl_z62zc3z04anonymousza32940ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8063)
	{
		{	/* SawMill/defs.scm 79 */
			return BNIL;
		}

	}



/* &lambda2939 */
	obj_t BGl_z62lambda2939z62zzsaw_defsz00(obj_t BgL_envz00_8064,
		obj_t BgL_oz00_8065, obj_t BgL_vz00_8066)
	{
		{	/* SawMill/defs.scm 79 */
			return
				((((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_8065)))->BgL_firstz00) = ((obj_t)
					((obj_t) BgL_vz00_8066)), BUNSPEC);
		}

	}



/* &lambda2938 */
	obj_t BGl_z62lambda2938z62zzsaw_defsz00(obj_t BgL_envz00_8067,
		obj_t BgL_oz00_8068)
	{
		{	/* SawMill/defs.scm 79 */
			return
				(((BgL_blockz00_bglt) COBJECT(
						((BgL_blockz00_bglt) BgL_oz00_8068)))->BgL_firstz00);
		}

	}



/* &<@anonymous:2927> */
	obj_t BGl_z62zc3z04anonymousza32927ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8069)
	{
		{	/* SawMill/defs.scm 79 */
			return BNIL;
		}

	}



/* &lambda2926 */
	obj_t BGl_z62lambda2926z62zzsaw_defsz00(obj_t BgL_envz00_8070,
		obj_t BgL_oz00_8071, obj_t BgL_vz00_8072)
	{
		{	/* SawMill/defs.scm 79 */
			return
				((((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_8071)))->BgL_succsz00) = ((obj_t)
					((obj_t) BgL_vz00_8072)), BUNSPEC);
		}

	}



/* &lambda2925 */
	obj_t BGl_z62lambda2925z62zzsaw_defsz00(obj_t BgL_envz00_8073,
		obj_t BgL_oz00_8074)
	{
		{	/* SawMill/defs.scm 79 */
			return
				(((BgL_blockz00_bglt) COBJECT(
						((BgL_blockz00_bglt) BgL_oz00_8074)))->BgL_succsz00);
		}

	}



/* &<@anonymous:2920> */
	obj_t BGl_z62zc3z04anonymousza32920ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8075)
	{
		{	/* SawMill/defs.scm 79 */
			return BNIL;
		}

	}



/* &lambda2919 */
	obj_t BGl_z62lambda2919z62zzsaw_defsz00(obj_t BgL_envz00_8076,
		obj_t BgL_oz00_8077, obj_t BgL_vz00_8078)
	{
		{	/* SawMill/defs.scm 79 */
			return
				((((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_8077)))->BgL_predsz00) = ((obj_t)
					((obj_t) BgL_vz00_8078)), BUNSPEC);
		}

	}



/* &lambda2918 */
	obj_t BGl_z62lambda2918z62zzsaw_defsz00(obj_t BgL_envz00_8079,
		obj_t BgL_oz00_8080)
	{
		{	/* SawMill/defs.scm 79 */
			return
				(((BgL_blockz00_bglt) COBJECT(
						((BgL_blockz00_bglt) BgL_oz00_8080)))->BgL_predsz00);
		}

	}



/* &<@anonymous:2913> */
	obj_t BGl_z62zc3z04anonymousza32913ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8081)
	{
		{	/* SawMill/defs.scm 79 */
			return BINT(0L);
		}

	}



/* &lambda2912 */
	obj_t BGl_z62lambda2912z62zzsaw_defsz00(obj_t BgL_envz00_8082,
		obj_t BgL_oz00_8083, obj_t BgL_vz00_8084)
	{
		{	/* SawMill/defs.scm 79 */
			{	/* SawMill/defs.scm 79 */
				int BgL_vz00_9638;

				BgL_vz00_9638 = CINT(BgL_vz00_8084);
				return
					((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_oz00_8083)))->BgL_labelz00) =
					((int) BgL_vz00_9638), BUNSPEC);
		}}

	}



/* &lambda2911 */
	obj_t BGl_z62lambda2911z62zzsaw_defsz00(obj_t BgL_envz00_8085,
		obj_t BgL_oz00_8086)
	{
		{	/* SawMill/defs.scm 79 */
			return
				BINT(
				(((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_8086)))->BgL_labelz00));
		}

	}



/* &<@anonymous:2839> */
	obj_t BGl_z62zc3z04anonymousza32839ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8087,
		obj_t BgL_new1342z00_8088)
	{
		{	/* SawMill/defs.scm 71 */
			{
				BgL_rtl_insz00_bglt BgL_auxz00_13839;

				((((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_new1342z00_8088)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1342z00_8088)))->BgL_z52spillz52) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1342z00_8088)))->BgL_destz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_rtl_funz00_bglt BgL_auxz00_13846;

					{	/* SawMill/defs.scm 71 */
						obj_t BgL_classz00_9641;

						BgL_classz00_9641 = BGl_rtl_funz00zzsaw_defsz00;
						{	/* SawMill/defs.scm 71 */
							obj_t BgL__ortest_1117z00_9642;

							BgL__ortest_1117z00_9642 = BGL_CLASS_NIL(BgL_classz00_9641);
							if (CBOOL(BgL__ortest_1117z00_9642))
								{	/* SawMill/defs.scm 71 */
									BgL_auxz00_13846 =
										((BgL_rtl_funz00_bglt) BgL__ortest_1117z00_9642);
								}
							else
								{	/* SawMill/defs.scm 71 */
									BgL_auxz00_13846 =
										((BgL_rtl_funz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9641));
								}
						}
					}
					((((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_new1342z00_8088)))->BgL_funz00) =
						((BgL_rtl_funz00_bglt) BgL_auxz00_13846), BUNSPEC);
				}
				((((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_new1342z00_8088)))->BgL_argsz00) =
					((obj_t) BNIL), BUNSPEC);
				BgL_auxz00_13839 = ((BgL_rtl_insz00_bglt) BgL_new1342z00_8088);
				return ((obj_t) BgL_auxz00_13839);
			}
		}

	}



/* &lambda2836 */
	BgL_rtl_insz00_bglt BGl_z62lambda2836z62zzsaw_defsz00(obj_t BgL_envz00_8089)
	{
		{	/* SawMill/defs.scm 71 */
			{	/* SawMill/defs.scm 71 */
				BgL_rtl_insz00_bglt BgL_new1341z00_9643;

				BgL_new1341z00_9643 =
					((BgL_rtl_insz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_insz00_bgl))));
				{	/* SawMill/defs.scm 71 */
					long BgL_arg2838z00_9644;

					BgL_arg2838z00_9644 = BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1341z00_9643), BgL_arg2838z00_9644);
				}
				{	/* SawMill/defs.scm 71 */
					BgL_objectz00_bglt BgL_tmpz00_13863;

					BgL_tmpz00_13863 = ((BgL_objectz00_bglt) BgL_new1341z00_9643);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13863, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1341z00_9643);
				return BgL_new1341z00_9643;
			}
		}

	}



/* &lambda2834 */
	BgL_rtl_insz00_bglt BGl_z62lambda2834z62zzsaw_defsz00(obj_t BgL_envz00_8090,
		obj_t BgL_loc1336z00_8091, obj_t BgL_z52spill1337z52_8092,
		obj_t BgL_dest1338z00_8093, obj_t BgL_fun1339z00_8094,
		obj_t BgL_args1340z00_8095)
	{
		{	/* SawMill/defs.scm 71 */
			{	/* SawMill/defs.scm 71 */
				BgL_rtl_insz00_bglt BgL_new1549z00_9648;

				{	/* SawMill/defs.scm 71 */
					BgL_rtl_insz00_bglt BgL_new1548z00_9649;

					BgL_new1548z00_9649 =
						((BgL_rtl_insz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_insz00_bgl))));
					{	/* SawMill/defs.scm 71 */
						long BgL_arg2835z00_9650;

						BgL_arg2835z00_9650 = BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1548z00_9649), BgL_arg2835z00_9650);
					}
					{	/* SawMill/defs.scm 71 */
						BgL_objectz00_bglt BgL_tmpz00_13871;

						BgL_tmpz00_13871 = ((BgL_objectz00_bglt) BgL_new1548z00_9649);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13871, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1548z00_9649);
					BgL_new1549z00_9648 = BgL_new1548z00_9649;
				}
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1549z00_9648))->BgL_locz00) =
					((obj_t) BgL_loc1336z00_8091), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1549z00_9648))->
						BgL_z52spillz52) =
					((obj_t) ((obj_t) BgL_z52spill1337z52_8092)), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1549z00_9648))->BgL_destz00) =
					((obj_t) BgL_dest1338z00_8093), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1549z00_9648))->BgL_funz00) =
					((BgL_rtl_funz00_bglt) ((BgL_rtl_funz00_bglt) BgL_fun1339z00_8094)),
					BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1549z00_9648))->BgL_argsz00) =
					((obj_t) ((obj_t) BgL_args1340z00_8095)), BUNSPEC);
				return BgL_new1549z00_9648;
			}
		}

	}



/* &lambda2881 */
	obj_t BGl_z62lambda2881z62zzsaw_defsz00(obj_t BgL_envz00_8096,
		obj_t BgL_oz00_8097, obj_t BgL_vz00_8098)
	{
		{	/* SawMill/defs.scm 71 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_oz00_8097)))->BgL_argsz00) = ((obj_t)
					((obj_t) BgL_vz00_8098)), BUNSPEC);
		}

	}



/* &lambda2880 */
	obj_t BGl_z62lambda2880z62zzsaw_defsz00(obj_t BgL_envz00_8099,
		obj_t BgL_oz00_8100)
	{
		{	/* SawMill/defs.scm 71 */
			return
				(((BgL_rtl_insz00_bglt) COBJECT(
						((BgL_rtl_insz00_bglt) BgL_oz00_8100)))->BgL_argsz00);
		}

	}



/* &lambda2868 */
	obj_t BGl_z62lambda2868z62zzsaw_defsz00(obj_t BgL_envz00_8101,
		obj_t BgL_oz00_8102, obj_t BgL_vz00_8103)
	{
		{	/* SawMill/defs.scm 71 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_oz00_8102)))->BgL_funz00) =
				((BgL_rtl_funz00_bglt) ((BgL_rtl_funz00_bglt) BgL_vz00_8103)), BUNSPEC);
		}

	}



/* &lambda2867 */
	BgL_rtl_funz00_bglt BGl_z62lambda2867z62zzsaw_defsz00(obj_t BgL_envz00_8104,
		obj_t BgL_oz00_8105)
	{
		{	/* SawMill/defs.scm 71 */
			return
				(((BgL_rtl_insz00_bglt) COBJECT(
						((BgL_rtl_insz00_bglt) BgL_oz00_8105)))->BgL_funz00);
		}

	}



/* &<@anonymous:2863> */
	obj_t BGl_z62zc3z04anonymousza32863ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8106)
	{
		{	/* SawMill/defs.scm 71 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2862 */
	obj_t BGl_z62lambda2862z62zzsaw_defsz00(obj_t BgL_envz00_8107,
		obj_t BgL_oz00_8108, obj_t BgL_vz00_8109)
	{
		{	/* SawMill/defs.scm 71 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_oz00_8108)))->BgL_destz00) =
				((obj_t) BgL_vz00_8109), BUNSPEC);
		}

	}



/* &lambda2861 */
	obj_t BGl_z62lambda2861z62zzsaw_defsz00(obj_t BgL_envz00_8110,
		obj_t BgL_oz00_8111)
	{
		{	/* SawMill/defs.scm 71 */
			return
				(((BgL_rtl_insz00_bglt) COBJECT(
						((BgL_rtl_insz00_bglt) BgL_oz00_8111)))->BgL_destz00);
		}

	}



/* &<@anonymous:2856> */
	obj_t BGl_z62zc3z04anonymousza32856ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8112)
	{
		{	/* SawMill/defs.scm 71 */
			return BNIL;
		}

	}



/* &lambda2855 */
	obj_t BGl_z62lambda2855z62zzsaw_defsz00(obj_t BgL_envz00_8113,
		obj_t BgL_oz00_8114, obj_t BgL_vz00_8115)
	{
		{	/* SawMill/defs.scm 71 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_oz00_8114)))->BgL_z52spillz52) =
				((obj_t) ((obj_t) BgL_vz00_8115)), BUNSPEC);
		}

	}



/* &lambda2854 */
	obj_t BGl_z62lambda2854z62zzsaw_defsz00(obj_t BgL_envz00_8116,
		obj_t BgL_oz00_8117)
	{
		{	/* SawMill/defs.scm 71 */
			return
				(((BgL_rtl_insz00_bglt) COBJECT(
						((BgL_rtl_insz00_bglt) BgL_oz00_8117)))->BgL_z52spillz52);
		}

	}



/* &<@anonymous:2849> */
	obj_t BGl_z62zc3z04anonymousza32849ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8118)
	{
		{	/* SawMill/defs.scm 71 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2848 */
	obj_t BGl_z62lambda2848z62zzsaw_defsz00(obj_t BgL_envz00_8119,
		obj_t BgL_oz00_8120, obj_t BgL_vz00_8121)
	{
		{	/* SawMill/defs.scm 71 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_oz00_8120)))->BgL_locz00) =
				((obj_t) BgL_vz00_8121), BUNSPEC);
		}

	}



/* &lambda2847 */
	obj_t BGl_z62lambda2847z62zzsaw_defsz00(obj_t BgL_envz00_8122,
		obj_t BgL_oz00_8123)
	{
		{	/* SawMill/defs.scm 71 */
			return
				(((BgL_rtl_insz00_bglt) COBJECT(
						((BgL_rtl_insz00_bglt) BgL_oz00_8123)))->BgL_locz00);
		}

	}



/* &<@anonymous:2828> */
	obj_t BGl_z62zc3z04anonymousza32828ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8124,
		obj_t BgL_new1334z00_8125)
	{
		{	/* SawMill/defs.scm 68 */
			{
				BgL_rtl_protectedz00_bglt BgL_auxz00_13908;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_protectedz00_bglt) BgL_new1334z00_8125))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_13908 = ((BgL_rtl_protectedz00_bglt) BgL_new1334z00_8125);
				return ((obj_t) BgL_auxz00_13908);
			}
		}

	}



/* &lambda2826 */
	BgL_rtl_protectedz00_bglt BGl_z62lambda2826z62zzsaw_defsz00(obj_t
		BgL_envz00_8126)
	{
		{	/* SawMill/defs.scm 68 */
			{	/* SawMill/defs.scm 68 */
				BgL_rtl_protectedz00_bglt BgL_new1333z00_9665;

				BgL_new1333z00_9665 =
					((BgL_rtl_protectedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_protectedz00_bgl))));
				{	/* SawMill/defs.scm 68 */
					long BgL_arg2827z00_9666;

					BgL_arg2827z00_9666 =
						BGL_CLASS_NUM(BGl_rtl_protectedz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1333z00_9665), BgL_arg2827z00_9666);
				}
				return BgL_new1333z00_9665;
			}
		}

	}



/* &lambda2824 */
	BgL_rtl_protectedz00_bglt BGl_z62lambda2824z62zzsaw_defsz00(obj_t
		BgL_envz00_8127, obj_t BgL_loc1332z00_8128)
	{
		{	/* SawMill/defs.scm 68 */
			{	/* SawMill/defs.scm 68 */
				BgL_rtl_protectedz00_bglt BgL_new1547z00_9667;

				{	/* SawMill/defs.scm 68 */
					BgL_rtl_protectedz00_bglt BgL_new1546z00_9668;

					BgL_new1546z00_9668 =
						((BgL_rtl_protectedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_protectedz00_bgl))));
					{	/* SawMill/defs.scm 68 */
						long BgL_arg2825z00_9669;

						BgL_arg2825z00_9669 =
							BGL_CLASS_NUM(BGl_rtl_protectedz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1546z00_9668), BgL_arg2825z00_9669);
					}
					BgL_new1547z00_9667 = BgL_new1546z00_9668;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1547z00_9667)))->BgL_locz00) =
					((obj_t) BgL_loc1332z00_8128), BUNSPEC);
				return BgL_new1547z00_9667;
			}
		}

	}



/* &<@anonymous:2818> */
	obj_t BGl_z62zc3z04anonymousza32818ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8129,
		obj_t BgL_new1330z00_8130)
	{
		{	/* SawMill/defs.scm 67 */
			{
				BgL_rtl_protectz00_bglt BgL_auxz00_13924;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_protectz00_bglt) BgL_new1330z00_8130))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_13924 = ((BgL_rtl_protectz00_bglt) BgL_new1330z00_8130);
				return ((obj_t) BgL_auxz00_13924);
			}
		}

	}



/* &lambda2816 */
	BgL_rtl_protectz00_bglt BGl_z62lambda2816z62zzsaw_defsz00(obj_t
		BgL_envz00_8131)
	{
		{	/* SawMill/defs.scm 67 */
			{	/* SawMill/defs.scm 67 */
				BgL_rtl_protectz00_bglt BgL_new1329z00_9671;

				BgL_new1329z00_9671 =
					((BgL_rtl_protectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_protectz00_bgl))));
				{	/* SawMill/defs.scm 67 */
					long BgL_arg2817z00_9672;

					BgL_arg2817z00_9672 = BGL_CLASS_NUM(BGl_rtl_protectz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1329z00_9671), BgL_arg2817z00_9672);
				}
				return BgL_new1329z00_9671;
			}
		}

	}



/* &lambda2814 */
	BgL_rtl_protectz00_bglt BGl_z62lambda2814z62zzsaw_defsz00(obj_t
		BgL_envz00_8132, obj_t BgL_loc1328z00_8133)
	{
		{	/* SawMill/defs.scm 67 */
			{	/* SawMill/defs.scm 67 */
				BgL_rtl_protectz00_bglt BgL_new1545z00_9673;

				{	/* SawMill/defs.scm 67 */
					BgL_rtl_protectz00_bglt BgL_new1544z00_9674;

					BgL_new1544z00_9674 =
						((BgL_rtl_protectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_protectz00_bgl))));
					{	/* SawMill/defs.scm 67 */
						long BgL_arg2815z00_9675;

						BgL_arg2815z00_9675 =
							BGL_CLASS_NUM(BGl_rtl_protectz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1544z00_9674), BgL_arg2815z00_9675);
					}
					BgL_new1545z00_9673 = BgL_new1544z00_9674;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1545z00_9673)))->BgL_locz00) =
					((obj_t) BgL_loc1328z00_8133), BUNSPEC);
				return BgL_new1545z00_9673;
			}
		}

	}



/* &<@anonymous:2781> */
	obj_t BGl_z62zc3z04anonymousza32781ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8134,
		obj_t BgL_new1326z00_8135)
	{
		{	/* SawMill/defs.scm 66 */
			{
				BgL_rtl_cast_nullz00_bglt BgL_auxz00_13940;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_cast_nullz00_bglt) BgL_new1326z00_8135))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13944;

					{	/* SawMill/defs.scm 66 */
						obj_t BgL_classz00_9677;

						BgL_classz00_9677 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 66 */
							obj_t BgL__ortest_1117z00_9678;

							BgL__ortest_1117z00_9678 = BGL_CLASS_NIL(BgL_classz00_9677);
							if (CBOOL(BgL__ortest_1117z00_9678))
								{	/* SawMill/defs.scm 66 */
									BgL_auxz00_13944 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9678);
								}
							else
								{	/* SawMill/defs.scm 66 */
									BgL_auxz00_13944 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9677));
								}
						}
					}
					((((BgL_rtl_cast_nullz00_bglt) COBJECT(
									((BgL_rtl_cast_nullz00_bglt) BgL_new1326z00_8135)))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_13944), BUNSPEC);
				}
				BgL_auxz00_13940 = ((BgL_rtl_cast_nullz00_bglt) BgL_new1326z00_8135);
				return ((obj_t) BgL_auxz00_13940);
			}
		}

	}



/* &lambda2775 */
	BgL_rtl_cast_nullz00_bglt BGl_z62lambda2775z62zzsaw_defsz00(obj_t
		BgL_envz00_8136)
	{
		{	/* SawMill/defs.scm 66 */
			{	/* SawMill/defs.scm 66 */
				BgL_rtl_cast_nullz00_bglt BgL_new1325z00_9679;

				BgL_new1325z00_9679 =
					((BgL_rtl_cast_nullz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_cast_nullz00_bgl))));
				{	/* SawMill/defs.scm 66 */
					long BgL_arg2780z00_9680;

					BgL_arg2780z00_9680 =
						BGL_CLASS_NUM(BGl_rtl_cast_nullz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1325z00_9679), BgL_arg2780z00_9680);
				}
				return BgL_new1325z00_9679;
			}
		}

	}



/* &lambda2771 */
	BgL_rtl_cast_nullz00_bglt BGl_z62lambda2771z62zzsaw_defsz00(obj_t
		BgL_envz00_8137, obj_t BgL_loc1323z00_8138, obj_t BgL_type1324z00_8139)
	{
		{	/* SawMill/defs.scm 66 */
			{	/* SawMill/defs.scm 66 */
				BgL_rtl_cast_nullz00_bglt BgL_new1543z00_9682;

				{	/* SawMill/defs.scm 66 */
					BgL_rtl_cast_nullz00_bglt BgL_new1542z00_9683;

					BgL_new1542z00_9683 =
						((BgL_rtl_cast_nullz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_cast_nullz00_bgl))));
					{	/* SawMill/defs.scm 66 */
						long BgL_arg2774z00_9684;

						BgL_arg2774z00_9684 =
							BGL_CLASS_NUM(BGl_rtl_cast_nullz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1542z00_9683), BgL_arg2774z00_9684);
					}
					BgL_new1543z00_9682 = BgL_new1542z00_9683;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1543z00_9682)))->BgL_locz00) =
					((obj_t) BgL_loc1323z00_8138), BUNSPEC);
				((((BgL_rtl_cast_nullz00_bglt) COBJECT(BgL_new1543z00_9682))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1324z00_8139)),
					BUNSPEC);
				return BgL_new1543z00_9682;
			}
		}

	}



/* &lambda2805 */
	obj_t BGl_z62lambda2805z62zzsaw_defsz00(obj_t BgL_envz00_8140,
		obj_t BgL_oz00_8141, obj_t BgL_vz00_8142)
	{
		{	/* SawMill/defs.scm 66 */
			return
				((((BgL_rtl_cast_nullz00_bglt) COBJECT(
							((BgL_rtl_cast_nullz00_bglt) BgL_oz00_8141)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8142)), BUNSPEC);
		}

	}



/* &lambda2804 */
	BgL_typez00_bglt BGl_z62lambda2804z62zzsaw_defsz00(obj_t BgL_envz00_8143,
		obj_t BgL_oz00_8144)
	{
		{	/* SawMill/defs.scm 66 */
			return
				(((BgL_rtl_cast_nullz00_bglt) COBJECT(
						((BgL_rtl_cast_nullz00_bglt) BgL_oz00_8144)))->BgL_typez00);
		}

	}



/* &<@anonymous:2754> */
	obj_t BGl_z62zc3z04anonymousza32754ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8145,
		obj_t BgL_new1321z00_8146)
	{
		{	/* SawMill/defs.scm 65 */
			{
				BgL_rtl_castz00_bglt BgL_auxz00_13972;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_castz00_bglt) BgL_new1321z00_8146))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13976;

					{	/* SawMill/defs.scm 65 */
						obj_t BgL_classz00_9689;

						BgL_classz00_9689 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 65 */
							obj_t BgL__ortest_1117z00_9690;

							BgL__ortest_1117z00_9690 = BGL_CLASS_NIL(BgL_classz00_9689);
							if (CBOOL(BgL__ortest_1117z00_9690))
								{	/* SawMill/defs.scm 65 */
									BgL_auxz00_13976 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9690);
								}
							else
								{	/* SawMill/defs.scm 65 */
									BgL_auxz00_13976 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9689));
								}
						}
					}
					((((BgL_rtl_castz00_bglt) COBJECT(
									((BgL_rtl_castz00_bglt) BgL_new1321z00_8146)))->
							BgL_totypez00) = ((BgL_typez00_bglt) BgL_auxz00_13976), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_13985;

					{	/* SawMill/defs.scm 65 */
						obj_t BgL_classz00_9691;

						BgL_classz00_9691 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 65 */
							obj_t BgL__ortest_1117z00_9692;

							BgL__ortest_1117z00_9692 = BGL_CLASS_NIL(BgL_classz00_9691);
							if (CBOOL(BgL__ortest_1117z00_9692))
								{	/* SawMill/defs.scm 65 */
									BgL_auxz00_13985 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9692);
								}
							else
								{	/* SawMill/defs.scm 65 */
									BgL_auxz00_13985 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9691));
								}
						}
					}
					((((BgL_rtl_castz00_bglt) COBJECT(
									((BgL_rtl_castz00_bglt) BgL_new1321z00_8146)))->
							BgL_fromtypez00) =
						((BgL_typez00_bglt) BgL_auxz00_13985), BUNSPEC);
				}
				BgL_auxz00_13972 = ((BgL_rtl_castz00_bglt) BgL_new1321z00_8146);
				return ((obj_t) BgL_auxz00_13972);
			}
		}

	}



/* &lambda2752 */
	BgL_rtl_castz00_bglt BGl_z62lambda2752z62zzsaw_defsz00(obj_t BgL_envz00_8147)
	{
		{	/* SawMill/defs.scm 65 */
			{	/* SawMill/defs.scm 65 */
				BgL_rtl_castz00_bglt BgL_new1320z00_9693;

				BgL_new1320z00_9693 =
					((BgL_rtl_castz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_castz00_bgl))));
				{	/* SawMill/defs.scm 65 */
					long BgL_arg2753z00_9694;

					BgL_arg2753z00_9694 = BGL_CLASS_NUM(BGl_rtl_castz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1320z00_9693), BgL_arg2753z00_9694);
				}
				return BgL_new1320z00_9693;
			}
		}

	}



/* &lambda2750 */
	BgL_rtl_castz00_bglt BGl_z62lambda2750z62zzsaw_defsz00(obj_t BgL_envz00_8148,
		obj_t BgL_loc1317z00_8149, obj_t BgL_totype1318z00_8150,
		obj_t BgL_fromtype1319z00_8151)
	{
		{	/* SawMill/defs.scm 65 */
			{	/* SawMill/defs.scm 65 */
				BgL_rtl_castz00_bglt BgL_new1541z00_9697;

				{	/* SawMill/defs.scm 65 */
					BgL_rtl_castz00_bglt BgL_new1540z00_9698;

					BgL_new1540z00_9698 =
						((BgL_rtl_castz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_castz00_bgl))));
					{	/* SawMill/defs.scm 65 */
						long BgL_arg2751z00_9699;

						BgL_arg2751z00_9699 = BGL_CLASS_NUM(BGl_rtl_castz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1540z00_9698), BgL_arg2751z00_9699);
					}
					BgL_new1541z00_9697 = BgL_new1540z00_9698;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1541z00_9697)))->BgL_locz00) =
					((obj_t) BgL_loc1317z00_8149), BUNSPEC);
				((((BgL_rtl_castz00_bglt) COBJECT(BgL_new1541z00_9697))->
						BgL_totypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_totype1318z00_8150)),
					BUNSPEC);
				((((BgL_rtl_castz00_bglt) COBJECT(BgL_new1541z00_9697))->
						BgL_fromtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_fromtype1319z00_8151)),
					BUNSPEC);
				return BgL_new1541z00_9697;
			}
		}

	}



/* &lambda2765 */
	obj_t BGl_z62lambda2765z62zzsaw_defsz00(obj_t BgL_envz00_8152,
		obj_t BgL_oz00_8153, obj_t BgL_vz00_8154)
	{
		{	/* SawMill/defs.scm 65 */
			return
				((((BgL_rtl_castz00_bglt) COBJECT(
							((BgL_rtl_castz00_bglt) BgL_oz00_8153)))->BgL_fromtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8154)), BUNSPEC);
		}

	}



/* &lambda2764 */
	BgL_typez00_bglt BGl_z62lambda2764z62zzsaw_defsz00(obj_t BgL_envz00_8155,
		obj_t BgL_oz00_8156)
	{
		{	/* SawMill/defs.scm 65 */
			return
				(((BgL_rtl_castz00_bglt) COBJECT(
						((BgL_rtl_castz00_bglt) BgL_oz00_8156)))->BgL_fromtypez00);
		}

	}



/* &lambda2759 */
	obj_t BGl_z62lambda2759z62zzsaw_defsz00(obj_t BgL_envz00_8157,
		obj_t BgL_oz00_8158, obj_t BgL_vz00_8159)
	{
		{	/* SawMill/defs.scm 65 */
			return
				((((BgL_rtl_castz00_bglt) COBJECT(
							((BgL_rtl_castz00_bglt) BgL_oz00_8158)))->BgL_totypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8159)), BUNSPEC);
		}

	}



/* &lambda2758 */
	BgL_typez00_bglt BGl_z62lambda2758z62zzsaw_defsz00(obj_t BgL_envz00_8160,
		obj_t BgL_oz00_8161)
	{
		{	/* SawMill/defs.scm 65 */
			return
				(((BgL_rtl_castz00_bglt) COBJECT(
						((BgL_rtl_castz00_bglt) BgL_oz00_8161)))->BgL_totypez00);
		}

	}



/* &<@anonymous:2730> */
	obj_t BGl_z62zc3z04anonymousza32730ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8162,
		obj_t BgL_new1315z00_8163)
	{
		{	/* SawMill/defs.scm 64 */
			{
				BgL_rtl_pragmaz00_bglt BgL_auxz00_14020;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_pragmaz00_bglt) BgL_new1315z00_8163))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_pragmaz00_bglt) COBJECT(((BgL_rtl_pragmaz00_bglt)
									BgL_new1315z00_8163)))->BgL_formatz00) =
					((obj_t) BGl_string3517z00zzsaw_defsz00), BUNSPEC);
				((((BgL_rtl_pragmaz00_bglt) COBJECT(((BgL_rtl_pragmaz00_bglt)
									BgL_new1315z00_8163)))->BgL_srfi0z00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(83))), BUNSPEC);
				BgL_auxz00_14020 = ((BgL_rtl_pragmaz00_bglt) BgL_new1315z00_8163);
				return ((obj_t) BgL_auxz00_14020);
			}
		}

	}



/* &lambda2728 */
	BgL_rtl_pragmaz00_bglt BGl_z62lambda2728z62zzsaw_defsz00(obj_t
		BgL_envz00_8164)
	{
		{	/* SawMill/defs.scm 64 */
			{	/* SawMill/defs.scm 64 */
				BgL_rtl_pragmaz00_bglt BgL_new1314z00_9707;

				BgL_new1314z00_9707 =
					((BgL_rtl_pragmaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_pragmaz00_bgl))));
				{	/* SawMill/defs.scm 64 */
					long BgL_arg2729z00_9708;

					BgL_arg2729z00_9708 = BGL_CLASS_NUM(BGl_rtl_pragmaz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1314z00_9707), BgL_arg2729z00_9708);
				}
				return BgL_new1314z00_9707;
			}
		}

	}



/* &lambda2726 */
	BgL_rtl_pragmaz00_bglt BGl_z62lambda2726z62zzsaw_defsz00(obj_t
		BgL_envz00_8165, obj_t BgL_loc1311z00_8166, obj_t BgL_format1312z00_8167,
		obj_t BgL_srfi01313z00_8168)
	{
		{	/* SawMill/defs.scm 64 */
			{	/* SawMill/defs.scm 64 */
				BgL_rtl_pragmaz00_bglt BgL_new1539z00_9711;

				{	/* SawMill/defs.scm 64 */
					BgL_rtl_pragmaz00_bglt BgL_new1538z00_9712;

					BgL_new1538z00_9712 =
						((BgL_rtl_pragmaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_pragmaz00_bgl))));
					{	/* SawMill/defs.scm 64 */
						long BgL_arg2727z00_9713;

						BgL_arg2727z00_9713 = BGL_CLASS_NUM(BGl_rtl_pragmaz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1538z00_9712), BgL_arg2727z00_9713);
					}
					BgL_new1539z00_9711 = BgL_new1538z00_9712;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1539z00_9711)))->BgL_locz00) =
					((obj_t) BgL_loc1311z00_8166), BUNSPEC);
				((((BgL_rtl_pragmaz00_bglt) COBJECT(BgL_new1539z00_9711))->
						BgL_formatz00) =
					((obj_t) ((obj_t) BgL_format1312z00_8167)), BUNSPEC);
				((((BgL_rtl_pragmaz00_bglt) COBJECT(BgL_new1539z00_9711))->
						BgL_srfi0z00) = ((obj_t) ((obj_t) BgL_srfi01313z00_8168)), BUNSPEC);
				return BgL_new1539z00_9711;
			}
		}

	}



/* &lambda2740 */
	obj_t BGl_z62lambda2740z62zzsaw_defsz00(obj_t BgL_envz00_8169,
		obj_t BgL_oz00_8170, obj_t BgL_vz00_8171)
	{
		{	/* SawMill/defs.scm 64 */
			return
				((((BgL_rtl_pragmaz00_bglt) COBJECT(
							((BgL_rtl_pragmaz00_bglt) BgL_oz00_8170)))->BgL_srfi0z00) =
				((obj_t) ((obj_t) BgL_vz00_8171)), BUNSPEC);
		}

	}



/* &lambda2739 */
	obj_t BGl_z62lambda2739z62zzsaw_defsz00(obj_t BgL_envz00_8172,
		obj_t BgL_oz00_8173)
	{
		{	/* SawMill/defs.scm 64 */
			return
				(((BgL_rtl_pragmaz00_bglt) COBJECT(
						((BgL_rtl_pragmaz00_bglt) BgL_oz00_8173)))->BgL_srfi0z00);
		}

	}



/* &lambda2735 */
	obj_t BGl_z62lambda2735z62zzsaw_defsz00(obj_t BgL_envz00_8174,
		obj_t BgL_oz00_8175, obj_t BgL_vz00_8176)
	{
		{	/* SawMill/defs.scm 64 */
			return
				((((BgL_rtl_pragmaz00_bglt) COBJECT(
							((BgL_rtl_pragmaz00_bglt) BgL_oz00_8175)))->BgL_formatz00) =
				((obj_t) ((obj_t) BgL_vz00_8176)), BUNSPEC);
		}

	}



/* &lambda2734 */
	obj_t BGl_z62lambda2734z62zzsaw_defsz00(obj_t BgL_envz00_8177,
		obj_t BgL_oz00_8178)
	{
		{	/* SawMill/defs.scm 64 */
			return
				(((BgL_rtl_pragmaz00_bglt) COBJECT(
						((BgL_rtl_pragmaz00_bglt) BgL_oz00_8178)))->BgL_formatz00);
		}

	}



/* &<@anonymous:2720> */
	obj_t BGl_z62zc3z04anonymousza32720ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8179,
		obj_t BgL_new1309z00_8180)
	{
		{	/* SawMill/defs.scm 63 */
			{
				BgL_rtl_funcallz00_bglt BgL_auxz00_14056;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_funcallz00_bglt) BgL_new1309z00_8180))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_14056 = ((BgL_rtl_funcallz00_bglt) BgL_new1309z00_8180);
				return ((obj_t) BgL_auxz00_14056);
			}
		}

	}



/* &lambda2716 */
	BgL_rtl_funcallz00_bglt BGl_z62lambda2716z62zzsaw_defsz00(obj_t
		BgL_envz00_8181)
	{
		{	/* SawMill/defs.scm 63 */
			{	/* SawMill/defs.scm 63 */
				BgL_rtl_funcallz00_bglt BgL_new1308z00_9721;

				BgL_new1308z00_9721 =
					((BgL_rtl_funcallz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_funcallz00_bgl))));
				{	/* SawMill/defs.scm 63 */
					long BgL_arg2719z00_9722;

					BgL_arg2719z00_9722 = BGL_CLASS_NUM(BGl_rtl_funcallz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1308z00_9721), BgL_arg2719z00_9722);
				}
				return BgL_new1308z00_9721;
			}
		}

	}



/* &lambda2713 */
	BgL_rtl_funcallz00_bglt BGl_z62lambda2713z62zzsaw_defsz00(obj_t
		BgL_envz00_8182, obj_t BgL_loc1306z00_8183)
	{
		{	/* SawMill/defs.scm 63 */
			{	/* SawMill/defs.scm 63 */
				BgL_rtl_funcallz00_bglt BgL_new1537z00_9723;

				{	/* SawMill/defs.scm 63 */
					BgL_rtl_funcallz00_bglt BgL_new1536z00_9724;

					BgL_new1536z00_9724 =
						((BgL_rtl_funcallz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_funcallz00_bgl))));
					{	/* SawMill/defs.scm 63 */
						long BgL_arg2715z00_9725;

						BgL_arg2715z00_9725 =
							BGL_CLASS_NUM(BGl_rtl_funcallz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1536z00_9724), BgL_arg2715z00_9725);
					}
					BgL_new1537z00_9723 = BgL_new1536z00_9724;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1537z00_9723)))->BgL_locz00) =
					((obj_t) BgL_loc1306z00_8183), BUNSPEC);
				return BgL_new1537z00_9723;
			}
		}

	}



/* &<@anonymous:2671> */
	obj_t BGl_z62zc3z04anonymousza32671ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8184,
		obj_t BgL_new1304z00_8185)
	{
		{	/* SawMill/defs.scm 62 */
			{
				BgL_rtl_lightfuncallz00_bglt BgL_auxz00_14072;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_lightfuncallz00_bglt) BgL_new1304z00_8185))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_lightfuncallz00_bglt)
							COBJECT(((BgL_rtl_lightfuncallz00_bglt) BgL_new1304z00_8185)))->
						BgL_namez00) = ((obj_t) ((obj_t) CNST_TABLE_REF(83))), BUNSPEC);
				((((BgL_rtl_lightfuncallz00_bglt)
							COBJECT(((BgL_rtl_lightfuncallz00_bglt) BgL_new1304z00_8185)))->
						BgL_funsz00) = ((obj_t) BNIL), BUNSPEC);
				((((BgL_rtl_lightfuncallz00_bglt)
							COBJECT(((BgL_rtl_lightfuncallz00_bglt) BgL_new1304z00_8185)))->
						BgL_rettypez00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_14072 = ((BgL_rtl_lightfuncallz00_bglt) BgL_new1304z00_8185);
				return ((obj_t) BgL_auxz00_14072);
			}
		}

	}



/* &lambda2668 */
	BgL_rtl_lightfuncallz00_bglt BGl_z62lambda2668z62zzsaw_defsz00(obj_t
		BgL_envz00_8186)
	{
		{	/* SawMill/defs.scm 62 */
			{	/* SawMill/defs.scm 62 */
				BgL_rtl_lightfuncallz00_bglt BgL_new1303z00_9727;

				BgL_new1303z00_9727 =
					((BgL_rtl_lightfuncallz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_lightfuncallz00_bgl))));
				{	/* SawMill/defs.scm 62 */
					long BgL_arg2670z00_9728;

					BgL_arg2670z00_9728 =
						BGL_CLASS_NUM(BGl_rtl_lightfuncallz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1303z00_9727), BgL_arg2670z00_9728);
				}
				return BgL_new1303z00_9727;
			}
		}

	}



/* &lambda2666 */
	BgL_rtl_lightfuncallz00_bglt BGl_z62lambda2666z62zzsaw_defsz00(obj_t
		BgL_envz00_8187, obj_t BgL_loc1299z00_8188, obj_t BgL_name1300z00_8189,
		obj_t BgL_funs1301z00_8190, obj_t BgL_rettype1302z00_8191)
	{
		{	/* SawMill/defs.scm 62 */
			{	/* SawMill/defs.scm 62 */
				BgL_rtl_lightfuncallz00_bglt BgL_new1535z00_9731;

				{	/* SawMill/defs.scm 62 */
					BgL_rtl_lightfuncallz00_bglt BgL_new1534z00_9732;

					BgL_new1534z00_9732 =
						((BgL_rtl_lightfuncallz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_lightfuncallz00_bgl))));
					{	/* SawMill/defs.scm 62 */
						long BgL_arg2667z00_9733;

						BgL_arg2667z00_9733 =
							BGL_CLASS_NUM(BGl_rtl_lightfuncallz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1534z00_9732), BgL_arg2667z00_9733);
					}
					BgL_new1535z00_9731 = BgL_new1534z00_9732;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1535z00_9731)))->BgL_locz00) =
					((obj_t) BgL_loc1299z00_8188), BUNSPEC);
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_new1535z00_9731))->
						BgL_namez00) = ((obj_t) ((obj_t) BgL_name1300z00_8189)), BUNSPEC);
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_new1535z00_9731))->
						BgL_funsz00) = ((obj_t) ((obj_t) BgL_funs1301z00_8190)), BUNSPEC);
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_new1535z00_9731))->
						BgL_rettypez00) = ((obj_t) BgL_rettype1302z00_8191), BUNSPEC);
				return BgL_new1535z00_9731;
			}
		}

	}



/* &lambda2692 */
	obj_t BGl_z62lambda2692z62zzsaw_defsz00(obj_t BgL_envz00_8192,
		obj_t BgL_oz00_8193, obj_t BgL_vz00_8194)
	{
		{	/* SawMill/defs.scm 62 */
			return
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(
							((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_8193)))->
					BgL_rettypez00) = ((obj_t) BgL_vz00_8194), BUNSPEC);
		}

	}



/* &lambda2691 */
	obj_t BGl_z62lambda2691z62zzsaw_defsz00(obj_t BgL_envz00_8195,
		obj_t BgL_oz00_8196)
	{
		{	/* SawMill/defs.scm 62 */
			return
				(((BgL_rtl_lightfuncallz00_bglt) COBJECT(
						((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_8196)))->BgL_rettypez00);
		}

	}



/* &lambda2683 */
	obj_t BGl_z62lambda2683z62zzsaw_defsz00(obj_t BgL_envz00_8197,
		obj_t BgL_oz00_8198, obj_t BgL_vz00_8199)
	{
		{	/* SawMill/defs.scm 62 */
			return
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(
							((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_8198)))->BgL_funsz00) =
				((obj_t) ((obj_t) BgL_vz00_8199)), BUNSPEC);
		}

	}



/* &lambda2682 */
	obj_t BGl_z62lambda2682z62zzsaw_defsz00(obj_t BgL_envz00_8200,
		obj_t BgL_oz00_8201)
	{
		{	/* SawMill/defs.scm 62 */
			return
				(((BgL_rtl_lightfuncallz00_bglt) COBJECT(
						((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_8201)))->BgL_funsz00);
		}

	}



/* &lambda2677 */
	obj_t BGl_z62lambda2677z62zzsaw_defsz00(obj_t BgL_envz00_8202,
		obj_t BgL_oz00_8203, obj_t BgL_vz00_8204)
	{
		{	/* SawMill/defs.scm 62 */
			return
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(
							((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_8203)))->BgL_namez00) =
				((obj_t) ((obj_t) BgL_vz00_8204)), BUNSPEC);
		}

	}



/* &lambda2676 */
	obj_t BGl_z62lambda2676z62zzsaw_defsz00(obj_t BgL_envz00_8205,
		obj_t BgL_oz00_8206)
	{
		{	/* SawMill/defs.scm 62 */
			return
				(((BgL_rtl_lightfuncallz00_bglt) COBJECT(
						((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_8206)))->BgL_namez00);
		}

	}



/* &<@anonymous:2656> */
	obj_t BGl_z62zc3z04anonymousza32656ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8207,
		obj_t BgL_new1297z00_8208)
	{
		{	/* SawMill/defs.scm 61 */
			{
				BgL_rtl_applyz00_bglt BgL_auxz00_14115;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_applyz00_bglt) BgL_new1297z00_8208))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_14115 = ((BgL_rtl_applyz00_bglt) BgL_new1297z00_8208);
				return ((obj_t) BgL_auxz00_14115);
			}
		}

	}



/* &lambda2653 */
	BgL_rtl_applyz00_bglt BGl_z62lambda2653z62zzsaw_defsz00(obj_t BgL_envz00_8209)
	{
		{	/* SawMill/defs.scm 61 */
			{	/* SawMill/defs.scm 61 */
				BgL_rtl_applyz00_bglt BgL_new1296z00_9743;

				BgL_new1296z00_9743 =
					((BgL_rtl_applyz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_applyz00_bgl))));
				{	/* SawMill/defs.scm 61 */
					long BgL_arg2655z00_9744;

					BgL_arg2655z00_9744 = BGL_CLASS_NUM(BGl_rtl_applyz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1296z00_9743), BgL_arg2655z00_9744);
				}
				return BgL_new1296z00_9743;
			}
		}

	}



/* &lambda2650 */
	BgL_rtl_applyz00_bglt BGl_z62lambda2650z62zzsaw_defsz00(obj_t BgL_envz00_8210,
		obj_t BgL_loc1295z00_8211)
	{
		{	/* SawMill/defs.scm 61 */
			{	/* SawMill/defs.scm 61 */
				BgL_rtl_applyz00_bglt BgL_new1533z00_9745;

				{	/* SawMill/defs.scm 61 */
					BgL_rtl_applyz00_bglt BgL_new1532z00_9746;

					BgL_new1532z00_9746 =
						((BgL_rtl_applyz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_applyz00_bgl))));
					{	/* SawMill/defs.scm 61 */
						long BgL_arg2652z00_9747;

						BgL_arg2652z00_9747 = BGL_CLASS_NUM(BGl_rtl_applyz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1532z00_9746), BgL_arg2652z00_9747);
					}
					BgL_new1533z00_9745 = BgL_new1532z00_9746;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1533z00_9745)))->BgL_locz00) =
					((obj_t) BgL_loc1295z00_8211), BUNSPEC);
				return BgL_new1533z00_9745;
			}
		}

	}



/* &<@anonymous:2629> */
	obj_t BGl_z62zc3z04anonymousza32629ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8212,
		obj_t BgL_new1293z00_8213)
	{
		{	/* SawMill/defs.scm 60 */
			{
				BgL_rtl_callz00_bglt BgL_auxz00_14131;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_callz00_bglt) BgL_new1293z00_8213))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_globalz00_bglt BgL_auxz00_14135;

					{	/* SawMill/defs.scm 60 */
						obj_t BgL_classz00_9749;

						BgL_classz00_9749 = BGl_globalz00zzast_varz00;
						{	/* SawMill/defs.scm 60 */
							obj_t BgL__ortest_1117z00_9750;

							BgL__ortest_1117z00_9750 = BGL_CLASS_NIL(BgL_classz00_9749);
							if (CBOOL(BgL__ortest_1117z00_9750))
								{	/* SawMill/defs.scm 60 */
									BgL_auxz00_14135 =
										((BgL_globalz00_bglt) BgL__ortest_1117z00_9750);
								}
							else
								{	/* SawMill/defs.scm 60 */
									BgL_auxz00_14135 =
										((BgL_globalz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9749));
								}
						}
					}
					((((BgL_rtl_callz00_bglt) COBJECT(
									((BgL_rtl_callz00_bglt) BgL_new1293z00_8213)))->BgL_varz00) =
						((BgL_globalz00_bglt) BgL_auxz00_14135), BUNSPEC);
				}
				BgL_auxz00_14131 = ((BgL_rtl_callz00_bglt) BgL_new1293z00_8213);
				return ((obj_t) BgL_auxz00_14131);
			}
		}

	}



/* &lambda2627 */
	BgL_rtl_callz00_bglt BGl_z62lambda2627z62zzsaw_defsz00(obj_t BgL_envz00_8214)
	{
		{	/* SawMill/defs.scm 60 */
			{	/* SawMill/defs.scm 60 */
				BgL_rtl_callz00_bglt BgL_new1292z00_9751;

				BgL_new1292z00_9751 =
					((BgL_rtl_callz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_callz00_bgl))));
				{	/* SawMill/defs.scm 60 */
					long BgL_arg2628z00_9752;

					BgL_arg2628z00_9752 = BGL_CLASS_NUM(BGl_rtl_callz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1292z00_9751), BgL_arg2628z00_9752);
				}
				return BgL_new1292z00_9751;
			}
		}

	}



/* &lambda2625 */
	BgL_rtl_callz00_bglt BGl_z62lambda2625z62zzsaw_defsz00(obj_t BgL_envz00_8215,
		obj_t BgL_loc1290z00_8216, obj_t BgL_var1291z00_8217)
	{
		{	/* SawMill/defs.scm 60 */
			{	/* SawMill/defs.scm 60 */
				BgL_rtl_callz00_bglt BgL_new1531z00_9754;

				{	/* SawMill/defs.scm 60 */
					BgL_rtl_callz00_bglt BgL_new1530z00_9755;

					BgL_new1530z00_9755 =
						((BgL_rtl_callz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_callz00_bgl))));
					{	/* SawMill/defs.scm 60 */
						long BgL_arg2626z00_9756;

						BgL_arg2626z00_9756 = BGL_CLASS_NUM(BGl_rtl_callz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1530z00_9755), BgL_arg2626z00_9756);
					}
					BgL_new1531z00_9754 = BgL_new1530z00_9755;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1531z00_9754)))->BgL_locz00) =
					((obj_t) BgL_loc1290z00_8216), BUNSPEC);
				((((BgL_rtl_callz00_bglt) COBJECT(BgL_new1531z00_9754))->BgL_varz00) =
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_var1291z00_8217)),
					BUNSPEC);
				return BgL_new1531z00_9754;
			}
		}

	}



/* &lambda2635 */
	obj_t BGl_z62lambda2635z62zzsaw_defsz00(obj_t BgL_envz00_8218,
		obj_t BgL_oz00_8219, obj_t BgL_vz00_8220)
	{
		{	/* SawMill/defs.scm 60 */
			return
				((((BgL_rtl_callz00_bglt) COBJECT(
							((BgL_rtl_callz00_bglt) BgL_oz00_8219)))->BgL_varz00) =
				((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_vz00_8220)), BUNSPEC);
		}

	}



/* &lambda2634 */
	BgL_globalz00_bglt BGl_z62lambda2634z62zzsaw_defsz00(obj_t BgL_envz00_8221,
		obj_t BgL_oz00_8222)
	{
		{	/* SawMill/defs.scm 60 */
			return
				(((BgL_rtl_callz00_bglt) COBJECT(
						((BgL_rtl_callz00_bglt) BgL_oz00_8222)))->BgL_varz00);
		}

	}



/* &<@anonymous:2602> */
	obj_t BGl_z62zc3z04anonymousza32602ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8223,
		obj_t BgL_new1288z00_8224)
	{
		{	/* SawMill/defs.scm 59 */
			{
				BgL_rtl_newz00_bglt BgL_auxz00_14163;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_newz00_bglt) BgL_new1288z00_8224))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14167;

					{	/* SawMill/defs.scm 59 */
						obj_t BgL_classz00_9761;

						BgL_classz00_9761 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 59 */
							obj_t BgL__ortest_1117z00_9762;

							BgL__ortest_1117z00_9762 = BGL_CLASS_NIL(BgL_classz00_9761);
							if (CBOOL(BgL__ortest_1117z00_9762))
								{	/* SawMill/defs.scm 59 */
									BgL_auxz00_14167 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9762);
								}
							else
								{	/* SawMill/defs.scm 59 */
									BgL_auxz00_14167 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9761));
								}
						}
					}
					((((BgL_rtl_newz00_bglt) COBJECT(
									((BgL_rtl_newz00_bglt) BgL_new1288z00_8224)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_14167), BUNSPEC);
				}
				((((BgL_rtl_newz00_bglt) COBJECT(
								((BgL_rtl_newz00_bglt) BgL_new1288z00_8224)))->BgL_constrz00) =
					((obj_t) BNIL), BUNSPEC);
				BgL_auxz00_14163 = ((BgL_rtl_newz00_bglt) BgL_new1288z00_8224);
				return ((obj_t) BgL_auxz00_14163);
			}
		}

	}



/* &lambda2600 */
	BgL_rtl_newz00_bglt BGl_z62lambda2600z62zzsaw_defsz00(obj_t BgL_envz00_8225)
	{
		{	/* SawMill/defs.scm 59 */
			{	/* SawMill/defs.scm 59 */
				BgL_rtl_newz00_bglt BgL_new1287z00_9763;

				BgL_new1287z00_9763 =
					((BgL_rtl_newz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_newz00_bgl))));
				{	/* SawMill/defs.scm 59 */
					long BgL_arg2601z00_9764;

					BgL_arg2601z00_9764 = BGL_CLASS_NUM(BGl_rtl_newz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1287z00_9763), BgL_arg2601z00_9764);
				}
				return BgL_new1287z00_9763;
			}
		}

	}



/* &lambda2598 */
	BgL_rtl_newz00_bglt BGl_z62lambda2598z62zzsaw_defsz00(obj_t BgL_envz00_8226,
		obj_t BgL_loc1284z00_8227, obj_t BgL_type1285z00_8228,
		obj_t BgL_constr1286z00_8229)
	{
		{	/* SawMill/defs.scm 59 */
			{	/* SawMill/defs.scm 59 */
				BgL_rtl_newz00_bglt BgL_new1529z00_9767;

				{	/* SawMill/defs.scm 59 */
					BgL_rtl_newz00_bglt BgL_new1528z00_9768;

					BgL_new1528z00_9768 =
						((BgL_rtl_newz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_newz00_bgl))));
					{	/* SawMill/defs.scm 59 */
						long BgL_arg2599z00_9769;

						BgL_arg2599z00_9769 = BGL_CLASS_NUM(BGl_rtl_newz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1528z00_9768), BgL_arg2599z00_9769);
					}
					BgL_new1529z00_9767 = BgL_new1528z00_9768;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1529z00_9767)))->BgL_locz00) =
					((obj_t) BgL_loc1284z00_8227), BUNSPEC);
				((((BgL_rtl_newz00_bglt) COBJECT(BgL_new1529z00_9767))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1285z00_8228)),
					BUNSPEC);
				((((BgL_rtl_newz00_bglt) COBJECT(BgL_new1529z00_9767))->BgL_constrz00) =
					((obj_t) ((obj_t) BgL_constr1286z00_8229)), BUNSPEC);
				return BgL_new1529z00_9767;
			}
		}

	}



/* &lambda2613 */
	obj_t BGl_z62lambda2613z62zzsaw_defsz00(obj_t BgL_envz00_8230,
		obj_t BgL_oz00_8231, obj_t BgL_vz00_8232)
	{
		{	/* SawMill/defs.scm 59 */
			return
				((((BgL_rtl_newz00_bglt) COBJECT(
							((BgL_rtl_newz00_bglt) BgL_oz00_8231)))->BgL_constrz00) = ((obj_t)
					((obj_t) BgL_vz00_8232)), BUNSPEC);
		}

	}



/* &lambda2612 */
	obj_t BGl_z62lambda2612z62zzsaw_defsz00(obj_t BgL_envz00_8233,
		obj_t BgL_oz00_8234)
	{
		{	/* SawMill/defs.scm 59 */
			return
				(((BgL_rtl_newz00_bglt) COBJECT(
						((BgL_rtl_newz00_bglt) BgL_oz00_8234)))->BgL_constrz00);
		}

	}



/* &lambda2608 */
	obj_t BGl_z62lambda2608z62zzsaw_defsz00(obj_t BgL_envz00_8235,
		obj_t BgL_oz00_8236, obj_t BgL_vz00_8237)
	{
		{	/* SawMill/defs.scm 59 */
			return
				((((BgL_rtl_newz00_bglt) COBJECT(
							((BgL_rtl_newz00_bglt) BgL_oz00_8236)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8237)), BUNSPEC);
		}

	}



/* &lambda2607 */
	BgL_typez00_bglt BGl_z62lambda2607z62zzsaw_defsz00(obj_t BgL_envz00_8238,
		obj_t BgL_oz00_8239)
	{
		{	/* SawMill/defs.scm 59 */
			return
				(((BgL_rtl_newz00_bglt) COBJECT(
						((BgL_rtl_newz00_bglt) BgL_oz00_8239)))->BgL_typez00);
		}

	}



/* &<@anonymous:2591> */
	obj_t BGl_z62zc3z04anonymousza32591ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8240,
		obj_t BgL_new1282z00_8241)
	{
		{	/* SawMill/defs.scm 57 */
			{
				BgL_rtl_boxsetz00_bglt BgL_auxz00_14204;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_boxsetz00_bglt) BgL_new1282z00_8241))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_14204 = ((BgL_rtl_boxsetz00_bglt) BgL_new1282z00_8241);
				return ((obj_t) BgL_auxz00_14204);
			}
		}

	}



/* &lambda2588 */
	BgL_rtl_boxsetz00_bglt BGl_z62lambda2588z62zzsaw_defsz00(obj_t
		BgL_envz00_8242)
	{
		{	/* SawMill/defs.scm 57 */
			{	/* SawMill/defs.scm 57 */
				BgL_rtl_boxsetz00_bglt BgL_new1281z00_9777;

				BgL_new1281z00_9777 =
					((BgL_rtl_boxsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_boxsetz00_bgl))));
				{	/* SawMill/defs.scm 57 */
					long BgL_arg2590z00_9778;

					BgL_arg2590z00_9778 = BGL_CLASS_NUM(BGl_rtl_boxsetz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1281z00_9777), BgL_arg2590z00_9778);
				}
				return BgL_new1281z00_9777;
			}
		}

	}



/* &lambda2586 */
	BgL_rtl_boxsetz00_bglt BGl_z62lambda2586z62zzsaw_defsz00(obj_t
		BgL_envz00_8243, obj_t BgL_loc1280z00_8244)
	{
		{	/* SawMill/defs.scm 57 */
			{	/* SawMill/defs.scm 57 */
				BgL_rtl_boxsetz00_bglt BgL_new1527z00_9779;

				{	/* SawMill/defs.scm 57 */
					BgL_rtl_boxsetz00_bglt BgL_new1526z00_9780;

					BgL_new1526z00_9780 =
						((BgL_rtl_boxsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_boxsetz00_bgl))));
					{	/* SawMill/defs.scm 57 */
						long BgL_arg2587z00_9781;

						BgL_arg2587z00_9781 = BGL_CLASS_NUM(BGl_rtl_boxsetz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1526z00_9780), BgL_arg2587z00_9781);
					}
					BgL_new1527z00_9779 = BgL_new1526z00_9780;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1527z00_9779)))->BgL_locz00) =
					((obj_t) BgL_loc1280z00_8244), BUNSPEC);
				return BgL_new1527z00_9779;
			}
		}

	}



/* &<@anonymous:2569> */
	obj_t BGl_z62zc3z04anonymousza32569ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8245,
		obj_t BgL_new1278z00_8246)
	{
		{	/* SawMill/defs.scm 56 */
			{
				BgL_rtl_vsetz00_bglt BgL_auxz00_14220;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_vsetz00_bglt) BgL_new1278z00_8246))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14224;

					{	/* SawMill/defs.scm 56 */
						obj_t BgL_classz00_9783;

						BgL_classz00_9783 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 56 */
							obj_t BgL__ortest_1117z00_9784;

							BgL__ortest_1117z00_9784 = BGL_CLASS_NIL(BgL_classz00_9783);
							if (CBOOL(BgL__ortest_1117z00_9784))
								{	/* SawMill/defs.scm 56 */
									BgL_auxz00_14224 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9784);
								}
							else
								{	/* SawMill/defs.scm 56 */
									BgL_auxz00_14224 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9783));
								}
						}
					}
					((((BgL_rtl_vsetz00_bglt) COBJECT(
									((BgL_rtl_vsetz00_bglt) BgL_new1278z00_8246)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_14224), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_14233;

					{	/* SawMill/defs.scm 56 */
						obj_t BgL_classz00_9785;

						BgL_classz00_9785 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 56 */
							obj_t BgL__ortest_1117z00_9786;

							BgL__ortest_1117z00_9786 = BGL_CLASS_NIL(BgL_classz00_9785);
							if (CBOOL(BgL__ortest_1117z00_9786))
								{	/* SawMill/defs.scm 56 */
									BgL_auxz00_14233 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9786);
								}
							else
								{	/* SawMill/defs.scm 56 */
									BgL_auxz00_14233 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9785));
								}
						}
					}
					((((BgL_rtl_vsetz00_bglt) COBJECT(
									((BgL_rtl_vsetz00_bglt) BgL_new1278z00_8246)))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_14233), BUNSPEC);
				}
				BgL_auxz00_14220 = ((BgL_rtl_vsetz00_bglt) BgL_new1278z00_8246);
				return ((obj_t) BgL_auxz00_14220);
			}
		}

	}



/* &lambda2566 */
	BgL_rtl_vsetz00_bglt BGl_z62lambda2566z62zzsaw_defsz00(obj_t BgL_envz00_8247)
	{
		{	/* SawMill/defs.scm 56 */
			{	/* SawMill/defs.scm 56 */
				BgL_rtl_vsetz00_bglt BgL_new1277z00_9787;

				BgL_new1277z00_9787 =
					((BgL_rtl_vsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_vsetz00_bgl))));
				{	/* SawMill/defs.scm 56 */
					long BgL_arg2568z00_9788;

					BgL_arg2568z00_9788 = BGL_CLASS_NUM(BGl_rtl_vsetz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1277z00_9787), BgL_arg2568z00_9788);
				}
				return BgL_new1277z00_9787;
			}
		}

	}



/* &lambda2564 */
	BgL_rtl_vsetz00_bglt BGl_z62lambda2564z62zzsaw_defsz00(obj_t BgL_envz00_8248,
		obj_t BgL_loc1274z00_8249, obj_t BgL_type1275z00_8250,
		obj_t BgL_vtype1276z00_8251)
	{
		{	/* SawMill/defs.scm 56 */
			{	/* SawMill/defs.scm 56 */
				BgL_rtl_vsetz00_bglt BgL_new1525z00_9791;

				{	/* SawMill/defs.scm 56 */
					BgL_rtl_vsetz00_bglt BgL_new1524z00_9792;

					BgL_new1524z00_9792 =
						((BgL_rtl_vsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_vsetz00_bgl))));
					{	/* SawMill/defs.scm 56 */
						long BgL_arg2565z00_9793;

						BgL_arg2565z00_9793 = BGL_CLASS_NUM(BGl_rtl_vsetz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1524z00_9792), BgL_arg2565z00_9793);
					}
					BgL_new1525z00_9791 = BgL_new1524z00_9792;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1525z00_9791)))->BgL_locz00) =
					((obj_t) BgL_loc1274z00_8249), BUNSPEC);
				((((BgL_rtl_vsetz00_bglt) COBJECT(BgL_new1525z00_9791))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1275z00_8250)),
					BUNSPEC);
				((((BgL_rtl_vsetz00_bglt) COBJECT(BgL_new1525z00_9791))->BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1276z00_8251)),
					BUNSPEC);
				return BgL_new1525z00_9791;
			}
		}

	}



/* &lambda2580 */
	obj_t BGl_z62lambda2580z62zzsaw_defsz00(obj_t BgL_envz00_8252,
		obj_t BgL_oz00_8253, obj_t BgL_vz00_8254)
	{
		{	/* SawMill/defs.scm 56 */
			return
				((((BgL_rtl_vsetz00_bglt) COBJECT(
							((BgL_rtl_vsetz00_bglt) BgL_oz00_8253)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8254)), BUNSPEC);
		}

	}



/* &lambda2579 */
	BgL_typez00_bglt BGl_z62lambda2579z62zzsaw_defsz00(obj_t BgL_envz00_8255,
		obj_t BgL_oz00_8256)
	{
		{	/* SawMill/defs.scm 56 */
			return
				(((BgL_rtl_vsetz00_bglt) COBJECT(
						((BgL_rtl_vsetz00_bglt) BgL_oz00_8256)))->BgL_vtypez00);
		}

	}



/* &lambda2575 */
	obj_t BGl_z62lambda2575z62zzsaw_defsz00(obj_t BgL_envz00_8257,
		obj_t BgL_oz00_8258, obj_t BgL_vz00_8259)
	{
		{	/* SawMill/defs.scm 56 */
			return
				((((BgL_rtl_vsetz00_bglt) COBJECT(
							((BgL_rtl_vsetz00_bglt) BgL_oz00_8258)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8259)), BUNSPEC);
		}

	}



/* &lambda2574 */
	BgL_typez00_bglt BGl_z62lambda2574z62zzsaw_defsz00(obj_t BgL_envz00_8260,
		obj_t BgL_oz00_8261)
	{
		{	/* SawMill/defs.scm 56 */
			return
				(((BgL_rtl_vsetz00_bglt) COBJECT(
						((BgL_rtl_vsetz00_bglt) BgL_oz00_8261)))->BgL_typez00);
		}

	}



/* &<@anonymous:2542> */
	obj_t BGl_z62zc3z04anonymousza32542ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8262,
		obj_t BgL_new1272z00_8263)
	{
		{	/* SawMill/defs.scm 55 */
			{
				BgL_rtl_setfieldz00_bglt BgL_auxz00_14268;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_setfieldz00_bglt) BgL_new1272z00_8263))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_setfieldz00_bglt) COBJECT(((BgL_rtl_setfieldz00_bglt)
									BgL_new1272z00_8263)))->BgL_namez00) =
					((obj_t) BGl_string3517z00zzsaw_defsz00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14274;

					{	/* SawMill/defs.scm 55 */
						obj_t BgL_classz00_9801;

						BgL_classz00_9801 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 55 */
							obj_t BgL__ortest_1117z00_9802;

							BgL__ortest_1117z00_9802 = BGL_CLASS_NIL(BgL_classz00_9801);
							if (CBOOL(BgL__ortest_1117z00_9802))
								{	/* SawMill/defs.scm 55 */
									BgL_auxz00_14274 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9802);
								}
							else
								{	/* SawMill/defs.scm 55 */
									BgL_auxz00_14274 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9801));
								}
						}
					}
					((((BgL_rtl_setfieldz00_bglt) COBJECT(
									((BgL_rtl_setfieldz00_bglt) BgL_new1272z00_8263)))->
							BgL_objtypez00) = ((BgL_typez00_bglt) BgL_auxz00_14274), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_14283;

					{	/* SawMill/defs.scm 55 */
						obj_t BgL_classz00_9803;

						BgL_classz00_9803 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 55 */
							obj_t BgL__ortest_1117z00_9804;

							BgL__ortest_1117z00_9804 = BGL_CLASS_NIL(BgL_classz00_9803);
							if (CBOOL(BgL__ortest_1117z00_9804))
								{	/* SawMill/defs.scm 55 */
									BgL_auxz00_14283 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9804);
								}
							else
								{	/* SawMill/defs.scm 55 */
									BgL_auxz00_14283 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9803));
								}
						}
					}
					((((BgL_rtl_setfieldz00_bglt) COBJECT(
									((BgL_rtl_setfieldz00_bglt) BgL_new1272z00_8263)))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_14283), BUNSPEC);
				}
				BgL_auxz00_14268 = ((BgL_rtl_setfieldz00_bglt) BgL_new1272z00_8263);
				return ((obj_t) BgL_auxz00_14268);
			}
		}

	}



/* &lambda2539 */
	BgL_rtl_setfieldz00_bglt BGl_z62lambda2539z62zzsaw_defsz00(obj_t
		BgL_envz00_8264)
	{
		{	/* SawMill/defs.scm 55 */
			{	/* SawMill/defs.scm 55 */
				BgL_rtl_setfieldz00_bglt BgL_new1271z00_9805;

				BgL_new1271z00_9805 =
					((BgL_rtl_setfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_setfieldz00_bgl))));
				{	/* SawMill/defs.scm 55 */
					long BgL_arg2541z00_9806;

					BgL_arg2541z00_9806 = BGL_CLASS_NUM(BGl_rtl_setfieldz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1271z00_9805), BgL_arg2541z00_9806);
				}
				return BgL_new1271z00_9805;
			}
		}

	}



/* &lambda2537 */
	BgL_rtl_setfieldz00_bglt BGl_z62lambda2537z62zzsaw_defsz00(obj_t
		BgL_envz00_8265, obj_t BgL_loc1267z00_8266, obj_t BgL_name1268z00_8267,
		obj_t BgL_objtype1269z00_8268, obj_t BgL_type1270z00_8269)
	{
		{	/* SawMill/defs.scm 55 */
			{	/* SawMill/defs.scm 55 */
				BgL_rtl_setfieldz00_bglt BgL_new1523z00_9810;

				{	/* SawMill/defs.scm 55 */
					BgL_rtl_setfieldz00_bglt BgL_new1522z00_9811;

					BgL_new1522z00_9811 =
						((BgL_rtl_setfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_setfieldz00_bgl))));
					{	/* SawMill/defs.scm 55 */
						long BgL_arg2538z00_9812;

						BgL_arg2538z00_9812 =
							BGL_CLASS_NUM(BGl_rtl_setfieldz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1522z00_9811), BgL_arg2538z00_9812);
					}
					BgL_new1523z00_9810 = BgL_new1522z00_9811;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1523z00_9810)))->BgL_locz00) =
					((obj_t) BgL_loc1267z00_8266), BUNSPEC);
				((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_new1523z00_9810))->
						BgL_namez00) = ((obj_t) ((obj_t) BgL_name1268z00_8267)), BUNSPEC);
				((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_new1523z00_9810))->
						BgL_objtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_objtype1269z00_8268)),
					BUNSPEC);
				((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_new1523z00_9810))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1270z00_8269)),
					BUNSPEC);
				return BgL_new1523z00_9810;
			}
		}

	}



/* &lambda2558 */
	obj_t BGl_z62lambda2558z62zzsaw_defsz00(obj_t BgL_envz00_8270,
		obj_t BgL_oz00_8271, obj_t BgL_vz00_8272)
	{
		{	/* SawMill/defs.scm 55 */
			return
				((((BgL_rtl_setfieldz00_bglt) COBJECT(
							((BgL_rtl_setfieldz00_bglt) BgL_oz00_8271)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8272)), BUNSPEC);
		}

	}



/* &lambda2557 */
	BgL_typez00_bglt BGl_z62lambda2557z62zzsaw_defsz00(obj_t BgL_envz00_8273,
		obj_t BgL_oz00_8274)
	{
		{	/* SawMill/defs.scm 55 */
			return
				(((BgL_rtl_setfieldz00_bglt) COBJECT(
						((BgL_rtl_setfieldz00_bglt) BgL_oz00_8274)))->BgL_typez00);
		}

	}



/* &lambda2553 */
	obj_t BGl_z62lambda2553z62zzsaw_defsz00(obj_t BgL_envz00_8275,
		obj_t BgL_oz00_8276, obj_t BgL_vz00_8277)
	{
		{	/* SawMill/defs.scm 55 */
			return
				((((BgL_rtl_setfieldz00_bglt) COBJECT(
							((BgL_rtl_setfieldz00_bglt) BgL_oz00_8276)))->BgL_objtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8277)), BUNSPEC);
		}

	}



/* &lambda2552 */
	BgL_typez00_bglt BGl_z62lambda2552z62zzsaw_defsz00(obj_t BgL_envz00_8278,
		obj_t BgL_oz00_8279)
	{
		{	/* SawMill/defs.scm 55 */
			return
				(((BgL_rtl_setfieldz00_bglt) COBJECT(
						((BgL_rtl_setfieldz00_bglt) BgL_oz00_8279)))->BgL_objtypez00);
		}

	}



/* &lambda2548 */
	obj_t BGl_z62lambda2548z62zzsaw_defsz00(obj_t BgL_envz00_8280,
		obj_t BgL_oz00_8281, obj_t BgL_vz00_8282)
	{
		{	/* SawMill/defs.scm 55 */
			return
				((((BgL_rtl_setfieldz00_bglt) COBJECT(
							((BgL_rtl_setfieldz00_bglt) BgL_oz00_8281)))->BgL_namez00) =
				((obj_t) ((obj_t) BgL_vz00_8282)), BUNSPEC);
		}

	}



/* &lambda2547 */
	obj_t BGl_z62lambda2547z62zzsaw_defsz00(obj_t BgL_envz00_8283,
		obj_t BgL_oz00_8284)
	{
		{	/* SawMill/defs.scm 55 */
			return
				(((BgL_rtl_setfieldz00_bglt) COBJECT(
						((BgL_rtl_setfieldz00_bglt) BgL_oz00_8284)))->BgL_namez00);
		}

	}



/* &<@anonymous:2522> */
	obj_t BGl_z62zc3z04anonymousza32522ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8285,
		obj_t BgL_new1265z00_8286)
	{
		{	/* SawMill/defs.scm 54 */
			{
				BgL_rtl_storegz00_bglt BgL_auxz00_14325;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_storegz00_bglt) BgL_new1265z00_8286))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_globalz00_bglt BgL_auxz00_14329;

					{	/* SawMill/defs.scm 54 */
						obj_t BgL_classz00_9823;

						BgL_classz00_9823 = BGl_globalz00zzast_varz00;
						{	/* SawMill/defs.scm 54 */
							obj_t BgL__ortest_1117z00_9824;

							BgL__ortest_1117z00_9824 = BGL_CLASS_NIL(BgL_classz00_9823);
							if (CBOOL(BgL__ortest_1117z00_9824))
								{	/* SawMill/defs.scm 54 */
									BgL_auxz00_14329 =
										((BgL_globalz00_bglt) BgL__ortest_1117z00_9824);
								}
							else
								{	/* SawMill/defs.scm 54 */
									BgL_auxz00_14329 =
										((BgL_globalz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9823));
								}
						}
					}
					((((BgL_rtl_storegz00_bglt) COBJECT(
									((BgL_rtl_storegz00_bglt) BgL_new1265z00_8286)))->
							BgL_varz00) = ((BgL_globalz00_bglt) BgL_auxz00_14329), BUNSPEC);
				}
				BgL_auxz00_14325 = ((BgL_rtl_storegz00_bglt) BgL_new1265z00_8286);
				return ((obj_t) BgL_auxz00_14325);
			}
		}

	}



/* &lambda2520 */
	BgL_rtl_storegz00_bglt BGl_z62lambda2520z62zzsaw_defsz00(obj_t
		BgL_envz00_8287)
	{
		{	/* SawMill/defs.scm 54 */
			{	/* SawMill/defs.scm 54 */
				BgL_rtl_storegz00_bglt BgL_new1264z00_9825;

				BgL_new1264z00_9825 =
					((BgL_rtl_storegz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_storegz00_bgl))));
				{	/* SawMill/defs.scm 54 */
					long BgL_arg2521z00_9826;

					BgL_arg2521z00_9826 = BGL_CLASS_NUM(BGl_rtl_storegz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1264z00_9825), BgL_arg2521z00_9826);
				}
				return BgL_new1264z00_9825;
			}
		}

	}



/* &lambda2515 */
	BgL_rtl_storegz00_bglt BGl_z62lambda2515z62zzsaw_defsz00(obj_t
		BgL_envz00_8288, obj_t BgL_loc1262z00_8289, obj_t BgL_var1263z00_8290)
	{
		{	/* SawMill/defs.scm 54 */
			{	/* SawMill/defs.scm 54 */
				BgL_rtl_storegz00_bglt BgL_new1521z00_9828;

				{	/* SawMill/defs.scm 54 */
					BgL_rtl_storegz00_bglt BgL_new1520z00_9829;

					BgL_new1520z00_9829 =
						((BgL_rtl_storegz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_storegz00_bgl))));
					{	/* SawMill/defs.scm 54 */
						long BgL_arg2519z00_9830;

						BgL_arg2519z00_9830 = BGL_CLASS_NUM(BGl_rtl_storegz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1520z00_9829), BgL_arg2519z00_9830);
					}
					BgL_new1521z00_9828 = BgL_new1520z00_9829;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1521z00_9828)))->BgL_locz00) =
					((obj_t) BgL_loc1262z00_8289), BUNSPEC);
				((((BgL_rtl_storegz00_bglt) COBJECT(BgL_new1521z00_9828))->BgL_varz00) =
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_var1263z00_8290)),
					BUNSPEC);
				return BgL_new1521z00_9828;
			}
		}

	}



/* &lambda2529 */
	obj_t BGl_z62lambda2529z62zzsaw_defsz00(obj_t BgL_envz00_8291,
		obj_t BgL_oz00_8292, obj_t BgL_vz00_8293)
	{
		{	/* SawMill/defs.scm 54 */
			return
				((((BgL_rtl_storegz00_bglt) COBJECT(
							((BgL_rtl_storegz00_bglt) BgL_oz00_8292)))->BgL_varz00) =
				((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_vz00_8293)), BUNSPEC);
		}

	}



/* &lambda2528 */
	BgL_globalz00_bglt BGl_z62lambda2528z62zzsaw_defsz00(obj_t BgL_envz00_8294,
		obj_t BgL_oz00_8295)
	{
		{	/* SawMill/defs.scm 54 */
			return
				(((BgL_rtl_storegz00_bglt) COBJECT(
						((BgL_rtl_storegz00_bglt) BgL_oz00_8295)))->BgL_varz00);
		}

	}



/* &<@anonymous:2507> */
	obj_t BGl_z62zc3z04anonymousza32507ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8296,
		obj_t BgL_new1260z00_8297)
	{
		{	/* SawMill/defs.scm 53 */
			{
				BgL_rtl_effectz00_bglt BgL_auxz00_14357;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_effectz00_bglt) BgL_new1260z00_8297))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_14357 = ((BgL_rtl_effectz00_bglt) BgL_new1260z00_8297);
				return ((obj_t) BgL_auxz00_14357);
			}
		}

	}



/* &lambda2504 */
	BgL_rtl_effectz00_bglt BGl_z62lambda2504z62zzsaw_defsz00(obj_t
		BgL_envz00_8298)
	{
		{	/* SawMill/defs.scm 53 */
			{	/* SawMill/defs.scm 53 */
				BgL_rtl_effectz00_bglt BgL_new1259z00_9835;

				BgL_new1259z00_9835 =
					((BgL_rtl_effectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_effectz00_bgl))));
				{	/* SawMill/defs.scm 53 */
					long BgL_arg2506z00_9836;

					BgL_arg2506z00_9836 = BGL_CLASS_NUM(BGl_rtl_effectz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1259z00_9835), BgL_arg2506z00_9836);
				}
				return BgL_new1259z00_9835;
			}
		}

	}



/* &lambda2502 */
	BgL_rtl_effectz00_bglt BGl_z62lambda2502z62zzsaw_defsz00(obj_t
		BgL_envz00_8299, obj_t BgL_loc1258z00_8300)
	{
		{	/* SawMill/defs.scm 53 */
			{	/* SawMill/defs.scm 53 */
				BgL_rtl_effectz00_bglt BgL_new1519z00_9837;

				{	/* SawMill/defs.scm 53 */
					BgL_rtl_effectz00_bglt BgL_new1518z00_9838;

					BgL_new1518z00_9838 =
						((BgL_rtl_effectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_effectz00_bgl))));
					{	/* SawMill/defs.scm 53 */
						long BgL_arg2503z00_9839;

						BgL_arg2503z00_9839 = BGL_CLASS_NUM(BGl_rtl_effectz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1518z00_9838), BgL_arg2503z00_9839);
					}
					BgL_new1519z00_9837 = BgL_new1518z00_9838;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1519z00_9837)))->BgL_locz00) =
					((obj_t) BgL_loc1258z00_8300), BUNSPEC);
				return BgL_new1519z00_9837;
			}
		}

	}



/* &<@anonymous:2496> */
	obj_t BGl_z62zc3z04anonymousza32496ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8301,
		obj_t BgL_new1256z00_8302)
	{
		{	/* SawMill/defs.scm 51 */
			{
				BgL_rtl_boxrefz00_bglt BgL_auxz00_14373;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_boxrefz00_bglt) BgL_new1256z00_8302))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_14373 = ((BgL_rtl_boxrefz00_bglt) BgL_new1256z00_8302);
				return ((obj_t) BgL_auxz00_14373);
			}
		}

	}



/* &lambda2493 */
	BgL_rtl_boxrefz00_bglt BGl_z62lambda2493z62zzsaw_defsz00(obj_t
		BgL_envz00_8303)
	{
		{	/* SawMill/defs.scm 51 */
			{	/* SawMill/defs.scm 51 */
				BgL_rtl_boxrefz00_bglt BgL_new1255z00_9841;

				BgL_new1255z00_9841 =
					((BgL_rtl_boxrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_boxrefz00_bgl))));
				{	/* SawMill/defs.scm 51 */
					long BgL_arg2495z00_9842;

					BgL_arg2495z00_9842 = BGL_CLASS_NUM(BGl_rtl_boxrefz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1255z00_9841), BgL_arg2495z00_9842);
				}
				return BgL_new1255z00_9841;
			}
		}

	}



/* &lambda2491 */
	BgL_rtl_boxrefz00_bglt BGl_z62lambda2491z62zzsaw_defsz00(obj_t
		BgL_envz00_8304, obj_t BgL_loc1254z00_8305)
	{
		{	/* SawMill/defs.scm 51 */
			{	/* SawMill/defs.scm 51 */
				BgL_rtl_boxrefz00_bglt BgL_new1517z00_9843;

				{	/* SawMill/defs.scm 51 */
					BgL_rtl_boxrefz00_bglt BgL_new1516z00_9844;

					BgL_new1516z00_9844 =
						((BgL_rtl_boxrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_boxrefz00_bgl))));
					{	/* SawMill/defs.scm 51 */
						long BgL_arg2492z00_9845;

						BgL_arg2492z00_9845 = BGL_CLASS_NUM(BGl_rtl_boxrefz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1516z00_9844), BgL_arg2492z00_9845);
					}
					BgL_new1517z00_9843 = BgL_new1516z00_9844;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1517z00_9843)))->BgL_locz00) =
					((obj_t) BgL_loc1254z00_8305), BUNSPEC);
				return BgL_new1517z00_9843;
			}
		}

	}



/* &<@anonymous:2482> */
	obj_t BGl_z62zc3z04anonymousza32482ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8306,
		obj_t BgL_new1252z00_8307)
	{
		{	/* SawMill/defs.scm 50 */
			{
				BgL_rtl_makeboxz00_bglt BgL_auxz00_14389;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_makeboxz00_bglt) BgL_new1252z00_8307))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_14389 = ((BgL_rtl_makeboxz00_bglt) BgL_new1252z00_8307);
				return ((obj_t) BgL_auxz00_14389);
			}
		}

	}



/* &lambda2480 */
	BgL_rtl_makeboxz00_bglt BGl_z62lambda2480z62zzsaw_defsz00(obj_t
		BgL_envz00_8308)
	{
		{	/* SawMill/defs.scm 50 */
			{	/* SawMill/defs.scm 50 */
				BgL_rtl_makeboxz00_bglt BgL_new1251z00_9847;

				BgL_new1251z00_9847 =
					((BgL_rtl_makeboxz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_makeboxz00_bgl))));
				{	/* SawMill/defs.scm 50 */
					long BgL_arg2481z00_9848;

					BgL_arg2481z00_9848 = BGL_CLASS_NUM(BGl_rtl_makeboxz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1251z00_9847), BgL_arg2481z00_9848);
				}
				return BgL_new1251z00_9847;
			}
		}

	}



/* &lambda2478 */
	BgL_rtl_makeboxz00_bglt BGl_z62lambda2478z62zzsaw_defsz00(obj_t
		BgL_envz00_8309, obj_t BgL_loc1250z00_8310)
	{
		{	/* SawMill/defs.scm 50 */
			{	/* SawMill/defs.scm 50 */
				BgL_rtl_makeboxz00_bglt BgL_new1515z00_9849;

				{	/* SawMill/defs.scm 50 */
					BgL_rtl_makeboxz00_bglt BgL_new1514z00_9850;

					BgL_new1514z00_9850 =
						((BgL_rtl_makeboxz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_makeboxz00_bgl))));
					{	/* SawMill/defs.scm 50 */
						long BgL_arg2479z00_9851;

						BgL_arg2479z00_9851 =
							BGL_CLASS_NUM(BGl_rtl_makeboxz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1514z00_9850), BgL_arg2479z00_9851);
					}
					BgL_new1515z00_9849 = BgL_new1514z00_9850;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1515z00_9849)))->BgL_locz00) =
					((obj_t) BgL_loc1250z00_8310), BUNSPEC);
				return BgL_new1515z00_9849;
			}
		}

	}



/* &<@anonymous:2465> */
	obj_t BGl_z62zc3z04anonymousza32465ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8311,
		obj_t BgL_new1248z00_8312)
	{
		{	/* SawMill/defs.scm 49 */
			{
				BgL_rtl_instanceofz00_bglt BgL_auxz00_14405;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_instanceofz00_bglt) BgL_new1248z00_8312))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14409;

					{	/* SawMill/defs.scm 49 */
						obj_t BgL_classz00_9853;

						BgL_classz00_9853 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 49 */
							obj_t BgL__ortest_1117z00_9854;

							BgL__ortest_1117z00_9854 = BGL_CLASS_NIL(BgL_classz00_9853);
							if (CBOOL(BgL__ortest_1117z00_9854))
								{	/* SawMill/defs.scm 49 */
									BgL_auxz00_14409 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9854);
								}
							else
								{	/* SawMill/defs.scm 49 */
									BgL_auxz00_14409 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9853));
								}
						}
					}
					((((BgL_rtl_instanceofz00_bglt) COBJECT(
									((BgL_rtl_instanceofz00_bglt) BgL_new1248z00_8312)))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_14409), BUNSPEC);
				}
				BgL_auxz00_14405 = ((BgL_rtl_instanceofz00_bglt) BgL_new1248z00_8312);
				return ((obj_t) BgL_auxz00_14405);
			}
		}

	}



/* &lambda2462 */
	BgL_rtl_instanceofz00_bglt BGl_z62lambda2462z62zzsaw_defsz00(obj_t
		BgL_envz00_8313)
	{
		{	/* SawMill/defs.scm 49 */
			{	/* SawMill/defs.scm 49 */
				BgL_rtl_instanceofz00_bglt BgL_new1247z00_9855;

				BgL_new1247z00_9855 =
					((BgL_rtl_instanceofz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_instanceofz00_bgl))));
				{	/* SawMill/defs.scm 49 */
					long BgL_arg2464z00_9856;

					BgL_arg2464z00_9856 =
						BGL_CLASS_NUM(BGl_rtl_instanceofz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1247z00_9855), BgL_arg2464z00_9856);
				}
				return BgL_new1247z00_9855;
			}
		}

	}



/* &lambda2460 */
	BgL_rtl_instanceofz00_bglt BGl_z62lambda2460z62zzsaw_defsz00(obj_t
		BgL_envz00_8314, obj_t BgL_loc1244z00_8315, obj_t BgL_type1245z00_8316)
	{
		{	/* SawMill/defs.scm 49 */
			{	/* SawMill/defs.scm 49 */
				BgL_rtl_instanceofz00_bglt BgL_new1513z00_9858;

				{	/* SawMill/defs.scm 49 */
					BgL_rtl_instanceofz00_bglt BgL_new1512z00_9859;

					BgL_new1512z00_9859 =
						((BgL_rtl_instanceofz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_instanceofz00_bgl))));
					{	/* SawMill/defs.scm 49 */
						long BgL_arg2461z00_9860;

						BgL_arg2461z00_9860 =
							BGL_CLASS_NUM(BGl_rtl_instanceofz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1512z00_9859), BgL_arg2461z00_9860);
					}
					BgL_new1513z00_9858 = BgL_new1512z00_9859;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1513z00_9858)))->BgL_locz00) =
					((obj_t) BgL_loc1244z00_8315), BUNSPEC);
				((((BgL_rtl_instanceofz00_bglt) COBJECT(BgL_new1513z00_9858))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1245z00_8316)),
					BUNSPEC);
				return BgL_new1513z00_9858;
			}
		}

	}



/* &lambda2471 */
	obj_t BGl_z62lambda2471z62zzsaw_defsz00(obj_t BgL_envz00_8317,
		obj_t BgL_oz00_8318, obj_t BgL_vz00_8319)
	{
		{	/* SawMill/defs.scm 49 */
			return
				((((BgL_rtl_instanceofz00_bglt) COBJECT(
							((BgL_rtl_instanceofz00_bglt) BgL_oz00_8318)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8319)), BUNSPEC);
		}

	}



/* &lambda2470 */
	BgL_typez00_bglt BGl_z62lambda2470z62zzsaw_defsz00(obj_t BgL_envz00_8320,
		obj_t BgL_oz00_8321)
	{
		{	/* SawMill/defs.scm 49 */
			return
				(((BgL_rtl_instanceofz00_bglt) COBJECT(
						((BgL_rtl_instanceofz00_bglt) BgL_oz00_8321)))->BgL_typez00);
		}

	}



/* &<@anonymous:2431> */
	obj_t BGl_z62zc3z04anonymousza32431ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8322,
		obj_t BgL_new1242z00_8323)
	{
		{	/* SawMill/defs.scm 48 */
			{
				BgL_rtl_vlengthz00_bglt BgL_auxz00_14437;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_vlengthz00_bglt) BgL_new1242z00_8323))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14441;

					{	/* SawMill/defs.scm 48 */
						obj_t BgL_classz00_9865;

						BgL_classz00_9865 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 48 */
							obj_t BgL__ortest_1117z00_9866;

							BgL__ortest_1117z00_9866 = BGL_CLASS_NIL(BgL_classz00_9865);
							if (CBOOL(BgL__ortest_1117z00_9866))
								{	/* SawMill/defs.scm 48 */
									BgL_auxz00_14441 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9866);
								}
							else
								{	/* SawMill/defs.scm 48 */
									BgL_auxz00_14441 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9865));
								}
						}
					}
					((((BgL_rtl_vlengthz00_bglt) COBJECT(
									((BgL_rtl_vlengthz00_bglt) BgL_new1242z00_8323)))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_14441), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_14450;

					{	/* SawMill/defs.scm 48 */
						obj_t BgL_classz00_9867;

						BgL_classz00_9867 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 48 */
							obj_t BgL__ortest_1117z00_9868;

							BgL__ortest_1117z00_9868 = BGL_CLASS_NIL(BgL_classz00_9867);
							if (CBOOL(BgL__ortest_1117z00_9868))
								{	/* SawMill/defs.scm 48 */
									BgL_auxz00_14450 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9868);
								}
							else
								{	/* SawMill/defs.scm 48 */
									BgL_auxz00_14450 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9867));
								}
						}
					}
					((((BgL_rtl_vlengthz00_bglt) COBJECT(
									((BgL_rtl_vlengthz00_bglt) BgL_new1242z00_8323)))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_14450), BUNSPEC);
				}
				BgL_auxz00_14437 = ((BgL_rtl_vlengthz00_bglt) BgL_new1242z00_8323);
				return ((obj_t) BgL_auxz00_14437);
			}
		}

	}



/* &lambda2429 */
	BgL_rtl_vlengthz00_bglt BGl_z62lambda2429z62zzsaw_defsz00(obj_t
		BgL_envz00_8324)
	{
		{	/* SawMill/defs.scm 48 */
			{	/* SawMill/defs.scm 48 */
				BgL_rtl_vlengthz00_bglt BgL_new1241z00_9869;

				BgL_new1241z00_9869 =
					((BgL_rtl_vlengthz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_vlengthz00_bgl))));
				{	/* SawMill/defs.scm 48 */
					long BgL_arg2430z00_9870;

					BgL_arg2430z00_9870 = BGL_CLASS_NUM(BGl_rtl_vlengthz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1241z00_9869), BgL_arg2430z00_9870);
				}
				return BgL_new1241z00_9869;
			}
		}

	}



/* &lambda2426 */
	BgL_rtl_vlengthz00_bglt BGl_z62lambda2426z62zzsaw_defsz00(obj_t
		BgL_envz00_8325, obj_t BgL_loc1238z00_8326, obj_t BgL_type1239z00_8327,
		obj_t BgL_vtype1240z00_8328)
	{
		{	/* SawMill/defs.scm 48 */
			{	/* SawMill/defs.scm 48 */
				BgL_rtl_vlengthz00_bglt BgL_new1511z00_9873;

				{	/* SawMill/defs.scm 48 */
					BgL_rtl_vlengthz00_bglt BgL_new1510z00_9874;

					BgL_new1510z00_9874 =
						((BgL_rtl_vlengthz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_vlengthz00_bgl))));
					{	/* SawMill/defs.scm 48 */
						long BgL_arg2428z00_9875;

						BgL_arg2428z00_9875 =
							BGL_CLASS_NUM(BGl_rtl_vlengthz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1510z00_9874), BgL_arg2428z00_9875);
					}
					BgL_new1511z00_9873 = BgL_new1510z00_9874;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1511z00_9873)))->BgL_locz00) =
					((obj_t) BgL_loc1238z00_8326), BUNSPEC);
				((((BgL_rtl_vlengthz00_bglt) COBJECT(BgL_new1511z00_9873))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1239z00_8327)),
					BUNSPEC);
				((((BgL_rtl_vlengthz00_bglt) COBJECT(BgL_new1511z00_9873))->
						BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1240z00_8328)),
					BUNSPEC);
				return BgL_new1511z00_9873;
			}
		}

	}



/* &lambda2451 */
	obj_t BGl_z62lambda2451z62zzsaw_defsz00(obj_t BgL_envz00_8329,
		obj_t BgL_oz00_8330, obj_t BgL_vz00_8331)
	{
		{	/* SawMill/defs.scm 48 */
			return
				((((BgL_rtl_vlengthz00_bglt) COBJECT(
							((BgL_rtl_vlengthz00_bglt) BgL_oz00_8330)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8331)), BUNSPEC);
		}

	}



/* &lambda2450 */
	BgL_typez00_bglt BGl_z62lambda2450z62zzsaw_defsz00(obj_t BgL_envz00_8332,
		obj_t BgL_oz00_8333)
	{
		{	/* SawMill/defs.scm 48 */
			return
				(((BgL_rtl_vlengthz00_bglt) COBJECT(
						((BgL_rtl_vlengthz00_bglt) BgL_oz00_8333)))->BgL_vtypez00);
		}

	}



/* &lambda2441 */
	obj_t BGl_z62lambda2441z62zzsaw_defsz00(obj_t BgL_envz00_8334,
		obj_t BgL_oz00_8335, obj_t BgL_vz00_8336)
	{
		{	/* SawMill/defs.scm 48 */
			return
				((((BgL_rtl_vlengthz00_bglt) COBJECT(
							((BgL_rtl_vlengthz00_bglt) BgL_oz00_8335)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8336)), BUNSPEC);
		}

	}



/* &lambda2440 */
	BgL_typez00_bglt BGl_z62lambda2440z62zzsaw_defsz00(obj_t BgL_envz00_8337,
		obj_t BgL_oz00_8338)
	{
		{	/* SawMill/defs.scm 48 */
			return
				(((BgL_rtl_vlengthz00_bglt) COBJECT(
						((BgL_rtl_vlengthz00_bglt) BgL_oz00_8338)))->BgL_typez00);
		}

	}



/* &<@anonymous:2404> */
	obj_t BGl_z62zc3z04anonymousza32404ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8339,
		obj_t BgL_new1236z00_8340)
	{
		{	/* SawMill/defs.scm 47 */
			{
				BgL_rtl_vrefz00_bglt BgL_auxz00_14485;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_vrefz00_bglt) BgL_new1236z00_8340))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14489;

					{	/* SawMill/defs.scm 47 */
						obj_t BgL_classz00_9883;

						BgL_classz00_9883 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 47 */
							obj_t BgL__ortest_1117z00_9884;

							BgL__ortest_1117z00_9884 = BGL_CLASS_NIL(BgL_classz00_9883);
							if (CBOOL(BgL__ortest_1117z00_9884))
								{	/* SawMill/defs.scm 47 */
									BgL_auxz00_14489 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9884);
								}
							else
								{	/* SawMill/defs.scm 47 */
									BgL_auxz00_14489 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9883));
								}
						}
					}
					((((BgL_rtl_vrefz00_bglt) COBJECT(
									((BgL_rtl_vrefz00_bglt) BgL_new1236z00_8340)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_14489), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_14498;

					{	/* SawMill/defs.scm 47 */
						obj_t BgL_classz00_9885;

						BgL_classz00_9885 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 47 */
							obj_t BgL__ortest_1117z00_9886;

							BgL__ortest_1117z00_9886 = BGL_CLASS_NIL(BgL_classz00_9885);
							if (CBOOL(BgL__ortest_1117z00_9886))
								{	/* SawMill/defs.scm 47 */
									BgL_auxz00_14498 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9886);
								}
							else
								{	/* SawMill/defs.scm 47 */
									BgL_auxz00_14498 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9885));
								}
						}
					}
					((((BgL_rtl_vrefz00_bglt) COBJECT(
									((BgL_rtl_vrefz00_bglt) BgL_new1236z00_8340)))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_14498), BUNSPEC);
				}
				BgL_auxz00_14485 = ((BgL_rtl_vrefz00_bglt) BgL_new1236z00_8340);
				return ((obj_t) BgL_auxz00_14485);
			}
		}

	}



/* &lambda2402 */
	BgL_rtl_vrefz00_bglt BGl_z62lambda2402z62zzsaw_defsz00(obj_t BgL_envz00_8341)
	{
		{	/* SawMill/defs.scm 47 */
			{	/* SawMill/defs.scm 47 */
				BgL_rtl_vrefz00_bglt BgL_new1235z00_9887;

				BgL_new1235z00_9887 =
					((BgL_rtl_vrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_vrefz00_bgl))));
				{	/* SawMill/defs.scm 47 */
					long BgL_arg2403z00_9888;

					BgL_arg2403z00_9888 = BGL_CLASS_NUM(BGl_rtl_vrefz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1235z00_9887), BgL_arg2403z00_9888);
				}
				return BgL_new1235z00_9887;
			}
		}

	}



/* &lambda2399 */
	BgL_rtl_vrefz00_bglt BGl_z62lambda2399z62zzsaw_defsz00(obj_t BgL_envz00_8342,
		obj_t BgL_loc1232z00_8343, obj_t BgL_type1233z00_8344,
		obj_t BgL_vtype1234z00_8345)
	{
		{	/* SawMill/defs.scm 47 */
			{	/* SawMill/defs.scm 47 */
				BgL_rtl_vrefz00_bglt BgL_new1509z00_9891;

				{	/* SawMill/defs.scm 47 */
					BgL_rtl_vrefz00_bglt BgL_new1508z00_9892;

					BgL_new1508z00_9892 =
						((BgL_rtl_vrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_vrefz00_bgl))));
					{	/* SawMill/defs.scm 47 */
						long BgL_arg2401z00_9893;

						BgL_arg2401z00_9893 = BGL_CLASS_NUM(BGl_rtl_vrefz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1508z00_9892), BgL_arg2401z00_9893);
					}
					BgL_new1509z00_9891 = BgL_new1508z00_9892;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1509z00_9891)))->BgL_locz00) =
					((obj_t) BgL_loc1232z00_8343), BUNSPEC);
				((((BgL_rtl_vrefz00_bglt) COBJECT(BgL_new1509z00_9891))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1233z00_8344)),
					BUNSPEC);
				((((BgL_rtl_vrefz00_bglt) COBJECT(BgL_new1509z00_9891))->BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1234z00_8345)),
					BUNSPEC);
				return BgL_new1509z00_9891;
			}
		}

	}



/* &lambda2420 */
	obj_t BGl_z62lambda2420z62zzsaw_defsz00(obj_t BgL_envz00_8346,
		obj_t BgL_oz00_8347, obj_t BgL_vz00_8348)
	{
		{	/* SawMill/defs.scm 47 */
			return
				((((BgL_rtl_vrefz00_bglt) COBJECT(
							((BgL_rtl_vrefz00_bglt) BgL_oz00_8347)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8348)), BUNSPEC);
		}

	}



/* &lambda2419 */
	BgL_typez00_bglt BGl_z62lambda2419z62zzsaw_defsz00(obj_t BgL_envz00_8349,
		obj_t BgL_oz00_8350)
	{
		{	/* SawMill/defs.scm 47 */
			return
				(((BgL_rtl_vrefz00_bglt) COBJECT(
						((BgL_rtl_vrefz00_bglt) BgL_oz00_8350)))->BgL_vtypez00);
		}

	}



/* &lambda2413 */
	obj_t BGl_z62lambda2413z62zzsaw_defsz00(obj_t BgL_envz00_8351,
		obj_t BgL_oz00_8352, obj_t BgL_vz00_8353)
	{
		{	/* SawMill/defs.scm 47 */
			return
				((((BgL_rtl_vrefz00_bglt) COBJECT(
							((BgL_rtl_vrefz00_bglt) BgL_oz00_8352)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8353)), BUNSPEC);
		}

	}



/* &lambda2412 */
	BgL_typez00_bglt BGl_z62lambda2412z62zzsaw_defsz00(obj_t BgL_envz00_8354,
		obj_t BgL_oz00_8355)
	{
		{	/* SawMill/defs.scm 47 */
			return
				(((BgL_rtl_vrefz00_bglt) COBJECT(
						((BgL_rtl_vrefz00_bglt) BgL_oz00_8355)))->BgL_typez00);
		}

	}



/* &<@anonymous:2376> */
	obj_t BGl_z62zc3z04anonymousza32376ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8356,
		obj_t BgL_new1229z00_8357)
	{
		{	/* SawMill/defs.scm 46 */
			{
				BgL_rtl_vallocz00_bglt BgL_auxz00_14533;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_vallocz00_bglt) BgL_new1229z00_8357))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14537;

					{	/* SawMill/defs.scm 46 */
						obj_t BgL_classz00_9901;

						BgL_classz00_9901 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 46 */
							obj_t BgL__ortest_1117z00_9902;

							BgL__ortest_1117z00_9902 = BGL_CLASS_NIL(BgL_classz00_9901);
							if (CBOOL(BgL__ortest_1117z00_9902))
								{	/* SawMill/defs.scm 46 */
									BgL_auxz00_14537 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9902);
								}
							else
								{	/* SawMill/defs.scm 46 */
									BgL_auxz00_14537 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9901));
								}
						}
					}
					((((BgL_rtl_vallocz00_bglt) COBJECT(
									((BgL_rtl_vallocz00_bglt) BgL_new1229z00_8357)))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_14537), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_14546;

					{	/* SawMill/defs.scm 46 */
						obj_t BgL_classz00_9903;

						BgL_classz00_9903 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 46 */
							obj_t BgL__ortest_1117z00_9904;

							BgL__ortest_1117z00_9904 = BGL_CLASS_NIL(BgL_classz00_9903);
							if (CBOOL(BgL__ortest_1117z00_9904))
								{	/* SawMill/defs.scm 46 */
									BgL_auxz00_14546 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9904);
								}
							else
								{	/* SawMill/defs.scm 46 */
									BgL_auxz00_14546 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9903));
								}
						}
					}
					((((BgL_rtl_vallocz00_bglt) COBJECT(
									((BgL_rtl_vallocz00_bglt) BgL_new1229z00_8357)))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_14546), BUNSPEC);
				}
				BgL_auxz00_14533 = ((BgL_rtl_vallocz00_bglt) BgL_new1229z00_8357);
				return ((obj_t) BgL_auxz00_14533);
			}
		}

	}



/* &lambda2374 */
	BgL_rtl_vallocz00_bglt BGl_z62lambda2374z62zzsaw_defsz00(obj_t
		BgL_envz00_8358)
	{
		{	/* SawMill/defs.scm 46 */
			{	/* SawMill/defs.scm 46 */
				BgL_rtl_vallocz00_bglt BgL_new1227z00_9905;

				BgL_new1227z00_9905 =
					((BgL_rtl_vallocz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_vallocz00_bgl))));
				{	/* SawMill/defs.scm 46 */
					long BgL_arg2375z00_9906;

					BgL_arg2375z00_9906 = BGL_CLASS_NUM(BGl_rtl_vallocz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1227z00_9905), BgL_arg2375z00_9906);
				}
				return BgL_new1227z00_9905;
			}
		}

	}



/* &lambda2372 */
	BgL_rtl_vallocz00_bglt BGl_z62lambda2372z62zzsaw_defsz00(obj_t
		BgL_envz00_8359, obj_t BgL_loc1224z00_8360, obj_t BgL_type1225z00_8361,
		obj_t BgL_vtype1226z00_8362)
	{
		{	/* SawMill/defs.scm 46 */
			{	/* SawMill/defs.scm 46 */
				BgL_rtl_vallocz00_bglt BgL_new1507z00_9909;

				{	/* SawMill/defs.scm 46 */
					BgL_rtl_vallocz00_bglt BgL_new1506z00_9910;

					BgL_new1506z00_9910 =
						((BgL_rtl_vallocz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_vallocz00_bgl))));
					{	/* SawMill/defs.scm 46 */
						long BgL_arg2373z00_9911;

						BgL_arg2373z00_9911 = BGL_CLASS_NUM(BGl_rtl_vallocz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1506z00_9910), BgL_arg2373z00_9911);
					}
					BgL_new1507z00_9909 = BgL_new1506z00_9910;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1507z00_9909)))->BgL_locz00) =
					((obj_t) BgL_loc1224z00_8360), BUNSPEC);
				((((BgL_rtl_vallocz00_bglt) COBJECT(BgL_new1507z00_9909))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1225z00_8361)),
					BUNSPEC);
				((((BgL_rtl_vallocz00_bglt) COBJECT(BgL_new1507z00_9909))->
						BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1226z00_8362)),
					BUNSPEC);
				return BgL_new1507z00_9909;
			}
		}

	}



/* &lambda2389 */
	obj_t BGl_z62lambda2389z62zzsaw_defsz00(obj_t BgL_envz00_8363,
		obj_t BgL_oz00_8364, obj_t BgL_vz00_8365)
	{
		{	/* SawMill/defs.scm 46 */
			return
				((((BgL_rtl_vallocz00_bglt) COBJECT(
							((BgL_rtl_vallocz00_bglt) BgL_oz00_8364)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8365)), BUNSPEC);
		}

	}



/* &lambda2388 */
	BgL_typez00_bglt BGl_z62lambda2388z62zzsaw_defsz00(obj_t BgL_envz00_8366,
		obj_t BgL_oz00_8367)
	{
		{	/* SawMill/defs.scm 46 */
			return
				(((BgL_rtl_vallocz00_bglt) COBJECT(
						((BgL_rtl_vallocz00_bglt) BgL_oz00_8367)))->BgL_vtypez00);
		}

	}



/* &lambda2382 */
	obj_t BGl_z62lambda2382z62zzsaw_defsz00(obj_t BgL_envz00_8368,
		obj_t BgL_oz00_8369, obj_t BgL_vz00_8370)
	{
		{	/* SawMill/defs.scm 46 */
			return
				((((BgL_rtl_vallocz00_bglt) COBJECT(
							((BgL_rtl_vallocz00_bglt) BgL_oz00_8369)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8370)), BUNSPEC);
		}

	}



/* &lambda2381 */
	BgL_typez00_bglt BGl_z62lambda2381z62zzsaw_defsz00(obj_t BgL_envz00_8371,
		obj_t BgL_oz00_8372)
	{
		{	/* SawMill/defs.scm 46 */
			return
				(((BgL_rtl_vallocz00_bglt) COBJECT(
						((BgL_rtl_vallocz00_bglt) BgL_oz00_8372)))->BgL_typez00);
		}

	}



/* &<@anonymous:2343> */
	obj_t BGl_z62zc3z04anonymousza32343ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8373,
		obj_t BgL_new1222z00_8374)
	{
		{	/* SawMill/defs.scm 45 */
			{
				BgL_rtl_getfieldz00_bglt BgL_auxz00_14581;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_getfieldz00_bglt) BgL_new1222z00_8374))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_getfieldz00_bglt) COBJECT(((BgL_rtl_getfieldz00_bglt)
									BgL_new1222z00_8374)))->BgL_namez00) =
					((obj_t) BGl_string3517z00zzsaw_defsz00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14587;

					{	/* SawMill/defs.scm 45 */
						obj_t BgL_classz00_9919;

						BgL_classz00_9919 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 45 */
							obj_t BgL__ortest_1117z00_9920;

							BgL__ortest_1117z00_9920 = BGL_CLASS_NIL(BgL_classz00_9919);
							if (CBOOL(BgL__ortest_1117z00_9920))
								{	/* SawMill/defs.scm 45 */
									BgL_auxz00_14587 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9920);
								}
							else
								{	/* SawMill/defs.scm 45 */
									BgL_auxz00_14587 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9919));
								}
						}
					}
					((((BgL_rtl_getfieldz00_bglt) COBJECT(
									((BgL_rtl_getfieldz00_bglt) BgL_new1222z00_8374)))->
							BgL_objtypez00) = ((BgL_typez00_bglt) BgL_auxz00_14587), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_14596;

					{	/* SawMill/defs.scm 45 */
						obj_t BgL_classz00_9921;

						BgL_classz00_9921 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 45 */
							obj_t BgL__ortest_1117z00_9922;

							BgL__ortest_1117z00_9922 = BGL_CLASS_NIL(BgL_classz00_9921);
							if (CBOOL(BgL__ortest_1117z00_9922))
								{	/* SawMill/defs.scm 45 */
									BgL_auxz00_14596 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9922);
								}
							else
								{	/* SawMill/defs.scm 45 */
									BgL_auxz00_14596 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9921));
								}
						}
					}
					((((BgL_rtl_getfieldz00_bglt) COBJECT(
									((BgL_rtl_getfieldz00_bglt) BgL_new1222z00_8374)))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_14596), BUNSPEC);
				}
				BgL_auxz00_14581 = ((BgL_rtl_getfieldz00_bglt) BgL_new1222z00_8374);
				return ((obj_t) BgL_auxz00_14581);
			}
		}

	}



/* &lambda2341 */
	BgL_rtl_getfieldz00_bglt BGl_z62lambda2341z62zzsaw_defsz00(obj_t
		BgL_envz00_8375)
	{
		{	/* SawMill/defs.scm 45 */
			{	/* SawMill/defs.scm 45 */
				BgL_rtl_getfieldz00_bglt BgL_new1221z00_9923;

				BgL_new1221z00_9923 =
					((BgL_rtl_getfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_getfieldz00_bgl))));
				{	/* SawMill/defs.scm 45 */
					long BgL_arg2342z00_9924;

					BgL_arg2342z00_9924 = BGL_CLASS_NUM(BGl_rtl_getfieldz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1221z00_9923), BgL_arg2342z00_9924);
				}
				return BgL_new1221z00_9923;
			}
		}

	}



/* &lambda2339 */
	BgL_rtl_getfieldz00_bglt BGl_z62lambda2339z62zzsaw_defsz00(obj_t
		BgL_envz00_8376, obj_t BgL_loc1217z00_8377, obj_t BgL_name1218z00_8378,
		obj_t BgL_objtype1219z00_8379, obj_t BgL_type1220z00_8380)
	{
		{	/* SawMill/defs.scm 45 */
			{	/* SawMill/defs.scm 45 */
				BgL_rtl_getfieldz00_bglt BgL_new1505z00_9928;

				{	/* SawMill/defs.scm 45 */
					BgL_rtl_getfieldz00_bglt BgL_new1504z00_9929;

					BgL_new1504z00_9929 =
						((BgL_rtl_getfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_getfieldz00_bgl))));
					{	/* SawMill/defs.scm 45 */
						long BgL_arg2340z00_9930;

						BgL_arg2340z00_9930 =
							BGL_CLASS_NUM(BGl_rtl_getfieldz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1504z00_9929), BgL_arg2340z00_9930);
					}
					BgL_new1505z00_9928 = BgL_new1504z00_9929;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1505z00_9928)))->BgL_locz00) =
					((obj_t) BgL_loc1217z00_8377), BUNSPEC);
				((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_new1505z00_9928))->
						BgL_namez00) = ((obj_t) ((obj_t) BgL_name1218z00_8378)), BUNSPEC);
				((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_new1505z00_9928))->
						BgL_objtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_objtype1219z00_8379)),
					BUNSPEC);
				((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_new1505z00_9928))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1220z00_8380)),
					BUNSPEC);
				return BgL_new1505z00_9928;
			}
		}

	}



/* &lambda2362 */
	obj_t BGl_z62lambda2362z62zzsaw_defsz00(obj_t BgL_envz00_8381,
		obj_t BgL_oz00_8382, obj_t BgL_vz00_8383)
	{
		{	/* SawMill/defs.scm 45 */
			return
				((((BgL_rtl_getfieldz00_bglt) COBJECT(
							((BgL_rtl_getfieldz00_bglt) BgL_oz00_8382)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8383)), BUNSPEC);
		}

	}



/* &lambda2361 */
	BgL_typez00_bglt BGl_z62lambda2361z62zzsaw_defsz00(obj_t BgL_envz00_8384,
		obj_t BgL_oz00_8385)
	{
		{	/* SawMill/defs.scm 45 */
			return
				(((BgL_rtl_getfieldz00_bglt) COBJECT(
						((BgL_rtl_getfieldz00_bglt) BgL_oz00_8385)))->BgL_typez00);
		}

	}



/* &lambda2356 */
	obj_t BGl_z62lambda2356z62zzsaw_defsz00(obj_t BgL_envz00_8386,
		obj_t BgL_oz00_8387, obj_t BgL_vz00_8388)
	{
		{	/* SawMill/defs.scm 45 */
			return
				((((BgL_rtl_getfieldz00_bglt) COBJECT(
							((BgL_rtl_getfieldz00_bglt) BgL_oz00_8387)))->BgL_objtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8388)), BUNSPEC);
		}

	}



/* &lambda2355 */
	BgL_typez00_bglt BGl_z62lambda2355z62zzsaw_defsz00(obj_t BgL_envz00_8389,
		obj_t BgL_oz00_8390)
	{
		{	/* SawMill/defs.scm 45 */
			return
				(((BgL_rtl_getfieldz00_bglt) COBJECT(
						((BgL_rtl_getfieldz00_bglt) BgL_oz00_8390)))->BgL_objtypez00);
		}

	}



/* &lambda2350 */
	obj_t BGl_z62lambda2350z62zzsaw_defsz00(obj_t BgL_envz00_8391,
		obj_t BgL_oz00_8392, obj_t BgL_vz00_8393)
	{
		{	/* SawMill/defs.scm 45 */
			return
				((((BgL_rtl_getfieldz00_bglt) COBJECT(
							((BgL_rtl_getfieldz00_bglt) BgL_oz00_8392)))->BgL_namez00) =
				((obj_t) ((obj_t) BgL_vz00_8393)), BUNSPEC);
		}

	}



/* &lambda2349 */
	obj_t BGl_z62lambda2349z62zzsaw_defsz00(obj_t BgL_envz00_8394,
		obj_t BgL_oz00_8395)
	{
		{	/* SawMill/defs.scm 45 */
			return
				(((BgL_rtl_getfieldz00_bglt) COBJECT(
						((BgL_rtl_getfieldz00_bglt) BgL_oz00_8395)))->BgL_namez00);
		}

	}



/* &<@anonymous:2326> */
	obj_t BGl_z62zc3z04anonymousza32326ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8396,
		obj_t BgL_new1215z00_8397)
	{
		{	/* SawMill/defs.scm 44 */
			{
				BgL_rtl_globalrefz00_bglt BgL_auxz00_14638;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_globalrefz00_bglt) BgL_new1215z00_8397))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_globalz00_bglt BgL_auxz00_14642;

					{	/* SawMill/defs.scm 44 */
						obj_t BgL_classz00_9941;

						BgL_classz00_9941 = BGl_globalz00zzast_varz00;
						{	/* SawMill/defs.scm 44 */
							obj_t BgL__ortest_1117z00_9942;

							BgL__ortest_1117z00_9942 = BGL_CLASS_NIL(BgL_classz00_9941);
							if (CBOOL(BgL__ortest_1117z00_9942))
								{	/* SawMill/defs.scm 44 */
									BgL_auxz00_14642 =
										((BgL_globalz00_bglt) BgL__ortest_1117z00_9942);
								}
							else
								{	/* SawMill/defs.scm 44 */
									BgL_auxz00_14642 =
										((BgL_globalz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9941));
								}
						}
					}
					((((BgL_rtl_globalrefz00_bglt) COBJECT(
									((BgL_rtl_globalrefz00_bglt) BgL_new1215z00_8397)))->
							BgL_varz00) = ((BgL_globalz00_bglt) BgL_auxz00_14642), BUNSPEC);
				}
				BgL_auxz00_14638 = ((BgL_rtl_globalrefz00_bglt) BgL_new1215z00_8397);
				return ((obj_t) BgL_auxz00_14638);
			}
		}

	}



/* &lambda2324 */
	BgL_rtl_globalrefz00_bglt BGl_z62lambda2324z62zzsaw_defsz00(obj_t
		BgL_envz00_8398)
	{
		{	/* SawMill/defs.scm 44 */
			{	/* SawMill/defs.scm 44 */
				BgL_rtl_globalrefz00_bglt BgL_new1214z00_9943;

				BgL_new1214z00_9943 =
					((BgL_rtl_globalrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_globalrefz00_bgl))));
				{	/* SawMill/defs.scm 44 */
					long BgL_arg2325z00_9944;

					BgL_arg2325z00_9944 =
						BGL_CLASS_NUM(BGl_rtl_globalrefz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1214z00_9943), BgL_arg2325z00_9944);
				}
				return BgL_new1214z00_9943;
			}
		}

	}



/* &lambda2322 */
	BgL_rtl_globalrefz00_bglt BGl_z62lambda2322z62zzsaw_defsz00(obj_t
		BgL_envz00_8399, obj_t BgL_loc1212z00_8400, obj_t BgL_var1213z00_8401)
	{
		{	/* SawMill/defs.scm 44 */
			{	/* SawMill/defs.scm 44 */
				BgL_rtl_globalrefz00_bglt BgL_new1503z00_9946;

				{	/* SawMill/defs.scm 44 */
					BgL_rtl_globalrefz00_bglt BgL_new1502z00_9947;

					BgL_new1502z00_9947 =
						((BgL_rtl_globalrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_globalrefz00_bgl))));
					{	/* SawMill/defs.scm 44 */
						long BgL_arg2323z00_9948;

						BgL_arg2323z00_9948 =
							BGL_CLASS_NUM(BGl_rtl_globalrefz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1502z00_9947), BgL_arg2323z00_9948);
					}
					BgL_new1503z00_9946 = BgL_new1502z00_9947;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1503z00_9946)))->BgL_locz00) =
					((obj_t) BgL_loc1212z00_8400), BUNSPEC);
				((((BgL_rtl_globalrefz00_bglt) COBJECT(BgL_new1503z00_9946))->
						BgL_varz00) =
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_var1213z00_8401)),
					BUNSPEC);
				return BgL_new1503z00_9946;
			}
		}

	}



/* &lambda2331 */
	obj_t BGl_z62lambda2331z62zzsaw_defsz00(obj_t BgL_envz00_8402,
		obj_t BgL_oz00_8403, obj_t BgL_vz00_8404)
	{
		{	/* SawMill/defs.scm 44 */
			return
				((((BgL_rtl_globalrefz00_bglt) COBJECT(
							((BgL_rtl_globalrefz00_bglt) BgL_oz00_8403)))->BgL_varz00) =
				((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_vz00_8404)), BUNSPEC);
		}

	}



/* &lambda2330 */
	BgL_globalz00_bglt BGl_z62lambda2330z62zzsaw_defsz00(obj_t BgL_envz00_8405,
		obj_t BgL_oz00_8406)
	{
		{	/* SawMill/defs.scm 44 */
			return
				(((BgL_rtl_globalrefz00_bglt) COBJECT(
						((BgL_rtl_globalrefz00_bglt) BgL_oz00_8406)))->BgL_varz00);
		}

	}



/* &<@anonymous:2308> */
	obj_t BGl_z62zc3z04anonymousza32308ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8407,
		obj_t BgL_new1210z00_8408)
	{
		{	/* SawMill/defs.scm 43 */
			{
				BgL_rtl_loadfunz00_bglt BgL_auxz00_14670;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_loadfunz00_bglt) BgL_new1210z00_8408))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_globalz00_bglt BgL_auxz00_14674;

					{	/* SawMill/defs.scm 43 */
						obj_t BgL_classz00_9953;

						BgL_classz00_9953 = BGl_globalz00zzast_varz00;
						{	/* SawMill/defs.scm 43 */
							obj_t BgL__ortest_1117z00_9954;

							BgL__ortest_1117z00_9954 = BGL_CLASS_NIL(BgL_classz00_9953);
							if (CBOOL(BgL__ortest_1117z00_9954))
								{	/* SawMill/defs.scm 43 */
									BgL_auxz00_14674 =
										((BgL_globalz00_bglt) BgL__ortest_1117z00_9954);
								}
							else
								{	/* SawMill/defs.scm 43 */
									BgL_auxz00_14674 =
										((BgL_globalz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9953));
								}
						}
					}
					((((BgL_rtl_loadfunz00_bglt) COBJECT(
									((BgL_rtl_loadfunz00_bglt) BgL_new1210z00_8408)))->
							BgL_varz00) = ((BgL_globalz00_bglt) BgL_auxz00_14674), BUNSPEC);
				}
				BgL_auxz00_14670 = ((BgL_rtl_loadfunz00_bglt) BgL_new1210z00_8408);
				return ((obj_t) BgL_auxz00_14670);
			}
		}

	}



/* &lambda2306 */
	BgL_rtl_loadfunz00_bglt BGl_z62lambda2306z62zzsaw_defsz00(obj_t
		BgL_envz00_8409)
	{
		{	/* SawMill/defs.scm 43 */
			{	/* SawMill/defs.scm 43 */
				BgL_rtl_loadfunz00_bglt BgL_new1209z00_9955;

				BgL_new1209z00_9955 =
					((BgL_rtl_loadfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_loadfunz00_bgl))));
				{	/* SawMill/defs.scm 43 */
					long BgL_arg2307z00_9956;

					BgL_arg2307z00_9956 = BGL_CLASS_NUM(BGl_rtl_loadfunz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1209z00_9955), BgL_arg2307z00_9956);
				}
				return BgL_new1209z00_9955;
			}
		}

	}



/* &lambda2304 */
	BgL_rtl_loadfunz00_bglt BGl_z62lambda2304z62zzsaw_defsz00(obj_t
		BgL_envz00_8410, obj_t BgL_loc1207z00_8411, obj_t BgL_var1208z00_8412)
	{
		{	/* SawMill/defs.scm 43 */
			{	/* SawMill/defs.scm 43 */
				BgL_rtl_loadfunz00_bglt BgL_new1501z00_9958;

				{	/* SawMill/defs.scm 43 */
					BgL_rtl_loadfunz00_bglt BgL_new1500z00_9959;

					BgL_new1500z00_9959 =
						((BgL_rtl_loadfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_loadfunz00_bgl))));
					{	/* SawMill/defs.scm 43 */
						long BgL_arg2305z00_9960;

						BgL_arg2305z00_9960 =
							BGL_CLASS_NUM(BGl_rtl_loadfunz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1500z00_9959), BgL_arg2305z00_9960);
					}
					BgL_new1501z00_9958 = BgL_new1500z00_9959;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1501z00_9958)))->BgL_locz00) =
					((obj_t) BgL_loc1207z00_8411), BUNSPEC);
				((((BgL_rtl_loadfunz00_bglt) COBJECT(BgL_new1501z00_9958))->
						BgL_varz00) =
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_var1208z00_8412)),
					BUNSPEC);
				return BgL_new1501z00_9958;
			}
		}

	}



/* &lambda2315 */
	obj_t BGl_z62lambda2315z62zzsaw_defsz00(obj_t BgL_envz00_8413,
		obj_t BgL_oz00_8414, obj_t BgL_vz00_8415)
	{
		{	/* SawMill/defs.scm 43 */
			return
				((((BgL_rtl_loadfunz00_bglt) COBJECT(
							((BgL_rtl_loadfunz00_bglt) BgL_oz00_8414)))->BgL_varz00) =
				((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_vz00_8415)), BUNSPEC);
		}

	}



/* &lambda2314 */
	BgL_globalz00_bglt BGl_z62lambda2314z62zzsaw_defsz00(obj_t BgL_envz00_8416,
		obj_t BgL_oz00_8417)
	{
		{	/* SawMill/defs.scm 43 */
			return
				(((BgL_rtl_loadfunz00_bglt) COBJECT(
						((BgL_rtl_loadfunz00_bglt) BgL_oz00_8417)))->BgL_varz00);
		}

	}



/* &<@anonymous:2292> */
	obj_t BGl_z62zc3z04anonymousza32292ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8418,
		obj_t BgL_new1205z00_8419)
	{
		{	/* SawMill/defs.scm 42 */
			{
				BgL_rtl_loadgz00_bglt BgL_auxz00_14702;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_loadgz00_bglt) BgL_new1205z00_8419))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_globalz00_bglt BgL_auxz00_14706;

					{	/* SawMill/defs.scm 42 */
						obj_t BgL_classz00_9965;

						BgL_classz00_9965 = BGl_globalz00zzast_varz00;
						{	/* SawMill/defs.scm 42 */
							obj_t BgL__ortest_1117z00_9966;

							BgL__ortest_1117z00_9966 = BGL_CLASS_NIL(BgL_classz00_9965);
							if (CBOOL(BgL__ortest_1117z00_9966))
								{	/* SawMill/defs.scm 42 */
									BgL_auxz00_14706 =
										((BgL_globalz00_bglt) BgL__ortest_1117z00_9966);
								}
							else
								{	/* SawMill/defs.scm 42 */
									BgL_auxz00_14706 =
										((BgL_globalz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9965));
								}
						}
					}
					((((BgL_rtl_loadgz00_bglt) COBJECT(
									((BgL_rtl_loadgz00_bglt) BgL_new1205z00_8419)))->BgL_varz00) =
						((BgL_globalz00_bglt) BgL_auxz00_14706), BUNSPEC);
				}
				BgL_auxz00_14702 = ((BgL_rtl_loadgz00_bglt) BgL_new1205z00_8419);
				return ((obj_t) BgL_auxz00_14702);
			}
		}

	}



/* &lambda2290 */
	BgL_rtl_loadgz00_bglt BGl_z62lambda2290z62zzsaw_defsz00(obj_t BgL_envz00_8420)
	{
		{	/* SawMill/defs.scm 42 */
			{	/* SawMill/defs.scm 42 */
				BgL_rtl_loadgz00_bglt BgL_new1204z00_9967;

				BgL_new1204z00_9967 =
					((BgL_rtl_loadgz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_loadgz00_bgl))));
				{	/* SawMill/defs.scm 42 */
					long BgL_arg2291z00_9968;

					BgL_arg2291z00_9968 = BGL_CLASS_NUM(BGl_rtl_loadgz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1204z00_9967), BgL_arg2291z00_9968);
				}
				return BgL_new1204z00_9967;
			}
		}

	}



/* &lambda2288 */
	BgL_rtl_loadgz00_bglt BGl_z62lambda2288z62zzsaw_defsz00(obj_t BgL_envz00_8421,
		obj_t BgL_loc1202z00_8422, obj_t BgL_var1203z00_8423)
	{
		{	/* SawMill/defs.scm 42 */
			{	/* SawMill/defs.scm 42 */
				BgL_rtl_loadgz00_bglt BgL_new1499z00_9970;

				{	/* SawMill/defs.scm 42 */
					BgL_rtl_loadgz00_bglt BgL_new1498z00_9971;

					BgL_new1498z00_9971 =
						((BgL_rtl_loadgz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_loadgz00_bgl))));
					{	/* SawMill/defs.scm 42 */
						long BgL_arg2289z00_9972;

						BgL_arg2289z00_9972 = BGL_CLASS_NUM(BGl_rtl_loadgz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1498z00_9971), BgL_arg2289z00_9972);
					}
					BgL_new1499z00_9970 = BgL_new1498z00_9971;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1499z00_9970)))->BgL_locz00) =
					((obj_t) BgL_loc1202z00_8422), BUNSPEC);
				((((BgL_rtl_loadgz00_bglt) COBJECT(BgL_new1499z00_9970))->BgL_varz00) =
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_var1203z00_8423)),
					BUNSPEC);
				return BgL_new1499z00_9970;
			}
		}

	}



/* &lambda2297 */
	obj_t BGl_z62lambda2297z62zzsaw_defsz00(obj_t BgL_envz00_8424,
		obj_t BgL_oz00_8425, obj_t BgL_vz00_8426)
	{
		{	/* SawMill/defs.scm 42 */
			return
				((((BgL_rtl_loadgz00_bglt) COBJECT(
							((BgL_rtl_loadgz00_bglt) BgL_oz00_8425)))->BgL_varz00) =
				((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_vz00_8426)), BUNSPEC);
		}

	}



/* &lambda2296 */
	BgL_globalz00_bglt BGl_z62lambda2296z62zzsaw_defsz00(obj_t BgL_envz00_8427,
		obj_t BgL_oz00_8428)
	{
		{	/* SawMill/defs.scm 42 */
			return
				(((BgL_rtl_loadgz00_bglt) COBJECT(
						((BgL_rtl_loadgz00_bglt) BgL_oz00_8428)))->BgL_varz00);
		}

	}



/* &<@anonymous:2275> */
	obj_t BGl_z62zc3z04anonymousza32275ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8429,
		obj_t BgL_new1200z00_8430)
	{
		{	/* SawMill/defs.scm 41 */
			{
				BgL_rtl_loadiz00_bglt BgL_auxz00_14734;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_loadiz00_bglt) BgL_new1200z00_8430))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_atomz00_bglt BgL_auxz00_14738;

					{	/* SawMill/defs.scm 41 */
						obj_t BgL_classz00_9977;

						BgL_classz00_9977 = BGl_atomz00zzast_nodez00;
						{	/* SawMill/defs.scm 41 */
							obj_t BgL__ortest_1117z00_9978;

							BgL__ortest_1117z00_9978 = BGL_CLASS_NIL(BgL_classz00_9977);
							if (CBOOL(BgL__ortest_1117z00_9978))
								{	/* SawMill/defs.scm 41 */
									BgL_auxz00_14738 =
										((BgL_atomz00_bglt) BgL__ortest_1117z00_9978);
								}
							else
								{	/* SawMill/defs.scm 41 */
									BgL_auxz00_14738 =
										((BgL_atomz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9977));
								}
						}
					}
					((((BgL_rtl_loadiz00_bglt) COBJECT(
									((BgL_rtl_loadiz00_bglt) BgL_new1200z00_8430)))->
							BgL_constantz00) =
						((BgL_atomz00_bglt) BgL_auxz00_14738), BUNSPEC);
				}
				BgL_auxz00_14734 = ((BgL_rtl_loadiz00_bglt) BgL_new1200z00_8430);
				return ((obj_t) BgL_auxz00_14734);
			}
		}

	}



/* &lambda2273 */
	BgL_rtl_loadiz00_bglt BGl_z62lambda2273z62zzsaw_defsz00(obj_t BgL_envz00_8431)
	{
		{	/* SawMill/defs.scm 41 */
			{	/* SawMill/defs.scm 41 */
				BgL_rtl_loadiz00_bglt BgL_new1199z00_9979;

				BgL_new1199z00_9979 =
					((BgL_rtl_loadiz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_loadiz00_bgl))));
				{	/* SawMill/defs.scm 41 */
					long BgL_arg2274z00_9980;

					BgL_arg2274z00_9980 = BGL_CLASS_NUM(BGl_rtl_loadiz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1199z00_9979), BgL_arg2274z00_9980);
				}
				return BgL_new1199z00_9979;
			}
		}

	}



/* &lambda2271 */
	BgL_rtl_loadiz00_bglt BGl_z62lambda2271z62zzsaw_defsz00(obj_t BgL_envz00_8432,
		obj_t BgL_loc1197z00_8433, obj_t BgL_constant1198z00_8434)
	{
		{	/* SawMill/defs.scm 41 */
			{	/* SawMill/defs.scm 41 */
				BgL_rtl_loadiz00_bglt BgL_new1497z00_9982;

				{	/* SawMill/defs.scm 41 */
					BgL_rtl_loadiz00_bglt BgL_new1496z00_9983;

					BgL_new1496z00_9983 =
						((BgL_rtl_loadiz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_loadiz00_bgl))));
					{	/* SawMill/defs.scm 41 */
						long BgL_arg2272z00_9984;

						BgL_arg2272z00_9984 = BGL_CLASS_NUM(BGl_rtl_loadiz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1496z00_9983), BgL_arg2272z00_9984);
					}
					BgL_new1497z00_9982 = BgL_new1496z00_9983;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1497z00_9982)))->BgL_locz00) =
					((obj_t) BgL_loc1197z00_8433), BUNSPEC);
				((((BgL_rtl_loadiz00_bglt) COBJECT(BgL_new1497z00_9982))->
						BgL_constantz00) =
					((BgL_atomz00_bglt) ((BgL_atomz00_bglt) BgL_constant1198z00_8434)),
					BUNSPEC);
				return BgL_new1497z00_9982;
			}
		}

	}



/* &lambda2281 */
	obj_t BGl_z62lambda2281z62zzsaw_defsz00(obj_t BgL_envz00_8435,
		obj_t BgL_oz00_8436, obj_t BgL_vz00_8437)
	{
		{	/* SawMill/defs.scm 41 */
			return
				((((BgL_rtl_loadiz00_bglt) COBJECT(
							((BgL_rtl_loadiz00_bglt) BgL_oz00_8436)))->BgL_constantz00) =
				((BgL_atomz00_bglt) ((BgL_atomz00_bglt) BgL_vz00_8437)), BUNSPEC);
		}

	}



/* &lambda2280 */
	BgL_atomz00_bglt BGl_z62lambda2280z62zzsaw_defsz00(obj_t BgL_envz00_8438,
		obj_t BgL_oz00_8439)
	{
		{	/* SawMill/defs.scm 41 */
			return
				(((BgL_rtl_loadiz00_bglt) COBJECT(
						((BgL_rtl_loadiz00_bglt) BgL_oz00_8439)))->BgL_constantz00);
		}

	}



/* &<@anonymous:2265> */
	obj_t BGl_z62zc3z04anonymousza32265ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8440,
		obj_t BgL_new1195z00_8441)
	{
		{	/* SawMill/defs.scm 40 */
			{
				BgL_rtl_movz00_bglt BgL_auxz00_14766;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_movz00_bglt) BgL_new1195z00_8441))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_14766 = ((BgL_rtl_movz00_bglt) BgL_new1195z00_8441);
				return ((obj_t) BgL_auxz00_14766);
			}
		}

	}



/* &lambda2263 */
	BgL_rtl_movz00_bglt BGl_z62lambda2263z62zzsaw_defsz00(obj_t BgL_envz00_8442)
	{
		{	/* SawMill/defs.scm 40 */
			{	/* SawMill/defs.scm 40 */
				BgL_rtl_movz00_bglt BgL_new1194z00_9989;

				BgL_new1194z00_9989 =
					((BgL_rtl_movz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_movz00_bgl))));
				{	/* SawMill/defs.scm 40 */
					long BgL_arg2264z00_9990;

					BgL_arg2264z00_9990 = BGL_CLASS_NUM(BGl_rtl_movz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1194z00_9989), BgL_arg2264z00_9990);
				}
				return BgL_new1194z00_9989;
			}
		}

	}



/* &lambda2261 */
	BgL_rtl_movz00_bglt BGl_z62lambda2261z62zzsaw_defsz00(obj_t BgL_envz00_8443,
		obj_t BgL_loc1193z00_8444)
	{
		{	/* SawMill/defs.scm 40 */
			{	/* SawMill/defs.scm 40 */
				BgL_rtl_movz00_bglt BgL_new1495z00_9991;

				{	/* SawMill/defs.scm 40 */
					BgL_rtl_movz00_bglt BgL_new1494z00_9992;

					BgL_new1494z00_9992 =
						((BgL_rtl_movz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_movz00_bgl))));
					{	/* SawMill/defs.scm 40 */
						long BgL_arg2262z00_9993;

						BgL_arg2262z00_9993 = BGL_CLASS_NUM(BGl_rtl_movz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1494z00_9992), BgL_arg2262z00_9993);
					}
					BgL_new1495z00_9991 = BgL_new1494z00_9992;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1495z00_9991)))->BgL_locz00) =
					((obj_t) BgL_loc1193z00_8444), BUNSPEC);
				return BgL_new1495z00_9991;
			}
		}

	}



/* &<@anonymous:2255> */
	obj_t BGl_z62zc3z04anonymousza32255ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8445,
		obj_t BgL_new1191z00_8446)
	{
		{	/* SawMill/defs.scm 39 */
			{
				BgL_rtl_nopz00_bglt BgL_auxz00_14782;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_nopz00_bglt) BgL_new1191z00_8446))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_14782 = ((BgL_rtl_nopz00_bglt) BgL_new1191z00_8446);
				return ((obj_t) BgL_auxz00_14782);
			}
		}

	}



/* &lambda2253 */
	BgL_rtl_nopz00_bglt BGl_z62lambda2253z62zzsaw_defsz00(obj_t BgL_envz00_8447)
	{
		{	/* SawMill/defs.scm 39 */
			{	/* SawMill/defs.scm 39 */
				BgL_rtl_nopz00_bglt BgL_new1189z00_9995;

				BgL_new1189z00_9995 =
					((BgL_rtl_nopz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_nopz00_bgl))));
				{	/* SawMill/defs.scm 39 */
					long BgL_arg2254z00_9996;

					BgL_arg2254z00_9996 = BGL_CLASS_NUM(BGl_rtl_nopz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1189z00_9995), BgL_arg2254z00_9996);
				}
				return BgL_new1189z00_9995;
			}
		}

	}



/* &lambda2251 */
	BgL_rtl_nopz00_bglt BGl_z62lambda2251z62zzsaw_defsz00(obj_t BgL_envz00_8448,
		obj_t BgL_loc1188z00_8449)
	{
		{	/* SawMill/defs.scm 39 */
			{	/* SawMill/defs.scm 39 */
				BgL_rtl_nopz00_bglt BgL_new1493z00_9997;

				{	/* SawMill/defs.scm 39 */
					BgL_rtl_nopz00_bglt BgL_new1492z00_9998;

					BgL_new1492z00_9998 =
						((BgL_rtl_nopz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_nopz00_bgl))));
					{	/* SawMill/defs.scm 39 */
						long BgL_arg2252z00_9999;

						BgL_arg2252z00_9999 = BGL_CLASS_NUM(BGl_rtl_nopz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1492z00_9998), BgL_arg2252z00_9999);
					}
					BgL_new1493z00_9997 = BgL_new1492z00_9998;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1493z00_9997)))->BgL_locz00) =
					((obj_t) BgL_loc1188z00_8449), BUNSPEC);
				return BgL_new1493z00_9997;
			}
		}

	}



/* &<@anonymous:2245> */
	obj_t BGl_z62zc3z04anonymousza32245ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8450,
		obj_t BgL_new1186z00_8451)
	{
		{	/* SawMill/defs.scm 38 */
			{
				BgL_rtl_purez00_bglt BgL_auxz00_14798;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_purez00_bglt) BgL_new1186z00_8451))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_14798 = ((BgL_rtl_purez00_bglt) BgL_new1186z00_8451);
				return ((obj_t) BgL_auxz00_14798);
			}
		}

	}



/* &lambda2243 */
	BgL_rtl_purez00_bglt BGl_z62lambda2243z62zzsaw_defsz00(obj_t BgL_envz00_8452)
	{
		{	/* SawMill/defs.scm 38 */
			{	/* SawMill/defs.scm 38 */
				BgL_rtl_purez00_bglt BgL_new1183z00_10001;

				BgL_new1183z00_10001 =
					((BgL_rtl_purez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_purez00_bgl))));
				{	/* SawMill/defs.scm 38 */
					long BgL_arg2244z00_10002;

					BgL_arg2244z00_10002 = BGL_CLASS_NUM(BGl_rtl_purez00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1183z00_10001), BgL_arg2244z00_10002);
				}
				return BgL_new1183z00_10001;
			}
		}

	}



/* &lambda2241 */
	BgL_rtl_purez00_bglt BGl_z62lambda2241z62zzsaw_defsz00(obj_t BgL_envz00_8453,
		obj_t BgL_loc1182z00_8454)
	{
		{	/* SawMill/defs.scm 38 */
			{	/* SawMill/defs.scm 38 */
				BgL_rtl_purez00_bglt BgL_new1491z00_10003;

				{	/* SawMill/defs.scm 38 */
					BgL_rtl_purez00_bglt BgL_new1490z00_10004;

					BgL_new1490z00_10004 =
						((BgL_rtl_purez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_purez00_bgl))));
					{	/* SawMill/defs.scm 38 */
						long BgL_arg2242z00_10005;

						BgL_arg2242z00_10005 = BGL_CLASS_NUM(BGl_rtl_purez00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1490z00_10004),
							BgL_arg2242z00_10005);
					}
					BgL_new1491z00_10003 = BgL_new1490z00_10004;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1491z00_10003)))->BgL_locz00) =
					((obj_t) BgL_loc1182z00_8454), BUNSPEC);
				return BgL_new1491z00_10003;
			}
		}

	}



/* &<@anonymous:2228> */
	obj_t BGl_z62zc3z04anonymousza32228ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8455,
		obj_t BgL_new1180z00_8456)
	{
		{	/* SawMill/defs.scm 36 */
			{
				BgL_rtl_goz00_bglt BgL_auxz00_14814;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_goz00_bglt) BgL_new1180z00_8456))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_blockz00_bglt BgL_auxz00_14818;

					{	/* SawMill/defs.scm 36 */
						obj_t BgL_classz00_10007;

						BgL_classz00_10007 = BGl_blockz00zzsaw_defsz00;
						{	/* SawMill/defs.scm 36 */
							obj_t BgL__ortest_1117z00_10008;

							BgL__ortest_1117z00_10008 = BGL_CLASS_NIL(BgL_classz00_10007);
							if (CBOOL(BgL__ortest_1117z00_10008))
								{	/* SawMill/defs.scm 36 */
									BgL_auxz00_14818 =
										((BgL_blockz00_bglt) BgL__ortest_1117z00_10008);
								}
							else
								{	/* SawMill/defs.scm 36 */
									BgL_auxz00_14818 =
										((BgL_blockz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10007));
								}
						}
					}
					((((BgL_rtl_goz00_bglt) COBJECT(
									((BgL_rtl_goz00_bglt) BgL_new1180z00_8456)))->BgL_toz00) =
						((BgL_blockz00_bglt) BgL_auxz00_14818), BUNSPEC);
				}
				BgL_auxz00_14814 = ((BgL_rtl_goz00_bglt) BgL_new1180z00_8456);
				return ((obj_t) BgL_auxz00_14814);
			}
		}

	}



/* &lambda2226 */
	BgL_rtl_goz00_bglt BGl_z62lambda2226z62zzsaw_defsz00(obj_t BgL_envz00_8457)
	{
		{	/* SawMill/defs.scm 36 */
			{	/* SawMill/defs.scm 36 */
				BgL_rtl_goz00_bglt BgL_new1179z00_10009;

				BgL_new1179z00_10009 =
					((BgL_rtl_goz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_goz00_bgl))));
				{	/* SawMill/defs.scm 36 */
					long BgL_arg2227z00_10010;

					BgL_arg2227z00_10010 = BGL_CLASS_NUM(BGl_rtl_goz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1179z00_10009), BgL_arg2227z00_10010);
				}
				return BgL_new1179z00_10009;
			}
		}

	}



/* &lambda2224 */
	BgL_rtl_goz00_bglt BGl_z62lambda2224z62zzsaw_defsz00(obj_t BgL_envz00_8458,
		obj_t BgL_loc1177z00_8459, obj_t BgL_to1178z00_8460)
	{
		{	/* SawMill/defs.scm 36 */
			{	/* SawMill/defs.scm 36 */
				BgL_rtl_goz00_bglt BgL_new1489z00_10012;

				{	/* SawMill/defs.scm 36 */
					BgL_rtl_goz00_bglt BgL_new1488z00_10013;

					BgL_new1488z00_10013 =
						((BgL_rtl_goz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_goz00_bgl))));
					{	/* SawMill/defs.scm 36 */
						long BgL_arg2225z00_10014;

						BgL_arg2225z00_10014 = BGL_CLASS_NUM(BGl_rtl_goz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1488z00_10013),
							BgL_arg2225z00_10014);
					}
					BgL_new1489z00_10012 = BgL_new1488z00_10013;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1489z00_10012)))->BgL_locz00) =
					((obj_t) BgL_loc1177z00_8459), BUNSPEC);
				((((BgL_rtl_goz00_bglt) COBJECT(BgL_new1489z00_10012))->BgL_toz00) =
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_to1178z00_8460)),
					BUNSPEC);
				return BgL_new1489z00_10012;
			}
		}

	}



/* &lambda2235 */
	obj_t BGl_z62lambda2235z62zzsaw_defsz00(obj_t BgL_envz00_8461,
		obj_t BgL_oz00_8462, obj_t BgL_vz00_8463)
	{
		{	/* SawMill/defs.scm 36 */
			return
				((((BgL_rtl_goz00_bglt) COBJECT(
							((BgL_rtl_goz00_bglt) BgL_oz00_8462)))->BgL_toz00) =
				((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_vz00_8463)), BUNSPEC);
		}

	}



/* &lambda2234 */
	BgL_blockz00_bglt BGl_z62lambda2234z62zzsaw_defsz00(obj_t BgL_envz00_8464,
		obj_t BgL_oz00_8465)
	{
		{	/* SawMill/defs.scm 36 */
			return
				(((BgL_rtl_goz00_bglt) COBJECT(
						((BgL_rtl_goz00_bglt) BgL_oz00_8465)))->BgL_toz00);
		}

	}



/* &<@anonymous:2213> */
	obj_t BGl_z62zc3z04anonymousza32213ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8466,
		obj_t BgL_new1175z00_8467)
	{
		{	/* SawMill/defs.scm 35 */
			{
				BgL_rtl_ifnez00_bglt BgL_auxz00_14846;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_ifnez00_bglt) BgL_new1175z00_8467))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_blockz00_bglt BgL_auxz00_14850;

					{	/* SawMill/defs.scm 35 */
						obj_t BgL_classz00_10019;

						BgL_classz00_10019 = BGl_blockz00zzsaw_defsz00;
						{	/* SawMill/defs.scm 35 */
							obj_t BgL__ortest_1117z00_10020;

							BgL__ortest_1117z00_10020 = BGL_CLASS_NIL(BgL_classz00_10019);
							if (CBOOL(BgL__ortest_1117z00_10020))
								{	/* SawMill/defs.scm 35 */
									BgL_auxz00_14850 =
										((BgL_blockz00_bglt) BgL__ortest_1117z00_10020);
								}
							else
								{	/* SawMill/defs.scm 35 */
									BgL_auxz00_14850 =
										((BgL_blockz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10019));
								}
						}
					}
					((((BgL_rtl_ifnez00_bglt) COBJECT(
									((BgL_rtl_ifnez00_bglt) BgL_new1175z00_8467)))->BgL_thenz00) =
						((BgL_blockz00_bglt) BgL_auxz00_14850), BUNSPEC);
				}
				BgL_auxz00_14846 = ((BgL_rtl_ifnez00_bglt) BgL_new1175z00_8467);
				return ((obj_t) BgL_auxz00_14846);
			}
		}

	}



/* &lambda2211 */
	BgL_rtl_ifnez00_bglt BGl_z62lambda2211z62zzsaw_defsz00(obj_t BgL_envz00_8468)
	{
		{	/* SawMill/defs.scm 35 */
			{	/* SawMill/defs.scm 35 */
				BgL_rtl_ifnez00_bglt BgL_new1174z00_10021;

				BgL_new1174z00_10021 =
					((BgL_rtl_ifnez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_ifnez00_bgl))));
				{	/* SawMill/defs.scm 35 */
					long BgL_arg2212z00_10022;

					BgL_arg2212z00_10022 = BGL_CLASS_NUM(BGl_rtl_ifnez00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1174z00_10021), BgL_arg2212z00_10022);
				}
				return BgL_new1174z00_10021;
			}
		}

	}



/* &lambda2209 */
	BgL_rtl_ifnez00_bglt BGl_z62lambda2209z62zzsaw_defsz00(obj_t BgL_envz00_8469,
		obj_t BgL_loc1172z00_8470, obj_t BgL_then1173z00_8471)
	{
		{	/* SawMill/defs.scm 35 */
			{	/* SawMill/defs.scm 35 */
				BgL_rtl_ifnez00_bglt BgL_new1487z00_10024;

				{	/* SawMill/defs.scm 35 */
					BgL_rtl_ifnez00_bglt BgL_new1486z00_10025;

					BgL_new1486z00_10025 =
						((BgL_rtl_ifnez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_ifnez00_bgl))));
					{	/* SawMill/defs.scm 35 */
						long BgL_arg2210z00_10026;

						BgL_arg2210z00_10026 = BGL_CLASS_NUM(BGl_rtl_ifnez00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1486z00_10025),
							BgL_arg2210z00_10026);
					}
					BgL_new1487z00_10024 = BgL_new1486z00_10025;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1487z00_10024)))->BgL_locz00) =
					((obj_t) BgL_loc1172z00_8470), BUNSPEC);
				((((BgL_rtl_ifnez00_bglt) COBJECT(BgL_new1487z00_10024))->BgL_thenz00) =
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_then1173z00_8471)),
					BUNSPEC);
				return BgL_new1487z00_10024;
			}
		}

	}



/* &lambda2218 */
	obj_t BGl_z62lambda2218z62zzsaw_defsz00(obj_t BgL_envz00_8472,
		obj_t BgL_oz00_8473, obj_t BgL_vz00_8474)
	{
		{	/* SawMill/defs.scm 35 */
			return
				((((BgL_rtl_ifnez00_bglt) COBJECT(
							((BgL_rtl_ifnez00_bglt) BgL_oz00_8473)))->BgL_thenz00) =
				((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_vz00_8474)), BUNSPEC);
		}

	}



/* &lambda2217 */
	BgL_blockz00_bglt BGl_z62lambda2217z62zzsaw_defsz00(obj_t BgL_envz00_8475,
		obj_t BgL_oz00_8476)
	{
		{	/* SawMill/defs.scm 35 */
			return
				(((BgL_rtl_ifnez00_bglt) COBJECT(
						((BgL_rtl_ifnez00_bglt) BgL_oz00_8476)))->BgL_thenz00);
		}

	}



/* &<@anonymous:2197> */
	obj_t BGl_z62zc3z04anonymousza32197ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8477,
		obj_t BgL_new1170z00_8478)
	{
		{	/* SawMill/defs.scm 34 */
			{
				BgL_rtl_ifeqz00_bglt BgL_auxz00_14878;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_ifeqz00_bglt) BgL_new1170z00_8478))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_blockz00_bglt BgL_auxz00_14882;

					{	/* SawMill/defs.scm 34 */
						obj_t BgL_classz00_10031;

						BgL_classz00_10031 = BGl_blockz00zzsaw_defsz00;
						{	/* SawMill/defs.scm 34 */
							obj_t BgL__ortest_1117z00_10032;

							BgL__ortest_1117z00_10032 = BGL_CLASS_NIL(BgL_classz00_10031);
							if (CBOOL(BgL__ortest_1117z00_10032))
								{	/* SawMill/defs.scm 34 */
									BgL_auxz00_14882 =
										((BgL_blockz00_bglt) BgL__ortest_1117z00_10032);
								}
							else
								{	/* SawMill/defs.scm 34 */
									BgL_auxz00_14882 =
										((BgL_blockz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10031));
								}
						}
					}
					((((BgL_rtl_ifeqz00_bglt) COBJECT(
									((BgL_rtl_ifeqz00_bglt) BgL_new1170z00_8478)))->BgL_thenz00) =
						((BgL_blockz00_bglt) BgL_auxz00_14882), BUNSPEC);
				}
				BgL_auxz00_14878 = ((BgL_rtl_ifeqz00_bglt) BgL_new1170z00_8478);
				return ((obj_t) BgL_auxz00_14878);
			}
		}

	}



/* &lambda2195 */
	BgL_rtl_ifeqz00_bglt BGl_z62lambda2195z62zzsaw_defsz00(obj_t BgL_envz00_8479)
	{
		{	/* SawMill/defs.scm 34 */
			{	/* SawMill/defs.scm 34 */
				BgL_rtl_ifeqz00_bglt BgL_new1169z00_10033;

				BgL_new1169z00_10033 =
					((BgL_rtl_ifeqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_ifeqz00_bgl))));
				{	/* SawMill/defs.scm 34 */
					long BgL_arg2196z00_10034;

					BgL_arg2196z00_10034 = BGL_CLASS_NUM(BGl_rtl_ifeqz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1169z00_10033), BgL_arg2196z00_10034);
				}
				return BgL_new1169z00_10033;
			}
		}

	}



/* &lambda2193 */
	BgL_rtl_ifeqz00_bglt BGl_z62lambda2193z62zzsaw_defsz00(obj_t BgL_envz00_8480,
		obj_t BgL_loc1167z00_8481, obj_t BgL_then1168z00_8482)
	{
		{	/* SawMill/defs.scm 34 */
			{	/* SawMill/defs.scm 34 */
				BgL_rtl_ifeqz00_bglt BgL_new1485z00_10036;

				{	/* SawMill/defs.scm 34 */
					BgL_rtl_ifeqz00_bglt BgL_new1484z00_10037;

					BgL_new1484z00_10037 =
						((BgL_rtl_ifeqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_ifeqz00_bgl))));
					{	/* SawMill/defs.scm 34 */
						long BgL_arg2194z00_10038;

						BgL_arg2194z00_10038 = BGL_CLASS_NUM(BGl_rtl_ifeqz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1484z00_10037),
							BgL_arg2194z00_10038);
					}
					BgL_new1485z00_10036 = BgL_new1484z00_10037;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1485z00_10036)))->BgL_locz00) =
					((obj_t) BgL_loc1167z00_8481), BUNSPEC);
				((((BgL_rtl_ifeqz00_bglt) COBJECT(BgL_new1485z00_10036))->BgL_thenz00) =
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_then1168z00_8482)),
					BUNSPEC);
				return BgL_new1485z00_10036;
			}
		}

	}



/* &lambda2203 */
	obj_t BGl_z62lambda2203z62zzsaw_defsz00(obj_t BgL_envz00_8483,
		obj_t BgL_oz00_8484, obj_t BgL_vz00_8485)
	{
		{	/* SawMill/defs.scm 34 */
			return
				((((BgL_rtl_ifeqz00_bglt) COBJECT(
							((BgL_rtl_ifeqz00_bglt) BgL_oz00_8484)))->BgL_thenz00) =
				((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_vz00_8485)), BUNSPEC);
		}

	}



/* &lambda2202 */
	BgL_blockz00_bglt BGl_z62lambda2202z62zzsaw_defsz00(obj_t BgL_envz00_8486,
		obj_t BgL_oz00_8487)
	{
		{	/* SawMill/defs.scm 34 */
			return
				(((BgL_rtl_ifeqz00_bglt) COBJECT(
						((BgL_rtl_ifeqz00_bglt) BgL_oz00_8487)))->BgL_thenz00);
		}

	}



/* &<@anonymous:2182> */
	obj_t BGl_z62zc3z04anonymousza32182ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8488,
		obj_t BgL_new1165z00_8489)
	{
		{	/* SawMill/defs.scm 33 */
			{
				BgL_rtl_switchz00_bglt BgL_auxz00_14910;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_switchz00_bglt) BgL_new1165z00_8489))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14914;

					{	/* SawMill/defs.scm 33 */
						obj_t BgL_classz00_10043;

						BgL_classz00_10043 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 33 */
							obj_t BgL__ortest_1117z00_10044;

							BgL__ortest_1117z00_10044 = BGL_CLASS_NIL(BgL_classz00_10043);
							if (CBOOL(BgL__ortest_1117z00_10044))
								{	/* SawMill/defs.scm 33 */
									BgL_auxz00_14914 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10044);
								}
							else
								{	/* SawMill/defs.scm 33 */
									BgL_auxz00_14914 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10043));
								}
						}
					}
					((((BgL_rtl_selectz00_bglt) COBJECT(
									((BgL_rtl_selectz00_bglt)
										((BgL_rtl_switchz00_bglt) BgL_new1165z00_8489))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_14914), BUNSPEC);
				}
				((((BgL_rtl_selectz00_bglt) COBJECT(
								((BgL_rtl_selectz00_bglt)
									((BgL_rtl_switchz00_bglt) BgL_new1165z00_8489))))->
						BgL_patternsz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_switchz00_bglt) COBJECT(((BgL_rtl_switchz00_bglt)
									BgL_new1165z00_8489)))->BgL_labelsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_14910 = ((BgL_rtl_switchz00_bglt) BgL_new1165z00_8489);
				return ((obj_t) BgL_auxz00_14910);
			}
		}

	}



/* &lambda2180 */
	BgL_rtl_switchz00_bglt BGl_z62lambda2180z62zzsaw_defsz00(obj_t
		BgL_envz00_8490)
	{
		{	/* SawMill/defs.scm 33 */
			{	/* SawMill/defs.scm 33 */
				BgL_rtl_switchz00_bglt BgL_new1164z00_10045;

				BgL_new1164z00_10045 =
					((BgL_rtl_switchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_switchz00_bgl))));
				{	/* SawMill/defs.scm 33 */
					long BgL_arg2181z00_10046;

					BgL_arg2181z00_10046 = BGL_CLASS_NUM(BGl_rtl_switchz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1164z00_10045), BgL_arg2181z00_10046);
				}
				return BgL_new1164z00_10045;
			}
		}

	}



/* &lambda2178 */
	BgL_rtl_switchz00_bglt BGl_z62lambda2178z62zzsaw_defsz00(obj_t
		BgL_envz00_8491, obj_t BgL_loc1160z00_8492, obj_t BgL_type1161z00_8493,
		obj_t BgL_patterns1162z00_8494, obj_t BgL_labels1163z00_8495)
	{
		{	/* SawMill/defs.scm 33 */
			{	/* SawMill/defs.scm 33 */
				BgL_rtl_switchz00_bglt BgL_new1483z00_10048;

				{	/* SawMill/defs.scm 33 */
					BgL_rtl_switchz00_bglt BgL_new1482z00_10049;

					BgL_new1482z00_10049 =
						((BgL_rtl_switchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_switchz00_bgl))));
					{	/* SawMill/defs.scm 33 */
						long BgL_arg2179z00_10050;

						BgL_arg2179z00_10050 =
							BGL_CLASS_NUM(BGl_rtl_switchz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1482z00_10049),
							BgL_arg2179z00_10050);
					}
					BgL_new1483z00_10048 = BgL_new1482z00_10049;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1483z00_10048)))->BgL_locz00) =
					((obj_t) BgL_loc1160z00_8492), BUNSPEC);
				((((BgL_rtl_selectz00_bglt) COBJECT(((BgL_rtl_selectz00_bglt)
									BgL_new1483z00_10048)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1161z00_8493)),
					BUNSPEC);
				((((BgL_rtl_selectz00_bglt) COBJECT(((BgL_rtl_selectz00_bglt)
									BgL_new1483z00_10048)))->BgL_patternsz00) =
					((obj_t) BgL_patterns1162z00_8494), BUNSPEC);
				((((BgL_rtl_switchz00_bglt) COBJECT(BgL_new1483z00_10048))->
						BgL_labelsz00) = ((obj_t) BgL_labels1163z00_8495), BUNSPEC);
				return BgL_new1483z00_10048;
			}
		}

	}



/* &lambda2187 */
	obj_t BGl_z62lambda2187z62zzsaw_defsz00(obj_t BgL_envz00_8496,
		obj_t BgL_oz00_8497, obj_t BgL_vz00_8498)
	{
		{	/* SawMill/defs.scm 33 */
			return
				((((BgL_rtl_switchz00_bglt) COBJECT(
							((BgL_rtl_switchz00_bglt) BgL_oz00_8497)))->BgL_labelsz00) =
				((obj_t) BgL_vz00_8498), BUNSPEC);
		}

	}



/* &lambda2186 */
	obj_t BGl_z62lambda2186z62zzsaw_defsz00(obj_t BgL_envz00_8499,
		obj_t BgL_oz00_8500)
	{
		{	/* SawMill/defs.scm 33 */
			return
				(((BgL_rtl_switchz00_bglt) COBJECT(
						((BgL_rtl_switchz00_bglt) BgL_oz00_8500)))->BgL_labelsz00);
		}

	}



/* &<@anonymous:2162> */
	obj_t BGl_z62zc3z04anonymousza32162ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8501,
		obj_t BgL_new1158z00_8502)
	{
		{	/* SawMill/defs.scm 32 */
			{
				BgL_rtl_selectz00_bglt BgL_auxz00_14951;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_selectz00_bglt) BgL_new1158z00_8502))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14955;

					{	/* SawMill/defs.scm 32 */
						obj_t BgL_classz00_10054;

						BgL_classz00_10054 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 32 */
							obj_t BgL__ortest_1117z00_10055;

							BgL__ortest_1117z00_10055 = BGL_CLASS_NIL(BgL_classz00_10054);
							if (CBOOL(BgL__ortest_1117z00_10055))
								{	/* SawMill/defs.scm 32 */
									BgL_auxz00_14955 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10055);
								}
							else
								{	/* SawMill/defs.scm 32 */
									BgL_auxz00_14955 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10054));
								}
						}
					}
					((((BgL_rtl_selectz00_bglt) COBJECT(
									((BgL_rtl_selectz00_bglt) BgL_new1158z00_8502)))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_14955), BUNSPEC);
				}
				((((BgL_rtl_selectz00_bglt) COBJECT(
								((BgL_rtl_selectz00_bglt) BgL_new1158z00_8502)))->
						BgL_patternsz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_14951 = ((BgL_rtl_selectz00_bglt) BgL_new1158z00_8502);
				return ((obj_t) BgL_auxz00_14951);
			}
		}

	}



/* &lambda2160 */
	BgL_rtl_selectz00_bglt BGl_z62lambda2160z62zzsaw_defsz00(obj_t
		BgL_envz00_8503)
	{
		{	/* SawMill/defs.scm 32 */
			{	/* SawMill/defs.scm 32 */
				BgL_rtl_selectz00_bglt BgL_new1157z00_10056;

				BgL_new1157z00_10056 =
					((BgL_rtl_selectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_selectz00_bgl))));
				{	/* SawMill/defs.scm 32 */
					long BgL_arg2161z00_10057;

					BgL_arg2161z00_10057 = BGL_CLASS_NUM(BGl_rtl_selectz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1157z00_10056), BgL_arg2161z00_10057);
				}
				return BgL_new1157z00_10056;
			}
		}

	}



/* &lambda2158 */
	BgL_rtl_selectz00_bglt BGl_z62lambda2158z62zzsaw_defsz00(obj_t
		BgL_envz00_8504, obj_t BgL_loc1154z00_8505, obj_t BgL_type1155z00_8506,
		obj_t BgL_patterns1156z00_8507)
	{
		{	/* SawMill/defs.scm 32 */
			{	/* SawMill/defs.scm 32 */
				BgL_rtl_selectz00_bglt BgL_new1481z00_10059;

				{	/* SawMill/defs.scm 32 */
					BgL_rtl_selectz00_bglt BgL_new1480z00_10060;

					BgL_new1480z00_10060 =
						((BgL_rtl_selectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_selectz00_bgl))));
					{	/* SawMill/defs.scm 32 */
						long BgL_arg2159z00_10061;

						BgL_arg2159z00_10061 =
							BGL_CLASS_NUM(BGl_rtl_selectz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1480z00_10060),
							BgL_arg2159z00_10061);
					}
					BgL_new1481z00_10059 = BgL_new1480z00_10060;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1481z00_10059)))->BgL_locz00) =
					((obj_t) BgL_loc1154z00_8505), BUNSPEC);
				((((BgL_rtl_selectz00_bglt) COBJECT(BgL_new1481z00_10059))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1155z00_8506)),
					BUNSPEC);
				((((BgL_rtl_selectz00_bglt) COBJECT(BgL_new1481z00_10059))->
						BgL_patternsz00) = ((obj_t) BgL_patterns1156z00_8507), BUNSPEC);
				return BgL_new1481z00_10059;
			}
		}

	}



/* &lambda2172 */
	obj_t BGl_z62lambda2172z62zzsaw_defsz00(obj_t BgL_envz00_8508,
		obj_t BgL_oz00_8509, obj_t BgL_vz00_8510)
	{
		{	/* SawMill/defs.scm 32 */
			return
				((((BgL_rtl_selectz00_bglt) COBJECT(
							((BgL_rtl_selectz00_bglt) BgL_oz00_8509)))->BgL_patternsz00) =
				((obj_t) BgL_vz00_8510), BUNSPEC);
		}

	}



/* &lambda2171 */
	obj_t BGl_z62lambda2171z62zzsaw_defsz00(obj_t BgL_envz00_8511,
		obj_t BgL_oz00_8512)
	{
		{	/* SawMill/defs.scm 32 */
			return
				(((BgL_rtl_selectz00_bglt) COBJECT(
						((BgL_rtl_selectz00_bglt) BgL_oz00_8512)))->BgL_patternsz00);
		}

	}



/* &lambda2167 */
	obj_t BGl_z62lambda2167z62zzsaw_defsz00(obj_t BgL_envz00_8513,
		obj_t BgL_oz00_8514, obj_t BgL_vz00_8515)
	{
		{	/* SawMill/defs.scm 32 */
			return
				((((BgL_rtl_selectz00_bglt) COBJECT(
							((BgL_rtl_selectz00_bglt) BgL_oz00_8514)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8515)), BUNSPEC);
		}

	}



/* &lambda2166 */
	BgL_typez00_bglt BGl_z62lambda2166z62zzsaw_defsz00(obj_t BgL_envz00_8516,
		obj_t BgL_oz00_8517)
	{
		{	/* SawMill/defs.scm 32 */
			return
				(((BgL_rtl_selectz00_bglt) COBJECT(
						((BgL_rtl_selectz00_bglt) BgL_oz00_8517)))->BgL_typez00);
		}

	}



/* &<@anonymous:2152> */
	obj_t BGl_z62zc3z04anonymousza32152ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8518,
		obj_t BgL_new1152z00_8519)
	{
		{	/* SawMill/defs.scm 31 */
			{
				BgL_rtl_ifz00_bglt BgL_auxz00_14990;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_ifz00_bglt) BgL_new1152z00_8519))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_14990 = ((BgL_rtl_ifz00_bglt) BgL_new1152z00_8519);
				return ((obj_t) BgL_auxz00_14990);
			}
		}

	}



/* &lambda2150 */
	BgL_rtl_ifz00_bglt BGl_z62lambda2150z62zzsaw_defsz00(obj_t BgL_envz00_8520)
	{
		{	/* SawMill/defs.scm 31 */
			{	/* SawMill/defs.scm 31 */
				BgL_rtl_ifz00_bglt BgL_new1151z00_10068;

				BgL_new1151z00_10068 =
					((BgL_rtl_ifz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_ifz00_bgl))));
				{	/* SawMill/defs.scm 31 */
					long BgL_arg2151z00_10069;

					BgL_arg2151z00_10069 = BGL_CLASS_NUM(BGl_rtl_ifz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1151z00_10068), BgL_arg2151z00_10069);
				}
				return BgL_new1151z00_10068;
			}
		}

	}



/* &lambda2148 */
	BgL_rtl_ifz00_bglt BGl_z62lambda2148z62zzsaw_defsz00(obj_t BgL_envz00_8521,
		obj_t BgL_loc1150z00_8522)
	{
		{	/* SawMill/defs.scm 31 */
			{	/* SawMill/defs.scm 31 */
				BgL_rtl_ifz00_bglt BgL_new1479z00_10070;

				{	/* SawMill/defs.scm 31 */
					BgL_rtl_ifz00_bglt BgL_new1478z00_10071;

					BgL_new1478z00_10071 =
						((BgL_rtl_ifz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_ifz00_bgl))));
					{	/* SawMill/defs.scm 31 */
						long BgL_arg2149z00_10072;

						BgL_arg2149z00_10072 = BGL_CLASS_NUM(BGl_rtl_ifz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1478z00_10071),
							BgL_arg2149z00_10072);
					}
					BgL_new1479z00_10070 = BgL_new1478z00_10071;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1479z00_10070)))->BgL_locz00) =
					((obj_t) BgL_loc1150z00_8522), BUNSPEC);
				return BgL_new1479z00_10070;
			}
		}

	}



/* &<@anonymous:2142> */
	obj_t BGl_z62zc3z04anonymousza32142ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8523,
		obj_t BgL_new1148z00_8524)
	{
		{	/* SawMill/defs.scm 30 */
			{
				BgL_rtl_notseqz00_bglt BgL_auxz00_15006;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_notseqz00_bglt) BgL_new1148z00_8524))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_15006 = ((BgL_rtl_notseqz00_bglt) BgL_new1148z00_8524);
				return ((obj_t) BgL_auxz00_15006);
			}
		}

	}



/* &lambda2140 */
	BgL_rtl_notseqz00_bglt BGl_z62lambda2140z62zzsaw_defsz00(obj_t
		BgL_envz00_8525)
	{
		{	/* SawMill/defs.scm 30 */
			{	/* SawMill/defs.scm 30 */
				BgL_rtl_notseqz00_bglt BgL_new1147z00_10074;

				BgL_new1147z00_10074 =
					((BgL_rtl_notseqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_notseqz00_bgl))));
				{	/* SawMill/defs.scm 30 */
					long BgL_arg2141z00_10075;

					BgL_arg2141z00_10075 = BGL_CLASS_NUM(BGl_rtl_notseqz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1147z00_10074), BgL_arg2141z00_10075);
				}
				return BgL_new1147z00_10074;
			}
		}

	}



/* &lambda2138 */
	BgL_rtl_notseqz00_bglt BGl_z62lambda2138z62zzsaw_defsz00(obj_t
		BgL_envz00_8526, obj_t BgL_loc1146z00_8527)
	{
		{	/* SawMill/defs.scm 30 */
			{	/* SawMill/defs.scm 30 */
				BgL_rtl_notseqz00_bglt BgL_new1477z00_10076;

				{	/* SawMill/defs.scm 30 */
					BgL_rtl_notseqz00_bglt BgL_new1476z00_10077;

					BgL_new1476z00_10077 =
						((BgL_rtl_notseqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_notseqz00_bgl))));
					{	/* SawMill/defs.scm 30 */
						long BgL_arg2139z00_10078;

						BgL_arg2139z00_10078 =
							BGL_CLASS_NUM(BGl_rtl_notseqz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1476z00_10077),
							BgL_arg2139z00_10078);
					}
					BgL_new1477z00_10076 = BgL_new1476z00_10077;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1477z00_10076)))->BgL_locz00) =
					((obj_t) BgL_loc1146z00_8527), BUNSPEC);
				return BgL_new1477z00_10076;
			}
		}

	}



/* &<@anonymous:2127> */
	obj_t BGl_z62zc3z04anonymousza32127ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8528,
		obj_t BgL_new1144z00_8529)
	{
		{	/* SawMill/defs.scm 28 */
			{
				BgL_rtl_retz00_bglt BgL_auxz00_15022;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_retz00_bglt) BgL_new1144z00_8529))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_blockz00_bglt BgL_auxz00_15026;

					{	/* SawMill/defs.scm 28 */
						obj_t BgL_classz00_10080;

						BgL_classz00_10080 = BGl_blockz00zzsaw_defsz00;
						{	/* SawMill/defs.scm 28 */
							obj_t BgL__ortest_1117z00_10081;

							BgL__ortest_1117z00_10081 = BGL_CLASS_NIL(BgL_classz00_10080);
							if (CBOOL(BgL__ortest_1117z00_10081))
								{	/* SawMill/defs.scm 28 */
									BgL_auxz00_15026 =
										((BgL_blockz00_bglt) BgL__ortest_1117z00_10081);
								}
							else
								{	/* SawMill/defs.scm 28 */
									BgL_auxz00_15026 =
										((BgL_blockz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10080));
								}
						}
					}
					((((BgL_rtl_retz00_bglt) COBJECT(
									((BgL_rtl_retz00_bglt) BgL_new1144z00_8529)))->BgL_toz00) =
						((BgL_blockz00_bglt) BgL_auxz00_15026), BUNSPEC);
				}
				BgL_auxz00_15022 = ((BgL_rtl_retz00_bglt) BgL_new1144z00_8529);
				return ((obj_t) BgL_auxz00_15022);
			}
		}

	}



/* &lambda2125 */
	BgL_rtl_retz00_bglt BGl_z62lambda2125z62zzsaw_defsz00(obj_t BgL_envz00_8530)
	{
		{	/* SawMill/defs.scm 28 */
			{	/* SawMill/defs.scm 28 */
				BgL_rtl_retz00_bglt BgL_new1143z00_10082;

				BgL_new1143z00_10082 =
					((BgL_rtl_retz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_retz00_bgl))));
				{	/* SawMill/defs.scm 28 */
					long BgL_arg2126z00_10083;

					BgL_arg2126z00_10083 = BGL_CLASS_NUM(BGl_rtl_retz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1143z00_10082), BgL_arg2126z00_10083);
				}
				return BgL_new1143z00_10082;
			}
		}

	}



/* &lambda2123 */
	BgL_rtl_retz00_bglt BGl_z62lambda2123z62zzsaw_defsz00(obj_t BgL_envz00_8531,
		obj_t BgL_loc1141z00_8532, obj_t BgL_to1142z00_8533)
	{
		{	/* SawMill/defs.scm 28 */
			{	/* SawMill/defs.scm 28 */
				BgL_rtl_retz00_bglt BgL_new1475z00_10085;

				{	/* SawMill/defs.scm 28 */
					BgL_rtl_retz00_bglt BgL_new1474z00_10086;

					BgL_new1474z00_10086 =
						((BgL_rtl_retz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_retz00_bgl))));
					{	/* SawMill/defs.scm 28 */
						long BgL_arg2124z00_10087;

						BgL_arg2124z00_10087 = BGL_CLASS_NUM(BGl_rtl_retz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1474z00_10086),
							BgL_arg2124z00_10087);
					}
					BgL_new1475z00_10085 = BgL_new1474z00_10086;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1475z00_10085)))->BgL_locz00) =
					((obj_t) BgL_loc1141z00_8532), BUNSPEC);
				((((BgL_rtl_retz00_bglt) COBJECT(BgL_new1475z00_10085))->BgL_toz00) =
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_to1142z00_8533)),
					BUNSPEC);
				return BgL_new1475z00_10085;
			}
		}

	}



/* &lambda2132 */
	obj_t BGl_z62lambda2132z62zzsaw_defsz00(obj_t BgL_envz00_8534,
		obj_t BgL_oz00_8535, obj_t BgL_vz00_8536)
	{
		{	/* SawMill/defs.scm 28 */
			return
				((((BgL_rtl_retz00_bglt) COBJECT(
							((BgL_rtl_retz00_bglt) BgL_oz00_8535)))->BgL_toz00) =
				((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_vz00_8536)), BUNSPEC);
		}

	}



/* &lambda2131 */
	BgL_blockz00_bglt BGl_z62lambda2131z62zzsaw_defsz00(obj_t BgL_envz00_8537,
		obj_t BgL_oz00_8538)
	{
		{	/* SawMill/defs.scm 28 */
			return
				(((BgL_rtl_retz00_bglt) COBJECT(
						((BgL_rtl_retz00_bglt) BgL_oz00_8538)))->BgL_toz00);
		}

	}



/* &<@anonymous:2117> */
	obj_t BGl_z62zc3z04anonymousza32117ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8539,
		obj_t BgL_new1139z00_8540)
	{
		{	/* SawMill/defs.scm 27 */
			{
				BgL_rtl_retblockz00_bglt BgL_auxz00_15054;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_retblockz00_bglt) BgL_new1139z00_8540))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_15054 = ((BgL_rtl_retblockz00_bglt) BgL_new1139z00_8540);
				return ((obj_t) BgL_auxz00_15054);
			}
		}

	}



/* &lambda2115 */
	BgL_rtl_retblockz00_bglt BGl_z62lambda2115z62zzsaw_defsz00(obj_t
		BgL_envz00_8541)
	{
		{	/* SawMill/defs.scm 27 */
			{	/* SawMill/defs.scm 27 */
				BgL_rtl_retblockz00_bglt BgL_new1138z00_10092;

				BgL_new1138z00_10092 =
					((BgL_rtl_retblockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_retblockz00_bgl))));
				{	/* SawMill/defs.scm 27 */
					long BgL_arg2116z00_10093;

					BgL_arg2116z00_10093 =
						BGL_CLASS_NUM(BGl_rtl_retblockz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1138z00_10092), BgL_arg2116z00_10093);
				}
				return BgL_new1138z00_10092;
			}
		}

	}



/* &lambda2113 */
	BgL_rtl_retblockz00_bglt BGl_z62lambda2113z62zzsaw_defsz00(obj_t
		BgL_envz00_8542, obj_t BgL_loc1137z00_8543)
	{
		{	/* SawMill/defs.scm 27 */
			{	/* SawMill/defs.scm 27 */
				BgL_rtl_retblockz00_bglt BgL_new1473z00_10094;

				{	/* SawMill/defs.scm 27 */
					BgL_rtl_retblockz00_bglt BgL_new1472z00_10095;

					BgL_new1472z00_10095 =
						((BgL_rtl_retblockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_retblockz00_bgl))));
					{	/* SawMill/defs.scm 27 */
						long BgL_arg2114z00_10096;

						BgL_arg2114z00_10096 =
							BGL_CLASS_NUM(BGl_rtl_retblockz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1472z00_10095),
							BgL_arg2114z00_10096);
					}
					BgL_new1473z00_10094 = BgL_new1472z00_10095;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1473z00_10094)))->BgL_locz00) =
					((obj_t) BgL_loc1137z00_8543), BUNSPEC);
				return BgL_new1473z00_10094;
			}
		}

	}



/* &<@anonymous:2107> */
	obj_t BGl_z62zc3z04anonymousza32107ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8544,
		obj_t BgL_new1135z00_8545)
	{
		{	/* SawMill/defs.scm 26 */
			{
				BgL_rtl_failz00_bglt BgL_auxz00_15070;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_failz00_bglt) BgL_new1135z00_8545))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_15070 = ((BgL_rtl_failz00_bglt) BgL_new1135z00_8545);
				return ((obj_t) BgL_auxz00_15070);
			}
		}

	}



/* &lambda2105 */
	BgL_rtl_failz00_bglt BGl_z62lambda2105z62zzsaw_defsz00(obj_t BgL_envz00_8546)
	{
		{	/* SawMill/defs.scm 26 */
			{	/* SawMill/defs.scm 26 */
				BgL_rtl_failz00_bglt BgL_new1133z00_10098;

				BgL_new1133z00_10098 =
					((BgL_rtl_failz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_failz00_bgl))));
				{	/* SawMill/defs.scm 26 */
					long BgL_arg2106z00_10099;

					BgL_arg2106z00_10099 = BGL_CLASS_NUM(BGl_rtl_failz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1133z00_10098), BgL_arg2106z00_10099);
				}
				return BgL_new1133z00_10098;
			}
		}

	}



/* &lambda2103 */
	BgL_rtl_failz00_bglt BGl_z62lambda2103z62zzsaw_defsz00(obj_t BgL_envz00_8547,
		obj_t BgL_loc1132z00_8548)
	{
		{	/* SawMill/defs.scm 26 */
			{	/* SawMill/defs.scm 26 */
				BgL_rtl_failz00_bglt BgL_new1471z00_10100;

				{	/* SawMill/defs.scm 26 */
					BgL_rtl_failz00_bglt BgL_new1470z00_10101;

					BgL_new1470z00_10101 =
						((BgL_rtl_failz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_failz00_bgl))));
					{	/* SawMill/defs.scm 26 */
						long BgL_arg2104z00_10102;

						BgL_arg2104z00_10102 = BGL_CLASS_NUM(BGl_rtl_failz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1470z00_10101),
							BgL_arg2104z00_10102);
					}
					BgL_new1471z00_10100 = BgL_new1470z00_10101;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1471z00_10100)))->BgL_locz00) =
					((obj_t) BgL_loc1132z00_8548), BUNSPEC);
				return BgL_new1471z00_10100;
			}
		}

	}



/* &<@anonymous:2097> */
	obj_t BGl_z62zc3z04anonymousza32097ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8549,
		obj_t BgL_new1130z00_8550)
	{
		{	/* SawMill/defs.scm 25 */
			{
				BgL_rtl_jumpexitz00_bglt BgL_auxz00_15086;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_jumpexitz00_bglt) BgL_new1130z00_8550))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_15086 = ((BgL_rtl_jumpexitz00_bglt) BgL_new1130z00_8550);
				return ((obj_t) BgL_auxz00_15086);
			}
		}

	}



/* &lambda2095 */
	BgL_rtl_jumpexitz00_bglt BGl_z62lambda2095z62zzsaw_defsz00(obj_t
		BgL_envz00_8551)
	{
		{	/* SawMill/defs.scm 25 */
			{	/* SawMill/defs.scm 25 */
				BgL_rtl_jumpexitz00_bglt BgL_new1129z00_10104;

				BgL_new1129z00_10104 =
					((BgL_rtl_jumpexitz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_jumpexitz00_bgl))));
				{	/* SawMill/defs.scm 25 */
					long BgL_arg2096z00_10105;

					BgL_arg2096z00_10105 =
						BGL_CLASS_NUM(BGl_rtl_jumpexitz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1129z00_10104), BgL_arg2096z00_10105);
				}
				return BgL_new1129z00_10104;
			}
		}

	}



/* &lambda2093 */
	BgL_rtl_jumpexitz00_bglt BGl_z62lambda2093z62zzsaw_defsz00(obj_t
		BgL_envz00_8552, obj_t BgL_loc1128z00_8553)
	{
		{	/* SawMill/defs.scm 25 */
			{	/* SawMill/defs.scm 25 */
				BgL_rtl_jumpexitz00_bglt BgL_new1469z00_10106;

				{	/* SawMill/defs.scm 25 */
					BgL_rtl_jumpexitz00_bglt BgL_new1468z00_10107;

					BgL_new1468z00_10107 =
						((BgL_rtl_jumpexitz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_jumpexitz00_bgl))));
					{	/* SawMill/defs.scm 25 */
						long BgL_arg2094z00_10108;

						BgL_arg2094z00_10108 =
							BGL_CLASS_NUM(BGl_rtl_jumpexitz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1468z00_10107),
							BgL_arg2094z00_10108);
					}
					BgL_new1469z00_10106 = BgL_new1468z00_10107;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1469z00_10106)))->BgL_locz00) =
					((obj_t) BgL_loc1128z00_8553), BUNSPEC);
				return BgL_new1469z00_10106;
			}
		}

	}



/* &<@anonymous:2082> */
	obj_t BGl_z62zc3z04anonymousza32082ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8554,
		obj_t BgL_new1126z00_8555)
	{
		{	/* SawMill/defs.scm 24 */
			{
				BgL_rtl_returnz00_bglt BgL_auxz00_15102;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_returnz00_bglt) BgL_new1126z00_8555))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15106;

					{	/* SawMill/defs.scm 24 */
						obj_t BgL_classz00_10110;

						BgL_classz00_10110 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 24 */
							obj_t BgL__ortest_1117z00_10111;

							BgL__ortest_1117z00_10111 = BGL_CLASS_NIL(BgL_classz00_10110);
							if (CBOOL(BgL__ortest_1117z00_10111))
								{	/* SawMill/defs.scm 24 */
									BgL_auxz00_15106 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10111);
								}
							else
								{	/* SawMill/defs.scm 24 */
									BgL_auxz00_15106 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10110));
								}
						}
					}
					((((BgL_rtl_returnz00_bglt) COBJECT(
									((BgL_rtl_returnz00_bglt) BgL_new1126z00_8555)))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_15106), BUNSPEC);
				}
				BgL_auxz00_15102 = ((BgL_rtl_returnz00_bglt) BgL_new1126z00_8555);
				return ((obj_t) BgL_auxz00_15102);
			}
		}

	}



/* &lambda2080 */
	BgL_rtl_returnz00_bglt BGl_z62lambda2080z62zzsaw_defsz00(obj_t
		BgL_envz00_8556)
	{
		{	/* SawMill/defs.scm 24 */
			{	/* SawMill/defs.scm 24 */
				BgL_rtl_returnz00_bglt BgL_new1125z00_10112;

				BgL_new1125z00_10112 =
					((BgL_rtl_returnz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_returnz00_bgl))));
				{	/* SawMill/defs.scm 24 */
					long BgL_arg2081z00_10113;

					BgL_arg2081z00_10113 = BGL_CLASS_NUM(BGl_rtl_returnz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1125z00_10112), BgL_arg2081z00_10113);
				}
				return BgL_new1125z00_10112;
			}
		}

	}



/* &lambda2078 */
	BgL_rtl_returnz00_bglt BGl_z62lambda2078z62zzsaw_defsz00(obj_t
		BgL_envz00_8557, obj_t BgL_loc1123z00_8558, obj_t BgL_type1124z00_8559)
	{
		{	/* SawMill/defs.scm 24 */
			{	/* SawMill/defs.scm 24 */
				BgL_rtl_returnz00_bglt BgL_new1467z00_10115;

				{	/* SawMill/defs.scm 24 */
					BgL_rtl_returnz00_bglt BgL_new1466z00_10116;

					BgL_new1466z00_10116 =
						((BgL_rtl_returnz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_returnz00_bgl))));
					{	/* SawMill/defs.scm 24 */
						long BgL_arg2079z00_10117;

						BgL_arg2079z00_10117 =
							BGL_CLASS_NUM(BGl_rtl_returnz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1466z00_10116),
							BgL_arg2079z00_10117);
					}
					BgL_new1467z00_10115 = BgL_new1466z00_10116;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1467z00_10115)))->BgL_locz00) =
					((obj_t) BgL_loc1123z00_8558), BUNSPEC);
				((((BgL_rtl_returnz00_bglt) COBJECT(BgL_new1467z00_10115))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1124z00_8559)),
					BUNSPEC);
				return BgL_new1467z00_10115;
			}
		}

	}



/* &lambda2087 */
	obj_t BGl_z62lambda2087z62zzsaw_defsz00(obj_t BgL_envz00_8560,
		obj_t BgL_oz00_8561, obj_t BgL_vz00_8562)
	{
		{	/* SawMill/defs.scm 24 */
			return
				((((BgL_rtl_returnz00_bglt) COBJECT(
							((BgL_rtl_returnz00_bglt) BgL_oz00_8561)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8562)), BUNSPEC);
		}

	}



/* &lambda2086 */
	BgL_typez00_bglt BGl_z62lambda2086z62zzsaw_defsz00(obj_t BgL_envz00_8563,
		obj_t BgL_oz00_8564)
	{
		{	/* SawMill/defs.scm 24 */
			return
				(((BgL_rtl_returnz00_bglt) COBJECT(
						((BgL_rtl_returnz00_bglt) BgL_oz00_8564)))->BgL_typez00);
		}

	}



/* &<@anonymous:2072> */
	obj_t BGl_z62zc3z04anonymousza32072ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8565,
		obj_t BgL_new1121z00_8566)
	{
		{	/* SawMill/defs.scm 23 */
			{
				BgL_rtl_lastz00_bglt BgL_auxz00_15134;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_lastz00_bglt) BgL_new1121z00_8566))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_15134 = ((BgL_rtl_lastz00_bglt) BgL_new1121z00_8566);
				return ((obj_t) BgL_auxz00_15134);
			}
		}

	}



/* &lambda2070 */
	BgL_rtl_lastz00_bglt BGl_z62lambda2070z62zzsaw_defsz00(obj_t BgL_envz00_8567)
	{
		{	/* SawMill/defs.scm 23 */
			{	/* SawMill/defs.scm 23 */
				BgL_rtl_lastz00_bglt BgL_new1120z00_10122;

				BgL_new1120z00_10122 =
					((BgL_rtl_lastz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_lastz00_bgl))));
				{	/* SawMill/defs.scm 23 */
					long BgL_arg2071z00_10123;

					BgL_arg2071z00_10123 = BGL_CLASS_NUM(BGl_rtl_lastz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1120z00_10122), BgL_arg2071z00_10123);
				}
				return BgL_new1120z00_10122;
			}
		}

	}



/* &lambda2068 */
	BgL_rtl_lastz00_bglt BGl_z62lambda2068z62zzsaw_defsz00(obj_t BgL_envz00_8568,
		obj_t BgL_loc1118z00_8569)
	{
		{	/* SawMill/defs.scm 23 */
			{	/* SawMill/defs.scm 23 */
				BgL_rtl_lastz00_bglt BgL_new1465z00_10124;

				{	/* SawMill/defs.scm 23 */
					BgL_rtl_lastz00_bglt BgL_new1464z00_10125;

					BgL_new1464z00_10125 =
						((BgL_rtl_lastz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_lastz00_bgl))));
					{	/* SawMill/defs.scm 23 */
						long BgL_arg2069z00_10126;

						BgL_arg2069z00_10126 = BGL_CLASS_NUM(BGl_rtl_lastz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1464z00_10125),
							BgL_arg2069z00_10126);
					}
					BgL_new1465z00_10124 = BgL_new1464z00_10125;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1465z00_10124)))->BgL_locz00) =
					((obj_t) BgL_loc1118z00_8569), BUNSPEC);
				return BgL_new1465z00_10124;
			}
		}

	}



/* &<@anonymous:2054> */
	obj_t BGl_z62zc3z04anonymousza32054ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8570,
		obj_t BgL_new1116z00_8571)
	{
		{	/* SawMill/defs.scm 21 */
			{
				BgL_rtl_funz00_bglt BgL_auxz00_15150;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1116z00_8571)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_15150 = ((BgL_rtl_funz00_bglt) BgL_new1116z00_8571);
				return ((obj_t) BgL_auxz00_15150);
			}
		}

	}



/* &lambda2052 */
	BgL_rtl_funz00_bglt BGl_z62lambda2052z62zzsaw_defsz00(obj_t BgL_envz00_8572)
	{
		{	/* SawMill/defs.scm 21 */
			{	/* SawMill/defs.scm 21 */
				BgL_rtl_funz00_bglt BgL_new1115z00_10128;

				BgL_new1115z00_10128 =
					((BgL_rtl_funz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_funz00_bgl))));
				{	/* SawMill/defs.scm 21 */
					long BgL_arg2053z00_10129;

					BgL_arg2053z00_10129 = BGL_CLASS_NUM(BGl_rtl_funz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1115z00_10128), BgL_arg2053z00_10129);
				}
				return BgL_new1115z00_10128;
			}
		}

	}



/* &lambda2050 */
	BgL_rtl_funz00_bglt BGl_z62lambda2050z62zzsaw_defsz00(obj_t BgL_envz00_8573,
		obj_t BgL_loc1114z00_8574)
	{
		{	/* SawMill/defs.scm 21 */
			{	/* SawMill/defs.scm 21 */
				BgL_rtl_funz00_bglt BgL_new1463z00_10130;

				{	/* SawMill/defs.scm 21 */
					BgL_rtl_funz00_bglt BgL_new1462z00_10131;

					BgL_new1462z00_10131 =
						((BgL_rtl_funz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_funz00_bgl))));
					{	/* SawMill/defs.scm 21 */
						long BgL_arg2051z00_10132;

						BgL_arg2051z00_10132 = BGL_CLASS_NUM(BGl_rtl_funz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1462z00_10131),
							BgL_arg2051z00_10132);
					}
					BgL_new1463z00_10130 = BgL_new1462z00_10131;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(BgL_new1463z00_10130))->BgL_locz00) =
					((obj_t) BgL_loc1114z00_8574), BUNSPEC);
				return BgL_new1463z00_10130;
			}
		}

	}



/* &<@anonymous:2062> */
	obj_t BGl_z62zc3z04anonymousza32062ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8575)
	{
		{	/* SawMill/defs.scm 21 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2061 */
	obj_t BGl_z62lambda2061z62zzsaw_defsz00(obj_t BgL_envz00_8576,
		obj_t BgL_oz00_8577, obj_t BgL_vz00_8578)
	{
		{	/* SawMill/defs.scm 21 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_8577)))->BgL_locz00) =
				((obj_t) BgL_vz00_8578), BUNSPEC);
		}

	}



/* &lambda2060 */
	obj_t BGl_z62lambda2060z62zzsaw_defsz00(obj_t BgL_envz00_8579,
		obj_t BgL_oz00_8580)
	{
		{	/* SawMill/defs.scm 21 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_8580)))->BgL_locz00);
		}

	}



/* &<@anonymous:1991> */
	obj_t BGl_z62zc3z04anonymousza31991ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8581,
		obj_t BgL_new1112z00_8582)
	{
		{	/* SawMill/defs.scm 12 */
			{
				BgL_rtl_regz00_bglt BgL_auxz00_15169;

				{
					BgL_typez00_bglt BgL_auxz00_15170;

					{	/* SawMill/defs.scm 12 */
						obj_t BgL_classz00_10136;

						BgL_classz00_10136 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 12 */
							obj_t BgL__ortest_1117z00_10137;

							BgL__ortest_1117z00_10137 = BGL_CLASS_NIL(BgL_classz00_10136);
							if (CBOOL(BgL__ortest_1117z00_10137))
								{	/* SawMill/defs.scm 12 */
									BgL_auxz00_15170 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10137);
								}
							else
								{	/* SawMill/defs.scm 12 */
									BgL_auxz00_15170 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10136));
								}
						}
					}
					((((BgL_rtl_regz00_bglt) COBJECT(
									((BgL_rtl_regz00_bglt) BgL_new1112z00_8582)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_15170), BUNSPEC);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt) BgL_new1112z00_8582)))->BgL_varz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1112z00_8582)))->BgL_onexprzf3zf3) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1112z00_8582)))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1112z00_8582)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1112z00_8582)))->BgL_debugnamez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1112z00_8582)))->BgL_hardwarez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_15169 = ((BgL_rtl_regz00_bglt) BgL_new1112z00_8582);
				return ((obj_t) BgL_auxz00_15169);
			}
		}

	}



/* &lambda1989 */
	BgL_rtl_regz00_bglt BGl_z62lambda1989z62zzsaw_defsz00(obj_t BgL_envz00_8583)
	{
		{	/* SawMill/defs.scm 12 */
			{	/* SawMill/defs.scm 12 */
				BgL_rtl_regz00_bglt BgL_new1110z00_10138;

				BgL_new1110z00_10138 =
					((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_regz00_bgl))));
				{	/* SawMill/defs.scm 12 */
					long BgL_arg1990z00_10139;

					BgL_arg1990z00_10139 = BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1110z00_10138), BgL_arg1990z00_10139);
				}
				{	/* SawMill/defs.scm 12 */
					BgL_objectz00_bglt BgL_tmpz00_15197;

					BgL_tmpz00_15197 = ((BgL_objectz00_bglt) BgL_new1110z00_10138);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15197, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1110z00_10138);
				return BgL_new1110z00_10138;
			}
		}

	}



/* &lambda1987 */
	BgL_rtl_regz00_bglt BGl_z62lambda1987z62zzsaw_defsz00(obj_t BgL_envz00_8584,
		obj_t BgL_type1103z00_8585, obj_t BgL_var1104z00_8586,
		obj_t BgL_onexprzf31105zf3_8587, obj_t BgL_name1106z00_8588,
		obj_t BgL_key1107z00_8589, obj_t BgL_debugname1108z00_8590,
		obj_t BgL_hardware1109z00_8591)
	{
		{	/* SawMill/defs.scm 12 */
			{	/* SawMill/defs.scm 12 */
				BgL_rtl_regz00_bglt BgL_new1461z00_10141;

				{	/* SawMill/defs.scm 12 */
					BgL_rtl_regz00_bglt BgL_new1460z00_10142;

					BgL_new1460z00_10142 =
						((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_regz00_bgl))));
					{	/* SawMill/defs.scm 12 */
						long BgL_arg1988z00_10143;

						BgL_arg1988z00_10143 = BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1460z00_10142),
							BgL_arg1988z00_10143);
					}
					{	/* SawMill/defs.scm 12 */
						BgL_objectz00_bglt BgL_tmpz00_15205;

						BgL_tmpz00_15205 = ((BgL_objectz00_bglt) BgL_new1460z00_10142);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15205, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1460z00_10142);
					BgL_new1461z00_10141 = BgL_new1460z00_10142;
				}
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1461z00_10141))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1103z00_8585)),
					BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1461z00_10141))->BgL_varz00) =
					((obj_t) BgL_var1104z00_8586), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1461z00_10141))->
						BgL_onexprzf3zf3) = ((obj_t) BgL_onexprzf31105zf3_8587), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1461z00_10141))->BgL_namez00) =
					((obj_t) BgL_name1106z00_8588), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1461z00_10141))->BgL_keyz00) =
					((obj_t) BgL_key1107z00_8589), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1461z00_10141))->
						BgL_debugnamez00) = ((obj_t) BgL_debugname1108z00_8590), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1461z00_10141))->
						BgL_hardwarez00) = ((obj_t) BgL_hardware1109z00_8591), BUNSPEC);
				return BgL_new1461z00_10141;
			}
		}

	}



/* &<@anonymous:2043> */
	obj_t BGl_z62zc3z04anonymousza32043ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8592)
	{
		{	/* SawMill/defs.scm 12 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2042 */
	obj_t BGl_z62lambda2042z62zzsaw_defsz00(obj_t BgL_envz00_8593,
		obj_t BgL_oz00_8594, obj_t BgL_vz00_8595)
	{
		{	/* SawMill/defs.scm 12 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_8594)))->BgL_hardwarez00) =
				((obj_t) BgL_vz00_8595), BUNSPEC);
		}

	}



/* &lambda2041 */
	obj_t BGl_z62lambda2041z62zzsaw_defsz00(obj_t BgL_envz00_8596,
		obj_t BgL_oz00_8597)
	{
		{	/* SawMill/defs.scm 12 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_8597)))->BgL_hardwarez00);
		}

	}



/* &<@anonymous:2035> */
	obj_t BGl_z62zc3z04anonymousza32035ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8598)
	{
		{	/* SawMill/defs.scm 12 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2034 */
	obj_t BGl_z62lambda2034z62zzsaw_defsz00(obj_t BgL_envz00_8599,
		obj_t BgL_oz00_8600, obj_t BgL_vz00_8601)
	{
		{	/* SawMill/defs.scm 12 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_8600)))->BgL_debugnamez00) =
				((obj_t) BgL_vz00_8601), BUNSPEC);
		}

	}



/* &lambda2033 */
	obj_t BGl_z62lambda2033z62zzsaw_defsz00(obj_t BgL_envz00_8602,
		obj_t BgL_oz00_8603)
	{
		{	/* SawMill/defs.scm 12 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_8603)))->BgL_debugnamez00);
		}

	}



/* &<@anonymous:2027> */
	obj_t BGl_z62zc3z04anonymousza32027ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8604)
	{
		{	/* SawMill/defs.scm 12 */
			{	/* SawMill/defs.scm 17 */

				{	/* SawMill/defs.scm 17 */

					return BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
				}
			}
		}

	}



/* &lambda2026 */
	obj_t BGl_z62lambda2026z62zzsaw_defsz00(obj_t BgL_envz00_8605,
		obj_t BgL_oz00_8606, obj_t BgL_vz00_8607)
	{
		{	/* SawMill/defs.scm 12 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_8606)))->BgL_keyz00) =
				((obj_t) BgL_vz00_8607), BUNSPEC);
		}

	}



/* &lambda2025 */
	obj_t BGl_z62lambda2025z62zzsaw_defsz00(obj_t BgL_envz00_8608,
		obj_t BgL_oz00_8609)
	{
		{	/* SawMill/defs.scm 12 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_8609)))->BgL_keyz00);
		}

	}



/* &<@anonymous:2019> */
	obj_t BGl_z62zc3z04anonymousza32019ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8610)
	{
		{	/* SawMill/defs.scm 12 */
			{	/* SawMill/defs.scm 16 */

				{	/* SawMill/defs.scm 16 */

					return BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
				}
			}
		}

	}



/* &lambda2018 */
	obj_t BGl_z62lambda2018z62zzsaw_defsz00(obj_t BgL_envz00_8611,
		obj_t BgL_oz00_8612, obj_t BgL_vz00_8613)
	{
		{	/* SawMill/defs.scm 12 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_8612)))->BgL_namez00) =
				((obj_t) BgL_vz00_8613), BUNSPEC);
		}

	}



/* &lambda2017 */
	obj_t BGl_z62lambda2017z62zzsaw_defsz00(obj_t BgL_envz00_8614,
		obj_t BgL_oz00_8615)
	{
		{	/* SawMill/defs.scm 12 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_8615)))->BgL_namez00);
		}

	}



/* &<@anonymous:2012> */
	obj_t BGl_z62zc3z04anonymousza32012ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8616)
	{
		{	/* SawMill/defs.scm 12 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2011 */
	obj_t BGl_z62lambda2011z62zzsaw_defsz00(obj_t BgL_envz00_8617,
		obj_t BgL_oz00_8618, obj_t BgL_vz00_8619)
	{
		{	/* SawMill/defs.scm 12 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_8618)))->BgL_onexprzf3zf3) =
				((obj_t) BgL_vz00_8619), BUNSPEC);
		}

	}



/* &lambda2010 */
	obj_t BGl_z62lambda2010z62zzsaw_defsz00(obj_t BgL_envz00_8620,
		obj_t BgL_oz00_8621)
	{
		{	/* SawMill/defs.scm 12 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_8621)))->BgL_onexprzf3zf3);
		}

	}



/* &lambda2005 */
	obj_t BGl_z62lambda2005z62zzsaw_defsz00(obj_t BgL_envz00_8622,
		obj_t BgL_oz00_8623, obj_t BgL_vz00_8624)
	{
		{	/* SawMill/defs.scm 12 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_8623)))->BgL_varz00) =
				((obj_t) BgL_vz00_8624), BUNSPEC);
		}

	}



/* &lambda2004 */
	obj_t BGl_z62lambda2004z62zzsaw_defsz00(obj_t BgL_envz00_8625,
		obj_t BgL_oz00_8626)
	{
		{	/* SawMill/defs.scm 12 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_8626)))->BgL_varz00);
		}

	}



/* &lambda2000 */
	obj_t BGl_z62lambda2000z62zzsaw_defsz00(obj_t BgL_envz00_8627,
		obj_t BgL_oz00_8628, obj_t BgL_vz00_8629)
	{
		{	/* SawMill/defs.scm 12 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_8628)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8629)), BUNSPEC);
		}

	}



/* &lambda1999 */
	BgL_typez00_bglt BGl_z62lambda1999z62zzsaw_defsz00(obj_t BgL_envz00_8630,
		obj_t BgL_oz00_8631)
	{
		{	/* SawMill/defs.scm 12 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_8631)))->BgL_typez00);
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.scm 1 */
			BGl_registerzd2genericz12zc0zz__objectz00(BGl_dumpzd2envzd2zzsaw_defsz00,
				BGl_proc3518z00zzsaw_defsz00, BFALSE, BGl_string3519z00zzsaw_defsz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_proc3520z00zzsaw_defsz00,
				BGl_rtl_funz00zzsaw_defsz00, BGl_string3521z00zzsaw_defsz00);
		}

	}



/* &dump-fun1803 */
	obj_t BGl_z62dumpzd2fun1803zb0zzsaw_defsz00(obj_t BgL_envz00_8634,
		obj_t BgL_oz00_8635, obj_t BgL_destz00_8636, obj_t BgL_argsz00_8637,
		obj_t BgL_pz00_8638, obj_t BgL_mz00_8639)
	{
		{	/* SawMill/defs.scm 314 */
			return BUNSPEC;
		}

	}



/* &dump1795 */
	obj_t BGl_z62dump1795z62zzsaw_defsz00(obj_t BgL_envz00_8640,
		obj_t BgL_oz00_8641, obj_t BgL_pz00_8642, obj_t BgL_mz00_8643)
	{
		{	/* SawMill/defs.scm 193 */
			{	/* SawMill/defs.scm 195 */
				int BgL_mz00_10161;

				BgL_mz00_10161 = CINT(BgL_mz00_8643);
				{	/* SawMill/defs.scm 195 */
					bool_t BgL_test4524z00_15254;

					if (STRINGP(BgL_oz00_8641))
						{	/* SawMill/defs.scm 195 */
							BgL_test4524z00_15254 = ((bool_t) 1);
						}
					else
						{	/* SawMill/defs.scm 195 */
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_oz00_8641))
								{	/* SawMill/defs.scm 195 */
									BgL_test4524z00_15254 = ((bool_t) 1);
								}
							else
								{	/* SawMill/defs.scm 195 */
									BgL_test4524z00_15254 = SYMBOLP(BgL_oz00_8641);
								}
						}
					if (BgL_test4524z00_15254)
						{	/* SawMill/defs.scm 195 */
							return bgl_display_obj(BgL_oz00_8641, ((obj_t) BgL_pz00_8642));
						}
					else
						{	/* SawMill/defs.scm 195 */
							if (PAIRP(BgL_oz00_8641))
								{
									obj_t BgL_l1667z00_10163;

									{	/* SawMill/defs.scm 198 */
										bool_t BgL_tmpz00_15264;

										BgL_l1667z00_10163 = BgL_oz00_8641;
									BgL_zc3z04anonymousza32946ze3z87_10162:
										if (PAIRP(BgL_l1667z00_10163))
											{	/* SawMill/defs.scm 198 */
												{	/* SawMill/defs.scm 199 */
													obj_t BgL_oz00_10164;

													BgL_oz00_10164 = CAR(BgL_l1667z00_10163);
													BGl_dumpz00zzsaw_defsz00(BgL_oz00_10164,
														((obj_t) BgL_pz00_8642), BgL_mz00_10161);
													{	/* SawMill/defs.scm 200 */
														obj_t BgL_tmpz00_15270;

														BgL_tmpz00_15270 = ((obj_t) BgL_pz00_8642);
														bgl_display_char(((unsigned char) 10),
															BgL_tmpz00_15270);
													}
													if (((long) (BgL_mz00_10161) > 0L))
														{	/* SawMill/defs.scm 201 */
															BGl_dumpzd2marginzd2zzsaw_defsz00(
																((obj_t) BgL_pz00_8642), BgL_mz00_10161);
														}
													else
														{	/* SawMill/defs.scm 203 */
															obj_t BgL_tmpz00_15278;

															BgL_tmpz00_15278 = ((obj_t) BgL_pz00_8642);
															bgl_display_char(((unsigned char) 10),
																BgL_tmpz00_15278);
												}}
												{
													obj_t BgL_l1667z00_15281;

													BgL_l1667z00_15281 = CDR(BgL_l1667z00_10163);
													BgL_l1667z00_10163 = BgL_l1667z00_15281;
													goto BgL_zc3z04anonymousza32946ze3z87_10162;
												}
											}
										else
											{	/* SawMill/defs.scm 198 */
												BgL_tmpz00_15264 = ((bool_t) 1);
											}
										return BBOOL(BgL_tmpz00_15264);
									}
								}
							else
								{	/* SawMill/defs.scm 206 */
									obj_t BgL_list2953z00_10165;

									BgL_list2953z00_10165 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_pz00_8642), BNIL);
									return
										BGl_writez00zz__r4_output_6_10_3z00(BgL_oz00_8641,
										BgL_list2953z00_10165);
								}
						}
				}
			}
		}

	}



/* dump */
	BGL_EXPORTED_DEF obj_t BGl_dumpz00zzsaw_defsz00(obj_t BgL_oz00_460,
		obj_t BgL_pz00_461, int BgL_mz00_462)
	{
		{	/* SawMill/defs.scm 193 */
			if (BGL_OBJECTP(BgL_oz00_460))
				{	/* SawMill/defs.scm 193 */
					obj_t BgL_method1796z00_3759;

					{	/* SawMill/defs.scm 193 */
						obj_t BgL_res3234z00_6816;

						{	/* SawMill/defs.scm 193 */
							long BgL_objzd2classzd2numz00_6787;

							BgL_objzd2classzd2numz00_6787 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_oz00_460));
							{	/* SawMill/defs.scm 193 */
								obj_t BgL_arg1862z00_6788;

								BgL_arg1862z00_6788 =
									PROCEDURE_REF(BGl_dumpzd2envzd2zzsaw_defsz00, (int) (1L));
								{	/* SawMill/defs.scm 193 */
									int BgL_offsetz00_6791;

									BgL_offsetz00_6791 = (int) (BgL_objzd2classzd2numz00_6787);
									{	/* SawMill/defs.scm 193 */
										long BgL_offsetz00_6792;

										BgL_offsetz00_6792 =
											((long) (BgL_offsetz00_6791) - OBJECT_TYPE);
										{	/* SawMill/defs.scm 193 */
											long BgL_modz00_6793;

											BgL_modz00_6793 =
												(BgL_offsetz00_6792 >> (int) ((long) ((int) (4L))));
											{	/* SawMill/defs.scm 193 */
												long BgL_restz00_6795;

												BgL_restz00_6795 =
													(BgL_offsetz00_6792 &
													(long) (
														(int) (
															((long) (
																	(int) (
																		(1L <<
																			(int) ((long) ((int) (4L)))))) - 1L))));
												{	/* SawMill/defs.scm 193 */

													{	/* SawMill/defs.scm 193 */
														obj_t BgL_bucketz00_6797;

														BgL_bucketz00_6797 =
															VECTOR_REF(
															((obj_t) BgL_arg1862z00_6788), BgL_modz00_6793);
														BgL_res3234z00_6816 =
															VECTOR_REF(
															((obj_t) BgL_bucketz00_6797), BgL_restz00_6795);
						}}}}}}}}
						BgL_method1796z00_3759 = BgL_res3234z00_6816;
					}
					return
						BGL_PROCEDURE_CALL3(BgL_method1796z00_3759, BgL_oz00_460,
						BgL_pz00_461, BINT(BgL_mz00_462));
				}
			else
				{	/* SawMill/defs.scm 193 */
					obj_t BgL_fun2956z00_3760;

					BgL_fun2956z00_3760 =
						PROCEDURE_REF(BGl_dumpzd2envzd2zzsaw_defsz00, (int) (0L));
					return
						BGL_PROCEDURE_CALL3(BgL_fun2956z00_3760, BgL_oz00_460, BgL_pz00_461,
						BINT(BgL_mz00_462));
				}
		}

	}



/* &dump */
	obj_t BGl_z62dumpz62zzsaw_defsz00(obj_t BgL_envz00_8644, obj_t BgL_oz00_8645,
		obj_t BgL_pz00_8646, obj_t BgL_mz00_8647)
	{
		{	/* SawMill/defs.scm 193 */
			return
				BGl_dumpz00zzsaw_defsz00(BgL_oz00_8645, BgL_pz00_8646,
				CINT(BgL_mz00_8647));
		}

	}



/* dump-fun */
	BGL_EXPORTED_DEF obj_t BGl_dumpzd2funzd2zzsaw_defsz00(BgL_rtl_funz00_bglt
		BgL_oz00_483, obj_t BgL_destz00_484, obj_t BgL_argsz00_485,
		obj_t BgL_pz00_486, obj_t BgL_mz00_487)
	{
		{	/* SawMill/defs.scm 314 */
			{	/* SawMill/defs.scm 314 */
				obj_t BgL_method1804z00_3761;

				{	/* SawMill/defs.scm 314 */
					obj_t BgL_res3240z00_6848;

					{	/* SawMill/defs.scm 314 */
						long BgL_objzd2classzd2numz00_6819;

						BgL_objzd2classzd2numz00_6819 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_oz00_483));
						{	/* SawMill/defs.scm 314 */
							obj_t BgL_arg1862z00_6820;

							BgL_arg1862z00_6820 =
								PROCEDURE_REF(BGl_dumpzd2funzd2envz00zzsaw_defsz00, (int) (1L));
							{	/* SawMill/defs.scm 314 */
								int BgL_offsetz00_6823;

								BgL_offsetz00_6823 = (int) (BgL_objzd2classzd2numz00_6819);
								{	/* SawMill/defs.scm 314 */
									long BgL_offsetz00_6824;

									BgL_offsetz00_6824 =
										((long) (BgL_offsetz00_6823) - OBJECT_TYPE);
									{	/* SawMill/defs.scm 314 */
										long BgL_modz00_6825;

										BgL_modz00_6825 =
											(BgL_offsetz00_6824 >> (int) ((long) ((int) (4L))));
										{	/* SawMill/defs.scm 314 */
											long BgL_restz00_6827;

											BgL_restz00_6827 =
												(BgL_offsetz00_6824 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* SawMill/defs.scm 314 */

												{	/* SawMill/defs.scm 314 */
													obj_t BgL_bucketz00_6829;

													BgL_bucketz00_6829 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_6820), BgL_modz00_6825);
													BgL_res3240z00_6848 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6829), BgL_restz00_6827);
					}}}}}}}}
					BgL_method1804z00_3761 = BgL_res3240z00_6848;
				}
				return
					BGL_PROCEDURE_CALL5(BgL_method1804z00_3761,
					((obj_t) BgL_oz00_483), BgL_destz00_484, BgL_argsz00_485,
					BgL_pz00_486, BgL_mz00_487);
			}
		}

	}



/* &dump-fun */
	obj_t BGl_z62dumpzd2funzb0zzsaw_defsz00(obj_t BgL_envz00_8648,
		obj_t BgL_oz00_8649, obj_t BgL_destz00_8650, obj_t BgL_argsz00_8651,
		obj_t BgL_pz00_8652, obj_t BgL_mz00_8653)
	{
		{	/* SawMill/defs.scm 314 */
			return
				BGl_dumpzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt) BgL_oz00_8649), BgL_destz00_8650,
				BgL_argsz00_8651, BgL_pz00_8652, BgL_mz00_8653);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.scm 1 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00, BGl_rtl_insz00zzsaw_defsz00,
				BGl_proc3522z00zzsaw_defsz00, BGl_string3523z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00, BGl_rtl_regz00zzsaw_defsz00,
				BGl_proc3524z00zzsaw_defsz00, BGl_string3523z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2envzd2zzsaw_defsz00, BGl_blockz00zzsaw_defsz00,
				BGl_proc3525z00zzsaw_defsz00, BGl_string3526z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2envzd2zzsaw_defsz00, BGl_rtl_insz00zzsaw_defsz00,
				BGl_proc3527z00zzsaw_defsz00, BGl_string3526z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2envzd2zzsaw_defsz00, BGl_rtl_regz00zzsaw_defsz00,
				BGl_proc3528z00zzsaw_defsz00, BGl_string3526z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_rtl_funz00zzsaw_defsz00,
				BGl_proc3529z00zzsaw_defsz00, BGl_string3530z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_rtl_loadiz00zzsaw_defsz00,
				BGl_proc3531z00zzsaw_defsz00, BGl_string3530z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_rtl_movz00zzsaw_defsz00,
				BGl_proc3532z00zzsaw_defsz00, BGl_string3530z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_rtl_loadgz00zzsaw_defsz00,
				BGl_proc3533z00zzsaw_defsz00, BGl_string3530z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_rtl_loadfunz00zzsaw_defsz00,
				BGl_proc3534z00zzsaw_defsz00, BGl_string3530z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00,
				BGl_rtl_globalrefz00zzsaw_defsz00, BGl_proc3535z00zzsaw_defsz00,
				BGl_string3530z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_rtl_switchz00zzsaw_defsz00,
				BGl_proc3536z00zzsaw_defsz00, BGl_string3530z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_rtl_ifeqz00zzsaw_defsz00,
				BGl_proc3537z00zzsaw_defsz00, BGl_string3530z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_rtl_ifnez00zzsaw_defsz00,
				BGl_proc3538z00zzsaw_defsz00, BGl_string3530z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_rtl_goz00zzsaw_defsz00,
				BGl_proc3539z00zzsaw_defsz00, BGl_string3530z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_rtl_callz00zzsaw_defsz00,
				BGl_proc3540z00zzsaw_defsz00, BGl_string3530z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_rtl_pragmaz00zzsaw_defsz00,
				BGl_proc3541z00zzsaw_defsz00, BGl_string3530z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_rtl_castz00zzsaw_defsz00,
				BGl_proc3542z00zzsaw_defsz00, BGl_string3530z00zzsaw_defsz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_rtl_newz00zzsaw_defsz00,
				BGl_proc3543z00zzsaw_defsz00, BGl_string3530z00zzsaw_defsz00);
		}

	}



/* &dump-fun-rtl_new1832 */
	obj_t BGl_z62dumpzd2funzd2rtl_new1832z62zzsaw_defsz00(obj_t BgL_envz00_8674,
		obj_t BgL_oz00_8675, obj_t BgL_destz00_8676, obj_t BgL_argsz00_8677,
		obj_t BgL_pz00_8678, obj_t BgL_mz00_8679)
	{
		{	/* SawMill/defs.scm 453 */
			BGl_showzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt)
					((BgL_rtl_newz00_bglt) BgL_oz00_8675)), BgL_destz00_8676,
				BgL_pz00_8678);
			{	/* SawMill/defs.scm 455 */
				obj_t BgL_tmpz00_15390;

				BgL_tmpz00_15390 = ((obj_t) BgL_pz00_8678);
				bgl_display_string(BGl_string3544z00zzsaw_defsz00, BgL_tmpz00_15390);
			}
			{	/* SawMill/defs.scm 456 */
				obj_t BgL_arg3077z00_10167;

				{	/* SawMill/defs.scm 456 */
					BgL_typez00_bglt BgL_arg3078z00_10168;

					BgL_arg3078z00_10168 =
						(((BgL_rtl_newz00_bglt) COBJECT(
								((BgL_rtl_newz00_bglt) BgL_oz00_8675)))->BgL_typez00);
					BgL_arg3077z00_10167 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_arg3078z00_10168));
				}
				bgl_display_obj(BgL_arg3077z00_10167, BgL_pz00_8678);
			}
			{	/* SawMill/defs.scm 457 */
				obj_t BgL_tmpz00_15398;

				BgL_tmpz00_15398 = ((obj_t) BgL_pz00_8678);
				bgl_display_string(BGl_string3248z00zzsaw_defsz00, BgL_tmpz00_15398);
			}
			{	/* SawMill/defs.scm 458 */
				obj_t BgL_arg3080z00_10169;

				{	/* SawMill/defs.scm 458 */
					obj_t BgL_l1693z00_10170;

					BgL_l1693z00_10170 =
						(((BgL_rtl_newz00_bglt) COBJECT(
								((BgL_rtl_newz00_bglt) BgL_oz00_8675)))->BgL_constrz00);
					if (NULLP(BgL_l1693z00_10170))
						{	/* SawMill/defs.scm 458 */
							BgL_arg3080z00_10169 = BNIL;
						}
					else
						{	/* SawMill/defs.scm 458 */
							obj_t BgL_head1695z00_10171;

							BgL_head1695z00_10171 =
								MAKE_YOUNG_PAIR(BGl_shapez00zztools_shapez00(CAR
									(BgL_l1693z00_10170)), BNIL);
							{	/* SawMill/defs.scm 458 */
								obj_t BgL_g1698z00_10172;

								BgL_g1698z00_10172 = CDR(BgL_l1693z00_10170);
								{
									obj_t BgL_l1693z00_10174;
									obj_t BgL_tail1696z00_10175;

									BgL_l1693z00_10174 = BgL_g1698z00_10172;
									BgL_tail1696z00_10175 = BgL_head1695z00_10171;
								BgL_zc3z04anonymousza33082ze3z87_10173:
									if (NULLP(BgL_l1693z00_10174))
										{	/* SawMill/defs.scm 458 */
											BgL_arg3080z00_10169 = BgL_head1695z00_10171;
										}
									else
										{	/* SawMill/defs.scm 458 */
											obj_t BgL_newtail1697z00_10176;

											{	/* SawMill/defs.scm 458 */
												obj_t BgL_arg3086z00_10177;

												{	/* SawMill/defs.scm 458 */
													obj_t BgL_arg3087z00_10178;

													BgL_arg3087z00_10178 =
														CAR(((obj_t) BgL_l1693z00_10174));
													BgL_arg3086z00_10177 =
														BGl_shapez00zztools_shapez00(BgL_arg3087z00_10178);
												}
												BgL_newtail1697z00_10176 =
													MAKE_YOUNG_PAIR(BgL_arg3086z00_10177, BNIL);
											}
											SET_CDR(BgL_tail1696z00_10175, BgL_newtail1697z00_10176);
											{	/* SawMill/defs.scm 458 */
												obj_t BgL_arg3084z00_10179;

												BgL_arg3084z00_10179 =
													CDR(((obj_t) BgL_l1693z00_10174));
												{
													obj_t BgL_tail1696z00_15419;
													obj_t BgL_l1693z00_15418;

													BgL_l1693z00_15418 = BgL_arg3084z00_10179;
													BgL_tail1696z00_15419 = BgL_newtail1697z00_10176;
													BgL_tail1696z00_10175 = BgL_tail1696z00_15419;
													BgL_l1693z00_10174 = BgL_l1693z00_15418;
													goto BgL_zc3z04anonymousza33082ze3z87_10173;
												}
											}
										}
								}
							}
						}
				}
				bgl_display_obj(BgL_arg3080z00_10169, BgL_pz00_8678);
			}
			return
				BBOOL(BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8677, BgL_pz00_8678));
		}

	}



/* &dump-fun-rtl_cast1830 */
	obj_t BGl_z62dumpzd2funzd2rtl_cast1830z62zzsaw_defsz00(obj_t BgL_envz00_8680,
		obj_t BgL_oz00_8681, obj_t BgL_destz00_8682, obj_t BgL_argsz00_8683,
		obj_t BgL_pz00_8684, obj_t BgL_mz00_8685)
	{
		{	/* SawMill/defs.scm 442 */
			BGl_showzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt)
					((BgL_rtl_castz00_bglt) BgL_oz00_8681)), BgL_destz00_8682,
				BgL_pz00_8684);
			{	/* SawMill/defs.scm 444 */
				obj_t BgL_tmpz00_15426;

				BgL_tmpz00_15426 = ((obj_t) BgL_pz00_8684);
				bgl_display_string(BGl_string3248z00zzsaw_defsz00, BgL_tmpz00_15426);
			}
			{	/* SawMill/defs.scm 445 */
				obj_t BgL_arg3071z00_10181;

				{	/* SawMill/defs.scm 445 */
					BgL_typez00_bglt BgL_arg3072z00_10182;

					BgL_arg3072z00_10182 =
						(((BgL_rtl_castz00_bglt) COBJECT(
								((BgL_rtl_castz00_bglt) BgL_oz00_8681)))->BgL_totypez00);
					BgL_arg3071z00_10181 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_arg3072z00_10182));
				}
				bgl_display_obj(BgL_arg3071z00_10181, BgL_pz00_8684);
			}
			{	/* SawMill/defs.scm 446 */
				obj_t BgL_tmpz00_15434;

				BgL_tmpz00_15434 = ((obj_t) BgL_pz00_8684);
				bgl_display_string(BGl_string3545z00zzsaw_defsz00, BgL_tmpz00_15434);
			}
			{	/* SawMill/defs.scm 447 */
				obj_t BgL_arg3074z00_10183;

				{	/* SawMill/defs.scm 447 */
					BgL_typez00_bglt BgL_arg3075z00_10184;

					BgL_arg3075z00_10184 =
						(((BgL_rtl_castz00_bglt) COBJECT(
								((BgL_rtl_castz00_bglt) BgL_oz00_8681)))->BgL_fromtypez00);
					BgL_arg3074z00_10183 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_arg3075z00_10184));
				}
				bgl_display_obj(BgL_arg3074z00_10183, BgL_pz00_8684);
			}
			return
				BBOOL(BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8683, BgL_pz00_8684));
		}

	}



/* &dump-fun-rtl_pragma1828 */
	obj_t BGl_z62dumpzd2funzd2rtl_pragma1828z62zzsaw_defsz00(obj_t
		BgL_envz00_8686, obj_t BgL_oz00_8687, obj_t BgL_destz00_8688,
		obj_t BgL_argsz00_8689, obj_t BgL_pz00_8690, obj_t BgL_mz00_8691)
	{
		{	/* SawMill/defs.scm 432 */
			BGl_showzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt)
					((BgL_rtl_pragmaz00_bglt) BgL_oz00_8687)), BgL_destz00_8688,
				BgL_pz00_8690);
			{	/* SawMill/defs.scm 434 */
				obj_t BgL_tmpz00_15447;

				BgL_tmpz00_15447 = ((obj_t) BgL_pz00_8690);
				bgl_display_string(BGl_string3248z00zzsaw_defsz00, BgL_tmpz00_15447);
			}
			bgl_display_obj(
				(((BgL_rtl_pragmaz00_bglt) COBJECT(
							((BgL_rtl_pragmaz00_bglt) BgL_oz00_8687)))->BgL_formatz00),
				BgL_pz00_8690);
			{	/* SawMill/defs.scm 436 */
				obj_t BgL_tmpz00_15453;

				BgL_tmpz00_15453 = ((obj_t) BgL_pz00_8690);
				bgl_display_string(BGl_string3248z00zzsaw_defsz00, BgL_tmpz00_15453);
			}
			return
				BBOOL(BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8689, BgL_pz00_8690));
		}

	}



/* &dump-fun-rtl_call1826 */
	obj_t BGl_z62dumpzd2funzd2rtl_call1826z62zzsaw_defsz00(obj_t BgL_envz00_8692,
		obj_t BgL_oz00_8693, obj_t BgL_destz00_8694, obj_t BgL_argsz00_8695,
		obj_t BgL_pz00_8696, obj_t BgL_mz00_8697)
	{
		{	/* SawMill/defs.scm 412 */
			{	/* SawMill/defs.scm 414 */
				obj_t BgL_arg3061z00_10187;

				{	/* SawMill/defs.scm 414 */
					obj_t BgL_ouz00_10188;
					obj_t BgL_oaz00_10189;

					BgL_ouz00_10188 = BGl_za2userzd2shapezf3za2z21zzengine_paramz00;
					BgL_oaz00_10189 = BGl_za2accesszd2shapezf3za2z21zzengine_paramz00;
					BGl_za2userzd2shapezf3za2z21zzengine_paramz00 = BFALSE;
					BGl_za2accesszd2shapezf3za2z21zzengine_paramz00 = BFALSE;
					{	/* SawMill/defs.scm 418 */
						obj_t BgL_rz00_10190;

						{	/* SawMill/defs.scm 418 */
							BgL_globalz00_bglt BgL_arg3062z00_10191;

							BgL_arg3062z00_10191 =
								(((BgL_rtl_callz00_bglt) COBJECT(
										((BgL_rtl_callz00_bglt) BgL_oz00_8693)))->BgL_varz00);
							BgL_rz00_10190 =
								BGl_shapez00zztools_shapez00(((obj_t) BgL_arg3062z00_10191));
						}
						BGl_za2userzd2shapezf3za2z21zzengine_paramz00 = BgL_ouz00_10188;
						BGl_za2accesszd2shapezf3za2z21zzengine_paramz00 = BgL_oaz00_10189;
						BgL_arg3061z00_10187 = BgL_rz00_10190;
					}
				}
				bgl_display_obj(BgL_arg3061z00_10187, BgL_pz00_8696);
			}
			{	/* SawMill/defs.scm 423 */
				bool_t BgL_test4533z00_15463;

				if (CBOOL(BgL_destz00_8694))
					{	/* SawMill/defs.scm 423 */
						BgL_test4533z00_15463 = CBOOL(BGl_debugzd2sawzd2zzsaw_defsz00);
					}
				else
					{	/* SawMill/defs.scm 423 */
						BgL_test4533z00_15463 = ((bool_t) 0);
					}
				if (BgL_test4533z00_15463)
					{	/* SawMill/defs.scm 423 */
						{	/* SawMill/defs.scm 424 */
							obj_t BgL_tmpz00_15467;

							BgL_tmpz00_15467 = ((obj_t) BgL_pz00_8696);
							bgl_display_string(BGl_string3253z00zzsaw_defsz00,
								BgL_tmpz00_15467);
						}
						BGl_dumpz00zzsaw_defsz00(BgL_destz00_8694, BgL_pz00_8696,
							(int) (0L));
						{	/* SawMill/defs.scm 426 */
							obj_t BgL_tmpz00_15472;

							BgL_tmpz00_15472 = ((obj_t) BgL_pz00_8696);
							bgl_display_string(BGl_string3252z00zzsaw_defsz00,
								BgL_tmpz00_15472);
					}}
				else
					{	/* SawMill/defs.scm 423 */
						BFALSE;
					}
			}
			return
				BBOOL(BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8695, BgL_pz00_8696));
		}

	}



/* &dump-fun-rtl_go1824 */
	obj_t BGl_z62dumpzd2funzd2rtl_go1824z62zzsaw_defsz00(obj_t BgL_envz00_8698,
		obj_t BgL_oz00_8699, obj_t BgL_destz00_8700, obj_t BgL_argsz00_8701,
		obj_t BgL_pz00_8702, obj_t BgL_mz00_8703)
	{
		{	/* SawMill/defs.scm 402 */
			BGl_showzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt)
					((BgL_rtl_goz00_bglt) BgL_oz00_8699)), BgL_destz00_8700,
				BgL_pz00_8702);
			{	/* SawMill/defs.scm 405 */
				obj_t BgL_tmpz00_15480;

				BgL_tmpz00_15480 = ((obj_t) BgL_pz00_8702);
				bgl_display_string(BGl_string3248z00zzsaw_defsz00, BgL_tmpz00_15480);
			}
			{	/* SawMill/defs.scm 406 */
				int BgL_arg3058z00_10193;

				BgL_arg3058z00_10193 =
					(((BgL_blockz00_bglt) COBJECT(
							(((BgL_rtl_goz00_bglt) COBJECT(
										((BgL_rtl_goz00_bglt) BgL_oz00_8699)))->BgL_toz00)))->
					BgL_labelz00);
				bgl_display_obj(BINT(BgL_arg3058z00_10193), BgL_pz00_8702);
			}
			return
				BBOOL(BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8701, BgL_pz00_8702));
		}

	}



/* &dump-fun-rtl_ifne1822 */
	obj_t BGl_z62dumpzd2funzd2rtl_ifne1822z62zzsaw_defsz00(obj_t BgL_envz00_8704,
		obj_t BgL_oz00_8705, obj_t BgL_destz00_8706, obj_t BgL_argsz00_8707,
		obj_t BgL_pz00_8708, obj_t BgL_mz00_8709)
	{
		{	/* SawMill/defs.scm 391 */
			BGl_showzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt)
					((BgL_rtl_ifnez00_bglt) BgL_oz00_8705)), BgL_destz00_8706,
				BgL_pz00_8708);
			BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8707, BgL_pz00_8708);
			{	/* SawMill/defs.scm 395 */
				obj_t BgL_tmpz00_15494;

				BgL_tmpz00_15494 = ((obj_t) BgL_pz00_8708);
				bgl_display_string(BGl_string3546z00zzsaw_defsz00, BgL_tmpz00_15494);
			}
			{	/* SawMill/defs.scm 396 */
				int BgL_arg3055z00_10195;

				BgL_arg3055z00_10195 =
					(((BgL_blockz00_bglt) COBJECT(
							(((BgL_rtl_ifnez00_bglt) COBJECT(
										((BgL_rtl_ifnez00_bglt) BgL_oz00_8705)))->BgL_thenz00)))->
					BgL_labelz00);
				bgl_display_obj(BINT(BgL_arg3055z00_10195), BgL_pz00_8708);
			}
			{	/* SawMill/defs.scm 397 */
				obj_t BgL_tmpz00_15502;

				BgL_tmpz00_15502 = ((obj_t) BgL_pz00_8708);
				return
					bgl_display_string(BGl_string3252z00zzsaw_defsz00, BgL_tmpz00_15502);
			}
		}

	}



/* &dump-fun-rtl_ifeq1820 */
	obj_t BGl_z62dumpzd2funzd2rtl_ifeq1820z62zzsaw_defsz00(obj_t BgL_envz00_8710,
		obj_t BgL_oz00_8711, obj_t BgL_destz00_8712, obj_t BgL_argsz00_8713,
		obj_t BgL_pz00_8714, obj_t BgL_mz00_8715)
	{
		{	/* SawMill/defs.scm 380 */
			BGl_showzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt)
					((BgL_rtl_ifeqz00_bglt) BgL_oz00_8711)), BgL_destz00_8712,
				BgL_pz00_8714);
			BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8713, BgL_pz00_8714);
			{	/* SawMill/defs.scm 384 */
				obj_t BgL_tmpz00_15509;

				BgL_tmpz00_15509 = ((obj_t) BgL_pz00_8714);
				bgl_display_string(BGl_string3546z00zzsaw_defsz00, BgL_tmpz00_15509);
			}
			{	/* SawMill/defs.scm 385 */
				int BgL_arg3053z00_10197;

				BgL_arg3053z00_10197 =
					(((BgL_blockz00_bglt) COBJECT(
							(((BgL_rtl_ifeqz00_bglt) COBJECT(
										((BgL_rtl_ifeqz00_bglt) BgL_oz00_8711)))->BgL_thenz00)))->
					BgL_labelz00);
				bgl_display_obj(BINT(BgL_arg3053z00_10197), BgL_pz00_8714);
			}
			{	/* SawMill/defs.scm 386 */
				obj_t BgL_tmpz00_15517;

				BgL_tmpz00_15517 = ((obj_t) BgL_pz00_8714);
				return
					bgl_display_string(BGl_string3252z00zzsaw_defsz00, BgL_tmpz00_15517);
			}
		}

	}



/* &dump-fun-rtl_switch1818 */
	obj_t BGl_z62dumpzd2funzd2rtl_switch1818z62zzsaw_defsz00(obj_t
		BgL_envz00_8716, obj_t BgL_oz00_8717, obj_t BgL_destz00_8718,
		obj_t BgL_argsz00_8719, obj_t BgL_pz00_8720, obj_t BgL_mz00_8721)
	{
		{	/* SawMill/defs.scm 370 */
			BGl_showzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt)
					((BgL_rtl_switchz00_bglt) BgL_oz00_8717)), BgL_destz00_8718,
				BgL_pz00_8720);
			BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8719, BgL_pz00_8720);
			{	/* SawMill/defs.scm 374 */
				obj_t BgL_tmpz00_15524;

				BgL_tmpz00_15524 = ((obj_t) BgL_pz00_8720);
				bgl_display_string(BGl_string3248z00zzsaw_defsz00, BgL_tmpz00_15524);
			}
			{	/* SawMill/defs.scm 375 */
				obj_t BgL_arg3042z00_10199;

				{	/* SawMill/defs.scm 375 */
					obj_t BgL_l1687z00_10200;

					BgL_l1687z00_10200 =
						(((BgL_rtl_switchz00_bglt) COBJECT(
								((BgL_rtl_switchz00_bglt) BgL_oz00_8717)))->BgL_labelsz00);
					if (NULLP(BgL_l1687z00_10200))
						{	/* SawMill/defs.scm 375 */
							BgL_arg3042z00_10199 = BNIL;
						}
					else
						{	/* SawMill/defs.scm 375 */
							obj_t BgL_head1689z00_10201;

							{	/* SawMill/defs.scm 375 */
								int BgL_arg3050z00_10202;

								BgL_arg3050z00_10202 =
									(((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt)
												CAR(((obj_t) BgL_l1687z00_10200)))))->BgL_labelz00);
								BgL_head1689z00_10201 =
									MAKE_YOUNG_PAIR(BINT(BgL_arg3050z00_10202), BNIL);
							}
							{	/* SawMill/defs.scm 375 */
								obj_t BgL_g1692z00_10203;

								BgL_g1692z00_10203 = CDR(((obj_t) BgL_l1687z00_10200));
								{
									obj_t BgL_l1687z00_10205;
									obj_t BgL_tail1690z00_10206;

									BgL_l1687z00_10205 = BgL_g1692z00_10203;
									BgL_tail1690z00_10206 = BgL_head1689z00_10201;
								BgL_zc3z04anonymousza33044ze3z87_10204:
									if (NULLP(BgL_l1687z00_10205))
										{	/* SawMill/defs.scm 375 */
											BgL_arg3042z00_10199 = BgL_head1689z00_10201;
										}
									else
										{	/* SawMill/defs.scm 375 */
											obj_t BgL_newtail1691z00_10207;

											{	/* SawMill/defs.scm 375 */
												int BgL_arg3048z00_10208;

												BgL_arg3048z00_10208 =
													(((BgL_blockz00_bglt) COBJECT(
															((BgL_blockz00_bglt)
																CAR(
																	((obj_t) BgL_l1687z00_10205)))))->
													BgL_labelz00);
												BgL_newtail1691z00_10207 =
													MAKE_YOUNG_PAIR(BINT(BgL_arg3048z00_10208), BNIL);
											}
											SET_CDR(BgL_tail1690z00_10206, BgL_newtail1691z00_10207);
											{	/* SawMill/defs.scm 375 */
												obj_t BgL_arg3046z00_10209;

												BgL_arg3046z00_10209 =
													CDR(((obj_t) BgL_l1687z00_10205));
												{
													obj_t BgL_tail1690z00_15551;
													obj_t BgL_l1687z00_15550;

													BgL_l1687z00_15550 = BgL_arg3046z00_10209;
													BgL_tail1690z00_15551 = BgL_newtail1691z00_10207;
													BgL_tail1690z00_10206 = BgL_tail1690z00_15551;
													BgL_l1687z00_10205 = BgL_l1687z00_15550;
													goto BgL_zc3z04anonymousza33044ze3z87_10204;
												}
											}
										}
								}
							}
						}
				}
				return bgl_display_obj(BgL_arg3042z00_10199, BgL_pz00_8720);
			}
		}

	}



/* &dump-fun-rtl_globalr1816 */
	obj_t BGl_z62dumpzd2funzd2rtl_globalr1816z62zzsaw_defsz00(obj_t
		BgL_envz00_8722, obj_t BgL_oz00_8723, obj_t BgL_destz00_8724,
		obj_t BgL_argsz00_8725, obj_t BgL_pz00_8726, obj_t BgL_mz00_8727)
	{
		{	/* SawMill/defs.scm 361 */
			BGl_showzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt)
					((BgL_rtl_globalrefz00_bglt) BgL_oz00_8723)), BgL_destz00_8724,
				BgL_pz00_8726);
			{	/* SawMill/defs.scm 363 */
				obj_t BgL_tmpz00_15556;

				BgL_tmpz00_15556 = ((obj_t) BgL_pz00_8726);
				bgl_display_string(BGl_string3248z00zzsaw_defsz00, BgL_tmpz00_15556);
			}
			{	/* SawMill/defs.scm 364 */
				obj_t BgL_arg3031z00_10211;

				{	/* SawMill/defs.scm 364 */
					BgL_globalz00_bglt BgL_arg3034z00_10212;

					BgL_arg3034z00_10212 =
						(((BgL_rtl_globalrefz00_bglt) COBJECT(
								((BgL_rtl_globalrefz00_bglt) BgL_oz00_8723)))->BgL_varz00);
					BgL_arg3031z00_10211 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_arg3034z00_10212));
				}
				bgl_display_obj(BgL_arg3031z00_10211, BgL_pz00_8726);
			}
			return
				BBOOL(BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8725, BgL_pz00_8726));
		}

	}



/* &dump-fun-rtl_loadfun1814 */
	obj_t BGl_z62dumpzd2funzd2rtl_loadfun1814z62zzsaw_defsz00(obj_t
		BgL_envz00_8728, obj_t BgL_oz00_8729, obj_t BgL_destz00_8730,
		obj_t BgL_argsz00_8731, obj_t BgL_pz00_8732, obj_t BgL_mz00_8733)
	{
		{	/* SawMill/defs.scm 352 */
			BGl_showzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt)
					((BgL_rtl_loadfunz00_bglt) BgL_oz00_8729)), BgL_destz00_8730,
				BgL_pz00_8732);
			{	/* SawMill/defs.scm 354 */
				obj_t BgL_tmpz00_15569;

				BgL_tmpz00_15569 = ((obj_t) BgL_pz00_8732);
				bgl_display_string(BGl_string3248z00zzsaw_defsz00, BgL_tmpz00_15569);
			}
			{	/* SawMill/defs.scm 355 */
				obj_t BgL_arg3029z00_10214;

				{	/* SawMill/defs.scm 355 */
					BgL_globalz00_bglt BgL_arg3030z00_10215;

					BgL_arg3030z00_10215 =
						(((BgL_rtl_loadfunz00_bglt) COBJECT(
								((BgL_rtl_loadfunz00_bglt) BgL_oz00_8729)))->BgL_varz00);
					BgL_arg3029z00_10214 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_arg3030z00_10215));
				}
				bgl_display_obj(BgL_arg3029z00_10214, BgL_pz00_8732);
			}
			return
				BBOOL(BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8731, BgL_pz00_8732));
		}

	}



/* &dump-fun-rtl_loadg1812 */
	obj_t BGl_z62dumpzd2funzd2rtl_loadg1812z62zzsaw_defsz00(obj_t BgL_envz00_8734,
		obj_t BgL_oz00_8735, obj_t BgL_destz00_8736, obj_t BgL_argsz00_8737,
		obj_t BgL_pz00_8738, obj_t BgL_mz00_8739)
	{
		{	/* SawMill/defs.scm 343 */
			BGl_showzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt)
					((BgL_rtl_loadgz00_bglt) BgL_oz00_8735)), BgL_destz00_8736,
				BgL_pz00_8738);
			{	/* SawMill/defs.scm 345 */
				obj_t BgL_tmpz00_15582;

				BgL_tmpz00_15582 = ((obj_t) BgL_pz00_8738);
				bgl_display_string(BGl_string3248z00zzsaw_defsz00, BgL_tmpz00_15582);
			}
			{	/* SawMill/defs.scm 346 */
				obj_t BgL_arg3027z00_10217;

				{	/* SawMill/defs.scm 346 */
					BgL_globalz00_bglt BgL_arg3028z00_10218;

					BgL_arg3028z00_10218 =
						(((BgL_rtl_loadgz00_bglt) COBJECT(
								((BgL_rtl_loadgz00_bglt) BgL_oz00_8735)))->BgL_varz00);
					BgL_arg3027z00_10217 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_arg3028z00_10218));
				}
				bgl_display_obj(BgL_arg3027z00_10217, BgL_pz00_8738);
			}
			return
				BBOOL(BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8737, BgL_pz00_8738));
		}

	}



/* &dump-fun-rtl_mov1810 */
	obj_t BGl_z62dumpzd2funzd2rtl_mov1810z62zzsaw_defsz00(obj_t BgL_envz00_8740,
		obj_t BgL_oz00_8741, obj_t BgL_destz00_8742, obj_t BgL_argsz00_8743,
		obj_t BgL_pz00_8744, obj_t BgL_mz00_8745)
	{
		{	/* SawMill/defs.scm 336 */
			BGl_showzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt)
					((BgL_rtl_movz00_bglt) BgL_oz00_8741)), BgL_destz00_8742,
				BgL_pz00_8744);
			return BBOOL(BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8743,
					BgL_pz00_8744));
		}

	}



/* &dump-fun-rtl_loadi1808 */
	obj_t BGl_z62dumpzd2funzd2rtl_loadi1808z62zzsaw_defsz00(obj_t BgL_envz00_8746,
		obj_t BgL_oz00_8747, obj_t BgL_destz00_8748, obj_t BgL_argsz00_8749,
		obj_t BgL_pz00_8750, obj_t BgL_mz00_8751)
	{
		{	/* SawMill/defs.scm 327 */
			BGl_showzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt)
					((BgL_rtl_loadiz00_bglt) BgL_oz00_8747)), BgL_destz00_8748,
				BgL_pz00_8750);
			{	/* SawMill/defs.scm 329 */
				obj_t BgL_tmpz00_15600;

				BgL_tmpz00_15600 = ((obj_t) BgL_pz00_8750);
				bgl_display_string(BGl_string3248z00zzsaw_defsz00, BgL_tmpz00_15600);
			}
			{	/* SawMill/defs.scm 330 */
				obj_t BgL_arg3024z00_10221;

				BgL_arg3024z00_10221 =
					(((BgL_atomz00_bglt) COBJECT(
							(((BgL_rtl_loadiz00_bglt) COBJECT(
										((BgL_rtl_loadiz00_bglt) BgL_oz00_8747)))->
								BgL_constantz00)))->BgL_valuez00);
				{	/* SawMill/defs.scm 330 */
					obj_t BgL_list3025z00_10222;

					BgL_list3025z00_10222 = MAKE_YOUNG_PAIR(BgL_pz00_8750, BNIL);
					BGl_writez00zz__r4_output_6_10_3z00(BgL_arg3024z00_10221,
						BgL_list3025z00_10222);
				}
			}
			return
				BBOOL(BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8749, BgL_pz00_8750));
		}

	}



/* &dump-fun-rtl_fun1806 */
	obj_t BGl_z62dumpzd2funzd2rtl_fun1806z62zzsaw_defsz00(obj_t BgL_envz00_8752,
		obj_t BgL_oz00_8753, obj_t BgL_destz00_8754, obj_t BgL_argsz00_8755,
		obj_t BgL_pz00_8756, obj_t BgL_mz00_8757)
	{
		{	/* SawMill/defs.scm 320 */
			BGl_showzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt) BgL_oz00_8753), BgL_destz00_8754, BgL_pz00_8756);
			return
				BBOOL(BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8755, BgL_pz00_8756));
		}

	}



/* &dump-rtl_reg1802 */
	obj_t BGl_z62dumpzd2rtl_reg1802zb0zzsaw_defsz00(obj_t BgL_envz00_8758,
		obj_t BgL_oz00_8759, obj_t BgL_pz00_8760, obj_t BgL_mz00_8761)
	{
		{	/* SawMill/defs.scm 294 */
			{	/* SawMill/defs.scm 295 */
				obj_t BgL_arg3020z00_10225;

				BgL_arg3020z00_10225 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_rtl_regz00_bglt) BgL_oz00_8759)));
				bgl_display_obj(BgL_arg3020z00_10225, BgL_pz00_8760);
			}
			if (CBOOL(BGl_za2typezd2shapezf3za2z21zzengine_paramz00))
				{	/* SawMill/defs.scm 296 */
					{	/* SawMill/defs.scm 297 */
						obj_t BgL_tmpz00_15620;

						BgL_tmpz00_15620 = ((obj_t) BgL_pz00_8760);
						bgl_display_string(BGl_string3544z00zzsaw_defsz00,
							BgL_tmpz00_15620);
					}
					{	/* SawMill/defs.scm 298 */
						obj_t BgL_arg3022z00_10226;

						{	/* SawMill/defs.scm 298 */
							BgL_typez00_bglt BgL_arg3023z00_10227;

							BgL_arg3023z00_10227 =
								(((BgL_rtl_regz00_bglt) COBJECT(
										((BgL_rtl_regz00_bglt) BgL_oz00_8759)))->BgL_typez00);
							BgL_arg3022z00_10226 =
								BGl_shapez00zztools_shapez00(((obj_t) BgL_arg3023z00_10227));
						}
						return bgl_display_obj(BgL_arg3022z00_10226, BgL_pz00_8760);
					}
				}
			else
				{	/* SawMill/defs.scm 296 */
					return BFALSE;
				}
		}

	}



/* &dump-rtl_ins1800 */
	obj_t BGl_z62dumpzd2rtl_ins1800zb0zzsaw_defsz00(obj_t BgL_envz00_8762,
		obj_t BgL_oz00_8763, obj_t BgL_pz00_8764, obj_t BgL_mz00_8765)
	{
		{	/* SawMill/defs.scm 262 */
			{	/* SawMill/defs.scm 264 */
				obj_t BgL_tmpz00_15628;

				BgL_tmpz00_15628 = ((obj_t) BgL_pz00_8764);
				bgl_display_string(BGl_string3547z00zzsaw_defsz00, BgL_tmpz00_15628);
			}
			if (CBOOL(
					(((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_oz00_8763)))->BgL_destz00)))
				{	/* SawMill/defs.scm 265 */
					{	/* SawMill/defs.scm 266 */
						obj_t BgL_tmpz00_15635;

						BgL_tmpz00_15635 = ((obj_t) BgL_pz00_8764);
						bgl_display_string(BGl_string3251z00zzsaw_defsz00,
							BgL_tmpz00_15635);
					}
					BGl_dumpz00zzsaw_defsz00(
						(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_oz00_8763)))->BgL_destz00),
						BgL_pz00_8764, CINT(BgL_mz00_8765));
					{	/* SawMill/defs.scm 268 */
						obj_t BgL_tmpz00_15642;

						BgL_tmpz00_15642 = ((obj_t) BgL_pz00_8764);
						bgl_display_string(BGl_string3548z00zzsaw_defsz00,
							BgL_tmpz00_15642);
					}
				}
			else
				{	/* SawMill/defs.scm 265 */
					BFALSE;
				}
			BGl_dumpzd2inszd2rhsz00zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_8763), BgL_pz00_8764, BgL_mz00_8765);
			if (CBOOL(
					(((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_oz00_8763)))->BgL_destz00)))
				{	/* SawMill/defs.scm 271 */
					obj_t BgL_tmpz00_15651;

					BgL_tmpz00_15651 = ((obj_t) BgL_pz00_8764);
					bgl_display_string(BGl_string3252z00zzsaw_defsz00, BgL_tmpz00_15651);
				}
			else
				{	/* SawMill/defs.scm 270 */
					BFALSE;
				}
			{	/* SawMill/defs.scm 272 */
				obj_t BgL_tmpz00_15654;

				BgL_tmpz00_15654 = ((obj_t) BgL_pz00_8764);
				bgl_display_string(BGl_string3248z00zzsaw_defsz00, BgL_tmpz00_15654);
			}
			{	/* SawMill/defs.scm 273 */
				obj_t BgL_tmpz00_15657;

				BgL_tmpz00_15657 = ((obj_t) BgL_pz00_8764);
				bgl_display_string(BGl_string3549z00zzsaw_defsz00, BgL_tmpz00_15657);
			}
			if (NULLP(
					(((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_oz00_8763)))->BgL_z52spillz52)))
				{	/* SawMill/defs.scm 274 */
					((bool_t) 0);
				}
			else
				{	/* SawMill/defs.scm 275 */
					obj_t BgL_g1686z00_10229;

					BgL_g1686z00_10229 =
						(((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_oz00_8763)))->BgL_z52spillz52);
					{
						obj_t BgL_l1684z00_10231;

						BgL_l1684z00_10231 = BgL_g1686z00_10229;
					BgL_zc3z04anonymousza33015ze3z87_10230:
						if (PAIRP(BgL_l1684z00_10231))
							{	/* SawMill/defs.scm 275 */
								{	/* SawMill/defs.scm 276 */
									obj_t BgL_rz00_10232;

									BgL_rz00_10232 = CAR(BgL_l1684z00_10231);
									bgl_display_obj(BGl_shapez00zztools_shapez00(BgL_rz00_10232),
										BgL_pz00_8764);
									{	/* SawMill/defs.scm 277 */
										obj_t BgL_tmpz00_15671;

										BgL_tmpz00_15671 = ((obj_t) BgL_pz00_8764);
										bgl_display_string(BGl_string3248z00zzsaw_defsz00,
											BgL_tmpz00_15671);
									}
								}
								{
									obj_t BgL_l1684z00_15674;

									BgL_l1684z00_15674 = CDR(BgL_l1684z00_10231);
									BgL_l1684z00_10231 = BgL_l1684z00_15674;
									goto BgL_zc3z04anonymousza33015ze3z87_10230;
								}
							}
						else
							{	/* SawMill/defs.scm 275 */
								((bool_t) 1);
							}
					}
				}
			{	/* SawMill/defs.scm 279 */
				obj_t BgL_tmpz00_15676;

				BgL_tmpz00_15676 = ((obj_t) BgL_pz00_8764);
				bgl_display_string(BGl_string3252z00zzsaw_defsz00, BgL_tmpz00_15676);
			}
			{	/* SawMill/defs.scm 280 */
				obj_t BgL_tmpz00_15679;

				BgL_tmpz00_15679 = ((obj_t) BgL_pz00_8764);
				return
					bgl_display_string(BGl_string3550z00zzsaw_defsz00, BgL_tmpz00_15679);
			}
		}

	}



/* &dump-block1798 */
	obj_t BGl_z62dumpzd2block1798zb0zzsaw_defsz00(obj_t BgL_envz00_8766,
		obj_t BgL_oz00_8767, obj_t BgL_pz00_8768, obj_t BgL_mz00_8769)
	{
		{	/* SawMill/defs.scm 247 */
			{	/* SawMill/defs.scm 249 */
				obj_t BgL_tmpz00_15682;

				BgL_tmpz00_15682 = ((obj_t) BgL_pz00_8768);
				bgl_display_string(BGl_string3251z00zzsaw_defsz00, BgL_tmpz00_15682);
			}
			{	/* SawMill/defs.scm 249 */
				obj_t BgL_arg2973z00_10234;

				BgL_arg2973z00_10234 =
					bgl_typeof(((obj_t) ((BgL_blockz00_bglt) BgL_oz00_8767)));
				bgl_display_obj(BgL_arg2973z00_10234, BgL_pz00_8768);
			}
			{	/* SawMill/defs.scm 249 */
				obj_t BgL_tmpz00_15689;

				BgL_tmpz00_15689 = ((obj_t) BgL_pz00_8768);
				bgl_display_string(BGl_string3248z00zzsaw_defsz00, BgL_tmpz00_15689);
			}
			{	/* SawMill/defs.scm 249 */
				int BgL_arg2974z00_10235;

				BgL_arg2974z00_10235 =
					(((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_8767)))->BgL_labelz00);
				bgl_display_obj(BINT(BgL_arg2974z00_10235), BgL_pz00_8768);
			}
			{	/* SawMill/defs.scm 249 */
				obj_t BgL_tmpz00_15696;

				BgL_tmpz00_15696 = ((obj_t) BgL_pz00_8768);
				bgl_display_char(((unsigned char) 10), BgL_tmpz00_15696);
			}
			{	/* SawMill/defs.scm 251 */
				long BgL_arg2975z00_10236;

				BgL_arg2975z00_10236 = ((long) CINT(BgL_mz00_8769) + 1L);
				BGl_dumpzd2marginzd2zzsaw_defsz00(BgL_pz00_8768,
					(int) (BgL_arg2975z00_10236));
			}
			{	/* SawMill/defs.scm 252 */
				obj_t BgL_tmpz00_15703;

				BgL_tmpz00_15703 = ((obj_t) BgL_pz00_8768);
				bgl_display_string(BGl_string3551z00zzsaw_defsz00, BgL_tmpz00_15703);
			}
			{	/* SawMill/defs.scm 252 */
				obj_t BgL_arg2976z00_10237;

				{	/* SawMill/defs.scm 252 */
					obj_t BgL_l1670z00_10238;

					BgL_l1670z00_10238 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_oz00_8767)))->BgL_predsz00);
					if (NULLP(BgL_l1670z00_10238))
						{	/* SawMill/defs.scm 252 */
							BgL_arg2976z00_10237 = BNIL;
						}
					else
						{	/* SawMill/defs.scm 252 */
							obj_t BgL_head1672z00_10239;

							{	/* SawMill/defs.scm 252 */
								int BgL_arg2983z00_10240;

								BgL_arg2983z00_10240 =
									(((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt)
												CAR(BgL_l1670z00_10238))))->BgL_labelz00);
								BgL_head1672z00_10239 =
									MAKE_YOUNG_PAIR(BINT(BgL_arg2983z00_10240), BNIL);
							}
							{	/* SawMill/defs.scm 252 */
								obj_t BgL_g1675z00_10241;

								BgL_g1675z00_10241 = CDR(BgL_l1670z00_10238);
								{
									obj_t BgL_l1670z00_10243;
									obj_t BgL_tail1673z00_10244;

									BgL_l1670z00_10243 = BgL_g1675z00_10241;
									BgL_tail1673z00_10244 = BgL_head1672z00_10239;
								BgL_zc3z04anonymousza32978ze3z87_10242:
									if (NULLP(BgL_l1670z00_10243))
										{	/* SawMill/defs.scm 252 */
											BgL_arg2976z00_10237 = BgL_head1672z00_10239;
										}
									else
										{	/* SawMill/defs.scm 252 */
											obj_t BgL_newtail1674z00_10245;

											{	/* SawMill/defs.scm 252 */
												int BgL_arg2981z00_10246;

												BgL_arg2981z00_10246 =
													(((BgL_blockz00_bglt) COBJECT(
															((BgL_blockz00_bglt)
																CAR(
																	((obj_t) BgL_l1670z00_10243)))))->
													BgL_labelz00);
												BgL_newtail1674z00_10245 =
													MAKE_YOUNG_PAIR(BINT(BgL_arg2981z00_10246), BNIL);
											}
											SET_CDR(BgL_tail1673z00_10244, BgL_newtail1674z00_10245);
											{	/* SawMill/defs.scm 252 */
												obj_t BgL_arg2980z00_10247;

												BgL_arg2980z00_10247 =
													CDR(((obj_t) BgL_l1670z00_10243));
												{
													obj_t BgL_tail1673z00_15728;
													obj_t BgL_l1670z00_15727;

													BgL_l1670z00_15727 = BgL_arg2980z00_10247;
													BgL_tail1673z00_15728 = BgL_newtail1674z00_10245;
													BgL_tail1673z00_10244 = BgL_tail1673z00_15728;
													BgL_l1670z00_10243 = BgL_l1670z00_15727;
													goto BgL_zc3z04anonymousza32978ze3z87_10242;
												}
											}
										}
								}
							}
						}
				}
				bgl_display_obj(BgL_arg2976z00_10237, BgL_pz00_8768);
			}
			{	/* SawMill/defs.scm 252 */
				obj_t BgL_tmpz00_15730;

				BgL_tmpz00_15730 = ((obj_t) BgL_pz00_8768);
				bgl_display_char(((unsigned char) 10), BgL_tmpz00_15730);
			}
			{	/* SawMill/defs.scm 253 */
				long BgL_arg2985z00_10248;

				BgL_arg2985z00_10248 = ((long) CINT(BgL_mz00_8769) + 1L);
				BGl_dumpzd2marginzd2zzsaw_defsz00(BgL_pz00_8768,
					(int) (BgL_arg2985z00_10248));
			}
			{	/* SawMill/defs.scm 254 */
				obj_t BgL_tmpz00_15737;

				BgL_tmpz00_15737 = ((obj_t) BgL_pz00_8768);
				bgl_display_string(BGl_string3552z00zzsaw_defsz00, BgL_tmpz00_15737);
			}
			{	/* SawMill/defs.scm 254 */
				obj_t BgL_arg2986z00_10249;

				{	/* SawMill/defs.scm 254 */
					obj_t BgL_l1677z00_10250;

					BgL_l1677z00_10250 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_oz00_8767)))->BgL_succsz00);
					if (NULLP(BgL_l1677z00_10250))
						{	/* SawMill/defs.scm 254 */
							BgL_arg2986z00_10249 = BNIL;
						}
					else
						{	/* SawMill/defs.scm 254 */
							obj_t BgL_head1679z00_10251;

							{	/* SawMill/defs.scm 254 */
								int BgL_arg2999z00_10252;

								BgL_arg2999z00_10252 =
									(((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt)
												CAR(BgL_l1677z00_10250))))->BgL_labelz00);
								BgL_head1679z00_10251 =
									MAKE_YOUNG_PAIR(BINT(BgL_arg2999z00_10252), BNIL);
							}
							{	/* SawMill/defs.scm 254 */
								obj_t BgL_g1682z00_10253;

								BgL_g1682z00_10253 = CDR(BgL_l1677z00_10250);
								{
									obj_t BgL_l1677z00_10255;
									obj_t BgL_tail1680z00_10256;

									BgL_l1677z00_10255 = BgL_g1682z00_10253;
									BgL_tail1680z00_10256 = BgL_head1679z00_10251;
								BgL_zc3z04anonymousza32988ze3z87_10254:
									if (NULLP(BgL_l1677z00_10255))
										{	/* SawMill/defs.scm 254 */
											BgL_arg2986z00_10249 = BgL_head1679z00_10251;
										}
									else
										{	/* SawMill/defs.scm 254 */
											obj_t BgL_newtail1681z00_10257;

											{	/* SawMill/defs.scm 254 */
												int BgL_arg2993z00_10258;

												BgL_arg2993z00_10258 =
													(((BgL_blockz00_bglt) COBJECT(
															((BgL_blockz00_bglt)
																CAR(
																	((obj_t) BgL_l1677z00_10255)))))->
													BgL_labelz00);
												BgL_newtail1681z00_10257 =
													MAKE_YOUNG_PAIR(BINT(BgL_arg2993z00_10258), BNIL);
											}
											SET_CDR(BgL_tail1680z00_10256, BgL_newtail1681z00_10257);
											{	/* SawMill/defs.scm 254 */
												obj_t BgL_arg2991z00_10259;

												BgL_arg2991z00_10259 =
													CDR(((obj_t) BgL_l1677z00_10255));
												{
													obj_t BgL_tail1680z00_15762;
													obj_t BgL_l1677z00_15761;

													BgL_l1677z00_15761 = BgL_arg2991z00_10259;
													BgL_tail1680z00_15762 = BgL_newtail1681z00_10257;
													BgL_tail1680z00_10256 = BgL_tail1680z00_15762;
													BgL_l1677z00_10255 = BgL_l1677z00_15761;
													goto BgL_zc3z04anonymousza32988ze3z87_10254;
												}
											}
										}
								}
							}
						}
				}
				bgl_display_obj(BgL_arg2986z00_10249, BgL_pz00_8768);
			}
			{	/* SawMill/defs.scm 254 */
				obj_t BgL_tmpz00_15764;

				BgL_tmpz00_15764 = ((obj_t) BgL_pz00_8768);
				bgl_display_char(((unsigned char) 10), BgL_tmpz00_15764);
			}
			{	/* SawMill/defs.scm 255 */
				long BgL_arg3004z00_10260;

				BgL_arg3004z00_10260 = ((long) CINT(BgL_mz00_8769) + 1L);
				BGl_dumpzd2marginzd2zzsaw_defsz00(BgL_pz00_8768,
					(int) (BgL_arg3004z00_10260));
			}
			{	/* SawMill/defs.scm 256 */
				obj_t BgL_arg3008z00_10261;
				long BgL_arg3009z00_10262;

				BgL_arg3008z00_10261 =
					(((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_8767)))->BgL_firstz00);
				BgL_arg3009z00_10262 = ((long) CINT(BgL_mz00_8769) + 1L);
				BGl_dumpza2za2zzsaw_defsz00(BgL_arg3008z00_10261, BgL_pz00_8768,
					(int) (BgL_arg3009z00_10262));
			}
			{	/* SawMill/defs.scm 257 */
				obj_t BgL_tmpz00_15777;

				BgL_tmpz00_15777 = ((obj_t) BgL_pz00_8768);
				return
					bgl_display_string(BGl_string3553z00zzsaw_defsz00, BgL_tmpz00_15777);
			}
		}

	}



/* &shape-rtl_reg1794 */
	obj_t BGl_z62shapezd2rtl_reg1794zb0zzsaw_defsz00(obj_t BgL_envz00_8770,
		obj_t BgL_oz00_8771)
	{
		{	/* SawMill/defs.scm 134 */
			{	/* SawMill/defs.scm 135 */
				obj_t BgL_pz00_10264;

				{	/* SawMill/defs.scm 135 */

					{	/* SawMill/defs.scm 135 */

						BgL_pz00_10264 =
							BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE);
					}
				}
				if (CBOOL(
						(((BgL_rtl_regz00_bglt) COBJECT(
									((BgL_rtl_regz00_bglt) BgL_oz00_8771)))->BgL_onexprzf3zf3)))
					{	/* SawMill/defs.scm 138 */
						bgl_display_string(BGl_string3554z00zzsaw_defsz00, BgL_pz00_10264);
						bgl_display_obj(
							(((BgL_rtl_regz00_bglt) COBJECT(
										((BgL_rtl_regz00_bglt) BgL_oz00_8771)))->BgL_namez00),
							BgL_pz00_10264);
					}
				else
					{	/* SawMill/defs.scm 138 */
						if (CBOOL(
								(((BgL_rtl_regz00_bglt) COBJECT(
											((BgL_rtl_regz00_bglt) BgL_oz00_8771)))->
									BgL_hardwarez00)))
							{	/* SawMill/defs.scm 141 */
								bgl_display_string(BGl_string3555z00zzsaw_defsz00,
									BgL_pz00_10264);
								bgl_display_obj((((BgL_rtl_regz00_bglt)
											COBJECT(((BgL_rtl_regz00_bglt) BgL_oz00_8771)))->
										BgL_hardwarez00), BgL_pz00_10264);
							}
						else
							{	/* SawMill/defs.scm 141 */
								if (CBOOL(
										(((BgL_rtl_regz00_bglt) COBJECT(
													((BgL_rtl_regz00_bglt) BgL_oz00_8771)))->BgL_varz00)))
									{	/* SawMill/defs.scm 145 */
										obj_t BgL_arg2965z00_10265;

										BgL_arg2965z00_10265 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														(((BgL_rtl_regz00_bglt) COBJECT(
																	((BgL_rtl_regz00_bglt) BgL_oz00_8771)))->
															BgL_varz00))))->BgL_idz00);
										bgl_display_obj(BgL_arg2965z00_10265, BgL_pz00_10264);
									}
								else
									{	/* SawMill/defs.scm 144 */
										bgl_display_string(BGl_string3556z00zzsaw_defsz00,
											BgL_pz00_10264);
										bgl_display_obj((((BgL_rtl_regz00_bglt)
													COBJECT(((BgL_rtl_regz00_bglt) BgL_oz00_8771)))->
												BgL_namez00), BgL_pz00_10264);
									}
							}
					}
				if (CBOOL(BGl_za2typezd2shapezf3za2z21zzengine_paramz00))
					{	/* SawMill/defs.scm 149 */
						bgl_display_string(BGl_string3544z00zzsaw_defsz00, BgL_pz00_10264);
						bgl_display_obj(
							(((BgL_typez00_bglt) COBJECT(
										(((BgL_rtl_regz00_bglt) COBJECT(
													((BgL_rtl_regz00_bglt) BgL_oz00_8771)))->
											BgL_typez00)))->BgL_idz00), BgL_pz00_10264);
					}
				else
					{	/* SawMill/defs.scm 149 */
						BFALSE;
					}
				if (CBOOL(BGl_za2keyzd2shapezf3za2z21zzengine_paramz00))
					{	/* SawMill/defs.scm 152 */
						bgl_display_string(BGl_string3557z00zzsaw_defsz00, BgL_pz00_10264);
						bgl_display_obj(
							(((BgL_rtl_regz00_bglt) COBJECT(
										((BgL_rtl_regz00_bglt) BgL_oz00_8771)))->BgL_keyz00),
							BgL_pz00_10264);
					}
				else
					{	/* SawMill/defs.scm 152 */
						BFALSE;
					}
				return bgl_close_output_port(BgL_pz00_10264);
			}
		}

	}



/* &shape-rtl_ins1792 */
	obj_t BGl_z62shapezd2rtl_ins1792zb0zzsaw_defsz00(obj_t BgL_envz00_8772,
		obj_t BgL_iz00_8773)
	{
		{	/* SawMill/defs.scm 126 */
			{	/* SawMill/defs.scm 129 */
				obj_t BgL_zc3z04anonymousza32958ze3z87_10267;

				BgL_zc3z04anonymousza32958ze3z87_10267 =
					MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32958ze3ze5zzsaw_defsz00,
					(int) (1L), (int) (1L));
				PROCEDURE_SET(BgL_zc3z04anonymousza32958ze3z87_10267,
					(int) (0L), ((obj_t) ((BgL_rtl_insz00_bglt) BgL_iz00_8773)));
				return
					BGl_callzd2withzd2outputzd2stringzd2zz__r4_ports_6_10_1z00
					(BgL_zc3z04anonymousza32958ze3z87_10267);
			}
		}

	}



/* &<@anonymous:2958> */
	obj_t BGl_z62zc3z04anonymousza32958ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8774,
		obj_t BgL_opz00_8776)
	{
		{	/* SawMill/defs.scm 128 */
			{	/* SawMill/defs.scm 129 */
				BgL_rtl_insz00_bglt BgL_iz00_8775;

				BgL_iz00_8775 =
					((BgL_rtl_insz00_bglt) PROCEDURE_REF(BgL_envz00_8774, (int) (0L)));
				return
					BGl_dumpz00zzsaw_defsz00(
					((obj_t) BgL_iz00_8775), BgL_opz00_8776, (int) (0L));
		}}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.scm 1 */
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string3558z00zzsaw_defsz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string3558z00zzsaw_defsz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string3558z00zzsaw_defsz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string3558z00zzsaw_defsz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string3558z00zzsaw_defsz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string3558z00zzsaw_defsz00));
			return
				BGl_modulezd2initializa7ationz75zzsaw_libz00(57049157L,
				BSTRING_TO_STRING(BGl_string3558z00zzsaw_defsz00));
		}

	}

#ifdef __cplusplus
}
#endif
