/*===========================================================================*/
/*   (Stackable/walk.scm)                                                    */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Stackable/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_STACKABLE_WALK_TYPE_DEFINITIONS
#define BGL_STACKABLE_WALK_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_appzf2depthzf2_bgl
	{
		long BgL_depthz00;
	}                     *BgL_appzf2depthzf2_bglt;

	typedef struct BgL_localzf2depthzf2_bgl
	{
		long BgL_depthz00;
		obj_t BgL_ownerz00;
	}                       *BgL_localzf2depthzf2_bglt;


#endif													// BGL_STACKABLE_WALK_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62escapez12zd2app1496za2zzstackable_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62escapez12zd2makezd2box1498z70zzstackable_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62escapez12z70zzstackable_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1777z62zzstackable_walkz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_z62lambda1778z62zzstackable_walkz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzstackable_walkz00 = BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t
		BGl_z62depthzd2letzd2setzd2exzd2it1523z62zzstackable_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda1790z62zzstackable_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda1798z62zzstackable_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t
		BGl_globalzd2depthzd2letz12z12zzstackable_walkz00(BgL_variablez00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	extern obj_t BGl_za2optimzd2stackablezf3za2z21zzengine_paramz00;
	static obj_t BGl_z62stackablezd2conditiona1475zb0zzstackable_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_z62stackablezd2app1481zb0zzstackable_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzstackable_walkz00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_nodezd2escapezd2zzstackable_walkz00(BgL_nodez00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static obj_t BGl_localzf2depthzf2zzstackable_walkz00 = BUNSPEC;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzstackable_walkz00(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_varzd2stackablezd2zzstackable_walkz00(BgL_variablez00_bglt,
		obj_t);
	static obj_t BGl_z62stackablezd2letzd2fun1479z62zzstackable_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62stackablez62zzstackable_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzstackable_walkz00(void);
	static obj_t BGl_appzf2depthzf2zzstackable_walkz00 = BUNSPEC;
	static obj_t BGl_z62stackablezd2sequence1485zb0zzstackable_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_za2keyzd2shapezf3za2z21zzengine_paramz00;
	static obj_t
		BGl_globalzd2liftzd2letz12z12zzstackable_walkz00(BgL_variablez00_bglt);
	extern obj_t BGl_typez00zztype_typez00;
	static BgL_nodez00_bglt BGl_z62liftzd2letz12za2zzstackable_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62initzd2stackablezb0zzstackable_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_z62shapezd2localzf2depth1463z42zzstackable_walkz00(obj_t,
		obj_t);
	static obj_t BGl_stackablez00zzstackable_walkz00(BgL_nodez00_bglt, bool_t,
		long, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzstackable_walkz00(void);
	static obj_t BGl_z62escapez12zd2closure1500za2zzstackable_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62initzd2stackablezd2app1527z62zzstackable_walkz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_liftzd2letz12zc0zzstackable_walkz00(BgL_nodez00_bglt);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t BGl_z62nodezd2escapezb0zzstackable_walkz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62escapez121486z70zzstackable_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t
		BGl_z62nodezd2ze3sexpzd2appzf2depth1465z73zzstackable_walkz00(obj_t, obj_t);
	static obj_t BGl_initzd2stackablezd2zzstackable_walkz00(BgL_nodez00_bglt);
	static obj_t BGl_z62liftzd2letz121508za2zzstackable_walkz00(obj_t, obj_t);
	static obj_t
		BGl_z62nodezd2escapezd2makezd2box1507zb0zzstackable_walkz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62liftzd2letz12zd2letzd2var1511za2zzstackable_walkz00(obj_t, obj_t);
	static obj_t BGl_z62depthzd2letzd2letzd2fun1519zb0zzstackable_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static bool_t BGl_liftablezf3ze70z14zzstackable_walkz00(obj_t);
	static obj_t BGl_escapez12z12zzstackable_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	extern obj_t BGl_walk0z00zzast_walkz00(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_walk1z00zzast_walkz00(BgL_nodez00_bglt, obj_t, obj_t);
	static obj_t BGl_z62stackable1466z62zzstackable_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_walk2z00zzast_walkz00(BgL_nodez00_bglt, obj_t, obj_t, obj_t);
	extern obj_t BGl_walk3z00zzast_walkz00(BgL_nodez00_bglt, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62stackablezd2letzd2var1477z62zzstackable_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31800ze3ze5zzstackable_walkz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzstackable_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62stackablezd2funcall1483zb0zzstackable_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62escapez12zd2local1492za2zzstackable_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62depthzd2letzd2var1515z62zzstackable_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62depthzd2let1512zb0zzstackable_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_tprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2escapezd2app1505z62zzstackable_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzstackable_walkz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzstackable_walkz00(void);
	static obj_t BGl_z62stackablezd2closure1471zb0zzstackable_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzstackable_walkz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzstackable_walkz00(void);
	static obj_t BGl_zc3z04anonymousza32097ze3ze70z60zzstackable_walkz00(obj_t);
	static obj_t BGl_z62initzd2stackable1524zb0zzstackable_walkz00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_walk0z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_stackablezd2walkz12zc0zzstackable_walkz00(obj_t);
	static obj_t BGl_z62stackablezd2walkz12za2zzstackable_walkz00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_walk1z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t);
	static obj_t BGl_z62depthzd2letzb0zzstackable_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_valuez00zzast_varz00;
	static obj_t BGl_z62escapez12zd2global1490za2zzstackable_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62depthzd2letzd2app1521z62zzstackable_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62escapez12zd2node1494za2zzstackable_walkz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda1801z62zzstackable_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62depthzd2letzd2letzd2var1517zb0zzstackable_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_callzd2nextzd2methodze70ze7zzstackable_walkz00(BgL_localz00_bglt);
	static obj_t BGl_depthzd2letzd2zzstackable_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t);
	static obj_t BGl_z62initzd2stackablezd2closu1531z62zzstackable_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2escape1501zb0zzstackable_walkz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static BgL_appz00_bglt BGl_z62lambda1731z62zzstackable_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62lambda1815z62zzstackable_walkz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1816z62zzstackable_walkz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1823z62zzstackable_walkz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1824z62zzstackable_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62stackablezd2var1469zb0zzstackable_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62initzd2stackablezd2makezd21529zb0zzstackable_walkz00(obj_t, obj_t);
	static bool_t BGl_importzf3zf3zzstackable_walkz00(BgL_variablez00_bglt);
	static BgL_appz00_bglt BGl_z62lambda1749z62zzstackable_walkz00(obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62stackablezd2setq1473zb0zzstackable_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static BgL_appz00_bglt BGl_z62lambda1757z62zzstackable_walkz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31756ze3ze5zzstackable_walkz00(obj_t,
		obj_t);
	static obj_t __cnst[12];


	   
		 
		DEFINE_STRING(BGl_string2400z00zzstackable_walkz00,
		BgL_bgl_string2400za700za7za7s2412za7, "\n", 1);
	      DEFINE_STRING(BGl_string2401z00zzstackable_walkz00,
		BgL_bgl_string2401za700za7za7s2413za7, " ", 1);
	      DEFINE_STRING(BGl_string2402z00zzstackable_walkz00,
		BgL_bgl_string2402za700za7za7s2414za7, "<-", 2);
	      DEFINE_STRING(BGl_string2403z00zzstackable_walkz00,
		BgL_bgl_string2403za700za7za7s2415za7, "      lifting binding ", 22);
	      DEFINE_STRING(BGl_string2404z00zzstackable_walkz00,
		BgL_bgl_string2404za700za7za7s2416za7, "[~a]", 4);
	      DEFINE_STRING(BGl_string2405z00zzstackable_walkz00,
		BgL_bgl_string2405za700za7za7s2417za7, "[~a]~a", 6);
	      DEFINE_STRING(BGl_string2406z00zzstackable_walkz00,
		BgL_bgl_string2406za700za7za7s2418za7, "stackable_walk", 14);
	      DEFINE_STRING(BGl_string2325z00zzstackable_walkz00,
		BgL_bgl_string2325za700za7za7s2419za7, "Stackable", 9);
	      DEFINE_STRING(BGl_string2407z00zzstackable_walkz00,
		BgL_bgl_string2407za700za7za7s2420za7,
		"* ($make-stack-cell $acons) foreign _ local/depth obj owner stackable_walk app/depth long depth pass-started ",
		109);
	      DEFINE_STRING(BGl_string2326z00zzstackable_walkz00,
		BgL_bgl_string2326za700za7za7s2421za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2327z00zzstackable_walkz00,
		BgL_bgl_string2327za700za7za7s2422za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2328z00zzstackable_walkz00,
		BgL_bgl_string2328za700za7za7s2423za7, " error", 6);
	      DEFINE_STRING(BGl_string2329z00zzstackable_walkz00,
		BgL_bgl_string2329za700za7za7s2424za7, "s", 1);
	      DEFINE_STRING(BGl_string2330z00zzstackable_walkz00,
		BgL_bgl_string2330za700za7za7s2425za7, "", 0);
	      DEFINE_STRING(BGl_string2331z00zzstackable_walkz00,
		BgL_bgl_string2331za700za7za7s2426za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string2332z00zzstackable_walkz00,
		BgL_bgl_string2332za700za7za7s2427za7, "failure during postlude hook", 28);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2333z00zzstackable_walkz00,
		BgL_bgl_za762lambda1778za7622428z00,
		BGl_z62lambda1778z62zzstackable_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2334z00zzstackable_walkz00,
		BgL_bgl_za762lambda1777za7622429z00,
		BGl_z62lambda1777z62zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2335z00zzstackable_walkz00,
		BgL_bgl_za762lambda1757za7622430z00,
		BGl_z62lambda1757z62zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2336z00zzstackable_walkz00,
		BgL_bgl_za762za7c3za704anonymo2431za7,
		BGl_z62zc3z04anonymousza31756ze3ze5zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2337z00zzstackable_walkz00,
		BgL_bgl_za762lambda1749za7622432z00,
		BGl_z62lambda1749z62zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2338z00zzstackable_walkz00,
		BgL_bgl_za762lambda1731za7622433z00,
		BGl_z62lambda1731z62zzstackable_walkz00, 0L, BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2339z00zzstackable_walkz00,
		BgL_bgl_za762lambda1816za7622434z00,
		BGl_z62lambda1816z62zzstackable_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2348z00zzstackable_walkz00,
		BgL_bgl_string2348za700za7za7s2435za7, "stackable1466", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2340z00zzstackable_walkz00,
		BgL_bgl_za762lambda1815za7622436z00,
		BGl_z62lambda1815z62zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2341z00zzstackable_walkz00,
		BgL_bgl_za762lambda1824za7622437z00,
		BGl_z62lambda1824z62zzstackable_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2342z00zzstackable_walkz00,
		BgL_bgl_za762lambda1823za7622438z00,
		BGl_z62lambda1823z62zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2343z00zzstackable_walkz00,
		BgL_bgl_za762lambda1801za7622439z00,
		BGl_z62lambda1801z62zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2350z00zzstackable_walkz00,
		BgL_bgl_string2350za700za7za7s2440za7, "escape!1486", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2344z00zzstackable_walkz00,
		BgL_bgl_za762za7c3za704anonymo2441za7,
		BGl_z62zc3z04anonymousza31800ze3ze5zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2345z00zzstackable_walkz00,
		BgL_bgl_za762lambda1798za7622442z00,
		BGl_z62lambda1798z62zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2352z00zzstackable_walkz00,
		BgL_bgl_string2352za700za7za7s2443za7, "node-escape1501", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2346z00zzstackable_walkz00,
		BgL_bgl_za762lambda1790za7622444z00,
		BGl_z62lambda1790z62zzstackable_walkz00, 0L, BUNSPEC, 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2347z00zzstackable_walkz00,
		BgL_bgl_za762stackable14662445za7,
		BGl_z62stackable1466z62zzstackable_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2354z00zzstackable_walkz00,
		BgL_bgl_string2354za700za7za7s2446za7, "lift-let!1508", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2349z00zzstackable_walkz00,
		BgL_bgl_za762escapeza71214862447z00,
		BGl_z62escapez121486z70zzstackable_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2356z00zzstackable_walkz00,
		BgL_bgl_string2356za700za7za7s2448za7, "depth-let1512", 13);
	      DEFINE_STRING(BGl_string2358z00zzstackable_walkz00,
		BgL_bgl_string2358za700za7za7s2449za7, "init-stackable1524", 18);
	      DEFINE_STRING(BGl_string2359z00zzstackable_walkz00,
		BgL_bgl_string2359za700za7za7s2450za7, "ESCAPE! should not be here ", 27);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2351z00zzstackable_walkz00,
		BgL_bgl_za762nodeza7d2escape2451z00,
		BGl_z62nodezd2escape1501zb0zzstackable_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2353z00zzstackable_walkz00,
		BgL_bgl_za762liftza7d2letza7122452za7,
		BGl_z62liftzd2letz121508za2zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2360z00zzstackable_walkz00,
		BgL_bgl_string2360za700za7za7s2453za7, ":", 1);
	      DEFINE_STRING(BGl_string2361z00zzstackable_walkz00,
		BgL_bgl_string2361za700za7za7s2454za7, ",", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2355z00zzstackable_walkz00,
		BgL_bgl_za762depthza7d2let152455z00,
		BGl_z62depthzd2let1512zb0zzstackable_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2362z00zzstackable_walkz00,
		BgL_bgl_string2362za700za7za7s2456za7, "Stackable/walk.scm", 18);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2357z00zzstackable_walkz00,
		BgL_bgl_za762initza7d2stacka2457z00,
		BGl_z62initzd2stackable1524zb0zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2364z00zzstackable_walkz00,
		BgL_bgl_string2364za700za7za7s2458za7, "shape", 5);
	      DEFINE_STRING(BGl_string2366z00zzstackable_walkz00,
		BgL_bgl_string2366za700za7za7s2459za7, "node->sexp", 10);
	      DEFINE_STRING(BGl_string2368z00zzstackable_walkz00,
		BgL_bgl_string2368za700za7za7s2460za7, "stackable", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2363z00zzstackable_walkz00,
		BgL_bgl_za762shapeza7d2local2461z00,
		BGl_z62shapezd2localzf2depth1463z42zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2365z00zzstackable_walkz00,
		BgL_bgl_za762nodeza7d2za7e3sex2462za7,
		BGl_z62nodezd2ze3sexpzd2appzf2depth1465z73zzstackable_walkz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2367z00zzstackable_walkz00,
		BgL_bgl_za762stackableza7d2v2463z00,
		BGl_z62stackablezd2var1469zb0zzstackable_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2369z00zzstackable_walkz00,
		BgL_bgl_za762stackableza7d2c2464z00,
		BGl_z62stackablezd2closure1471zb0zzstackable_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2378z00zzstackable_walkz00,
		BgL_bgl_string2378za700za7za7s2465za7, "escape!", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2370z00zzstackable_walkz00,
		BgL_bgl_za762stackableza7d2s2466z00,
		BGl_z62stackablezd2setq1473zb0zzstackable_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2371z00zzstackable_walkz00,
		BgL_bgl_za762stackableza7d2c2467z00,
		BGl_z62stackablezd2conditiona1475zb0zzstackable_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2372z00zzstackable_walkz00,
		BgL_bgl_za762stackableza7d2l2468z00,
		BGl_z62stackablezd2letzd2var1477z62zzstackable_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2373z00zzstackable_walkz00,
		BgL_bgl_za762stackableza7d2l2469z00,
		BGl_z62stackablezd2letzd2fun1479z62zzstackable_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2374z00zzstackable_walkz00,
		BgL_bgl_za762stackableza7d2a2470z00,
		BGl_z62stackablezd2app1481zb0zzstackable_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2375z00zzstackable_walkz00,
		BgL_bgl_za762stackableza7d2f2471z00,
		BGl_z62stackablezd2funcall1483zb0zzstackable_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2376z00zzstackable_walkz00,
		BgL_bgl_za762stackableza7d2s2472z00,
		BGl_z62stackablezd2sequence1485zb0zzstackable_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2377z00zzstackable_walkz00,
		BgL_bgl_za762escapeza712za7d2g2473za7,
		BGl_z62escapez12zd2global1490za2zzstackable_walkz00, 0L, BUNSPEC, 2);
	extern obj_t BGl_shapezd2envzd2zztools_shapez00;
	   
		 
		DEFINE_STRING(BGl_string2384z00zzstackable_walkz00,
		BgL_bgl_string2384za700za7za7s2474za7, "escape!::node", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2379z00zzstackable_walkz00,
		BgL_bgl_za762escapeza712za7d2l2475za7,
		BGl_z62escapez12zd2local1492za2zzstackable_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2386z00zzstackable_walkz00,
		BgL_bgl_string2386za700za7za7s2476za7, "node-escape", 11);
	      DEFINE_STRING(BGl_string2389z00zzstackable_walkz00,
		BgL_bgl_string2389za700za7za7s2477za7, "lift-let!::node", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2380z00zzstackable_walkz00,
		BgL_bgl_za762escapeza712za7d2n2478za7,
		BGl_z62escapez12zd2node1494za2zzstackable_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2381z00zzstackable_walkz00,
		BgL_bgl_za762escapeza712za7d2a2479za7,
		BGl_z62escapez12zd2app1496za2zzstackable_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2382z00zzstackable_walkz00,
		BgL_bgl_za762escapeza712za7d2m2480za7,
		BGl_z62escapez12zd2makezd2box1498z70zzstackable_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2383z00zzstackable_walkz00,
		BgL_bgl_za762escapeza712za7d2c2481za7,
		BGl_z62escapez12zd2closure1500za2zzstackable_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2391z00zzstackable_walkz00,
		BgL_bgl_string2391za700za7za7s2482za7, "depth-let", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2385z00zzstackable_walkz00,
		BgL_bgl_za762nodeza7d2escape2483z00,
		BGl_z62nodezd2escapezd2app1505z62zzstackable_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2387z00zzstackable_walkz00,
		BgL_bgl_za762nodeza7d2escape2484z00,
		BGl_z62nodezd2escapezd2makezd2box1507zb0zzstackable_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2388z00zzstackable_walkz00,
		BgL_bgl_za762liftza7d2letza7122485za7,
		BGl_z62liftzd2letz12zd2letzd2var1511za2zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2397z00zzstackable_walkz00,
		BgL_bgl_string2397za700za7za7s2486za7, "init-stackable", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2390z00zzstackable_walkz00,
		BgL_bgl_za762depthza7d2letza7d2487za7,
		BGl_z62depthzd2letzd2var1515z62zzstackable_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2392z00zzstackable_walkz00,
		BgL_bgl_za762depthza7d2letza7d2488za7,
		BGl_z62depthzd2letzd2letzd2var1517zb0zzstackable_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2393z00zzstackable_walkz00,
		BgL_bgl_za762depthza7d2letza7d2489za7,
		BGl_z62depthzd2letzd2letzd2fun1519zb0zzstackable_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2394z00zzstackable_walkz00,
		BgL_bgl_za762depthza7d2letza7d2490za7,
		BGl_z62depthzd2letzd2app1521z62zzstackable_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2395z00zzstackable_walkz00,
		BgL_bgl_za762depthza7d2letza7d2491za7,
		BGl_z62depthzd2letzd2setzd2exzd2it1523z62zzstackable_walkz00, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2396z00zzstackable_walkz00,
		BgL_bgl_za762initza7d2stacka2492z00,
		BGl_z62initzd2stackablezd2app1527z62zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2398z00zzstackable_walkz00,
		BgL_bgl_za762initza7d2stacka2493z00,
		BGl_z62initzd2stackablezd2makezd21529zb0zzstackable_walkz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2399z00zzstackable_walkz00,
		BgL_bgl_za762initza7d2stacka2494z00,
		BGl_z62initzd2stackablezd2closu1531z62zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_stackablezd2envzd2zzstackable_walkz00,
		BgL_bgl_za762stackableza762za72495za7,
		BGl_z62stackablez62zzstackable_walkz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_stackablezd2walkz12zd2envz12zzstackable_walkz00,
		BgL_bgl_za762stackableza7d2w2496z00,
		BGl_z62stackablezd2walkz12za2zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_liftzd2letz12zd2envz12zzstackable_walkz00,
		BgL_bgl_za762liftza7d2letza7122497za7,
		BGl_z62liftzd2letz12za2zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_nodezd2escapezd2envz00zzstackable_walkz00,
		BgL_bgl_za762nodeza7d2escape2498z00,
		BGl_z62nodezd2escapezb0zzstackable_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_depthzd2letzd2envz00zzstackable_walkz00,
		BgL_bgl_za762depthza7d2letza7b2499za7,
		BGl_z62depthzd2letzb0zzstackable_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_GENERIC(BGl_escapez12zd2envzc0zzstackable_walkz00,
		BgL_bgl_za762escapeza712za770za72500z00,
		BGl_z62escapez12z70zzstackable_walkz00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_initzd2stackablezd2envz00zzstackable_walkz00,
		BgL_bgl_za762initza7d2stacka2501z00,
		BGl_z62initzd2stackablezb0zzstackable_walkz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_nodezd2ze3sexpzd2envze3zzast_dumpz00;

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzstackable_walkz00));
		     ADD_ROOT((void *) (&BGl_localzf2depthzf2zzstackable_walkz00));
		     ADD_ROOT((void *) (&BGl_appzf2depthzf2zzstackable_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzstackable_walkz00(long
		BgL_checksumz00_5242, char *BgL_fromz00_5243)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzstackable_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzstackable_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzstackable_walkz00();
					BGl_libraryzd2moduleszd2initz00zzstackable_walkz00();
					BGl_cnstzd2initzd2zzstackable_walkz00();
					BGl_importedzd2moduleszd2initz00zzstackable_walkz00();
					BGl_objectzd2initzd2zzstackable_walkz00();
					BGl_genericzd2initzd2zzstackable_walkz00();
					BGl_methodzd2initzd2zzstackable_walkz00();
					return BGl_toplevelzd2initzd2zzstackable_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzstackable_walkz00(void)
	{
		{	/* Stackable/walk.scm 16 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "stackable_walk");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L,
				"stackable_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"stackable_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"stackable_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"stackable_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L,
				"stackable_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "stackable_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"stackable_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "stackable_walk");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L,
				"stackable_walk");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "stackable_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"stackable_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"stackable_walk");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "stackable_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzstackable_walkz00(void)
	{
		{	/* Stackable/walk.scm 16 */
			{	/* Stackable/walk.scm 16 */
				obj_t BgL_cportz00_4745;

				{	/* Stackable/walk.scm 16 */
					obj_t BgL_stringz00_4752;

					BgL_stringz00_4752 = BGl_string2407z00zzstackable_walkz00;
					{	/* Stackable/walk.scm 16 */
						obj_t BgL_startz00_4753;

						BgL_startz00_4753 = BINT(0L);
						{	/* Stackable/walk.scm 16 */
							obj_t BgL_endz00_4754;

							BgL_endz00_4754 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4752)));
							{	/* Stackable/walk.scm 16 */

								BgL_cportz00_4745 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4752, BgL_startz00_4753, BgL_endz00_4754);
				}}}}
				{
					long BgL_iz00_4746;

					BgL_iz00_4746 = 11L;
				BgL_loopz00_4747:
					if ((BgL_iz00_4746 == (-1L)))
						{	/* Stackable/walk.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Stackable/walk.scm 16 */
							{	/* Stackable/walk.scm 16 */
								obj_t BgL_arg2411z00_4748;

								{	/* Stackable/walk.scm 16 */

									{	/* Stackable/walk.scm 16 */
										obj_t BgL_locationz00_4750;

										BgL_locationz00_4750 = BBOOL(((bool_t) 0));
										{	/* Stackable/walk.scm 16 */

											BgL_arg2411z00_4748 =
												BGl_readz00zz__readerz00(BgL_cportz00_4745,
												BgL_locationz00_4750);
										}
									}
								}
								{	/* Stackable/walk.scm 16 */
									int BgL_tmpz00_5278;

									BgL_tmpz00_5278 = (int) (BgL_iz00_4746);
									CNST_TABLE_SET(BgL_tmpz00_5278, BgL_arg2411z00_4748);
							}}
							{	/* Stackable/walk.scm 16 */
								int BgL_auxz00_4751;

								BgL_auxz00_4751 = (int) ((BgL_iz00_4746 - 1L));
								{
									long BgL_iz00_5283;

									BgL_iz00_5283 = (long) (BgL_auxz00_4751);
									BgL_iz00_4746 = BgL_iz00_5283;
									goto BgL_loopz00_4747;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzstackable_walkz00(void)
	{
		{	/* Stackable/walk.scm 16 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzstackable_walkz00(void)
	{
		{	/* Stackable/walk.scm 16 */
			return BUNSPEC;
		}

	}



/* stackable-walk! */
	BGL_EXPORTED_DEF obj_t BGl_stackablezd2walkz12zc0zzstackable_walkz00(obj_t
		BgL_globalsz00_19)
	{
		{	/* Stackable/walk.scm 68 */
			if (CBOOL(BGl_za2optimzd2stackablezf3za2z21zzengine_paramz00))
				{	/* Stackable/walk.scm 69 */
					{	/* Stackable/walk.scm 71 */
						obj_t BgL_list1561z00_1710;

						{	/* Stackable/walk.scm 71 */
							obj_t BgL_arg1574z00_1711;

							{	/* Stackable/walk.scm 71 */
								obj_t BgL_arg1577z00_1712;

								BgL_arg1577z00_1712 =
									MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
								BgL_arg1574z00_1711 =
									MAKE_YOUNG_PAIR(BGl_string2325z00zzstackable_walkz00,
									BgL_arg1577z00_1712);
							}
							BgL_list1561z00_1710 =
								MAKE_YOUNG_PAIR(BGl_string2326z00zzstackable_walkz00,
								BgL_arg1574z00_1711);
						}
						BGl_verbosez00zztools_speekz00(BINT(1L), BgL_list1561z00_1710);
					}
					BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(0L);
					BGl_za2currentzd2passza2zd2zzengine_passz00 =
						BGl_string2325z00zzstackable_walkz00;
					{	/* Stackable/walk.scm 71 */
						obj_t BgL_g1166z00_1713;

						BgL_g1166z00_1713 = BNIL;
						{
							obj_t BgL_hooksz00_1716;
							obj_t BgL_hnamesz00_1717;

							BgL_hooksz00_1716 = BgL_g1166z00_1713;
							BgL_hnamesz00_1717 = BNIL;
						BgL_zc3z04anonymousza31578ze3z87_1718:
							if (NULLP(BgL_hooksz00_1716))
								{	/* Stackable/walk.scm 71 */
									((obj_t) CNST_TABLE_REF(0));
								}
							else
								{	/* Stackable/walk.scm 71 */
									bool_t BgL_test2506z00_5299;

									{	/* Stackable/walk.scm 71 */
										obj_t BgL_fun1591z00_1725;

										BgL_fun1591z00_1725 = CAR(((obj_t) BgL_hooksz00_1716));
										BgL_test2506z00_5299 =
											CBOOL(BGL_PROCEDURE_CALL0(BgL_fun1591z00_1725));
									}
									if (BgL_test2506z00_5299)
										{	/* Stackable/walk.scm 71 */
											obj_t BgL_arg1587z00_1722;
											obj_t BgL_arg1588z00_1723;

											BgL_arg1587z00_1722 = CDR(((obj_t) BgL_hooksz00_1716));
											BgL_arg1588z00_1723 = CDR(((obj_t) BgL_hnamesz00_1717));
											{
												obj_t BgL_hnamesz00_5311;
												obj_t BgL_hooksz00_5310;

												BgL_hooksz00_5310 = BgL_arg1587z00_1722;
												BgL_hnamesz00_5311 = BgL_arg1588z00_1723;
												BgL_hnamesz00_1717 = BgL_hnamesz00_5311;
												BgL_hooksz00_1716 = BgL_hooksz00_5310;
												goto BgL_zc3z04anonymousza31578ze3z87_1718;
											}
										}
									else
										{	/* Stackable/walk.scm 71 */
											obj_t BgL_arg1590z00_1724;

											BgL_arg1590z00_1724 = CAR(((obj_t) BgL_hnamesz00_1717));
											BGl_internalzd2errorzd2zztools_errorz00
												(BGl_string2325z00zzstackable_walkz00,
												BGl_string2327z00zzstackable_walkz00,
												BgL_arg1590z00_1724);
										}
								}
						}
					}
					{
						obj_t BgL_l1399z00_1729;

						BgL_l1399z00_1729 = BgL_globalsz00_19;
					BgL_zc3z04anonymousza31593ze3z87_1730:
						if (PAIRP(BgL_l1399z00_1729))
							{	/* Stackable/walk.scm 72 */
								{	/* Stackable/walk.scm 72 */
									obj_t BgL_arg1597z00_1732;

									BgL_arg1597z00_1732 = CAR(BgL_l1399z00_1729);
									BGl_globalzd2liftzd2letz12z12zzstackable_walkz00(
										((BgL_variablez00_bglt) BgL_arg1597z00_1732));
								}
								{
									obj_t BgL_l1399z00_5320;

									BgL_l1399z00_5320 = CDR(BgL_l1399z00_1729);
									BgL_l1399z00_1729 = BgL_l1399z00_5320;
									goto BgL_zc3z04anonymousza31593ze3z87_1730;
								}
							}
						else
							{	/* Stackable/walk.scm 72 */
								((bool_t) 1);
							}
					}
					{
						obj_t BgL_l1401z00_1736;

						BgL_l1401z00_1736 = BgL_globalsz00_19;
					BgL_zc3z04anonymousza31606ze3z87_1737:
						if (PAIRP(BgL_l1401z00_1736))
							{	/* Stackable/walk.scm 73 */
								{	/* Stackable/walk.scm 73 */
									obj_t BgL_arg1611z00_1739;

									BgL_arg1611z00_1739 = CAR(BgL_l1401z00_1736);
									BGl_globalzd2depthzd2letz12z12zzstackable_walkz00(
										((BgL_variablez00_bglt) BgL_arg1611z00_1739));
								}
								{
									obj_t BgL_l1401z00_5327;

									BgL_l1401z00_5327 = CDR(BgL_l1401z00_1736);
									BgL_l1401z00_1736 = BgL_l1401z00_5327;
									goto BgL_zc3z04anonymousza31606ze3z87_1737;
								}
							}
						else
							{	/* Stackable/walk.scm 73 */
								((bool_t) 1);
							}
					}
					{
						obj_t BgL_l1403z00_1743;

						BgL_l1403z00_1743 = BgL_globalsz00_19;
					BgL_zc3z04anonymousza31613ze3z87_1744:
						if (PAIRP(BgL_l1403z00_1743))
							{	/* Stackable/walk.scm 74 */
								{	/* Stackable/walk.scm 74 */
									obj_t BgL_arg1625z00_1746;

									BgL_arg1625z00_1746 = CAR(BgL_l1403z00_1743);
									{	/* Stackable/walk.scm 529 */
										BgL_sfunz00_bglt BgL_i1260z00_3162;

										BgL_i1260z00_3162 =
											((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_arg1625z00_1746)))->
												BgL_valuez00));
										{	/* Stackable/walk.scm 530 */
											obj_t BgL_arg1715z00_3163;

											BgL_arg1715z00_3163 =
												(((BgL_sfunz00_bglt) COBJECT(BgL_i1260z00_3162))->
												BgL_bodyz00);
											BGl_initzd2stackablezd2zzstackable_walkz00((
													(BgL_nodez00_bglt) BgL_arg1715z00_3163));
										}
									}
								}
								{
									obj_t BgL_l1403z00_5338;

									BgL_l1403z00_5338 = CDR(BgL_l1403z00_1743);
									BgL_l1403z00_1743 = BgL_l1403z00_5338;
									goto BgL_zc3z04anonymousza31613ze3z87_1744;
								}
							}
						else
							{	/* Stackable/walk.scm 74 */
								((bool_t) 1);
							}
					}
					{	/* Stackable/walk.scm 75 */
						obj_t BgL_g1168z00_1749;

						BgL_g1168z00_1749 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
						{
							obj_t BgL_ctxz00_1751;

							BgL_ctxz00_1751 = BgL_g1168z00_1749;
						BgL_zc3z04anonymousza31627ze3z87_1752:
							if (CBOOL(CAR(BgL_ctxz00_1751)))
								{	/* Stackable/walk.scm 76 */
									((bool_t) 0);
								}
							else
								{	/* Stackable/walk.scm 76 */
									SET_CAR(BgL_ctxz00_1751, BTRUE);
									SET_CDR(BgL_ctxz00_1751, BNIL);
									{
										obj_t BgL_l1405z00_1755;

										BgL_l1405z00_1755 = BgL_globalsz00_19;
									BgL_zc3z04anonymousza31629ze3z87_1756:
										if (PAIRP(BgL_l1405z00_1755))
											{	/* Stackable/walk.scm 79 */
												{	/* Stackable/walk.scm 79 */
													obj_t BgL_gz00_1758;

													BgL_gz00_1758 = CAR(BgL_l1405z00_1755);
													BGl_varzd2stackablezd2zzstackable_walkz00(
														((BgL_variablez00_bglt) BgL_gz00_1758),
														BgL_ctxz00_1751);
												}
												{
													obj_t BgL_l1405z00_5351;

													BgL_l1405z00_5351 = CDR(BgL_l1405z00_1755);
													BgL_l1405z00_1755 = BgL_l1405z00_5351;
													goto BgL_zc3z04anonymousza31629ze3z87_1756;
												}
											}
										else
											{	/* Stackable/walk.scm 79 */
												((bool_t) 1);
											}
									}
									{

										goto BgL_zc3z04anonymousza31627ze3z87_1752;
									}
								}
						}
					}
					if (
						((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
							0L))
						{	/* Stackable/walk.scm 81 */
							{	/* Stackable/walk.scm 81 */
								obj_t BgL_port1407z00_1764;

								{	/* Stackable/walk.scm 81 */
									obj_t BgL_tmpz00_5356;

									BgL_tmpz00_5356 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_port1407z00_1764 =
										BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_5356);
								}
								bgl_display_obj
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
									BgL_port1407z00_1764);
								bgl_display_string(BGl_string2328z00zzstackable_walkz00,
									BgL_port1407z00_1764);
								{	/* Stackable/walk.scm 81 */
									obj_t BgL_arg1633z00_1765;

									{	/* Stackable/walk.scm 81 */
										bool_t BgL_test2513z00_5361;

										if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Stackable/walk.scm 81 */
												if (INTEGERP
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
													{	/* Stackable/walk.scm 81 */
														BgL_test2513z00_5361 =
															(
															(long)
															CINT
															(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
															> 1L);
													}
												else
													{	/* Stackable/walk.scm 81 */
														BgL_test2513z00_5361 =
															BGl_2ze3ze3zz__r4_numbers_6_5z00
															(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
															BINT(1L));
													}
											}
										else
											{	/* Stackable/walk.scm 81 */
												BgL_test2513z00_5361 = ((bool_t) 0);
											}
										if (BgL_test2513z00_5361)
											{	/* Stackable/walk.scm 81 */
												BgL_arg1633z00_1765 =
													BGl_string2329z00zzstackable_walkz00;
											}
										else
											{	/* Stackable/walk.scm 81 */
												BgL_arg1633z00_1765 =
													BGl_string2330z00zzstackable_walkz00;
											}
									}
									bgl_display_obj(BgL_arg1633z00_1765, BgL_port1407z00_1764);
								}
								bgl_display_string(BGl_string2331z00zzstackable_walkz00,
									BgL_port1407z00_1764);
								bgl_display_char(((unsigned char) 10), BgL_port1407z00_1764);
							}
							{	/* Stackable/walk.scm 81 */
								obj_t BgL_list1637z00_1769;

								BgL_list1637z00_1769 = MAKE_YOUNG_PAIR(BINT((-1L)), BNIL);
								BGL_TAIL return BGl_exitz00zz__errorz00(BgL_list1637z00_1769);
							}
						}
					else
						{	/* Stackable/walk.scm 81 */
							obj_t BgL_g1169z00_1770;

							BgL_g1169z00_1770 = BNIL;
							{
								obj_t BgL_hooksz00_1773;
								obj_t BgL_hnamesz00_1774;

								BgL_hooksz00_1773 = BgL_g1169z00_1770;
								BgL_hnamesz00_1774 = BNIL;
							BgL_zc3z04anonymousza31638ze3z87_1775:
								if (NULLP(BgL_hooksz00_1773))
									{	/* Stackable/walk.scm 81 */
										return BgL_globalsz00_19;
									}
								else
									{	/* Stackable/walk.scm 81 */
										bool_t BgL_test2517z00_5378;

										{	/* Stackable/walk.scm 81 */
											obj_t BgL_fun1649z00_1782;

											BgL_fun1649z00_1782 = CAR(((obj_t) BgL_hooksz00_1773));
											BgL_test2517z00_5378 =
												CBOOL(BGL_PROCEDURE_CALL0(BgL_fun1649z00_1782));
										}
										if (BgL_test2517z00_5378)
											{	/* Stackable/walk.scm 81 */
												obj_t BgL_arg1642z00_1779;
												obj_t BgL_arg1643z00_1780;

												BgL_arg1642z00_1779 = CDR(((obj_t) BgL_hooksz00_1773));
												BgL_arg1643z00_1780 = CDR(((obj_t) BgL_hnamesz00_1774));
												{
													obj_t BgL_hnamesz00_5390;
													obj_t BgL_hooksz00_5389;

													BgL_hooksz00_5389 = BgL_arg1642z00_1779;
													BgL_hnamesz00_5390 = BgL_arg1643z00_1780;
													BgL_hnamesz00_1774 = BgL_hnamesz00_5390;
													BgL_hooksz00_1773 = BgL_hooksz00_5389;
													goto BgL_zc3z04anonymousza31638ze3z87_1775;
												}
											}
										else
											{	/* Stackable/walk.scm 81 */
												obj_t BgL_arg1648z00_1781;

												BgL_arg1648z00_1781 = CAR(((obj_t) BgL_hnamesz00_1774));
												return
													BGl_internalzd2errorzd2zztools_errorz00
													(BGl_za2currentzd2passza2zd2zzengine_passz00,
													BGl_string2332z00zzstackable_walkz00,
													BgL_arg1648z00_1781);
											}
									}
							}
						}
				}
			else
				{	/* Stackable/walk.scm 69 */
					return BgL_globalsz00_19;
				}
		}

	}



/* &stackable-walk! */
	obj_t BGl_z62stackablezd2walkz12za2zzstackable_walkz00(obj_t BgL_envz00_4498,
		obj_t BgL_globalsz00_4499)
	{
		{	/* Stackable/walk.scm 68 */
			return BGl_stackablezd2walkz12zc0zzstackable_walkz00(BgL_globalsz00_4499);
		}

	}



/* import? */
	bool_t BGl_importzf3zf3zzstackable_walkz00(BgL_variablez00_bglt BgL_varz00_20)
	{
		{	/* Stackable/walk.scm 87 */
			{	/* Stackable/walk.scm 88 */
				bool_t BgL_test2518z00_5395;

				{	/* Stackable/walk.scm 88 */
					obj_t BgL_classz00_3183;

					BgL_classz00_3183 = BGl_globalz00zzast_varz00;
					{	/* Stackable/walk.scm 88 */
						BgL_objectz00_bglt BgL_arg1858z00_3185;

						{	/* Stackable/walk.scm 88 */
							obj_t BgL_tmpz00_5396;

							BgL_tmpz00_5396 = ((obj_t) BgL_varz00_20);
							BgL_arg1858z00_3185 = (BgL_objectz00_bglt) (BgL_tmpz00_5396);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Stackable/walk.scm 88 */
								long BgL_idxz00_3191;

								BgL_idxz00_3191 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3185);
								BgL_test2518z00_5395 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3191 + 2L)) == BgL_classz00_3183);
							}
						else
							{	/* Stackable/walk.scm 88 */
								bool_t BgL_res2266z00_3216;

								{	/* Stackable/walk.scm 88 */
									obj_t BgL_oclassz00_3199;

									{	/* Stackable/walk.scm 88 */
										obj_t BgL_arg1866z00_3207;
										long BgL_arg1867z00_3208;

										BgL_arg1866z00_3207 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Stackable/walk.scm 88 */
											long BgL_arg1869z00_3209;

											BgL_arg1869z00_3209 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3185);
											BgL_arg1867z00_3208 = (BgL_arg1869z00_3209 - OBJECT_TYPE);
										}
										BgL_oclassz00_3199 =
											VECTOR_REF(BgL_arg1866z00_3207, BgL_arg1867z00_3208);
									}
									{	/* Stackable/walk.scm 88 */
										bool_t BgL__ortest_1115z00_3200;

										BgL__ortest_1115z00_3200 =
											(BgL_classz00_3183 == BgL_oclassz00_3199);
										if (BgL__ortest_1115z00_3200)
											{	/* Stackable/walk.scm 88 */
												BgL_res2266z00_3216 = BgL__ortest_1115z00_3200;
											}
										else
											{	/* Stackable/walk.scm 88 */
												long BgL_odepthz00_3201;

												{	/* Stackable/walk.scm 88 */
													obj_t BgL_arg1855z00_3202;

													BgL_arg1855z00_3202 = (BgL_oclassz00_3199);
													BgL_odepthz00_3201 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_3202);
												}
												if ((2L < BgL_odepthz00_3201))
													{	/* Stackable/walk.scm 88 */
														obj_t BgL_arg1853z00_3204;

														{	/* Stackable/walk.scm 88 */
															obj_t BgL_arg1854z00_3205;

															BgL_arg1854z00_3205 = (BgL_oclassz00_3199);
															BgL_arg1853z00_3204 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3205,
																2L);
														}
														BgL_res2266z00_3216 =
															(BgL_arg1853z00_3204 == BgL_classz00_3183);
													}
												else
													{	/* Stackable/walk.scm 88 */
														BgL_res2266z00_3216 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test2518z00_5395 = BgL_res2266z00_3216;
							}
					}
				}
				if (BgL_test2518z00_5395)
					{	/* Stackable/walk.scm 88 */
						bool_t BgL_test2522z00_5418;

						{	/* Stackable/walk.scm 88 */
							obj_t BgL_arg1656z00_1788;

							BgL_arg1656z00_1788 =
								(((BgL_globalz00_bglt) COBJECT(
										((BgL_globalz00_bglt) BgL_varz00_20)))->BgL_modulez00);
							BgL_test2522z00_5418 =
								(BgL_arg1656z00_1788 == BGl_za2moduleza2z00zzmodule_modulez00);
						}
						if (BgL_test2522z00_5418)
							{	/* Stackable/walk.scm 88 */
								return ((bool_t) 0);
							}
						else
							{	/* Stackable/walk.scm 88 */
								return ((bool_t) 1);
							}
					}
				else
					{	/* Stackable/walk.scm 88 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* var-stackable */
	obj_t BGl_varzd2stackablezd2zzstackable_walkz00(BgL_variablez00_bglt
		BgL_varz00_21, obj_t BgL_ctxz00_22)
	{
		{	/* Stackable/walk.scm 93 */
			{	/* Stackable/walk.scm 94 */
				bool_t BgL_test2523z00_5422;

				if (BGl_importzf3zf3zzstackable_walkz00(BgL_varz00_21))
					{	/* Stackable/walk.scm 94 */
						BgL_test2523z00_5422 = ((bool_t) 0);
					}
				else
					{	/* Stackable/walk.scm 94 */
						if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
									((obj_t) BgL_varz00_21), CDR(BgL_ctxz00_22))))
							{	/* Stackable/walk.scm 94 */
								BgL_test2523z00_5422 = ((bool_t) 0);
							}
						else
							{	/* Stackable/walk.scm 94 */
								BgL_test2523z00_5422 = ((bool_t) 1);
							}
					}
				if (BgL_test2523z00_5422)
					{	/* Stackable/walk.scm 94 */
						{	/* Stackable/walk.scm 96 */
							obj_t BgL_arg1673z00_1794;

							{	/* Stackable/walk.scm 96 */
								obj_t BgL_arg1674z00_1795;

								BgL_arg1674z00_1795 = CDR(BgL_ctxz00_22);
								BgL_arg1673z00_1794 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_varz00_21), BgL_arg1674z00_1795);
							}
							SET_CDR(BgL_ctxz00_22, BgL_arg1673z00_1794);
						}
						{	/* Stackable/walk.scm 98 */
							BgL_sfunz00_bglt BgL_i1174z00_1797;

							BgL_i1174z00_1797 =
								((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(BgL_varz00_21))->
									BgL_valuez00));
							{	/* Stackable/walk.scm 99 */
								bool_t BgL_test2526z00_5436;

								{	/* Stackable/walk.scm 99 */
									obj_t BgL_arg1691z00_1805;

									BgL_arg1691z00_1805 =
										(((BgL_sfunz00_bglt) COBJECT(BgL_i1174z00_1797))->
										BgL_bodyz00);
									{	/* Stackable/walk.scm 99 */
										obj_t BgL_classz00_3221;

										BgL_classz00_3221 = BGl_nodez00zzast_nodez00;
										if (BGL_OBJECTP(BgL_arg1691z00_1805))
											{	/* Stackable/walk.scm 99 */
												BgL_objectz00_bglt BgL_arg1858z00_3223;

												BgL_arg1858z00_3223 =
													(BgL_objectz00_bglt) (BgL_arg1691z00_1805);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Stackable/walk.scm 99 */
														long BgL_idxz00_3229;

														BgL_idxz00_3229 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3223);
														BgL_test2526z00_5436 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3229 + 1L)) == BgL_classz00_3221);
													}
												else
													{	/* Stackable/walk.scm 99 */
														bool_t BgL_res2267z00_3254;

														{	/* Stackable/walk.scm 99 */
															obj_t BgL_oclassz00_3237;

															{	/* Stackable/walk.scm 99 */
																obj_t BgL_arg1866z00_3245;
																long BgL_arg1867z00_3246;

																BgL_arg1866z00_3245 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Stackable/walk.scm 99 */
																	long BgL_arg1869z00_3247;

																	BgL_arg1869z00_3247 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3223);
																	BgL_arg1867z00_3246 =
																		(BgL_arg1869z00_3247 - OBJECT_TYPE);
																}
																BgL_oclassz00_3237 =
																	VECTOR_REF(BgL_arg1866z00_3245,
																	BgL_arg1867z00_3246);
															}
															{	/* Stackable/walk.scm 99 */
																bool_t BgL__ortest_1115z00_3238;

																BgL__ortest_1115z00_3238 =
																	(BgL_classz00_3221 == BgL_oclassz00_3237);
																if (BgL__ortest_1115z00_3238)
																	{	/* Stackable/walk.scm 99 */
																		BgL_res2267z00_3254 =
																			BgL__ortest_1115z00_3238;
																	}
																else
																	{	/* Stackable/walk.scm 99 */
																		long BgL_odepthz00_3239;

																		{	/* Stackable/walk.scm 99 */
																			obj_t BgL_arg1855z00_3240;

																			BgL_arg1855z00_3240 =
																				(BgL_oclassz00_3237);
																			BgL_odepthz00_3239 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_3240);
																		}
																		if ((1L < BgL_odepthz00_3239))
																			{	/* Stackable/walk.scm 99 */
																				obj_t BgL_arg1853z00_3242;

																				{	/* Stackable/walk.scm 99 */
																					obj_t BgL_arg1854z00_3243;

																					BgL_arg1854z00_3243 =
																						(BgL_oclassz00_3237);
																					BgL_arg1853z00_3242 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_3243, 1L);
																				}
																				BgL_res2267z00_3254 =
																					(BgL_arg1853z00_3242 ==
																					BgL_classz00_3221);
																			}
																		else
																			{	/* Stackable/walk.scm 99 */
																				BgL_res2267z00_3254 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2526z00_5436 = BgL_res2267z00_3254;
													}
											}
										else
											{	/* Stackable/walk.scm 99 */
												BgL_test2526z00_5436 = ((bool_t) 0);
											}
									}
								}
								if (BgL_test2526z00_5436)
									{	/* Stackable/walk.scm 100 */
										bool_t BgL_test2531z00_5460;

										{	/* Stackable/walk.scm 100 */
											obj_t BgL_classz00_3255;

											BgL_classz00_3255 = BGl_globalz00zzast_varz00;
											{	/* Stackable/walk.scm 100 */
												BgL_objectz00_bglt BgL_arg1858z00_3257;

												{	/* Stackable/walk.scm 100 */
													obj_t BgL_tmpz00_5461;

													BgL_tmpz00_5461 = ((obj_t) BgL_varz00_21);
													BgL_arg1858z00_3257 =
														(BgL_objectz00_bglt) (BgL_tmpz00_5461);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Stackable/walk.scm 100 */
														long BgL_idxz00_3263;

														BgL_idxz00_3263 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3257);
														BgL_test2531z00_5460 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3263 + 2L)) == BgL_classz00_3255);
													}
												else
													{	/* Stackable/walk.scm 100 */
														bool_t BgL_res2268z00_3288;

														{	/* Stackable/walk.scm 100 */
															obj_t BgL_oclassz00_3271;

															{	/* Stackable/walk.scm 100 */
																obj_t BgL_arg1866z00_3279;
																long BgL_arg1867z00_3280;

																BgL_arg1866z00_3279 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Stackable/walk.scm 100 */
																	long BgL_arg1869z00_3281;

																	BgL_arg1869z00_3281 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3257);
																	BgL_arg1867z00_3280 =
																		(BgL_arg1869z00_3281 - OBJECT_TYPE);
																}
																BgL_oclassz00_3271 =
																	VECTOR_REF(BgL_arg1866z00_3279,
																	BgL_arg1867z00_3280);
															}
															{	/* Stackable/walk.scm 100 */
																bool_t BgL__ortest_1115z00_3272;

																BgL__ortest_1115z00_3272 =
																	(BgL_classz00_3255 == BgL_oclassz00_3271);
																if (BgL__ortest_1115z00_3272)
																	{	/* Stackable/walk.scm 100 */
																		BgL_res2268z00_3288 =
																			BgL__ortest_1115z00_3272;
																	}
																else
																	{	/* Stackable/walk.scm 100 */
																		long BgL_odepthz00_3273;

																		{	/* Stackable/walk.scm 100 */
																			obj_t BgL_arg1855z00_3274;

																			BgL_arg1855z00_3274 =
																				(BgL_oclassz00_3271);
																			BgL_odepthz00_3273 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_3274);
																		}
																		if ((2L < BgL_odepthz00_3273))
																			{	/* Stackable/walk.scm 100 */
																				obj_t BgL_arg1853z00_3276;

																				{	/* Stackable/walk.scm 100 */
																					obj_t BgL_arg1854z00_3277;

																					BgL_arg1854z00_3277 =
																						(BgL_oclassz00_3271);
																					BgL_arg1853z00_3276 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_3277, 2L);
																				}
																				BgL_res2268z00_3288 =
																					(BgL_arg1853z00_3276 ==
																					BgL_classz00_3255);
																			}
																		else
																			{	/* Stackable/walk.scm 100 */
																				BgL_res2268z00_3288 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2531z00_5460 = BgL_res2268z00_3288;
													}
											}
										}
										if (BgL_test2531z00_5460)
											{	/* Stackable/walk.scm 101 */
												obj_t BgL_arg1679z00_1801;

												BgL_arg1679z00_1801 =
													(((BgL_sfunz00_bglt) COBJECT(BgL_i1174z00_1797))->
													BgL_bodyz00);
												return
													BGl_stackablez00zzstackable_walkz00((
														(BgL_nodez00_bglt) BgL_arg1679z00_1801),
													((bool_t) 1), 0L, BgL_ctxz00_22);
											}
										else
											{	/* Stackable/walk.scm 103 */
												obj_t BgL_arg1680z00_1803;
												long BgL_arg1686z00_1804;

												BgL_arg1680z00_1803 =
													(((BgL_sfunz00_bglt) COBJECT(BgL_i1174z00_1797))->
													BgL_bodyz00);
												{
													BgL_localzf2depthzf2_bglt BgL_auxz00_5487;

													{
														obj_t BgL_auxz00_5488;

														{	/* Stackable/walk.scm 103 */
															BgL_objectz00_bglt BgL_tmpz00_5489;

															BgL_tmpz00_5489 =
																((BgL_objectz00_bglt)
																((BgL_localz00_bglt) BgL_varz00_21));
															BgL_auxz00_5488 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_5489);
														}
														BgL_auxz00_5487 =
															((BgL_localzf2depthzf2_bglt) BgL_auxz00_5488);
													}
													BgL_arg1686z00_1804 =
														(((BgL_localzf2depthzf2_bglt)
															COBJECT(BgL_auxz00_5487))->BgL_depthz00);
												}
												return
													BGl_stackablez00zzstackable_walkz00(
													((BgL_nodez00_bglt) BgL_arg1680z00_1803),
													((bool_t) 1), BgL_arg1686z00_1804, BgL_ctxz00_22);
											}
									}
								else
									{	/* Stackable/walk.scm 99 */
										return BFALSE;
									}
							}
						}
					}
				else
					{	/* Stackable/walk.scm 94 */
						return BFALSE;
					}
			}
		}

	}



/* global-lift-let! */
	obj_t BGl_globalzd2liftzd2letz12z12zzstackable_walkz00(BgL_variablez00_bglt
		BgL_varz00_83)
	{
		{	/* Stackable/walk.scm 379 */
			{	/* Stackable/walk.scm 381 */
				BgL_sfunz00_bglt BgL_i1207z00_1810;

				BgL_i1207z00_1810 =
					((BgL_sfunz00_bglt)
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_83))->BgL_valuez00));
				{
					obj_t BgL_auxz00_5499;

					{	/* Stackable/walk.scm 382 */
						obj_t BgL_arg1693z00_1811;

						BgL_arg1693z00_1811 =
							(((BgL_sfunz00_bglt) COBJECT(BgL_i1207z00_1810))->BgL_bodyz00);
						BgL_auxz00_5499 =
							((obj_t)
							BGl_liftzd2letz12zc0zzstackable_walkz00(
								((BgL_nodez00_bglt) BgL_arg1693z00_1811)));
					}
					return
						((((BgL_sfunz00_bglt) COBJECT(BgL_i1207z00_1810))->BgL_bodyz00) =
						((obj_t) BgL_auxz00_5499), BUNSPEC);
				}
			}
		}

	}



/* global-depth-let! */
	obj_t BGl_globalzd2depthzd2letz12z12zzstackable_walkz00(BgL_variablez00_bglt
		BgL_varz00_86)
	{
		{	/* Stackable/walk.scm 442 */
			{	/* Stackable/walk.scm 444 */
				BgL_sfunz00_bglt BgL_i1223z00_1813;

				BgL_i1223z00_1813 =
					((BgL_sfunz00_bglt)
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_86))->BgL_valuez00));
				{	/* Stackable/walk.scm 445 */
					obj_t BgL_g1447z00_1814;

					BgL_g1447z00_1814 =
						(((BgL_sfunz00_bglt) COBJECT(BgL_i1223z00_1813))->BgL_argsz00);
					{
						obj_t BgL_l1445z00_1816;

						BgL_l1445z00_1816 = BgL_g1447z00_1814;
					BgL_zc3z04anonymousza31694ze3z87_1817:
						if (PAIRP(BgL_l1445z00_1816))
							{	/* Stackable/walk.scm 445 */
								{	/* Stackable/walk.scm 446 */
									obj_t BgL_az00_1819;

									BgL_az00_1819 = CAR(BgL_l1445z00_1816);
									{	/* Stackable/walk.scm 446 */
										BgL_localzf2depthzf2_bglt BgL_wide1226z00_1822;

										BgL_wide1226z00_1822 =
											((BgL_localzf2depthzf2_bglt)
											BOBJECT(GC_MALLOC(sizeof(struct
														BgL_localzf2depthzf2_bgl))));
										{	/* Stackable/walk.scm 446 */
											obj_t BgL_auxz00_5516;
											BgL_objectz00_bglt BgL_tmpz00_5512;

											BgL_auxz00_5516 = ((obj_t) BgL_wide1226z00_1822);
											BgL_tmpz00_5512 =
												((BgL_objectz00_bglt)
												((BgL_localz00_bglt)
													((BgL_localz00_bglt) BgL_az00_1819)));
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5512, BgL_auxz00_5516);
										}
										((BgL_objectz00_bglt)
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_az00_1819)));
										{	/* Stackable/walk.scm 446 */
											long BgL_arg1696z00_1823;

											BgL_arg1696z00_1823 =
												BGL_CLASS_NUM(BGl_localzf2depthzf2zzstackable_walkz00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt)
													((BgL_localz00_bglt)
														((BgL_localz00_bglt) BgL_az00_1819))),
												BgL_arg1696z00_1823);
										}
										((BgL_localz00_bglt)
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_az00_1819)));
									}
									{
										BgL_localzf2depthzf2_bglt BgL_auxz00_5530;

										{
											obj_t BgL_auxz00_5531;

											{	/* Stackable/walk.scm 448 */
												BgL_objectz00_bglt BgL_tmpz00_5532;

												BgL_tmpz00_5532 =
													((BgL_objectz00_bglt)
													((BgL_localz00_bglt)
														((BgL_localz00_bglt) BgL_az00_1819)));
												BgL_auxz00_5531 = BGL_OBJECT_WIDENING(BgL_tmpz00_5532);
											}
											BgL_auxz00_5530 =
												((BgL_localzf2depthzf2_bglt) BgL_auxz00_5531);
										}
										((((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_5530))->
												BgL_depthz00) = ((long) 0L), BUNSPEC);
									}
									{
										BgL_localzf2depthzf2_bglt BgL_auxz00_5539;

										{
											obj_t BgL_auxz00_5540;

											{	/* Stackable/walk.scm 447 */
												BgL_objectz00_bglt BgL_tmpz00_5541;

												BgL_tmpz00_5541 =
													((BgL_objectz00_bglt)
													((BgL_localz00_bglt)
														((BgL_localz00_bglt) BgL_az00_1819)));
												BgL_auxz00_5540 = BGL_OBJECT_WIDENING(BgL_tmpz00_5541);
											}
											BgL_auxz00_5539 =
												((BgL_localzf2depthzf2_bglt) BgL_auxz00_5540);
										}
										((((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_5539))->
												BgL_ownerz00) =
											((obj_t) ((obj_t) BgL_varz00_86)), BUNSPEC);
									}
									((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_az00_1819));
								}
								{
									obj_t BgL_l1445z00_5551;

									BgL_l1445z00_5551 = CDR(BgL_l1445z00_1816);
									BgL_l1445z00_1816 = BgL_l1445z00_5551;
									goto BgL_zc3z04anonymousza31694ze3z87_1817;
								}
							}
						else
							{	/* Stackable/walk.scm 445 */
								((bool_t) 1);
							}
					}
				}
				{	/* Stackable/walk.scm 450 */
					obj_t BgL_arg1703z00_1827;

					BgL_arg1703z00_1827 =
						(((BgL_sfunz00_bglt) COBJECT(BgL_i1223z00_1813))->BgL_bodyz00);
					return
						BGl_depthzd2letzd2zzstackable_walkz00(
						((BgL_nodez00_bglt) BgL_arg1703z00_1827),
						BINT(0L), ((obj_t) BgL_varz00_86));
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzstackable_walkz00(void)
	{
		{	/* Stackable/walk.scm 16 */
			{	/* Stackable/walk.scm 38 */
				obj_t BgL_arg1729z00_1835;
				obj_t BgL_arg1730z00_1836;

				{	/* Stackable/walk.scm 38 */
					obj_t BgL_v1457z00_1865;

					BgL_v1457z00_1865 = create_vector(1L);
					{	/* Stackable/walk.scm 38 */
						obj_t BgL_arg1770z00_1866;

						BgL_arg1770z00_1866 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(1)), BGl_proc2334z00zzstackable_walkz00,
							BGl_proc2333z00zzstackable_walkz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, ((obj_t) CNST_TABLE_REF(2)));
						VECTOR_SET(BgL_v1457z00_1865, 0L, BgL_arg1770z00_1866);
					}
					BgL_arg1729z00_1835 = BgL_v1457z00_1865;
				}
				{	/* Stackable/walk.scm 38 */
					obj_t BgL_v1458z00_1876;

					BgL_v1458z00_1876 = create_vector(0L);
					BgL_arg1730z00_1836 = BgL_v1458z00_1876;
				}
				BGl_appzf2depthzf2zzstackable_walkz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(3)),
					((obj_t)
						CNST_TABLE_REF(4)), BGl_appz00zzast_nodez00, 17275L,
					BGl_proc2338z00zzstackable_walkz00,
					BGl_proc2337z00zzstackable_walkz00, BFALSE,
					BGl_proc2336z00zzstackable_walkz00,
					BGl_proc2335z00zzstackable_walkz00, BgL_arg1729z00_1835,
					BgL_arg1730z00_1836);
			}
			{	/* Stackable/walk.scm 40 */
				obj_t BgL_arg1786z00_1885;
				obj_t BgL_arg1789z00_1886;

				{	/* Stackable/walk.scm 40 */
					obj_t BgL_v1459z00_1922;

					BgL_v1459z00_1922 = create_vector(2L);
					{	/* Stackable/walk.scm 40 */
						obj_t BgL_arg1810z00_1923;

						BgL_arg1810z00_1923 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(1)), BGl_proc2340z00zzstackable_walkz00,
							BGl_proc2339z00zzstackable_walkz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, ((obj_t) CNST_TABLE_REF(2)));
						VECTOR_SET(BgL_v1459z00_1922, 0L, BgL_arg1810z00_1923);
					}
					{	/* Stackable/walk.scm 40 */
						obj_t BgL_arg1818z00_1933;

						BgL_arg1818z00_1933 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(5)), BGl_proc2342z00zzstackable_walkz00,
							BGl_proc2341z00zzstackable_walkz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, ((obj_t) CNST_TABLE_REF(6)));
						VECTOR_SET(BgL_v1459z00_1922, 1L, BgL_arg1818z00_1933);
					}
					BgL_arg1786z00_1885 = BgL_v1459z00_1922;
				}
				{	/* Stackable/walk.scm 40 */
					obj_t BgL_v1460z00_1943;

					BgL_v1460z00_1943 = create_vector(0L);
					BgL_arg1789z00_1886 = BgL_v1460z00_1943;
				}
				return (BGl_localzf2depthzf2zzstackable_walkz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
						((obj_t)
							CNST_TABLE_REF(7)),
						((obj_t)
							CNST_TABLE_REF(4)), BGl_localz00zzast_varz00, 2096L,
						BGl_proc2346z00zzstackable_walkz00,
						BGl_proc2345z00zzstackable_walkz00, BFALSE,
						BGl_proc2344z00zzstackable_walkz00,
						BGl_proc2343z00zzstackable_walkz00, BgL_arg1786z00_1885,
						BgL_arg1789z00_1886), BUNSPEC);
			}
		}

	}



/* &lambda1801 */
	BgL_localz00_bglt BGl_z62lambda1801z62zzstackable_walkz00(obj_t
		BgL_envz00_4514, obj_t BgL_o1140z00_4515)
	{
		{	/* Stackable/walk.scm 40 */
			{	/* Stackable/walk.scm 40 */
				long BgL_arg1802z00_4757;

				{	/* Stackable/walk.scm 40 */
					obj_t BgL_arg1803z00_4758;

					{	/* Stackable/walk.scm 40 */
						obj_t BgL_arg1804z00_4759;

						{	/* Stackable/walk.scm 40 */
							obj_t BgL_arg1866z00_4760;
							long BgL_arg1867z00_4761;

							BgL_arg1866z00_4760 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Stackable/walk.scm 40 */
								long BgL_arg1869z00_4762;

								BgL_arg1869z00_4762 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_o1140z00_4515)));
								BgL_arg1867z00_4761 = (BgL_arg1869z00_4762 - OBJECT_TYPE);
							}
							BgL_arg1804z00_4759 =
								VECTOR_REF(BgL_arg1866z00_4760, BgL_arg1867z00_4761);
						}
						BgL_arg1803z00_4758 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1804z00_4759);
					}
					{	/* Stackable/walk.scm 40 */
						obj_t BgL_tmpz00_5597;

						BgL_tmpz00_5597 = ((obj_t) BgL_arg1803z00_4758);
						BgL_arg1802z00_4757 = BGL_CLASS_NUM(BgL_tmpz00_5597);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_localz00_bglt) BgL_o1140z00_4515)), BgL_arg1802z00_4757);
			}
			{	/* Stackable/walk.scm 40 */
				BgL_objectz00_bglt BgL_tmpz00_5603;

				BgL_tmpz00_5603 =
					((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1140z00_4515));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5603, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1140z00_4515));
			return ((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1140z00_4515));
		}

	}



/* &<@anonymous:1800> */
	obj_t BGl_z62zc3z04anonymousza31800ze3ze5zzstackable_walkz00(obj_t
		BgL_envz00_4516, obj_t BgL_new1139z00_4517)
	{
		{	/* Stackable/walk.scm 40 */
			{
				BgL_localz00_bglt BgL_auxz00_5611;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1139z00_4517))))->BgL_idz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(8))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1139z00_4517))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_5620;

					{	/* Stackable/walk.scm 40 */
						obj_t BgL_classz00_4764;

						BgL_classz00_4764 = BGl_typez00zztype_typez00;
						{	/* Stackable/walk.scm 40 */
							obj_t BgL__ortest_1117z00_4765;

							BgL__ortest_1117z00_4765 = BGL_CLASS_NIL(BgL_classz00_4764);
							if (CBOOL(BgL__ortest_1117z00_4765))
								{	/* Stackable/walk.scm 40 */
									BgL_auxz00_5620 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_4765);
								}
							else
								{	/* Stackable/walk.scm 40 */
									BgL_auxz00_5620 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4764));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1139z00_4517))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_5620), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_5630;

					{	/* Stackable/walk.scm 40 */
						obj_t BgL_classz00_4766;

						BgL_classz00_4766 = BGl_valuez00zzast_varz00;
						{	/* Stackable/walk.scm 40 */
							obj_t BgL__ortest_1117z00_4767;

							BgL__ortest_1117z00_4767 = BGL_CLASS_NIL(BgL_classz00_4766);
							if (CBOOL(BgL__ortest_1117z00_4767))
								{	/* Stackable/walk.scm 40 */
									BgL_auxz00_5630 =
										((BgL_valuez00_bglt) BgL__ortest_1117z00_4767);
								}
							else
								{	/* Stackable/walk.scm 40 */
									BgL_auxz00_5630 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4766));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1139z00_4517))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_5630), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1139z00_4517))))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1139z00_4517))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1139z00_4517))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1139z00_4517))))->BgL_occurrencez00) =
					((long) 0L), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1139z00_4517))))->BgL_occurrencewz00) =
					((long) 0L), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1139z00_4517))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1139z00_4517))))->BgL_keyz00) =
					((long) 0L), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1139z00_4517))))->BgL_valzd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1139z00_4517))))->BgL_volatilez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_localzf2depthzf2_bglt BgL_auxz00_5667;

					{
						obj_t BgL_auxz00_5668;

						{	/* Stackable/walk.scm 40 */
							BgL_objectz00_bglt BgL_tmpz00_5669;

							BgL_tmpz00_5669 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_new1139z00_4517));
							BgL_auxz00_5668 = BGL_OBJECT_WIDENING(BgL_tmpz00_5669);
						}
						BgL_auxz00_5667 = ((BgL_localzf2depthzf2_bglt) BgL_auxz00_5668);
					}
					((((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_5667))->
							BgL_depthz00) = ((long) 0L), BUNSPEC);
				}
				{
					BgL_localzf2depthzf2_bglt BgL_auxz00_5675;

					{
						obj_t BgL_auxz00_5676;

						{	/* Stackable/walk.scm 40 */
							BgL_objectz00_bglt BgL_tmpz00_5677;

							BgL_tmpz00_5677 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_new1139z00_4517));
							BgL_auxz00_5676 = BGL_OBJECT_WIDENING(BgL_tmpz00_5677);
						}
						BgL_auxz00_5675 = ((BgL_localzf2depthzf2_bglt) BgL_auxz00_5676);
					}
					((((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_5675))->
							BgL_ownerz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_5611 = ((BgL_localz00_bglt) BgL_new1139z00_4517);
				return ((obj_t) BgL_auxz00_5611);
			}
		}

	}



/* &lambda1798 */
	BgL_localz00_bglt BGl_z62lambda1798z62zzstackable_walkz00(obj_t
		BgL_envz00_4518, obj_t BgL_o1136z00_4519)
	{
		{	/* Stackable/walk.scm 40 */
			{	/* Stackable/walk.scm 40 */
				BgL_localzf2depthzf2_bglt BgL_wide1138z00_4769;

				BgL_wide1138z00_4769 =
					((BgL_localzf2depthzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_localzf2depthzf2_bgl))));
				{	/* Stackable/walk.scm 40 */
					obj_t BgL_auxz00_5690;
					BgL_objectz00_bglt BgL_tmpz00_5686;

					BgL_auxz00_5690 = ((obj_t) BgL_wide1138z00_4769);
					BgL_tmpz00_5686 =
						((BgL_objectz00_bglt)
						((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1136z00_4519)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5686, BgL_auxz00_5690);
				}
				((BgL_objectz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1136z00_4519)));
				{	/* Stackable/walk.scm 40 */
					long BgL_arg1799z00_4770;

					BgL_arg1799z00_4770 =
						BGL_CLASS_NUM(BGl_localzf2depthzf2zzstackable_walkz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_localz00_bglt)
								((BgL_localz00_bglt) BgL_o1136z00_4519))), BgL_arg1799z00_4770);
				}
				return
					((BgL_localz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1136z00_4519)));
			}
		}

	}



/* &lambda1790 */
	BgL_localz00_bglt BGl_z62lambda1790z62zzstackable_walkz00(obj_t
		BgL_envz00_4520, obj_t BgL_id1121z00_4521, obj_t BgL_name1122z00_4522,
		obj_t BgL_type1123z00_4523, obj_t BgL_value1124z00_4524,
		obj_t BgL_access1125z00_4525, obj_t BgL_fastzd2alpha1126zd2_4526,
		obj_t BgL_removable1127z00_4527, obj_t BgL_occurrence1128z00_4528,
		obj_t BgL_occurrencew1129z00_4529, obj_t BgL_userzf31130zf3_4530,
		obj_t BgL_key1131z00_4531, obj_t BgL_valzd2noescape1132zd2_4532,
		obj_t BgL_volatile1133z00_4533, obj_t BgL_depth1134z00_4534,
		obj_t BgL_owner1135z00_4535)
	{
		{	/* Stackable/walk.scm 40 */
			{	/* Stackable/walk.scm 40 */
				long BgL_occurrence1128z00_4774;
				long BgL_occurrencew1129z00_4775;
				bool_t BgL_userzf31130zf3_4776;
				long BgL_key1131z00_4777;
				bool_t BgL_volatile1133z00_4778;
				long BgL_depth1134z00_4779;

				BgL_occurrence1128z00_4774 = (long) CINT(BgL_occurrence1128z00_4528);
				BgL_occurrencew1129z00_4775 = (long) CINT(BgL_occurrencew1129z00_4529);
				BgL_userzf31130zf3_4776 = CBOOL(BgL_userzf31130zf3_4530);
				BgL_key1131z00_4777 = (long) CINT(BgL_key1131z00_4531);
				BgL_volatile1133z00_4778 = CBOOL(BgL_volatile1133z00_4533);
				BgL_depth1134z00_4779 = (long) CINT(BgL_depth1134z00_4534);
				{	/* Stackable/walk.scm 40 */
					BgL_localz00_bglt BgL_new1273z00_4780;

					{	/* Stackable/walk.scm 40 */
						BgL_localz00_bglt BgL_tmp1271z00_4781;
						BgL_localzf2depthzf2_bglt BgL_wide1272z00_4782;

						{
							BgL_localz00_bglt BgL_auxz00_5710;

							{	/* Stackable/walk.scm 40 */
								BgL_localz00_bglt BgL_new1270z00_4783;

								BgL_new1270z00_4783 =
									((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Stackable/walk.scm 40 */
									long BgL_arg1797z00_4784;

									BgL_arg1797z00_4784 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1270z00_4783),
										BgL_arg1797z00_4784);
								}
								{	/* Stackable/walk.scm 40 */
									BgL_objectz00_bglt BgL_tmpz00_5715;

									BgL_tmpz00_5715 = ((BgL_objectz00_bglt) BgL_new1270z00_4783);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5715, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1270z00_4783);
								BgL_auxz00_5710 = BgL_new1270z00_4783;
							}
							BgL_tmp1271z00_4781 = ((BgL_localz00_bglt) BgL_auxz00_5710);
						}
						BgL_wide1272z00_4782 =
							((BgL_localzf2depthzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_localzf2depthzf2_bgl))));
						{	/* Stackable/walk.scm 40 */
							obj_t BgL_auxz00_5723;
							BgL_objectz00_bglt BgL_tmpz00_5721;

							BgL_auxz00_5723 = ((obj_t) BgL_wide1272z00_4782);
							BgL_tmpz00_5721 = ((BgL_objectz00_bglt) BgL_tmp1271z00_4781);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5721, BgL_auxz00_5723);
						}
						((BgL_objectz00_bglt) BgL_tmp1271z00_4781);
						{	/* Stackable/walk.scm 40 */
							long BgL_arg1796z00_4785;

							BgL_arg1796z00_4785 =
								BGL_CLASS_NUM(BGl_localzf2depthzf2zzstackable_walkz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1271z00_4781),
								BgL_arg1796z00_4785);
						}
						BgL_new1273z00_4780 = ((BgL_localz00_bglt) BgL_tmp1271z00_4781);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1273z00_4780)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1121z00_4521)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1273z00_4780)))->BgL_namez00) =
						((obj_t) BgL_name1122z00_4522), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1273z00_4780)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1123z00_4523)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1273z00_4780)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1124z00_4524)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1273z00_4780)))->BgL_accessz00) =
						((obj_t) BgL_access1125z00_4525), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1273z00_4780)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1126zd2_4526), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1273z00_4780)))->BgL_removablez00) =
						((obj_t) BgL_removable1127z00_4527), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1273z00_4780)))->BgL_occurrencez00) =
						((long) BgL_occurrence1128z00_4774), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1273z00_4780)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1129z00_4775), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1273z00_4780)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31130zf3_4776), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1273z00_4780)))->BgL_keyz00) =
						((long) BgL_key1131z00_4777), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1273z00_4780)))->BgL_valzd2noescapezd2) =
						((obj_t) BgL_valzd2noescape1132zd2_4532), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1273z00_4780)))->BgL_volatilez00) =
						((bool_t) BgL_volatile1133z00_4778), BUNSPEC);
					{
						BgL_localzf2depthzf2_bglt BgL_auxz00_5760;

						{
							obj_t BgL_auxz00_5761;

							{	/* Stackable/walk.scm 40 */
								BgL_objectz00_bglt BgL_tmpz00_5762;

								BgL_tmpz00_5762 = ((BgL_objectz00_bglt) BgL_new1273z00_4780);
								BgL_auxz00_5761 = BGL_OBJECT_WIDENING(BgL_tmpz00_5762);
							}
							BgL_auxz00_5760 = ((BgL_localzf2depthzf2_bglt) BgL_auxz00_5761);
						}
						((((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_5760))->
								BgL_depthz00) = ((long) BgL_depth1134z00_4779), BUNSPEC);
					}
					{
						BgL_localzf2depthzf2_bglt BgL_auxz00_5767;

						{
							obj_t BgL_auxz00_5768;

							{	/* Stackable/walk.scm 40 */
								BgL_objectz00_bglt BgL_tmpz00_5769;

								BgL_tmpz00_5769 = ((BgL_objectz00_bglt) BgL_new1273z00_4780);
								BgL_auxz00_5768 = BGL_OBJECT_WIDENING(BgL_tmpz00_5769);
							}
							BgL_auxz00_5767 = ((BgL_localzf2depthzf2_bglt) BgL_auxz00_5768);
						}
						((((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_5767))->
								BgL_ownerz00) = ((obj_t) BgL_owner1135z00_4535), BUNSPEC);
					}
					return BgL_new1273z00_4780;
				}
			}
		}

	}



/* &lambda1824 */
	obj_t BGl_z62lambda1824z62zzstackable_walkz00(obj_t BgL_envz00_4536,
		obj_t BgL_oz00_4537, obj_t BgL_vz00_4538)
	{
		{	/* Stackable/walk.scm 40 */
			{
				BgL_localzf2depthzf2_bglt BgL_auxz00_5774;

				{
					obj_t BgL_auxz00_5775;

					{	/* Stackable/walk.scm 40 */
						BgL_objectz00_bglt BgL_tmpz00_5776;

						BgL_tmpz00_5776 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_4537));
						BgL_auxz00_5775 = BGL_OBJECT_WIDENING(BgL_tmpz00_5776);
					}
					BgL_auxz00_5774 = ((BgL_localzf2depthzf2_bglt) BgL_auxz00_5775);
				}
				return
					((((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_5774))->
						BgL_ownerz00) = ((obj_t) BgL_vz00_4538), BUNSPEC);
			}
		}

	}



/* &lambda1823 */
	obj_t BGl_z62lambda1823z62zzstackable_walkz00(obj_t BgL_envz00_4539,
		obj_t BgL_oz00_4540)
	{
		{	/* Stackable/walk.scm 40 */
			{
				BgL_localzf2depthzf2_bglt BgL_auxz00_5782;

				{
					obj_t BgL_auxz00_5783;

					{	/* Stackable/walk.scm 40 */
						BgL_objectz00_bglt BgL_tmpz00_5784;

						BgL_tmpz00_5784 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_4540));
						BgL_auxz00_5783 = BGL_OBJECT_WIDENING(BgL_tmpz00_5784);
					}
					BgL_auxz00_5782 = ((BgL_localzf2depthzf2_bglt) BgL_auxz00_5783);
				}
				return
					(((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_5782))->
					BgL_ownerz00);
			}
		}

	}



/* &lambda1816 */
	obj_t BGl_z62lambda1816z62zzstackable_walkz00(obj_t BgL_envz00_4541,
		obj_t BgL_oz00_4542, obj_t BgL_vz00_4543)
	{
		{	/* Stackable/walk.scm 40 */
			{	/* Stackable/walk.scm 40 */
				long BgL_vz00_4789;

				BgL_vz00_4789 = (long) CINT(BgL_vz00_4543);
				{
					BgL_localzf2depthzf2_bglt BgL_auxz00_5791;

					{
						obj_t BgL_auxz00_5792;

						{	/* Stackable/walk.scm 40 */
							BgL_objectz00_bglt BgL_tmpz00_5793;

							BgL_tmpz00_5793 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_4542));
							BgL_auxz00_5792 = BGL_OBJECT_WIDENING(BgL_tmpz00_5793);
						}
						BgL_auxz00_5791 = ((BgL_localzf2depthzf2_bglt) BgL_auxz00_5792);
					}
					return
						((((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_5791))->
							BgL_depthz00) = ((long) BgL_vz00_4789), BUNSPEC);
		}}}

	}



/* &lambda1815 */
	obj_t BGl_z62lambda1815z62zzstackable_walkz00(obj_t BgL_envz00_4544,
		obj_t BgL_oz00_4545)
	{
		{	/* Stackable/walk.scm 40 */
			{	/* Stackable/walk.scm 40 */
				long BgL_tmpz00_5799;

				{
					BgL_localzf2depthzf2_bglt BgL_auxz00_5800;

					{
						obj_t BgL_auxz00_5801;

						{	/* Stackable/walk.scm 40 */
							BgL_objectz00_bglt BgL_tmpz00_5802;

							BgL_tmpz00_5802 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_4545));
							BgL_auxz00_5801 = BGL_OBJECT_WIDENING(BgL_tmpz00_5802);
						}
						BgL_auxz00_5800 = ((BgL_localzf2depthzf2_bglt) BgL_auxz00_5801);
					}
					BgL_tmpz00_5799 =
						(((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_5800))->
						BgL_depthz00);
				}
				return BINT(BgL_tmpz00_5799);
			}
		}

	}



/* &lambda1757 */
	BgL_appz00_bglt BGl_z62lambda1757z62zzstackable_walkz00(obj_t BgL_envz00_4546,
		obj_t BgL_o1119z00_4547)
	{
		{	/* Stackable/walk.scm 38 */
			{	/* Stackable/walk.scm 38 */
				long BgL_arg1763z00_4792;

				{	/* Stackable/walk.scm 38 */
					obj_t BgL_arg1765z00_4793;

					{	/* Stackable/walk.scm 38 */
						obj_t BgL_arg1768z00_4794;

						{	/* Stackable/walk.scm 38 */
							obj_t BgL_arg1866z00_4795;
							long BgL_arg1867z00_4796;

							BgL_arg1866z00_4795 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Stackable/walk.scm 38 */
								long BgL_arg1869z00_4797;

								BgL_arg1869z00_4797 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_o1119z00_4547)));
								BgL_arg1867z00_4796 = (BgL_arg1869z00_4797 - OBJECT_TYPE);
							}
							BgL_arg1768z00_4794 =
								VECTOR_REF(BgL_arg1866z00_4795, BgL_arg1867z00_4796);
						}
						BgL_arg1765z00_4793 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1768z00_4794);
					}
					{	/* Stackable/walk.scm 38 */
						obj_t BgL_tmpz00_5816;

						BgL_tmpz00_5816 = ((obj_t) BgL_arg1765z00_4793);
						BgL_arg1763z00_4792 = BGL_CLASS_NUM(BgL_tmpz00_5816);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_appz00_bglt) BgL_o1119z00_4547)), BgL_arg1763z00_4792);
			}
			{	/* Stackable/walk.scm 38 */
				BgL_objectz00_bglt BgL_tmpz00_5822;

				BgL_tmpz00_5822 =
					((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_o1119z00_4547));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5822, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_o1119z00_4547));
			return ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_o1119z00_4547));
		}

	}



/* &<@anonymous:1756> */
	obj_t BGl_z62zc3z04anonymousza31756ze3ze5zzstackable_walkz00(obj_t
		BgL_envz00_4548, obj_t BgL_new1118z00_4549)
	{
		{	/* Stackable/walk.scm 38 */
			{
				BgL_appz00_bglt BgL_auxz00_5830;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_appz00_bglt) BgL_new1118z00_4549))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_5834;

					{	/* Stackable/walk.scm 38 */
						obj_t BgL_classz00_4799;

						BgL_classz00_4799 = BGl_typez00zztype_typez00;
						{	/* Stackable/walk.scm 38 */
							obj_t BgL__ortest_1117z00_4800;

							BgL__ortest_1117z00_4800 = BGL_CLASS_NIL(BgL_classz00_4799);
							if (CBOOL(BgL__ortest_1117z00_4800))
								{	/* Stackable/walk.scm 38 */
									BgL_auxz00_5834 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_4800);
								}
							else
								{	/* Stackable/walk.scm 38 */
									BgL_auxz00_5834 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4799));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_appz00_bglt) BgL_new1118z00_4549))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_5834), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_appz00_bglt) BgL_new1118z00_4549))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_appz00_bglt)
										BgL_new1118z00_4549))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_varz00_bglt BgL_auxz00_5850;

					{	/* Stackable/walk.scm 38 */
						obj_t BgL_classz00_4801;

						BgL_classz00_4801 = BGl_varz00zzast_nodez00;
						{	/* Stackable/walk.scm 38 */
							obj_t BgL__ortest_1117z00_4802;

							BgL__ortest_1117z00_4802 = BGL_CLASS_NIL(BgL_classz00_4801);
							if (CBOOL(BgL__ortest_1117z00_4802))
								{	/* Stackable/walk.scm 38 */
									BgL_auxz00_5850 =
										((BgL_varz00_bglt) BgL__ortest_1117z00_4802);
								}
							else
								{	/* Stackable/walk.scm 38 */
									BgL_auxz00_5850 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4801));
								}
						}
					}
					((((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt)
										((BgL_appz00_bglt) BgL_new1118z00_4549))))->BgL_funz00) =
						((BgL_varz00_bglt) BgL_auxz00_5850), BUNSPEC);
				}
				((((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt)
									((BgL_appz00_bglt) BgL_new1118z00_4549))))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) ((BgL_appz00_bglt)
										BgL_new1118z00_4549))))->BgL_stackablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_appzf2depthzf2_bglt BgL_auxz00_5866;

					{
						obj_t BgL_auxz00_5867;

						{	/* Stackable/walk.scm 38 */
							BgL_objectz00_bglt BgL_tmpz00_5868;

							BgL_tmpz00_5868 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_new1118z00_4549));
							BgL_auxz00_5867 = BGL_OBJECT_WIDENING(BgL_tmpz00_5868);
						}
						BgL_auxz00_5866 = ((BgL_appzf2depthzf2_bglt) BgL_auxz00_5867);
					}
					((((BgL_appzf2depthzf2_bglt) COBJECT(BgL_auxz00_5866))->
							BgL_depthz00) = ((long) 0L), BUNSPEC);
				}
				BgL_auxz00_5830 = ((BgL_appz00_bglt) BgL_new1118z00_4549);
				return ((obj_t) BgL_auxz00_5830);
			}
		}

	}



/* &lambda1749 */
	BgL_appz00_bglt BGl_z62lambda1749z62zzstackable_walkz00(obj_t BgL_envz00_4550,
		obj_t BgL_o1115z00_4551)
	{
		{	/* Stackable/walk.scm 38 */
			{	/* Stackable/walk.scm 38 */
				BgL_appzf2depthzf2_bglt BgL_wide1117z00_4804;

				BgL_wide1117z00_4804 =
					((BgL_appzf2depthzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_appzf2depthzf2_bgl))));
				{	/* Stackable/walk.scm 38 */
					obj_t BgL_auxz00_5881;
					BgL_objectz00_bglt BgL_tmpz00_5877;

					BgL_auxz00_5881 = ((obj_t) BgL_wide1117z00_4804);
					BgL_tmpz00_5877 =
						((BgL_objectz00_bglt)
						((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_o1115z00_4551)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5877, BgL_auxz00_5881);
				}
				((BgL_objectz00_bglt)
					((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_o1115z00_4551)));
				{	/* Stackable/walk.scm 38 */
					long BgL_arg1755z00_4805;

					BgL_arg1755z00_4805 =
						BGL_CLASS_NUM(BGl_appzf2depthzf2zzstackable_walkz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_appz00_bglt)
								((BgL_appz00_bglt) BgL_o1115z00_4551))), BgL_arg1755z00_4805);
				}
				return
					((BgL_appz00_bglt)
					((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_o1115z00_4551)));
			}
		}

	}



/* &lambda1731 */
	BgL_appz00_bglt BGl_z62lambda1731z62zzstackable_walkz00(obj_t BgL_envz00_4552,
		obj_t BgL_loc1107z00_4553, obj_t BgL_type1108z00_4554,
		obj_t BgL_sidezd2effect1109zd2_4555, obj_t BgL_key1110z00_4556,
		obj_t BgL_fun1111z00_4557, obj_t BgL_args1112z00_4558,
		obj_t BgL_stackable1113z00_4559, obj_t BgL_depth1114z00_4560)
	{
		{	/* Stackable/walk.scm 38 */
			{	/* Stackable/walk.scm 38 */
				long BgL_depth1114z00_4808;

				BgL_depth1114z00_4808 = (long) CINT(BgL_depth1114z00_4560);
				{	/* Stackable/walk.scm 38 */
					BgL_appz00_bglt BgL_new1268z00_4809;

					{	/* Stackable/walk.scm 38 */
						BgL_appz00_bglt BgL_tmp1265z00_4810;
						BgL_appzf2depthzf2_bglt BgL_wide1266z00_4811;

						{
							BgL_appz00_bglt BgL_auxz00_5896;

							{	/* Stackable/walk.scm 38 */
								BgL_appz00_bglt BgL_new1264z00_4812;

								BgL_new1264z00_4812 =
									((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_appz00_bgl))));
								{	/* Stackable/walk.scm 38 */
									long BgL_arg1748z00_4813;

									BgL_arg1748z00_4813 = BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1264z00_4812),
										BgL_arg1748z00_4813);
								}
								{	/* Stackable/walk.scm 38 */
									BgL_objectz00_bglt BgL_tmpz00_5901;

									BgL_tmpz00_5901 = ((BgL_objectz00_bglt) BgL_new1264z00_4812);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5901, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1264z00_4812);
								BgL_auxz00_5896 = BgL_new1264z00_4812;
							}
							BgL_tmp1265z00_4810 = ((BgL_appz00_bglt) BgL_auxz00_5896);
						}
						BgL_wide1266z00_4811 =
							((BgL_appzf2depthzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_appzf2depthzf2_bgl))));
						{	/* Stackable/walk.scm 38 */
							obj_t BgL_auxz00_5909;
							BgL_objectz00_bglt BgL_tmpz00_5907;

							BgL_auxz00_5909 = ((obj_t) BgL_wide1266z00_4811);
							BgL_tmpz00_5907 = ((BgL_objectz00_bglt) BgL_tmp1265z00_4810);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5907, BgL_auxz00_5909);
						}
						((BgL_objectz00_bglt) BgL_tmp1265z00_4810);
						{	/* Stackable/walk.scm 38 */
							long BgL_arg1746z00_4814;

							BgL_arg1746z00_4814 =
								BGL_CLASS_NUM(BGl_appzf2depthzf2zzstackable_walkz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1265z00_4810),
								BgL_arg1746z00_4814);
						}
						BgL_new1268z00_4809 = ((BgL_appz00_bglt) BgL_tmp1265z00_4810);
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1268z00_4809)))->BgL_locz00) =
						((obj_t) BgL_loc1107z00_4553), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1268z00_4809)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1108z00_4554)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1268z00_4809)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1109zd2_4555), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1268z00_4809)))->BgL_keyz00) =
						((obj_t) BgL_key1110z00_4556), BUNSPEC);
					((((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt)
										BgL_new1268z00_4809)))->BgL_funz00) =
						((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_fun1111z00_4557)),
						BUNSPEC);
					((((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt)
										BgL_new1268z00_4809)))->BgL_argsz00) =
						((obj_t) BgL_args1112z00_4558), BUNSPEC);
					((((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt)
										BgL_new1268z00_4809)))->BgL_stackablez00) =
						((obj_t) BgL_stackable1113z00_4559), BUNSPEC);
					{
						BgL_appzf2depthzf2_bglt BgL_auxz00_5933;

						{
							obj_t BgL_auxz00_5934;

							{	/* Stackable/walk.scm 38 */
								BgL_objectz00_bglt BgL_tmpz00_5935;

								BgL_tmpz00_5935 = ((BgL_objectz00_bglt) BgL_new1268z00_4809);
								BgL_auxz00_5934 = BGL_OBJECT_WIDENING(BgL_tmpz00_5935);
							}
							BgL_auxz00_5933 = ((BgL_appzf2depthzf2_bglt) BgL_auxz00_5934);
						}
						((((BgL_appzf2depthzf2_bglt) COBJECT(BgL_auxz00_5933))->
								BgL_depthz00) = ((long) BgL_depth1114z00_4808), BUNSPEC);
					}
					return BgL_new1268z00_4809;
				}
			}
		}

	}



/* &lambda1778 */
	obj_t BGl_z62lambda1778z62zzstackable_walkz00(obj_t BgL_envz00_4561,
		obj_t BgL_oz00_4562, obj_t BgL_vz00_4563)
	{
		{	/* Stackable/walk.scm 38 */
			{	/* Stackable/walk.scm 38 */
				long BgL_vz00_4816;

				BgL_vz00_4816 = (long) CINT(BgL_vz00_4563);
				{
					BgL_appzf2depthzf2_bglt BgL_auxz00_5941;

					{
						obj_t BgL_auxz00_5942;

						{	/* Stackable/walk.scm 38 */
							BgL_objectz00_bglt BgL_tmpz00_5943;

							BgL_tmpz00_5943 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_oz00_4562));
							BgL_auxz00_5942 = BGL_OBJECT_WIDENING(BgL_tmpz00_5943);
						}
						BgL_auxz00_5941 = ((BgL_appzf2depthzf2_bglt) BgL_auxz00_5942);
					}
					return
						((((BgL_appzf2depthzf2_bglt) COBJECT(BgL_auxz00_5941))->
							BgL_depthz00) = ((long) BgL_vz00_4816), BUNSPEC);
		}}}

	}



/* &lambda1777 */
	obj_t BGl_z62lambda1777z62zzstackable_walkz00(obj_t BgL_envz00_4564,
		obj_t BgL_oz00_4565)
	{
		{	/* Stackable/walk.scm 38 */
			{	/* Stackable/walk.scm 38 */
				long BgL_tmpz00_5949;

				{
					BgL_appzf2depthzf2_bglt BgL_auxz00_5950;

					{
						obj_t BgL_auxz00_5951;

						{	/* Stackable/walk.scm 38 */
							BgL_objectz00_bglt BgL_tmpz00_5952;

							BgL_tmpz00_5952 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_oz00_4565));
							BgL_auxz00_5951 = BGL_OBJECT_WIDENING(BgL_tmpz00_5952);
						}
						BgL_auxz00_5950 = ((BgL_appzf2depthzf2_bglt) BgL_auxz00_5951);
					}
					BgL_tmpz00_5949 =
						(((BgL_appzf2depthzf2_bglt) COBJECT(BgL_auxz00_5950))->
						BgL_depthz00);
				}
				return BINT(BgL_tmpz00_5949);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzstackable_walkz00(void)
	{
		{	/* Stackable/walk.scm 16 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_stackablezd2envzd2zzstackable_walkz00,
				BGl_proc2347z00zzstackable_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2348z00zzstackable_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_escapez12zd2envzc0zzstackable_walkz00,
				BGl_proc2349z00zzstackable_walkz00, BFALSE,
				BGl_string2350z00zzstackable_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2escapezd2envz00zzstackable_walkz00,
				BGl_proc2351z00zzstackable_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2352z00zzstackable_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_liftzd2letz12zd2envz12zzstackable_walkz00,
				BGl_proc2353z00zzstackable_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2354z00zzstackable_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_depthzd2letzd2envz00zzstackable_walkz00,
				BGl_proc2355z00zzstackable_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2356z00zzstackable_walkz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_initzd2stackablezd2envz00zzstackable_walkz00,
				BGl_proc2357z00zzstackable_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2358z00zzstackable_walkz00);
		}

	}



/* &init-stackable1524 */
	obj_t BGl_z62initzd2stackable1524zb0zzstackable_walkz00(obj_t BgL_envz00_4588,
		obj_t BgL_nodez00_4589)
	{
		{	/* Stackable/walk.scm 535 */
			return
				BGl_walk0z00zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_4589),
				BGl_initzd2stackablezd2envz00zzstackable_walkz00);
		}

	}



/* &depth-let1512 */
	obj_t BGl_z62depthzd2let1512zb0zzstackable_walkz00(obj_t BgL_envz00_4590,
		obj_t BgL_nodez00_4591, obj_t BgL_depthz00_4592, obj_t BgL_funz00_4593)
	{
		{	/* Stackable/walk.scm 455 */
			{

				return
					BGl_walk2z00zzast_walkz00(
					((BgL_nodez00_bglt) BgL_nodez00_4591),
					BGl_depthzd2letzd2envz00zzstackable_walkz00, BgL_depthz00_4592,
					BgL_funz00_4593);
			}
		}

	}



/* &lift-let!1508 */
	obj_t BGl_z62liftzd2letz121508za2zzstackable_walkz00(obj_t BgL_envz00_4594,
		obj_t BgL_nodez00_4595)
	{
		{	/* Stackable/walk.scm 387 */
			return
				((obj_t)
				BGl_walk0z12z12zzast_walkz00(
					((BgL_nodez00_bglt) BgL_nodez00_4595),
					BGl_liftzd2letz12zd2envz12zzstackable_walkz00));
		}

	}



/* &node-escape1501 */
	obj_t BGl_z62nodezd2escape1501zb0zzstackable_walkz00(obj_t BgL_envz00_4596,
		obj_t BgL_nodez00_4597, obj_t BgL_ctxz00_4598)
	{
		{	/* Stackable/walk.scm 355 */
			{

				return
					BGl_walk1z00zzast_walkz00(
					((BgL_nodez00_bglt) BgL_nodez00_4597),
					BGl_nodezd2escapezd2envz00zzstackable_walkz00, BgL_ctxz00_4598);
			}
		}

	}



/* &escape!1486 */
	obj_t BGl_z62escapez121486z70zzstackable_walkz00(obj_t BgL_envz00_4599,
		obj_t BgL_nodez00_4600, obj_t BgL_ctxz00_4601)
	{
		{	/* Stackable/walk.scm 296 */
			{	/* Stackable/walk.scm 297 */
				obj_t BgL_arg1834z00_4825;
				obj_t BgL_arg1842z00_4826;

				{	/* Stackable/walk.scm 297 */
					obj_t BgL_tmpz00_5974;

					BgL_tmpz00_5974 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg1834z00_4825 = BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_5974);
				}
				BgL_arg1842z00_4826 = BGl_shapez00zztools_shapez00(BgL_nodez00_4600);
				{	/* Stackable/walk.scm 297 */
					obj_t BgL_list1843z00_4827;

					{	/* Stackable/walk.scm 297 */
						obj_t BgL_arg1845z00_4828;

						{	/* Stackable/walk.scm 297 */
							obj_t BgL_arg1847z00_4829;

							{	/* Stackable/walk.scm 297 */
								obj_t BgL_arg1848z00_4830;

								{	/* Stackable/walk.scm 297 */
									obj_t BgL_arg1851z00_4831;

									{	/* Stackable/walk.scm 297 */
										obj_t BgL_arg1852z00_4832;

										BgL_arg1852z00_4832 =
											MAKE_YOUNG_PAIR(BgL_arg1842z00_4826, BNIL);
										BgL_arg1851z00_4831 =
											MAKE_YOUNG_PAIR(BGl_string2359z00zzstackable_walkz00,
											BgL_arg1852z00_4832);
									}
									BgL_arg1848z00_4830 =
										MAKE_YOUNG_PAIR(BGl_string2360z00zzstackable_walkz00,
										BgL_arg1851z00_4831);
								}
								BgL_arg1847z00_4829 =
									MAKE_YOUNG_PAIR(BINT(297L), BgL_arg1848z00_4830);
							}
							BgL_arg1845z00_4828 =
								MAKE_YOUNG_PAIR(BGl_string2361z00zzstackable_walkz00,
								BgL_arg1847z00_4829);
						}
						BgL_list1843z00_4827 =
							MAKE_YOUNG_PAIR(BGl_string2362z00zzstackable_walkz00,
							BgL_arg1845z00_4828);
					}
					BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg1834z00_4825,
						BgL_list1843z00_4827);
				}
			}
			return BUNSPEC;
		}

	}



/* &stackable1466 */
	obj_t BGl_z62stackable1466z62zzstackable_walkz00(obj_t BgL_envz00_4602,
		obj_t BgL_nodez00_4603, obj_t BgL_escpz00_4604, obj_t BgL_depthz00_4605,
		obj_t BgL_ctxz00_4606)
	{
		{	/* Stackable/walk.scm 113 */
			{	/* Stackable/walk.scm 113 */
				bool_t BgL_escpz00_4834;
				long BgL_depthz00_4835;

				BgL_escpz00_4834 = CBOOL(BgL_escpz00_4604);
				BgL_depthz00_4835 = (long) CINT(BgL_depthz00_4605);
				{

					BgL_escpz00_4834 = ((bool_t) 1);
					return
						BGl_walk3z00zzast_walkz00(
						((BgL_nodez00_bglt) BgL_nodez00_4603),
						BGl_stackablezd2envzd2zzstackable_walkz00, BBOOL(BgL_escpz00_4834),
						BINT(BgL_depthz00_4835), ((obj_t) BgL_ctxz00_4606));
				}
			}
		}

	}



/* stackable */
	obj_t BGl_stackablez00zzstackable_walkz00(BgL_nodez00_bglt BgL_nodez00_23,
		bool_t BgL_escpz00_24, long BgL_depthz00_25, obj_t BgL_ctxz00_26)
	{
		{	/* Stackable/walk.scm 113 */
			{	/* Stackable/walk.scm 113 */
				obj_t BgL_method1467z00_2054;

				{	/* Stackable/walk.scm 113 */
					obj_t BgL_res2273z00_3410;

					{	/* Stackable/walk.scm 113 */
						long BgL_objzd2classzd2numz00_3381;

						BgL_objzd2classzd2numz00_3381 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_23));
						{	/* Stackable/walk.scm 113 */
							obj_t BgL_arg1862z00_3382;

							BgL_arg1862z00_3382 =
								PROCEDURE_REF(BGl_stackablezd2envzd2zzstackable_walkz00,
								(int) (1L));
							{	/* Stackable/walk.scm 113 */
								int BgL_offsetz00_3385;

								BgL_offsetz00_3385 = (int) (BgL_objzd2classzd2numz00_3381);
								{	/* Stackable/walk.scm 113 */
									long BgL_offsetz00_3386;

									BgL_offsetz00_3386 =
										((long) (BgL_offsetz00_3385) - OBJECT_TYPE);
									{	/* Stackable/walk.scm 113 */
										long BgL_modz00_3387;

										BgL_modz00_3387 =
											(BgL_offsetz00_3386 >> (int) ((long) ((int) (4L))));
										{	/* Stackable/walk.scm 113 */
											long BgL_restz00_3389;

											BgL_restz00_3389 =
												(BgL_offsetz00_3386 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Stackable/walk.scm 113 */

												{	/* Stackable/walk.scm 113 */
													obj_t BgL_bucketz00_3391;

													BgL_bucketz00_3391 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_3382), BgL_modz00_3387);
													BgL_res2273z00_3410 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3391), BgL_restz00_3389);
					}}}}}}}}
					BgL_method1467z00_2054 = BgL_res2273z00_3410;
				}
				return
					BGL_PROCEDURE_CALL4(BgL_method1467z00_2054,
					((obj_t) BgL_nodez00_23),
					BBOOL(BgL_escpz00_24), BINT(BgL_depthz00_25), BgL_ctxz00_26);
			}
		}

	}



/* &stackable */
	obj_t BGl_z62stackablez62zzstackable_walkz00(obj_t BgL_envz00_4583,
		obj_t BgL_nodez00_4584, obj_t BgL_escpz00_4585, obj_t BgL_depthz00_4586,
		obj_t BgL_ctxz00_4587)
	{
		{	/* Stackable/walk.scm 113 */
			return
				BGl_stackablez00zzstackable_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_4584),
				CBOOL(BgL_escpz00_4585),
				(long) CINT(BgL_depthz00_4586), BgL_ctxz00_4587);
		}

	}



/* escape! */
	obj_t BGl_escapez12z12zzstackable_walkz00(obj_t BgL_nodez00_63,
		obj_t BgL_ctxz00_64)
	{
		{	/* Stackable/walk.scm 296 */
			if (BGL_OBJECTP(BgL_nodez00_63))
				{	/* Stackable/walk.scm 296 */
					obj_t BgL_method1488z00_2056;

					{	/* Stackable/walk.scm 296 */
						obj_t BgL_res2278z00_3441;

						{	/* Stackable/walk.scm 296 */
							long BgL_objzd2classzd2numz00_3412;

							BgL_objzd2classzd2numz00_3412 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_63));
							{	/* Stackable/walk.scm 296 */
								obj_t BgL_arg1862z00_3413;

								BgL_arg1862z00_3413 =
									PROCEDURE_REF(BGl_escapez12zd2envzc0zzstackable_walkz00,
									(int) (1L));
								{	/* Stackable/walk.scm 296 */
									int BgL_offsetz00_3416;

									BgL_offsetz00_3416 = (int) (BgL_objzd2classzd2numz00_3412);
									{	/* Stackable/walk.scm 296 */
										long BgL_offsetz00_3417;

										BgL_offsetz00_3417 =
											((long) (BgL_offsetz00_3416) - OBJECT_TYPE);
										{	/* Stackable/walk.scm 296 */
											long BgL_modz00_3418;

											BgL_modz00_3418 =
												(BgL_offsetz00_3417 >> (int) ((long) ((int) (4L))));
											{	/* Stackable/walk.scm 296 */
												long BgL_restz00_3420;

												BgL_restz00_3420 =
													(BgL_offsetz00_3417 &
													(long) (
														(int) (
															((long) (
																	(int) (
																		(1L <<
																			(int) ((long) ((int) (4L)))))) - 1L))));
												{	/* Stackable/walk.scm 296 */

													{	/* Stackable/walk.scm 296 */
														obj_t BgL_bucketz00_3422;

														BgL_bucketz00_3422 =
															VECTOR_REF(
															((obj_t) BgL_arg1862z00_3413), BgL_modz00_3418);
														BgL_res2278z00_3441 =
															VECTOR_REF(
															((obj_t) BgL_bucketz00_3422), BgL_restz00_3420);
						}}}}}}}}
						BgL_method1488z00_2056 = BgL_res2278z00_3441;
					}
					return
						BGL_PROCEDURE_CALL2(BgL_method1488z00_2056, BgL_nodez00_63,
						BgL_ctxz00_64);
				}
			else
				{	/* Stackable/walk.scm 296 */
					obj_t BgL_fun1881z00_2057;

					BgL_fun1881z00_2057 =
						PROCEDURE_REF(BGl_escapez12zd2envzc0zzstackable_walkz00,
						(int) (0L));
					return
						BGL_PROCEDURE_CALL2(BgL_fun1881z00_2057, BgL_nodez00_63,
						BgL_ctxz00_64);
				}
		}

	}



/* &escape! */
	obj_t BGl_z62escapez12z70zzstackable_walkz00(obj_t BgL_envz00_4607,
		obj_t BgL_nodez00_4608, obj_t BgL_ctxz00_4609)
	{
		{	/* Stackable/walk.scm 296 */
			return
				BGl_escapez12z12zzstackable_walkz00(BgL_nodez00_4608, BgL_ctxz00_4609);
		}

	}



/* node-escape */
	obj_t BGl_nodezd2escapezd2zzstackable_walkz00(BgL_nodez00_bglt BgL_nodez00_77,
		obj_t BgL_ctxz00_78)
	{
		{	/* Stackable/walk.scm 355 */
			{	/* Stackable/walk.scm 355 */
				obj_t BgL_method1503z00_2058;

				{	/* Stackable/walk.scm 355 */
					obj_t BgL_res2284z00_3473;

					{	/* Stackable/walk.scm 355 */
						long BgL_objzd2classzd2numz00_3444;

						BgL_objzd2classzd2numz00_3444 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_77));
						{	/* Stackable/walk.scm 355 */
							obj_t BgL_arg1862z00_3445;

							BgL_arg1862z00_3445 =
								PROCEDURE_REF(BGl_nodezd2escapezd2envz00zzstackable_walkz00,
								(int) (1L));
							{	/* Stackable/walk.scm 355 */
								int BgL_offsetz00_3448;

								BgL_offsetz00_3448 = (int) (BgL_objzd2classzd2numz00_3444);
								{	/* Stackable/walk.scm 355 */
									long BgL_offsetz00_3449;

									BgL_offsetz00_3449 =
										((long) (BgL_offsetz00_3448) - OBJECT_TYPE);
									{	/* Stackable/walk.scm 355 */
										long BgL_modz00_3450;

										BgL_modz00_3450 =
											(BgL_offsetz00_3449 >> (int) ((long) ((int) (4L))));
										{	/* Stackable/walk.scm 355 */
											long BgL_restz00_3452;

											BgL_restz00_3452 =
												(BgL_offsetz00_3449 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Stackable/walk.scm 355 */

												{	/* Stackable/walk.scm 355 */
													obj_t BgL_bucketz00_3454;

													BgL_bucketz00_3454 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_3445), BgL_modz00_3450);
													BgL_res2284z00_3473 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3454), BgL_restz00_3452);
					}}}}}}}}
					BgL_method1503z00_2058 = BgL_res2284z00_3473;
				}
				return
					BGL_PROCEDURE_CALL2(BgL_method1503z00_2058,
					((obj_t) BgL_nodez00_77), BgL_ctxz00_78);
			}
		}

	}



/* &node-escape */
	obj_t BGl_z62nodezd2escapezb0zzstackable_walkz00(obj_t BgL_envz00_4578,
		obj_t BgL_nodez00_4579, obj_t BgL_ctxz00_4580)
	{
		{	/* Stackable/walk.scm 355 */
			return
				BGl_nodezd2escapezd2zzstackable_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_4579), BgL_ctxz00_4580);
		}

	}



/* lift-let! */
	BgL_nodez00_bglt BGl_liftzd2letz12zc0zzstackable_walkz00(BgL_nodez00_bglt
		BgL_nodez00_84)
	{
		{	/* Stackable/walk.scm 387 */
			{	/* Stackable/walk.scm 387 */
				obj_t BgL_method1509z00_2059;

				{	/* Stackable/walk.scm 387 */
					obj_t BgL_res2289z00_3504;

					{	/* Stackable/walk.scm 387 */
						long BgL_objzd2classzd2numz00_3475;

						BgL_objzd2classzd2numz00_3475 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_84));
						{	/* Stackable/walk.scm 387 */
							obj_t BgL_arg1862z00_3476;

							BgL_arg1862z00_3476 =
								PROCEDURE_REF(BGl_liftzd2letz12zd2envz12zzstackable_walkz00,
								(int) (1L));
							{	/* Stackable/walk.scm 387 */
								int BgL_offsetz00_3479;

								BgL_offsetz00_3479 = (int) (BgL_objzd2classzd2numz00_3475);
								{	/* Stackable/walk.scm 387 */
									long BgL_offsetz00_3480;

									BgL_offsetz00_3480 =
										((long) (BgL_offsetz00_3479) - OBJECT_TYPE);
									{	/* Stackable/walk.scm 387 */
										long BgL_modz00_3481;

										BgL_modz00_3481 =
											(BgL_offsetz00_3480 >> (int) ((long) ((int) (4L))));
										{	/* Stackable/walk.scm 387 */
											long BgL_restz00_3483;

											BgL_restz00_3483 =
												(BgL_offsetz00_3480 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Stackable/walk.scm 387 */

												{	/* Stackable/walk.scm 387 */
													obj_t BgL_bucketz00_3485;

													BgL_bucketz00_3485 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_3476), BgL_modz00_3481);
													BgL_res2289z00_3504 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3485), BgL_restz00_3483);
					}}}}}}}}
					BgL_method1509z00_2059 = BgL_res2289z00_3504;
				}
				return
					((BgL_nodez00_bglt)
					BGL_PROCEDURE_CALL1(BgL_method1509z00_2059,
						((obj_t) BgL_nodez00_84)));
			}
		}

	}



/* &lift-let! */
	BgL_nodez00_bglt BGl_z62liftzd2letz12za2zzstackable_walkz00(obj_t
		BgL_envz00_4575, obj_t BgL_nodez00_4576)
	{
		{	/* Stackable/walk.scm 387 */
			return
				BGl_liftzd2letz12zc0zzstackable_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_4576));
		}

	}



/* depth-let */
	obj_t BGl_depthzd2letzd2zzstackable_walkz00(BgL_nodez00_bglt BgL_nodez00_87,
		obj_t BgL_depthz00_88, obj_t BgL_funz00_89)
	{
		{	/* Stackable/walk.scm 455 */
			{	/* Stackable/walk.scm 455 */
				obj_t BgL_method1513z00_2060;

				{	/* Stackable/walk.scm 455 */
					obj_t BgL_res2294z00_3535;

					{	/* Stackable/walk.scm 455 */
						long BgL_objzd2classzd2numz00_3506;

						BgL_objzd2classzd2numz00_3506 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_87));
						{	/* Stackable/walk.scm 455 */
							obj_t BgL_arg1862z00_3507;

							BgL_arg1862z00_3507 =
								PROCEDURE_REF(BGl_depthzd2letzd2envz00zzstackable_walkz00,
								(int) (1L));
							{	/* Stackable/walk.scm 455 */
								int BgL_offsetz00_3510;

								BgL_offsetz00_3510 = (int) (BgL_objzd2classzd2numz00_3506);
								{	/* Stackable/walk.scm 455 */
									long BgL_offsetz00_3511;

									BgL_offsetz00_3511 =
										((long) (BgL_offsetz00_3510) - OBJECT_TYPE);
									{	/* Stackable/walk.scm 455 */
										long BgL_modz00_3512;

										BgL_modz00_3512 =
											(BgL_offsetz00_3511 >> (int) ((long) ((int) (4L))));
										{	/* Stackable/walk.scm 455 */
											long BgL_restz00_3514;

											BgL_restz00_3514 =
												(BgL_offsetz00_3511 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Stackable/walk.scm 455 */

												{	/* Stackable/walk.scm 455 */
													obj_t BgL_bucketz00_3516;

													BgL_bucketz00_3516 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_3507), BgL_modz00_3512);
													BgL_res2294z00_3535 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3516), BgL_restz00_3514);
					}}}}}}}}
					BgL_method1513z00_2060 = BgL_res2294z00_3535;
				}
				return
					BGL_PROCEDURE_CALL3(BgL_method1513z00_2060,
					((obj_t) BgL_nodez00_87), BgL_depthz00_88, BgL_funz00_89);
			}
		}

	}



/* &depth-let */
	obj_t BGl_z62depthzd2letzb0zzstackable_walkz00(obj_t BgL_envz00_4570,
		obj_t BgL_nodez00_4571, obj_t BgL_depthz00_4572, obj_t BgL_funz00_4573)
	{
		{	/* Stackable/walk.scm 455 */
			return
				BGl_depthzd2letzd2zzstackable_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_4571), BgL_depthz00_4572,
				BgL_funz00_4573);
		}

	}



/* init-stackable */
	obj_t BGl_initzd2stackablezd2zzstackable_walkz00(BgL_nodez00_bglt
		BgL_nodez00_106)
	{
		{	/* Stackable/walk.scm 535 */
			{	/* Stackable/walk.scm 535 */
				obj_t BgL_method1525z00_2061;

				{	/* Stackable/walk.scm 535 */
					obj_t BgL_res2299z00_3566;

					{	/* Stackable/walk.scm 535 */
						long BgL_objzd2classzd2numz00_3537;

						BgL_objzd2classzd2numz00_3537 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_106));
						{	/* Stackable/walk.scm 535 */
							obj_t BgL_arg1862z00_3538;

							BgL_arg1862z00_3538 =
								PROCEDURE_REF(BGl_initzd2stackablezd2envz00zzstackable_walkz00,
								(int) (1L));
							{	/* Stackable/walk.scm 535 */
								int BgL_offsetz00_3541;

								BgL_offsetz00_3541 = (int) (BgL_objzd2classzd2numz00_3537);
								{	/* Stackable/walk.scm 535 */
									long BgL_offsetz00_3542;

									BgL_offsetz00_3542 =
										((long) (BgL_offsetz00_3541) - OBJECT_TYPE);
									{	/* Stackable/walk.scm 535 */
										long BgL_modz00_3543;

										BgL_modz00_3543 =
											(BgL_offsetz00_3542 >> (int) ((long) ((int) (4L))));
										{	/* Stackable/walk.scm 535 */
											long BgL_restz00_3545;

											BgL_restz00_3545 =
												(BgL_offsetz00_3542 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Stackable/walk.scm 535 */

												{	/* Stackable/walk.scm 535 */
													obj_t BgL_bucketz00_3547;

													BgL_bucketz00_3547 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_3538), BgL_modz00_3543);
													BgL_res2299z00_3566 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3547), BgL_restz00_3545);
					}}}}}}}}
					BgL_method1525z00_2061 = BgL_res2299z00_3566;
				}
				return
					BGL_PROCEDURE_CALL1(BgL_method1525z00_2061,
					((obj_t) BgL_nodez00_106));
			}
		}

	}



/* &init-stackable */
	obj_t BGl_z62initzd2stackablezb0zzstackable_walkz00(obj_t BgL_envz00_4567,
		obj_t BgL_nodez00_4568)
	{
		{	/* Stackable/walk.scm 535 */
			return
				BGl_initzd2stackablezd2zzstackable_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_4568));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzstackable_walkz00(void)
	{
		{	/* Stackable/walk.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00,
				BGl_localzf2depthzf2zzstackable_walkz00,
				BGl_proc2363z00zzstackable_walkz00,
				BGl_string2364z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3sexpzd2envze3zzast_dumpz00,
				BGl_appzf2depthzf2zzstackable_walkz00,
				BGl_proc2365z00zzstackable_walkz00,
				BGl_string2366z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_stackablezd2envzd2zzstackable_walkz00, BGl_varz00zzast_nodez00,
				BGl_proc2367z00zzstackable_walkz00,
				BGl_string2368z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_stackablezd2envzd2zzstackable_walkz00, BGl_closurez00zzast_nodez00,
				BGl_proc2369z00zzstackable_walkz00,
				BGl_string2368z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_stackablezd2envzd2zzstackable_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc2370z00zzstackable_walkz00,
				BGl_string2368z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_stackablezd2envzd2zzstackable_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2371z00zzstackable_walkz00,
				BGl_string2368z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_stackablezd2envzd2zzstackable_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2372z00zzstackable_walkz00,
				BGl_string2368z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_stackablezd2envzd2zzstackable_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2373z00zzstackable_walkz00,
				BGl_string2368z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_stackablezd2envzd2zzstackable_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc2374z00zzstackable_walkz00,
				BGl_string2368z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_stackablezd2envzd2zzstackable_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc2375z00zzstackable_walkz00,
				BGl_string2368z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_stackablezd2envzd2zzstackable_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2376z00zzstackable_walkz00,
				BGl_string2368z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzstackable_walkz00, BGl_globalz00zzast_varz00,
				BGl_proc2377z00zzstackable_walkz00,
				BGl_string2378z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzstackable_walkz00, BGl_localz00zzast_varz00,
				BGl_proc2379z00zzstackable_walkz00,
				BGl_string2378z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzstackable_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc2380z00zzstackable_walkz00,
				BGl_string2378z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzstackable_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc2381z00zzstackable_walkz00,
				BGl_string2378z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzstackable_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2382z00zzstackable_walkz00,
				BGl_string2378z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzstackable_walkz00, BGl_closurez00zzast_nodez00,
				BGl_proc2383z00zzstackable_walkz00,
				BGl_string2384z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2escapezd2envz00zzstackable_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc2385z00zzstackable_walkz00,
				BGl_string2386z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2escapezd2envz00zzstackable_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2387z00zzstackable_walkz00,
				BGl_string2386z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_liftzd2letz12zd2envz12zzstackable_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2388z00zzstackable_walkz00,
				BGl_string2389z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_depthzd2letzd2envz00zzstackable_walkz00, BGl_varz00zzast_nodez00,
				BGl_proc2390z00zzstackable_walkz00,
				BGl_string2391z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_depthzd2letzd2envz00zzstackable_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2392z00zzstackable_walkz00,
				BGl_string2391z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_depthzd2letzd2envz00zzstackable_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2393z00zzstackable_walkz00,
				BGl_string2391z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_depthzd2letzd2envz00zzstackable_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc2394z00zzstackable_walkz00,
				BGl_string2391z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_depthzd2letzd2envz00zzstackable_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2395z00zzstackable_walkz00,
				BGl_string2391z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initzd2stackablezd2envz00zzstackable_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2396z00zzstackable_walkz00,
				BGl_string2397z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initzd2stackablezd2envz00zzstackable_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2398z00zzstackable_walkz00,
				BGl_string2397z00zzstackable_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initzd2stackablezd2envz00zzstackable_walkz00,
				BGl_closurez00zzast_nodez00, BGl_proc2399z00zzstackable_walkz00,
				BGl_string2397z00zzstackable_walkz00);
		}

	}



/* &init-stackable-closu1531 */
	obj_t BGl_z62initzd2stackablezd2closu1531z62zzstackable_walkz00(obj_t
		BgL_envz00_4642, obj_t BgL_nodez00_4643)
	{
		{	/* Stackable/walk.scm 557 */
			BGl_walk0z00zzast_walkz00(
				((BgL_nodez00_bglt)
					((BgL_closurez00_bglt) BgL_nodez00_4643)),
				BGl_initzd2stackablezd2envz00zzstackable_walkz00);
			{	/* Stackable/walk.scm 559 */
				BgL_variablez00_bglt BgL_vz00_4839;

				BgL_vz00_4839 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt)
								((BgL_closurez00_bglt) BgL_nodez00_4643))))->BgL_variablez00);
				{	/* Stackable/walk.scm 559 */
					BgL_valuez00_bglt BgL_fz00_4840;

					BgL_fz00_4840 =
						(((BgL_variablez00_bglt) COBJECT(BgL_vz00_4839))->BgL_valuez00);
					{	/* Stackable/walk.scm 560 */

						return
							((((BgL_sfunz00_bglt) COBJECT(
										((BgL_sfunz00_bglt) BgL_fz00_4840)))->BgL_stackablez00) =
							((obj_t) BTRUE), BUNSPEC);
					}
				}
			}
		}

	}



/* &init-stackable-make-1529 */
	obj_t BGl_z62initzd2stackablezd2makezd21529zb0zzstackable_walkz00(obj_t
		BgL_envz00_4644, obj_t BgL_nodez00_4645)
	{
		{	/* Stackable/walk.scm 549 */
			BGl_walk0z00zzast_walkz00(
				((BgL_nodez00_bglt)
					((BgL_makezd2boxzd2_bglt) BgL_nodez00_4645)),
				BGl_initzd2stackablezd2envz00zzstackable_walkz00);
			return ((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
								BgL_nodez00_4645)))->BgL_stackablez00) =
				((obj_t) BTRUE), BUNSPEC);
		}

	}



/* &init-stackable-app1527 */
	obj_t BGl_z62initzd2stackablezd2app1527z62zzstackable_walkz00(obj_t
		BgL_envz00_4646, obj_t BgL_nodez00_4647)
	{
		{	/* Stackable/walk.scm 541 */
			BGl_walk0z00zzast_walkz00(
				((BgL_nodez00_bglt)
					((BgL_appz00_bglt) BgL_nodez00_4647)),
				BGl_initzd2stackablezd2envz00zzstackable_walkz00);
			return ((((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt)
								BgL_nodez00_4647)))->BgL_stackablez00) =
				((obj_t) BTRUE), BUNSPEC);
		}

	}



/* &depth-let-set-ex-it1523 */
	obj_t BGl_z62depthzd2letzd2setzd2exzd2it1523z62zzstackable_walkz00(obj_t
		BgL_envz00_4648, obj_t BgL_nodez00_4649, obj_t BgL_depthz00_4650,
		obj_t BgL_funz00_4651)
	{
		{	/* Stackable/walk.scm 513 */
			{

				BGl_walk2z00zzast_walkz00(
					((BgL_nodez00_bglt)
						((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4649)),
					BGl_depthzd2letzd2envz00zzstackable_walkz00, BgL_depthz00_4650,
					BgL_funz00_4651);
				{	/* Stackable/walk.scm 516 */
					BgL_varz00_bglt BgL_i1253z00_4845;

					BgL_i1253z00_4845 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4649)))->BgL_varz00);
					{	/* Stackable/walk.scm 517 */
						BgL_localz00_bglt BgL_i1254z00_4846;

						BgL_i1254z00_4846 =
							((BgL_localz00_bglt)
							(((BgL_varz00_bglt) COBJECT(BgL_i1253z00_4845))->
								BgL_variablez00));
						((((BgL_localz00_bglt) COBJECT(BgL_i1254z00_4846))->
								BgL_valzd2noescapezd2) = ((obj_t) BFALSE), BUNSPEC);
					}
					{	/* Stackable/walk.scm 519 */
						BgL_localz00_bglt BgL_tmp1255z00_4847;

						BgL_tmp1255z00_4847 =
							((BgL_localz00_bglt)
							(((BgL_varz00_bglt) COBJECT(BgL_i1253z00_4845))->
								BgL_variablez00));
						{	/* Stackable/walk.scm 519 */
							BgL_localzf2depthzf2_bglt BgL_wide1257z00_4848;

							BgL_wide1257z00_4848 =
								((BgL_localzf2depthzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_localzf2depthzf2_bgl))));
							{	/* Stackable/walk.scm 519 */
								obj_t BgL_auxz00_6265;
								BgL_objectz00_bglt BgL_tmpz00_6262;

								BgL_auxz00_6265 = ((obj_t) BgL_wide1257z00_4848);
								BgL_tmpz00_6262 =
									((BgL_objectz00_bglt)
									((BgL_localz00_bglt) BgL_tmp1255z00_4847));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6262, BgL_auxz00_6265);
							}
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_tmp1255z00_4847));
							{	/* Stackable/walk.scm 519 */
								long BgL_arg2184z00_4849;

								BgL_arg2184z00_4849 =
									BGL_CLASS_NUM(BGl_localzf2depthzf2zzstackable_walkz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_tmp1255z00_4847)),
									BgL_arg2184z00_4849);
							}
							((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_tmp1255z00_4847));
						}
						{
							BgL_localzf2depthzf2_bglt BgL_auxz00_6276;

							{
								obj_t BgL_auxz00_6277;

								{	/* Stackable/walk.scm 521 */
									BgL_objectz00_bglt BgL_tmpz00_6278;

									BgL_tmpz00_6278 =
										((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_tmp1255z00_4847));
									BgL_auxz00_6277 = BGL_OBJECT_WIDENING(BgL_tmpz00_6278);
								}
								BgL_auxz00_6276 = ((BgL_localzf2depthzf2_bglt) BgL_auxz00_6277);
							}
							((((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_6276))->
									BgL_depthz00) =
								((long) ((long) CINT(BgL_depthz00_4650) + 1L)), BUNSPEC);
						}
						{
							BgL_localzf2depthzf2_bglt BgL_auxz00_6286;

							{
								obj_t BgL_auxz00_6287;

								{	/* Stackable/walk.scm 520 */
									BgL_objectz00_bglt BgL_tmpz00_6288;

									BgL_tmpz00_6288 =
										((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_tmp1255z00_4847));
									BgL_auxz00_6287 = BGL_OBJECT_WIDENING(BgL_tmpz00_6288);
								}
								BgL_auxz00_6286 = ((BgL_localzf2depthzf2_bglt) BgL_auxz00_6287);
							}
							((((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_6286))->
									BgL_ownerz00) = ((obj_t) BgL_funz00_4651), BUNSPEC);
						}
						((BgL_localz00_bglt) BgL_tmp1255z00_4847);
				}}
				{	/* Stackable/walk.scm 522 */
					BgL_nodez00_bglt BgL_arg2185z00_4850;
					long BgL_arg2186z00_4851;

					BgL_arg2185z00_4850 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4649)))->BgL_bodyz00);
					BgL_arg2186z00_4851 = ((long) CINT(BgL_depthz00_4650) + 1L);
					return
						BGl_depthzd2letzd2zzstackable_walkz00(BgL_arg2185z00_4850,
						BINT(BgL_arg2186z00_4851), BgL_funz00_4651);
				}
			}
		}

	}



/* &depth-let-app1521 */
	obj_t BGl_z62depthzd2letzd2app1521z62zzstackable_walkz00(obj_t
		BgL_envz00_4652, obj_t BgL_nodez00_4653, obj_t BgL_depthz00_4654,
		obj_t BgL_funz00_4655)
	{
		{	/* Stackable/walk.scm 506 */
			{
				BgL_appz00_bglt BgL_auxz00_6301;

				{

					BGl_walk2z00zzast_walkz00(
						((BgL_nodez00_bglt)
							((BgL_appz00_bglt) BgL_nodez00_4653)),
						BGl_depthzd2letzd2envz00zzstackable_walkz00, BgL_depthz00_4654,
						BgL_funz00_4655);
					{	/* Stackable/walk.scm 508 */
						BgL_appzf2depthzf2_bglt BgL_wide1250z00_4854;

						BgL_wide1250z00_4854 =
							((BgL_appzf2depthzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_appzf2depthzf2_bgl))));
						{	/* Stackable/walk.scm 508 */
							obj_t BgL_auxz00_6310;
							BgL_objectz00_bglt BgL_tmpz00_6306;

							BgL_auxz00_6310 = ((obj_t) BgL_wide1250z00_4854);
							BgL_tmpz00_6306 =
								((BgL_objectz00_bglt)
								((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4653)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6306, BgL_auxz00_6310);
						}
						((BgL_objectz00_bglt)
							((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4653)));
						{	/* Stackable/walk.scm 508 */
							long BgL_arg2180z00_4855;

							BgL_arg2180z00_4855 =
								BGL_CLASS_NUM(BGl_appzf2depthzf2zzstackable_walkz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_appz00_bglt)
										((BgL_appz00_bglt) BgL_nodez00_4653))),
								BgL_arg2180z00_4855);
						}
						((BgL_appz00_bglt)
							((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4653)));
					}
					{
						BgL_appzf2depthzf2_bglt BgL_auxz00_6324;

						{
							obj_t BgL_auxz00_6325;

							{	/* Stackable/walk.scm 508 */
								BgL_objectz00_bglt BgL_tmpz00_6326;

								BgL_tmpz00_6326 =
									((BgL_objectz00_bglt)
									((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4653)));
								BgL_auxz00_6325 = BGL_OBJECT_WIDENING(BgL_tmpz00_6326);
							}
							BgL_auxz00_6324 = ((BgL_appzf2depthzf2_bglt) BgL_auxz00_6325);
						}
						((((BgL_appzf2depthzf2_bglt) COBJECT(BgL_auxz00_6324))->
								BgL_depthz00) =
							((long) (long) CINT(BgL_depthz00_4654)), BUNSPEC);
					}
					BgL_auxz00_6301 =
						((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4653));
				}
				return ((obj_t) BgL_auxz00_6301);
			}
		}

	}



/* &depth-let-let-fun1519 */
	obj_t BGl_z62depthzd2letzd2letzd2fun1519zb0zzstackable_walkz00(obj_t
		BgL_envz00_4656, obj_t BgL_nodez00_4657, obj_t BgL_depthz00_4658,
		obj_t BgL_funz00_4659)
	{
		{	/* Stackable/walk.scm 485 */
			{	/* Stackable/walk.scm 486 */
				long BgL_depthz00_4857;

				BgL_depthz00_4857 = ((long) CINT(BgL_depthz00_4658) + 1L);
				{	/* Stackable/walk.scm 488 */
					obj_t BgL_g1456z00_4858;

					BgL_g1456z00_4858 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_4657)))->BgL_localsz00);
					{
						obj_t BgL_l1454z00_4860;

						BgL_l1454z00_4860 = BgL_g1456z00_4858;
					BgL_zc3z04anonymousza32166ze3z87_4859:
						if (PAIRP(BgL_l1454z00_4860))
							{	/* Stackable/walk.scm 488 */
								{	/* Stackable/walk.scm 489 */
									obj_t BgL_localz00_4861;

									BgL_localz00_4861 = CAR(BgL_l1454z00_4860);
									{	/* Stackable/walk.scm 490 */
										BgL_localzf2depthzf2_bglt BgL_wide1239z00_4862;

										BgL_wide1239z00_4862 =
											((BgL_localzf2depthzf2_bglt)
											BOBJECT(GC_MALLOC(sizeof(struct
														BgL_localzf2depthzf2_bgl))));
										{	/* Stackable/walk.scm 490 */
											obj_t BgL_auxz00_6349;
											BgL_objectz00_bglt BgL_tmpz00_6345;

											BgL_auxz00_6349 = ((obj_t) BgL_wide1239z00_4862);
											BgL_tmpz00_6345 =
												((BgL_objectz00_bglt)
												((BgL_localz00_bglt)
													((BgL_localz00_bglt) BgL_localz00_4861)));
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6345, BgL_auxz00_6349);
										}
										((BgL_objectz00_bglt)
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_localz00_4861)));
										{	/* Stackable/walk.scm 490 */
											long BgL_arg2168z00_4863;

											BgL_arg2168z00_4863 =
												BGL_CLASS_NUM(BGl_localzf2depthzf2zzstackable_walkz00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt)
													((BgL_localz00_bglt)
														((BgL_localz00_bglt) BgL_localz00_4861))),
												BgL_arg2168z00_4863);
										}
										((BgL_localz00_bglt)
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_localz00_4861)));
									}
									{
										BgL_localzf2depthzf2_bglt BgL_auxz00_6363;

										{
											obj_t BgL_auxz00_6364;

											{	/* Stackable/walk.scm 492 */
												BgL_objectz00_bglt BgL_tmpz00_6365;

												BgL_tmpz00_6365 =
													((BgL_objectz00_bglt)
													((BgL_localz00_bglt)
														((BgL_localz00_bglt) BgL_localz00_4861)));
												BgL_auxz00_6364 = BGL_OBJECT_WIDENING(BgL_tmpz00_6365);
											}
											BgL_auxz00_6363 =
												((BgL_localzf2depthzf2_bglt) BgL_auxz00_6364);
										}
										((((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_6363))->
												BgL_depthz00) = ((long) BgL_depthz00_4857), BUNSPEC);
									}
									{
										BgL_localzf2depthzf2_bglt BgL_auxz00_6372;

										{
											obj_t BgL_auxz00_6373;

											{	/* Stackable/walk.scm 491 */
												BgL_objectz00_bglt BgL_tmpz00_6374;

												BgL_tmpz00_6374 =
													((BgL_objectz00_bglt)
													((BgL_localz00_bglt)
														((BgL_localz00_bglt) BgL_localz00_4861)));
												BgL_auxz00_6373 = BGL_OBJECT_WIDENING(BgL_tmpz00_6374);
											}
											BgL_auxz00_6372 =
												((BgL_localzf2depthzf2_bglt) BgL_auxz00_6373);
										}
										((((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_6372))->
												BgL_ownerz00) = ((obj_t) BgL_funz00_4659), BUNSPEC);
									}
									((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_localz00_4861));
									{	/* Stackable/walk.scm 493 */
										BgL_sfunz00_bglt BgL_i1241z00_4864;

										BgL_i1241z00_4864 =
											((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_localz00_4861))))->
												BgL_valuez00));
										{	/* Stackable/walk.scm 494 */
											obj_t BgL_g1453z00_4865;

											BgL_g1453z00_4865 =
												(((BgL_sfunz00_bglt) COBJECT(BgL_i1241z00_4864))->
												BgL_argsz00);
											{
												obj_t BgL_l1451z00_4867;

												BgL_l1451z00_4867 = BgL_g1453z00_4865;
											BgL_zc3z04anonymousza32169ze3z87_4866:
												if (PAIRP(BgL_l1451z00_4867))
													{	/* Stackable/walk.scm 494 */
														{	/* Stackable/walk.scm 495 */
															obj_t BgL_az00_4868;

															BgL_az00_4868 = CAR(BgL_l1451z00_4867);
															{	/* Stackable/walk.scm 495 */
																BgL_localzf2depthzf2_bglt BgL_wide1244z00_4869;

																BgL_wide1244z00_4869 =
																	((BgL_localzf2depthzf2_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_localzf2depthzf2_bgl))));
																{	/* Stackable/walk.scm 495 */
																	obj_t BgL_auxz00_6396;
																	BgL_objectz00_bglt BgL_tmpz00_6392;

																	BgL_auxz00_6396 =
																		((obj_t) BgL_wide1244z00_4869);
																	BgL_tmpz00_6392 =
																		((BgL_objectz00_bglt)
																		((BgL_localz00_bglt)
																			((BgL_localz00_bglt) BgL_az00_4868)));
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6392,
																		BgL_auxz00_6396);
																}
																((BgL_objectz00_bglt)
																	((BgL_localz00_bglt)
																		((BgL_localz00_bglt) BgL_az00_4868)));
																{	/* Stackable/walk.scm 495 */
																	long BgL_arg2171z00_4870;

																	BgL_arg2171z00_4870 =
																		BGL_CLASS_NUM
																		(BGl_localzf2depthzf2zzstackable_walkz00);
																	BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																			((BgL_localz00_bglt) ((BgL_localz00_bglt)
																					BgL_az00_4868))),
																		BgL_arg2171z00_4870);
																}
																((BgL_localz00_bglt)
																	((BgL_localz00_bglt)
																		((BgL_localz00_bglt) BgL_az00_4868)));
															}
															{
																BgL_localzf2depthzf2_bglt BgL_auxz00_6410;

																{
																	obj_t BgL_auxz00_6411;

																	{	/* Stackable/walk.scm 497 */
																		BgL_objectz00_bglt BgL_tmpz00_6412;

																		BgL_tmpz00_6412 =
																			((BgL_objectz00_bglt)
																			((BgL_localz00_bglt)
																				((BgL_localz00_bglt) BgL_az00_4868)));
																		BgL_auxz00_6411 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_6412);
																	}
																	BgL_auxz00_6410 =
																		((BgL_localzf2depthzf2_bglt)
																		BgL_auxz00_6411);
																}
																((((BgL_localzf2depthzf2_bglt)
																			COBJECT(BgL_auxz00_6410))->BgL_depthz00) =
																	((long) (BgL_depthz00_4857 + 1L)), BUNSPEC);
															}
															{
																BgL_localzf2depthzf2_bglt BgL_auxz00_6420;

																{
																	obj_t BgL_auxz00_6421;

																	{	/* Stackable/walk.scm 496 */
																		BgL_objectz00_bglt BgL_tmpz00_6422;

																		BgL_tmpz00_6422 =
																			((BgL_objectz00_bglt)
																			((BgL_localz00_bglt)
																				((BgL_localz00_bglt) BgL_az00_4868)));
																		BgL_auxz00_6421 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_6422);
																	}
																	BgL_auxz00_6420 =
																		((BgL_localzf2depthzf2_bglt)
																		BgL_auxz00_6421);
																}
																((((BgL_localzf2depthzf2_bglt)
																			COBJECT(BgL_auxz00_6420))->BgL_ownerz00) =
																	((obj_t) BgL_localz00_4861), BUNSPEC);
															}
															((BgL_localz00_bglt)
																((BgL_localz00_bglt) BgL_az00_4868));
														}
														{
															obj_t BgL_l1451z00_6431;

															BgL_l1451z00_6431 = CDR(BgL_l1451z00_4867);
															BgL_l1451z00_4867 = BgL_l1451z00_6431;
															goto BgL_zc3z04anonymousza32169ze3z87_4866;
														}
													}
												else
													{	/* Stackable/walk.scm 494 */
														((bool_t) 1);
													}
											}
										}
										{	/* Stackable/walk.scm 499 */
											obj_t BgL_arg2173z00_4871;
											long BgL_arg2174z00_4872;

											BgL_arg2173z00_4871 =
												(((BgL_sfunz00_bglt) COBJECT(BgL_i1241z00_4864))->
												BgL_bodyz00);
											BgL_arg2174z00_4872 = (BgL_depthz00_4857 + 1L);
											BGl_depthzd2letzd2zzstackable_walkz00(
												((BgL_nodez00_bglt) BgL_arg2173z00_4871),
												BINT(BgL_arg2174z00_4872), BgL_localz00_4861);
								}}}
								{
									obj_t BgL_l1454z00_6438;

									BgL_l1454z00_6438 = CDR(BgL_l1454z00_4860);
									BgL_l1454z00_4860 = BgL_l1454z00_6438;
									goto BgL_zc3z04anonymousza32166ze3z87_4859;
								}
							}
						else
							{	/* Stackable/walk.scm 488 */
								((bool_t) 1);
							}
					}
				}
				return
					BGl_depthzd2letzd2zzstackable_walkz00(
					(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_4657)))->BgL_bodyz00),
					BINT(BgL_depthz00_4857), BgL_funz00_4659);
			}
		}

	}



/* &depth-let-let-var1517 */
	obj_t BGl_z62depthzd2letzd2letzd2var1517zb0zzstackable_walkz00(obj_t
		BgL_envz00_4660, obj_t BgL_nodez00_4661, obj_t BgL_depthz00_4662,
		obj_t BgL_funz00_4663)
	{
		{	/* Stackable/walk.scm 471 */
			{	/* Stackable/walk.scm 472 */
				long BgL_depthz00_4874;

				BgL_depthz00_4874 = ((long) CINT(BgL_depthz00_4662) + 1L);
				{	/* Stackable/walk.scm 474 */
					obj_t BgL_g1450z00_4875;

					BgL_g1450z00_4875 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_4661)))->BgL_bindingsz00);
					{
						obj_t BgL_l1448z00_4877;

						BgL_l1448z00_4877 = BgL_g1450z00_4875;
					BgL_zc3z04anonymousza32156ze3z87_4876:
						if (PAIRP(BgL_l1448z00_4877))
							{	/* Stackable/walk.scm 474 */
								{	/* Stackable/walk.scm 477 */
									obj_t BgL_bindingz00_4878;

									BgL_bindingz00_4878 = CAR(BgL_l1448z00_4877);
									{	/* Stackable/walk.scm 475 */
										BgL_localz00_bglt BgL_tmp1231z00_4879;

										BgL_tmp1231z00_4879 =
											((BgL_localz00_bglt) CAR(((obj_t) BgL_bindingz00_4878)));
										{	/* Stackable/walk.scm 475 */
											BgL_localzf2depthzf2_bglt BgL_wide1233z00_4880;

											BgL_wide1233z00_4880 =
												((BgL_localzf2depthzf2_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_localzf2depthzf2_bgl))));
											{	/* Stackable/walk.scm 475 */
												obj_t BgL_auxz00_6458;
												BgL_objectz00_bglt BgL_tmpz00_6455;

												BgL_auxz00_6458 = ((obj_t) BgL_wide1233z00_4880);
												BgL_tmpz00_6455 =
													((BgL_objectz00_bglt)
													((BgL_localz00_bglt) BgL_tmp1231z00_4879));
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6455,
													BgL_auxz00_6458);
											}
											((BgL_objectz00_bglt)
												((BgL_localz00_bglt) BgL_tmp1231z00_4879));
											{	/* Stackable/walk.scm 475 */
												long BgL_arg2159z00_4881;

												BgL_arg2159z00_4881 =
													BGL_CLASS_NUM
													(BGl_localzf2depthzf2zzstackable_walkz00);
												BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
															(BgL_localz00_bglt) BgL_tmp1231z00_4879)),
													BgL_arg2159z00_4881);
											}
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_tmp1231z00_4879));
										}
										{
											BgL_localzf2depthzf2_bglt BgL_auxz00_6469;

											{
												obj_t BgL_auxz00_6470;

												{	/* Stackable/walk.scm 477 */
													BgL_objectz00_bglt BgL_tmpz00_6471;

													BgL_tmpz00_6471 =
														((BgL_objectz00_bglt)
														((BgL_localz00_bglt) BgL_tmp1231z00_4879));
													BgL_auxz00_6470 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_6471);
												}
												BgL_auxz00_6469 =
													((BgL_localzf2depthzf2_bglt) BgL_auxz00_6470);
											}
											((((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_6469))->
													BgL_depthz00) = ((long) BgL_depthz00_4874), BUNSPEC);
										}
										{
											BgL_localzf2depthzf2_bglt BgL_auxz00_6477;

											{
												obj_t BgL_auxz00_6478;

												{	/* Stackable/walk.scm 476 */
													BgL_objectz00_bglt BgL_tmpz00_6479;

													BgL_tmpz00_6479 =
														((BgL_objectz00_bglt)
														((BgL_localz00_bglt) BgL_tmp1231z00_4879));
													BgL_auxz00_6478 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_6479);
												}
												BgL_auxz00_6477 =
													((BgL_localzf2depthzf2_bglt) BgL_auxz00_6478);
											}
											((((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_6477))->
													BgL_ownerz00) = ((obj_t) BgL_funz00_4663), BUNSPEC);
										}
										((BgL_localz00_bglt) BgL_tmp1231z00_4879);
									}
									{	/* Stackable/walk.scm 478 */
										obj_t BgL_arg2160z00_4882;

										BgL_arg2160z00_4882 = CDR(((obj_t) BgL_bindingz00_4878));
										BGl_depthzd2letzd2zzstackable_walkz00(
											((BgL_nodez00_bglt) BgL_arg2160z00_4882),
											BINT(BgL_depthz00_4874), BgL_funz00_4663);
								}}
								{
									obj_t BgL_l1448z00_6491;

									BgL_l1448z00_6491 = CDR(BgL_l1448z00_4877);
									BgL_l1448z00_4877 = BgL_l1448z00_6491;
									goto BgL_zc3z04anonymousza32156ze3z87_4876;
								}
							}
						else
							{	/* Stackable/walk.scm 474 */
								((bool_t) 1);
							}
					}
				}
				return
					BGl_depthzd2letzd2zzstackable_walkz00(
					(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_4661)))->BgL_bodyz00),
					BINT(BgL_depthz00_4874), BgL_funz00_4663);
			}
		}

	}



/* &depth-let-var1515 */
	obj_t BGl_z62depthzd2letzd2var1515z62zzstackable_walkz00(obj_t
		BgL_envz00_4664, obj_t BgL_nodez00_4665, obj_t BgL_depthz00_4666,
		obj_t BgL_funz00_4667)
	{
		{	/* Stackable/walk.scm 461 */
			{	/* Stackable/walk.scm 463 */
				bool_t BgL_test2544z00_6497;

				{	/* Stackable/walk.scm 463 */
					BgL_variablez00_bglt BgL_arg2152z00_4884;

					BgL_arg2152z00_4884 =
						(((BgL_varz00_bglt) COBJECT(
								((BgL_varz00_bglt) BgL_nodez00_4665)))->BgL_variablez00);
					{	/* Stackable/walk.scm 463 */
						obj_t BgL_classz00_4885;

						BgL_classz00_4885 = BGl_localzf2depthzf2zzstackable_walkz00;
						{	/* Stackable/walk.scm 463 */
							obj_t BgL_oclassz00_4886;

							{	/* Stackable/walk.scm 463 */
								obj_t BgL_arg1866z00_4887;
								long BgL_arg1867z00_4888;

								BgL_arg1866z00_4887 = (BGl_za2classesza2z00zz__objectz00);
								{	/* Stackable/walk.scm 463 */
									long BgL_arg1869z00_4889;

									BgL_arg1869z00_4889 =
										BGL_OBJECT_CLASS_NUM(
										((BgL_objectz00_bglt) BgL_arg2152z00_4884));
									BgL_arg1867z00_4888 = (BgL_arg1869z00_4889 - OBJECT_TYPE);
								}
								BgL_oclassz00_4886 =
									VECTOR_REF(BgL_arg1866z00_4887, BgL_arg1867z00_4888);
							}
							BgL_test2544z00_6497 = (BgL_oclassz00_4886 == BgL_classz00_4885);
				}}}
				if (BgL_test2544z00_6497)
					{	/* Stackable/walk.scm 464 */
						BgL_localz00_bglt BgL_i1229z00_4890;

						BgL_i1229z00_4890 =
							((BgL_localz00_bglt)
							(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_nodez00_4665)))->BgL_variablez00));
						{	/* Stackable/walk.scm 465 */
							bool_t BgL_test2545z00_6509;

							{	/* Stackable/walk.scm 465 */
								obj_t BgL_arg2151z00_4891;

								{
									BgL_localzf2depthzf2_bglt BgL_auxz00_6510;

									{
										obj_t BgL_auxz00_6511;

										{	/* Stackable/walk.scm 465 */
											BgL_objectz00_bglt BgL_tmpz00_6512;

											BgL_tmpz00_6512 =
												((BgL_objectz00_bglt) BgL_i1229z00_4890);
											BgL_auxz00_6511 = BGL_OBJECT_WIDENING(BgL_tmpz00_6512);
										}
										BgL_auxz00_6510 =
											((BgL_localzf2depthzf2_bglt) BgL_auxz00_6511);
									}
									BgL_arg2151z00_4891 =
										(((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_6510))->
										BgL_ownerz00);
								}
								BgL_test2545z00_6509 = (BgL_arg2151z00_4891 == BgL_funz00_4667);
							}
							if (BgL_test2545z00_6509)
								{	/* Stackable/walk.scm 465 */
									return BFALSE;
								}
							else
								{	/* Stackable/walk.scm 465 */
									return
										((((BgL_localz00_bglt) COBJECT(
													((BgL_localz00_bglt) BgL_i1229z00_4890)))->
											BgL_valzd2noescapezd2) = ((obj_t) BFALSE), BUNSPEC);
								}
						}
					}
				else
					{	/* Stackable/walk.scm 463 */
						return BFALSE;
					}
			}
		}

	}



/* &lift-let!-let-var1511 */
	BgL_nodez00_bglt
		BGl_z62liftzd2letz12zd2letzd2var1511za2zzstackable_walkz00(obj_t
		BgL_envz00_4668, obj_t BgL_nodez00_4669)
	{
		{	/* Stackable/walk.scm 393 */
			{	/* Stackable/walk.scm 429 */
				obj_t BgL_lbindingsz00_4893;

				BgL_lbindingsz00_4893 =
					BGl_zc3z04anonymousza32097ze3ze70z60zzstackable_walkz00(
					(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_4669)))->BgL_bindingsz00));
				if (PAIRP(BgL_lbindingsz00_4893))
					{	/* Stackable/walk.scm 432 */
						BgL_letzd2varzd2_bglt BgL_arg2095z00_4894;

						{	/* Stackable/walk.scm 432 */
							BgL_letzd2varzd2_bglt BgL_new1215z00_4895;

							{	/* Stackable/walk.scm 432 */
								BgL_letzd2varzd2_bglt BgL_new1221z00_4896;

								BgL_new1221z00_4896 =
									((BgL_letzd2varzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_letzd2varzd2_bgl))));
								{	/* Stackable/walk.scm 432 */
									long BgL_arg2096z00_4897;

									BgL_arg2096z00_4897 =
										BGL_CLASS_NUM(BGl_letzd2varzd2zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1221z00_4896),
										BgL_arg2096z00_4897);
								}
								{	/* Stackable/walk.scm 432 */
									BgL_objectz00_bglt BgL_tmpz00_6529;

									BgL_tmpz00_6529 = ((BgL_objectz00_bglt) BgL_new1221z00_4896);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6529, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1221z00_4896);
								BgL_new1215z00_4895 = BgL_new1221z00_4896;
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1215z00_4895)))->BgL_locz00) =
								((obj_t) (((BgL_nodez00_bglt)
											COBJECT(((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt)
														BgL_nodez00_4669))))->BgL_locz00)), BUNSPEC);
							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
												BgL_new1215z00_4895)))->BgL_typez00) =
								((BgL_typez00_bglt) (((BgL_nodez00_bglt)
											COBJECT(((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt)
														BgL_nodez00_4669))))->BgL_typez00)), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt)
										COBJECT(((BgL_nodezf2effectzf2_bglt)
												BgL_new1215z00_4895)))->BgL_sidezd2effectzd2) =
								((obj_t) (((BgL_nodezf2effectzf2_bglt)
											COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_nodez00_bglt) (
															(BgL_letzd2varzd2_bglt) BgL_nodez00_4669)))))->
										BgL_sidezd2effectzd2)), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt)
										COBJECT(((BgL_nodezf2effectzf2_bglt)
												BgL_new1215z00_4895)))->BgL_keyz00) =
								((obj_t) (((BgL_nodezf2effectzf2_bglt)
											COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_nodez00_bglt) (
															(BgL_letzd2varzd2_bglt) BgL_nodez00_4669)))))->
										BgL_keyz00)), BUNSPEC);
							((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1215z00_4895))->
									BgL_bindingsz00) = ((obj_t) BgL_lbindingsz00_4893), BUNSPEC);
							((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1215z00_4895))->
									BgL_bodyz00) =
								((BgL_nodez00_bglt) ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt)
											BgL_nodez00_4669))), BUNSPEC);
							((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1215z00_4895))->
									BgL_removablezf3zf3) =
								((bool_t) (((BgL_letzd2varzd2_bglt)
											COBJECT(((BgL_letzd2varzd2_bglt) ((BgL_nodez00_bglt) (
															(BgL_letzd2varzd2_bglt) BgL_nodez00_4669)))))->
										BgL_removablezf3zf3)), BUNSPEC);
							BgL_arg2095z00_4894 = BgL_new1215z00_4895;
						}
						return
							BGl_liftzd2letz12zc0zzstackable_walkz00(
							((BgL_nodez00_bglt) BgL_arg2095z00_4894));
					}
				else
					{	/* Stackable/walk.scm 430 */
						return
							BGl_walk0z12z12zzast_walkz00(
							((BgL_nodez00_bglt)
								((BgL_letzd2varzd2_bglt) BgL_nodez00_4669)),
							BGl_liftzd2letz12zd2envz12zzstackable_walkz00);
					}
			}
		}

	}



/* liftable?~0 */
	bool_t BGl_liftablezf3ze70z14zzstackable_walkz00(obj_t BgL_nodez00_2676)
	{
		{	/* Stackable/walk.scm 415 */
		BGl_liftablezf3ze70z14zzstackable_walkz00:
			{	/* Stackable/walk.scm 401 */
				bool_t BgL_test2547z00_6569;

				{	/* Stackable/walk.scm 401 */
					obj_t BgL_classz00_4107;

					BgL_classz00_4107 = BGl_letzd2varzd2zzast_nodez00;
					if (BGL_OBJECTP(BgL_nodez00_2676))
						{	/* Stackable/walk.scm 401 */
							BgL_objectz00_bglt BgL_arg1858z00_4109;

							BgL_arg1858z00_4109 = (BgL_objectz00_bglt) (BgL_nodez00_2676);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Stackable/walk.scm 401 */
									long BgL_idxz00_4115;

									BgL_idxz00_4115 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4109);
									BgL_test2547z00_6569 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4115 + 3L)) == BgL_classz00_4107);
								}
							else
								{	/* Stackable/walk.scm 401 */
									bool_t BgL_res2314z00_4140;

									{	/* Stackable/walk.scm 401 */
										obj_t BgL_oclassz00_4123;

										{	/* Stackable/walk.scm 401 */
											obj_t BgL_arg1866z00_4131;
											long BgL_arg1867z00_4132;

											BgL_arg1866z00_4131 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Stackable/walk.scm 401 */
												long BgL_arg1869z00_4133;

												BgL_arg1869z00_4133 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4109);
												BgL_arg1867z00_4132 =
													(BgL_arg1869z00_4133 - OBJECT_TYPE);
											}
											BgL_oclassz00_4123 =
												VECTOR_REF(BgL_arg1866z00_4131, BgL_arg1867z00_4132);
										}
										{	/* Stackable/walk.scm 401 */
											bool_t BgL__ortest_1115z00_4124;

											BgL__ortest_1115z00_4124 =
												(BgL_classz00_4107 == BgL_oclassz00_4123);
											if (BgL__ortest_1115z00_4124)
												{	/* Stackable/walk.scm 401 */
													BgL_res2314z00_4140 = BgL__ortest_1115z00_4124;
												}
											else
												{	/* Stackable/walk.scm 401 */
													long BgL_odepthz00_4125;

													{	/* Stackable/walk.scm 401 */
														obj_t BgL_arg1855z00_4126;

														BgL_arg1855z00_4126 = (BgL_oclassz00_4123);
														BgL_odepthz00_4125 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_4126);
													}
													if ((3L < BgL_odepthz00_4125))
														{	/* Stackable/walk.scm 401 */
															obj_t BgL_arg1853z00_4128;

															{	/* Stackable/walk.scm 401 */
																obj_t BgL_arg1854z00_4129;

																BgL_arg1854z00_4129 = (BgL_oclassz00_4123);
																BgL_arg1853z00_4128 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_4129,
																	3L);
															}
															BgL_res2314z00_4140 =
																(BgL_arg1853z00_4128 == BgL_classz00_4107);
														}
													else
														{	/* Stackable/walk.scm 401 */
															BgL_res2314z00_4140 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2547z00_6569 = BgL_res2314z00_4140;
								}
						}
					else
						{	/* Stackable/walk.scm 401 */
							BgL_test2547z00_6569 = ((bool_t) 0);
						}
				}
				if (BgL_test2547z00_6569)
					{	/* Stackable/walk.scm 403 */
						bool_t BgL_test2552z00_6592;

						{	/* Stackable/walk.scm 403 */
							obj_t BgL_tmpz00_6593;

							BgL_tmpz00_6593 =
								(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_nodez00_2676)))->
								BgL_bindingsz00);
							BgL_test2552z00_6592 = PAIRP(BgL_tmpz00_6593);
						}
						if (BgL_test2552z00_6592)
							{	/* Stackable/walk.scm 404 */
								bool_t BgL_test2553z00_6597;

								{	/* Stackable/walk.scm 404 */
									obj_t BgL_tmpz00_6598;

									{	/* Stackable/walk.scm 404 */
										obj_t BgL_pairz00_4141;

										BgL_pairz00_4141 =
											(((BgL_letzd2varzd2_bglt) COBJECT(
													((BgL_letzd2varzd2_bglt) BgL_nodez00_2676)))->
											BgL_bindingsz00);
										BgL_tmpz00_6598 = CDR(BgL_pairz00_4141);
									}
									BgL_test2553z00_6597 = NULLP(BgL_tmpz00_6598);
								}
								if (BgL_test2553z00_6597)
									{	/* Stackable/walk.scm 405 */
										bool_t BgL_test2554z00_6603;

										{	/* Stackable/walk.scm 405 */
											obj_t BgL_arg2109z00_2684;

											{	/* Stackable/walk.scm 405 */
												obj_t BgL_pairz00_4142;

												BgL_pairz00_4142 =
													(((BgL_letzd2varzd2_bglt) COBJECT(
															((BgL_letzd2varzd2_bglt) BgL_nodez00_2676)))->
													BgL_bindingsz00);
												BgL_arg2109z00_2684 = CDR(CAR(BgL_pairz00_4142));
											}
											BgL_test2554z00_6603 =
												BGl_liftablezf3ze70z14zzstackable_walkz00
												(BgL_arg2109z00_2684);
										}
										if (BgL_test2554z00_6603)
											{	/* Stackable/walk.scm 406 */
												BgL_nodez00_bglt BgL_arg2108z00_2683;

												BgL_arg2108z00_2683 =
													(((BgL_letzd2varzd2_bglt) COBJECT(
															((BgL_letzd2varzd2_bglt) BgL_nodez00_2676)))->
													BgL_bodyz00);
												{
													obj_t BgL_nodez00_6611;

													BgL_nodez00_6611 = ((obj_t) BgL_arg2108z00_2683);
													BgL_nodez00_2676 = BgL_nodez00_6611;
													goto BGl_liftablezf3ze70z14zzstackable_walkz00;
												}
											}
										else
											{	/* Stackable/walk.scm 405 */
												return ((bool_t) 0);
											}
									}
								else
									{	/* Stackable/walk.scm 404 */
										return ((bool_t) 0);
									}
							}
						else
							{	/* Stackable/walk.scm 403 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Stackable/walk.scm 407 */
						bool_t BgL_test2555z00_6613;

						{	/* Stackable/walk.scm 407 */
							obj_t BgL_classz00_4146;

							BgL_classz00_4146 = BGl_varz00zzast_nodez00;
							if (BGL_OBJECTP(BgL_nodez00_2676))
								{	/* Stackable/walk.scm 407 */
									BgL_objectz00_bglt BgL_arg1858z00_4148;

									BgL_arg1858z00_4148 = (BgL_objectz00_bglt) (BgL_nodez00_2676);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Stackable/walk.scm 407 */
											long BgL_idxz00_4154;

											BgL_idxz00_4154 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4148);
											BgL_test2555z00_6613 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4154 + 2L)) == BgL_classz00_4146);
										}
									else
										{	/* Stackable/walk.scm 407 */
											bool_t BgL_res2315z00_4179;

											{	/* Stackable/walk.scm 407 */
												obj_t BgL_oclassz00_4162;

												{	/* Stackable/walk.scm 407 */
													obj_t BgL_arg1866z00_4170;
													long BgL_arg1867z00_4171;

													BgL_arg1866z00_4170 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Stackable/walk.scm 407 */
														long BgL_arg1869z00_4172;

														BgL_arg1869z00_4172 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4148);
														BgL_arg1867z00_4171 =
															(BgL_arg1869z00_4172 - OBJECT_TYPE);
													}
													BgL_oclassz00_4162 =
														VECTOR_REF(BgL_arg1866z00_4170,
														BgL_arg1867z00_4171);
												}
												{	/* Stackable/walk.scm 407 */
													bool_t BgL__ortest_1115z00_4163;

													BgL__ortest_1115z00_4163 =
														(BgL_classz00_4146 == BgL_oclassz00_4162);
													if (BgL__ortest_1115z00_4163)
														{	/* Stackable/walk.scm 407 */
															BgL_res2315z00_4179 = BgL__ortest_1115z00_4163;
														}
													else
														{	/* Stackable/walk.scm 407 */
															long BgL_odepthz00_4164;

															{	/* Stackable/walk.scm 407 */
																obj_t BgL_arg1855z00_4165;

																BgL_arg1855z00_4165 = (BgL_oclassz00_4162);
																BgL_odepthz00_4164 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_4165);
															}
															if ((2L < BgL_odepthz00_4164))
																{	/* Stackable/walk.scm 407 */
																	obj_t BgL_arg1853z00_4167;

																	{	/* Stackable/walk.scm 407 */
																		obj_t BgL_arg1854z00_4168;

																		BgL_arg1854z00_4168 = (BgL_oclassz00_4162);
																		BgL_arg1853z00_4167 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_4168, 2L);
																	}
																	BgL_res2315z00_4179 =
																		(BgL_arg1853z00_4167 == BgL_classz00_4146);
																}
															else
																{	/* Stackable/walk.scm 407 */
																	BgL_res2315z00_4179 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2555z00_6613 = BgL_res2315z00_4179;
										}
								}
							else
								{	/* Stackable/walk.scm 407 */
									BgL_test2555z00_6613 = ((bool_t) 0);
								}
						}
						if (BgL_test2555z00_6613)
							{	/* Stackable/walk.scm 408 */
								BgL_variablez00_bglt BgL_arg2115z00_2690;

								BgL_arg2115z00_2690 =
									(((BgL_varz00_bglt) COBJECT(
											((BgL_varz00_bglt) BgL_nodez00_2676)))->BgL_variablez00);
								{	/* Stackable/walk.scm 408 */
									obj_t BgL_classz00_4181;

									BgL_classz00_4181 = BGl_localz00zzast_varz00;
									{	/* Stackable/walk.scm 408 */
										BgL_objectz00_bglt BgL_arg1858z00_4183;

										{	/* Stackable/walk.scm 408 */
											obj_t BgL_tmpz00_6638;

											BgL_tmpz00_6638 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg2115z00_2690));
											BgL_arg1858z00_4183 =
												(BgL_objectz00_bglt) (BgL_tmpz00_6638);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Stackable/walk.scm 408 */
												long BgL_idxz00_4189;

												BgL_idxz00_4189 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4183);
												return
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_4189 + 2L)) == BgL_classz00_4181);
											}
										else
											{	/* Stackable/walk.scm 408 */
												bool_t BgL_res2316z00_4214;

												{	/* Stackable/walk.scm 408 */
													obj_t BgL_oclassz00_4197;

													{	/* Stackable/walk.scm 408 */
														obj_t BgL_arg1866z00_4205;
														long BgL_arg1867z00_4206;

														BgL_arg1866z00_4205 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Stackable/walk.scm 408 */
															long BgL_arg1869z00_4207;

															BgL_arg1869z00_4207 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4183);
															BgL_arg1867z00_4206 =
																(BgL_arg1869z00_4207 - OBJECT_TYPE);
														}
														BgL_oclassz00_4197 =
															VECTOR_REF(BgL_arg1866z00_4205,
															BgL_arg1867z00_4206);
													}
													{	/* Stackable/walk.scm 408 */
														bool_t BgL__ortest_1115z00_4198;

														BgL__ortest_1115z00_4198 =
															(BgL_classz00_4181 == BgL_oclassz00_4197);
														if (BgL__ortest_1115z00_4198)
															{	/* Stackable/walk.scm 408 */
																BgL_res2316z00_4214 = BgL__ortest_1115z00_4198;
															}
														else
															{	/* Stackable/walk.scm 408 */
																long BgL_odepthz00_4199;

																{	/* Stackable/walk.scm 408 */
																	obj_t BgL_arg1855z00_4200;

																	BgL_arg1855z00_4200 = (BgL_oclassz00_4197);
																	BgL_odepthz00_4199 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_4200);
																}
																if ((2L < BgL_odepthz00_4199))
																	{	/* Stackable/walk.scm 408 */
																		obj_t BgL_arg1853z00_4202;

																		{	/* Stackable/walk.scm 408 */
																			obj_t BgL_arg1854z00_4203;

																			BgL_arg1854z00_4203 =
																				(BgL_oclassz00_4197);
																			BgL_arg1853z00_4202 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_4203, 2L);
																		}
																		BgL_res2316z00_4214 =
																			(BgL_arg1853z00_4202 ==
																			BgL_classz00_4181);
																	}
																else
																	{	/* Stackable/walk.scm 408 */
																		BgL_res2316z00_4214 = ((bool_t) 0);
																	}
															}
													}
												}
												return BgL_res2316z00_4214;
											}
									}
								}
							}
						else
							{	/* Stackable/walk.scm 409 */
								bool_t BgL_test2563z00_6661;

								{	/* Stackable/walk.scm 409 */
									obj_t BgL_classz00_4215;

									BgL_classz00_4215 = BGl_appz00zzast_nodez00;
									if (BGL_OBJECTP(BgL_nodez00_2676))
										{	/* Stackable/walk.scm 409 */
											BgL_objectz00_bglt BgL_arg1858z00_4217;

											BgL_arg1858z00_4217 =
												(BgL_objectz00_bglt) (BgL_nodez00_2676);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Stackable/walk.scm 409 */
													long BgL_idxz00_4223;

													BgL_idxz00_4223 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4217);
													BgL_test2563z00_6661 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_4223 + 3L)) == BgL_classz00_4215);
												}
											else
												{	/* Stackable/walk.scm 409 */
													bool_t BgL_res2317z00_4248;

													{	/* Stackable/walk.scm 409 */
														obj_t BgL_oclassz00_4231;

														{	/* Stackable/walk.scm 409 */
															obj_t BgL_arg1866z00_4239;
															long BgL_arg1867z00_4240;

															BgL_arg1866z00_4239 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Stackable/walk.scm 409 */
																long BgL_arg1869z00_4241;

																BgL_arg1869z00_4241 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4217);
																BgL_arg1867z00_4240 =
																	(BgL_arg1869z00_4241 - OBJECT_TYPE);
															}
															BgL_oclassz00_4231 =
																VECTOR_REF(BgL_arg1866z00_4239,
																BgL_arg1867z00_4240);
														}
														{	/* Stackable/walk.scm 409 */
															bool_t BgL__ortest_1115z00_4232;

															BgL__ortest_1115z00_4232 =
																(BgL_classz00_4215 == BgL_oclassz00_4231);
															if (BgL__ortest_1115z00_4232)
																{	/* Stackable/walk.scm 409 */
																	BgL_res2317z00_4248 =
																		BgL__ortest_1115z00_4232;
																}
															else
																{	/* Stackable/walk.scm 409 */
																	long BgL_odepthz00_4233;

																	{	/* Stackable/walk.scm 409 */
																		obj_t BgL_arg1855z00_4234;

																		BgL_arg1855z00_4234 = (BgL_oclassz00_4231);
																		BgL_odepthz00_4233 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_4234);
																	}
																	if ((3L < BgL_odepthz00_4233))
																		{	/* Stackable/walk.scm 409 */
																			obj_t BgL_arg1853z00_4236;

																			{	/* Stackable/walk.scm 409 */
																				obj_t BgL_arg1854z00_4237;

																				BgL_arg1854z00_4237 =
																					(BgL_oclassz00_4231);
																				BgL_arg1853z00_4236 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_4237, 3L);
																			}
																			BgL_res2317z00_4248 =
																				(BgL_arg1853z00_4236 ==
																				BgL_classz00_4215);
																		}
																	else
																		{	/* Stackable/walk.scm 409 */
																			BgL_res2317z00_4248 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2563z00_6661 = BgL_res2317z00_4248;
												}
										}
									else
										{	/* Stackable/walk.scm 409 */
											BgL_test2563z00_6661 = ((bool_t) 0);
										}
								}
								if (BgL_test2563z00_6661)
									{	/* Stackable/walk.scm 411 */
										BgL_variablez00_bglt BgL_vz00_2693;

										BgL_vz00_2693 =
											(((BgL_varz00_bglt) COBJECT(
													(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_2676)))->
														BgL_funz00)))->BgL_variablez00);
										{	/* Stackable/walk.scm 412 */
											bool_t BgL_test2568z00_6687;

											{	/* Stackable/walk.scm 412 */
												obj_t BgL_classz00_4250;

												BgL_classz00_4250 = BGl_globalz00zzast_varz00;
												{	/* Stackable/walk.scm 412 */
													BgL_objectz00_bglt BgL_arg1858z00_4252;

													{	/* Stackable/walk.scm 412 */
														obj_t BgL_tmpz00_6688;

														BgL_tmpz00_6688 =
															((obj_t) ((BgL_objectz00_bglt) BgL_vz00_2693));
														BgL_arg1858z00_4252 =
															(BgL_objectz00_bglt) (BgL_tmpz00_6688);
													}
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Stackable/walk.scm 412 */
															long BgL_idxz00_4258;

															BgL_idxz00_4258 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4252);
															BgL_test2568z00_6687 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_4258 + 2L)) == BgL_classz00_4250);
														}
													else
														{	/* Stackable/walk.scm 412 */
															bool_t BgL_res2318z00_4283;

															{	/* Stackable/walk.scm 412 */
																obj_t BgL_oclassz00_4266;

																{	/* Stackable/walk.scm 412 */
																	obj_t BgL_arg1866z00_4274;
																	long BgL_arg1867z00_4275;

																	BgL_arg1866z00_4274 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* Stackable/walk.scm 412 */
																		long BgL_arg1869z00_4276;

																		BgL_arg1869z00_4276 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4252);
																		BgL_arg1867z00_4275 =
																			(BgL_arg1869z00_4276 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_4266 =
																		VECTOR_REF(BgL_arg1866z00_4274,
																		BgL_arg1867z00_4275);
																}
																{	/* Stackable/walk.scm 412 */
																	bool_t BgL__ortest_1115z00_4267;

																	BgL__ortest_1115z00_4267 =
																		(BgL_classz00_4250 == BgL_oclassz00_4266);
																	if (BgL__ortest_1115z00_4267)
																		{	/* Stackable/walk.scm 412 */
																			BgL_res2318z00_4283 =
																				BgL__ortest_1115z00_4267;
																		}
																	else
																		{	/* Stackable/walk.scm 412 */
																			long BgL_odepthz00_4268;

																			{	/* Stackable/walk.scm 412 */
																				obj_t BgL_arg1855z00_4269;

																				BgL_arg1855z00_4269 =
																					(BgL_oclassz00_4266);
																				BgL_odepthz00_4268 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_4269);
																			}
																			if ((2L < BgL_odepthz00_4268))
																				{	/* Stackable/walk.scm 412 */
																					obj_t BgL_arg1853z00_4271;

																					{	/* Stackable/walk.scm 412 */
																						obj_t BgL_arg1854z00_4272;

																						BgL_arg1854z00_4272 =
																							(BgL_oclassz00_4266);
																						BgL_arg1853z00_4271 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_4272, 2L);
																					}
																					BgL_res2318z00_4283 =
																						(BgL_arg1853z00_4271 ==
																						BgL_classz00_4250);
																				}
																			else
																				{	/* Stackable/walk.scm 412 */
																					BgL_res2318z00_4283 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test2568z00_6687 = BgL_res2318z00_4283;
														}
												}
											}
											if (BgL_test2568z00_6687)
												{	/* Stackable/walk.scm 413 */
													obj_t BgL_tmpz00_6711;

													BgL_tmpz00_6711 =
														(((BgL_funz00_bglt) COBJECT(
																((BgL_funz00_bglt)
																	(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					((BgL_globalz00_bglt)
																						BgL_vz00_2693))))->
																		BgL_valuez00))))->BgL_stackzd2allocatorzd2);
													return PAIRP(BgL_tmpz00_6711);
												}
											else
												{	/* Stackable/walk.scm 412 */
													return ((bool_t) 0);
												}
										}
									}
								else
									{	/* Stackable/walk.scm 415 */
										obj_t BgL_classz00_4286;

										BgL_classz00_4286 = BGl_makezd2boxzd2zzast_nodez00;
										if (BGL_OBJECTP(BgL_nodez00_2676))
											{	/* Stackable/walk.scm 415 */
												BgL_objectz00_bglt BgL_arg1858z00_4288;

												BgL_arg1858z00_4288 =
													(BgL_objectz00_bglt) (BgL_nodez00_2676);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Stackable/walk.scm 415 */
														long BgL_idxz00_4294;

														BgL_idxz00_4294 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4288);
														return
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_4294 + 3L)) == BgL_classz00_4286);
													}
												else
													{	/* Stackable/walk.scm 415 */
														bool_t BgL_res2319z00_4319;

														{	/* Stackable/walk.scm 415 */
															obj_t BgL_oclassz00_4302;

															{	/* Stackable/walk.scm 415 */
																obj_t BgL_arg1866z00_4310;
																long BgL_arg1867z00_4311;

																BgL_arg1866z00_4310 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Stackable/walk.scm 415 */
																	long BgL_arg1869z00_4312;

																	BgL_arg1869z00_4312 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4288);
																	BgL_arg1867z00_4311 =
																		(BgL_arg1869z00_4312 - OBJECT_TYPE);
																}
																BgL_oclassz00_4302 =
																	VECTOR_REF(BgL_arg1866z00_4310,
																	BgL_arg1867z00_4311);
															}
															{	/* Stackable/walk.scm 415 */
																bool_t BgL__ortest_1115z00_4303;

																BgL__ortest_1115z00_4303 =
																	(BgL_classz00_4286 == BgL_oclassz00_4302);
																if (BgL__ortest_1115z00_4303)
																	{	/* Stackable/walk.scm 415 */
																		BgL_res2319z00_4319 =
																			BgL__ortest_1115z00_4303;
																	}
																else
																	{	/* Stackable/walk.scm 415 */
																		long BgL_odepthz00_4304;

																		{	/* Stackable/walk.scm 415 */
																			obj_t BgL_arg1855z00_4305;

																			BgL_arg1855z00_4305 =
																				(BgL_oclassz00_4302);
																			BgL_odepthz00_4304 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_4305);
																		}
																		if ((3L < BgL_odepthz00_4304))
																			{	/* Stackable/walk.scm 415 */
																				obj_t BgL_arg1853z00_4307;

																				{	/* Stackable/walk.scm 415 */
																					obj_t BgL_arg1854z00_4308;

																					BgL_arg1854z00_4308 =
																						(BgL_oclassz00_4302);
																					BgL_arg1853z00_4307 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_4308, 3L);
																				}
																				BgL_res2319z00_4319 =
																					(BgL_arg1853z00_4307 ==
																					BgL_classz00_4286);
																			}
																		else
																			{	/* Stackable/walk.scm 415 */
																				BgL_res2319z00_4319 = ((bool_t) 0);
																			}
																	}
															}
														}
														return BgL_res2319z00_4319;
													}
											}
										else
											{	/* Stackable/walk.scm 415 */
												return ((bool_t) 0);
											}
									}
							}
					}
			}
		}

	}



/* <@anonymous:2097>~0 */
	obj_t BGl_zc3z04anonymousza32097ze3ze70z60zzstackable_walkz00(obj_t
		BgL_l1443z00_2663)
	{
		{	/* Stackable/walk.scm 429 */
			{
				obj_t BgL_bindingz00_2698;

				if (NULLP(BgL_l1443z00_2663))
					{	/* Stackable/walk.scm 429 */
						return BNIL;
					}
				else
					{	/* Stackable/walk.scm 429 */
						obj_t BgL_arg2099z00_2666;
						obj_t BgL_arg2100z00_2667;

						{	/* Stackable/walk.scm 429 */
							obj_t BgL_arg2101z00_2668;

							BgL_arg2101z00_2668 = CAR(((obj_t) BgL_l1443z00_2663));
							BgL_bindingz00_2698 = BgL_arg2101z00_2668;
							{	/* Stackable/walk.scm 418 */
								bool_t BgL_test2577z00_6744;

								{	/* Stackable/walk.scm 418 */
									bool_t BgL_test2578z00_6745;

									{	/* Stackable/walk.scm 418 */
										obj_t BgL_arg2146z00_2734;

										BgL_arg2146z00_2734 = CDR(((obj_t) BgL_bindingz00_2698));
										{	/* Stackable/walk.scm 418 */
											obj_t BgL_classz00_4321;

											BgL_classz00_4321 = BGl_letzd2varzd2zzast_nodez00;
											if (BGL_OBJECTP(BgL_arg2146z00_2734))
												{	/* Stackable/walk.scm 418 */
													BgL_objectz00_bglt BgL_arg1858z00_4323;

													BgL_arg1858z00_4323 =
														(BgL_objectz00_bglt) (BgL_arg2146z00_2734);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Stackable/walk.scm 418 */
															long BgL_idxz00_4329;

															BgL_idxz00_4329 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4323);
															BgL_test2578z00_6745 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_4329 + 3L)) == BgL_classz00_4321);
														}
													else
														{	/* Stackable/walk.scm 418 */
															bool_t BgL_res2320z00_4354;

															{	/* Stackable/walk.scm 418 */
																obj_t BgL_oclassz00_4337;

																{	/* Stackable/walk.scm 418 */
																	obj_t BgL_arg1866z00_4345;
																	long BgL_arg1867z00_4346;

																	BgL_arg1866z00_4345 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* Stackable/walk.scm 418 */
																		long BgL_arg1869z00_4347;

																		BgL_arg1869z00_4347 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4323);
																		BgL_arg1867z00_4346 =
																			(BgL_arg1869z00_4347 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_4337 =
																		VECTOR_REF(BgL_arg1866z00_4345,
																		BgL_arg1867z00_4346);
																}
																{	/* Stackable/walk.scm 418 */
																	bool_t BgL__ortest_1115z00_4338;

																	BgL__ortest_1115z00_4338 =
																		(BgL_classz00_4321 == BgL_oclassz00_4337);
																	if (BgL__ortest_1115z00_4338)
																		{	/* Stackable/walk.scm 418 */
																			BgL_res2320z00_4354 =
																				BgL__ortest_1115z00_4338;
																		}
																	else
																		{	/* Stackable/walk.scm 418 */
																			long BgL_odepthz00_4339;

																			{	/* Stackable/walk.scm 418 */
																				obj_t BgL_arg1855z00_4340;

																				BgL_arg1855z00_4340 =
																					(BgL_oclassz00_4337);
																				BgL_odepthz00_4339 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_4340);
																			}
																			if ((3L < BgL_odepthz00_4339))
																				{	/* Stackable/walk.scm 418 */
																					obj_t BgL_arg1853z00_4342;

																					{	/* Stackable/walk.scm 418 */
																						obj_t BgL_arg1854z00_4343;

																						BgL_arg1854z00_4343 =
																							(BgL_oclassz00_4337);
																						BgL_arg1853z00_4342 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_4343, 3L);
																					}
																					BgL_res2320z00_4354 =
																						(BgL_arg1853z00_4342 ==
																						BgL_classz00_4321);
																				}
																			else
																				{	/* Stackable/walk.scm 418 */
																					BgL_res2320z00_4354 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test2578z00_6745 = BgL_res2320z00_4354;
														}
												}
											else
												{	/* Stackable/walk.scm 418 */
													BgL_test2578z00_6745 = ((bool_t) 0);
												}
										}
									}
									if (BgL_test2578z00_6745)
										{	/* Stackable/walk.scm 418 */
											obj_t BgL_arg2145z00_2733;

											BgL_arg2145z00_2733 = CDR(((obj_t) BgL_bindingz00_2698));
											BgL_test2577z00_6744 =
												BGl_liftablezf3ze70z14zzstackable_walkz00
												(BgL_arg2145z00_2733);
										}
									else
										{	/* Stackable/walk.scm 418 */
											BgL_test2577z00_6744 = ((bool_t) 0);
										}
								}
								if (BgL_test2577z00_6744)
									{	/* Stackable/walk.scm 419 */
										BgL_letzd2varzd2_bglt BgL_i1213z00_2705;

										BgL_i1213z00_2705 =
											((BgL_letzd2varzd2_bglt)
											CDR(((obj_t) BgL_bindingz00_2698)));
										{	/* Stackable/walk.scm 421 */
											obj_t BgL_arg2127z00_2706;
											obj_t BgL_arg2128z00_2707;
											obj_t BgL_arg2129z00_2708;

											BgL_arg2127z00_2706 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															CAR(((obj_t) BgL_bindingz00_2698)))))->BgL_idz00);
											{	/* Stackable/walk.scm 422 */
												obj_t BgL_l1437z00_2717;

												BgL_l1437z00_2717 =
													(((BgL_letzd2varzd2_bglt)
														COBJECT(BgL_i1213z00_2705))->BgL_bindingsz00);
												if (NULLP(BgL_l1437z00_2717))
													{	/* Stackable/walk.scm 422 */
														BgL_arg2128z00_2707 = BNIL;
													}
												else
													{	/* Stackable/walk.scm 422 */
														obj_t BgL_head1439z00_2719;

														BgL_head1439z00_2719 = MAKE_YOUNG_PAIR(BNIL, BNIL);
														{
															obj_t BgL_l1437z00_2721;
															obj_t BgL_tail1440z00_2722;

															BgL_l1437z00_2721 = BgL_l1437z00_2717;
															BgL_tail1440z00_2722 = BgL_head1439z00_2719;
														BgL_zc3z04anonymousza32139ze3z87_2723:
															if (NULLP(BgL_l1437z00_2721))
																{	/* Stackable/walk.scm 422 */
																	BgL_arg2128z00_2707 =
																		CDR(BgL_head1439z00_2719);
																}
															else
																{	/* Stackable/walk.scm 422 */
																	obj_t BgL_newtail1441z00_2725;

																	{	/* Stackable/walk.scm 422 */
																		obj_t BgL_arg2142z00_2727;

																		{
																			BgL_variablez00_bglt BgL_auxz00_6787;

																			{	/* Stackable/walk.scm 422 */
																				obj_t BgL_pairz00_4361;

																				BgL_pairz00_4361 =
																					CAR(((obj_t) BgL_l1437z00_2721));
																				BgL_auxz00_6787 =
																					((BgL_variablez00_bglt)
																					CAR(BgL_pairz00_4361));
																			}
																			BgL_arg2142z00_2727 =
																				(((BgL_variablez00_bglt)
																					COBJECT(BgL_auxz00_6787))->BgL_idz00);
																		}
																		BgL_newtail1441z00_2725 =
																			MAKE_YOUNG_PAIR(BgL_arg2142z00_2727,
																			BNIL);
																	}
																	SET_CDR(BgL_tail1440z00_2722,
																		BgL_newtail1441z00_2725);
																	{	/* Stackable/walk.scm 422 */
																		obj_t BgL_arg2141z00_2726;

																		BgL_arg2141z00_2726 =
																			CDR(((obj_t) BgL_l1437z00_2721));
																		{
																			obj_t BgL_tail1440z00_6798;
																			obj_t BgL_l1437z00_6797;

																			BgL_l1437z00_6797 = BgL_arg2141z00_2726;
																			BgL_tail1440z00_6798 =
																				BgL_newtail1441z00_2725;
																			BgL_tail1440z00_2722 =
																				BgL_tail1440z00_6798;
																			BgL_l1437z00_2721 = BgL_l1437z00_6797;
																			goto
																				BgL_zc3z04anonymousza32139ze3z87_2723;
																		}
																	}
																}
														}
													}
											}
											BgL_arg2129z00_2708 =
												(((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_i1213z00_2705)))->
												BgL_locz00);
											{	/* Stackable/walk.scm 420 */
												obj_t BgL_list2130z00_2709;

												{	/* Stackable/walk.scm 420 */
													obj_t BgL_arg2131z00_2710;

													{	/* Stackable/walk.scm 420 */
														obj_t BgL_arg2132z00_2711;

														{	/* Stackable/walk.scm 420 */
															obj_t BgL_arg2133z00_2712;

															{	/* Stackable/walk.scm 420 */
																obj_t BgL_arg2134z00_2713;

																{	/* Stackable/walk.scm 420 */
																	obj_t BgL_arg2135z00_2714;

																	{	/* Stackable/walk.scm 420 */
																		obj_t BgL_arg2136z00_2715;

																		BgL_arg2136z00_2715 =
																			MAKE_YOUNG_PAIR
																			(BGl_string2400z00zzstackable_walkz00,
																			BNIL);
																		BgL_arg2135z00_2714 =
																			MAKE_YOUNG_PAIR(BgL_arg2129z00_2708,
																			BgL_arg2136z00_2715);
																	}
																	BgL_arg2134z00_2713 =
																		MAKE_YOUNG_PAIR
																		(BGl_string2401z00zzstackable_walkz00,
																		BgL_arg2135z00_2714);
																}
																BgL_arg2133z00_2712 =
																	MAKE_YOUNG_PAIR(BgL_arg2128z00_2707,
																	BgL_arg2134z00_2713);
															}
															BgL_arg2132z00_2711 =
																MAKE_YOUNG_PAIR
																(BGl_string2402z00zzstackable_walkz00,
																BgL_arg2133z00_2712);
														}
														BgL_arg2131z00_2710 =
															MAKE_YOUNG_PAIR(BgL_arg2127z00_2706,
															BgL_arg2132z00_2711);
													}
													BgL_list2130z00_2709 =
														MAKE_YOUNG_PAIR
														(BGl_string2403z00zzstackable_walkz00,
														BgL_arg2131z00_2710);
												}
												BGl_verbosez00zztools_speekz00(BINT(3L),
													BgL_list2130z00_2709);
											}
										}
										{	/* Stackable/walk.scm 424 */
											BgL_nodez00_bglt BgL_arg2144z00_2731;

											BgL_arg2144z00_2731 =
												(((BgL_letzd2varzd2_bglt) COBJECT(BgL_i1213z00_2705))->
												BgL_bodyz00);
											{	/* Stackable/walk.scm 424 */
												obj_t BgL_auxz00_6813;
												obj_t BgL_tmpz00_6811;

												BgL_auxz00_6813 = ((obj_t) BgL_arg2144z00_2731);
												BgL_tmpz00_6811 = ((obj_t) BgL_bindingz00_2698);
												SET_CDR(BgL_tmpz00_6811, BgL_auxz00_6813);
											}
										}
										BgL_arg2099z00_2666 =
											(((BgL_letzd2varzd2_bglt) COBJECT(BgL_i1213z00_2705))->
											BgL_bindingsz00);
									}
								else
									{	/* Stackable/walk.scm 418 */
										BgL_arg2099z00_2666 = BNIL;
									}
							}
						}
						{	/* Stackable/walk.scm 429 */
							obj_t BgL_arg2102z00_2669;

							BgL_arg2102z00_2669 = CDR(((obj_t) BgL_l1443z00_2663));
							BgL_arg2100z00_2667 =
								BGl_zc3z04anonymousza32097ze3ze70z60zzstackable_walkz00
								(BgL_arg2102z00_2669);
						}
						return bgl_append2(BgL_arg2099z00_2666, BgL_arg2100z00_2667);
					}
			}
		}

	}



/* &node-escape-make-box1507 */
	obj_t BGl_z62nodezd2escapezd2makezd2box1507zb0zzstackable_walkz00(obj_t
		BgL_envz00_4670, obj_t BgL_nodez00_4671, obj_t BgL_ctxz00_4672)
	{
		{	/* Stackable/walk.scm 367 */
			return
				BGl_escapez12z12zzstackable_walkz00(
				((obj_t) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_4671)), BgL_ctxz00_4672);
		}

	}



/* &node-escape-app1505 */
	obj_t BGl_z62nodezd2escapezd2app1505z62zzstackable_walkz00(obj_t
		BgL_envz00_4673, obj_t BgL_nodez00_4674, obj_t BgL_ctxz00_4675)
	{
		{	/* Stackable/walk.scm 361 */
			return
				BGl_escapez12z12zzstackable_walkz00(
				((obj_t) ((BgL_appz00_bglt) BgL_nodez00_4674)), BgL_ctxz00_4675);
		}

	}



/* &escape!-closure1500 */
	obj_t BGl_z62escapez12zd2closure1500za2zzstackable_walkz00(obj_t
		BgL_envz00_4676, obj_t BgL_nodez00_4677, obj_t BgL_ctxz00_4678)
	{
		{	/* Stackable/walk.scm 343 */
			{

				BGl_walk1z12z12zzast_walkz00(
					((BgL_nodez00_bglt)
						((BgL_closurez00_bglt) BgL_nodez00_4677)),
					BGl_escapez12zd2envzc0zzstackable_walkz00, BgL_ctxz00_4678);
				{	/* Stackable/walk.scm 345 */
					BgL_variablez00_bglt BgL_vz00_4902;

					BgL_vz00_4902 =
						(((BgL_varz00_bglt) COBJECT(
								((BgL_varz00_bglt)
									((BgL_closurez00_bglt) BgL_nodez00_4677))))->BgL_variablez00);
					{	/* Stackable/walk.scm 345 */
						BgL_valuez00_bglt BgL_fz00_4903;

						BgL_fz00_4903 =
							(((BgL_variablez00_bglt) COBJECT(BgL_vz00_4902))->BgL_valuez00);
						{	/* Stackable/walk.scm 346 */

							if (CBOOL(
									(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_fz00_4903)))->
										BgL_stackablez00)))
								{	/* Stackable/walk.scm 348 */
									{	/* Stackable/walk.scm 349 */
										obj_t BgL_tmpz00_6838;

										BgL_tmpz00_6838 = ((obj_t) BgL_ctxz00_4678);
										SET_CAR(BgL_tmpz00_6838, BFALSE);
									}
									return
										((((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_fz00_4903)))->
											BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
								}
							else
								{	/* Stackable/walk.scm 348 */
									return BFALSE;
								}
						}
					}
				}
			}
		}

	}



/* &escape!-make-box1498 */
	obj_t BGl_z62escapez12zd2makezd2box1498z70zzstackable_walkz00(obj_t
		BgL_envz00_4679, obj_t BgL_nodez00_4680, obj_t BgL_ctxz00_4681)
	{
		{	/* Stackable/walk.scm 333 */
			if (CBOOL(
					(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_4680)))->
						BgL_stackablez00)))
				{	/* Stackable/walk.scm 335 */
					{	/* Stackable/walk.scm 336 */
						obj_t BgL_tmpz00_6847;

						BgL_tmpz00_6847 = ((obj_t) BgL_ctxz00_4681);
						SET_CAR(BgL_tmpz00_6847, BFALSE);
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_4680)))->
							BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
					{	/* Stackable/walk.scm 338 */
						BgL_nodez00_bglt BgL_arg2083z00_4905;

						BgL_arg2083z00_4905 =
							(((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_4680)))->BgL_valuez00);
						return
							BGl_escapez12z12zzstackable_walkz00(
							((obj_t) BgL_arg2083z00_4905), BgL_ctxz00_4681);
					}
				}
			else
				{	/* Stackable/walk.scm 335 */
					return BFALSE;
				}
		}

	}



/* &escape!-app1496 */
	obj_t BGl_z62escapez12zd2app1496za2zzstackable_walkz00(obj_t BgL_envz00_4682,
		obj_t BgL_nodez00_4683, obj_t BgL_ctxz00_4684)
	{
		{	/* Stackable/walk.scm 324 */
			if (CBOOL(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_4683)))->BgL_stackablez00)))
				{	/* Stackable/walk.scm 326 */
					{	/* Stackable/walk.scm 327 */
						obj_t BgL_tmpz00_6860;

						BgL_tmpz00_6860 = ((obj_t) BgL_ctxz00_4684);
						SET_CAR(BgL_tmpz00_6860, BFALSE);
					}
					return
						((((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nodez00_4683)))->BgL_stackablez00) =
						((obj_t) BFALSE), BUNSPEC);
				}
			else
				{	/* Stackable/walk.scm 326 */
					return BFALSE;
				}
		}

	}



/* &escape!-node1494 */
	obj_t BGl_z62escapez12zd2node1494za2zzstackable_walkz00(obj_t BgL_envz00_4685,
		obj_t BgL_nodez00_4686, obj_t BgL_ctxz00_4687)
	{
		{	/* Stackable/walk.scm 318 */
			return
				BGl_nodezd2escapezd2zzstackable_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_4686), BgL_ctxz00_4687);
		}

	}



/* &escape!-local1492 */
	obj_t BGl_z62escapez12zd2local1492za2zzstackable_walkz00(obj_t
		BgL_envz00_4688, obj_t BgL_varz00_4689, obj_t BgL_ctxz00_4690)
	{
		{	/* Stackable/walk.scm 309 */
			if (
				((((BgL_localz00_bglt) COBJECT(
								((BgL_localz00_bglt) BgL_varz00_4689)))->
						BgL_valzd2noescapezd2) == BTRUE))
				{	/* Stackable/walk.scm 311 */
					{	/* Stackable/walk.scm 312 */
						obj_t BgL_tmpz00_6871;

						BgL_tmpz00_6871 = ((obj_t) BgL_ctxz00_4690);
						SET_CAR(BgL_tmpz00_6871, BFALSE);
					}
					return
						((((BgL_localz00_bglt) COBJECT(
									((BgL_localz00_bglt) BgL_varz00_4689)))->
							BgL_valzd2noescapezd2) = ((obj_t) BFALSE), BUNSPEC);
				}
			else
				{	/* Stackable/walk.scm 311 */
					return BFALSE;
				}
		}

	}



/* &escape!-global1490 */
	obj_t BGl_z62escapez12zd2global1490za2zzstackable_walkz00(obj_t
		BgL_envz00_4691, obj_t BgL_varz00_4692, obj_t BgL_ctxz00_4693)
	{
		{	/* Stackable/walk.scm 303 */
			return BUNSPEC;
		}

	}



/* &stackable-sequence1485 */
	obj_t BGl_z62stackablezd2sequence1485zb0zzstackable_walkz00(obj_t
		BgL_envz00_4694, obj_t BgL_nodez00_4695, obj_t BgL_escpz00_4696,
		obj_t BgL_depthz00_4697, obj_t BgL_ctxz00_4698)
	{
		{	/* Stackable/walk.scm 280 */
			if (NULLP(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_4695)))->BgL_nodesz00)))
				{	/* Stackable/walk.scm 282 */
					return BFALSE;
				}
			else
				{
					obj_t BgL_nodesz00_4913;

					BgL_nodesz00_4913 =
						(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_4695)))->BgL_nodesz00);
				BgL_loopz00_4912:
					if (NULLP(CDR(((obj_t) BgL_nodesz00_4913))))
						{	/* Stackable/walk.scm 285 */
							obj_t BgL_arg2069z00_4914;

							BgL_arg2069z00_4914 = CAR(((obj_t) BgL_nodesz00_4913));
							return
								BGl_stackablez00zzstackable_walkz00(
								((BgL_nodez00_bglt) BgL_arg2069z00_4914),
								CBOOL(BgL_escpz00_4696),
								(long) CINT(BgL_depthz00_4697), ((obj_t) BgL_ctxz00_4698));
						}
					else
						{	/* Stackable/walk.scm 284 */
							{	/* Stackable/walk.scm 287 */
								obj_t BgL_arg2070z00_4915;

								BgL_arg2070z00_4915 = CAR(((obj_t) BgL_nodesz00_4913));
								BGl_stackablez00zzstackable_walkz00(
									((BgL_nodez00_bglt) BgL_arg2070z00_4915), ((bool_t) 0),
									100000L, ((obj_t) BgL_ctxz00_4698));
							}
							{	/* Stackable/walk.scm 288 */
								obj_t BgL_arg2072z00_4916;

								BgL_arg2072z00_4916 = CDR(((obj_t) BgL_nodesz00_4913));
								{
									obj_t BgL_nodesz00_6898;

									BgL_nodesz00_6898 = BgL_arg2072z00_4916;
									BgL_nodesz00_4913 = BgL_nodesz00_6898;
									goto BgL_loopz00_4912;
								}
							}
						}
				}
		}

	}



/* &stackable-funcall1483 */
	obj_t BGl_z62stackablezd2funcall1483zb0zzstackable_walkz00(obj_t
		BgL_envz00_4699, obj_t BgL_nodez00_4700, obj_t BgL_escpz00_4701,
		obj_t BgL_depthz00_4702, obj_t BgL_ctxz00_4703)
	{
		{	/* Stackable/walk.scm 273 */
			{	/* Stackable/walk.scm 273 */
				obj_t BgL_escpz00_4918;

				BgL_escpz00_4918 = BgL_escpz00_4701;
				{

					BgL_escpz00_4918 = BTRUE;
					return
						BGl_walk3z00zzast_walkz00(
						((BgL_nodez00_bglt)
							((BgL_funcallz00_bglt) BgL_nodez00_4700)),
						BGl_stackablezd2envzd2zzstackable_walkz00, BgL_escpz00_4918,
						BgL_depthz00_4702, ((obj_t) BgL_ctxz00_4703));
				}
			}
		}

	}



/* &stackable-app1481 */
	obj_t BGl_z62stackablezd2app1481zb0zzstackable_walkz00(obj_t BgL_envz00_4704,
		obj_t BgL_nodez00_4705, obj_t BgL_escpz00_4706, obj_t BgL_depthz00_4707,
		obj_t BgL_ctxz00_4708)
	{
		{	/* Stackable/walk.scm 189 */
			{	/* Stackable/walk.scm 189 */
				bool_t BgL_tmpz00_6905;

				{
					obj_t BgL_argsz00_4924;

					{	/* Stackable/walk.scm 225 */
						BgL_variablez00_bglt BgL_vz00_5020;

						BgL_vz00_5020 =
							(((BgL_varz00_bglt) COBJECT(
									(((BgL_appz00_bglt) COBJECT(
												((BgL_appz00_bglt) BgL_nodez00_4705)))->BgL_funz00)))->
							BgL_variablez00);
						{	/* Stackable/walk.scm 225 */
							BgL_valuez00_bglt BgL_fz00_5021;

							BgL_fz00_5021 =
								(((BgL_variablez00_bglt) COBJECT(BgL_vz00_5020))->BgL_valuez00);
							{	/* Stackable/walk.scm 226 */

								{	/* Stackable/walk.scm 228 */
									bool_t BgL_test2591z00_6910;

									if (CBOOL(BgL_escpz00_4706))
										{	/* Stackable/walk.scm 228 */
											BgL_test2591z00_6910 = ((bool_t) 1);
										}
									else
										{	/* Stackable/walk.scm 228 */
											long BgL_arg1969z00_5022;

											{
												BgL_appzf2depthzf2_bglt BgL_auxz00_6913;

												{
													obj_t BgL_auxz00_6914;

													{	/* Stackable/walk.scm 228 */
														BgL_objectz00_bglt BgL_tmpz00_6915;

														BgL_tmpz00_6915 =
															((BgL_objectz00_bglt)
															((BgL_appz00_bglt)
																((BgL_appz00_bglt) BgL_nodez00_4705)));
														BgL_auxz00_6914 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_6915);
													}
													BgL_auxz00_6913 =
														((BgL_appzf2depthzf2_bglt) BgL_auxz00_6914);
												}
												BgL_arg1969z00_5022 =
													(((BgL_appzf2depthzf2_bglt)
														COBJECT(BgL_auxz00_6913))->BgL_depthz00);
											}
											BgL_test2591z00_6910 =
												((long) CINT(BgL_depthz00_4707) < BgL_arg1969z00_5022);
										}
									if (BgL_test2591z00_6910)
										{	/* Stackable/walk.scm 229 */
											bool_t BgL_test2593z00_6924;

											{	/* Stackable/walk.scm 229 */
												bool_t BgL_test2594z00_6925;

												{	/* Stackable/walk.scm 229 */
													obj_t BgL_classz00_5023;

													BgL_classz00_5023 = BGl_globalz00zzast_varz00;
													{	/* Stackable/walk.scm 229 */
														BgL_objectz00_bglt BgL_arg1858z00_5024;

														{	/* Stackable/walk.scm 229 */
															obj_t BgL_tmpz00_6926;

															BgL_tmpz00_6926 =
																((obj_t) ((BgL_objectz00_bglt) BgL_vz00_5020));
															BgL_arg1858z00_5024 =
																(BgL_objectz00_bglt) (BgL_tmpz00_6926);
														}
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* Stackable/walk.scm 229 */
																long BgL_idxz00_5025;

																BgL_idxz00_5025 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1858z00_5024);
																BgL_test2594z00_6925 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_5025 + 2L)) ==
																	BgL_classz00_5023);
															}
														else
															{	/* Stackable/walk.scm 229 */
																bool_t BgL_res2309z00_5028;

																{	/* Stackable/walk.scm 229 */
																	obj_t BgL_oclassz00_5029;

																	{	/* Stackable/walk.scm 229 */
																		obj_t BgL_arg1866z00_5030;
																		long BgL_arg1867z00_5031;

																		BgL_arg1866z00_5030 =
																			(BGl_za2classesza2z00zz__objectz00);
																		{	/* Stackable/walk.scm 229 */
																			long BgL_arg1869z00_5032;

																			BgL_arg1869z00_5032 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1858z00_5024);
																			BgL_arg1867z00_5031 =
																				(BgL_arg1869z00_5032 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_5029 =
																			VECTOR_REF(BgL_arg1866z00_5030,
																			BgL_arg1867z00_5031);
																	}
																	{	/* Stackable/walk.scm 229 */
																		bool_t BgL__ortest_1115z00_5033;

																		BgL__ortest_1115z00_5033 =
																			(BgL_classz00_5023 == BgL_oclassz00_5029);
																		if (BgL__ortest_1115z00_5033)
																			{	/* Stackable/walk.scm 229 */
																				BgL_res2309z00_5028 =
																					BgL__ortest_1115z00_5033;
																			}
																		else
																			{	/* Stackable/walk.scm 229 */
																				long BgL_odepthz00_5034;

																				{	/* Stackable/walk.scm 229 */
																					obj_t BgL_arg1855z00_5035;

																					BgL_arg1855z00_5035 =
																						(BgL_oclassz00_5029);
																					BgL_odepthz00_5034 =
																						BGL_CLASS_DEPTH
																						(BgL_arg1855z00_5035);
																				}
																				if ((2L < BgL_odepthz00_5034))
																					{	/* Stackable/walk.scm 229 */
																						obj_t BgL_arg1853z00_5036;

																						{	/* Stackable/walk.scm 229 */
																							obj_t BgL_arg1854z00_5037;

																							BgL_arg1854z00_5037 =
																								(BgL_oclassz00_5029);
																							BgL_arg1853z00_5036 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_arg1854z00_5037, 2L);
																						}
																						BgL_res2309z00_5028 =
																							(BgL_arg1853z00_5036 ==
																							BgL_classz00_5023);
																					}
																				else
																					{	/* Stackable/walk.scm 229 */
																						BgL_res2309z00_5028 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test2594z00_6925 = BgL_res2309z00_5028;
															}
													}
												}
												if (BgL_test2594z00_6925)
													{	/* Stackable/walk.scm 229 */
														if (
															((((BgL_globalz00_bglt) COBJECT(
																			((BgL_globalz00_bglt) BgL_vz00_5020)))->
																	BgL_modulez00) ==
																((obj_t) CNST_TABLE_REF(9))))
															{	/* Stackable/walk.scm 231 */
																BgL_test2593z00_6924 =
																	CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																	((((BgL_variablez00_bglt)
																				COBJECT(((BgL_variablez00_bglt) (
																							(BgL_globalz00_bglt)
																							BgL_vz00_5020))))->BgL_idz00),
																		((obj_t) CNST_TABLE_REF(10))));
															}
														else
															{	/* Stackable/walk.scm 231 */
																BgL_test2593z00_6924 = ((bool_t) 0);
															}
													}
												else
													{	/* Stackable/walk.scm 229 */
														BgL_test2593z00_6924 = ((bool_t) 0);
													}
											}
											if (BgL_test2593z00_6924)
												{	/* Stackable/walk.scm 229 */
													BFALSE;
												}
											else
												{	/* Stackable/walk.scm 229 */
													BGl_escapez12z12zzstackable_walkz00(
														((obj_t)
															((BgL_appz00_bglt) BgL_nodez00_4705)),
														((obj_t) BgL_ctxz00_4708));
												}
										}
									else
										{	/* Stackable/walk.scm 228 */
											BFALSE;
										}
								}
								{	/* Stackable/walk.scm 235 */
									bool_t BgL_test2599z00_6966;

									{	/* Stackable/walk.scm 235 */
										obj_t BgL_classz00_5038;

										BgL_classz00_5038 = BGl_localz00zzast_varz00;
										{	/* Stackable/walk.scm 235 */
											BgL_objectz00_bglt BgL_arg1858z00_5039;

											{	/* Stackable/walk.scm 235 */
												obj_t BgL_tmpz00_6967;

												BgL_tmpz00_6967 =
													((obj_t) ((BgL_objectz00_bglt) BgL_vz00_5020));
												BgL_arg1858z00_5039 =
													(BgL_objectz00_bglt) (BgL_tmpz00_6967);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Stackable/walk.scm 235 */
													long BgL_idxz00_5040;

													BgL_idxz00_5040 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5039);
													BgL_test2599z00_6966 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_5040 + 2L)) == BgL_classz00_5038);
												}
											else
												{	/* Stackable/walk.scm 235 */
													bool_t BgL_res2310z00_5043;

													{	/* Stackable/walk.scm 235 */
														obj_t BgL_oclassz00_5044;

														{	/* Stackable/walk.scm 235 */
															obj_t BgL_arg1866z00_5045;
															long BgL_arg1867z00_5046;

															BgL_arg1866z00_5045 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Stackable/walk.scm 235 */
																long BgL_arg1869z00_5047;

																BgL_arg1869z00_5047 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5039);
																BgL_arg1867z00_5046 =
																	(BgL_arg1869z00_5047 - OBJECT_TYPE);
															}
															BgL_oclassz00_5044 =
																VECTOR_REF(BgL_arg1866z00_5045,
																BgL_arg1867z00_5046);
														}
														{	/* Stackable/walk.scm 235 */
															bool_t BgL__ortest_1115z00_5048;

															BgL__ortest_1115z00_5048 =
																(BgL_classz00_5038 == BgL_oclassz00_5044);
															if (BgL__ortest_1115z00_5048)
																{	/* Stackable/walk.scm 235 */
																	BgL_res2310z00_5043 =
																		BgL__ortest_1115z00_5048;
																}
															else
																{	/* Stackable/walk.scm 235 */
																	long BgL_odepthz00_5049;

																	{	/* Stackable/walk.scm 235 */
																		obj_t BgL_arg1855z00_5050;

																		BgL_arg1855z00_5050 = (BgL_oclassz00_5044);
																		BgL_odepthz00_5049 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_5050);
																	}
																	if ((2L < BgL_odepthz00_5049))
																		{	/* Stackable/walk.scm 235 */
																			obj_t BgL_arg1853z00_5051;

																			{	/* Stackable/walk.scm 235 */
																				obj_t BgL_arg1854z00_5052;

																				BgL_arg1854z00_5052 =
																					(BgL_oclassz00_5044);
																				BgL_arg1853z00_5051 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_5052, 2L);
																			}
																			BgL_res2310z00_5043 =
																				(BgL_arg1853z00_5051 ==
																				BgL_classz00_5038);
																		}
																	else
																		{	/* Stackable/walk.scm 235 */
																			BgL_res2310z00_5043 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2599z00_6966 = BgL_res2310z00_5043;
												}
										}
									}
									if (BgL_test2599z00_6966)
										{	/* Stackable/walk.scm 237 */
											obj_t BgL_g1419z00_5053;

											BgL_g1419z00_5053 =
												(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_nodez00_4705)))->
												BgL_argsz00);
											{
												obj_t BgL_l1417z00_5055;

												BgL_l1417z00_5055 = BgL_g1419z00_5053;
											BgL_zc3z04anonymousza31971ze3z87_5054:
												if (PAIRP(BgL_l1417z00_5055))
													{	/* Stackable/walk.scm 237 */
														{	/* Stackable/walk.scm 237 */
															obj_t BgL_az00_5056;

															BgL_az00_5056 = CAR(BgL_l1417z00_5055);
															BGl_stackablez00zzstackable_walkz00(
																((BgL_nodez00_bglt) BgL_az00_5056),
																((bool_t) 1), 100000L,
																((obj_t) BgL_ctxz00_4708));
														}
														{
															obj_t BgL_l1417z00_6998;

															BgL_l1417z00_6998 = CDR(BgL_l1417z00_5055);
															BgL_l1417z00_5055 = BgL_l1417z00_6998;
															goto BgL_zc3z04anonymousza31971ze3z87_5054;
														}
													}
												else
													{	/* Stackable/walk.scm 237 */
														BgL_tmpz00_6905 = ((bool_t) 1);
													}
											}
										}
									else
										{	/* Stackable/walk.scm 238 */
											bool_t BgL_test2604z00_7000;

											{	/* Stackable/walk.scm 238 */
												bool_t BgL_test2605z00_7001;

												{	/* Stackable/walk.scm 238 */
													obj_t BgL_classz00_5057;

													BgL_classz00_5057 = BGl_sfunz00zzast_varz00;
													{	/* Stackable/walk.scm 238 */
														BgL_objectz00_bglt BgL_arg1858z00_5058;

														{	/* Stackable/walk.scm 238 */
															obj_t BgL_tmpz00_7002;

															BgL_tmpz00_7002 =
																((obj_t) ((BgL_objectz00_bglt) BgL_fz00_5021));
															BgL_arg1858z00_5058 =
																(BgL_objectz00_bglt) (BgL_tmpz00_7002);
														}
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* Stackable/walk.scm 238 */
																long BgL_idxz00_5059;

																BgL_idxz00_5059 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1858z00_5058);
																BgL_test2605z00_7001 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_5059 + 3L)) ==
																	BgL_classz00_5057);
															}
														else
															{	/* Stackable/walk.scm 238 */
																bool_t BgL_res2311z00_5062;

																{	/* Stackable/walk.scm 238 */
																	obj_t BgL_oclassz00_5063;

																	{	/* Stackable/walk.scm 238 */
																		obj_t BgL_arg1866z00_5064;
																		long BgL_arg1867z00_5065;

																		BgL_arg1866z00_5064 =
																			(BGl_za2classesza2z00zz__objectz00);
																		{	/* Stackable/walk.scm 238 */
																			long BgL_arg1869z00_5066;

																			BgL_arg1869z00_5066 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1858z00_5058);
																			BgL_arg1867z00_5065 =
																				(BgL_arg1869z00_5066 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_5063 =
																			VECTOR_REF(BgL_arg1866z00_5064,
																			BgL_arg1867z00_5065);
																	}
																	{	/* Stackable/walk.scm 238 */
																		bool_t BgL__ortest_1115z00_5067;

																		BgL__ortest_1115z00_5067 =
																			(BgL_classz00_5057 == BgL_oclassz00_5063);
																		if (BgL__ortest_1115z00_5067)
																			{	/* Stackable/walk.scm 238 */
																				BgL_res2311z00_5062 =
																					BgL__ortest_1115z00_5067;
																			}
																		else
																			{	/* Stackable/walk.scm 238 */
																				long BgL_odepthz00_5068;

																				{	/* Stackable/walk.scm 238 */
																					obj_t BgL_arg1855z00_5069;

																					BgL_arg1855z00_5069 =
																						(BgL_oclassz00_5063);
																					BgL_odepthz00_5068 =
																						BGL_CLASS_DEPTH
																						(BgL_arg1855z00_5069);
																				}
																				if ((3L < BgL_odepthz00_5068))
																					{	/* Stackable/walk.scm 238 */
																						obj_t BgL_arg1853z00_5070;

																						{	/* Stackable/walk.scm 238 */
																							obj_t BgL_arg1854z00_5071;

																							BgL_arg1854z00_5071 =
																								(BgL_oclassz00_5063);
																							BgL_arg1853z00_5070 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_arg1854z00_5071, 3L);
																						}
																						BgL_res2311z00_5062 =
																							(BgL_arg1853z00_5070 ==
																							BgL_classz00_5057);
																					}
																				else
																					{	/* Stackable/walk.scm 238 */
																						BgL_res2311z00_5062 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test2605z00_7001 = BgL_res2311z00_5062;
															}
													}
												}
												if (BgL_test2605z00_7001)
													{	/* Stackable/walk.scm 238 */
														if (BGl_importzf3zf3zzstackable_walkz00
															(BgL_vz00_5020))
															{	/* Stackable/walk.scm 238 */
																BgL_test2604z00_7000 = ((bool_t) 0);
															}
														else
															{	/* Stackable/walk.scm 238 */
																BgL_test2604z00_7000 = ((bool_t) 1);
															}
													}
												else
													{	/* Stackable/walk.scm 238 */
														BgL_test2604z00_7000 = ((bool_t) 0);
													}
											}
											if (BgL_test2604z00_7000)
												{	/* Stackable/walk.scm 238 */
													BGl_varzd2stackablezd2zzstackable_walkz00
														(BgL_vz00_5020, ((obj_t) BgL_ctxz00_4708));
													{	/* Stackable/walk.scm 241 */
														obj_t BgL_g1423z00_5072;
														obj_t BgL_g1424z00_5073;

														BgL_g1423z00_5072 =
															(((BgL_sfunz00_bglt) COBJECT(
																	((BgL_sfunz00_bglt) BgL_fz00_5021)))->
															BgL_argsz00);
														BgL_g1424z00_5073 =
															(((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt)
																		BgL_nodez00_4705)))->BgL_argsz00);
														{
															obj_t BgL_ll1420z00_5075;
															obj_t BgL_ll1421z00_5076;

															BgL_ll1420z00_5075 = BgL_g1423z00_5072;
															BgL_ll1421z00_5076 = BgL_g1424z00_5073;
														BgL_zc3z04anonymousza31978ze3z87_5074:
															if (NULLP(BgL_ll1420z00_5075))
																{	/* Stackable/walk.scm 241 */
																	BgL_tmpz00_6905 = ((bool_t) 1);
																}
															else
																{	/* Stackable/walk.scm 241 */
																	{	/* Stackable/walk.scm 242 */
																		obj_t BgL_pz00_5077;
																		obj_t BgL_az00_5078;

																		BgL_pz00_5077 =
																			CAR(((obj_t) BgL_ll1420z00_5075));
																		BgL_az00_5078 =
																			CAR(((obj_t) BgL_ll1421z00_5076));
																		{	/* Stackable/walk.scm 242 */
																			bool_t BgL_test2611z00_7039;

																			{	/* Stackable/walk.scm 242 */
																				obj_t BgL_classz00_5079;

																				BgL_classz00_5079 =
																					BGl_localz00zzast_varz00;
																				if (BGL_OBJECTP(BgL_pz00_5077))
																					{	/* Stackable/walk.scm 242 */
																						BgL_objectz00_bglt
																							BgL_arg1858z00_5080;
																						BgL_arg1858z00_5080 =
																							(BgL_objectz00_bglt)
																							(BgL_pz00_5077);
																						if (BGL_CONDEXPAND_ISA_ARCH64())
																							{	/* Stackable/walk.scm 242 */
																								long BgL_idxz00_5081;

																								BgL_idxz00_5081 =
																									BGL_OBJECT_INHERITANCE_NUM
																									(BgL_arg1858z00_5080);
																								BgL_test2611z00_7039 =
																									(VECTOR_REF
																									(BGl_za2inheritancesza2z00zz__objectz00,
																										(BgL_idxz00_5081 + 2L)) ==
																									BgL_classz00_5079);
																							}
																						else
																							{	/* Stackable/walk.scm 242 */
																								bool_t BgL_res2312z00_5084;

																								{	/* Stackable/walk.scm 242 */
																									obj_t BgL_oclassz00_5085;

																									{	/* Stackable/walk.scm 242 */
																										obj_t BgL_arg1866z00_5086;
																										long BgL_arg1867z00_5087;

																										BgL_arg1866z00_5086 =
																											(BGl_za2classesza2z00zz__objectz00);
																										{	/* Stackable/walk.scm 242 */
																											long BgL_arg1869z00_5088;

																											BgL_arg1869z00_5088 =
																												BGL_OBJECT_CLASS_NUM
																												(BgL_arg1858z00_5080);
																											BgL_arg1867z00_5087 =
																												(BgL_arg1869z00_5088 -
																												OBJECT_TYPE);
																										}
																										BgL_oclassz00_5085 =
																											VECTOR_REF
																											(BgL_arg1866z00_5086,
																											BgL_arg1867z00_5087);
																									}
																									{	/* Stackable/walk.scm 242 */
																										bool_t
																											BgL__ortest_1115z00_5089;
																										BgL__ortest_1115z00_5089 =
																											(BgL_classz00_5079 ==
																											BgL_oclassz00_5085);
																										if (BgL__ortest_1115z00_5089)
																											{	/* Stackable/walk.scm 242 */
																												BgL_res2312z00_5084 =
																													BgL__ortest_1115z00_5089;
																											}
																										else
																											{	/* Stackable/walk.scm 242 */
																												long BgL_odepthz00_5090;

																												{	/* Stackable/walk.scm 242 */
																													obj_t
																														BgL_arg1855z00_5091;
																													BgL_arg1855z00_5091 =
																														(BgL_oclassz00_5085);
																													BgL_odepthz00_5090 =
																														BGL_CLASS_DEPTH
																														(BgL_arg1855z00_5091);
																												}
																												if (
																													(2L <
																														BgL_odepthz00_5090))
																													{	/* Stackable/walk.scm 242 */
																														obj_t
																															BgL_arg1853z00_5092;
																														{	/* Stackable/walk.scm 242 */
																															obj_t
																																BgL_arg1854z00_5093;
																															BgL_arg1854z00_5093
																																=
																																(BgL_oclassz00_5085);
																															BgL_arg1853z00_5092
																																=
																																BGL_CLASS_ANCESTORS_REF
																																(BgL_arg1854z00_5093,
																																2L);
																														}
																														BgL_res2312z00_5084
																															=
																															(BgL_arg1853z00_5092
																															==
																															BgL_classz00_5079);
																													}
																												else
																													{	/* Stackable/walk.scm 242 */
																														BgL_res2312z00_5084
																															= ((bool_t) 0);
																													}
																											}
																									}
																								}
																								BgL_test2611z00_7039 =
																									BgL_res2312z00_5084;
																							}
																					}
																				else
																					{	/* Stackable/walk.scm 242 */
																						BgL_test2611z00_7039 = ((bool_t) 0);
																					}
																			}
																			if (BgL_test2611z00_7039)
																				{	/* Stackable/walk.scm 244 */
																					bool_t BgL_arg1981z00_5094;

																					if (CBOOL(
																							(((BgL_localz00_bglt) COBJECT(
																										((BgL_localz00_bglt)
																											BgL_pz00_5077)))->
																								BgL_valzd2noescapezd2)))
																						{	/* Stackable/walk.scm 244 */
																							BgL_arg1981z00_5094 =
																								((bool_t) 0);
																						}
																					else
																						{	/* Stackable/walk.scm 244 */
																							BgL_arg1981z00_5094 =
																								((bool_t) 1);
																						}
																					BGl_stackablez00zzstackable_walkz00(
																						((BgL_nodez00_bglt) BgL_az00_5078),
																						BgL_arg1981z00_5094, 100000L,
																						((obj_t) BgL_ctxz00_4708));
																				}
																			else
																				{	/* Stackable/walk.scm 242 */
																					BFALSE;
																				}
																		}
																	}
																	{	/* Stackable/walk.scm 241 */
																		obj_t BgL_arg1984z00_5095;
																		obj_t BgL_arg1985z00_5096;

																		BgL_arg1984z00_5095 =
																			CDR(((obj_t) BgL_ll1420z00_5075));
																		BgL_arg1985z00_5096 =
																			CDR(((obj_t) BgL_ll1421z00_5076));
																		{
																			obj_t BgL_ll1421z00_7074;
																			obj_t BgL_ll1420z00_7073;

																			BgL_ll1420z00_7073 = BgL_arg1984z00_5095;
																			BgL_ll1421z00_7074 = BgL_arg1985z00_5096;
																			BgL_ll1421z00_5076 = BgL_ll1421z00_7074;
																			BgL_ll1420z00_5075 = BgL_ll1420z00_7073;
																			goto
																				BgL_zc3z04anonymousza31978ze3z87_5074;
																		}
																	}
																}
														}
													}
												}
											else
												{	/* Stackable/walk.scm 246 */
													bool_t BgL_test2617z00_7075;

													{	/* Stackable/walk.scm 246 */
														obj_t BgL_classz00_5097;

														BgL_classz00_5097 = BGl_funz00zzast_varz00;
														{	/* Stackable/walk.scm 246 */
															BgL_objectz00_bglt BgL_arg1858z00_5098;

															{	/* Stackable/walk.scm 246 */
																obj_t BgL_tmpz00_7076;

																BgL_tmpz00_7076 =
																	((obj_t)
																	((BgL_objectz00_bglt) BgL_fz00_5021));
																BgL_arg1858z00_5098 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_7076);
															}
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Stackable/walk.scm 246 */
																	long BgL_idxz00_5099;

																	BgL_idxz00_5099 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_5098);
																	BgL_test2617z00_7075 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_5099 + 2L)) ==
																		BgL_classz00_5097);
																}
															else
																{	/* Stackable/walk.scm 246 */
																	bool_t BgL_res2313z00_5102;

																	{	/* Stackable/walk.scm 246 */
																		obj_t BgL_oclassz00_5103;

																		{	/* Stackable/walk.scm 246 */
																			obj_t BgL_arg1866z00_5104;
																			long BgL_arg1867z00_5105;

																			BgL_arg1866z00_5104 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* Stackable/walk.scm 246 */
																				long BgL_arg1869z00_5106;

																				BgL_arg1869z00_5106 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_5098);
																				BgL_arg1867z00_5105 =
																					(BgL_arg1869z00_5106 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_5103 =
																				VECTOR_REF(BgL_arg1866z00_5104,
																				BgL_arg1867z00_5105);
																		}
																		{	/* Stackable/walk.scm 246 */
																			bool_t BgL__ortest_1115z00_5107;

																			BgL__ortest_1115z00_5107 =
																				(BgL_classz00_5097 ==
																				BgL_oclassz00_5103);
																			if (BgL__ortest_1115z00_5107)
																				{	/* Stackable/walk.scm 246 */
																					BgL_res2313z00_5102 =
																						BgL__ortest_1115z00_5107;
																				}
																			else
																				{	/* Stackable/walk.scm 246 */
																					long BgL_odepthz00_5108;

																					{	/* Stackable/walk.scm 246 */
																						obj_t BgL_arg1855z00_5109;

																						BgL_arg1855z00_5109 =
																							(BgL_oclassz00_5103);
																						BgL_odepthz00_5108 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_5109);
																					}
																					if ((2L < BgL_odepthz00_5108))
																						{	/* Stackable/walk.scm 246 */
																							obj_t BgL_arg1853z00_5110;

																							{	/* Stackable/walk.scm 246 */
																								obj_t BgL_arg1854z00_5111;

																								BgL_arg1854z00_5111 =
																									(BgL_oclassz00_5103);
																								BgL_arg1853z00_5110 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_5111, 2L);
																							}
																							BgL_res2313z00_5102 =
																								(BgL_arg1853z00_5110 ==
																								BgL_classz00_5097);
																						}
																					else
																						{	/* Stackable/walk.scm 246 */
																							BgL_res2313z00_5102 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test2617z00_7075 = BgL_res2313z00_5102;
																}
														}
													}
													if (BgL_test2617z00_7075)
														{	/* Stackable/walk.scm 246 */
															if (
																((((BgL_funz00_bglt) COBJECT(
																				((BgL_funz00_bglt) BgL_fz00_5021)))->
																		BgL_argszd2noescapezd2) ==
																	((obj_t) CNST_TABLE_REF(11))))
																{	/* Stackable/walk.scm 250 */
																	obj_t BgL_g1427z00_5112;

																	BgL_g1427z00_5112 =
																		(((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt) BgL_nodez00_4705)))->
																		BgL_argsz00);
																	{
																		obj_t BgL_l1425z00_5114;

																		BgL_l1425z00_5114 = BgL_g1427z00_5112;
																	BgL_zc3z04anonymousza31989ze3z87_5113:
																		if (PAIRP(BgL_l1425z00_5114))
																			{	/* Stackable/walk.scm 250 */
																				{	/* Stackable/walk.scm 250 */
																					obj_t BgL_az00_5115;

																					BgL_az00_5115 =
																						CAR(BgL_l1425z00_5114);
																					BGl_stackablez00zzstackable_walkz00(
																						((BgL_nodez00_bglt) BgL_az00_5115),
																						((bool_t) 0), 100000L,
																						((obj_t) BgL_ctxz00_4708));
																				}
																				{
																					obj_t BgL_l1425z00_7113;

																					BgL_l1425z00_7113 =
																						CDR(BgL_l1425z00_5114);
																					BgL_l1425z00_5114 = BgL_l1425z00_7113;
																					goto
																						BgL_zc3z04anonymousza31989ze3z87_5113;
																				}
																			}
																		else
																			{	/* Stackable/walk.scm 250 */
																				BgL_tmpz00_6905 = ((bool_t) 1);
																			}
																	}
																}
															else
																{	/* Stackable/walk.scm 251 */
																	bool_t BgL_test2623z00_7115;

																	if (
																		((((BgL_funz00_bglt) COBJECT(
																						((BgL_funz00_bglt)
																							BgL_fz00_5021)))->
																				BgL_argszd2retescapezd2) ==
																			((obj_t) CNST_TABLE_REF(11))))
																		{	/* Stackable/walk.scm 251 */
																			if (CBOOL(
																					(((BgL_appz00_bglt) COBJECT(
																								((BgL_appz00_bglt)
																									BgL_nodez00_4705)))->
																						BgL_stackablez00)))
																				{	/* Stackable/walk.scm 251 */
																					BgL_argsz00_4924 =
																						(((BgL_appz00_bglt) COBJECT(
																								((BgL_appz00_bglt)
																									BgL_nodez00_4705)))->
																						BgL_argsz00);
																					{
																						obj_t BgL_l1414z00_4926;

																						BgL_l1414z00_4926 =
																							BgL_argsz00_4924;
																					BgL_zc3z04anonymousza32048ze3z87_4925:
																						if (NULLP
																							(BgL_l1414z00_4926))
																							{	/* Stackable/walk.scm 207 */
																								BgL_test2623z00_7115 =
																									((bool_t) 1);
																							}
																						else
																							{	/* Stackable/walk.scm 209 */
																								obj_t BgL_nvz00_4927;

																								{	/* Stackable/walk.scm 209 */
																									obj_t BgL_az00_4928;

																									BgL_az00_4928 =
																										CAR(
																										((obj_t)
																											BgL_l1414z00_4926));
																									{	/* Stackable/walk.scm 209 */
																										bool_t BgL_test2627z00_7130;

																										{	/* Stackable/walk.scm 209 */
																											obj_t BgL_classz00_4929;

																											BgL_classz00_4929 =
																												BGl_appz00zzast_nodez00;
																											if (BGL_OBJECTP
																												(BgL_az00_4928))
																												{	/* Stackable/walk.scm 209 */
																													BgL_objectz00_bglt
																														BgL_arg1858z00_4930;
																													BgL_arg1858z00_4930 =
																														(BgL_objectz00_bglt)
																														(BgL_az00_4928);
																													if (BGL_CONDEXPAND_ISA_ARCH64())
																														{	/* Stackable/walk.scm 209 */
																															long
																																BgL_idxz00_4931;
																															BgL_idxz00_4931 =
																																BGL_OBJECT_INHERITANCE_NUM
																																(BgL_arg1858z00_4930);
																															BgL_test2627z00_7130
																																=
																																(VECTOR_REF
																																(BGl_za2inheritancesza2z00zz__objectz00,
																																	(BgL_idxz00_4931
																																		+ 3L)) ==
																																BgL_classz00_4929);
																														}
																													else
																														{	/* Stackable/walk.scm 209 */
																															bool_t
																																BgL_res2303z00_4934;
																															{	/* Stackable/walk.scm 209 */
																																obj_t
																																	BgL_oclassz00_4935;
																																{	/* Stackable/walk.scm 209 */
																																	obj_t
																																		BgL_arg1866z00_4936;
																																	long
																																		BgL_arg1867z00_4937;
																																	BgL_arg1866z00_4936
																																		=
																																		(BGl_za2classesza2z00zz__objectz00);
																																	{	/* Stackable/walk.scm 209 */
																																		long
																																			BgL_arg1869z00_4938;
																																		BgL_arg1869z00_4938
																																			=
																																			BGL_OBJECT_CLASS_NUM
																																			(BgL_arg1858z00_4930);
																																		BgL_arg1867z00_4937
																																			=
																																			(BgL_arg1869z00_4938
																																			-
																																			OBJECT_TYPE);
																																	}
																																	BgL_oclassz00_4935
																																		=
																																		VECTOR_REF
																																		(BgL_arg1866z00_4936,
																																		BgL_arg1867z00_4937);
																																}
																																{	/* Stackable/walk.scm 209 */
																																	bool_t
																																		BgL__ortest_1115z00_4939;
																																	BgL__ortest_1115z00_4939
																																		=
																																		(BgL_classz00_4929
																																		==
																																		BgL_oclassz00_4935);
																																	if (BgL__ortest_1115z00_4939)
																																		{	/* Stackable/walk.scm 209 */
																																			BgL_res2303z00_4934
																																				=
																																				BgL__ortest_1115z00_4939;
																																		}
																																	else
																																		{	/* Stackable/walk.scm 209 */
																																			long
																																				BgL_odepthz00_4940;
																																			{	/* Stackable/walk.scm 209 */
																																				obj_t
																																					BgL_arg1855z00_4941;
																																				BgL_arg1855z00_4941
																																					=
																																					(BgL_oclassz00_4935);
																																				BgL_odepthz00_4940
																																					=
																																					BGL_CLASS_DEPTH
																																					(BgL_arg1855z00_4941);
																																			}
																																			if (
																																				(3L <
																																					BgL_odepthz00_4940))
																																				{	/* Stackable/walk.scm 209 */
																																					obj_t
																																						BgL_arg1853z00_4942;
																																					{	/* Stackable/walk.scm 209 */
																																						obj_t
																																							BgL_arg1854z00_4943;
																																						BgL_arg1854z00_4943
																																							=
																																							(BgL_oclassz00_4935);
																																						BgL_arg1853z00_4942
																																							=
																																							BGL_CLASS_ANCESTORS_REF
																																							(BgL_arg1854z00_4943,
																																							3L);
																																					}
																																					BgL_res2303z00_4934
																																						=
																																						(BgL_arg1853z00_4942
																																						==
																																						BgL_classz00_4929);
																																				}
																																			else
																																				{	/* Stackable/walk.scm 209 */
																																					BgL_res2303z00_4934
																																						=
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																}
																															}
																															BgL_test2627z00_7130
																																=
																																BgL_res2303z00_4934;
																														}
																												}
																											else
																												{	/* Stackable/walk.scm 209 */
																													BgL_test2627z00_7130 =
																														((bool_t) 0);
																												}
																										}
																										if (BgL_test2627z00_7130)
																											{	/* Stackable/walk.scm 209 */
																												BgL_nvz00_4927 =
																													(((BgL_appz00_bglt)
																														COBJECT((
																																(BgL_appz00_bglt)
																																BgL_az00_4928)))->
																													BgL_stackablez00);
																											}
																										else
																											{	/* Stackable/walk.scm 211 */
																												bool_t
																													BgL_test2632z00_7155;
																												{	/* Stackable/walk.scm 211 */
																													obj_t
																														BgL_classz00_4944;
																													BgL_classz00_4944 =
																														BGl_makezd2boxzd2zzast_nodez00;
																													if (BGL_OBJECTP
																														(BgL_az00_4928))
																														{	/* Stackable/walk.scm 211 */
																															BgL_objectz00_bglt
																																BgL_arg1858z00_4945;
																															BgL_arg1858z00_4945
																																=
																																(BgL_objectz00_bglt)
																																(BgL_az00_4928);
																															if (BGL_CONDEXPAND_ISA_ARCH64())
																																{	/* Stackable/walk.scm 211 */
																																	long
																																		BgL_idxz00_4946;
																																	BgL_idxz00_4946
																																		=
																																		BGL_OBJECT_INHERITANCE_NUM
																																		(BgL_arg1858z00_4945);
																																	BgL_test2632z00_7155
																																		=
																																		(VECTOR_REF
																																		(BGl_za2inheritancesza2z00zz__objectz00,
																																			(BgL_idxz00_4946
																																				+
																																				3L)) ==
																																		BgL_classz00_4944);
																																}
																															else
																																{	/* Stackable/walk.scm 211 */
																																	bool_t
																																		BgL_res2304z00_4949;
																																	{	/* Stackable/walk.scm 211 */
																																		obj_t
																																			BgL_oclassz00_4950;
																																		{	/* Stackable/walk.scm 211 */
																																			obj_t
																																				BgL_arg1866z00_4951;
																																			long
																																				BgL_arg1867z00_4952;
																																			BgL_arg1866z00_4951
																																				=
																																				(BGl_za2classesza2z00zz__objectz00);
																																			{	/* Stackable/walk.scm 211 */
																																				long
																																					BgL_arg1869z00_4953;
																																				BgL_arg1869z00_4953
																																					=
																																					BGL_OBJECT_CLASS_NUM
																																					(BgL_arg1858z00_4945);
																																				BgL_arg1867z00_4952
																																					=
																																					(BgL_arg1869z00_4953
																																					-
																																					OBJECT_TYPE);
																																			}
																																			BgL_oclassz00_4950
																																				=
																																				VECTOR_REF
																																				(BgL_arg1866z00_4951,
																																				BgL_arg1867z00_4952);
																																		}
																																		{	/* Stackable/walk.scm 211 */
																																			bool_t
																																				BgL__ortest_1115z00_4954;
																																			BgL__ortest_1115z00_4954
																																				=
																																				(BgL_classz00_4944
																																				==
																																				BgL_oclassz00_4950);
																																			if (BgL__ortest_1115z00_4954)
																																				{	/* Stackable/walk.scm 211 */
																																					BgL_res2304z00_4949
																																						=
																																						BgL__ortest_1115z00_4954;
																																				}
																																			else
																																				{	/* Stackable/walk.scm 211 */
																																					long
																																						BgL_odepthz00_4955;
																																					{	/* Stackable/walk.scm 211 */
																																						obj_t
																																							BgL_arg1855z00_4956;
																																						BgL_arg1855z00_4956
																																							=
																																							(BgL_oclassz00_4950);
																																						BgL_odepthz00_4955
																																							=
																																							BGL_CLASS_DEPTH
																																							(BgL_arg1855z00_4956);
																																					}
																																					if (
																																						(3L
																																							<
																																							BgL_odepthz00_4955))
																																						{	/* Stackable/walk.scm 211 */
																																							obj_t
																																								BgL_arg1853z00_4957;
																																							{	/* Stackable/walk.scm 211 */
																																								obj_t
																																									BgL_arg1854z00_4958;
																																								BgL_arg1854z00_4958
																																									=
																																									(BgL_oclassz00_4950);
																																								BgL_arg1853z00_4957
																																									=
																																									BGL_CLASS_ANCESTORS_REF
																																									(BgL_arg1854z00_4958,
																																									3L);
																																							}
																																							BgL_res2304z00_4949
																																								=
																																								(BgL_arg1853z00_4957
																																								==
																																								BgL_classz00_4944);
																																						}
																																					else
																																						{	/* Stackable/walk.scm 211 */
																																							BgL_res2304z00_4949
																																								=
																																								(
																																								(bool_t)
																																								0);
																																						}
																																				}
																																		}
																																	}
																																	BgL_test2632z00_7155
																																		=
																																		BgL_res2304z00_4949;
																																}
																														}
																													else
																														{	/* Stackable/walk.scm 211 */
																															BgL_test2632z00_7155
																																= ((bool_t) 0);
																														}
																												}
																												if (BgL_test2632z00_7155)
																													{	/* Stackable/walk.scm 211 */
																														BgL_nvz00_4927 =
																															(((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt) BgL_az00_4928)))->BgL_stackablez00);
																													}
																												else
																													{	/* Stackable/walk.scm 213 */
																														bool_t
																															BgL_test2637z00_7180;
																														{	/* Stackable/walk.scm 213 */
																															obj_t
																																BgL_classz00_4959;
																															BgL_classz00_4959
																																=
																																BGl_varz00zzast_nodez00;
																															if (BGL_OBJECTP
																																(BgL_az00_4928))
																																{	/* Stackable/walk.scm 213 */
																																	BgL_objectz00_bglt
																																		BgL_arg1858z00_4960;
																																	BgL_arg1858z00_4960
																																		=
																																		(BgL_objectz00_bglt)
																																		(BgL_az00_4928);
																																	if (BGL_CONDEXPAND_ISA_ARCH64())
																																		{	/* Stackable/walk.scm 213 */
																																			long
																																				BgL_idxz00_4961;
																																			BgL_idxz00_4961
																																				=
																																				BGL_OBJECT_INHERITANCE_NUM
																																				(BgL_arg1858z00_4960);
																																			BgL_test2637z00_7180
																																				=
																																				(VECTOR_REF
																																				(BGl_za2inheritancesza2z00zz__objectz00,
																																					(BgL_idxz00_4961
																																						+
																																						2L))
																																				==
																																				BgL_classz00_4959);
																																		}
																																	else
																																		{	/* Stackable/walk.scm 213 */
																																			bool_t
																																				BgL_res2305z00_4964;
																																			{	/* Stackable/walk.scm 213 */
																																				obj_t
																																					BgL_oclassz00_4965;
																																				{	/* Stackable/walk.scm 213 */
																																					obj_t
																																						BgL_arg1866z00_4966;
																																					long
																																						BgL_arg1867z00_4967;
																																					BgL_arg1866z00_4966
																																						=
																																						(BGl_za2classesza2z00zz__objectz00);
																																					{	/* Stackable/walk.scm 213 */
																																						long
																																							BgL_arg1869z00_4968;
																																						BgL_arg1869z00_4968
																																							=
																																							BGL_OBJECT_CLASS_NUM
																																							(BgL_arg1858z00_4960);
																																						BgL_arg1867z00_4967
																																							=
																																							(BgL_arg1869z00_4968
																																							-
																																							OBJECT_TYPE);
																																					}
																																					BgL_oclassz00_4965
																																						=
																																						VECTOR_REF
																																						(BgL_arg1866z00_4966,
																																						BgL_arg1867z00_4967);
																																				}
																																				{	/* Stackable/walk.scm 213 */
																																					bool_t
																																						BgL__ortest_1115z00_4969;
																																					BgL__ortest_1115z00_4969
																																						=
																																						(BgL_classz00_4959
																																						==
																																						BgL_oclassz00_4965);
																																					if (BgL__ortest_1115z00_4969)
																																						{	/* Stackable/walk.scm 213 */
																																							BgL_res2305z00_4964
																																								=
																																								BgL__ortest_1115z00_4969;
																																						}
																																					else
																																						{	/* Stackable/walk.scm 213 */
																																							long
																																								BgL_odepthz00_4970;
																																							{	/* Stackable/walk.scm 213 */
																																								obj_t
																																									BgL_arg1855z00_4971;
																																								BgL_arg1855z00_4971
																																									=
																																									(BgL_oclassz00_4965);
																																								BgL_odepthz00_4970
																																									=
																																									BGL_CLASS_DEPTH
																																									(BgL_arg1855z00_4971);
																																							}
																																							if ((2L < BgL_odepthz00_4970))
																																								{	/* Stackable/walk.scm 213 */
																																									obj_t
																																										BgL_arg1853z00_4972;
																																									{	/* Stackable/walk.scm 213 */
																																										obj_t
																																											BgL_arg1854z00_4973;
																																										BgL_arg1854z00_4973
																																											=
																																											(BgL_oclassz00_4965);
																																										BgL_arg1853z00_4972
																																											=
																																											BGL_CLASS_ANCESTORS_REF
																																											(BgL_arg1854z00_4973,
																																											2L);
																																									}
																																									BgL_res2305z00_4964
																																										=
																																										(BgL_arg1853z00_4972
																																										==
																																										BgL_classz00_4959);
																																								}
																																							else
																																								{	/* Stackable/walk.scm 213 */
																																									BgL_res2305z00_4964
																																										=
																																										(
																																										(bool_t)
																																										0);
																																								}
																																						}
																																				}
																																			}
																																			BgL_test2637z00_7180
																																				=
																																				BgL_res2305z00_4964;
																																		}
																																}
																															else
																																{	/* Stackable/walk.scm 213 */
																																	BgL_test2637z00_7180
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																														if (BgL_test2637z00_7180)
																															{	/* Stackable/walk.scm 215 */
																																bool_t
																																	BgL_test2642z00_7203;
																																{	/* Stackable/walk.scm 215 */
																																	BgL_variablez00_bglt
																																		BgL_arg2056z00_4974;
																																	BgL_arg2056z00_4974
																																		=
																																		(((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt) BgL_az00_4928)))->BgL_variablez00);
																																	{	/* Stackable/walk.scm 215 */
																																		obj_t
																																			BgL_classz00_4975;
																																		BgL_classz00_4975
																																			=
																																			BGl_localz00zzast_varz00;
																																		{	/* Stackable/walk.scm 215 */
																																			BgL_objectz00_bglt
																																				BgL_arg1858z00_4976;
																																			{	/* Stackable/walk.scm 215 */
																																				obj_t
																																					BgL_tmpz00_7206;
																																				BgL_tmpz00_7206
																																					=
																																					(
																																					(obj_t)
																																					((BgL_objectz00_bglt) BgL_arg2056z00_4974));
																																				BgL_arg1858z00_4976
																																					=
																																					(BgL_objectz00_bglt)
																																					(BgL_tmpz00_7206);
																																			}
																																			if (BGL_CONDEXPAND_ISA_ARCH64())
																																				{	/* Stackable/walk.scm 215 */
																																					long
																																						BgL_idxz00_4977;
																																					BgL_idxz00_4977
																																						=
																																						BGL_OBJECT_INHERITANCE_NUM
																																						(BgL_arg1858z00_4976);
																																					BgL_test2642z00_7203
																																						=
																																						(VECTOR_REF
																																						(BGl_za2inheritancesza2z00zz__objectz00,
																																							(BgL_idxz00_4977
																																								+
																																								2L))
																																						==
																																						BgL_classz00_4975);
																																				}
																																			else
																																				{	/* Stackable/walk.scm 215 */
																																					bool_t
																																						BgL_res2306z00_4980;
																																					{	/* Stackable/walk.scm 215 */
																																						obj_t
																																							BgL_oclassz00_4981;
																																						{	/* Stackable/walk.scm 215 */
																																							obj_t
																																								BgL_arg1866z00_4982;
																																							long
																																								BgL_arg1867z00_4983;
																																							BgL_arg1866z00_4982
																																								=
																																								(BGl_za2classesza2z00zz__objectz00);
																																							{	/* Stackable/walk.scm 215 */
																																								long
																																									BgL_arg1869z00_4984;
																																								BgL_arg1869z00_4984
																																									=
																																									BGL_OBJECT_CLASS_NUM
																																									(BgL_arg1858z00_4976);
																																								BgL_arg1867z00_4983
																																									=
																																									(BgL_arg1869z00_4984
																																									-
																																									OBJECT_TYPE);
																																							}
																																							BgL_oclassz00_4981
																																								=
																																								VECTOR_REF
																																								(BgL_arg1866z00_4982,
																																								BgL_arg1867z00_4983);
																																						}
																																						{	/* Stackable/walk.scm 215 */
																																							bool_t
																																								BgL__ortest_1115z00_4985;
																																							BgL__ortest_1115z00_4985
																																								=
																																								(BgL_classz00_4975
																																								==
																																								BgL_oclassz00_4981);
																																							if (BgL__ortest_1115z00_4985)
																																								{	/* Stackable/walk.scm 215 */
																																									BgL_res2306z00_4980
																																										=
																																										BgL__ortest_1115z00_4985;
																																								}
																																							else
																																								{	/* Stackable/walk.scm 215 */
																																									long
																																										BgL_odepthz00_4986;
																																									{	/* Stackable/walk.scm 215 */
																																										obj_t
																																											BgL_arg1855z00_4987;
																																										BgL_arg1855z00_4987
																																											=
																																											(BgL_oclassz00_4981);
																																										BgL_odepthz00_4986
																																											=
																																											BGL_CLASS_DEPTH
																																											(BgL_arg1855z00_4987);
																																									}
																																									if ((2L < BgL_odepthz00_4986))
																																										{	/* Stackable/walk.scm 215 */
																																											obj_t
																																												BgL_arg1853z00_4988;
																																											{	/* Stackable/walk.scm 215 */
																																												obj_t
																																													BgL_arg1854z00_4989;
																																												BgL_arg1854z00_4989
																																													=
																																													(BgL_oclassz00_4981);
																																												BgL_arg1853z00_4988
																																													=
																																													BGL_CLASS_ANCESTORS_REF
																																													(BgL_arg1854z00_4989,
																																													2L);
																																											}
																																											BgL_res2306z00_4980
																																												=
																																												(BgL_arg1853z00_4988
																																												==
																																												BgL_classz00_4975);
																																										}
																																									else
																																										{	/* Stackable/walk.scm 215 */
																																											BgL_res2306z00_4980
																																												=
																																												(
																																												(bool_t)
																																												0);
																																										}
																																								}
																																						}
																																					}
																																					BgL_test2642z00_7203
																																						=
																																						BgL_res2306z00_4980;
																																				}
																																		}
																																	}
																																}
																																if (BgL_test2642z00_7203)
																																	{	/* Stackable/walk.scm 215 */
																																		BgL_nvz00_4927
																																			=
																																			(((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) (((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt) BgL_az00_4928)))->BgL_variablez00))))->BgL_valzd2noescapezd2);
																																	}
																																else
																																	{	/* Stackable/walk.scm 215 */
																																		BgL_nvz00_4927
																																			= BFALSE;
																																	}
																															}
																														else
																															{	/* Stackable/walk.scm 218 */
																																bool_t
																																	BgL_test2646z00_7233;
																																{	/* Stackable/walk.scm 218 */
																																	obj_t
																																		BgL_classz00_4990;
																																	BgL_classz00_4990
																																		=
																																		BGl_atomz00zzast_nodez00;
																																	if (BGL_OBJECTP(BgL_az00_4928))
																																		{	/* Stackable/walk.scm 218 */
																																			BgL_objectz00_bglt
																																				BgL_arg1858z00_4991;
																																			BgL_arg1858z00_4991
																																				=
																																				(BgL_objectz00_bglt)
																																				(BgL_az00_4928);
																																			if (BGL_CONDEXPAND_ISA_ARCH64())
																																				{	/* Stackable/walk.scm 218 */
																																					long
																																						BgL_idxz00_4992;
																																					BgL_idxz00_4992
																																						=
																																						BGL_OBJECT_INHERITANCE_NUM
																																						(BgL_arg1858z00_4991);
																																					BgL_test2646z00_7233
																																						=
																																						(VECTOR_REF
																																						(BGl_za2inheritancesza2z00zz__objectz00,
																																							(BgL_idxz00_4992
																																								+
																																								2L))
																																						==
																																						BgL_classz00_4990);
																																				}
																																			else
																																				{	/* Stackable/walk.scm 218 */
																																					bool_t
																																						BgL_res2307z00_4995;
																																					{	/* Stackable/walk.scm 218 */
																																						obj_t
																																							BgL_oclassz00_4996;
																																						{	/* Stackable/walk.scm 218 */
																																							obj_t
																																								BgL_arg1866z00_4997;
																																							long
																																								BgL_arg1867z00_4998;
																																							BgL_arg1866z00_4997
																																								=
																																								(BGl_za2classesza2z00zz__objectz00);
																																							{	/* Stackable/walk.scm 218 */
																																								long
																																									BgL_arg1869z00_4999;
																																								BgL_arg1869z00_4999
																																									=
																																									BGL_OBJECT_CLASS_NUM
																																									(BgL_arg1858z00_4991);
																																								BgL_arg1867z00_4998
																																									=
																																									(BgL_arg1869z00_4999
																																									-
																																									OBJECT_TYPE);
																																							}
																																							BgL_oclassz00_4996
																																								=
																																								VECTOR_REF
																																								(BgL_arg1866z00_4997,
																																								BgL_arg1867z00_4998);
																																						}
																																						{	/* Stackable/walk.scm 218 */
																																							bool_t
																																								BgL__ortest_1115z00_5000;
																																							BgL__ortest_1115z00_5000
																																								=
																																								(BgL_classz00_4990
																																								==
																																								BgL_oclassz00_4996);
																																							if (BgL__ortest_1115z00_5000)
																																								{	/* Stackable/walk.scm 218 */
																																									BgL_res2307z00_4995
																																										=
																																										BgL__ortest_1115z00_5000;
																																								}
																																							else
																																								{	/* Stackable/walk.scm 218 */
																																									long
																																										BgL_odepthz00_5001;
																																									{	/* Stackable/walk.scm 218 */
																																										obj_t
																																											BgL_arg1855z00_5002;
																																										BgL_arg1855z00_5002
																																											=
																																											(BgL_oclassz00_4996);
																																										BgL_odepthz00_5001
																																											=
																																											BGL_CLASS_DEPTH
																																											(BgL_arg1855z00_5002);
																																									}
																																									if ((2L < BgL_odepthz00_5001))
																																										{	/* Stackable/walk.scm 218 */
																																											obj_t
																																												BgL_arg1853z00_5003;
																																											{	/* Stackable/walk.scm 218 */
																																												obj_t
																																													BgL_arg1854z00_5004;
																																												BgL_arg1854z00_5004
																																													=
																																													(BgL_oclassz00_4996);
																																												BgL_arg1853z00_5003
																																													=
																																													BGL_CLASS_ANCESTORS_REF
																																													(BgL_arg1854z00_5004,
																																													2L);
																																											}
																																											BgL_res2307z00_4995
																																												=
																																												(BgL_arg1853z00_5003
																																												==
																																												BgL_classz00_4990);
																																										}
																																									else
																																										{	/* Stackable/walk.scm 218 */
																																											BgL_res2307z00_4995
																																												=
																																												(
																																												(bool_t)
																																												0);
																																										}
																																								}
																																						}
																																					}
																																					BgL_test2646z00_7233
																																						=
																																						BgL_res2307z00_4995;
																																				}
																																		}
																																	else
																																		{	/* Stackable/walk.scm 218 */
																																			BgL_test2646z00_7233
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																																if (BgL_test2646z00_7233)
																																	{	/* Stackable/walk.scm 218 */
																																		BgL_nvz00_4927
																																			= BTRUE;
																																	}
																																else
																																	{	/* Stackable/walk.scm 218 */
																																		obj_t
																																			BgL_classz00_5005;
																																		BgL_classz00_5005
																																			=
																																			BGl_kwotez00zzast_nodez00;
																																		if (BGL_OBJECTP(BgL_az00_4928))
																																			{	/* Stackable/walk.scm 218 */
																																				BgL_objectz00_bglt
																																					BgL_arg1858z00_5006;
																																				BgL_arg1858z00_5006
																																					=
																																					(BgL_objectz00_bglt)
																																					(BgL_az00_4928);
																																				if (BGL_CONDEXPAND_ISA_ARCH64())
																																					{	/* Stackable/walk.scm 218 */
																																						long
																																							BgL_idxz00_5007;
																																						BgL_idxz00_5007
																																							=
																																							BGL_OBJECT_INHERITANCE_NUM
																																							(BgL_arg1858z00_5006);
																																						{	/* Stackable/walk.scm 218 */
																																							obj_t
																																								BgL_arg1849z00_5008;
																																							BgL_arg1849z00_5008
																																								=
																																								VECTOR_REF
																																								(BGl_za2inheritancesza2z00zz__objectz00,
																																								(BgL_idxz00_5007
																																									+
																																									2L));
																																							BgL_nvz00_4927
																																								=
																																								BBOOL
																																								(
																																								(BgL_arg1849z00_5008
																																									==
																																									BgL_classz00_5005));
																																					}}
																																				else
																																					{	/* Stackable/walk.scm 218 */
																																						bool_t
																																							BgL_res2308z00_5010;
																																						{	/* Stackable/walk.scm 218 */
																																							obj_t
																																								BgL_oclassz00_5011;
																																							{	/* Stackable/walk.scm 218 */
																																								obj_t
																																									BgL_arg1866z00_5012;
																																								long
																																									BgL_arg1867z00_5013;
																																								BgL_arg1866z00_5012
																																									=
																																									(BGl_za2classesza2z00zz__objectz00);
																																								{	/* Stackable/walk.scm 218 */
																																									long
																																										BgL_arg1869z00_5014;
																																									BgL_arg1869z00_5014
																																										=
																																										BGL_OBJECT_CLASS_NUM
																																										(BgL_arg1858z00_5006);
																																									BgL_arg1867z00_5013
																																										=
																																										(BgL_arg1869z00_5014
																																										-
																																										OBJECT_TYPE);
																																								}
																																								BgL_oclassz00_5011
																																									=
																																									VECTOR_REF
																																									(BgL_arg1866z00_5012,
																																									BgL_arg1867z00_5013);
																																							}
																																							{	/* Stackable/walk.scm 218 */
																																								bool_t
																																									BgL__ortest_1115z00_5015;
																																								BgL__ortest_1115z00_5015
																																									=
																																									(BgL_classz00_5005
																																									==
																																									BgL_oclassz00_5011);
																																								if (BgL__ortest_1115z00_5015)
																																									{	/* Stackable/walk.scm 218 */
																																										BgL_res2308z00_5010
																																											=
																																											BgL__ortest_1115z00_5015;
																																									}
																																								else
																																									{	/* Stackable/walk.scm 218 */
																																										long
																																											BgL_odepthz00_5016;
																																										{	/* Stackable/walk.scm 218 */
																																											obj_t
																																												BgL_arg1855z00_5017;
																																											BgL_arg1855z00_5017
																																												=
																																												(BgL_oclassz00_5011);
																																											BgL_odepthz00_5016
																																												=
																																												BGL_CLASS_DEPTH
																																												(BgL_arg1855z00_5017);
																																										}
																																										if ((2L < BgL_odepthz00_5016))
																																											{	/* Stackable/walk.scm 218 */
																																												obj_t
																																													BgL_arg1853z00_5018;
																																												{	/* Stackable/walk.scm 218 */
																																													obj_t
																																														BgL_arg1854z00_5019;
																																													BgL_arg1854z00_5019
																																														=
																																														(BgL_oclassz00_5011);
																																													BgL_arg1853z00_5018
																																														=
																																														BGL_CLASS_ANCESTORS_REF
																																														(BgL_arg1854z00_5019,
																																														2L);
																																												}
																																												BgL_res2308z00_5010
																																													=
																																													(BgL_arg1853z00_5018
																																													==
																																													BgL_classz00_5005);
																																											}
																																										else
																																											{	/* Stackable/walk.scm 218 */
																																												BgL_res2308z00_5010
																																													=
																																													(
																																													(bool_t)
																																													0);
																																											}
																																									}
																																							}
																																						}
																																						BgL_nvz00_4927
																																							=
																																							BBOOL
																																							(BgL_res2308z00_5010);
																																					}
																																			}
																																		else
																																			{	/* Stackable/walk.scm 218 */
																																				BgL_nvz00_4927
																																					=
																																					BFALSE;
																																			}
																																	}
																															}
																													}
																											}
																									}
																								}
																								if (CBOOL(BgL_nvz00_4927))
																									{
																										obj_t BgL_l1414z00_7282;

																										BgL_l1414z00_7282 =
																											CDR(
																											((obj_t)
																												BgL_l1414z00_4926));
																										BgL_l1414z00_4926 =
																											BgL_l1414z00_7282;
																										goto
																											BgL_zc3z04anonymousza32048ze3z87_4925;
																									}
																								else
																									{	/* Stackable/walk.scm 207 */
																										BgL_test2623z00_7115 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																			else
																				{	/* Stackable/walk.scm 251 */
																					BgL_test2623z00_7115 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Stackable/walk.scm 251 */
																			BgL_test2623z00_7115 = ((bool_t) 0);
																		}
																	if (BgL_test2623z00_7115)
																		{	/* Stackable/walk.scm 252 */
																			obj_t BgL_g1430z00_5116;

																			BgL_g1430z00_5116 =
																				(((BgL_appz00_bglt) COBJECT(
																						((BgL_appz00_bglt)
																							BgL_nodez00_4705)))->BgL_argsz00);
																			{
																				obj_t BgL_l1428z00_5118;

																				BgL_l1428z00_5118 = BgL_g1430z00_5116;
																			BgL_zc3z04anonymousza32001ze3z87_5117:
																				if (PAIRP(BgL_l1428z00_5118))
																					{	/* Stackable/walk.scm 252 */
																						{	/* Stackable/walk.scm 252 */
																							obj_t BgL_az00_5119;

																							BgL_az00_5119 =
																								CAR(BgL_l1428z00_5118);
																							BGl_stackablez00zzstackable_walkz00
																								(((BgL_nodez00_bglt)
																									BgL_az00_5119), ((bool_t) 0),
																								(long) CINT(BgL_depthz00_4707),
																								((obj_t) BgL_ctxz00_4708));
																						}
																						{
																							obj_t BgL_l1428z00_7296;

																							BgL_l1428z00_7296 =
																								CDR(BgL_l1428z00_5118);
																							BgL_l1428z00_5118 =
																								BgL_l1428z00_7296;
																							goto
																								BgL_zc3z04anonymousza32001ze3z87_5117;
																						}
																					}
																				else
																					{	/* Stackable/walk.scm 252 */
																						BgL_tmpz00_6905 = ((bool_t) 1);
																					}
																			}
																		}
																	else
																		{	/* Stackable/walk.scm 253 */
																			bool_t BgL_test2657z00_7298;

																			{	/* Stackable/walk.scm 253 */
																				bool_t BgL_test2658z00_7299;

																				{	/* Stackable/walk.scm 253 */
																					obj_t BgL_tmpz00_7300;

																					BgL_tmpz00_7300 =
																						(((BgL_funz00_bglt) COBJECT(
																								((BgL_funz00_bglt)
																									BgL_fz00_5021)))->
																						BgL_argszd2noescapezd2);
																					BgL_test2658z00_7299 =
																						PAIRP(BgL_tmpz00_7300);
																				}
																				if (BgL_test2658z00_7299)
																					{	/* Stackable/walk.scm 253 */
																						BgL_test2657z00_7298 = ((bool_t) 1);
																					}
																				else
																					{	/* Stackable/walk.scm 253 */
																						obj_t BgL_tmpz00_7304;

																						BgL_tmpz00_7304 =
																							(((BgL_funz00_bglt) COBJECT(
																									((BgL_funz00_bglt)
																										BgL_fz00_5021)))->
																							BgL_argszd2retescapezd2);
																						BgL_test2657z00_7298 =
																							PAIRP(BgL_tmpz00_7304);
																					}
																			}
																			if (BgL_test2657z00_7298)
																				{
																					long BgL_iz00_5121;
																					obj_t BgL_argsz00_5122;

																					BgL_iz00_5121 = 0L;
																					BgL_argsz00_5122 =
																						(((BgL_appz00_bglt) COBJECT(
																								((BgL_appz00_bglt)
																									BgL_nodez00_4705)))->
																						BgL_argsz00);
																				BgL_loopz00_5120:
																					if (PAIRP(BgL_argsz00_5122))
																						{	/* Stackable/walk.scm 256 */
																							if (CBOOL
																								(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																									(BINT(BgL_iz00_5121),
																										(((BgL_funz00_bglt)
																												COBJECT((
																														(BgL_funz00_bglt)
																														BgL_fz00_5021)))->
																											BgL_argszd2noescapezd2))))
																								{	/* Stackable/walk.scm 259 */
																									obj_t BgL_arg2014z00_5123;

																									BgL_arg2014z00_5123 =
																										CAR(BgL_argsz00_5122);
																									BGl_stackablez00zzstackable_walkz00
																										(((BgL_nodez00_bglt)
																											BgL_arg2014z00_5123),
																										((bool_t) 0), 100000L,
																										((obj_t) BgL_ctxz00_4708));
																								}
																							else
																								{	/* Stackable/walk.scm 260 */
																									bool_t BgL_test2661z00_7320;

																									if (CBOOL
																										(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																											(BINT(BgL_iz00_5121),
																												(((BgL_funz00_bglt)
																														COBJECT((
																																(BgL_funz00_bglt)
																																BgL_fz00_5021)))->
																													BgL_argszd2retescapezd2))))
																										{	/* Stackable/walk.scm 260 */
																											BgL_test2661z00_7320 =
																												CBOOL(
																												(((BgL_appz00_bglt)
																														COBJECT((
																																(BgL_appz00_bglt)
																																BgL_nodez00_4705)))->
																													BgL_stackablez00));
																										}
																									else
																										{	/* Stackable/walk.scm 260 */
																											BgL_test2661z00_7320 =
																												((bool_t) 0);
																										}
																									if (BgL_test2661z00_7320)
																										{	/* Stackable/walk.scm 261 */
																											obj_t BgL_arg2021z00_5124;
																											bool_t
																												BgL_arg2022z00_5125;
																											BgL_arg2021z00_5124 =
																												CAR(BgL_argsz00_5122);
																											if (CBOOL(((
																															(BgL_appz00_bglt)
																															COBJECT((
																																	(BgL_appz00_bglt)
																																	BgL_nodez00_4705)))->
																														BgL_stackablez00)))
																												{	/* Stackable/walk.scm 261 */
																													BgL_arg2022z00_5125 =
																														((bool_t) 0);
																												}
																											else
																												{	/* Stackable/walk.scm 261 */
																													BgL_arg2022z00_5125 =
																														((bool_t) 1);
																												}
																											BGl_stackablez00zzstackable_walkz00
																												(((BgL_nodez00_bglt)
																													BgL_arg2021z00_5124),
																												BgL_arg2022z00_5125,
																												(long)
																												CINT(BgL_depthz00_4707),
																												((obj_t)
																													BgL_ctxz00_4708));
																										}
																									else
																										{	/* Stackable/walk.scm 263 */
																											obj_t BgL_arg2024z00_5126;

																											BgL_arg2024z00_5126 =
																												CAR(BgL_argsz00_5122);
																											BGl_stackablez00zzstackable_walkz00
																												(((BgL_nodez00_bglt)
																													BgL_arg2024z00_5126),
																												((bool_t) 1),
																												(long)
																												CINT(BgL_depthz00_4707),
																												((obj_t)
																													BgL_ctxz00_4708));
																								}}
																							{
																								obj_t BgL_argsz00_7346;
																								long BgL_iz00_7344;

																								BgL_iz00_7344 =
																									(BgL_iz00_5121 + 1L);
																								BgL_argsz00_7346 =
																									CDR(BgL_argsz00_5122);
																								BgL_argsz00_5122 =
																									BgL_argsz00_7346;
																								BgL_iz00_5121 = BgL_iz00_7344;
																								goto BgL_loopz00_5120;
																							}
																						}
																					else
																						{	/* Stackable/walk.scm 256 */
																							BgL_tmpz00_6905 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Stackable/walk.scm 266 */
																					obj_t BgL_g1433z00_5127;

																					BgL_g1433z00_5127 =
																						(((BgL_appz00_bglt) COBJECT(
																								((BgL_appz00_bglt)
																									BgL_nodez00_4705)))->
																						BgL_argsz00);
																					{
																						obj_t BgL_l1431z00_5129;

																						BgL_l1431z00_5129 =
																							BgL_g1433z00_5127;
																					BgL_zc3z04anonymousza32029ze3z87_5128:
																						if (PAIRP
																							(BgL_l1431z00_5129))
																							{	/* Stackable/walk.scm 266 */
																								{	/* Stackable/walk.scm 266 */
																									obj_t BgL_az00_5130;

																									BgL_az00_5130 =
																										CAR(BgL_l1431z00_5129);
																									BGl_stackablez00zzstackable_walkz00
																										(((BgL_nodez00_bglt)
																											BgL_az00_5130),
																										((bool_t) 1), 100000L,
																										((obj_t) BgL_ctxz00_4708));
																								}
																								{
																									obj_t BgL_l1431z00_7358;

																									BgL_l1431z00_7358 =
																										CDR(BgL_l1431z00_5129);
																									BgL_l1431z00_5129 =
																										BgL_l1431z00_7358;
																									goto
																										BgL_zc3z04anonymousza32029ze3z87_5128;
																								}
																							}
																						else
																							{	/* Stackable/walk.scm 266 */
																								BgL_tmpz00_6905 = ((bool_t) 1);
																							}
																					}
																				}
																		}
																}
														}
													else
														{	/* Stackable/walk.scm 268 */
															obj_t BgL_g1436z00_5131;

															BgL_g1436z00_5131 =
																(((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt) BgL_nodez00_4705)))->
																BgL_argsz00);
															{
																obj_t BgL_l1434z00_5133;

																BgL_l1434z00_5133 = BgL_g1436z00_5131;
															BgL_zc3z04anonymousza32039ze3z87_5132:
																if (PAIRP(BgL_l1434z00_5133))
																	{	/* Stackable/walk.scm 268 */
																		{	/* Stackable/walk.scm 268 */
																			obj_t BgL_az00_5134;

																			BgL_az00_5134 = CAR(BgL_l1434z00_5133);
																			BGl_stackablez00zzstackable_walkz00(
																				((BgL_nodez00_bglt) BgL_az00_5134),
																				((bool_t) 1), 100000L,
																				((obj_t) BgL_ctxz00_4708));
																		}
																		{
																			obj_t BgL_l1434z00_7368;

																			BgL_l1434z00_7368 =
																				CDR(BgL_l1434z00_5133);
																			BgL_l1434z00_5133 = BgL_l1434z00_7368;
																			goto
																				BgL_zc3z04anonymousza32039ze3z87_5132;
																		}
																	}
																else
																	{	/* Stackable/walk.scm 268 */
																		BgL_tmpz00_6905 = ((bool_t) 1);
																	}
															}
														}
												}
										}
								}
							}
						}
					}
				}
				return BBOOL(BgL_tmpz00_6905);
			}
		}

	}



/* &stackable-let-fun1479 */
	obj_t BGl_z62stackablezd2letzd2fun1479z62zzstackable_walkz00(obj_t
		BgL_envz00_4709, obj_t BgL_nodez00_4710, obj_t BgL_escpz00_4711,
		obj_t BgL_depthz00_4712, obj_t BgL_ctxz00_4713)
	{
		{	/* Stackable/walk.scm 177 */
			{	/* Stackable/walk.scm 179 */
				obj_t BgL_g1413z00_5137;

				BgL_g1413z00_5137 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_4710)))->BgL_localsz00);
				{
					obj_t BgL_l1411z00_5139;

					BgL_l1411z00_5139 = BgL_g1413z00_5137;
				BgL_zc3z04anonymousza31949ze3z87_5138:
					if (PAIRP(BgL_l1411z00_5139))
						{	/* Stackable/walk.scm 179 */
							{	/* Stackable/walk.scm 180 */
								obj_t BgL_localz00_5140;

								BgL_localz00_5140 = CAR(BgL_l1411z00_5139);
								{	/* Stackable/walk.scm 181 */
									BgL_sfunz00_bglt BgL_i1189z00_5141;

									BgL_i1189z00_5141 =
										((BgL_sfunz00_bglt)
										(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_localz00_5140))))->
											BgL_valuez00));
									{	/* Stackable/walk.scm 182 */
										obj_t BgL_arg1953z00_5142;
										long BgL_arg1954z00_5143;

										BgL_arg1953z00_5142 =
											(((BgL_sfunz00_bglt) COBJECT(BgL_i1189z00_5141))->
											BgL_bodyz00);
										{
											BgL_localzf2depthzf2_bglt BgL_auxz00_7381;

											{
												obj_t BgL_auxz00_7382;

												{	/* Stackable/walk.scm 182 */
													BgL_objectz00_bglt BgL_tmpz00_7383;

													BgL_tmpz00_7383 =
														((BgL_objectz00_bglt)
														((BgL_localz00_bglt) BgL_localz00_5140));
													BgL_auxz00_7382 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_7383);
												}
												BgL_auxz00_7381 =
													((BgL_localzf2depthzf2_bglt) BgL_auxz00_7382);
											}
											BgL_arg1954z00_5143 =
												(((BgL_localzf2depthzf2_bglt)
													COBJECT(BgL_auxz00_7381))->BgL_depthz00);
										}
										BGl_stackablez00zzstackable_walkz00(
											((BgL_nodez00_bglt) BgL_arg1953z00_5142), ((bool_t) 0),
											BgL_arg1954z00_5143, ((obj_t) BgL_ctxz00_4713));
							}}}
							{
								obj_t BgL_l1411z00_7392;

								BgL_l1411z00_7392 = CDR(BgL_l1411z00_5139);
								BgL_l1411z00_5139 = BgL_l1411z00_7392;
								goto BgL_zc3z04anonymousza31949ze3z87_5138;
							}
						}
					else
						{	/* Stackable/walk.scm 179 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_stackablez00zzstackable_walkz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_4710)))->BgL_bodyz00),
				CBOOL(BgL_escpz00_4711),
				(long) CINT(BgL_depthz00_4712), ((obj_t) BgL_ctxz00_4713));
		}

	}



/* &stackable-let-var1477 */
	obj_t BGl_z62stackablezd2letzd2var1477z62zzstackable_walkz00(obj_t
		BgL_envz00_4714, obj_t BgL_nodez00_4715, obj_t BgL_escpz00_4716,
		obj_t BgL_depthz00_4717, obj_t BgL_ctxz00_4718)
	{
		{	/* Stackable/walk.scm 164 */
			{	/* Stackable/walk.scm 166 */
				obj_t BgL_g1410z00_5146;

				BgL_g1410z00_5146 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_4715)))->BgL_bindingsz00);
				{
					obj_t BgL_l1408z00_5148;

					BgL_l1408z00_5148 = BgL_g1410z00_5146;
				BgL_zc3z04anonymousza31938ze3z87_5147:
					if (PAIRP(BgL_l1408z00_5148))
						{	/* Stackable/walk.scm 166 */
							{	/* Stackable/walk.scm 167 */
								obj_t BgL_bindz00_5149;

								BgL_bindz00_5149 = CAR(BgL_l1408z00_5148);
								{	/* Stackable/walk.scm 167 */
									obj_t BgL_varz00_5150;
									obj_t BgL_valz00_5151;

									BgL_varz00_5150 = CAR(((obj_t) BgL_bindz00_5149));
									BgL_valz00_5151 = CDR(((obj_t) BgL_bindz00_5149));
									{	/* Stackable/walk.scm 170 */
										bool_t BgL_arg1940z00_5152;
										long BgL_arg1942z00_5153;

										if (CBOOL(
												(((BgL_localz00_bglt) COBJECT(
															((BgL_localz00_bglt)
																((BgL_localz00_bglt) BgL_varz00_5150))))->
													BgL_valzd2noescapezd2)))
											{	/* Stackable/walk.scm 170 */
												BgL_arg1940z00_5152 = ((bool_t) 0);
											}
										else
											{	/* Stackable/walk.scm 170 */
												BgL_arg1940z00_5152 = ((bool_t) 1);
											}
										{
											BgL_localzf2depthzf2_bglt BgL_auxz00_7414;

											{
												obj_t BgL_auxz00_7415;

												{	/* Stackable/walk.scm 170 */
													BgL_objectz00_bglt BgL_tmpz00_7416;

													BgL_tmpz00_7416 =
														((BgL_objectz00_bglt)
														((BgL_localz00_bglt) BgL_varz00_5150));
													BgL_auxz00_7415 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_7416);
												}
												BgL_auxz00_7414 =
													((BgL_localzf2depthzf2_bglt) BgL_auxz00_7415);
											}
											BgL_arg1942z00_5153 =
												(((BgL_localzf2depthzf2_bglt)
													COBJECT(BgL_auxz00_7414))->BgL_depthz00);
										}
										BGl_stackablez00zzstackable_walkz00(
											((BgL_nodez00_bglt) BgL_valz00_5151), BgL_arg1940z00_5152,
											BgL_arg1942z00_5153, ((obj_t) BgL_ctxz00_4718));
									}
								}
							}
							{
								obj_t BgL_l1408z00_7425;

								BgL_l1408z00_7425 = CDR(BgL_l1408z00_5148);
								BgL_l1408z00_5148 = BgL_l1408z00_7425;
								goto BgL_zc3z04anonymousza31938ze3z87_5147;
							}
						}
					else
						{	/* Stackable/walk.scm 166 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_stackablez00zzstackable_walkz00(
				(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_4715)))->BgL_bodyz00),
				CBOOL(BgL_escpz00_4716),
				(long) CINT(BgL_depthz00_4717), ((obj_t) BgL_ctxz00_4718));
		}

	}



/* &stackable-conditiona1475 */
	obj_t BGl_z62stackablezd2conditiona1475zb0zzstackable_walkz00(obj_t
		BgL_envz00_4719, obj_t BgL_nodez00_4720, obj_t BgL_escpz00_4721,
		obj_t BgL_depthz00_4722, obj_t BgL_ctxz00_4723)
	{
		{	/* Stackable/walk.scm 155 */
			BGl_stackablez00zzstackable_walkz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_4720)))->BgL_testz00),
				((bool_t) 0), (long) CINT(BgL_depthz00_4722),
				((obj_t) BgL_ctxz00_4723));
			BGl_stackablez00zzstackable_walkz00((((BgL_conditionalz00_bglt)
						COBJECT(((BgL_conditionalz00_bglt) BgL_nodez00_4720)))->
					BgL_truez00), CBOOL(BgL_escpz00_4721), (long) CINT(BgL_depthz00_4722),
				((obj_t) BgL_ctxz00_4723));
			return BGl_stackablez00zzstackable_walkz00((((BgL_conditionalz00_bglt)
						COBJECT(((BgL_conditionalz00_bglt) BgL_nodez00_4720)))->
					BgL_falsez00), CBOOL(BgL_escpz00_4721),
				(long) CINT(BgL_depthz00_4722), ((obj_t) BgL_ctxz00_4723));
		}

	}



/* &stackable-setq1473 */
	obj_t BGl_z62stackablezd2setq1473zb0zzstackable_walkz00(obj_t BgL_envz00_4724,
		obj_t BgL_nodez00_4725, obj_t BgL_escpz00_4726, obj_t BgL_depthz00_4727,
		obj_t BgL_ctxz00_4728)
	{
		{	/* Stackable/walk.scm 144 */
			{	/* Stackable/walk.scm 146 */
				BgL_varz00_bglt BgL_i1182z00_5158;

				BgL_i1182z00_5158 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_4725)))->BgL_varz00);
				{	/* Stackable/walk.scm 147 */
					bool_t BgL_test2669z00_7452;

					{	/* Stackable/walk.scm 147 */
						BgL_variablez00_bglt BgL_arg1927z00_5159;

						BgL_arg1927z00_5159 =
							(((BgL_varz00_bglt) COBJECT(BgL_i1182z00_5158))->BgL_variablez00);
						{	/* Stackable/walk.scm 147 */
							obj_t BgL_classz00_5160;

							BgL_classz00_5160 = BGl_globalz00zzast_varz00;
							{	/* Stackable/walk.scm 147 */
								BgL_objectz00_bglt BgL_arg1858z00_5161;

								{	/* Stackable/walk.scm 147 */
									obj_t BgL_tmpz00_7454;

									BgL_tmpz00_7454 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg1927z00_5159));
									BgL_arg1858z00_5161 = (BgL_objectz00_bglt) (BgL_tmpz00_7454);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Stackable/walk.scm 147 */
										long BgL_idxz00_5162;

										BgL_idxz00_5162 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5161);
										BgL_test2669z00_7452 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_5162 + 2L)) == BgL_classz00_5160);
									}
								else
									{	/* Stackable/walk.scm 147 */
										bool_t BgL_res2302z00_5165;

										{	/* Stackable/walk.scm 147 */
											obj_t BgL_oclassz00_5166;

											{	/* Stackable/walk.scm 147 */
												obj_t BgL_arg1866z00_5167;
												long BgL_arg1867z00_5168;

												BgL_arg1866z00_5167 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Stackable/walk.scm 147 */
													long BgL_arg1869z00_5169;

													BgL_arg1869z00_5169 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5161);
													BgL_arg1867z00_5168 =
														(BgL_arg1869z00_5169 - OBJECT_TYPE);
												}
												BgL_oclassz00_5166 =
													VECTOR_REF(BgL_arg1866z00_5167, BgL_arg1867z00_5168);
											}
											{	/* Stackable/walk.scm 147 */
												bool_t BgL__ortest_1115z00_5170;

												BgL__ortest_1115z00_5170 =
													(BgL_classz00_5160 == BgL_oclassz00_5166);
												if (BgL__ortest_1115z00_5170)
													{	/* Stackable/walk.scm 147 */
														BgL_res2302z00_5165 = BgL__ortest_1115z00_5170;
													}
												else
													{	/* Stackable/walk.scm 147 */
														long BgL_odepthz00_5171;

														{	/* Stackable/walk.scm 147 */
															obj_t BgL_arg1855z00_5172;

															BgL_arg1855z00_5172 = (BgL_oclassz00_5166);
															BgL_odepthz00_5171 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_5172);
														}
														if ((2L < BgL_odepthz00_5171))
															{	/* Stackable/walk.scm 147 */
																obj_t BgL_arg1853z00_5173;

																{	/* Stackable/walk.scm 147 */
																	obj_t BgL_arg1854z00_5174;

																	BgL_arg1854z00_5174 = (BgL_oclassz00_5166);
																	BgL_arg1853z00_5173 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_5174,
																		2L);
																}
																BgL_res2302z00_5165 =
																	(BgL_arg1853z00_5173 == BgL_classz00_5160);
															}
														else
															{	/* Stackable/walk.scm 147 */
																BgL_res2302z00_5165 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2669z00_7452 = BgL_res2302z00_5165;
									}
							}
						}
					}
					if (BgL_test2669z00_7452)
						{	/* Stackable/walk.scm 147 */
							return
								BGl_stackablez00zzstackable_walkz00(
								(((BgL_setqz00_bglt) COBJECT(
											((BgL_setqz00_bglt) BgL_nodez00_4725)))->BgL_valuez00),
								((bool_t) 1), (-1L), ((obj_t) BgL_ctxz00_4728));
						}
					else
						{	/* Stackable/walk.scm 149 */
							BgL_localz00_bglt BgL_i1183z00_5175;

							BgL_i1183z00_5175 =
								((BgL_localz00_bglt)
								(((BgL_varz00_bglt) COBJECT(BgL_i1182z00_5158))->
									BgL_variablez00));
							{	/* Stackable/walk.scm 150 */
								BgL_nodez00_bglt BgL_arg1924z00_5176;
								long BgL_arg1926z00_5177;

								BgL_arg1924z00_5176 =
									(((BgL_setqz00_bglt) COBJECT(
											((BgL_setqz00_bglt) BgL_nodez00_4725)))->BgL_valuez00);
								{
									BgL_localzf2depthzf2_bglt BgL_auxz00_7485;

									{
										obj_t BgL_auxz00_7486;

										{	/* Stackable/walk.scm 150 */
											BgL_objectz00_bglt BgL_tmpz00_7487;

											BgL_tmpz00_7487 =
												((BgL_objectz00_bglt) BgL_i1183z00_5175);
											BgL_auxz00_7486 = BGL_OBJECT_WIDENING(BgL_tmpz00_7487);
										}
										BgL_auxz00_7485 =
											((BgL_localzf2depthzf2_bglt) BgL_auxz00_7486);
									}
									BgL_arg1926z00_5177 =
										(((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_7485))->
										BgL_depthz00);
								}
								return
									BGl_stackablez00zzstackable_walkz00(BgL_arg1924z00_5176,
									CBOOL(BgL_escpz00_4726), BgL_arg1926z00_5177,
									((obj_t) BgL_ctxz00_4728));
							}
						}
				}
			}
		}

	}



/* &stackable-closure1471 */
	obj_t BGl_z62stackablezd2closure1471zb0zzstackable_walkz00(obj_t
		BgL_envz00_4729, obj_t BgL_nodez00_4730, obj_t BgL_escpz00_4731,
		obj_t BgL_depthz00_4732, obj_t BgL_ctxz00_4733)
	{
		{	/* Stackable/walk.scm 130 */
			{

				{	/* Stackable/walk.scm 130 */
					obj_t BgL_nextzd2method1470zd2_5181;

					BgL_nextzd2method1470zd2_5181 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_closurez00_bglt) BgL_nodez00_4730)),
						BGl_stackablezd2envzd2zzstackable_walkz00,
						BGl_closurez00zzast_nodez00);
					BGL_PROCEDURE_CALL4(BgL_nextzd2method1470zd2_5181,
						((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_4730)),
						BgL_escpz00_4731, BgL_depthz00_4732, ((obj_t) BgL_ctxz00_4733));
				}
				{	/* Stackable/walk.scm 132 */
					BgL_variablez00_bglt BgL_vz00_5182;

					BgL_vz00_5182 =
						(((BgL_varz00_bglt) COBJECT(
								((BgL_varz00_bglt)
									((BgL_closurez00_bglt) BgL_nodez00_4730))))->BgL_variablez00);
					{	/* Stackable/walk.scm 133 */
						bool_t BgL_test2673z00_7511;

						{	/* Stackable/walk.scm 133 */
							obj_t BgL_classz00_5183;

							BgL_classz00_5183 = BGl_localz00zzast_varz00;
							{	/* Stackable/walk.scm 133 */
								BgL_objectz00_bglt BgL_arg1858z00_5184;

								{	/* Stackable/walk.scm 133 */
									obj_t BgL_tmpz00_7512;

									BgL_tmpz00_7512 =
										((obj_t) ((BgL_objectz00_bglt) BgL_vz00_5182));
									BgL_arg1858z00_5184 = (BgL_objectz00_bglt) (BgL_tmpz00_7512);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Stackable/walk.scm 133 */
										long BgL_idxz00_5185;

										BgL_idxz00_5185 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5184);
										BgL_test2673z00_7511 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_5185 + 2L)) == BgL_classz00_5183);
									}
								else
									{	/* Stackable/walk.scm 133 */
										bool_t BgL_res2301z00_5188;

										{	/* Stackable/walk.scm 133 */
											obj_t BgL_oclassz00_5189;

											{	/* Stackable/walk.scm 133 */
												obj_t BgL_arg1866z00_5190;
												long BgL_arg1867z00_5191;

												BgL_arg1866z00_5190 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Stackable/walk.scm 133 */
													long BgL_arg1869z00_5192;

													BgL_arg1869z00_5192 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5184);
													BgL_arg1867z00_5191 =
														(BgL_arg1869z00_5192 - OBJECT_TYPE);
												}
												BgL_oclassz00_5189 =
													VECTOR_REF(BgL_arg1866z00_5190, BgL_arg1867z00_5191);
											}
											{	/* Stackable/walk.scm 133 */
												bool_t BgL__ortest_1115z00_5193;

												BgL__ortest_1115z00_5193 =
													(BgL_classz00_5183 == BgL_oclassz00_5189);
												if (BgL__ortest_1115z00_5193)
													{	/* Stackable/walk.scm 133 */
														BgL_res2301z00_5188 = BgL__ortest_1115z00_5193;
													}
												else
													{	/* Stackable/walk.scm 133 */
														long BgL_odepthz00_5194;

														{	/* Stackable/walk.scm 133 */
															obj_t BgL_arg1855z00_5195;

															BgL_arg1855z00_5195 = (BgL_oclassz00_5189);
															BgL_odepthz00_5194 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_5195);
														}
														if ((2L < BgL_odepthz00_5194))
															{	/* Stackable/walk.scm 133 */
																obj_t BgL_arg1853z00_5196;

																{	/* Stackable/walk.scm 133 */
																	obj_t BgL_arg1854z00_5197;

																	BgL_arg1854z00_5197 = (BgL_oclassz00_5189);
																	BgL_arg1853z00_5196 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_5197,
																		2L);
																}
																BgL_res2301z00_5188 =
																	(BgL_arg1853z00_5196 == BgL_classz00_5183);
															}
														else
															{	/* Stackable/walk.scm 133 */
																BgL_res2301z00_5188 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2673z00_7511 = BgL_res2301z00_5188;
									}
							}
						}
						if (BgL_test2673z00_7511)
							{	/* Stackable/walk.scm 134 */
								BgL_valuez00_bglt BgL_fz00_5198;

								BgL_fz00_5198 =
									(((BgL_variablez00_bglt) COBJECT(BgL_vz00_5182))->
									BgL_valuez00);
								{	/* Stackable/walk.scm 137 */
									bool_t BgL_test2677z00_7536;

									if (CBOOL(
											(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_fz00_5198)))->
												BgL_stackablez00)))
										{	/* Stackable/walk.scm 137 */
											if (CBOOL(BgL_escpz00_4731))
												{	/* Stackable/walk.scm 137 */
													BgL_test2677z00_7536 = CBOOL(BgL_escpz00_4731);
												}
											else
												{	/* Stackable/walk.scm 137 */
													if (CBOOL(
															(((BgL_localz00_bglt) COBJECT(
																		((BgL_localz00_bglt)
																			((BgL_localz00_bglt) BgL_vz00_5182))))->
																BgL_valzd2noescapezd2)))
														{	/* Stackable/walk.scm 137 */
															BgL_test2677z00_7536 = ((bool_t) 0);
														}
													else
														{	/* Stackable/walk.scm 137 */
															BgL_test2677z00_7536 = ((bool_t) 1);
														}
												}
										}
									else
										{	/* Stackable/walk.scm 137 */
											BgL_test2677z00_7536 = ((bool_t) 0);
										}
									if (BgL_test2677z00_7536)
										{	/* Stackable/walk.scm 137 */
											{	/* Stackable/walk.scm 138 */
												obj_t BgL_tmpz00_7549;

												BgL_tmpz00_7549 = ((obj_t) BgL_ctxz00_4733);
												SET_CAR(BgL_tmpz00_7549, BFALSE);
											}
											return
												((((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_fz00_5198)))->
													BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
										}
									else
										{	/* Stackable/walk.scm 137 */
											return BFALSE;
										}
								}
							}
						else
							{	/* Stackable/walk.scm 133 */
								return BFALSE;
							}
					}
				}
			}
		}

	}



/* &stackable-var1469 */
	obj_t BGl_z62stackablezd2var1469zb0zzstackable_walkz00(obj_t BgL_envz00_4734,
		obj_t BgL_nodez00_4735, obj_t BgL_escpz00_4736, obj_t BgL_depthz00_4737,
		obj_t BgL_ctxz00_4738)
	{
		{	/* Stackable/walk.scm 120 */
			{	/* Stackable/walk.scm 122 */
				bool_t BgL_test2681z00_7554;

				{	/* Stackable/walk.scm 122 */
					BgL_variablez00_bglt BgL_arg1910z00_5201;

					BgL_arg1910z00_5201 =
						(((BgL_varz00_bglt) COBJECT(
								((BgL_varz00_bglt) BgL_nodez00_4735)))->BgL_variablez00);
					{	/* Stackable/walk.scm 122 */
						obj_t BgL_classz00_5202;

						BgL_classz00_5202 = BGl_localz00zzast_varz00;
						{	/* Stackable/walk.scm 122 */
							BgL_objectz00_bglt BgL_arg1858z00_5203;

							{	/* Stackable/walk.scm 122 */
								obj_t BgL_tmpz00_7557;

								BgL_tmpz00_7557 =
									((obj_t) ((BgL_objectz00_bglt) BgL_arg1910z00_5201));
								BgL_arg1858z00_5203 = (BgL_objectz00_bglt) (BgL_tmpz00_7557);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Stackable/walk.scm 122 */
									long BgL_idxz00_5204;

									BgL_idxz00_5204 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5203);
									BgL_test2681z00_7554 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_5204 + 2L)) == BgL_classz00_5202);
								}
							else
								{	/* Stackable/walk.scm 122 */
									bool_t BgL_res2300z00_5207;

									{	/* Stackable/walk.scm 122 */
										obj_t BgL_oclassz00_5208;

										{	/* Stackable/walk.scm 122 */
											obj_t BgL_arg1866z00_5209;
											long BgL_arg1867z00_5210;

											BgL_arg1866z00_5209 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Stackable/walk.scm 122 */
												long BgL_arg1869z00_5211;

												BgL_arg1869z00_5211 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5203);
												BgL_arg1867z00_5210 =
													(BgL_arg1869z00_5211 - OBJECT_TYPE);
											}
											BgL_oclassz00_5208 =
												VECTOR_REF(BgL_arg1866z00_5209, BgL_arg1867z00_5210);
										}
										{	/* Stackable/walk.scm 122 */
											bool_t BgL__ortest_1115z00_5212;

											BgL__ortest_1115z00_5212 =
												(BgL_classz00_5202 == BgL_oclassz00_5208);
											if (BgL__ortest_1115z00_5212)
												{	/* Stackable/walk.scm 122 */
													BgL_res2300z00_5207 = BgL__ortest_1115z00_5212;
												}
											else
												{	/* Stackable/walk.scm 122 */
													long BgL_odepthz00_5213;

													{	/* Stackable/walk.scm 122 */
														obj_t BgL_arg1855z00_5214;

														BgL_arg1855z00_5214 = (BgL_oclassz00_5208);
														BgL_odepthz00_5213 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_5214);
													}
													if ((2L < BgL_odepthz00_5213))
														{	/* Stackable/walk.scm 122 */
															obj_t BgL_arg1853z00_5215;

															{	/* Stackable/walk.scm 122 */
																obj_t BgL_arg1854z00_5216;

																BgL_arg1854z00_5216 = (BgL_oclassz00_5208);
																BgL_arg1853z00_5215 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_5216,
																	2L);
															}
															BgL_res2300z00_5207 =
																(BgL_arg1853z00_5215 == BgL_classz00_5202);
														}
													else
														{	/* Stackable/walk.scm 122 */
															BgL_res2300z00_5207 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2681z00_7554 = BgL_res2300z00_5207;
								}
						}
					}
				}
				if (BgL_test2681z00_7554)
					{	/* Stackable/walk.scm 123 */
						BgL_localz00_bglt BgL_i1177z00_5217;

						BgL_i1177z00_5217 =
							((BgL_localz00_bglt)
							(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_nodez00_4735)))->BgL_variablez00));
						{	/* Stackable/walk.scm 124 */
							bool_t BgL_test2685z00_7583;

							if (CBOOL(BgL_escpz00_4736))
								{	/* Stackable/walk.scm 124 */
									BgL_test2685z00_7583 = ((bool_t) 1);
								}
							else
								{	/* Stackable/walk.scm 124 */
									long BgL_arg1909z00_5218;

									{
										BgL_localzf2depthzf2_bglt BgL_auxz00_7586;

										{
											obj_t BgL_auxz00_7587;

											{	/* Stackable/walk.scm 124 */
												BgL_objectz00_bglt BgL_tmpz00_7588;

												BgL_tmpz00_7588 =
													((BgL_objectz00_bglt) BgL_i1177z00_5217);
												BgL_auxz00_7587 = BGL_OBJECT_WIDENING(BgL_tmpz00_7588);
											}
											BgL_auxz00_7586 =
												((BgL_localzf2depthzf2_bglt) BgL_auxz00_7587);
										}
										BgL_arg1909z00_5218 =
											(((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_7586))->
											BgL_depthz00);
									}
									BgL_test2685z00_7583 =
										((long) CINT(BgL_depthz00_4737) < BgL_arg1909z00_5218);
								}
							if (BgL_test2685z00_7583)
								{	/* Stackable/walk.scm 125 */
									BgL_variablez00_bglt BgL_arg1908z00_5219;

									BgL_arg1908z00_5219 =
										(((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt) BgL_nodez00_4735)))->
										BgL_variablez00);
									return BGl_escapez12z12zzstackable_walkz00(((obj_t)
											BgL_arg1908z00_5219), ((obj_t) BgL_ctxz00_4738));
								}
							else
								{	/* Stackable/walk.scm 124 */
									return BFALSE;
								}
						}
					}
				else
					{	/* Stackable/walk.scm 122 */
						return BFALSE;
					}
			}
		}

	}



/* &node->sexp-app/depth1465 */
	obj_t BGl_z62nodezd2ze3sexpzd2appzf2depth1465z73zzstackable_walkz00(obj_t
		BgL_envz00_4739, obj_t BgL_nodez00_4740)
	{
		{	/* Stackable/walk.scm 57 */
			{

				{	/* Stackable/walk.scm 59 */
					obj_t BgL_nz00_5223;

					{	/* Stackable/walk.scm 57 */
						obj_t BgL_nextzd2method1464zd2_5222;

						BgL_nextzd2method1464zd2_5222 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_appz00_bglt) BgL_nodez00_4740)),
							BGl_nodezd2ze3sexpzd2envze3zzast_dumpz00,
							BGl_appzf2depthzf2zzstackable_walkz00);
						BgL_nz00_5223 =
							BGL_PROCEDURE_CALL1(BgL_nextzd2method1464zd2_5222,
							((obj_t) ((BgL_appz00_bglt) BgL_nodez00_4740)));
					}
					{	/* Stackable/walk.scm 60 */
						bool_t BgL_test2687z00_7609;

						{	/* Stackable/walk.scm 60 */
							bool_t BgL_test2688z00_7610;

							{	/* Stackable/walk.scm 60 */
								obj_t BgL_tmpz00_7611;

								BgL_tmpz00_7611 = CAR(((obj_t) BgL_nz00_5223));
								BgL_test2688z00_7610 = SYMBOLP(BgL_tmpz00_7611);
							}
							if (BgL_test2688z00_7610)
								{	/* Stackable/walk.scm 60 */
									BgL_test2687z00_7609 =
										CBOOL(BGl_za2keyzd2shapezf3za2z21zzengine_paramz00);
								}
							else
								{	/* Stackable/walk.scm 60 */
									BgL_test2687z00_7609 = ((bool_t) 0);
								}
						}
						if (BgL_test2687z00_7609)
							{	/* Stackable/walk.scm 61 */
								obj_t BgL_arg1893z00_5224;
								obj_t BgL_arg1894z00_5225;

								{	/* Stackable/walk.scm 61 */
									obj_t BgL_arg1895z00_5226;

									{	/* Stackable/walk.scm 61 */
										obj_t BgL_arg1896z00_5227;
										obj_t BgL_arg1897z00_5228;

										{	/* Stackable/walk.scm 61 */
											obj_t BgL_arg1898z00_5229;

											{	/* Stackable/walk.scm 61 */
												obj_t BgL_arg1899z00_5230;

												{	/* Stackable/walk.scm 61 */
													long BgL_arg1900z00_5231;

													{
														BgL_appzf2depthzf2_bglt BgL_auxz00_7616;

														{
															obj_t BgL_auxz00_7617;

															{	/* Stackable/walk.scm 61 */
																BgL_objectz00_bglt BgL_tmpz00_7618;

																BgL_tmpz00_7618 =
																	((BgL_objectz00_bglt)
																	((BgL_appz00_bglt) BgL_nodez00_4740));
																BgL_auxz00_7617 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_7618);
															}
															BgL_auxz00_7616 =
																((BgL_appzf2depthzf2_bglt) BgL_auxz00_7617);
														}
														BgL_arg1900z00_5231 =
															(((BgL_appzf2depthzf2_bglt)
																COBJECT(BgL_auxz00_7616))->BgL_depthz00);
													}
													{	/* Stackable/walk.scm 61 */
														obj_t BgL_list1901z00_5232;

														BgL_list1901z00_5232 =
															MAKE_YOUNG_PAIR(BINT(BgL_arg1900z00_5231), BNIL);
														BgL_arg1899z00_5230 =
															BGl_formatz00zz__r4_output_6_10_3z00
															(BGl_string2404z00zzstackable_walkz00,
															BgL_list1901z00_5232);
												}}
												BgL_arg1898z00_5229 =
													bstring_to_symbol(BgL_arg1899z00_5230);
											}
											{	/* Stackable/walk.scm 61 */
												obj_t BgL_arg1486z00_5233;

												BgL_arg1486z00_5233 =
													SYMBOL_TO_STRING(BgL_arg1898z00_5229);
												BgL_arg1896z00_5227 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1486z00_5233);
										}}
										{	/* Stackable/walk.scm 61 */
											obj_t BgL_arg1902z00_5234;

											BgL_arg1902z00_5234 = CAR(((obj_t) BgL_nz00_5223));
											{	/* Stackable/walk.scm 61 */
												obj_t BgL_arg1486z00_5235;

												BgL_arg1486z00_5235 =
													SYMBOL_TO_STRING(((obj_t) BgL_arg1902z00_5234));
												BgL_arg1897z00_5228 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1486z00_5235);
										}}
										BgL_arg1895z00_5226 =
											string_append(BgL_arg1896z00_5227, BgL_arg1897z00_5228);
									}
									BgL_arg1893z00_5224 = bstring_to_symbol(BgL_arg1895z00_5226);
								}
								BgL_arg1894z00_5225 = CDR(((obj_t) BgL_nz00_5223));
								return
									MAKE_YOUNG_PAIR(BgL_arg1893z00_5224, BgL_arg1894z00_5225);
							}
						else
							{	/* Stackable/walk.scm 60 */
								return BgL_nz00_5223;
							}
					}
				}
			}
		}

	}



/* &shape-local/depth1463 */
	obj_t BGl_z62shapezd2localzf2depth1463z42zzstackable_walkz00(obj_t
		BgL_envz00_4741, obj_t BgL_varz00_4742)
	{
		{	/* Stackable/walk.scm 48 */
			if (CBOOL(BGl_za2keyzd2shapezf3za2z21zzengine_paramz00))
				{	/* Stackable/walk.scm 51 */
					obj_t BgL_arg1882z00_5237;

					{	/* Stackable/walk.scm 51 */
						long BgL_arg1884z00_5238;
						obj_t BgL_arg1885z00_5239;

						{
							BgL_localzf2depthzf2_bglt BgL_auxz00_7642;

							{
								obj_t BgL_auxz00_7643;

								{	/* Stackable/walk.scm 51 */
									BgL_objectz00_bglt BgL_tmpz00_7644;

									BgL_tmpz00_7644 =
										((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_varz00_4742));
									BgL_auxz00_7643 = BGL_OBJECT_WIDENING(BgL_tmpz00_7644);
								}
								BgL_auxz00_7642 = ((BgL_localzf2depthzf2_bglt) BgL_auxz00_7643);
							}
							BgL_arg1884z00_5238 =
								(((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_7642))->
								BgL_depthz00);
						}
						BgL_arg1885z00_5239 =
							BGl_callzd2nextzd2methodze70ze7zzstackable_walkz00(
							((BgL_localz00_bglt) BgL_varz00_4742));
						{	/* Stackable/walk.scm 51 */
							obj_t BgL_list1886z00_5240;

							{	/* Stackable/walk.scm 51 */
								obj_t BgL_arg1887z00_5241;

								BgL_arg1887z00_5241 =
									MAKE_YOUNG_PAIR(BgL_arg1885z00_5239, BNIL);
								BgL_list1886z00_5240 =
									MAKE_YOUNG_PAIR(BINT(BgL_arg1884z00_5238),
									BgL_arg1887z00_5241);
							}
							BgL_arg1882z00_5237 =
								BGl_formatz00zz__r4_output_6_10_3z00
								(BGl_string2405z00zzstackable_walkz00, BgL_list1886z00_5240);
					}}
					return bstring_to_symbol(BgL_arg1882z00_5237);
				}
			else
				{	/* Stackable/walk.scm 50 */
					return
						BGl_callzd2nextzd2methodze70ze7zzstackable_walkz00(
						((BgL_localz00_bglt) BgL_varz00_4742));
				}
		}

	}



/* call-next-method~0 */
	obj_t BGl_callzd2nextzd2methodze70ze7zzstackable_walkz00(BgL_localz00_bglt
		BgL_varz00_4743)
	{
		{	/* Stackable/walk.scm 48 */
			{	/* Stackable/walk.scm 48 */
				obj_t BgL_nextzd2method1462zd2_2071;

				BgL_nextzd2method1462zd2_2071 =
					BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
					((BgL_objectz00_bglt) BgL_varz00_4743),
					BGl_shapezd2envzd2zztools_shapez00,
					BGl_localzf2depthzf2zzstackable_walkz00);
				return BGL_PROCEDURE_CALL1(BgL_nextzd2method1462zd2_2071,
					((obj_t) BgL_varz00_4743));
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzstackable_walkz00(void)
	{
		{	/* Stackable/walk.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string2406z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2406z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(373082237L,
				BSTRING_TO_STRING(BGl_string2406z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string2406z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2406z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2406z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2406z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2406z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(398780265L,
				BSTRING_TO_STRING(BGl_string2406z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2406z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(49975086L,
				BSTRING_TO_STRING(BGl_string2406z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string2406z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(502007119L,
				BSTRING_TO_STRING(BGl_string2406z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string2406z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(271707717L,
				BSTRING_TO_STRING(BGl_string2406z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zzast_walkz00(343174225L,
				BSTRING_TO_STRING(BGl_string2406z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zzast_occurz00(282085879L,
				BSTRING_TO_STRING(BGl_string2406z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string2406z00zzstackable_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string2406z00zzstackable_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
