/*===========================================================================*/
/*   (Trace/walk.scm)                                                        */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Trace/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_TRACE_WALK_TYPE_DEFINITIONS
#define BGL_TRACE_WALK_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;


#endif													// BGL_TRACE_WALK_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62findzd2lastzd2nodez62zztrace_walkz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zztrace_walkz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	extern bool_t BGl_isloopzf3zf3zztrace_isloopz00(BgL_letzd2funzd2_bglt);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_tracezd2idzd2zztrace_walkz00(obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2appzd2l1274z62zztrace_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static bool_t BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zztrace_walkz00(void);
	static obj_t BGl_z62findzd2lastzd2nodezd2setzd2e1292z62zztrace_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	static BgL_nodez00_bglt BGl_z62tracezd2nodezd2app1303z62zztrace_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zztrace_walkz00(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00(void);
	static obj_t BGl_z62findzd2lastzd2nodezd2exter1278zb0zztrace_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2funca1276zb0zztrace_walkz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2condition1315z62zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_findzd2lastzd2nodez00zztrace_walkz00(BgL_nodez00_bglt);
	static obj_t BGl_objectzd2initzd2zztrace_walkz00(void);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2sequence1298z62zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_tracezd2walkz12zc0zztrace_walkz00(obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static bool_t BGl_tracezd2nodeza2z12z62zztrace_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2letzd2fun1321zb0zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2condi1282zb0zztrace_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zztrace_walkz00(void);
	static obj_t BGl_tracezd2funz12zc0zztrace_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2appzd2ly1305zb0zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_letzd2varzd2_bglt
		BGl_makezd2tracedzd2nodez00zztrace_walkz00(BgL_nodez00_bglt,
		BgL_typez00_bglt, obj_t, obj_t, obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2jumpzd2exzd2i1327z62zztrace_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_tracezd2nodezd2zztrace_walkz00(BgL_nodez00_bglt,
		obj_t, obj_t);
	static obj_t BGl_z62tracezd2walkz12za2zztrace_walkz00(obj_t, obj_t);
	extern obj_t BGl_pragmaz00zzast_nodez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62findzd2lastzd2nodezd2letzd2v1288z62zztrace_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2letzd2f1290z62zztrace_walkz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2extern1309z62zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2setzd2exzd2it1325z62zztrace_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62tracezd2nodezb0zztrace_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2app1272zb0zztrace_walkz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2switch1319z62zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62toplevelzd2tracezd2nodez62zztrace_walkz00(obj_t, obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2jumpzd21294z62zztrace_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_fqnameze70ze7zztrace_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62toplevelzd2tracezd2nodezd21337zb0zztrace_walkz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztrace_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztrace_isloopz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_letz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static BgL_nodez00_bglt
		BGl_z62toplevelzd2tracezd2nodezd21339zb0zztrace_walkz00(obj_t, obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62toplevelzd2tracezd2nodezd21341zb0zztrace_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2funcall1307z62zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62findzd2lastzd2node1264z62zztrace_walkz00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zztrace_walkz00(void);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2letzd2var1323zb0zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zztrace_walkz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zztrace_walkz00(void);
	static obj_t BGl_findzd2lastzd2sexpz00zztrace_walkz00(BgL_nodez00_bglt);
	static obj_t BGl_gczd2rootszd2initz00zztrace_walkz00(void);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2cast1311z62zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2makezd2box1329zb0zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2boxzd2setz121333za2zztrace_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62toplevelzd2tracezd2node1334z62zztrace_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2setq1280zb0zztrace_walkz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2boxzd2ref1331zb0zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2setq1313z62zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2sync1270zb0zztrace_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2fail1284zb0zztrace_walkz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2sync1301z62zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(BgL_nodez00_bglt);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	static obj_t BGl_z62findzd2lastzd2nodezd2seque1268zb0zztrace_walkz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2fail1317z62zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern bool_t BGl_userzd2symbolzf3z21zzast_identz00(obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	static obj_t BGl_z62tracezd2node1295zb0zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_za2compilerzd2debugzd2traceza2z00zzengine_paramz00;
	static obj_t BGl_z62findzd2lastzd2nodezd2switc1286zb0zztrace_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t __cnst[21];


	   
		 
		DEFINE_STRING(BGl_string2126z00zztrace_walkz00,
		BgL_bgl_string2126za700za7za7t2183za7, "Trace", 5);
	      DEFINE_STRING(BGl_string2127z00zztrace_walkz00,
		BgL_bgl_string2127za700za7za7t2184za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2128z00zztrace_walkz00,
		BgL_bgl_string2128za700za7za7t2185za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2129z00zztrace_walkz00,
		BgL_bgl_string2129za700za7za7t2186za7, " error", 6);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr2187z00,
		BGl_z62toplevelzd2tracezd2nodez62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2130z00zztrace_walkz00,
		BgL_bgl_string2130za700za7za7t2188za7, "s", 1);
	      DEFINE_STRING(BGl_string2131z00zztrace_walkz00,
		BgL_bgl_string2131za700za7za7t2189za7, "", 0);
	      DEFINE_STRING(BGl_string2132z00zztrace_walkz00,
		BgL_bgl_string2132za700za7za7t2190za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string2133z00zztrace_walkz00,
		BgL_bgl_string2133za700za7za7t2191za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string2134z00zztrace_walkz00,
		BgL_bgl_string2134za700za7za7t2192za7, "%toplevel@", 10);
	      DEFINE_STRING(BGl_string2135z00zztrace_walkz00,
		BgL_bgl_string2135za700za7za7t2193za7, "%import@", 8);
	      DEFINE_STRING(BGl_string2137z00zztrace_walkz00,
		BgL_bgl_string2137za700za7za7t2194za7, "find-last-node1264", 18);
	      DEFINE_STRING(BGl_string2139z00zztrace_walkz00,
		BgL_bgl_string2139za700za7za7t2195za7, "trace-node1295", 14);
	      DEFINE_STRING(BGl_string2141z00zztrace_walkz00,
		BgL_bgl_string2141za700za7za7t2196za7, "toplevel-trace-node1334", 23);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2136z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2197za7,
		BGl_z62findzd2lastzd2node1264z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2143z00zztrace_walkz00,
		BgL_bgl_string2143za700za7za7t2198za7, "find-last-node", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2138z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2node12199z00,
		BGl_z62tracezd2node1295zb0zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2140z00zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr2200z00,
		BGl_z62toplevelzd2tracezd2node1334z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2142z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2201za7,
		BGl_z62findzd2lastzd2nodezd2seque1268zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2144z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2202za7,
		BGl_z62findzd2lastzd2nodezd2sync1270zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2145z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2203za7,
		BGl_z62findzd2lastzd2nodezd2app1272zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2146z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2204za7,
		BGl_z62findzd2lastzd2nodezd2appzd2l1274z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2147z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2205za7,
		BGl_z62findzd2lastzd2nodezd2funca1276zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2148z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2206za7,
		BGl_z62findzd2lastzd2nodezd2exter1278zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2149z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2207za7,
		BGl_z62findzd2lastzd2nodezd2setq1280zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2158z00zztrace_walkz00,
		BgL_bgl_string2158za700za7za7t2208za7, "trace-node", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2150z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2209za7,
		BGl_z62findzd2lastzd2nodezd2condi1282zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2151z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2210za7,
		BGl_z62findzd2lastzd2nodezd2fail1284zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2152z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2211za7,
		BGl_z62findzd2lastzd2nodezd2switc1286zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2153z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2212za7,
		BGl_z62findzd2lastzd2nodezd2letzd2v1288z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2154z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2213za7,
		BGl_z62findzd2lastzd2nodezd2letzd2f1290z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2155z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2214za7,
		BGl_z62findzd2lastzd2nodezd2setzd2e1292z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2156z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2215za7,
		BGl_z62findzd2lastzd2nodezd2jumpzd21294z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2157z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72216za7,
		BGl_z62tracezd2nodezd2sequence1298z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2159z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72217za7,
		BGl_z62tracezd2nodezd2sync1301z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2160z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72218za7,
		BGl_z62tracezd2nodezd2app1303z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2161z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72219za7,
		BGl_z62tracezd2nodezd2appzd2ly1305zb0zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2162z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72220za7,
		BGl_z62tracezd2nodezd2funcall1307z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2163z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72221za7,
		BGl_z62tracezd2nodezd2extern1309z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2164z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72222za7,
		BGl_z62tracezd2nodezd2cast1311z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2165z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72223za7,
		BGl_z62tracezd2nodezd2setq1313z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2166z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72224za7,
		BGl_z62tracezd2nodezd2condition1315z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2167z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72225za7,
		BGl_z62tracezd2nodezd2fail1317z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2168z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72226za7,
		BGl_z62tracezd2nodezd2switch1319z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2169z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72227za7,
		BGl_z62tracezd2nodezd2letzd2fun1321zb0zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2177z00zztrace_walkz00,
		BgL_bgl_string2177za700za7za7t2228za7, "toplevel-trace-node", 19);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2170z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72229za7,
		BGl_z62tracezd2nodezd2letzd2var1323zb0zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2171z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72230za7,
		BGl_z62tracezd2nodezd2setzd2exzd2it1325z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2172z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72231za7,
		BGl_z62tracezd2nodezd2jumpzd2exzd2i1327z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2173z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72232za7,
		BGl_z62tracezd2nodezd2makezd2box1329zb0zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2180z00zztrace_walkz00,
		BgL_bgl_string2180za700za7za7t2233za7, "trace_walk", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2174z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72234za7,
		BGl_z62tracezd2nodezd2boxzd2ref1331zb0zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2181z00zztrace_walkz00,
		BgL_bgl_string2181za700za7za7t2235za7,
		"|:| value let $env-pop-trace $env-push-trace current-dynamic-env dynamic-env quote at location env loc name aux generic-init method-init no-trace @ imported-modules-init toplevel-init pass-started ",
		197);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2175z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72236za7,
		BGl_z62tracezd2nodezd2boxzd2setz121333za2zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2176z00zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr2237z00,
		BGl_z62toplevelzd2tracezd2nodezd21337zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2178z00zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr2238z00,
		BGl_z62toplevelzd2tracezd2nodezd21339zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2179z00zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr2239z00,
		BGl_z62toplevelzd2tracezd2nodezd21341zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_tracezd2nodezd2envz00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72240za7,
		BGl_z62tracezd2nodezb0zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_tracezd2walkz12zd2envz12zztrace_walkz00,
		BgL_bgl_za762traceza7d2walkza72241za7,
		BGl_z62tracezd2walkz12za2zztrace_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2242za7,
		BGl_z62findzd2lastzd2nodez62zztrace_walkz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zztrace_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztrace_walkz00(long
		BgL_checksumz00_3603, char *BgL_fromz00_3604)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztrace_walkz00))
				{
					BGl_requirezd2initializa7ationz75zztrace_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zztrace_walkz00();
					BGl_libraryzd2moduleszd2initz00zztrace_walkz00();
					BGl_cnstzd2initzd2zztrace_walkz00();
					BGl_importedzd2moduleszd2initz00zztrace_walkz00();
					BGl_genericzd2initzd2zztrace_walkz00();
					BGl_methodzd2initzd2zztrace_walkz00();
					return BGl_toplevelzd2initzd2zztrace_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztrace_walkz00(void)
	{
		{	/* Trace/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L, "trace_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L, "trace_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "trace_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "trace_walk");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "trace_walk");
			BGl_modulezd2initializa7ationz75zz__structurez00(0L, "trace_walk");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "trace_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zztrace_walkz00(void)
	{
		{	/* Trace/walk.scm 15 */
			{	/* Trace/walk.scm 15 */
				obj_t BgL_cportz00_3417;

				{	/* Trace/walk.scm 15 */
					obj_t BgL_stringz00_3424;

					BgL_stringz00_3424 = BGl_string2181z00zztrace_walkz00;
					{	/* Trace/walk.scm 15 */
						obj_t BgL_startz00_3425;

						BgL_startz00_3425 = BINT(0L);
						{	/* Trace/walk.scm 15 */
							obj_t BgL_endz00_3426;

							BgL_endz00_3426 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3424)));
							{	/* Trace/walk.scm 15 */

								BgL_cportz00_3417 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3424, BgL_startz00_3425, BgL_endz00_3426);
				}}}}
				{
					long BgL_iz00_3418;

					BgL_iz00_3418 = 20L;
				BgL_loopz00_3419:
					if ((BgL_iz00_3418 == (-1L)))
						{	/* Trace/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Trace/walk.scm 15 */
							{	/* Trace/walk.scm 15 */
								obj_t BgL_arg2182z00_3420;

								{	/* Trace/walk.scm 15 */

									{	/* Trace/walk.scm 15 */
										obj_t BgL_locationz00_3422;

										BgL_locationz00_3422 = BBOOL(((bool_t) 0));
										{	/* Trace/walk.scm 15 */

											BgL_arg2182z00_3420 =
												BGl_readz00zz__readerz00(BgL_cportz00_3417,
												BgL_locationz00_3422);
										}
									}
								}
								{	/* Trace/walk.scm 15 */
									int BgL_tmpz00_3639;

									BgL_tmpz00_3639 = (int) (BgL_iz00_3418);
									CNST_TABLE_SET(BgL_tmpz00_3639, BgL_arg2182z00_3420);
							}}
							{	/* Trace/walk.scm 15 */
								int BgL_auxz00_3423;

								BgL_auxz00_3423 = (int) ((BgL_iz00_3418 - 1L));
								{
									long BgL_iz00_3644;

									BgL_iz00_3644 = (long) (BgL_auxz00_3423);
									BgL_iz00_3418 = BgL_iz00_3644;
									goto BgL_loopz00_3419;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zztrace_walkz00(void)
	{
		{	/* Trace/walk.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zztrace_walkz00(void)
	{
		{	/* Trace/walk.scm 15 */
			return BUNSPEC;
		}

	}



/* trace-walk! */
	BGL_EXPORTED_DEF obj_t BGl_tracezd2walkz12zc0zztrace_walkz00(obj_t
		BgL_globalsz00_17)
	{
		{	/* Trace/walk.scm 39 */
			{	/* Trace/walk.scm 40 */
				obj_t BgL_list1380z00_1583;

				{	/* Trace/walk.scm 40 */
					obj_t BgL_arg1382z00_1584;

					{	/* Trace/walk.scm 40 */
						obj_t BgL_arg1383z00_1585;

						BgL_arg1383z00_1585 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1382z00_1584 =
							MAKE_YOUNG_PAIR(BGl_string2126z00zztrace_walkz00,
							BgL_arg1383z00_1585);
					}
					BgL_list1380z00_1583 =
						MAKE_YOUNG_PAIR(BGl_string2127z00zztrace_walkz00,
						BgL_arg1382z00_1584);
				}
				BGl_verbosez00zztools_speekz00(BINT(1L), BgL_list1380z00_1583);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(0L);
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string2126z00zztrace_walkz00;
			{	/* Trace/walk.scm 40 */
				obj_t BgL_g1108z00_1586;

				BgL_g1108z00_1586 = BNIL;
				{
					obj_t BgL_hooksz00_1589;
					obj_t BgL_hnamesz00_1590;

					BgL_hooksz00_1589 = BgL_g1108z00_1586;
					BgL_hnamesz00_1590 = BNIL;
				BgL_zc3z04anonymousza31384ze3z87_1591:
					if (NULLP(BgL_hooksz00_1589))
						{	/* Trace/walk.scm 40 */
							((obj_t) CNST_TABLE_REF(0));
						}
					else
						{	/* Trace/walk.scm 40 */
							bool_t BgL_test2246z00_3658;

							{	/* Trace/walk.scm 40 */
								obj_t BgL_fun1393z00_1598;

								BgL_fun1393z00_1598 = CAR(((obj_t) BgL_hooksz00_1589));
								BgL_test2246z00_3658 =
									CBOOL(BGL_PROCEDURE_CALL0(BgL_fun1393z00_1598));
							}
							if (BgL_test2246z00_3658)
								{	/* Trace/walk.scm 40 */
									obj_t BgL_arg1388z00_1595;
									obj_t BgL_arg1390z00_1596;

									BgL_arg1388z00_1595 = CDR(((obj_t) BgL_hooksz00_1589));
									BgL_arg1390z00_1596 = CDR(((obj_t) BgL_hnamesz00_1590));
									{
										obj_t BgL_hnamesz00_3670;
										obj_t BgL_hooksz00_3669;

										BgL_hooksz00_3669 = BgL_arg1388z00_1595;
										BgL_hnamesz00_3670 = BgL_arg1390z00_1596;
										BgL_hnamesz00_1590 = BgL_hnamesz00_3670;
										BgL_hooksz00_1589 = BgL_hooksz00_3669;
										goto BgL_zc3z04anonymousza31384ze3z87_1591;
									}
								}
							else
								{	/* Trace/walk.scm 40 */
									obj_t BgL_arg1392z00_1597;

									BgL_arg1392z00_1597 = CAR(((obj_t) BgL_hnamesz00_1590));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string2126z00zztrace_walkz00,
										BGl_string2128z00zztrace_walkz00, BgL_arg1392z00_1597);
								}
						}
				}
			}
			{	/* Trace/walk.scm 46 */
				obj_t BgL_idz00_1601;

				BgL_idz00_1601 = ((obj_t) CNST_TABLE_REF(1));
				{	/* Trace/walk.scm 46 */
					obj_t BgL_gloz00_1602;

					{	/* Trace/walk.scm 47 */
						obj_t BgL_list1401z00_1606;

						BgL_list1401z00_1606 =
							MAKE_YOUNG_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL);
						BgL_gloz00_1602 =
							BGl_findzd2globalzd2zzast_envz00(BgL_idz00_1601,
							BgL_list1401z00_1606);
					}
					{	/* Trace/walk.scm 47 */

						{	/* Trace/walk.scm 48 */
							bool_t BgL_test2247z00_3678;

							{	/* Trace/walk.scm 48 */
								obj_t BgL_classz00_2354;

								BgL_classz00_2354 = BGl_globalz00zzast_varz00;
								if (BGL_OBJECTP(BgL_gloz00_1602))
									{	/* Trace/walk.scm 48 */
										BgL_objectz00_bglt BgL_arg1858z00_2356;

										BgL_arg1858z00_2356 =
											(BgL_objectz00_bglt) (BgL_gloz00_1602);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Trace/walk.scm 48 */
												long BgL_idxz00_2362;

												BgL_idxz00_2362 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2356);
												BgL_test2247z00_3678 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2362 + 2L)) == BgL_classz00_2354);
											}
										else
											{	/* Trace/walk.scm 48 */
												bool_t BgL_res2087z00_2387;

												{	/* Trace/walk.scm 48 */
													obj_t BgL_oclassz00_2370;

													{	/* Trace/walk.scm 48 */
														obj_t BgL_arg1866z00_2378;
														long BgL_arg1867z00_2379;

														BgL_arg1866z00_2378 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Trace/walk.scm 48 */
															long BgL_arg1869z00_2380;

															BgL_arg1869z00_2380 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2356);
															BgL_arg1867z00_2379 =
																(BgL_arg1869z00_2380 - OBJECT_TYPE);
														}
														BgL_oclassz00_2370 =
															VECTOR_REF(BgL_arg1866z00_2378,
															BgL_arg1867z00_2379);
													}
													{	/* Trace/walk.scm 48 */
														bool_t BgL__ortest_1115z00_2371;

														BgL__ortest_1115z00_2371 =
															(BgL_classz00_2354 == BgL_oclassz00_2370);
														if (BgL__ortest_1115z00_2371)
															{	/* Trace/walk.scm 48 */
																BgL_res2087z00_2387 = BgL__ortest_1115z00_2371;
															}
														else
															{	/* Trace/walk.scm 48 */
																long BgL_odepthz00_2372;

																{	/* Trace/walk.scm 48 */
																	obj_t BgL_arg1855z00_2373;

																	BgL_arg1855z00_2373 = (BgL_oclassz00_2370);
																	BgL_odepthz00_2372 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_2373);
																}
																if ((2L < BgL_odepthz00_2372))
																	{	/* Trace/walk.scm 48 */
																		obj_t BgL_arg1853z00_2375;

																		{	/* Trace/walk.scm 48 */
																			obj_t BgL_arg1854z00_2376;

																			BgL_arg1854z00_2376 =
																				(BgL_oclassz00_2370);
																			BgL_arg1853z00_2375 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_2376, 2L);
																		}
																		BgL_res2087z00_2387 =
																			(BgL_arg1853z00_2375 ==
																			BgL_classz00_2354);
																	}
																else
																	{	/* Trace/walk.scm 48 */
																		BgL_res2087z00_2387 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2247z00_3678 = BgL_res2087z00_2387;
											}
									}
								else
									{	/* Trace/walk.scm 48 */
										BgL_test2247z00_3678 = ((bool_t) 0);
									}
							}
							if (BgL_test2247z00_3678)
								{	/* Trace/walk.scm 49 */
									BgL_sfunz00_bglt BgL_i1110z00_1604;

									BgL_i1110z00_1604 =
										((BgL_sfunz00_bglt)
										(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_gloz00_1602))))->
											BgL_valuez00));
									{
										obj_t BgL_auxz00_3705;

										{	/* Trace/walk.scm 50 */
											obj_t BgL_arg1400z00_1605;

											BgL_arg1400z00_1605 =
												(((BgL_sfunz00_bglt) COBJECT(BgL_i1110z00_1604))->
												BgL_bodyz00);
											BgL_auxz00_3705 =
												((obj_t)
												BGl_toplevelzd2tracezd2nodez00zztrace_walkz00((
														(BgL_nodez00_bglt) BgL_arg1400z00_1605)));
										}
										((((BgL_sfunz00_bglt) COBJECT(BgL_i1110z00_1604))->
												BgL_bodyz00) = ((obj_t) BgL_auxz00_3705), BUNSPEC);
									}
								}
							else
								{	/* Trace/walk.scm 48 */
									BFALSE;
								}
						}
					}
				}
			}
			{
				obj_t BgL_l1252z00_1608;

				BgL_l1252z00_1608 = BgL_globalsz00_17;
			BgL_zc3z04anonymousza31402ze3z87_1609:
				if (PAIRP(BgL_l1252z00_1608))
					{	/* Trace/walk.scm 52 */
						{	/* Trace/walk.scm 52 */
							obj_t BgL_vz00_1611;

							BgL_vz00_1611 = CAR(BgL_l1252z00_1608);
							BGl_tracezd2funz12zc0zztrace_walkz00(BgL_vz00_1611, BNIL,
								BGl_za2compilerzd2debugzd2traceza2z00zzengine_paramz00);
						}
						{
							obj_t BgL_l1252z00_3715;

							BgL_l1252z00_3715 = CDR(BgL_l1252z00_1608);
							BgL_l1252z00_1608 = BgL_l1252z00_3715;
							goto BgL_zc3z04anonymousza31402ze3z87_1609;
						}
					}
				else
					{	/* Trace/walk.scm 52 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) > 0L))
				{	/* Trace/walk.scm 53 */
					{	/* Trace/walk.scm 53 */
						obj_t BgL_port1254z00_1616;

						{	/* Trace/walk.scm 53 */
							obj_t BgL_tmpz00_3720;

							BgL_tmpz00_3720 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_port1254z00_1616 =
								BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_3720);
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1254z00_1616);
						bgl_display_string(BGl_string2129z00zztrace_walkz00,
							BgL_port1254z00_1616);
						{	/* Trace/walk.scm 53 */
							obj_t BgL_arg1414z00_1617;

							{	/* Trace/walk.scm 53 */
								bool_t BgL_test2254z00_3725;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Trace/walk.scm 53 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Trace/walk.scm 53 */
												BgL_test2254z00_3725 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> 1L);
											}
										else
											{	/* Trace/walk.scm 53 */
												BgL_test2254z00_3725 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(1L));
											}
									}
								else
									{	/* Trace/walk.scm 53 */
										BgL_test2254z00_3725 = ((bool_t) 0);
									}
								if (BgL_test2254z00_3725)
									{	/* Trace/walk.scm 53 */
										BgL_arg1414z00_1617 = BGl_string2130z00zztrace_walkz00;
									}
								else
									{	/* Trace/walk.scm 53 */
										BgL_arg1414z00_1617 = BGl_string2131z00zztrace_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1414z00_1617, BgL_port1254z00_1616);
						}
						bgl_display_string(BGl_string2132z00zztrace_walkz00,
							BgL_port1254z00_1616);
						bgl_display_char(((unsigned char) 10), BgL_port1254z00_1616);
					}
					{	/* Trace/walk.scm 53 */
						obj_t BgL_list1422z00_1621;

						BgL_list1422z00_1621 = MAKE_YOUNG_PAIR(BINT((-1L)), BNIL);
						BGL_TAIL return BGl_exitz00zz__errorz00(BgL_list1422z00_1621);
					}
				}
			else
				{	/* Trace/walk.scm 53 */
					obj_t BgL_g1111z00_1622;

					BgL_g1111z00_1622 = BNIL;
					{
						obj_t BgL_hooksz00_1625;
						obj_t BgL_hnamesz00_1626;

						BgL_hooksz00_1625 = BgL_g1111z00_1622;
						BgL_hnamesz00_1626 = BNIL;
					BgL_zc3z04anonymousza31423ze3z87_1627:
						if (NULLP(BgL_hooksz00_1625))
							{	/* Trace/walk.scm 53 */
								return BgL_globalsz00_17;
							}
						else
							{	/* Trace/walk.scm 53 */
								bool_t BgL_test2258z00_3742;

								{	/* Trace/walk.scm 53 */
									obj_t BgL_fun1472z00_1634;

									BgL_fun1472z00_1634 = CAR(((obj_t) BgL_hooksz00_1625));
									BgL_test2258z00_3742 =
										CBOOL(BGL_PROCEDURE_CALL0(BgL_fun1472z00_1634));
								}
								if (BgL_test2258z00_3742)
									{	/* Trace/walk.scm 53 */
										obj_t BgL_arg1446z00_1631;
										obj_t BgL_arg1457z00_1632;

										BgL_arg1446z00_1631 = CDR(((obj_t) BgL_hooksz00_1625));
										BgL_arg1457z00_1632 = CDR(((obj_t) BgL_hnamesz00_1626));
										{
											obj_t BgL_hnamesz00_3754;
											obj_t BgL_hooksz00_3753;

											BgL_hooksz00_3753 = BgL_arg1446z00_1631;
											BgL_hnamesz00_3754 = BgL_arg1457z00_1632;
											BgL_hnamesz00_1626 = BgL_hnamesz00_3754;
											BgL_hooksz00_1625 = BgL_hooksz00_3753;
											goto BgL_zc3z04anonymousza31423ze3z87_1627;
										}
									}
								else
									{	/* Trace/walk.scm 53 */
										obj_t BgL_arg1471z00_1633;

										BgL_arg1471z00_1633 = CAR(((obj_t) BgL_hnamesz00_1626));
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string2133z00zztrace_walkz00, BgL_arg1471z00_1633);
									}
							}
					}
				}
		}

	}



/* &trace-walk! */
	obj_t BGl_z62tracezd2walkz12za2zztrace_walkz00(obj_t BgL_envz00_3254,
		obj_t BgL_globalsz00_3255)
	{
		{	/* Trace/walk.scm 39 */
			return BGl_tracezd2walkz12zc0zztrace_walkz00(BgL_globalsz00_3255);
		}

	}



/* trace-id */
	obj_t BGl_tracezd2idzd2zztrace_walkz00(obj_t BgL_vz00_18)
	{
		{	/* Trace/walk.scm 64 */
			{	/* Trace/walk.scm 66 */
				bool_t BgL_test2259z00_3759;

				{	/* Trace/walk.scm 66 */
					bool_t BgL_test2260z00_3760;

					{	/* Trace/walk.scm 66 */
						obj_t BgL_classz00_2404;

						BgL_classz00_2404 = BGl_globalz00zzast_varz00;
						if (BGL_OBJECTP(BgL_vz00_18))
							{	/* Trace/walk.scm 66 */
								BgL_objectz00_bglt BgL_arg1858z00_2406;

								BgL_arg1858z00_2406 = (BgL_objectz00_bglt) (BgL_vz00_18);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Trace/walk.scm 66 */
										long BgL_idxz00_2412;

										BgL_idxz00_2412 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2406);
										BgL_test2260z00_3760 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2412 + 2L)) == BgL_classz00_2404);
									}
								else
									{	/* Trace/walk.scm 66 */
										bool_t BgL_res2089z00_2437;

										{	/* Trace/walk.scm 66 */
											obj_t BgL_oclassz00_2420;

											{	/* Trace/walk.scm 66 */
												obj_t BgL_arg1866z00_2428;
												long BgL_arg1867z00_2429;

												BgL_arg1866z00_2428 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Trace/walk.scm 66 */
													long BgL_arg1869z00_2430;

													BgL_arg1869z00_2430 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2406);
													BgL_arg1867z00_2429 =
														(BgL_arg1869z00_2430 - OBJECT_TYPE);
												}
												BgL_oclassz00_2420 =
													VECTOR_REF(BgL_arg1866z00_2428, BgL_arg1867z00_2429);
											}
											{	/* Trace/walk.scm 66 */
												bool_t BgL__ortest_1115z00_2421;

												BgL__ortest_1115z00_2421 =
													(BgL_classz00_2404 == BgL_oclassz00_2420);
												if (BgL__ortest_1115z00_2421)
													{	/* Trace/walk.scm 66 */
														BgL_res2089z00_2437 = BgL__ortest_1115z00_2421;
													}
												else
													{	/* Trace/walk.scm 66 */
														long BgL_odepthz00_2422;

														{	/* Trace/walk.scm 66 */
															obj_t BgL_arg1855z00_2423;

															BgL_arg1855z00_2423 = (BgL_oclassz00_2420);
															BgL_odepthz00_2422 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_2423);
														}
														if ((2L < BgL_odepthz00_2422))
															{	/* Trace/walk.scm 66 */
																obj_t BgL_arg1853z00_2425;

																{	/* Trace/walk.scm 66 */
																	obj_t BgL_arg1854z00_2426;

																	BgL_arg1854z00_2426 = (BgL_oclassz00_2420);
																	BgL_arg1853z00_2425 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2426,
																		2L);
																}
																BgL_res2089z00_2437 =
																	(BgL_arg1853z00_2425 == BgL_classz00_2404);
															}
														else
															{	/* Trace/walk.scm 66 */
																BgL_res2089z00_2437 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2260z00_3760 = BgL_res2089z00_2437;
									}
							}
						else
							{	/* Trace/walk.scm 66 */
								BgL_test2260z00_3760 = ((bool_t) 0);
							}
					}
					if (BgL_test2260z00_3760)
						{	/* Trace/walk.scm 66 */
							BgL_test2259z00_3759 =
								(
								(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_vz00_18))))->BgL_idz00) ==
								((obj_t) CNST_TABLE_REF(1)));
						}
					else
						{	/* Trace/walk.scm 66 */
							BgL_test2259z00_3759 = ((bool_t) 0);
						}
				}
				if (BgL_test2259z00_3759)
					{	/* Trace/walk.scm 67 */
						obj_t BgL_arg1484z00_1640;

						{	/* Trace/walk.scm 67 */
							obj_t BgL_arg1487z00_1641;
							obj_t BgL_arg1489z00_1642;

							{	/* Trace/walk.scm 67 */
								obj_t BgL_arg1490z00_1643;

								BgL_arg1490z00_1643 =
									bstring_to_symbol(BGl_string2134z00zztrace_walkz00);
								{	/* Trace/walk.scm 67 */
									obj_t BgL_arg1486z00_2441;

									BgL_arg1486z00_2441 = SYMBOL_TO_STRING(BgL_arg1490z00_1643);
									BgL_arg1487z00_1641 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1486z00_2441);
								}
							}
							{	/* Trace/walk.scm 67 */
								obj_t BgL_arg1506z00_1644;

								BgL_arg1506z00_1644 =
									(((BgL_globalz00_bglt) COBJECT(
											((BgL_globalz00_bglt) BgL_vz00_18)))->BgL_modulez00);
								{	/* Trace/walk.scm 67 */
									obj_t BgL_arg1486z00_2444;

									BgL_arg1486z00_2444 = SYMBOL_TO_STRING(BgL_arg1506z00_1644);
									BgL_arg1489z00_1642 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1486z00_2444);
								}
							}
							BgL_arg1484z00_1640 =
								string_append(BgL_arg1487z00_1641, BgL_arg1489z00_1642);
						}
						return bstring_to_symbol(BgL_arg1484z00_1640);
					}
				else
					{	/* Trace/walk.scm 68 */
						bool_t BgL_test2265z00_3798;

						{	/* Trace/walk.scm 68 */
							bool_t BgL_test2266z00_3799;

							{	/* Trace/walk.scm 68 */
								obj_t BgL_classz00_2446;

								BgL_classz00_2446 = BGl_globalz00zzast_varz00;
								if (BGL_OBJECTP(BgL_vz00_18))
									{	/* Trace/walk.scm 68 */
										BgL_objectz00_bglt BgL_arg1858z00_2448;

										BgL_arg1858z00_2448 = (BgL_objectz00_bglt) (BgL_vz00_18);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Trace/walk.scm 68 */
												long BgL_idxz00_2454;

												BgL_idxz00_2454 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2448);
												BgL_test2266z00_3799 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2454 + 2L)) == BgL_classz00_2446);
											}
										else
											{	/* Trace/walk.scm 68 */
												bool_t BgL_res2090z00_2479;

												{	/* Trace/walk.scm 68 */
													obj_t BgL_oclassz00_2462;

													{	/* Trace/walk.scm 68 */
														obj_t BgL_arg1866z00_2470;
														long BgL_arg1867z00_2471;

														BgL_arg1866z00_2470 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Trace/walk.scm 68 */
															long BgL_arg1869z00_2472;

															BgL_arg1869z00_2472 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2448);
															BgL_arg1867z00_2471 =
																(BgL_arg1869z00_2472 - OBJECT_TYPE);
														}
														BgL_oclassz00_2462 =
															VECTOR_REF(BgL_arg1866z00_2470,
															BgL_arg1867z00_2471);
													}
													{	/* Trace/walk.scm 68 */
														bool_t BgL__ortest_1115z00_2463;

														BgL__ortest_1115z00_2463 =
															(BgL_classz00_2446 == BgL_oclassz00_2462);
														if (BgL__ortest_1115z00_2463)
															{	/* Trace/walk.scm 68 */
																BgL_res2090z00_2479 = BgL__ortest_1115z00_2463;
															}
														else
															{	/* Trace/walk.scm 68 */
																long BgL_odepthz00_2464;

																{	/* Trace/walk.scm 68 */
																	obj_t BgL_arg1855z00_2465;

																	BgL_arg1855z00_2465 = (BgL_oclassz00_2462);
																	BgL_odepthz00_2464 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_2465);
																}
																if ((2L < BgL_odepthz00_2464))
																	{	/* Trace/walk.scm 68 */
																		obj_t BgL_arg1853z00_2467;

																		{	/* Trace/walk.scm 68 */
																			obj_t BgL_arg1854z00_2468;

																			BgL_arg1854z00_2468 =
																				(BgL_oclassz00_2462);
																			BgL_arg1853z00_2467 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_2468, 2L);
																		}
																		BgL_res2090z00_2479 =
																			(BgL_arg1853z00_2467 ==
																			BgL_classz00_2446);
																	}
																else
																	{	/* Trace/walk.scm 68 */
																		BgL_res2090z00_2479 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2266z00_3799 = BgL_res2090z00_2479;
											}
									}
								else
									{	/* Trace/walk.scm 68 */
										BgL_test2266z00_3799 = ((bool_t) 0);
									}
							}
							if (BgL_test2266z00_3799)
								{	/* Trace/walk.scm 68 */
									BgL_test2265z00_3798 =
										(
										(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_vz00_18))))->BgL_idz00) ==
										((obj_t) CNST_TABLE_REF(2)));
								}
							else
								{	/* Trace/walk.scm 68 */
									BgL_test2265z00_3798 = ((bool_t) 0);
								}
						}
						if (BgL_test2265z00_3798)
							{	/* Trace/walk.scm 69 */
								obj_t BgL_arg1513z00_1648;

								{	/* Trace/walk.scm 69 */
									obj_t BgL_arg1515z00_1649;
									obj_t BgL_arg1516z00_1650;

									{	/* Trace/walk.scm 69 */
										obj_t BgL_arg1530z00_1651;

										BgL_arg1530z00_1651 =
											bstring_to_symbol(BGl_string2135z00zztrace_walkz00);
										{	/* Trace/walk.scm 69 */
											obj_t BgL_arg1486z00_2483;

											BgL_arg1486z00_2483 =
												SYMBOL_TO_STRING(BgL_arg1530z00_1651);
											BgL_arg1515z00_1649 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1486z00_2483);
										}
									}
									{	/* Trace/walk.scm 69 */
										obj_t BgL_arg1532z00_1652;

										BgL_arg1532z00_1652 =
											(((BgL_globalz00_bglt) COBJECT(
													((BgL_globalz00_bglt) BgL_vz00_18)))->BgL_modulez00);
										{	/* Trace/walk.scm 69 */
											obj_t BgL_arg1486z00_2486;

											BgL_arg1486z00_2486 =
												SYMBOL_TO_STRING(BgL_arg1532z00_1652);
											BgL_arg1516z00_1650 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1486z00_2486);
										}
									}
									BgL_arg1513z00_1648 =
										string_append(BgL_arg1515z00_1649, BgL_arg1516z00_1650);
								}
								return bstring_to_symbol(BgL_arg1513z00_1648);
							}
						else
							{	/* Trace/walk.scm 70 */
								bool_t BgL_test2271z00_3837;

								{	/* Trace/walk.scm 70 */
									obj_t BgL_classz00_2488;

									BgL_classz00_2488 = BGl_globalz00zzast_varz00;
									if (BGL_OBJECTP(BgL_vz00_18))
										{	/* Trace/walk.scm 70 */
											BgL_objectz00_bglt BgL_arg1858z00_2490;

											BgL_arg1858z00_2490 = (BgL_objectz00_bglt) (BgL_vz00_18);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Trace/walk.scm 70 */
													long BgL_idxz00_2496;

													BgL_idxz00_2496 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2490);
													BgL_test2271z00_3837 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2496 + 2L)) == BgL_classz00_2488);
												}
											else
												{	/* Trace/walk.scm 70 */
													bool_t BgL_res2091z00_2521;

													{	/* Trace/walk.scm 70 */
														obj_t BgL_oclassz00_2504;

														{	/* Trace/walk.scm 70 */
															obj_t BgL_arg1866z00_2512;
															long BgL_arg1867z00_2513;

															BgL_arg1866z00_2512 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Trace/walk.scm 70 */
																long BgL_arg1869z00_2514;

																BgL_arg1869z00_2514 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2490);
																BgL_arg1867z00_2513 =
																	(BgL_arg1869z00_2514 - OBJECT_TYPE);
															}
															BgL_oclassz00_2504 =
																VECTOR_REF(BgL_arg1866z00_2512,
																BgL_arg1867z00_2513);
														}
														{	/* Trace/walk.scm 70 */
															bool_t BgL__ortest_1115z00_2505;

															BgL__ortest_1115z00_2505 =
																(BgL_classz00_2488 == BgL_oclassz00_2504);
															if (BgL__ortest_1115z00_2505)
																{	/* Trace/walk.scm 70 */
																	BgL_res2091z00_2521 =
																		BgL__ortest_1115z00_2505;
																}
															else
																{	/* Trace/walk.scm 70 */
																	long BgL_odepthz00_2506;

																	{	/* Trace/walk.scm 70 */
																		obj_t BgL_arg1855z00_2507;

																		BgL_arg1855z00_2507 = (BgL_oclassz00_2504);
																		BgL_odepthz00_2506 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_2507);
																	}
																	if ((2L < BgL_odepthz00_2506))
																		{	/* Trace/walk.scm 70 */
																			obj_t BgL_arg1853z00_2509;

																			{	/* Trace/walk.scm 70 */
																				obj_t BgL_arg1854z00_2510;

																				BgL_arg1854z00_2510 =
																					(BgL_oclassz00_2504);
																				BgL_arg1853z00_2509 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_2510, 2L);
																			}
																			BgL_res2091z00_2521 =
																				(BgL_arg1853z00_2509 ==
																				BgL_classz00_2488);
																		}
																	else
																		{	/* Trace/walk.scm 70 */
																			BgL_res2091z00_2521 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2271z00_3837 = BgL_res2091z00_2521;
												}
										}
									else
										{	/* Trace/walk.scm 70 */
											BgL_test2271z00_3837 = ((bool_t) 0);
										}
								}
								if (BgL_test2271z00_3837)
									{	/* Trace/walk.scm 71 */
										obj_t BgL_arg1535z00_1654;
										obj_t BgL_arg1543z00_1655;

										BgL_arg1535z00_1654 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_vz00_18))))->BgL_idz00);
										BgL_arg1543z00_1655 =
											(((BgL_globalz00_bglt) COBJECT(
													((BgL_globalz00_bglt) BgL_vz00_18)))->BgL_modulez00);
										{	/* Trace/walk.scm 71 */
											obj_t BgL_list1544z00_1656;

											{	/* Trace/walk.scm 71 */
												obj_t BgL_arg1545z00_1657;

												{	/* Trace/walk.scm 71 */
													obj_t BgL_arg1553z00_1658;

													BgL_arg1553z00_1658 =
														MAKE_YOUNG_PAIR(BgL_arg1543z00_1655, BNIL);
													BgL_arg1545z00_1657 =
														MAKE_YOUNG_PAIR(
														((obj_t) CNST_TABLE_REF(3)), BgL_arg1553z00_1658);
												}
												BgL_list1544z00_1656 =
													MAKE_YOUNG_PAIR(BgL_arg1535z00_1654,
													BgL_arg1545z00_1657);
											}
											BGL_TAIL return
												BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
												(BgL_list1544z00_1656);
										}
									}
								else
									{	/* Trace/walk.scm 70 */
										return
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_vz00_18)))->BgL_idz00);
									}
							}
					}
			}
		}

	}



/* trace-fun! */
	obj_t BGl_tracezd2funz12zc0zztrace_walkz00(obj_t BgL_varz00_19,
		obj_t BgL_stackz00_20, obj_t BgL_levelz00_21)
	{
		{	/* Trace/walk.scm 81 */
			{	/* Trace/walk.scm 82 */
				BgL_valuez00_bglt BgL_funz00_1663;

				BgL_funz00_1663 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_19)))->BgL_valuez00);
				{	/* Trace/walk.scm 82 */
					obj_t BgL_bodyz00_1664;

					BgL_bodyz00_1664 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_1663)))->BgL_bodyz00);
					{	/* Trace/walk.scm 83 */
						obj_t BgL_llocz00_1665;

						BgL_llocz00_1665 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_1663)))->BgL_locz00);
						{	/* Trace/walk.scm 84 */

							{	/* Trace/walk.scm 85 */
								bool_t BgL_test2276z00_3879;

								if (CBOOL(
										(((BgL_funz00_bglt) COBJECT(
													((BgL_funz00_bglt) BgL_funz00_1663)))->
											BgL_predicatezd2ofzd2)))
									{	/* Trace/walk.scm 85 */
										BgL_test2276z00_3879 = ((bool_t) 0);
									}
								else
									{	/* Trace/walk.scm 85 */
										if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
													((obj_t)
														CNST_TABLE_REF(4)),
													(((BgL_sfunz00_bglt) COBJECT(
																((BgL_sfunz00_bglt) BgL_funz00_1663)))->
														BgL_propertyz00))))
											{	/* Trace/walk.scm 86 */
												BgL_test2276z00_3879 = ((bool_t) 0);
											}
										else
											{	/* Trace/walk.scm 87 */
												obj_t BgL_arg1643z00_1709;

												BgL_arg1643z00_1709 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_varz00_19)))->
													BgL_idz00);
												BgL_test2276z00_3879 =
													BGl_userzd2symbolzf3z21zzast_identz00
													(BgL_arg1643z00_1709);
											}
									}
								if (BgL_test2276z00_3879)
									{	/* Trace/walk.scm 85 */
										BGl_enterzd2functionzd2zztools_errorz00
											(BGl_tracezd2idzd2zztrace_walkz00(BgL_varz00_19));
										{	/* Trace/walk.scm 89 */
											obj_t BgL_bdz00_1673;

											{	/* Trace/walk.scm 89 */
												bool_t BgL_test2279z00_3896;

												if (((long) CINT(BgL_levelz00_21) > 1L))
													{	/* Trace/walk.scm 89 */
														BgL_test2279z00_3896 = ((bool_t) 1);
													}
												else
													{	/* Trace/walk.scm 90 */
														bool_t BgL_test2281z00_3900;

														{	/* Trace/walk.scm 90 */
															obj_t BgL_classz00_2532;

															BgL_classz00_2532 = BGl_globalz00zzast_varz00;
															if (BGL_OBJECTP(BgL_varz00_19))
																{	/* Trace/walk.scm 90 */
																	BgL_objectz00_bglt BgL_arg1858z00_2534;

																	BgL_arg1858z00_2534 =
																		(BgL_objectz00_bglt) (BgL_varz00_19);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Trace/walk.scm 90 */
																			long BgL_idxz00_2540;

																			BgL_idxz00_2540 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1858z00_2534);
																			BgL_test2281z00_3900 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_2540 + 2L)) ==
																				BgL_classz00_2532);
																		}
																	else
																		{	/* Trace/walk.scm 90 */
																			bool_t BgL_res2092z00_2565;

																			{	/* Trace/walk.scm 90 */
																				obj_t BgL_oclassz00_2548;

																				{	/* Trace/walk.scm 90 */
																					obj_t BgL_arg1866z00_2556;
																					long BgL_arg1867z00_2557;

																					BgL_arg1866z00_2556 =
																						(BGl_za2classesza2z00zz__objectz00);
																					{	/* Trace/walk.scm 90 */
																						long BgL_arg1869z00_2558;

																						BgL_arg1869z00_2558 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1858z00_2534);
																						BgL_arg1867z00_2557 =
																							(BgL_arg1869z00_2558 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_2548 =
																						VECTOR_REF(BgL_arg1866z00_2556,
																						BgL_arg1867z00_2557);
																				}
																				{	/* Trace/walk.scm 90 */
																					bool_t BgL__ortest_1115z00_2549;

																					BgL__ortest_1115z00_2549 =
																						(BgL_classz00_2532 ==
																						BgL_oclassz00_2548);
																					if (BgL__ortest_1115z00_2549)
																						{	/* Trace/walk.scm 90 */
																							BgL_res2092z00_2565 =
																								BgL__ortest_1115z00_2549;
																						}
																					else
																						{	/* Trace/walk.scm 90 */
																							long BgL_odepthz00_2550;

																							{	/* Trace/walk.scm 90 */
																								obj_t BgL_arg1855z00_2551;

																								BgL_arg1855z00_2551 =
																									(BgL_oclassz00_2548);
																								BgL_odepthz00_2550 =
																									BGL_CLASS_DEPTH
																									(BgL_arg1855z00_2551);
																							}
																							if ((2L < BgL_odepthz00_2550))
																								{	/* Trace/walk.scm 90 */
																									obj_t BgL_arg1853z00_2553;

																									{	/* Trace/walk.scm 90 */
																										obj_t BgL_arg1854z00_2554;

																										BgL_arg1854z00_2554 =
																											(BgL_oclassz00_2548);
																										BgL_arg1853z00_2553 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_arg1854z00_2554, 2L);
																									}
																									BgL_res2092z00_2565 =
																										(BgL_arg1853z00_2553 ==
																										BgL_classz00_2532);
																								}
																							else
																								{	/* Trace/walk.scm 90 */
																									BgL_res2092z00_2565 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test2281z00_3900 =
																				BgL_res2092z00_2565;
																		}
																}
															else
																{	/* Trace/walk.scm 90 */
																	BgL_test2281z00_3900 = ((bool_t) 0);
																}
														}
														if (BgL_test2281z00_3900)
															{	/* Trace/walk.scm 91 */
																bool_t BgL__ortest_1114z00_1702;

																BgL__ortest_1114z00_1702 =
																	(
																	(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					((BgL_globalz00_bglt)
																						BgL_varz00_19))))->BgL_idz00) ==
																	((obj_t) CNST_TABLE_REF(1)));
																if (BgL__ortest_1114z00_1702)
																	{	/* Trace/walk.scm 91 */
																		BgL_test2279z00_3896 =
																			BgL__ortest_1114z00_1702;
																	}
																else
																	{	/* Trace/walk.scm 92 */
																		bool_t BgL__ortest_1116z00_1703;

																		BgL__ortest_1116z00_1703 =
																			(
																			(((BgL_variablez00_bglt) COBJECT(
																						((BgL_variablez00_bglt)
																							((BgL_globalz00_bglt)
																								BgL_varz00_19))))->BgL_idz00) ==
																			((obj_t) CNST_TABLE_REF(5)));
																		if (BgL__ortest_1116z00_1703)
																			{	/* Trace/walk.scm 92 */
																				BgL_test2279z00_3896 =
																					BgL__ortest_1116z00_1703;
																			}
																		else
																			{	/* Trace/walk.scm 92 */
																				BgL_test2279z00_3896 =
																					(
																					(((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									((BgL_globalz00_bglt)
																										BgL_varz00_19))))->
																						BgL_idz00) ==
																					((obj_t) CNST_TABLE_REF(6)));
																			}
																	}
															}
														else
															{	/* Trace/walk.scm 90 */
																BgL_test2279z00_3896 = ((bool_t) 0);
															}
													}
												if (BgL_test2279z00_3896)
													{	/* Trace/walk.scm 101 */
														bool_t BgL_test2288z00_3943;

														{	/* Trace/walk.scm 101 */
															bool_t BgL_test2289z00_3944;

															{	/* Trace/walk.scm 101 */
																obj_t BgL_classz00_2569;

																BgL_classz00_2569 = BGl_localz00zzast_varz00;
																if (BGL_OBJECTP(BgL_varz00_19))
																	{	/* Trace/walk.scm 101 */
																		BgL_objectz00_bglt BgL_arg1858z00_2571;

																		BgL_arg1858z00_2571 =
																			(BgL_objectz00_bglt) (BgL_varz00_19);
																		if (BGL_CONDEXPAND_ISA_ARCH64())
																			{	/* Trace/walk.scm 101 */
																				long BgL_idxz00_2577;

																				BgL_idxz00_2577 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1858z00_2571);
																				BgL_test2289z00_3944 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_2577 + 2L)) ==
																					BgL_classz00_2569);
																			}
																		else
																			{	/* Trace/walk.scm 101 */
																				bool_t BgL_res2093z00_2602;

																				{	/* Trace/walk.scm 101 */
																					obj_t BgL_oclassz00_2585;

																					{	/* Trace/walk.scm 101 */
																						obj_t BgL_arg1866z00_2593;
																						long BgL_arg1867z00_2594;

																						BgL_arg1866z00_2593 =
																							(BGl_za2classesza2z00zz__objectz00);
																						{	/* Trace/walk.scm 101 */
																							long BgL_arg1869z00_2595;

																							BgL_arg1869z00_2595 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1858z00_2571);
																							BgL_arg1867z00_2594 =
																								(BgL_arg1869z00_2595 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_2585 =
																							VECTOR_REF(BgL_arg1866z00_2593,
																							BgL_arg1867z00_2594);
																					}
																					{	/* Trace/walk.scm 101 */
																						bool_t BgL__ortest_1115z00_2586;

																						BgL__ortest_1115z00_2586 =
																							(BgL_classz00_2569 ==
																							BgL_oclassz00_2585);
																						if (BgL__ortest_1115z00_2586)
																							{	/* Trace/walk.scm 101 */
																								BgL_res2093z00_2602 =
																									BgL__ortest_1115z00_2586;
																							}
																						else
																							{	/* Trace/walk.scm 101 */
																								long BgL_odepthz00_2587;

																								{	/* Trace/walk.scm 101 */
																									obj_t BgL_arg1855z00_2588;

																									BgL_arg1855z00_2588 =
																										(BgL_oclassz00_2585);
																									BgL_odepthz00_2587 =
																										BGL_CLASS_DEPTH
																										(BgL_arg1855z00_2588);
																								}
																								if ((2L < BgL_odepthz00_2587))
																									{	/* Trace/walk.scm 101 */
																										obj_t BgL_arg1853z00_2590;

																										{	/* Trace/walk.scm 101 */
																											obj_t BgL_arg1854z00_2591;

																											BgL_arg1854z00_2591 =
																												(BgL_oclassz00_2585);
																											BgL_arg1853z00_2590 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_arg1854z00_2591,
																												2L);
																										}
																										BgL_res2093z00_2602 =
																											(BgL_arg1853z00_2590 ==
																											BgL_classz00_2569);
																									}
																								else
																									{	/* Trace/walk.scm 101 */
																										BgL_res2093z00_2602 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_test2289z00_3944 =
																					BgL_res2093z00_2602;
																			}
																	}
																else
																	{	/* Trace/walk.scm 101 */
																		BgL_test2289z00_3944 = ((bool_t) 0);
																	}
															}
															if (BgL_test2289z00_3944)
																{	/* Trace/walk.scm 101 */
																	BgL_test2288z00_3943 = ((bool_t) 1);
																}
															else
																{	/* Trace/walk.scm 101 */
																	if (
																		((((BgL_variablez00_bglt) COBJECT(
																						((BgL_variablez00_bglt)
																							((BgL_globalz00_bglt)
																								BgL_varz00_19))))->BgL_idz00) ==
																			((obj_t) CNST_TABLE_REF(5))))
																		{	/* Trace/walk.scm 102 */
																			BgL_test2288z00_3943 = ((bool_t) 1);
																		}
																	else
																		{	/* Trace/walk.scm 102 */
																			BgL_test2288z00_3943 =
																				(
																				(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_globalz00_bglt)
																									BgL_varz00_19))))->
																					BgL_idz00) ==
																				((obj_t) CNST_TABLE_REF(6)));
																		}
																}
														}
														if (BgL_test2288z00_3943)
															{	/* Trace/walk.scm 104 */
																long BgL_arg1625z00_1693;

																BgL_arg1625z00_1693 =
																	((long) CINT(BgL_levelz00_21) - 1L);
																BgL_bdz00_1673 =
																	((obj_t)
																	BGl_tracezd2nodezd2zztrace_walkz00(
																		((BgL_nodez00_bglt) BgL_bodyz00_1664),
																		BgL_stackz00_20,
																		BINT(BgL_arg1625z00_1693)));
															}
														else
															{	/* Trace/walk.scm 105 */
																obj_t BgL_arg1626z00_1694;
																long BgL_arg1631z00_1695;

																BgL_arg1626z00_1694 =
																	MAKE_YOUNG_PAIR(BgL_varz00_19,
																	BgL_stackz00_20);
																BgL_arg1631z00_1695 =
																	((long) CINT(BgL_levelz00_21) - 1L);
																BgL_bdz00_1673 =
																	((obj_t)
																	BGl_tracezd2nodezd2zztrace_walkz00((
																			(BgL_nodez00_bglt) BgL_bodyz00_1664),
																		BgL_arg1626z00_1694,
																		BINT(BgL_arg1631z00_1695)));
													}}
												else
													{	/* Trace/walk.scm 89 */
														BgL_bdz00_1673 = BgL_bodyz00_1664;
													}
											}
											{	/* Trace/walk.scm 89 */
												BgL_typez00_bglt BgL_tz00_1674;

												{	/* Trace/walk.scm 107 */
													BgL_typez00_bglt BgL_arg1587z00_1677;
													BgL_typez00_bglt BgL_arg1588z00_1678;

													BgL_arg1587z00_1677 =
														(((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_bodyz00_1664)))->
														BgL_typez00);
													BgL_arg1588z00_1678 =
														(((BgL_variablez00_bglt)
															COBJECT(((BgL_variablez00_bglt) BgL_varz00_19)))->
														BgL_typez00);
													BgL_tz00_1674 =
														BGl_strictzd2nodezd2typez00zzast_nodez00
														(BgL_arg1587z00_1677, BgL_arg1588z00_1678);
												}
												{	/* Trace/walk.scm 107 */
													obj_t BgL_idz00_1675;

													BgL_idz00_1675 =
														BGl_tracezd2idzd2zztrace_walkz00(BgL_varz00_19);
													{	/* Trace/walk.scm 108 */
														BgL_letzd2varzd2_bglt BgL_nbodyz00_1676;

														BgL_nbodyz00_1676 =
															BGl_makezd2tracedzd2nodez00zztrace_walkz00(
															((BgL_nodez00_bglt) BgL_bdz00_1673),
															BgL_tz00_1674, BgL_idz00_1675, BgL_llocz00_1665,
															BgL_stackz00_20);
														{	/* Trace/walk.scm 109 */

															((((BgL_sfunz00_bglt) COBJECT(
																			((BgL_sfunz00_bglt) BgL_funz00_1663)))->
																	BgL_bodyz00) =
																((obj_t) ((obj_t) BgL_nbodyz00_1676)), BUNSPEC);
															return BGl_leavezd2functionzd2zztools_errorz00();
														}
													}
												}
											}
										}
									}
								else
									{	/* Trace/walk.scm 85 */
										return BFALSE;
									}
							}
						}
					}
				}
			}
		}

	}



/* find-last-sexp */
	obj_t BGl_findzd2lastzd2sexpz00zztrace_walkz00(BgL_nodez00_bglt
		BgL_sexpz00_22)
	{
		{	/* Trace/walk.scm 120 */
			{
				obj_t BgL_sexpz00_1712;
				obj_t BgL_resz00_1713;

				BgL_sexpz00_1712 = ((obj_t) BgL_sexpz00_22);
				BgL_resz00_1713 = ((obj_t) BgL_sexpz00_22);
			BgL_zc3z04anonymousza31649ze3z87_1714:
				if (PAIRP(BgL_sexpz00_1712))
					{	/* Trace/walk.scm 126 */
						bool_t BgL_test2296z00_4007;

						{	/* Trace/walk.scm 126 */
							obj_t BgL_tmpz00_4008;

							BgL_tmpz00_4008 = CDR(BgL_sexpz00_1712);
							BgL_test2296z00_4007 = PAIRP(BgL_tmpz00_4008);
						}
						if (BgL_test2296z00_4007)
							{
								obj_t BgL_resz00_4013;
								obj_t BgL_sexpz00_4011;

								BgL_sexpz00_4011 =
									BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00
									(BgL_sexpz00_1712);
								BgL_resz00_4013 = BgL_sexpz00_1712;
								BgL_resz00_1713 = BgL_resz00_4013;
								BgL_sexpz00_1712 = BgL_sexpz00_4011;
								goto BgL_zc3z04anonymousza31649ze3z87_1714;
							}
						else
							{
								obj_t BgL_resz00_4016;
								obj_t BgL_sexpz00_4014;

								BgL_sexpz00_4014 = CAR(BgL_sexpz00_1712);
								BgL_resz00_4016 = BgL_sexpz00_1712;
								BgL_resz00_1713 = BgL_resz00_4016;
								BgL_sexpz00_1712 = BgL_sexpz00_4014;
								goto BgL_zc3z04anonymousza31649ze3z87_1714;
							}
					}
				else
					{	/* Trace/walk.scm 124 */
						return BgL_resz00_1713;
					}
			}
		}

	}



/* make-traced-node */
	BgL_letzd2varzd2_bglt
		BGl_makezd2tracedzd2nodez00zztrace_walkz00(BgL_nodez00_bglt BgL_nodez00_38,
		BgL_typez00_bglt BgL_typez00_39, obj_t BgL_symbolz00_40,
		obj_t BgL_llocz00_41, obj_t BgL_stackz00_42)
	{
		{	/* Trace/walk.scm 243 */
			{	/* Trace/walk.scm 250 */
				obj_t BgL_locz00_1723;

				BgL_locz00_1723 =
					(((BgL_nodez00_bglt) COBJECT(BgL_nodez00_38))->BgL_locz00);
				{	/* Trace/walk.scm 250 */
					obj_t BgL_auxz00_1724;

					BgL_auxz00_1724 =
						BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
						(BGl_gensymz00zz__r4_symbols_6_4z00(((obj_t) CNST_TABLE_REF(7))));
					{	/* Trace/walk.scm 251 */
						obj_t BgL_tauxz00_1725;

						BgL_tauxz00_1725 =
							BGl_makezd2typedzd2identz00zzast_identz00(BgL_auxz00_1724,
							(((BgL_typez00_bglt) COBJECT(BgL_typez00_39))->BgL_idz00));
						{	/* Trace/walk.scm 252 */
							obj_t BgL_tmp1z00_1726;

							BgL_tmp1z00_1726 =
								BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
								(BGl_gensymz00zz__r4_symbols_6_4z00(((obj_t)
										CNST_TABLE_REF(8))));
							{	/* Trace/walk.scm 253 */
								obj_t BgL_tmp2z00_1727;

								BgL_tmp2z00_1727 =
									BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
									(BGl_gensymz00zz__r4_symbols_6_4z00(((obj_t)
											CNST_TABLE_REF(9))));
								{	/* Trace/walk.scm 254 */
									obj_t BgL_tmp3z00_1728;

									BgL_tmp3z00_1728 =
										BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
										(BGl_gensymz00zz__r4_symbols_6_4z00(((obj_t)
												CNST_TABLE_REF(10))));
									{	/* Trace/walk.scm 255 */
										obj_t BgL_symz00_1729;

										{	/* Trace/walk.scm 256 */
											bool_t BgL_test2297z00_4038;

											if (PAIRP(BgL_stackz00_42))
												{	/* Trace/walk.scm 256 */
													obj_t BgL_arg1801z00_1780;

													BgL_arg1801z00_1780 = CAR(BgL_stackz00_42);
													{	/* Trace/walk.scm 256 */
														obj_t BgL_classz00_2617;

														BgL_classz00_2617 = BGl_variablez00zzast_varz00;
														if (BGL_OBJECTP(BgL_arg1801z00_1780))
															{	/* Trace/walk.scm 256 */
																BgL_objectz00_bglt BgL_arg1858z00_2619;

																BgL_arg1858z00_2619 =
																	(BgL_objectz00_bglt) (BgL_arg1801z00_1780);
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Trace/walk.scm 256 */
																		long BgL_idxz00_2625;

																		BgL_idxz00_2625 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1858z00_2619);
																		BgL_test2297z00_4038 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_2625 + 1L)) ==
																			BgL_classz00_2617);
																	}
																else
																	{	/* Trace/walk.scm 256 */
																		bool_t BgL_res2094z00_2650;

																		{	/* Trace/walk.scm 256 */
																			obj_t BgL_oclassz00_2633;

																			{	/* Trace/walk.scm 256 */
																				obj_t BgL_arg1866z00_2641;
																				long BgL_arg1867z00_2642;

																				BgL_arg1866z00_2641 =
																					(BGl_za2classesza2z00zz__objectz00);
																				{	/* Trace/walk.scm 256 */
																					long BgL_arg1869z00_2643;

																					BgL_arg1869z00_2643 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1858z00_2619);
																					BgL_arg1867z00_2642 =
																						(BgL_arg1869z00_2643 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_2633 =
																					VECTOR_REF(BgL_arg1866z00_2641,
																					BgL_arg1867z00_2642);
																			}
																			{	/* Trace/walk.scm 256 */
																				bool_t BgL__ortest_1115z00_2634;

																				BgL__ortest_1115z00_2634 =
																					(BgL_classz00_2617 ==
																					BgL_oclassz00_2633);
																				if (BgL__ortest_1115z00_2634)
																					{	/* Trace/walk.scm 256 */
																						BgL_res2094z00_2650 =
																							BgL__ortest_1115z00_2634;
																					}
																				else
																					{	/* Trace/walk.scm 256 */
																						long BgL_odepthz00_2635;

																						{	/* Trace/walk.scm 256 */
																							obj_t BgL_arg1855z00_2636;

																							BgL_arg1855z00_2636 =
																								(BgL_oclassz00_2633);
																							BgL_odepthz00_2635 =
																								BGL_CLASS_DEPTH
																								(BgL_arg1855z00_2636);
																						}
																						if ((1L < BgL_odepthz00_2635))
																							{	/* Trace/walk.scm 256 */
																								obj_t BgL_arg1853z00_2638;

																								{	/* Trace/walk.scm 256 */
																									obj_t BgL_arg1854z00_2639;

																									BgL_arg1854z00_2639 =
																										(BgL_oclassz00_2633);
																									BgL_arg1853z00_2638 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_arg1854z00_2639, 1L);
																								}
																								BgL_res2094z00_2650 =
																									(BgL_arg1853z00_2638 ==
																									BgL_classz00_2617);
																							}
																						else
																							{	/* Trace/walk.scm 256 */
																								BgL_res2094z00_2650 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test2297z00_4038 = BgL_res2094z00_2650;
																	}
															}
														else
															{	/* Trace/walk.scm 256 */
																BgL_test2297z00_4038 = ((bool_t) 0);
															}
													}
												}
											else
												{	/* Trace/walk.scm 256 */
													BgL_test2297z00_4038 = ((bool_t) 0);
												}
											if (BgL_test2297z00_4038)
												{	/* Trace/walk.scm 256 */
													BgL_symz00_1729 =
														BGl_fqnameze70ze7zztrace_walkz00(BgL_symbolz00_40,
														BgL_stackz00_42);
												}
											else
												{	/* Trace/walk.scm 256 */
													BgL_symz00_1729 = BgL_symbolz00_40;
												}
										}
										{	/* Trace/walk.scm 256 */
											obj_t BgL_lz00_1730;

											{	/* Trace/walk.scm 260 */
												bool_t BgL_test2303z00_4065;

												if (STRUCTP(BgL_locz00_1723))
													{	/* Trace/walk.scm 260 */
														BgL_test2303z00_4065 =
															(STRUCT_KEY(BgL_locz00_1723) ==
															((obj_t) CNST_TABLE_REF(11)));
													}
												else
													{	/* Trace/walk.scm 260 */
														BgL_test2303z00_4065 = ((bool_t) 0);
													}
												if (BgL_test2303z00_4065)
													{	/* Trace/walk.scm 261 */
														obj_t BgL_arg1789z00_1772;

														{	/* Trace/walk.scm 261 */
															obj_t BgL_arg1790z00_1773;
															obj_t BgL_arg1796z00_1774;

															BgL_arg1790z00_1773 =
																BGl_locationzd2fullzd2fnamez00zztools_locationz00
																(BgL_locz00_1723);
															BgL_arg1796z00_1774 =
																MAKE_YOUNG_PAIR(STRUCT_REF(BgL_locz00_1723,
																	(int) (1L)), BNIL);
															BgL_arg1789z00_1772 =
																MAKE_YOUNG_PAIR(BgL_arg1790z00_1773,
																BgL_arg1796z00_1774);
														}
														BgL_lz00_1730 =
															MAKE_YOUNG_PAIR(
															((obj_t)
																CNST_TABLE_REF(12)), BgL_arg1789z00_1772);
													}
												else
													{	/* Trace/walk.scm 260 */
														BgL_lz00_1730 = BFALSE;
													}
											}
											{	/* Trace/walk.scm 260 */
												obj_t BgL_expz00_1731;

												{	/* Trace/walk.scm 262 */
													obj_t BgL_arg1673z00_1735;

													{	/* Trace/walk.scm 262 */
														obj_t BgL_arg1674z00_1736;
														obj_t BgL_arg1675z00_1737;

														{	/* Trace/walk.scm 262 */
															obj_t BgL_arg1677z00_1738;
															obj_t BgL_arg1679z00_1739;

															{	/* Trace/walk.scm 262 */
																obj_t BgL_arg1680z00_1740;

																{	/* Trace/walk.scm 262 */
																	obj_t BgL_arg1686z00_1741;

																	{	/* Trace/walk.scm 262 */
																		obj_t BgL_arg1691z00_1742;

																		BgL_arg1691z00_1742 =
																			MAKE_YOUNG_PAIR(BgL_symz00_1729, BNIL);
																		BgL_arg1686z00_1741 =
																			MAKE_YOUNG_PAIR(
																			((obj_t)
																				CNST_TABLE_REF(13)),
																			BgL_arg1691z00_1742);
																	}
																	BgL_arg1680z00_1740 =
																		MAKE_YOUNG_PAIR(BgL_arg1686z00_1741, BNIL);
																}
																BgL_arg1677z00_1738 =
																	MAKE_YOUNG_PAIR(BgL_tmp1z00_1726,
																	BgL_arg1680z00_1740);
															}
															{	/* Trace/walk.scm 263 */
																obj_t BgL_arg1692z00_1743;
																obj_t BgL_arg1693z00_1744;

																{	/* Trace/walk.scm 263 */
																	obj_t BgL_arg1695z00_1745;

																	{	/* Trace/walk.scm 263 */
																		obj_t BgL_arg1696z00_1746;

																		{	/* Trace/walk.scm 263 */
																			obj_t BgL_arg1699z00_1747;

																			BgL_arg1699z00_1747 =
																				MAKE_YOUNG_PAIR(BgL_lz00_1730, BNIL);
																			BgL_arg1696z00_1746 =
																				MAKE_YOUNG_PAIR(
																				((obj_t)
																					CNST_TABLE_REF(13)),
																				BgL_arg1699z00_1747);
																		}
																		BgL_arg1695z00_1745 =
																			MAKE_YOUNG_PAIR(BgL_arg1696z00_1746,
																			BNIL);
																	}
																	BgL_arg1692z00_1743 =
																		MAKE_YOUNG_PAIR(BgL_tmp2z00_1727,
																		BgL_arg1695z00_1745);
																}
																{	/* Trace/walk.scm 264 */
																	obj_t BgL_arg1703z00_1748;

																	{	/* Trace/walk.scm 264 */
																		obj_t BgL_arg1715z00_1749;
																		obj_t BgL_arg1716z00_1750;

																		BgL_arg1715z00_1749 =
																			BGl_makezd2typedzd2identz00zzast_identz00
																			(BgL_tmp3z00_1728,
																			((obj_t) CNST_TABLE_REF(14)));
																		{	/* Trace/walk.scm 264 */
																			obj_t BgL_arg1717z00_1751;

																			BgL_arg1717z00_1751 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) CNST_TABLE_REF(15)), BNIL);
																			BgL_arg1716z00_1750 =
																				MAKE_YOUNG_PAIR(BgL_arg1717z00_1751,
																				BNIL);
																		}
																		BgL_arg1703z00_1748 =
																			MAKE_YOUNG_PAIR(BgL_arg1715z00_1749,
																			BgL_arg1716z00_1750);
																	}
																	BgL_arg1693z00_1744 =
																		MAKE_YOUNG_PAIR(BgL_arg1703z00_1748, BNIL);
																}
																BgL_arg1679z00_1739 =
																	MAKE_YOUNG_PAIR(BgL_arg1692z00_1743,
																	BgL_arg1693z00_1744);
															}
															BgL_arg1674z00_1736 =
																MAKE_YOUNG_PAIR(BgL_arg1677z00_1738,
																BgL_arg1679z00_1739);
														}
														{	/* Trace/walk.scm 266 */
															obj_t BgL_arg1720z00_1752;

															{	/* Trace/walk.scm 266 */
																obj_t BgL_arg1724z00_1753;

																{	/* Trace/walk.scm 266 */
																	obj_t BgL_arg1729z00_1754;

																	{	/* Trace/walk.scm 266 */
																		obj_t BgL_arg1730z00_1755;
																		obj_t BgL_arg1746z00_1756;

																		{	/* Trace/walk.scm 266 */
																			obj_t BgL_arg1748z00_1757;

																			{	/* Trace/walk.scm 266 */
																				obj_t BgL_arg1755z00_1758;

																				{	/* Trace/walk.scm 266 */
																					obj_t BgL_arg1756z00_1759;

																					BgL_arg1756z00_1759 =
																						MAKE_YOUNG_PAIR(BgL_tmp2z00_1727,
																						BNIL);
																					BgL_arg1755z00_1758 =
																						MAKE_YOUNG_PAIR(BgL_tmp1z00_1726,
																						BgL_arg1756z00_1759);
																				}
																				BgL_arg1748z00_1757 =
																					MAKE_YOUNG_PAIR(BgL_tmp3z00_1728,
																					BgL_arg1755z00_1758);
																			}
																			BgL_arg1730z00_1755 =
																				MAKE_YOUNG_PAIR(
																				((obj_t)
																					CNST_TABLE_REF(16)),
																				BgL_arg1748z00_1757);
																		}
																		{	/* Trace/walk.scm 267 */
																			obj_t BgL_arg1757z00_1760;

																			{	/* Trace/walk.scm 267 */
																				obj_t BgL_arg1763z00_1761;

																				{	/* Trace/walk.scm 267 */
																					obj_t BgL_arg1765z00_1762;
																					obj_t BgL_arg1768z00_1763;

																					{	/* Trace/walk.scm 267 */
																						obj_t BgL_arg1770z00_1764;

																						{	/* Trace/walk.scm 267 */
																							obj_t BgL_arg1772z00_1765;

																							BgL_arg1772z00_1765 =
																								MAKE_YOUNG_PAIR(
																								((obj_t) BgL_nodez00_38), BNIL);
																							BgL_arg1770z00_1764 =
																								MAKE_YOUNG_PAIR
																								(BgL_tauxz00_1725,
																								BgL_arg1772z00_1765);
																						}
																						BgL_arg1765z00_1762 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1770z00_1764, BNIL);
																					}
																					{	/* Trace/walk.scm 268 */
																						obj_t BgL_arg1776z00_1766;
																						obj_t BgL_arg1782z00_1767;

																						{	/* Trace/walk.scm 268 */
																							bool_t BgL_test2305z00_4113;

																							if (STRUCTP(BgL_llocz00_41))
																								{	/* Trace/walk.scm 268 */
																									BgL_test2305z00_4113 =
																										(STRUCT_KEY(BgL_llocz00_41)
																										==
																										((obj_t)
																											CNST_TABLE_REF(11)));
																								}
																							else
																								{	/* Trace/walk.scm 268 */
																									BgL_test2305z00_4113 =
																										((bool_t) 0);
																								}
																							if (BgL_test2305z00_4113)
																								{	/* Trace/walk.scm 270 */
																									obj_t BgL_arg1784z00_1769;

																									{	/* Trace/walk.scm 270 */
																										obj_t BgL_res2097z00_2660;

																										BgL_res2097z00_2660 =
																											MAKE_YOUNG_EPAIR
																											(BgL_tmp3z00_1728, BNIL,
																											BgL_llocz00_41);
																										BgL_arg1784z00_1769 =
																											BgL_res2097z00_2660;
																									}
																									{	/* Trace/walk.scm 269 */
																										obj_t BgL_res2098z00_2662;

																										{	/* Trace/walk.scm 269 */
																											obj_t BgL_obj1z00_2661;

																											BgL_obj1z00_2661 =
																												((obj_t)
																												CNST_TABLE_REF(17));
																											BgL_res2098z00_2662 =
																												MAKE_YOUNG_EPAIR
																												(BgL_obj1z00_2661,
																												BgL_arg1784z00_1769,
																												BgL_llocz00_41);
																										}
																										BgL_arg1776z00_1766 =
																											BgL_res2098z00_2662;
																									}
																								}
																							else
																								{	/* Trace/walk.scm 272 */
																									obj_t BgL_arg1785z00_1770;

																									BgL_arg1785z00_1770 =
																										MAKE_YOUNG_PAIR
																										(BgL_tmp3z00_1728, BNIL);
																									BgL_arg1776z00_1766 =
																										MAKE_YOUNG_PAIR(((obj_t)
																											CNST_TABLE_REF(17)),
																										BgL_arg1785z00_1770);
																								}
																						}
																						BgL_arg1782z00_1767 =
																							MAKE_YOUNG_PAIR(BgL_auxz00_1724,
																							BNIL);
																						BgL_arg1768z00_1763 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1776z00_1766,
																							BgL_arg1782z00_1767);
																					}
																					BgL_arg1763z00_1761 =
																						MAKE_YOUNG_PAIR(BgL_arg1765z00_1762,
																						BgL_arg1768z00_1763);
																				}
																				BgL_arg1757z00_1760 =
																					MAKE_YOUNG_PAIR(
																					((obj_t)
																						CNST_TABLE_REF(18)),
																					BgL_arg1763z00_1761);
																			}
																			BgL_arg1746z00_1756 =
																				MAKE_YOUNG_PAIR(BgL_arg1757z00_1760,
																				BNIL);
																		}
																		BgL_arg1729z00_1754 =
																			MAKE_YOUNG_PAIR(BgL_arg1730z00_1755,
																			BgL_arg1746z00_1756);
																	}
																	BgL_arg1724z00_1753 =
																		MAKE_YOUNG_PAIR(BNIL, BgL_arg1729z00_1754);
																}
																BgL_arg1720z00_1752 =
																	MAKE_YOUNG_PAIR(
																	((obj_t)
																		CNST_TABLE_REF(18)), BgL_arg1724z00_1753);
															}
															BgL_arg1675z00_1737 =
																MAKE_YOUNG_PAIR(BgL_arg1720z00_1752, BNIL);
														}
														BgL_arg1673z00_1735 =
															MAKE_YOUNG_PAIR(BgL_arg1674z00_1736,
															BgL_arg1675z00_1737);
													}
													BgL_expz00_1731 =
														MAKE_YOUNG_PAIR(
														((obj_t) CNST_TABLE_REF(18)), BgL_arg1673z00_1735);
												}
												{	/* Trace/walk.scm 262 */
													BgL_nodez00_bglt BgL_nnodez00_1732;

													BgL_nnodez00_1732 =
														BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_1731,
														BNIL, BgL_locz00_1723,
														((obj_t) CNST_TABLE_REF(19)));
													{	/* Trace/walk.scm 274 */

														{	/* Trace/walk.scm 275 */
															bool_t BgL_arg1663z00_1733;

															{	/* Trace/walk.scm 275 */
																obj_t BgL_arg1664z00_1734;

																BgL_arg1664z00_1734 =
																	BGl_thezd2backendzd2zzbackend_backendz00();
																BgL_arg1663z00_1733 =
																	(((BgL_backendz00_bglt) COBJECT(
																			((BgL_backendz00_bglt)
																				BgL_arg1664z00_1734)))->
																	BgL_removezd2emptyzd2letz00);
															}
															((((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				BgL_nnodez00_1732)))->
																	BgL_removablezf3zf3) =
																((bool_t) BgL_arg1663z00_1733), BUNSPEC);
														}
														return ((BgL_letzd2varzd2_bglt) BgL_nnodez00_1732);
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* fqname~0 */
	obj_t BGl_fqnameze70ze7zztrace_walkz00(obj_t BgL_symz00_1786,
		obj_t BgL_stackz00_1787)
	{
		{	/* Trace/walk.scm 248 */
			if (NULLP(BgL_stackz00_1787))
				{	/* Trace/walk.scm 246 */
					return BgL_symz00_1786;
				}
			else
				{	/* Trace/walk.scm 248 */
					obj_t BgL_arg1814z00_1790;

					{	/* Trace/walk.scm 248 */
						obj_t BgL_arg1822z00_1794;
						obj_t BgL_arg1825z00_1795;

						{	/* Trace/walk.scm 248 */
							obj_t BgL_arg1829z00_1796;

							BgL_arg1829z00_1796 = CAR(((obj_t) BgL_stackz00_1787));
							BgL_arg1822z00_1794 =
								BGl_tracezd2idzd2zztrace_walkz00(BgL_arg1829z00_1796);
						}
						BgL_arg1825z00_1795 = CDR(((obj_t) BgL_stackz00_1787));
						BgL_arg1814z00_1790 =
							BGl_fqnameze70ze7zztrace_walkz00(BgL_arg1822z00_1794,
							BgL_arg1825z00_1795);
					}
					{	/* Trace/walk.scm 248 */
						obj_t BgL_list1815z00_1791;

						{	/* Trace/walk.scm 248 */
							obj_t BgL_arg1818z00_1792;

							{	/* Trace/walk.scm 248 */
								obj_t BgL_arg1821z00_1793;

								BgL_arg1821z00_1793 =
									MAKE_YOUNG_PAIR(BgL_arg1814z00_1790, BNIL);
								BgL_arg1818z00_1792 =
									MAKE_YOUNG_PAIR(
									((obj_t) CNST_TABLE_REF(20)), BgL_arg1821z00_1793);
							}
							BgL_list1815z00_1791 =
								MAKE_YOUNG_PAIR(BgL_symz00_1786, BgL_arg1818z00_1792);
						}
						return
							BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1815z00_1791);
					}
				}
		}

	}



/* trace-node*! */
	bool_t BGl_tracezd2nodeza2z12z62zztrace_walkz00(obj_t BgL_nodeza2za2_100,
		obj_t BgL_stackz00_101, obj_t BgL_levelz00_102)
	{
		{	/* Trace/walk.scm 448 */
		BGl_tracezd2nodeza2z12z62zztrace_walkz00:
			if (NULLP(BgL_nodeza2za2_100))
				{	/* Trace/walk.scm 449 */
					return ((bool_t) 0);
				}
			else
				{	/* Trace/walk.scm 449 */
					{	/* Trace/walk.scm 450 */
						BgL_nodez00_bglt BgL_arg1834z00_1799;

						{	/* Trace/walk.scm 450 */
							obj_t BgL_arg1842z00_1800;

							BgL_arg1842z00_1800 = CAR(((obj_t) BgL_nodeza2za2_100));
							BgL_arg1834z00_1799 =
								BGl_tracezd2nodezd2zztrace_walkz00(
								((BgL_nodez00_bglt) BgL_arg1842z00_1800), BgL_stackz00_101,
								BgL_levelz00_102);
						}
						{	/* Trace/walk.scm 450 */
							obj_t BgL_auxz00_4176;
							obj_t BgL_tmpz00_4174;

							BgL_auxz00_4176 = ((obj_t) BgL_arg1834z00_1799);
							BgL_tmpz00_4174 = ((obj_t) BgL_nodeza2za2_100);
							SET_CAR(BgL_tmpz00_4174, BgL_auxz00_4176);
						}
					}
					{	/* Trace/walk.scm 451 */
						obj_t BgL_arg1845z00_1801;

						BgL_arg1845z00_1801 = CDR(((obj_t) BgL_nodeza2za2_100));
						{
							obj_t BgL_nodeza2za2_4181;

							BgL_nodeza2za2_4181 = BgL_arg1845z00_1801;
							BgL_nodeza2za2_100 = BgL_nodeza2za2_4181;
							goto BGl_tracezd2nodeza2z12z62zztrace_walkz00;
						}
					}
				}
		}

	}



/* toplevel-trace-node*! */
	bool_t BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00(obj_t
		BgL_nodeza2za2_107)
	{
		{	/* Trace/walk.scm 499 */
		BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00:
			if (NULLP(BgL_nodeza2za2_107))
				{	/* Trace/walk.scm 500 */
					return ((bool_t) 0);
				}
			else
				{	/* Trace/walk.scm 500 */
					{	/* Trace/walk.scm 501 */
						BgL_nodez00_bglt BgL_arg1847z00_1803;

						{	/* Trace/walk.scm 501 */
							obj_t BgL_arg1848z00_1804;

							BgL_arg1848z00_1804 = CAR(((obj_t) BgL_nodeza2za2_107));
							BgL_arg1847z00_1803 =
								BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(
								((BgL_nodez00_bglt) BgL_arg1848z00_1804));
						}
						{	/* Trace/walk.scm 501 */
							obj_t BgL_auxz00_4190;
							obj_t BgL_tmpz00_4188;

							BgL_auxz00_4190 = ((obj_t) BgL_arg1847z00_1803);
							BgL_tmpz00_4188 = ((obj_t) BgL_nodeza2za2_107);
							SET_CAR(BgL_tmpz00_4188, BgL_auxz00_4190);
						}
					}
					{	/* Trace/walk.scm 502 */
						obj_t BgL_arg1851z00_1805;

						BgL_arg1851z00_1805 = CDR(((obj_t) BgL_nodeza2za2_107));
						{
							obj_t BgL_nodeza2za2_4195;

							BgL_nodeza2za2_4195 = BgL_arg1851z00_1805;
							BgL_nodeza2za2_107 = BgL_nodeza2za2_4195;
							goto BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00;
						}
					}
				}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zztrace_walkz00(void)
	{
		{	/* Trace/walk.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zztrace_walkz00(void)
	{
		{	/* Trace/walk.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_proc2136z00zztrace_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2137z00zztrace_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_proc2138z00zztrace_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2139z00zztrace_walkz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
				BGl_proc2140z00zztrace_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2141z00zztrace_walkz00);
		}

	}



/* &toplevel-trace-node1334 */
	obj_t BGl_z62toplevelzd2tracezd2node1334z62zztrace_walkz00(obj_t
		BgL_envz00_3259, obj_t BgL_nodez00_3260)
	{
		{	/* Trace/walk.scm 456 */
			return ((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_3260));
		}

	}



/* &trace-node1295 */
	obj_t BGl_z62tracezd2node1295zb0zztrace_walkz00(obj_t BgL_envz00_3261,
		obj_t BgL_nodez00_3262, obj_t BgL_stackz00_3263, obj_t BgL_levelz00_3264)
	{
		{	/* Trace/walk.scm 281 */
			return ((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_3262));
		}

	}



/* &find-last-node1264 */
	obj_t BGl_z62findzd2lastzd2node1264z62zztrace_walkz00(obj_t BgL_envz00_3265,
		obj_t BgL_nodez00_3266)
	{
		{	/* Trace/walk.scm 137 */
			return ((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_3266));
		}

	}



/* find-last-node */
	obj_t BGl_findzd2lastzd2nodez00zztrace_walkz00(BgL_nodez00_bglt
		BgL_nodez00_23)
	{
		{	/* Trace/walk.scm 137 */
			{	/* Trace/walk.scm 137 */
				obj_t BgL_method1266z00_1820;

				{	/* Trace/walk.scm 137 */
					obj_t BgL_res2103z00_2702;

					{	/* Trace/walk.scm 137 */
						long BgL_objzd2classzd2numz00_2673;

						BgL_objzd2classzd2numz00_2673 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_23));
						{	/* Trace/walk.scm 137 */
							obj_t BgL_arg1862z00_2674;

							BgL_arg1862z00_2674 =
								PROCEDURE_REF(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
								(int) (1L));
							{	/* Trace/walk.scm 137 */
								int BgL_offsetz00_2677;

								BgL_offsetz00_2677 = (int) (BgL_objzd2classzd2numz00_2673);
								{	/* Trace/walk.scm 137 */
									long BgL_offsetz00_2678;

									BgL_offsetz00_2678 =
										((long) (BgL_offsetz00_2677) - OBJECT_TYPE);
									{	/* Trace/walk.scm 137 */
										long BgL_modz00_2679;

										BgL_modz00_2679 =
											(BgL_offsetz00_2678 >> (int) ((long) ((int) (4L))));
										{	/* Trace/walk.scm 137 */
											long BgL_restz00_2681;

											BgL_restz00_2681 =
												(BgL_offsetz00_2678 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Trace/walk.scm 137 */

												{	/* Trace/walk.scm 137 */
													obj_t BgL_bucketz00_2683;

													BgL_bucketz00_2683 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2674), BgL_modz00_2679);
													BgL_res2103z00_2702 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2683), BgL_restz00_2681);
					}}}}}}}}
					BgL_method1266z00_1820 = BgL_res2103z00_2702;
				}
				return
					BGL_PROCEDURE_CALL1(BgL_method1266z00_1820, ((obj_t) BgL_nodez00_23));
			}
		}

	}



/* &find-last-node */
	obj_t BGl_z62findzd2lastzd2nodez62zztrace_walkz00(obj_t BgL_envz00_3267,
		obj_t BgL_nodez00_3268)
	{
		{	/* Trace/walk.scm 137 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3268));
		}

	}



/* trace-node */
	BgL_nodez00_bglt BGl_tracezd2nodezd2zztrace_walkz00(BgL_nodez00_bglt
		BgL_nodez00_43, obj_t BgL_stackz00_44, obj_t BgL_levelz00_45)
	{
		{	/* Trace/walk.scm 281 */
			{	/* Trace/walk.scm 281 */
				obj_t BgL_method1296z00_1821;

				{	/* Trace/walk.scm 281 */
					obj_t BgL_res2108z00_2733;

					{	/* Trace/walk.scm 281 */
						long BgL_objzd2classzd2numz00_2704;

						BgL_objzd2classzd2numz00_2704 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_43));
						{	/* Trace/walk.scm 281 */
							obj_t BgL_arg1862z00_2705;

							BgL_arg1862z00_2705 =
								PROCEDURE_REF(BGl_tracezd2nodezd2envz00zztrace_walkz00,
								(int) (1L));
							{	/* Trace/walk.scm 281 */
								int BgL_offsetz00_2708;

								BgL_offsetz00_2708 = (int) (BgL_objzd2classzd2numz00_2704);
								{	/* Trace/walk.scm 281 */
									long BgL_offsetz00_2709;

									BgL_offsetz00_2709 =
										((long) (BgL_offsetz00_2708) - OBJECT_TYPE);
									{	/* Trace/walk.scm 281 */
										long BgL_modz00_2710;

										BgL_modz00_2710 =
											(BgL_offsetz00_2709 >> (int) ((long) ((int) (4L))));
										{	/* Trace/walk.scm 281 */
											long BgL_restz00_2712;

											BgL_restz00_2712 =
												(BgL_offsetz00_2709 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Trace/walk.scm 281 */

												{	/* Trace/walk.scm 281 */
													obj_t BgL_bucketz00_2714;

													BgL_bucketz00_2714 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2705), BgL_modz00_2710);
													BgL_res2108z00_2733 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2714), BgL_restz00_2712);
					}}}}}}}}
					BgL_method1296z00_1821 = BgL_res2108z00_2733;
				}
				return
					((BgL_nodez00_bglt)
					BGL_PROCEDURE_CALL3(BgL_method1296z00_1821,
						((obj_t) BgL_nodez00_43), BgL_stackz00_44, BgL_levelz00_45));
			}
		}

	}



/* &trace-node */
	BgL_nodez00_bglt BGl_z62tracezd2nodezb0zztrace_walkz00(obj_t BgL_envz00_3269,
		obj_t BgL_nodez00_3270, obj_t BgL_stackz00_3271, obj_t BgL_levelz00_3272)
	{
		{	/* Trace/walk.scm 281 */
			return
				BGl_tracezd2nodezd2zztrace_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3270), BgL_stackz00_3271,
				BgL_levelz00_3272);
		}

	}



/* toplevel-trace-node */
	BgL_nodez00_bglt
		BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(BgL_nodez00_bglt
		BgL_nodez00_103)
	{
		{	/* Trace/walk.scm 456 */
			{	/* Trace/walk.scm 456 */
				obj_t BgL_method1335z00_1822;

				{	/* Trace/walk.scm 456 */
					obj_t BgL_res2113z00_2764;

					{	/* Trace/walk.scm 456 */
						long BgL_objzd2classzd2numz00_2735;

						BgL_objzd2classzd2numz00_2735 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_103));
						{	/* Trace/walk.scm 456 */
							obj_t BgL_arg1862z00_2736;

							BgL_arg1862z00_2736 =
								PROCEDURE_REF
								(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
								(int) (1L));
							{	/* Trace/walk.scm 456 */
								int BgL_offsetz00_2739;

								BgL_offsetz00_2739 = (int) (BgL_objzd2classzd2numz00_2735);
								{	/* Trace/walk.scm 456 */
									long BgL_offsetz00_2740;

									BgL_offsetz00_2740 =
										((long) (BgL_offsetz00_2739) - OBJECT_TYPE);
									{	/* Trace/walk.scm 456 */
										long BgL_modz00_2741;

										BgL_modz00_2741 =
											(BgL_offsetz00_2740 >> (int) ((long) ((int) (4L))));
										{	/* Trace/walk.scm 456 */
											long BgL_restz00_2743;

											BgL_restz00_2743 =
												(BgL_offsetz00_2740 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Trace/walk.scm 456 */

												{	/* Trace/walk.scm 456 */
													obj_t BgL_bucketz00_2745;

													BgL_bucketz00_2745 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2736), BgL_modz00_2741);
													BgL_res2113z00_2764 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2745), BgL_restz00_2743);
					}}}}}}}}
					BgL_method1335z00_1822 = BgL_res2113z00_2764;
				}
				return
					((BgL_nodez00_bglt)
					BGL_PROCEDURE_CALL1(BgL_method1335z00_1822,
						((obj_t) BgL_nodez00_103)));
			}
		}

	}



/* &toplevel-trace-node */
	BgL_nodez00_bglt BGl_z62toplevelzd2tracezd2nodez62zztrace_walkz00(obj_t
		BgL_envz00_3273, obj_t BgL_nodez00_3274)
	{
		{	/* Trace/walk.scm 456 */
			return
				BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3274));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztrace_walkz00(void)
	{
		{	/* Trace/walk.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2142z00zztrace_walkz00,
				BGl_string2143z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_syncz00zzast_nodez00, BGl_proc2144z00zztrace_walkz00,
				BGl_string2143z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2145z00zztrace_walkz00,
				BGl_string2143z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2146z00zztrace_walkz00,
				BGl_string2143z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2147z00zztrace_walkz00,
				BGl_string2143z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_externz00zzast_nodez00, BGl_proc2148z00zztrace_walkz00,
				BGl_string2143z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_setqz00zzast_nodez00, BGl_proc2149z00zztrace_walkz00,
				BGl_string2143z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2150z00zztrace_walkz00,
				BGl_string2143z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_failz00zzast_nodez00, BGl_proc2151z00zztrace_walkz00,
				BGl_string2143z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_switchz00zzast_nodez00, BGl_proc2152z00zztrace_walkz00,
				BGl_string2143z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2153z00zztrace_walkz00,
				BGl_string2143z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2154z00zztrace_walkz00,
				BGl_string2143z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2155z00zztrace_walkz00,
				BGl_string2143z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2156z00zztrace_walkz00,
				BGl_string2143z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc2157z00zztrace_walkz00, BGl_string2158z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc2159z00zztrace_walkz00, BGl_string2158z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc2160z00zztrace_walkz00, BGl_string2158z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc2161z00zztrace_walkz00, BGl_string2158z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc2162z00zztrace_walkz00, BGl_string2158z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc2163z00zztrace_walkz00, BGl_string2158z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc2164z00zztrace_walkz00, BGl_string2158z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc2165z00zztrace_walkz00, BGl_string2158z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2166z00zztrace_walkz00,
				BGl_string2158z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc2167z00zztrace_walkz00, BGl_string2158z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc2168z00zztrace_walkz00, BGl_string2158z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2169z00zztrace_walkz00,
				BGl_string2158z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2170z00zztrace_walkz00,
				BGl_string2158z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2171z00zztrace_walkz00,
				BGl_string2158z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2172z00zztrace_walkz00,
				BGl_string2158z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2173z00zztrace_walkz00,
				BGl_string2158z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2174z00zztrace_walkz00,
				BGl_string2158z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2175z00zztrace_walkz00,
				BGl_string2158z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2176z00zztrace_walkz00,
				BGl_string2177z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
				BGl_syncz00zzast_nodez00, BGl_proc2178z00zztrace_walkz00,
				BGl_string2177z00zztrace_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
				BGl_setqz00zzast_nodez00, BGl_proc2179z00zztrace_walkz00,
				BGl_string2177z00zztrace_walkz00);
		}

	}



/* &toplevel-trace-node-1341 */
	BgL_nodez00_bglt BGl_z62toplevelzd2tracezd2nodezd21341zb0zztrace_walkz00(obj_t
		BgL_envz00_3310, obj_t BgL_nodez00_3311)
	{
		{	/* Trace/walk.scm 483 */
			{	/* Trace/walk.scm 485 */
				BgL_varz00_bglt BgL_i1135z00_3432;

				BgL_i1135z00_3432 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_3311)))->BgL_varz00);
				{	/* Trace/walk.scm 486 */
					bool_t BgL_test2310z00_4342;

					{	/* Trace/walk.scm 486 */
						bool_t BgL_test2311z00_4343;

						{	/* Trace/walk.scm 486 */
							BgL_variablez00_bglt BgL_arg2024z00_3433;

							BgL_arg2024z00_3433 =
								(((BgL_varz00_bglt) COBJECT(BgL_i1135z00_3432))->
								BgL_variablez00);
							{	/* Trace/walk.scm 486 */
								obj_t BgL_classz00_3434;

								BgL_classz00_3434 = BGl_globalz00zzast_varz00;
								{	/* Trace/walk.scm 486 */
									BgL_objectz00_bglt BgL_arg1858z00_3435;

									{	/* Trace/walk.scm 486 */
										obj_t BgL_tmpz00_4345;

										BgL_tmpz00_4345 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg2024z00_3433));
										BgL_arg1858z00_3435 =
											(BgL_objectz00_bglt) (BgL_tmpz00_4345);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Trace/walk.scm 486 */
											long BgL_idxz00_3436;

											BgL_idxz00_3436 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3435);
											BgL_test2311z00_4343 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_3436 + 2L)) == BgL_classz00_3434);
										}
									else
										{	/* Trace/walk.scm 486 */
											bool_t BgL_res2114z00_3439;

											{	/* Trace/walk.scm 486 */
												obj_t BgL_oclassz00_3440;

												{	/* Trace/walk.scm 486 */
													obj_t BgL_arg1866z00_3441;
													long BgL_arg1867z00_3442;

													BgL_arg1866z00_3441 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Trace/walk.scm 486 */
														long BgL_arg1869z00_3443;

														BgL_arg1869z00_3443 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3435);
														BgL_arg1867z00_3442 =
															(BgL_arg1869z00_3443 - OBJECT_TYPE);
													}
													BgL_oclassz00_3440 =
														VECTOR_REF(BgL_arg1866z00_3441,
														BgL_arg1867z00_3442);
												}
												{	/* Trace/walk.scm 486 */
													bool_t BgL__ortest_1115z00_3444;

													BgL__ortest_1115z00_3444 =
														(BgL_classz00_3434 == BgL_oclassz00_3440);
													if (BgL__ortest_1115z00_3444)
														{	/* Trace/walk.scm 486 */
															BgL_res2114z00_3439 = BgL__ortest_1115z00_3444;
														}
													else
														{	/* Trace/walk.scm 486 */
															long BgL_odepthz00_3445;

															{	/* Trace/walk.scm 486 */
																obj_t BgL_arg1855z00_3446;

																BgL_arg1855z00_3446 = (BgL_oclassz00_3440);
																BgL_odepthz00_3445 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_3446);
															}
															if ((2L < BgL_odepthz00_3445))
																{	/* Trace/walk.scm 486 */
																	obj_t BgL_arg1853z00_3447;

																	{	/* Trace/walk.scm 486 */
																		obj_t BgL_arg1854z00_3448;

																		BgL_arg1854z00_3448 = (BgL_oclassz00_3440);
																		BgL_arg1853z00_3447 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_3448, 2L);
																	}
																	BgL_res2114z00_3439 =
																		(BgL_arg1853z00_3447 == BgL_classz00_3434);
																}
															else
																{	/* Trace/walk.scm 486 */
																	BgL_res2114z00_3439 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2311z00_4343 = BgL_res2114z00_3439;
										}
								}
							}
						}
						if (BgL_test2311z00_4343)
							{	/* Trace/walk.scm 487 */
								bool_t BgL_test2315z00_4368;

								{	/* Trace/walk.scm 487 */
									bool_t BgL_test2316z00_4369;

									{	/* Trace/walk.scm 487 */
										BgL_nodez00_bglt BgL_arg2023z00_3449;

										BgL_arg2023z00_3449 =
											(((BgL_setqz00_bglt) COBJECT(
													((BgL_setqz00_bglt) BgL_nodez00_3311)))->
											BgL_valuez00);
										{	/* Trace/walk.scm 487 */
											obj_t BgL_classz00_3450;

											BgL_classz00_3450 = BGl_atomz00zzast_nodez00;
											{	/* Trace/walk.scm 487 */
												BgL_objectz00_bglt BgL_arg1858z00_3451;

												{	/* Trace/walk.scm 487 */
													obj_t BgL_tmpz00_4372;

													BgL_tmpz00_4372 =
														((obj_t)
														((BgL_objectz00_bglt) BgL_arg2023z00_3449));
													BgL_arg1858z00_3451 =
														(BgL_objectz00_bglt) (BgL_tmpz00_4372);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Trace/walk.scm 487 */
														long BgL_idxz00_3452;

														BgL_idxz00_3452 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3451);
														BgL_test2316z00_4369 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3452 + 2L)) == BgL_classz00_3450);
													}
												else
													{	/* Trace/walk.scm 487 */
														bool_t BgL_res2115z00_3455;

														{	/* Trace/walk.scm 487 */
															obj_t BgL_oclassz00_3456;

															{	/* Trace/walk.scm 487 */
																obj_t BgL_arg1866z00_3457;
																long BgL_arg1867z00_3458;

																BgL_arg1866z00_3457 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Trace/walk.scm 487 */
																	long BgL_arg1869z00_3459;

																	BgL_arg1869z00_3459 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3451);
																	BgL_arg1867z00_3458 =
																		(BgL_arg1869z00_3459 - OBJECT_TYPE);
																}
																BgL_oclassz00_3456 =
																	VECTOR_REF(BgL_arg1866z00_3457,
																	BgL_arg1867z00_3458);
															}
															{	/* Trace/walk.scm 487 */
																bool_t BgL__ortest_1115z00_3460;

																BgL__ortest_1115z00_3460 =
																	(BgL_classz00_3450 == BgL_oclassz00_3456);
																if (BgL__ortest_1115z00_3460)
																	{	/* Trace/walk.scm 487 */
																		BgL_res2115z00_3455 =
																			BgL__ortest_1115z00_3460;
																	}
																else
																	{	/* Trace/walk.scm 487 */
																		long BgL_odepthz00_3461;

																		{	/* Trace/walk.scm 487 */
																			obj_t BgL_arg1855z00_3462;

																			BgL_arg1855z00_3462 =
																				(BgL_oclassz00_3456);
																			BgL_odepthz00_3461 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_3462);
																		}
																		if ((2L < BgL_odepthz00_3461))
																			{	/* Trace/walk.scm 487 */
																				obj_t BgL_arg1853z00_3463;

																				{	/* Trace/walk.scm 487 */
																					obj_t BgL_arg1854z00_3464;

																					BgL_arg1854z00_3464 =
																						(BgL_oclassz00_3456);
																					BgL_arg1853z00_3463 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_3464, 2L);
																				}
																				BgL_res2115z00_3455 =
																					(BgL_arg1853z00_3463 ==
																					BgL_classz00_3450);
																			}
																		else
																			{	/* Trace/walk.scm 487 */
																				BgL_res2115z00_3455 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2316z00_4369 = BgL_res2115z00_3455;
													}
											}
										}
									}
									if (BgL_test2316z00_4369)
										{	/* Trace/walk.scm 487 */
											BgL_test2315z00_4368 = ((bool_t) 1);
										}
									else
										{	/* Trace/walk.scm 488 */
											bool_t BgL_test2320z00_4395;

											{	/* Trace/walk.scm 488 */
												BgL_nodez00_bglt BgL_arg2022z00_3465;

												BgL_arg2022z00_3465 =
													(((BgL_setqz00_bglt) COBJECT(
															((BgL_setqz00_bglt) BgL_nodez00_3311)))->
													BgL_valuez00);
												{	/* Trace/walk.scm 488 */
													obj_t BgL_classz00_3466;

													BgL_classz00_3466 = BGl_varz00zzast_nodez00;
													{	/* Trace/walk.scm 488 */
														BgL_objectz00_bglt BgL_arg1858z00_3467;

														{	/* Trace/walk.scm 488 */
															obj_t BgL_tmpz00_4398;

															BgL_tmpz00_4398 =
																((obj_t)
																((BgL_objectz00_bglt) BgL_arg2022z00_3465));
															BgL_arg1858z00_3467 =
																(BgL_objectz00_bglt) (BgL_tmpz00_4398);
														}
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* Trace/walk.scm 488 */
																long BgL_idxz00_3468;

																BgL_idxz00_3468 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1858z00_3467);
																BgL_test2320z00_4395 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_3468 + 2L)) ==
																	BgL_classz00_3466);
															}
														else
															{	/* Trace/walk.scm 488 */
																bool_t BgL_res2116z00_3471;

																{	/* Trace/walk.scm 488 */
																	obj_t BgL_oclassz00_3472;

																	{	/* Trace/walk.scm 488 */
																		obj_t BgL_arg1866z00_3473;
																		long BgL_arg1867z00_3474;

																		BgL_arg1866z00_3473 =
																			(BGl_za2classesza2z00zz__objectz00);
																		{	/* Trace/walk.scm 488 */
																			long BgL_arg1869z00_3475;

																			BgL_arg1869z00_3475 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1858z00_3467);
																			BgL_arg1867z00_3474 =
																				(BgL_arg1869z00_3475 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_3472 =
																			VECTOR_REF(BgL_arg1866z00_3473,
																			BgL_arg1867z00_3474);
																	}
																	{	/* Trace/walk.scm 488 */
																		bool_t BgL__ortest_1115z00_3476;

																		BgL__ortest_1115z00_3476 =
																			(BgL_classz00_3466 == BgL_oclassz00_3472);
																		if (BgL__ortest_1115z00_3476)
																			{	/* Trace/walk.scm 488 */
																				BgL_res2116z00_3471 =
																					BgL__ortest_1115z00_3476;
																			}
																		else
																			{	/* Trace/walk.scm 488 */
																				long BgL_odepthz00_3477;

																				{	/* Trace/walk.scm 488 */
																					obj_t BgL_arg1855z00_3478;

																					BgL_arg1855z00_3478 =
																						(BgL_oclassz00_3472);
																					BgL_odepthz00_3477 =
																						BGL_CLASS_DEPTH
																						(BgL_arg1855z00_3478);
																				}
																				if ((2L < BgL_odepthz00_3477))
																					{	/* Trace/walk.scm 488 */
																						obj_t BgL_arg1853z00_3479;

																						{	/* Trace/walk.scm 488 */
																							obj_t BgL_arg1854z00_3480;

																							BgL_arg1854z00_3480 =
																								(BgL_oclassz00_3472);
																							BgL_arg1853z00_3479 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_arg1854z00_3480, 2L);
																						}
																						BgL_res2116z00_3471 =
																							(BgL_arg1853z00_3479 ==
																							BgL_classz00_3466);
																					}
																				else
																					{	/* Trace/walk.scm 488 */
																						BgL_res2116z00_3471 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test2320z00_4395 = BgL_res2116z00_3471;
															}
													}
												}
											}
											if (BgL_test2320z00_4395)
												{	/* Trace/walk.scm 488 */
													BgL_test2315z00_4368 = ((bool_t) 1);
												}
											else
												{	/* Trace/walk.scm 489 */
													bool_t BgL_test2324z00_4421;

													{	/* Trace/walk.scm 489 */
														BgL_nodez00_bglt BgL_arg2021z00_3481;

														BgL_arg2021z00_3481 =
															(((BgL_setqz00_bglt) COBJECT(
																	((BgL_setqz00_bglt) BgL_nodez00_3311)))->
															BgL_valuez00);
														{	/* Trace/walk.scm 489 */
															obj_t BgL_classz00_3482;

															BgL_classz00_3482 = BGl_kwotez00zzast_nodez00;
															{	/* Trace/walk.scm 489 */
																BgL_objectz00_bglt BgL_arg1858z00_3483;

																{	/* Trace/walk.scm 489 */
																	obj_t BgL_tmpz00_4424;

																	BgL_tmpz00_4424 =
																		((obj_t)
																		((BgL_objectz00_bglt) BgL_arg2021z00_3481));
																	BgL_arg1858z00_3483 =
																		(BgL_objectz00_bglt) (BgL_tmpz00_4424);
																}
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Trace/walk.scm 489 */
																		long BgL_idxz00_3484;

																		BgL_idxz00_3484 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1858z00_3483);
																		BgL_test2324z00_4421 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_3484 + 2L)) ==
																			BgL_classz00_3482);
																	}
																else
																	{	/* Trace/walk.scm 489 */
																		bool_t BgL_res2117z00_3487;

																		{	/* Trace/walk.scm 489 */
																			obj_t BgL_oclassz00_3488;

																			{	/* Trace/walk.scm 489 */
																				obj_t BgL_arg1866z00_3489;
																				long BgL_arg1867z00_3490;

																				BgL_arg1866z00_3489 =
																					(BGl_za2classesza2z00zz__objectz00);
																				{	/* Trace/walk.scm 489 */
																					long BgL_arg1869z00_3491;

																					BgL_arg1869z00_3491 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1858z00_3483);
																					BgL_arg1867z00_3490 =
																						(BgL_arg1869z00_3491 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_3488 =
																					VECTOR_REF(BgL_arg1866z00_3489,
																					BgL_arg1867z00_3490);
																			}
																			{	/* Trace/walk.scm 489 */
																				bool_t BgL__ortest_1115z00_3492;

																				BgL__ortest_1115z00_3492 =
																					(BgL_classz00_3482 ==
																					BgL_oclassz00_3488);
																				if (BgL__ortest_1115z00_3492)
																					{	/* Trace/walk.scm 489 */
																						BgL_res2117z00_3487 =
																							BgL__ortest_1115z00_3492;
																					}
																				else
																					{	/* Trace/walk.scm 489 */
																						long BgL_odepthz00_3493;

																						{	/* Trace/walk.scm 489 */
																							obj_t BgL_arg1855z00_3494;

																							BgL_arg1855z00_3494 =
																								(BgL_oclassz00_3488);
																							BgL_odepthz00_3493 =
																								BGL_CLASS_DEPTH
																								(BgL_arg1855z00_3494);
																						}
																						if ((2L < BgL_odepthz00_3493))
																							{	/* Trace/walk.scm 489 */
																								obj_t BgL_arg1853z00_3495;

																								{	/* Trace/walk.scm 489 */
																									obj_t BgL_arg1854z00_3496;

																									BgL_arg1854z00_3496 =
																										(BgL_oclassz00_3488);
																									BgL_arg1853z00_3495 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_arg1854z00_3496, 2L);
																								}
																								BgL_res2117z00_3487 =
																									(BgL_arg1853z00_3495 ==
																									BgL_classz00_3482);
																							}
																						else
																							{	/* Trace/walk.scm 489 */
																								BgL_res2117z00_3487 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test2324z00_4421 = BgL_res2117z00_3487;
																	}
															}
														}
													}
													if (BgL_test2324z00_4421)
														{	/* Trace/walk.scm 489 */
															BgL_test2315z00_4368 = ((bool_t) 1);
														}
													else
														{	/* Trace/walk.scm 490 */
															BgL_nodez00_bglt BgL_arg2019z00_3497;

															BgL_arg2019z00_3497 =
																(((BgL_setqz00_bglt) COBJECT(
																		((BgL_setqz00_bglt) BgL_nodez00_3311)))->
																BgL_valuez00);
															{	/* Trace/walk.scm 490 */
																obj_t BgL_classz00_3498;

																BgL_classz00_3498 = BGl_pragmaz00zzast_nodez00;
																{	/* Trace/walk.scm 490 */
																	BgL_objectz00_bglt BgL_arg1858z00_3499;

																	{	/* Trace/walk.scm 490 */
																		obj_t BgL_tmpz00_4449;

																		BgL_tmpz00_4449 =
																			((obj_t)
																			((BgL_objectz00_bglt)
																				BgL_arg2019z00_3497));
																		BgL_arg1858z00_3499 =
																			(BgL_objectz00_bglt) (BgL_tmpz00_4449);
																	}
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Trace/walk.scm 490 */
																			long BgL_idxz00_3500;

																			BgL_idxz00_3500 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1858z00_3499);
																			BgL_test2315z00_4368 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_3500 + 4L)) ==
																				BgL_classz00_3498);
																		}
																	else
																		{	/* Trace/walk.scm 490 */
																			bool_t BgL_res2118z00_3503;

																			{	/* Trace/walk.scm 490 */
																				obj_t BgL_oclassz00_3504;

																				{	/* Trace/walk.scm 490 */
																					obj_t BgL_arg1866z00_3505;
																					long BgL_arg1867z00_3506;

																					BgL_arg1866z00_3505 =
																						(BGl_za2classesza2z00zz__objectz00);
																					{	/* Trace/walk.scm 490 */
																						long BgL_arg1869z00_3507;

																						BgL_arg1869z00_3507 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1858z00_3499);
																						BgL_arg1867z00_3506 =
																							(BgL_arg1869z00_3507 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_3504 =
																						VECTOR_REF(BgL_arg1866z00_3505,
																						BgL_arg1867z00_3506);
																				}
																				{	/* Trace/walk.scm 490 */
																					bool_t BgL__ortest_1115z00_3508;

																					BgL__ortest_1115z00_3508 =
																						(BgL_classz00_3498 ==
																						BgL_oclassz00_3504);
																					if (BgL__ortest_1115z00_3508)
																						{	/* Trace/walk.scm 490 */
																							BgL_res2118z00_3503 =
																								BgL__ortest_1115z00_3508;
																						}
																					else
																						{	/* Trace/walk.scm 490 */
																							long BgL_odepthz00_3509;

																							{	/* Trace/walk.scm 490 */
																								obj_t BgL_arg1855z00_3510;

																								BgL_arg1855z00_3510 =
																									(BgL_oclassz00_3504);
																								BgL_odepthz00_3509 =
																									BGL_CLASS_DEPTH
																									(BgL_arg1855z00_3510);
																							}
																							if ((4L < BgL_odepthz00_3509))
																								{	/* Trace/walk.scm 490 */
																									obj_t BgL_arg1853z00_3511;

																									{	/* Trace/walk.scm 490 */
																										obj_t BgL_arg1854z00_3512;

																										BgL_arg1854z00_3512 =
																											(BgL_oclassz00_3504);
																										BgL_arg1853z00_3511 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_arg1854z00_3512, 4L);
																									}
																									BgL_res2118z00_3503 =
																										(BgL_arg1853z00_3511 ==
																										BgL_classz00_3498);
																								}
																							else
																								{	/* Trace/walk.scm 490 */
																									BgL_res2118z00_3503 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test2315z00_4368 =
																				BgL_res2118z00_3503;
																		}
																}
															}
														}
												}
										}
								}
								if (BgL_test2315z00_4368)
									{	/* Trace/walk.scm 487 */
										BgL_test2310z00_4342 = ((bool_t) 0);
									}
								else
									{	/* Trace/walk.scm 487 */
										BgL_test2310z00_4342 = ((bool_t) 1);
									}
							}
						else
							{	/* Trace/walk.scm 486 */
								BgL_test2310z00_4342 = ((bool_t) 0);
							}
					}
					if (BgL_test2310z00_4342)
						{	/* Trace/walk.scm 491 */
							BgL_typez00_bglt BgL_tz00_3513;

							{	/* Trace/walk.scm 491 */
								BgL_typez00_bglt BgL_arg2015z00_3514;
								BgL_typez00_bglt BgL_arg2016z00_3515;

								BgL_arg2015z00_3514 =
									(((BgL_nodez00_bglt) COBJECT(
											(((BgL_setqz00_bglt) COBJECT(
														((BgL_setqz00_bglt) BgL_nodez00_3311)))->
												BgL_valuez00)))->BgL_typez00);
								BgL_arg2016z00_3515 =
									(((BgL_variablez00_bglt)
										COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) ((
															(BgL_varz00_bglt) COBJECT(BgL_i1135z00_3432))->
														BgL_variablez00)))))->BgL_typez00);
								BgL_tz00_3513 =
									BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_arg2015z00_3514,
									BgL_arg2016z00_3515);
							}
							{	/* Trace/walk.scm 491 */
								BgL_letzd2varzd2_bglt BgL_tracez00_3516;

								{	/* Trace/walk.scm 492 */
									BgL_nodez00_bglt BgL_arg2011z00_3517;
									obj_t BgL_arg2012z00_3518;
									obj_t BgL_arg2013z00_3519;

									BgL_arg2011z00_3517 =
										(((BgL_setqz00_bglt) COBJECT(
												((BgL_setqz00_bglt) BgL_nodez00_3311)))->BgL_valuez00);
									{	/* Trace/walk.scm 492 */
										BgL_variablez00_bglt BgL_arg2014z00_3520;

										BgL_arg2014z00_3520 =
											(((BgL_varz00_bglt) COBJECT(BgL_i1135z00_3432))->
											BgL_variablez00);
										BgL_arg2012z00_3518 =
											BGl_tracezd2idzd2zztrace_walkz00(((obj_t)
												BgL_arg2014z00_3520));
									}
									BgL_arg2013z00_3519 =
										(((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt)
													((BgL_setqz00_bglt) BgL_nodez00_3311))))->BgL_locz00);
									BgL_tracez00_3516 =
										BGl_makezd2tracedzd2nodez00zztrace_walkz00
										(BgL_arg2011z00_3517, BgL_tz00_3513, BgL_arg2012z00_3518,
										BgL_arg2013z00_3519, BNIL);
								}
								{	/* Trace/walk.scm 492 */

									((((BgL_setqz00_bglt) COBJECT(
													((BgL_setqz00_bglt) BgL_nodez00_3311)))->
											BgL_valuez00) =
										((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_tracez00_3516)),
										BUNSPEC);
								}
							}
						}
					else
						{	/* Trace/walk.scm 486 */
							BFALSE;
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_3311));
		}

	}



/* &toplevel-trace-node-1339 */
	BgL_nodez00_bglt BGl_z62toplevelzd2tracezd2nodezd21339zb0zztrace_walkz00(obj_t
		BgL_envz00_3312, obj_t BgL_nodez00_3313)
	{
		{	/* Trace/walk.scm 469 */
			((((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_3313)))->BgL_mutexz00) =
				((BgL_nodez00_bglt)
					BGl_toplevelzd2tracezd2nodez00zztrace_walkz00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_3313)))->
							BgL_mutexz00))), BUNSPEC);
			((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt) BgL_nodez00_3313)))->
					BgL_prelockz00) =
				((BgL_nodez00_bglt)
					BGl_toplevelzd2tracezd2nodez00zztrace_walkz00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_3313)))->
							BgL_prelockz00))), BUNSPEC);
			((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt) BgL_nodez00_3313)))->
					BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_toplevelzd2tracezd2nodez00zztrace_walkz00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_3313)))->BgL_bodyz00))),
				BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_3313));
		}

	}



/* &toplevel-trace-node-1337 */
	BgL_nodez00_bglt BGl_z62toplevelzd2tracezd2nodezd21337zb0zztrace_walkz00(obj_t
		BgL_envz00_3314, obj_t BgL_nodez00_3315)
	{
		{	/* Trace/walk.scm 462 */
			BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_3315)))->BgL_nodesz00));
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_3315));
		}

	}



/* &trace-node-box-set!1333 */
	BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2boxzd2setz121333za2zztrace_walkz00(obj_t
		BgL_envz00_3316, obj_t BgL_nodez00_3317, obj_t BgL_stackz00_3318,
		obj_t BgL_levelz00_3319)
	{
		{	/* Trace/walk.scm 439 */
			{
				BgL_varz00_bglt BgL_auxz00_4516;

				{	/* Trace/walk.scm 441 */
					BgL_varz00_bglt BgL_arg1980z00_3524;

					BgL_arg1980z00_3524 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3317)))->BgL_varz00);
					BgL_auxz00_4516 =
						((BgL_varz00_bglt)
						BGl_tracezd2nodezd2zztrace_walkz00(
							((BgL_nodez00_bglt) BgL_arg1980z00_3524), BgL_stackz00_3318,
							BgL_levelz00_3319));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3317)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_4516), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4524;

				{	/* Trace/walk.scm 442 */
					BgL_nodez00_bglt BgL_arg1981z00_3525;

					BgL_arg1981z00_3525 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3317)))->BgL_valuez00);
					BgL_auxz00_4524 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1981z00_3525,
						BgL_stackz00_3318, BgL_levelz00_3319);
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3317)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_4524), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3317));
		}

	}



/* &trace-node-box-ref1331 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2boxzd2ref1331zb0zztrace_walkz00(obj_t
		BgL_envz00_3320, obj_t BgL_nodez00_3321, obj_t BgL_stackz00_3322,
		obj_t BgL_levelz00_3323)
	{
		{	/* Trace/walk.scm 432 */
			{	/* Trace/walk.scm 433 */
				BgL_nodez00_bglt BgL_arg1978z00_3527;

				{	/* Trace/walk.scm 433 */
					BgL_varz00_bglt BgL_arg1979z00_3528;

					BgL_arg1979z00_3528 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_3321)))->BgL_varz00);
					BgL_arg1978z00_3527 =
						BGl_tracezd2nodezd2zztrace_walkz00(
						((BgL_nodez00_bglt) BgL_arg1979z00_3528), BgL_stackz00_3322,
						BgL_levelz00_3323);
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_3321)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg1978z00_3527)), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3321));
		}

	}



/* &trace-node-make-box1329 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2makezd2box1329zb0zztrace_walkz00(obj_t
		BgL_envz00_3324, obj_t BgL_nodez00_3325, obj_t BgL_stackz00_3326,
		obj_t BgL_levelz00_3327)
	{
		{	/* Trace/walk.scm 425 */
			((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_3325)))->BgL_valuez00) =
				((BgL_nodez00_bglt)
					BGl_tracezd2nodezd2zztrace_walkz00((((BgL_makezd2boxzd2_bglt)
								COBJECT(((BgL_makezd2boxzd2_bglt) BgL_nodez00_3325)))->
							BgL_valuez00), BgL_stackz00_3326, BgL_levelz00_3327)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3325));
		}

	}



/* &trace-node-jump-ex-i1327 */
	BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2jumpzd2exzd2i1327z62zztrace_walkz00(obj_t
		BgL_envz00_3328, obj_t BgL_nodez00_3329, obj_t BgL_stackz00_3330,
		obj_t BgL_levelz00_3331)
	{
		{	/* Trace/walk.scm 416 */
			{
				BgL_nodez00_bglt BgL_auxz00_4548;

				{	/* Trace/walk.scm 418 */
					BgL_nodez00_bglt BgL_arg1973z00_3531;

					BgL_arg1973z00_3531 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3329)))->BgL_exitz00);
					BgL_auxz00_4548 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1973z00_3531,
						BgL_stackz00_3330, BgL_levelz00_3331);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3329)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_4548), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4554;

				{	/* Trace/walk.scm 419 */
					BgL_nodez00_bglt BgL_arg1974z00_3532;

					BgL_arg1974z00_3532 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3329)))->
						BgL_valuez00);
					BgL_auxz00_4554 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1974z00_3532,
						BgL_stackz00_3330, BgL_levelz00_3331);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3329)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_4554), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3329));
		}

	}



/* &trace-node-set-ex-it1325 */
	BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2setzd2exzd2it1325z62zztrace_walkz00(obj_t
		BgL_envz00_3332, obj_t BgL_nodez00_3333, obj_t BgL_stackz00_3334,
		obj_t BgL_levelz00_3335)
	{
		{	/* Trace/walk.scm 408 */
			((((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3333)))->BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_tracezd2nodezd2zztrace_walkz00((((BgL_setzd2exzd2itz00_bglt)
								COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3333)))->
							BgL_bodyz00), BgL_stackz00_3334, BgL_levelz00_3335)), BUNSPEC);
			((((BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
								BgL_nodez00_3333)))->BgL_onexitz00) =
				((BgL_nodez00_bglt)
					BGl_tracezd2nodezd2zztrace_walkz00((((BgL_setzd2exzd2itz00_bglt)
								COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3333)))->
							BgL_onexitz00), BgL_stackz00_3334, BgL_levelz00_3335)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt)
					BgL_nodez00_3333));
		}

	}



/* &trace-node-let-var1323 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2letzd2var1323zb0zztrace_walkz00(obj_t
		BgL_envz00_3336, obj_t BgL_nodez00_3337, obj_t BgL_stackz00_3338,
		obj_t BgL_levelz00_3339)
	{
		{	/* Trace/walk.scm 397 */
			{	/* Trace/walk.scm 399 */
				obj_t BgL_g1263z00_3535;

				BgL_g1263z00_3535 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_3337)))->BgL_bindingsz00);
				{
					obj_t BgL_l1261z00_3537;

					BgL_l1261z00_3537 = BgL_g1263z00_3535;
				BgL_zc3z04anonymousza31962ze3z87_3536:
					if (PAIRP(BgL_l1261z00_3537))
						{	/* Trace/walk.scm 399 */
							{	/* Trace/walk.scm 400 */
								obj_t BgL_bindingz00_3538;

								BgL_bindingz00_3538 = CAR(BgL_l1261z00_3537);
								{	/* Trace/walk.scm 400 */
									BgL_nodez00_bglt BgL_arg1965z00_3539;

									{	/* Trace/walk.scm 400 */
										obj_t BgL_arg1966z00_3540;

										BgL_arg1966z00_3540 = CDR(((obj_t) BgL_bindingz00_3538));
										BgL_arg1965z00_3539 =
											BGl_tracezd2nodezd2zztrace_walkz00(
											((BgL_nodez00_bglt) BgL_arg1966z00_3540),
											BgL_stackz00_3338, BgL_levelz00_3339);
									}
									{	/* Trace/walk.scm 400 */
										obj_t BgL_auxz00_4585;
										obj_t BgL_tmpz00_4583;

										BgL_auxz00_4585 = ((obj_t) BgL_arg1965z00_3539);
										BgL_tmpz00_4583 = ((obj_t) BgL_bindingz00_3538);
										SET_CDR(BgL_tmpz00_4583, BgL_auxz00_4585);
									}
								}
							}
							{
								obj_t BgL_l1261z00_4588;

								BgL_l1261z00_4588 = CDR(BgL_l1261z00_3537);
								BgL_l1261z00_3537 = BgL_l1261z00_4588;
								goto BgL_zc3z04anonymousza31962ze3z87_3536;
							}
						}
					else
						{	/* Trace/walk.scm 399 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4590;

				{	/* Trace/walk.scm 402 */
					BgL_nodez00_bglt BgL_arg1968z00_3541;

					BgL_arg1968z00_3541 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_3337)))->BgL_bodyz00);
					BgL_auxz00_4590 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1968z00_3541,
						BgL_stackz00_3338, BgL_levelz00_3339);
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_3337)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4590), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_3337));
		}

	}



/* &trace-node-let-fun1321 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2letzd2fun1321zb0zztrace_walkz00(obj_t
		BgL_envz00_3340, obj_t BgL_nodez00_3341, obj_t BgL_stackz00_3342,
		obj_t BgL_levelz00_3343)
	{
		{	/* Trace/walk.scm 381 */
			if (BGl_isloopzf3zf3zztrace_isloopz00(
					((BgL_letzd2funzd2_bglt) BgL_nodez00_3341)))
				{	/* Trace/walk.scm 382 */
					{	/* Trace/walk.scm 384 */
						obj_t BgL_varz00_3543;

						BgL_varz00_3543 =
							CAR(
							(((BgL_letzd2funzd2_bglt) COBJECT(
										((BgL_letzd2funzd2_bglt) BgL_nodez00_3341)))->
								BgL_localsz00));
						{	/* Trace/walk.scm 384 */
							BgL_typez00_bglt BgL_tz00_3544;

							{	/* Trace/walk.scm 385 */
								BgL_typez00_bglt BgL_arg1954z00_3545;
								BgL_typez00_bglt BgL_arg1955z00_3546;

								BgL_arg1954z00_3545 =
									(((BgL_nodez00_bglt) COBJECT(
											(((BgL_letzd2funzd2_bglt) COBJECT(
														((BgL_letzd2funzd2_bglt) BgL_nodez00_3341)))->
												BgL_bodyz00)))->BgL_typez00);
								BgL_arg1955z00_3546 =
									(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
												BgL_varz00_3543)))->BgL_typez00);
								BgL_tz00_3544 =
									BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_arg1954z00_3545,
									BgL_arg1955z00_3546);
							}
							{	/* Trace/walk.scm 385 */
								obj_t BgL_idz00_3547;

								BgL_idz00_3547 =
									BGl_tracezd2idzd2zztrace_walkz00(BgL_varz00_3543);
								{	/* Trace/walk.scm 386 */

									{
										BgL_nodez00_bglt BgL_auxz00_4611;

										{	/* Trace/walk.scm 387 */
											BgL_nodez00_bglt BgL_arg1950z00_3548;
											obj_t BgL_arg1953z00_3549;

											BgL_arg1950z00_3548 =
												(((BgL_letzd2funzd2_bglt) COBJECT(
														((BgL_letzd2funzd2_bglt) BgL_nodez00_3341)))->
												BgL_bodyz00);
											BgL_arg1953z00_3549 =
												(((BgL_nodez00_bglt)
													COBJECT(((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt)
																BgL_nodez00_3341))))->BgL_locz00);
											BgL_auxz00_4611 =
												((BgL_nodez00_bglt)
												BGl_makezd2tracedzd2nodez00zztrace_walkz00
												(BgL_arg1950z00_3548, BgL_tz00_3544, BgL_idz00_3547,
													BgL_arg1953z00_3549, BNIL));
										}
										((((BgL_letzd2funzd2_bglt) COBJECT(
														((BgL_letzd2funzd2_bglt) BgL_nodez00_3341)))->
												BgL_bodyz00) =
											((BgL_nodez00_bglt) BgL_auxz00_4611), BUNSPEC);
									}
								}
							}
						}
					}
					return
						((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_3341));
				}
			else
				{	/* Trace/walk.scm 382 */
					{	/* Trace/walk.scm 390 */
						obj_t BgL_g1260z00_3550;

						BgL_g1260z00_3550 =
							(((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nodez00_3341)))->BgL_localsz00);
						{
							obj_t BgL_l1258z00_3552;

							BgL_l1258z00_3552 = BgL_g1260z00_3550;
						BgL_zc3z04anonymousza31958ze3z87_3551:
							if (PAIRP(BgL_l1258z00_3552))
								{	/* Trace/walk.scm 390 */
									BGl_tracezd2funz12zc0zztrace_walkz00(CAR(BgL_l1258z00_3552),
										BgL_stackz00_3342, BgL_levelz00_3343);
									{
										obj_t BgL_l1258z00_4629;

										BgL_l1258z00_4629 = CDR(BgL_l1258z00_3552);
										BgL_l1258z00_3552 = BgL_l1258z00_4629;
										goto BgL_zc3z04anonymousza31958ze3z87_3551;
									}
								}
							else
								{	/* Trace/walk.scm 390 */
									((bool_t) 1);
								}
						}
					}
					{
						BgL_nodez00_bglt BgL_auxz00_4631;

						{	/* Trace/walk.scm 391 */
							BgL_nodez00_bglt BgL_arg1961z00_3553;

							BgL_arg1961z00_3553 =
								(((BgL_letzd2funzd2_bglt) COBJECT(
										((BgL_letzd2funzd2_bglt) BgL_nodez00_3341)))->BgL_bodyz00);
							BgL_auxz00_4631 =
								BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1961z00_3553,
								BgL_stackz00_3342, BgL_levelz00_3343);
						}
						((((BgL_letzd2funzd2_bglt) COBJECT(
										((BgL_letzd2funzd2_bglt) BgL_nodez00_3341)))->BgL_bodyz00) =
							((BgL_nodez00_bglt) BgL_auxz00_4631), BUNSPEC);
					}
					return
						((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_3341));
				}
		}

	}



/* &trace-node-switch1319 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2switch1319z62zztrace_walkz00(obj_t
		BgL_envz00_3344, obj_t BgL_nodez00_3345, obj_t BgL_stackz00_3346,
		obj_t BgL_levelz00_3347)
	{
		{	/* Trace/walk.scm 370 */
			{
				BgL_nodez00_bglt BgL_auxz00_4639;

				{	/* Trace/walk.scm 372 */
					BgL_nodez00_bglt BgL_arg1943z00_3555;

					BgL_arg1943z00_3555 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_3345)))->BgL_testz00);
					BgL_auxz00_4639 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1943z00_3555,
						BgL_stackz00_3346, BgL_levelz00_3347);
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_3345)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4639), BUNSPEC);
			}
			{	/* Trace/walk.scm 373 */
				obj_t BgL_g1257z00_3556;

				BgL_g1257z00_3556 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_3345)))->BgL_clausesz00);
				{
					obj_t BgL_l1255z00_3558;

					BgL_l1255z00_3558 = BgL_g1257z00_3556;
				BgL_zc3z04anonymousza31944ze3z87_3557:
					if (PAIRP(BgL_l1255z00_3558))
						{	/* Trace/walk.scm 373 */
							{	/* Trace/walk.scm 374 */
								obj_t BgL_clausez00_3559;

								BgL_clausez00_3559 = CAR(BgL_l1255z00_3558);
								{	/* Trace/walk.scm 374 */
									BgL_nodez00_bglt BgL_arg1946z00_3560;

									{	/* Trace/walk.scm 374 */
										obj_t BgL_arg1947z00_3561;

										BgL_arg1947z00_3561 = CDR(((obj_t) BgL_clausez00_3559));
										BgL_arg1946z00_3560 =
											BGl_tracezd2nodezd2zztrace_walkz00(
											((BgL_nodez00_bglt) BgL_arg1947z00_3561),
											BgL_stackz00_3346, BgL_levelz00_3347);
									}
									{	/* Trace/walk.scm 374 */
										obj_t BgL_auxz00_4656;
										obj_t BgL_tmpz00_4654;

										BgL_auxz00_4656 = ((obj_t) BgL_arg1946z00_3560);
										BgL_tmpz00_4654 = ((obj_t) BgL_clausez00_3559);
										SET_CDR(BgL_tmpz00_4654, BgL_auxz00_4656);
									}
								}
							}
							{
								obj_t BgL_l1255z00_4659;

								BgL_l1255z00_4659 = CDR(BgL_l1255z00_3558);
								BgL_l1255z00_3558 = BgL_l1255z00_4659;
								goto BgL_zc3z04anonymousza31944ze3z87_3557;
							}
						}
					else
						{	/* Trace/walk.scm 373 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_3345));
		}

	}



/* &trace-node-fail1317 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2fail1317z62zztrace_walkz00(obj_t
		BgL_envz00_3348, obj_t BgL_nodez00_3349, obj_t BgL_stackz00_3350,
		obj_t BgL_levelz00_3351)
	{
		{	/* Trace/walk.scm 360 */
			{
				BgL_nodez00_bglt BgL_auxz00_4663;

				{	/* Trace/walk.scm 362 */
					BgL_nodez00_bglt BgL_arg1939z00_3563;

					BgL_arg1939z00_3563 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3349)))->BgL_procz00);
					BgL_auxz00_4663 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1939z00_3563,
						BgL_stackz00_3350, BgL_levelz00_3351);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3349)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4663), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4669;

				{	/* Trace/walk.scm 363 */
					BgL_nodez00_bglt BgL_arg1940z00_3564;

					BgL_arg1940z00_3564 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3349)))->BgL_msgz00);
					BgL_auxz00_4669 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1940z00_3564,
						BgL_stackz00_3350, BgL_levelz00_3351);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3349)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4669), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4675;

				{	/* Trace/walk.scm 364 */
					BgL_nodez00_bglt BgL_arg1942z00_3565;

					BgL_arg1942z00_3565 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3349)))->BgL_objz00);
					BgL_auxz00_4675 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1942z00_3565,
						BgL_stackz00_3350, BgL_levelz00_3351);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3349)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4675), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_3349));
		}

	}



/* &trace-node-condition1315 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2condition1315z62zztrace_walkz00(obj_t
		BgL_envz00_3352, obj_t BgL_nodez00_3353, obj_t BgL_stackz00_3354,
		obj_t BgL_levelz00_3355)
	{
		{	/* Trace/walk.scm 350 */
			{
				BgL_nodez00_bglt BgL_auxz00_4683;

				{	/* Trace/walk.scm 352 */
					BgL_nodez00_bglt BgL_arg1935z00_3567;

					BgL_arg1935z00_3567 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3353)))->BgL_testz00);
					BgL_auxz00_4683 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1935z00_3567,
						BgL_stackz00_3354, BgL_levelz00_3355);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3353)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4683), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4689;

				{	/* Trace/walk.scm 353 */
					BgL_nodez00_bglt BgL_arg1936z00_3568;

					BgL_arg1936z00_3568 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3353)))->BgL_truez00);
					BgL_auxz00_4689 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1936z00_3568,
						BgL_stackz00_3354, BgL_levelz00_3355);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3353)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_4689), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4695;

				{	/* Trace/walk.scm 354 */
					BgL_nodez00_bglt BgL_arg1938z00_3569;

					BgL_arg1938z00_3569 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3353)))->BgL_falsez00);
					BgL_auxz00_4695 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1938z00_3569,
						BgL_stackz00_3354, BgL_levelz00_3355);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3353)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_4695), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_3353));
		}

	}



/* &trace-node-setq1313 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2setq1313z62zztrace_walkz00(obj_t
		BgL_envz00_3356, obj_t BgL_nodez00_3357, obj_t BgL_stackz00_3358,
		obj_t BgL_levelz00_3359)
	{
		{	/* Trace/walk.scm 343 */
			((((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_3357)))->BgL_valuez00) =
				((BgL_nodez00_bglt)
					BGl_tracezd2nodezd2zztrace_walkz00((((BgL_setqz00_bglt)
								COBJECT(((BgL_setqz00_bglt) BgL_nodez00_3357)))->BgL_valuez00),
						BgL_stackz00_3358, BgL_levelz00_3359)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_3357));
		}

	}



/* &trace-node-cast1311 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2cast1311z62zztrace_walkz00(obj_t
		BgL_envz00_3360, obj_t BgL_nodez00_3361, obj_t BgL_stackz00_3362,
		obj_t BgL_levelz00_3363)
	{
		{	/* Trace/walk.scm 336 */
			((((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_3361)))->BgL_argz00) =
				((BgL_nodez00_bglt)
					BGl_tracezd2nodezd2zztrace_walkz00((((BgL_castz00_bglt)
								COBJECT(((BgL_castz00_bglt) BgL_nodez00_3361)))->BgL_argz00),
						BgL_stackz00_3362, BgL_levelz00_3363)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_3361));
		}

	}



/* &trace-node-extern1309 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2extern1309z62zztrace_walkz00(obj_t
		BgL_envz00_3364, obj_t BgL_nodez00_3365, obj_t BgL_stackz00_3366,
		obj_t BgL_levelz00_3367)
	{
		{	/* Trace/walk.scm 329 */
			BGl_tracezd2nodeza2z12z62zztrace_walkz00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_3365)))->BgL_exprza2za2),
				BgL_stackz00_3366, BgL_levelz00_3367);
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_3365));
		}

	}



/* &trace-node-funcall1307 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2funcall1307z62zztrace_walkz00(obj_t
		BgL_envz00_3368, obj_t BgL_nodez00_3369, obj_t BgL_stackz00_3370,
		obj_t BgL_levelz00_3371)
	{
		{	/* Trace/walk.scm 320 */
			{
				BgL_nodez00_bglt BgL_auxz00_4722;

				{	/* Trace/walk.scm 322 */
					BgL_nodez00_bglt BgL_arg1927z00_3574;

					BgL_arg1927z00_3574 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_3369)))->BgL_funz00);
					BgL_auxz00_4722 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1927z00_3574,
						BgL_stackz00_3370, BgL_levelz00_3371);
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_3369)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4722), BUNSPEC);
			}
			BGl_tracezd2nodeza2z12z62zztrace_walkz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_3369)))->BgL_argsz00),
				BgL_stackz00_3370, BgL_levelz00_3371);
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_3369));
		}

	}



/* &trace-node-app-ly1305 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2appzd2ly1305zb0zztrace_walkz00(obj_t
		BgL_envz00_3372, obj_t BgL_nodez00_3373, obj_t BgL_stackz00_3374,
		obj_t BgL_levelz00_3375)
	{
		{	/* Trace/walk.scm 311 */
			{
				BgL_nodez00_bglt BgL_auxz00_4733;

				{	/* Trace/walk.scm 313 */
					BgL_nodez00_bglt BgL_arg1924z00_3576;

					BgL_arg1924z00_3576 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3373)))->BgL_funz00);
					BgL_auxz00_4733 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1924z00_3576,
						BgL_stackz00_3374, BgL_levelz00_3375);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3373)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4733), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4739;

				{	/* Trace/walk.scm 314 */
					BgL_nodez00_bglt BgL_arg1926z00_3577;

					BgL_arg1926z00_3577 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3373)))->BgL_argz00);
					BgL_auxz00_4739 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1926z00_3577,
						BgL_stackz00_3374, BgL_levelz00_3375);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3373)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4739), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_3373));
		}

	}



/* &trace-node-app1303 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2app1303z62zztrace_walkz00(obj_t
		BgL_envz00_3376, obj_t BgL_nodez00_3377, obj_t BgL_stackz00_3378,
		obj_t BgL_levelz00_3379)
	{
		{	/* Trace/walk.scm 304 */
			BGl_tracezd2nodeza2z12z62zztrace_walkz00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_3377)))->BgL_argsz00),
				BgL_stackz00_3378, BgL_levelz00_3379);
			return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3377));
		}

	}



/* &trace-node-sync1301 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2sync1301z62zztrace_walkz00(obj_t
		BgL_envz00_3380, obj_t BgL_nodez00_3381, obj_t BgL_stackz00_3382,
		obj_t BgL_levelz00_3383)
	{
		{	/* Trace/walk.scm 294 */
			{
				BgL_nodez00_bglt BgL_auxz00_4752;

				{	/* Trace/walk.scm 296 */
					BgL_nodez00_bglt BgL_arg1919z00_3580;

					BgL_arg1919z00_3580 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3381)))->BgL_mutexz00);
					BgL_auxz00_4752 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1919z00_3580,
						BgL_stackz00_3382, BgL_levelz00_3383);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3381)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4752), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4758;

				{	/* Trace/walk.scm 297 */
					BgL_nodez00_bglt BgL_arg1921z00_3581;

					BgL_arg1921z00_3581 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3381)))->BgL_prelockz00);
					BgL_auxz00_4758 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1921z00_3581,
						BgL_stackz00_3382, BgL_levelz00_3383);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3381)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4758), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4764;

				{	/* Trace/walk.scm 298 */
					BgL_nodez00_bglt BgL_arg1922z00_3582;

					BgL_arg1922z00_3582 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3381)))->BgL_bodyz00);
					BgL_auxz00_4764 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1922z00_3582,
						BgL_stackz00_3382, BgL_levelz00_3383);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3381)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4764), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_3381));
		}

	}



/* &trace-node-sequence1298 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2sequence1298z62zztrace_walkz00(obj_t
		BgL_envz00_3384, obj_t BgL_nodez00_3385, obj_t BgL_stackz00_3386,
		obj_t BgL_levelz00_3387)
	{
		{	/* Trace/walk.scm 287 */
			BGl_tracezd2nodeza2z12z62zztrace_walkz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_3385)))->BgL_nodesz00),
				BgL_stackz00_3386, BgL_levelz00_3387);
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_3385));
		}

	}



/* &find-last-node-jump-1294 */
	obj_t BGl_z62findzd2lastzd2nodezd2jumpzd21294z62zztrace_walkz00(obj_t
		BgL_envz00_3388, obj_t BgL_nodez00_3389)
	{
		{	/* Trace/walk.scm 237 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3389)))->BgL_valuez00));
		}

	}



/* &find-last-node-set-e1292 */
	obj_t BGl_z62findzd2lastzd2nodezd2setzd2e1292z62zztrace_walkz00(obj_t
		BgL_envz00_3390, obj_t BgL_nodez00_3391)
	{
		{	/* Trace/walk.scm 231 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3391)))->BgL_bodyz00));
		}

	}



/* &find-last-node-let-f1290 */
	obj_t BGl_z62findzd2lastzd2nodezd2letzd2f1290z62zztrace_walkz00(obj_t
		BgL_envz00_3392, obj_t BgL_nodez00_3393)
	{
		{	/* Trace/walk.scm 225 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_3393)))->BgL_bodyz00));
		}

	}



/* &find-last-node-let-v1288 */
	obj_t BGl_z62findzd2lastzd2nodezd2letzd2v1288z62zztrace_walkz00(obj_t
		BgL_envz00_3394, obj_t BgL_nodez00_3395)
	{
		{	/* Trace/walk.scm 219 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_3395)))->BgL_bodyz00));
		}

	}



/* &find-last-node-switc1286 */
	obj_t BGl_z62findzd2lastzd2nodezd2switc1286zb0zztrace_walkz00(obj_t
		BgL_envz00_3396, obj_t BgL_nodez00_3397)
	{
		{	/* Trace/walk.scm 210 */
			{	/* Trace/walk.scm 212 */
				bool_t BgL_test2335z00_4789;

				{	/* Trace/walk.scm 212 */
					obj_t BgL_tmpz00_4790;

					BgL_tmpz00_4790 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_3397)))->BgL_clausesz00);
					BgL_test2335z00_4789 = PAIRP(BgL_tmpz00_4790);
				}
				if (BgL_test2335z00_4789)
					{	/* Trace/walk.scm 213 */
						obj_t BgL_arg1908z00_3589;

						BgL_arg1908z00_3589 =
							CDR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
								(((BgL_switchz00_bglt) COBJECT(
											((BgL_switchz00_bglt) BgL_nodez00_3397)))->
									BgL_clausesz00)));
						return BGl_findzd2lastzd2nodez00zztrace_walkz00(((BgL_nodez00_bglt)
								BgL_arg1908z00_3589));
					}
				else
					{	/* Trace/walk.scm 212 */
						return
							BGl_findzd2lastzd2sexpz00zztrace_walkz00(
							(((BgL_switchz00_bglt) COBJECT(
										((BgL_switchz00_bglt) BgL_nodez00_3397)))->BgL_testz00));
					}
			}
		}

	}



/* &find-last-node-fail1284 */
	obj_t BGl_z62findzd2lastzd2nodezd2fail1284zb0zztrace_walkz00(obj_t
		BgL_envz00_3398, obj_t BgL_nodez00_3399)
	{
		{	/* Trace/walk.scm 204 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_3399)))->BgL_objz00));
		}

	}



/* &find-last-node-condi1282 */
	obj_t BGl_z62findzd2lastzd2nodezd2condi1282zb0zztrace_walkz00(obj_t
		BgL_envz00_3400, obj_t BgL_nodez00_3401)
	{
		{	/* Trace/walk.scm 198 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_3401)))->BgL_falsez00));
		}

	}



/* &find-last-node-setq1280 */
	obj_t BGl_z62findzd2lastzd2nodezd2setq1280zb0zztrace_walkz00(obj_t
		BgL_envz00_3402, obj_t BgL_nodez00_3403)
	{
		{	/* Trace/walk.scm 192 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_3403)))->BgL_valuez00));
		}

	}



/* &find-last-node-exter1278 */
	obj_t BGl_z62findzd2lastzd2nodezd2exter1278zb0zztrace_walkz00(obj_t
		BgL_envz00_3404, obj_t BgL_nodez00_3405)
	{
		{	/* Trace/walk.scm 183 */
			if (NULLP(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_3405)))->BgL_exprza2za2)))
				{	/* Trace/walk.scm 185 */
					return ((obj_t) ((BgL_externz00_bglt) BgL_nodez00_3405));
				}
			else
				{	/* Trace/walk.scm 186 */
					obj_t BgL_arg1899z00_3594;

					BgL_arg1899z00_3594 =
						CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
							(((BgL_externz00_bglt) COBJECT(
										((BgL_externz00_bglt) BgL_nodez00_3405)))->
								BgL_exprza2za2)));
					return BGl_findzd2lastzd2nodez00zztrace_walkz00(((BgL_nodez00_bglt)
							BgL_arg1899z00_3594));
				}
		}

	}



/* &find-last-node-funca1276 */
	obj_t BGl_z62findzd2lastzd2nodezd2funca1276zb0zztrace_walkz00(obj_t
		BgL_envz00_3406, obj_t BgL_nodez00_3407)
	{
		{	/* Trace/walk.scm 174 */
			{	/* Trace/walk.scm 176 */
				bool_t BgL_test2337z00_4824;

				{	/* Trace/walk.scm 176 */
					obj_t BgL_tmpz00_4825;

					BgL_tmpz00_4825 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_3407)))->BgL_argsz00);
					BgL_test2337z00_4824 = PAIRP(BgL_tmpz00_4825);
				}
				if (BgL_test2337z00_4824)
					{	/* Trace/walk.scm 177 */
						obj_t BgL_arg1892z00_3596;

						BgL_arg1892z00_3596 =
							CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
								(((BgL_funcallz00_bglt) COBJECT(
											((BgL_funcallz00_bglt) BgL_nodez00_3407)))->
									BgL_argsz00)));
						return BGl_findzd2lastzd2nodez00zztrace_walkz00(((BgL_nodez00_bglt)
								BgL_arg1892z00_3596));
					}
				else
					{	/* Trace/walk.scm 176 */
						return
							BGl_findzd2lastzd2nodez00zztrace_walkz00(
							(((BgL_funcallz00_bglt) COBJECT(
										((BgL_funcallz00_bglt) BgL_nodez00_3407)))->BgL_funz00));
					}
			}
		}

	}



/* &find-last-node-app-l1274 */
	obj_t BGl_z62findzd2lastzd2nodezd2appzd2l1274z62zztrace_walkz00(obj_t
		BgL_envz00_3408, obj_t BgL_nodez00_3409)
	{
		{	/* Trace/walk.scm 168 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_3409)))->BgL_argz00));
		}

	}



/* &find-last-node-app1272 */
	obj_t BGl_z62findzd2lastzd2nodezd2app1272zb0zztrace_walkz00(obj_t
		BgL_envz00_3410, obj_t BgL_nodez00_3411)
	{
		{	/* Trace/walk.scm 159 */
			{	/* Trace/walk.scm 161 */
				bool_t BgL_test2338z00_4841;

				{	/* Trace/walk.scm 161 */
					obj_t BgL_tmpz00_4842;

					BgL_tmpz00_4842 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_3411)))->BgL_argsz00);
					BgL_test2338z00_4841 = PAIRP(BgL_tmpz00_4842);
				}
				if (BgL_test2338z00_4841)
					{	/* Trace/walk.scm 162 */
						obj_t BgL_arg1884z00_3599;

						BgL_arg1884z00_3599 =
							CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
								(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nodez00_3411)))->BgL_argsz00)));
						return
							BGl_findzd2lastzd2nodez00zztrace_walkz00(
							((BgL_nodez00_bglt) BgL_arg1884z00_3599));
					}
				else
					{	/* Trace/walk.scm 161 */
						return ((obj_t) ((BgL_appz00_bglt) BgL_nodez00_3411));
					}
			}
		}

	}



/* &find-last-node-sync1270 */
	obj_t BGl_z62findzd2lastzd2nodezd2sync1270zb0zztrace_walkz00(obj_t
		BgL_envz00_3412, obj_t BgL_nodez00_3413)
	{
		{	/* Trace/walk.scm 152 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_3413)))->BgL_bodyz00));
		}

	}



/* &find-last-node-seque1268 */
	obj_t BGl_z62findzd2lastzd2nodezd2seque1268zb0zztrace_walkz00(obj_t
		BgL_envz00_3414, obj_t BgL_nodez00_3415)
	{
		{	/* Trace/walk.scm 143 */
			if (NULLP(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_3415)))->BgL_nodesz00)))
				{	/* Trace/walk.scm 145 */
					return ((obj_t) ((BgL_sequencez00_bglt) BgL_nodez00_3415));
				}
			else
				{	/* Trace/walk.scm 146 */
					obj_t BgL_arg1865z00_3602;

					BgL_arg1865z00_3602 =
						CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
							(((BgL_sequencez00_bglt) COBJECT(
										((BgL_sequencez00_bglt) BgL_nodez00_3415)))->
								BgL_nodesz00)));
					return BGl_findzd2lastzd2nodez00zztrace_walkz00(((BgL_nodez00_bglt)
							BgL_arg1865z00_3602));
				}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zztrace_walkz00(void)
	{
		{	/* Trace/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string2180z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2180z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(373082237L,
				BSTRING_TO_STRING(BGl_string2180z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2180z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2180z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2180z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_letz00(469204197L,
				BSTRING_TO_STRING(BGl_string2180z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2180z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(9470071L,
				BSTRING_TO_STRING(BGl_string2180z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(462333240L,
				BSTRING_TO_STRING(BGl_string2180z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string2180z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string2180z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(163122759L,
				BSTRING_TO_STRING(BGl_string2180z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(174885617L,
				BSTRING_TO_STRING(BGl_string2180z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string2180z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string2180z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztrace_isloopz00(332486922L,
				BSTRING_TO_STRING(BGl_string2180z00zztrace_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string2180z00zztrace_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
