/*===========================================================================*/
/*   (Eval/evaluate.scm)                                                     */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a +rm -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -stdc -c Eval/evaluate.scm -indent -o objs/obj_u/Eval/evaluate.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___EVALUATE_TYPE_DEFINITIONS
#define BGL___EVALUATE_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_prelockz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


#endif													// BGL___EVALUATE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
	static obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, bool_t);
	extern obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluatez00 = BUNSPEC;
	extern bool_t BGl_classzd2fieldzf3z21zz__objectz00(obj_t);
	static BgL_ev_absz00_bglt BGl_convzd2lambdaze70z35zz__evaluatez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern BgL_ev_exprz00_bglt
		BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(obj_t);
	static obj_t BGl_getzd2locationzd2zz__evaluatez00(obj_t, obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluatez00(void);
	extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_classzd2existszd2zz__objectz00(obj_t);
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	extern int BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	static obj_t BGl_objectzd2initzd2zz__evaluatez00(void);
	extern bool_t BGl_classzd2fieldzd2mutablezf3zf3zz__objectz00(obj_t);
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	extern obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_convzd2fieldzd2refz00zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, bool_t);
	extern obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00(obj_t);
	static obj_t BGl_symbol2965z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_findzd2classzd2fieldz00zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	static obj_t BGl_symbol2973z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2975z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2977z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2978z00zz__evaluatez00 = BUNSPEC;
	extern obj_t bstring_to_symbol(obj_t);
	extern obj_t BGl_classzd2fieldzd2mutatorz00zz__objectz00(obj_t);
	static obj_t BGl_convzd2fieldzd2setz00zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, bool_t);
	extern obj_t make_vector(long, obj_t);
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	static obj_t BGl_symbol2980z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2982z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_symbol2984z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00(obj_t,
		obj_t);
	static obj_t BGl_symbol2986z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2988z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_appendzd221011zd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_typezd2checkszd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluatez00(void);
	static obj_t BGl_symbol2990z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2991z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2993z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2995z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
	static obj_t BGl_symbol2997z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2999z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
	extern obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_classzd2fieldzd2accessorz00zz__objectz00(obj_t);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	extern obj_t BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_ev_exprz00_bglt);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_substringz00zz__r4_strings_6_7z00(obj_t, long, long);
	extern obj_t BGl_findzd2statezd2zz__evaluate_compz00(void);
	extern obj_t BGl_evmodulez00zz__evmodulez00(obj_t, obj_t);
	static obj_t BGl_untypezd2identzd2zz__evaluatez00(obj_t);
	extern obj_t bstring_to_keyword(obj_t);
	extern obj_t BGl_classzd2fieldzd2typez00zz__objectz00(obj_t);
	static obj_t BGl_symbol3001z00zz__evaluatez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	static obj_t BGl_symbol3003z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3005z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_expandz00zz__expandz00(obj_t);
	static obj_t BGl_symbol3007z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3009z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00(obj_t,
		obj_t);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	extern bool_t BGl_classzf3zf3zz__objectz00(obj_t);
	static obj_t BGl_symbol3011z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3013z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3015z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3017z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3019z00zz__evaluatez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00(obj_t);
	extern int bgl_debug(void);
	static obj_t BGl_z62zc3z04anonymousza31373ze3ze5zz__evaluatez00(obj_t);
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
	static obj_t BGl_symbol3021z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3023z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3025z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3027z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t BGl_symbol3029z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_typezd2checkzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62evaluate2z62zz__evaluatez00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_keyword3076z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_cnstzd2initzd2zz__evaluatez00(void);
	static obj_t BGl_symbol3031z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3033z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3035z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3037z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3039z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00(void);
	static obj_t BGl_gczd2rootszd2initz00zz__evaluatez00(void);
	static obj_t BGl_symbol3043z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static obj_t BGl_symbol3045z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3048z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
	static obj_t BGl_symbol3050z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3052z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3054z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3056z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3058z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_uconvzf2locze70z15zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_convzd2valsze70z35zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_symbol3060z00zz__evaluatez00 = BUNSPEC;
	extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
	static obj_t BGl_symbol3062z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3064z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_getzd2sourcezd2locationz00zz__readerz00(obj_t);
	static obj_t BGl_symbol3066z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3068z00zz__evaluatez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_evaluate2z00zz__evaluatez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	extern obj_t
		BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00(obj_t,
		obj_t, bool_t);
	static obj_t BGl_symbol3070z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3072z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3074z00zz__evaluatez00 = BUNSPEC;
	extern obj_t c_substring(obj_t, long, long);
	static obj_t BGl_symbol3078z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_evalzd2findzd2modulez00zz__evmodulez00(obj_t);
	static obj_t BGl_typezd2resultzd2zz__evaluatez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(int);
	extern obj_t BGl_evcompilezd2errorzd2zz__evcompilez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol3080z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
	static obj_t BGl_loopze70ze7zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_loopze71ze7zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2evaluationzd2contextz00zz__evaluatez00(void);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_convz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, bool_t);
	static obj_t BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00(obj_t,
		obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string3010z00zz__evaluatez00,
		BgL_bgl_string3010za700za7za7_3085za7, "class?", 6);
	      DEFINE_STRING(BGl_string3012z00zz__evaluatez00,
		BgL_bgl_string3012za700za7za7_3086za7, "string", 6);
	      DEFINE_STRING(BGl_string3014z00zz__evaluatez00,
		BgL_bgl_string3014za700za7za7_3087za7, "bstring", 7);
	      DEFINE_STRING(BGl_string3016z00zz__evaluatez00,
		BgL_bgl_string3016za700za7za7_3088za7, "string?", 7);
	      DEFINE_STRING(BGl_string3018z00zz__evaluatez00,
		BgL_bgl_string3018za700za7za7_3089za7, "o", 1);
	      DEFINE_STRING(BGl_string3020z00zz__evaluatez00,
		BgL_bgl_string3020za700za7za7_3090za7, "quote", 5);
	      DEFINE_STRING(BGl_string3022z00zz__evaluatez00,
		BgL_bgl_string3022za700za7za7_3091za7, "class-exists", 12);
	      DEFINE_STRING(BGl_string3024z00zz__evaluatez00,
		BgL_bgl_string3024za700za7za7_3092za7, "c", 1);
	      DEFINE_STRING(BGl_string3026z00zz__evaluatez00,
		BgL_bgl_string3026za700za7za7_3093za7, "isa?", 4);
	      DEFINE_STRING(BGl_string3028z00zz__evaluatez00,
		BgL_bgl_string3028za700za7za7_3094za7, "if", 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_evaluate2zd2restorezd2bpz12zd2envzc0zz__evaluatez00,
		BgL_bgl_za762evaluate2za7d2r3095z00,
		BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3030z00zz__evaluatez00,
		BgL_bgl_string3030za700za7za7_3096za7, "let", 3);
	      DEFINE_STRING(BGl_string3032z00zz__evaluatez00,
		BgL_bgl_string3032za700za7za7_3097za7, "lambda", 6);
	      DEFINE_STRING(BGl_string3034z00zz__evaluatez00,
		BgL_bgl_string3034za700za7za7_3098za7, "bigloo-type-error/location", 26);
	      DEFINE_STRING(BGl_string3036z00zz__evaluatez00,
		BgL_bgl_string3036za700za7za7_3099za7, "bigloo-type-error", 17);
	      DEFINE_STRING(BGl_string3038z00zz__evaluatez00,
		BgL_bgl_string3038za700za7za7_3100za7, "at", 2);
	      DEFINE_STRING(BGl_string3040z00zz__evaluatez00,
		BgL_bgl_string3040za700za7za7_3101za7, "tmp", 3);
	      DEFINE_STRING(BGl_string3041z00zz__evaluatez00,
		BgL_bgl_string3041za700za7za7_3102za7, "~a::~a", 6);
	      DEFINE_STRING(BGl_string3042z00zz__evaluatez00,
		BgL_bgl_string3042za700za7za7_3103za7, "Illegal form", 12);
	      DEFINE_STRING(BGl_string3044z00zz__evaluatez00,
		BgL_bgl_string3044za700za7za7_3104za7, "begin", 5);
	      DEFINE_STRING(BGl_string3046z00zz__evaluatez00,
		BgL_bgl_string3046za700za7za7_3105za7, " ", 1);
	      DEFINE_STRING(BGl_string3047z00zz__evaluatez00,
		BgL_bgl_string3047za700za7za7_3106za7,
		"Illegal non toplevel module declaration", 39);
	      DEFINE_STRING(BGl_string3049z00zz__evaluatez00,
		BgL_bgl_string3049za700za7za7_3107za7, "module", 6);
	      DEFINE_STRING(BGl_string3051z00zz__evaluatez00,
		BgL_bgl_string3051za700za7za7_3108za7, "@", 1);
	      DEFINE_STRING(BGl_string3053z00zz__evaluatez00,
		BgL_bgl_string3053za700za7za7_3109za7, "->", 2);
	      DEFINE_STRING(BGl_string3055z00zz__evaluatez00,
		BgL_bgl_string3055za700za7za7_3110za7, "trap", 4);
	      DEFINE_STRING(BGl_string3057z00zz__evaluatez00,
		BgL_bgl_string3057za700za7za7_3111za7, "or", 2);
	      DEFINE_STRING(BGl_string3059z00zz__evaluatez00,
		BgL_bgl_string3059za700za7za7_3112za7, "and", 3);
	      DEFINE_STRING(BGl_string3061z00zz__evaluatez00,
		BgL_bgl_string3061za700za7za7_3113za7, "let*", 4);
	      DEFINE_STRING(BGl_string3063z00zz__evaluatez00,
		BgL_bgl_string3063za700za7za7_3114za7, "letrec", 6);
	      DEFINE_STRING(BGl_string3065z00zz__evaluatez00,
		BgL_bgl_string3065za700za7za7_3115za7, "set!", 4);
	      DEFINE_STRING(BGl_string3067z00zz__evaluatez00,
		BgL_bgl_string3067za700za7za7_3116za7, "define", 6);
	      DEFINE_STRING(BGl_string3069z00zz__evaluatez00,
		BgL_bgl_string3069za700za7za7_3117za7, "bind-exit", 9);
	      DEFINE_STRING(BGl_string3071z00zz__evaluatez00,
		BgL_bgl_string3071za700za7za7_3118za7, "unwind-protect", 14);
	      DEFINE_STRING(BGl_string3073z00zz__evaluatez00,
		BgL_bgl_string3073za700za7za7_3119za7, "with-handler", 12);
	      DEFINE_STRING(BGl_string3075z00zz__evaluatez00,
		BgL_bgl_string3075za700za7za7_3120za7, "synchronize", 11);
	      DEFINE_STRING(BGl_string3077z00zz__evaluatez00,
		BgL_bgl_string3077za700za7za7_3121za7, "prelock", 7);
	      DEFINE_STRING(BGl_string3079z00zz__evaluatez00,
		BgL_bgl_string3079za700za7za7_3122za7, ".", 1);
	      DEFINE_STRING(BGl_string3081z00zz__evaluatez00,
		BgL_bgl_string3081za700za7za7_3123za7, "free-pragma::obj", 16);
	      DEFINE_STRING(BGl_string3082z00zz__evaluatez00,
		BgL_bgl_string3082za700za7za7_3124za7, "free-pragma", 11);
	      DEFINE_STRING(BGl_string3083z00zz__evaluatez00,
		BgL_bgl_string3083za700za7za7_3125za7, "not supported in eval", 21);
	      DEFINE_STRING(BGl_string3084z00zz__evaluatez00,
		BgL_bgl_string3084za700za7za7_3126za7, "__evaluate", 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2evaluationzd2contextz12zd2envzc0zz__evaluatez00,
		BgL_bgl_za762setza7d2evaluat3127z00,
		BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2959z00zz__evaluatez00,
		BgL_bgl_string2959za700za7za7_3128za7, "", 0);
	      DEFINE_STRING(BGl_string2960z00zz__evaluatez00,
		BgL_bgl_string2960za700za7za7_3129za7,
		"/tmp/bigloo/runtime/Eval/evaluate.scm", 37);
	      DEFINE_STRING(BGl_string2961z00zz__evaluatez00,
		BgL_bgl_string2961za700za7za7_3130za7, "&evaluate2-restore-bp!", 22);
	      DEFINE_STRING(BGl_string2962z00zz__evaluatez00,
		BgL_bgl_string2962za700za7za7_3131za7, "bint", 4);
	      DEFINE_STRING(BGl_string2963z00zz__evaluatez00,
		BgL_bgl_string2963za700za7za7_3132za7, "&evaluate2-restore-state!", 25);
	      DEFINE_STRING(BGl_string2964z00zz__evaluatez00,
		BgL_bgl_string2964za700za7za7_3133za7, "vector", 6);
	      DEFINE_STRING(BGl_string2966z00zz__evaluatez00,
		BgL_bgl_string2966za700za7za7_3134za7, "toplevel", 8);
	      DEFINE_STRING(BGl_string2967z00zz__evaluatez00,
		BgL_bgl_string2967za700za7za7_3135za7, "eval", 4);
	      DEFINE_STRING(BGl_string2968z00zz__evaluatez00,
		BgL_bgl_string2968za700za7za7_3136za7, "Bad syntax", 10);
	      DEFINE_STRING(BGl_string2969z00zz__evaluatez00,
		BgL_bgl_string2969za700za7za7_3137za7, "Class \"~a\" has no field \"~a\"",
		28);
	      DEFINE_STRING(BGl_string2970z00zz__evaluatez00,
		BgL_bgl_string2970za700za7za7_3138za7, "Static type not a class", 23);
	      DEFINE_STRING(BGl_string2971z00zz__evaluatez00,
		BgL_bgl_string2971za700za7za7_3139za7, "Variable unbound", 16);
	      DEFINE_STRING(BGl_string2972z00zz__evaluatez00,
		BgL_bgl_string2972za700za7za7_3140za7, "Field read-only", 15);
	      DEFINE_STRING(BGl_string2974z00zz__evaluatez00,
		BgL_bgl_string2974za700za7za7_3141za7, "pair", 4);
	      DEFINE_STRING(BGl_string2976z00zz__evaluatez00,
		BgL_bgl_string2976za700za7za7_3142za7, "pair?", 5);
	      DEFINE_STRING(BGl_string2979z00zz__evaluatez00,
		BgL_bgl_string2979za700za7za7_3143za7, "vector?", 7);
	extern obj_t BGl_errorzd2envzd2zz__errorz00;
	   
		 
		DEFINE_STRING(BGl_string2981z00zz__evaluatez00,
		BgL_bgl_string2981za700za7za7_3144za7, "symbol", 6);
	      DEFINE_STRING(BGl_string2983z00zz__evaluatez00,
		BgL_bgl_string2983za700za7za7_3145za7, "symbol?", 7);
	      DEFINE_STRING(BGl_string2985z00zz__evaluatez00,
		BgL_bgl_string2985za700za7za7_3146za7, "char", 4);
	      DEFINE_STRING(BGl_string2987z00zz__evaluatez00,
		BgL_bgl_string2987za700za7za7_3147za7, "char?", 5);
	      DEFINE_STRING(BGl_string2989z00zz__evaluatez00,
		BgL_bgl_string2989za700za7za7_3148za7, "int", 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_evaluate2zd2restorezd2statez12zd2envzc0zz__evaluatez00,
		BgL_bgl_za762evaluate2za7d2r3149z00,
		BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2992z00zz__evaluatez00,
		BgL_bgl_string2992za700za7za7_3150za7, "integer?", 8);
	      DEFINE_STRING(BGl_string2994z00zz__evaluatez00,
		BgL_bgl_string2994za700za7za7_3151za7, "real", 4);
	      DEFINE_STRING(BGl_string2996z00zz__evaluatez00,
		BgL_bgl_string2996za700za7za7_3152za7, "breal", 5);
	      DEFINE_STRING(BGl_string2998z00zz__evaluatez00,
		BgL_bgl_string2998za700za7za7_3153za7, "real?", 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2evaluationzd2contextzd2envzd2zz__evaluatez00,
		BgL_bgl_za762getza7d2evaluat3154z00,
		BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_evaluate2zd2envzd2zz__evaluatez00,
		BgL_bgl_za762evaluate2za762za73155za7, BGl_z62evaluate2z62zz__evaluatez00,
		0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string3000z00zz__evaluatez00,
		BgL_bgl_string3000za700za7za7_3156za7, "bool", 4);
	      DEFINE_STRING(BGl_string3002z00zz__evaluatez00,
		BgL_bgl_string3002za700za7za7_3157za7, "boolean?", 8);
	      DEFINE_STRING(BGl_string3004z00zz__evaluatez00,
		BgL_bgl_string3004za700za7za7_3158za7, "struct", 6);
	      DEFINE_STRING(BGl_string3006z00zz__evaluatez00,
		BgL_bgl_string3006za700za7za7_3159za7, "struct?", 7);
	      DEFINE_STRING(BGl_string3008z00zz__evaluatez00,
		BgL_bgl_string3008za700za7za7_3160za7, "class", 5);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2965z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2973z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2975z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2977z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2978z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2980z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2982z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2984z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2986z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2988z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2990z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2991z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2993z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2995z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2997z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2999z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3001z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3003z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3005z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3007z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3009z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3011z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3013z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3015z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3017z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3019z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3021z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3023z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3025z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3027z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3029z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_keyword3076z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3031z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3033z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3035z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3037z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3039z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3043z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3045z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3048z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3050z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3052z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3054z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3056z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3058z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3060z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3062z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3064z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3066z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3068z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3070z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3072z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3074z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3078z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3080z00zz__evaluatez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long
		BgL_checksumz00_4967, char *BgL_fromz00_4968)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluatez00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluatez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__evaluatez00();
					BGl_cnstzd2initzd2zz__evaluatez00();
					BGl_importedzd2moduleszd2initz00zz__evaluatez00();
					return BGl_methodzd2initzd2zz__evaluatez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluatez00(void)
	{
		{	/* Eval/evaluate.scm 15 */
			BGl_symbol2965z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2966z00zz__evaluatez00);
			BGl_symbol2973z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2974z00zz__evaluatez00);
			BGl_symbol2975z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2976z00zz__evaluatez00);
			BGl_symbol2977z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2964z00zz__evaluatez00);
			BGl_symbol2978z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2979z00zz__evaluatez00);
			BGl_symbol2980z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2981z00zz__evaluatez00);
			BGl_symbol2982z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2983z00zz__evaluatez00);
			BGl_symbol2984z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2985z00zz__evaluatez00);
			BGl_symbol2986z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2987z00zz__evaluatez00);
			BGl_symbol2988z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2989z00zz__evaluatez00);
			BGl_symbol2990z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2962z00zz__evaluatez00);
			BGl_symbol2991z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2992z00zz__evaluatez00);
			BGl_symbol2993z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2994z00zz__evaluatez00);
			BGl_symbol2995z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2996z00zz__evaluatez00);
			BGl_symbol2997z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2998z00zz__evaluatez00);
			BGl_symbol2999z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3000z00zz__evaluatez00);
			BGl_symbol3001z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3002z00zz__evaluatez00);
			BGl_symbol3003z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3004z00zz__evaluatez00);
			BGl_symbol3005z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3006z00zz__evaluatez00);
			BGl_symbol3007z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3008z00zz__evaluatez00);
			BGl_symbol3009z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3010z00zz__evaluatez00);
			BGl_symbol3011z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3012z00zz__evaluatez00);
			BGl_symbol3013z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3014z00zz__evaluatez00);
			BGl_symbol3015z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3016z00zz__evaluatez00);
			BGl_symbol3017z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3018z00zz__evaluatez00);
			BGl_symbol3019z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3020z00zz__evaluatez00);
			BGl_symbol3021z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3022z00zz__evaluatez00);
			BGl_symbol3023z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3024z00zz__evaluatez00);
			BGl_symbol3025z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3026z00zz__evaluatez00);
			BGl_symbol3027z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3028z00zz__evaluatez00);
			BGl_symbol3029z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3030z00zz__evaluatez00);
			BGl_symbol3031z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3032z00zz__evaluatez00);
			BGl_symbol3033z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3034z00zz__evaluatez00);
			BGl_symbol3035z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3036z00zz__evaluatez00);
			BGl_symbol3037z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3038z00zz__evaluatez00);
			BGl_symbol3039z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3040z00zz__evaluatez00);
			BGl_symbol3043z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3044z00zz__evaluatez00);
			BGl_symbol3045z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3046z00zz__evaluatez00);
			BGl_symbol3048z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3049z00zz__evaluatez00);
			BGl_symbol3050z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3051z00zz__evaluatez00);
			BGl_symbol3052z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3053z00zz__evaluatez00);
			BGl_symbol3054z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3055z00zz__evaluatez00);
			BGl_symbol3056z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3057z00zz__evaluatez00);
			BGl_symbol3058z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3059z00zz__evaluatez00);
			BGl_symbol3060z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3061z00zz__evaluatez00);
			BGl_symbol3062z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3063z00zz__evaluatez00);
			BGl_symbol3064z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3065z00zz__evaluatez00);
			BGl_symbol3066z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3067z00zz__evaluatez00);
			BGl_symbol3068z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3069z00zz__evaluatez00);
			BGl_symbol3070z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3071z00zz__evaluatez00);
			BGl_symbol3072z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3073z00zz__evaluatez00);
			BGl_symbol3074z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3075z00zz__evaluatez00);
			BGl_keyword3076z00zz__evaluatez00 =
				bstring_to_keyword(BGl_string3077z00zz__evaluatez00);
			BGl_symbol3078z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3079z00zz__evaluatez00);
			return (BGl_symbol3080z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3081z00zz__evaluatez00), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__evaluatez00(void)
	{
		{	/* Eval/evaluate.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zz__evaluatez00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_1200;

					BgL_headz00_1200 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_3233;
						obj_t BgL_tailz00_3234;

						BgL_prevz00_3233 = BgL_headz00_1200;
						BgL_tailz00_3234 = BgL_l1z00_1;
					BgL_loopz00_3232:
						if (PAIRP(BgL_tailz00_3234))
							{
								obj_t BgL_newzd2prevzd2_3240;

								BgL_newzd2prevzd2_3240 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_3234), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_3233, BgL_newzd2prevzd2_3240);
								{
									obj_t BgL_tailz00_5041;
									obj_t BgL_prevz00_5040;

									BgL_prevz00_5040 = BgL_newzd2prevzd2_3240;
									BgL_tailz00_5041 = CDR(BgL_tailz00_3234);
									BgL_tailz00_3234 = BgL_tailz00_5041;
									BgL_prevz00_3233 = BgL_prevz00_5040;
									goto BgL_loopz00_3232;
								}
							}
						else
							{
								BNIL;
							}
					}
					return CDR(BgL_headz00_1200);
				}
		}

	}



/* untype-ident */
	obj_t BGl_untypezd2identzd2zz__evaluatez00(obj_t BgL_idz00_3)
	{
		{	/* Eval/evaluate.scm 73 */
			{	/* Eval/evaluate.scm 74 */
				obj_t BgL_stringz00_1208;

				{	/* Eval/evaluate.scm 74 */
					obj_t BgL_arg2662z00_3248;

					BgL_arg2662z00_3248 = SYMBOL_TO_STRING(BgL_idz00_3);
					BgL_stringz00_1208 =
						BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2662z00_3248);
				}
				{	/* Eval/evaluate.scm 74 */
					long BgL_lenz00_1209;

					BgL_lenz00_1209 = STRING_LENGTH(BgL_stringz00_1208);
					{	/* Eval/evaluate.scm 75 */

						{
							long BgL_walkerz00_1211;

							BgL_walkerz00_1211 = 0L;
						BgL_zc3z04anonymousza31339ze3z87_1212:
							if ((BgL_walkerz00_1211 == BgL_lenz00_1209))
								{	/* Eval/evaluate.scm 78 */
									return MAKE_YOUNG_PAIR(BgL_idz00_3, BFALSE);
								}
							else
								{	/* Eval/evaluate.scm 80 */
									bool_t BgL_test3165z00_5050;

									if (
										(STRING_REF(BgL_stringz00_1208,
												BgL_walkerz00_1211) == ((unsigned char) ':')))
										{	/* Eval/evaluate.scm 80 */
											if ((BgL_walkerz00_1211 < (BgL_lenz00_1209 - 1L)))
												{	/* Eval/evaluate.scm 81 */
													BgL_test3165z00_5050 =
														(STRING_REF(BgL_stringz00_1208,
															(BgL_walkerz00_1211 + 1L)) ==
														((unsigned char) ':'));
												}
											else
												{	/* Eval/evaluate.scm 81 */
													BgL_test3165z00_5050 = ((bool_t) 0);
												}
										}
									else
										{	/* Eval/evaluate.scm 80 */
											BgL_test3165z00_5050 = ((bool_t) 0);
										}
									if (BgL_test3165z00_5050)
										{	/* Eval/evaluate.scm 83 */
											obj_t BgL_arg1352z00_1223;
											obj_t BgL_arg1353z00_1224;

											BgL_arg1352z00_1223 =
												bstring_to_symbol(c_substring(BgL_stringz00_1208, 0L,
													BgL_walkerz00_1211));
											{	/* Eval/evaluate.scm 84 */
												obj_t BgL_arg1355z00_1226;

												{	/* Eval/evaluate.scm 84 */
													long BgL_arg1356z00_1227;

													BgL_arg1356z00_1227 = (BgL_walkerz00_1211 + 2L);
													{	/* Ieee/string.scm 194 */
														long BgL_endz00_1230;

														BgL_endz00_1230 = STRING_LENGTH(BgL_stringz00_1208);
														{	/* Ieee/string.scm 194 */

															BgL_arg1355z00_1226 =
																BGl_substringz00zz__r4_strings_6_7z00
																(BgL_stringz00_1208, BgL_arg1356z00_1227,
																BgL_endz00_1230);
												}}}
												BgL_arg1353z00_1224 =
													bstring_to_symbol(BgL_arg1355z00_1226);
											}
											return
												MAKE_YOUNG_PAIR(BgL_arg1352z00_1223,
												BgL_arg1353z00_1224);
										}
									else
										{
											long BgL_walkerz00_5067;

											BgL_walkerz00_5067 = (BgL_walkerz00_1211 + 1L);
											BgL_walkerz00_1211 = BgL_walkerz00_5067;
											goto BgL_zc3z04anonymousza31339ze3z87_1212;
										}
								}
						}
					}
				}
			}
		}

	}



/* get-evaluation-context */
	BGL_EXPORTED_DEF obj_t BGl_getzd2evaluationzd2contextz00zz__evaluatez00(void)
	{
		{	/* Eval/evaluate.scm 91 */
			{	/* Eval/evaluate.scm 92 */
				obj_t BgL_sz00_1239;

				BgL_sz00_1239 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate.scm 93 */
					obj_t BgL_bpz00_1240;

					BgL_bpz00_1240 = VECTOR_REF(((obj_t) BgL_sz00_1239), 0L);
					{	/* Eval/evaluate.scm 94 */
						obj_t BgL_rz00_1241;

						BgL_rz00_1241 =
							make_vector(
							(long) CINT(BgL_bpz00_1240), BGl_string2959z00zz__evaluatez00);
						{
							long BgL_iz00_3280;

							BgL_iz00_3280 = 0L;
						BgL_recz00_3279:
							if ((BgL_iz00_3280 < (long) CINT(BgL_bpz00_1240)))
								{	/* Eval/evaluate.scm 96 */
									{	/* Eval/evaluate.scm 97 */
										obj_t BgL_arg1365z00_3284;

										BgL_arg1365z00_3284 =
											VECTOR_REF(((obj_t) BgL_sz00_1239), BgL_iz00_3280);
										VECTOR_SET(BgL_rz00_1241, BgL_iz00_3280,
											BgL_arg1365z00_3284);
									}
									{
										long BgL_iz00_5080;

										BgL_iz00_5080 = (BgL_iz00_3280 + 1L);
										BgL_iz00_3280 = BgL_iz00_5080;
										goto BgL_recz00_3279;
									}
								}
							else
								{	/* Eval/evaluate.scm 96 */
									((bool_t) 0);
								}
						}
						return BgL_rz00_1241;
					}
				}
			}
		}

	}



/* &get-evaluation-context */
	obj_t BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00(obj_t
		BgL_envz00_4870)
	{
		{	/* Eval/evaluate.scm 91 */
			return BGl_getzd2evaluationzd2contextz00zz__evaluatez00();
		}

	}



/* set-evaluation-context! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(obj_t BgL_vz00_4)
	{
		{	/* Eval/evaluate.scm 104 */
			{	/* Eval/evaluate.scm 105 */
				obj_t BgL_sz00_1249;

				BgL_sz00_1249 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate.scm 106 */
					obj_t BgL_bpz00_1250;

					BgL_bpz00_1250 = VECTOR_REF(((obj_t) BgL_vz00_4), 0L);
					{
						long BgL_iz00_3300;

						{	/* Eval/evaluate.scm 107 */
							bool_t BgL_tmpz00_5086;

							BgL_iz00_3300 = 0L;
						BgL_recz00_3299:
							if ((BgL_iz00_3300 < (long) CINT(BgL_bpz00_1250)))
								{	/* Eval/evaluate.scm 108 */
									{	/* Eval/evaluate.scm 109 */
										obj_t BgL_arg1370z00_3304;

										BgL_arg1370z00_3304 =
											VECTOR_REF(((obj_t) BgL_vz00_4), BgL_iz00_3300);
										VECTOR_SET(
											((obj_t) BgL_sz00_1249), BgL_iz00_3300,
											BgL_arg1370z00_3304);
									}
									{
										long BgL_iz00_5094;

										BgL_iz00_5094 = (BgL_iz00_3300 + 1L);
										BgL_iz00_3300 = BgL_iz00_5094;
										goto BgL_recz00_3299;
									}
								}
							else
								{	/* Eval/evaluate.scm 108 */
									BgL_tmpz00_5086 = ((bool_t) 0);
								}
							return BBOOL(BgL_tmpz00_5086);
						}
					}
				}
			}
		}

	}



/* &set-evaluation-context! */
	obj_t BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00(obj_t
		BgL_envz00_4871, obj_t BgL_vz00_4872)
	{
		{	/* Eval/evaluate.scm 104 */
			return BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(BgL_vz00_4872);
		}

	}



/* evaluate2-restore-bp! */
	BGL_EXPORTED_DEF obj_t BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(int
		BgL_bpz00_5)
	{
		{	/* Eval/evaluate.scm 115 */
			{	/* Eval/evaluate.scm 116 */
				obj_t BgL_sz00_3311;

				{	/* Eval/evaluate.scm 116 */
					obj_t BgL_tmpz00_5098;

					BgL_tmpz00_5098 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_sz00_3311 = BGL_ENV_EVSTATE(BgL_tmpz00_5098);
				}
				return VECTOR_SET(((obj_t) BgL_sz00_3311), 0L, BINT(BgL_bpz00_5));
			}
		}

	}



/* &evaluate2-restore-bp! */
	obj_t BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00(obj_t
		BgL_envz00_4873, obj_t BgL_bpz00_4874)
	{
		{	/* Eval/evaluate.scm 115 */
			{	/* Eval/evaluate.scm 116 */
				int BgL_auxz00_5104;

				{	/* Eval/evaluate.scm 116 */
					obj_t BgL_tmpz00_5105;

					if (INTEGERP(BgL_bpz00_4874))
						{	/* Eval/evaluate.scm 116 */
							BgL_tmpz00_5105 = BgL_bpz00_4874;
						}
					else
						{
							obj_t BgL_auxz00_5108;

							BgL_auxz00_5108 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string2960z00zz__evaluatez00, BINT(3890L),
								BGl_string2961z00zz__evaluatez00,
								BGl_string2962z00zz__evaluatez00, BgL_bpz00_4874);
							FAILURE(BgL_auxz00_5108, BFALSE, BFALSE);
						}
					BgL_auxz00_5104 = CINT(BgL_tmpz00_5105);
				}
				return
					BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(BgL_auxz00_5104);
			}
		}

	}



/* evaluate2-restore-state! */
	BGL_EXPORTED_DEF obj_t
		BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00(obj_t BgL_statez00_6)
	{
		{	/* Eval/evaluate.scm 122 */
			{	/* Eval/evaluate.scm 124 */
				obj_t BgL_tmpz00_5114;

				BgL_tmpz00_5114 = BGL_CURRENT_DYNAMIC_ENV();
				return BGL_ENV_EVSTATE_SET(BgL_tmpz00_5114, BgL_statez00_6);
			}
		}

	}



/* &evaluate2-restore-state! */
	obj_t BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00(obj_t
		BgL_envz00_4875, obj_t BgL_statez00_4876)
	{
		{	/* Eval/evaluate.scm 122 */
			{	/* Eval/evaluate.scm 123 */
				obj_t BgL_auxz00_5117;

				if (VECTORP(BgL_statez00_4876))
					{	/* Eval/evaluate.scm 123 */
						BgL_auxz00_5117 = BgL_statez00_4876;
					}
				else
					{
						obj_t BgL_auxz00_5120;

						BgL_auxz00_5120 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2960z00zz__evaluatez00,
							BINT(4240L), BGl_string2963z00zz__evaluatez00,
							BGl_string2964z00zz__evaluatez00, BgL_statez00_4876);
						FAILURE(BgL_auxz00_5120, BFALSE, BFALSE);
					}
				return
					BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00(BgL_auxz00_5117);
			}
		}

	}



/* evaluate2 */
	BGL_EXPORTED_DEF obj_t BGl_evaluate2z00zz__evaluatez00(obj_t BgL_sexpz00_7,
		obj_t BgL_envz00_8, obj_t BgL_locz00_9)
	{
		{	/* Eval/evaluate.scm 129 */
			{	/* Eval/evaluate.scm 130 */
				BgL_ev_exprz00_bglt BgL_astz00_1261;

				{	/* Eval/evaluate.scm 130 */
					obj_t BgL_arg1374z00_1271;

					BgL_arg1374z00_1271 =
						BGl_convz00zz__evaluatez00(BgL_sexpz00_7, BNIL, BgL_envz00_8,
						BFALSE, BGl_symbol2965z00zz__evaluatez00, BgL_locz00_9,
						((bool_t) 1));
					BgL_astz00_1261 =
						BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(((BgL_ev_exprz00_bglt)
							BgL_arg1374z00_1271));
				}
				BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_astz00_1261);
				{	/* Eval/evaluate.scm 132 */
					int BgL_nz00_1262;

					BgL_nz00_1262 =
						BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_astz00_1261);
					{	/* Eval/evaluate.scm 133 */
						obj_t BgL_fz00_1263;

						BgL_fz00_1263 = BGl_compilez00zz__evaluate_compz00(BgL_astz00_1261);
						{	/* Eval/evaluate.scm 134 */
							obj_t BgL_sz00_1264;

							BgL_sz00_1264 = BGl_findzd2statezd2zz__evaluate_compz00();
							{	/* Eval/evaluate.scm 135 */
								obj_t BgL_bpz00_1265;

								BgL_bpz00_1265 = VECTOR_REF(((obj_t) BgL_sz00_1264), 0L);
								{	/* Eval/evaluate.scm 136 */
									obj_t BgL_exitd1065z00_1266;

									BgL_exitd1065z00_1266 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate.scm 138 */
										obj_t BgL_zc3z04anonymousza31373ze3z87_4877;

										BgL_zc3z04anonymousza31373ze3z87_4877 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza31373ze3ze5zz__evaluatez00,
											(int) (0L), (int) (2L));
										PROCEDURE_SET(BgL_zc3z04anonymousza31373ze3z87_4877,
											(int) (0L), BgL_sz00_1264);
										PROCEDURE_SET(BgL_zc3z04anonymousza31373ze3z87_4877,
											(int) (1L), BgL_bpz00_1265);
										{	/* Eval/evaluate.scm 136 */
											obj_t BgL_arg2930z00_3317;

											{	/* Eval/evaluate.scm 136 */
												obj_t BgL_arg2937z00_3318;

												BgL_arg2937z00_3318 =
													BGL_EXITD_PROTECT(BgL_exitd1065z00_1266);
												BgL_arg2930z00_3317 =
													MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31373ze3z87_4877,
													BgL_arg2937z00_3318);
											}
											BGL_EXITD_PROTECT_SET(BgL_exitd1065z00_1266,
												BgL_arg2930z00_3317);
											BUNSPEC;
										}
										{	/* Eval/evaluate.scm 137 */
											obj_t BgL_tmp1067z00_1268;

											BgL_tmp1067z00_1268 =
												BGL_PROCEDURE_CALL1(BgL_fz00_1263, BgL_sz00_1264);
											{	/* Eval/evaluate.scm 136 */
												bool_t BgL_test3172z00_5149;

												{	/* Eval/evaluate.scm 136 */
													obj_t BgL_arg2929z00_3320;

													BgL_arg2929z00_3320 =
														BGL_EXITD_PROTECT(BgL_exitd1065z00_1266);
													BgL_test3172z00_5149 = PAIRP(BgL_arg2929z00_3320);
												}
												if (BgL_test3172z00_5149)
													{	/* Eval/evaluate.scm 136 */
														obj_t BgL_arg2927z00_3321;

														{	/* Eval/evaluate.scm 136 */
															obj_t BgL_arg2928z00_3322;

															BgL_arg2928z00_3322 =
																BGL_EXITD_PROTECT(BgL_exitd1065z00_1266);
															BgL_arg2927z00_3321 =
																CDR(((obj_t) BgL_arg2928z00_3322));
														}
														BGL_EXITD_PROTECT_SET(BgL_exitd1065z00_1266,
															BgL_arg2927z00_3321);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate.scm 136 */
														BFALSE;
													}
											}
											VECTOR_SET(((obj_t) BgL_sz00_1264), 0L, BgL_bpz00_1265);
											return BgL_tmp1067z00_1268;
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &evaluate2 */
	obj_t BGl_z62evaluate2z62zz__evaluatez00(obj_t BgL_envz00_4878,
		obj_t BgL_sexpz00_4879, obj_t BgL_envz00_4880, obj_t BgL_locz00_4881)
	{
		{	/* Eval/evaluate.scm 129 */
			return
				BGl_evaluate2z00zz__evaluatez00(BgL_sexpz00_4879, BgL_envz00_4880,
				BgL_locz00_4881);
		}

	}



/* &<@anonymous:1373> */
	obj_t BGl_z62zc3z04anonymousza31373ze3ze5zz__evaluatez00(obj_t
		BgL_envz00_4882)
	{
		{	/* Eval/evaluate.scm 136 */
			{	/* Eval/evaluate.scm 138 */
				obj_t BgL_sz00_4883;
				obj_t BgL_bpz00_4884;

				BgL_sz00_4883 = PROCEDURE_REF(BgL_envz00_4882, (int) (0L));
				BgL_bpz00_4884 = PROCEDURE_REF(BgL_envz00_4882, (int) (1L));
				return VECTOR_SET(((obj_t) BgL_sz00_4883), 0L, BgL_bpz00_4884);
			}
		}

	}



/* get-location */
	obj_t BGl_getzd2locationzd2zz__evaluatez00(obj_t BgL_expz00_10,
		obj_t BgL_locz00_11)
	{
		{	/* Eval/evaluate.scm 143 */
			{	/* Eval/evaluate.scm 144 */
				obj_t BgL__ortest_1069z00_3325;

				BgL__ortest_1069z00_3325 =
					BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_expz00_10);
				if (CBOOL(BgL__ortest_1069z00_3325))
					{	/* Eval/evaluate.scm 144 */
						return BgL__ortest_1069z00_3325;
					}
				else
					{	/* Eval/evaluate.scm 144 */
						return BgL_locz00_11;
					}
			}
		}

	}



/* conv-var */
	obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t BgL_vz00_18,
		obj_t BgL_localsz00_19)
	{
		{	/* Eval/evaluate.scm 163 */
			{
				obj_t BgL_lz00_1276;

				BgL_lz00_1276 = BgL_localsz00_19;
			BgL_zc3z04anonymousza31375ze3z87_1277:
				if (NULLP(BgL_lz00_1276))
					{	/* Eval/evaluate.scm 165 */
						return BFALSE;
					}
				else
					{	/* Eval/evaluate.scm 167 */
						obj_t BgL_rvz00_1279;

						BgL_rvz00_1279 = CAR(((obj_t) BgL_lz00_1276));
						if (
							(BgL_vz00_18 ==
								(((BgL_ev_varz00_bglt) COBJECT(
											((BgL_ev_varz00_bglt) BgL_rvz00_1279)))->BgL_namez00)))
							{	/* Eval/evaluate.scm 169 */
								return BgL_rvz00_1279;
							}
						else
							{
								obj_t BgL_lz00_5176;

								BgL_lz00_5176 = CDR(((obj_t) BgL_lz00_1276));
								BgL_lz00_1276 = BgL_lz00_5176;
								goto BgL_zc3z04anonymousza31375ze3z87_1277;
							}
					}
			}
		}

	}



/* conv-begin */
	obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t BgL_lz00_20,
		obj_t BgL_localsz00_21, obj_t BgL_globalsz00_22, obj_t BgL_tailzf3zf3_23,
		obj_t BgL_wherez00_24, obj_t BgL_locz00_25, bool_t BgL_topzf3zf3_26)
	{
		{	/* Eval/evaluate.scm 176 */
			{	/* Eval/evaluate.scm 177 */
				obj_t BgL_locz00_1286;

				{	/* Eval/evaluate.scm 144 */
					obj_t BgL__ortest_1069z00_3330;

					BgL__ortest_1069z00_3330 =
						BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_lz00_20);
					if (CBOOL(BgL__ortest_1069z00_3330))
						{	/* Eval/evaluate.scm 144 */
							BgL_locz00_1286 = BgL__ortest_1069z00_3330;
						}
					else
						{	/* Eval/evaluate.scm 144 */
							BgL_locz00_1286 = BgL_locz00_25;
						}
				}
				{
					obj_t BgL_e1z00_1290;
					obj_t BgL_rz00_1291;

					if (NULLP(BgL_lz00_20))
						{
							BgL_ev_littz00_bglt BgL_auxz00_5184;

							{	/* Eval/evaluate.scm 180 */
								BgL_ev_littz00_bglt BgL_new1074z00_1303;

								{	/* Eval/evaluate.scm 181 */
									BgL_ev_littz00_bglt BgL_new1073z00_1304;

									BgL_new1073z00_1304 =
										((BgL_ev_littz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_ev_littz00_bgl))));
									{	/* Eval/evaluate.scm 181 */
										long BgL_arg1391z00_1305;

										BgL_arg1391z00_1305 =
											BGL_CLASS_NUM(BGl_ev_littz00zz__evaluate_typesz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1073z00_1304),
											BgL_arg1391z00_1305);
									}
									BgL_new1074z00_1303 = BgL_new1073z00_1304;
								}
								((((BgL_ev_littz00_bglt) COBJECT(BgL_new1074z00_1303))->
										BgL_valuez00) = ((obj_t) BUNSPEC), BUNSPEC);
								BgL_auxz00_5184 = BgL_new1074z00_1303;
							}
							return ((obj_t) BgL_auxz00_5184);
						}
					else
						{	/* Eval/evaluate.scm 178 */
							if (PAIRP(BgL_lz00_20))
								{	/* Eval/evaluate.scm 178 */
									if (NULLP(CDR(((obj_t) BgL_lz00_20))))
										{	/* Eval/evaluate.scm 178 */
											obj_t BgL_arg1386z00_1299;

											BgL_arg1386z00_1299 = CAR(((obj_t) BgL_lz00_20));
											{	/* Eval/evaluate.scm 183 */
												obj_t BgL_arg1392z00_3342;

												{	/* Eval/evaluate.scm 144 */
													obj_t BgL__ortest_1069z00_3343;

													BgL__ortest_1069z00_3343 =
														BGl_getzd2sourcezd2locationz00zz__readerz00
														(BgL_arg1386z00_1299);
													if (CBOOL(BgL__ortest_1069z00_3343))
														{	/* Eval/evaluate.scm 144 */
															BgL_arg1392z00_3342 = BgL__ortest_1069z00_3343;
														}
													else
														{	/* Eval/evaluate.scm 144 */
															BgL_arg1392z00_3342 = BgL_locz00_1286;
														}
												}
												BGL_TAIL return
													BGl_convz00zz__evaluatez00(BgL_arg1386z00_1299,
													BgL_localsz00_21, BgL_globalsz00_22,
													BgL_tailzf3zf3_23, BgL_wherez00_24,
													BgL_arg1392z00_3342, BgL_topzf3zf3_26);
											}
										}
									else
										{	/* Eval/evaluate.scm 178 */
											obj_t BgL_arg1387z00_1300;
											obj_t BgL_arg1388z00_1301;

											BgL_arg1387z00_1300 = CAR(((obj_t) BgL_lz00_20));
											BgL_arg1388z00_1301 = CDR(((obj_t) BgL_lz00_20));
											{
												BgL_ev_prog2z00_bglt BgL_auxz00_5207;

												BgL_e1z00_1290 = BgL_arg1387z00_1300;
												BgL_rz00_1291 = BgL_arg1388z00_1301;
												{	/* Eval/evaluate.scm 185 */
													BgL_ev_prog2z00_bglt BgL_new1076z00_1307;

													{	/* Eval/evaluate.scm 186 */
														BgL_ev_prog2z00_bglt BgL_new1075z00_1309;

														BgL_new1075z00_1309 =
															((BgL_ev_prog2z00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_ev_prog2z00_bgl))));
														{	/* Eval/evaluate.scm 186 */
															long BgL_arg1394z00_1310;

															BgL_arg1394z00_1310 =
																BGL_CLASS_NUM
																(BGl_ev_prog2z00zz__evaluate_typesz00);
															BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																	BgL_new1075z00_1309), BgL_arg1394z00_1310);
														}
														BgL_new1076z00_1307 = BgL_new1075z00_1309;
													}
													{
														BgL_ev_exprz00_bglt BgL_auxz00_5212;

														{	/* Eval/evaluate.scm 186 */
															obj_t BgL_arg1393z00_1308;

															{	/* Eval/evaluate.scm 144 */
																obj_t BgL__ortest_1069z00_3339;

																BgL__ortest_1069z00_3339 =
																	BGl_getzd2sourcezd2locationz00zz__readerz00
																	(BgL_e1z00_1290);
																if (CBOOL(BgL__ortest_1069z00_3339))
																	{	/* Eval/evaluate.scm 144 */
																		BgL_arg1393z00_1308 =
																			BgL__ortest_1069z00_3339;
																	}
																else
																	{	/* Eval/evaluate.scm 144 */
																		BgL_arg1393z00_1308 = BgL_locz00_1286;
																	}
															}
															BgL_auxz00_5212 =
																((BgL_ev_exprz00_bglt)
																BGl_convz00zz__evaluatez00(BgL_e1z00_1290,
																	BgL_localsz00_21, BgL_globalsz00_22, BFALSE,
																	BgL_wherez00_24, BgL_arg1393z00_1308,
																	BgL_topzf3zf3_26));
														}
														((((BgL_ev_prog2z00_bglt)
																	COBJECT(BgL_new1076z00_1307))->BgL_e1z00) =
															((BgL_ev_exprz00_bglt) BgL_auxz00_5212), BUNSPEC);
													}
													((((BgL_ev_prog2z00_bglt)
																COBJECT(BgL_new1076z00_1307))->BgL_e2z00) =
														((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
																BGl_convzd2beginzd2zz__evaluatez00
																(BgL_rz00_1291, BgL_localsz00_21,
																	BgL_globalsz00_22, BgL_tailzf3zf3_23,
																	BgL_wherez00_24, BgL_locz00_1286,
																	BgL_topzf3zf3_26))), BUNSPEC);
													BgL_auxz00_5207 = BgL_new1076z00_1307;
												}
												return ((obj_t) BgL_auxz00_5207);
											}
										}
								}
							else
								{	/* Eval/evaluate.scm 178 */
									return
										BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_1286,
										BGl_string2967z00zz__evaluatez00,
										BGl_string2968z00zz__evaluatez00, BgL_lz00_20);
								}
						}
				}
			}
		}

	}



/* conv-field-ref */
	obj_t BGl_convzd2fieldzd2refz00zz__evaluatez00(obj_t BgL_ez00_30,
		obj_t BgL_localsz00_31, obj_t BgL_globalsz00_32, obj_t BgL_tailzf3zf3_33,
		obj_t BgL_wherez00_34, obj_t BgL_locz00_35, bool_t BgL_topzf3zf3_36)
	{
		{	/* Eval/evaluate.scm 203 */
			{	/* Eval/evaluate.scm 204 */
				obj_t BgL_lz00_1315;

				BgL_lz00_1315 = CDR(((obj_t) BgL_ez00_30));
				{	/* Eval/evaluate.scm 204 */
					obj_t BgL_vz00_1316;

					BgL_vz00_1316 =
						BGl_convzd2varzd2zz__evaluatez00(CAR(
							((obj_t) BgL_lz00_1315)), BgL_localsz00_31);
					{	/* Eval/evaluate.scm 205 */

						{	/* Eval/evaluate.scm 206 */
							bool_t BgL_test3182z00_5229;

							{	/* Eval/evaluate.scm 206 */
								obj_t BgL_classz00_3355;

								BgL_classz00_3355 = BGl_ev_varz00zz__evaluate_typesz00;
								if (BGL_OBJECTP(BgL_vz00_1316))
									{	/* Eval/evaluate.scm 206 */
										BgL_objectz00_bglt BgL_arg2898z00_3357;

										BgL_arg2898z00_3357 = (BgL_objectz00_bglt) (BgL_vz00_1316);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Eval/evaluate.scm 206 */
												long BgL_idxz00_3363;

												BgL_idxz00_3363 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg2898z00_3357);
												BgL_test3182z00_5229 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_3363 + 2L)) == BgL_classz00_3355);
											}
										else
											{	/* Eval/evaluate.scm 206 */
												bool_t BgL_res2938z00_3388;

												{	/* Eval/evaluate.scm 206 */
													obj_t BgL_oclassz00_3371;

													{	/* Eval/evaluate.scm 206 */
														obj_t BgL_arg2908z00_3379;
														long BgL_arg2909z00_3380;

														BgL_arg2908z00_3379 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Eval/evaluate.scm 206 */
															long BgL_arg2910z00_3381;

															BgL_arg2910z00_3381 =
																BGL_OBJECT_CLASS_NUM(BgL_arg2898z00_3357);
															BgL_arg2909z00_3380 =
																(BgL_arg2910z00_3381 - OBJECT_TYPE);
														}
														BgL_oclassz00_3371 =
															VECTOR_REF(BgL_arg2908z00_3379,
															BgL_arg2909z00_3380);
													}
													{	/* Eval/evaluate.scm 206 */
														bool_t BgL__ortest_1203z00_3372;

														BgL__ortest_1203z00_3372 =
															(BgL_classz00_3355 == BgL_oclassz00_3371);
														if (BgL__ortest_1203z00_3372)
															{	/* Eval/evaluate.scm 206 */
																BgL_res2938z00_3388 = BgL__ortest_1203z00_3372;
															}
														else
															{	/* Eval/evaluate.scm 206 */
																long BgL_odepthz00_3373;

																{	/* Eval/evaluate.scm 206 */
																	obj_t BgL_arg2894z00_3374;

																	BgL_arg2894z00_3374 = (BgL_oclassz00_3371);
																	BgL_odepthz00_3373 =
																		BGL_CLASS_DEPTH(BgL_arg2894z00_3374);
																}
																if ((2L < BgL_odepthz00_3373))
																	{	/* Eval/evaluate.scm 206 */
																		obj_t BgL_arg2879z00_3376;

																		{	/* Eval/evaluate.scm 206 */
																			obj_t BgL_arg2887z00_3377;

																			BgL_arg2887z00_3377 =
																				(BgL_oclassz00_3371);
																			BgL_arg2879z00_3376 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg2887z00_3377, 2L);
																		}
																		BgL_res2938z00_3388 =
																			(BgL_arg2879z00_3376 ==
																			BgL_classz00_3355);
																	}
																else
																	{	/* Eval/evaluate.scm 206 */
																		BgL_res2938z00_3388 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test3182z00_5229 = BgL_res2938z00_3388;
											}
									}
								else
									{	/* Eval/evaluate.scm 206 */
										BgL_test3182z00_5229 = ((bool_t) 0);
									}
							}
							if (BgL_test3182z00_5229)
								{	/* Eval/evaluate.scm 208 */
									obj_t BgL_g1080z00_1319;
									obj_t BgL_g1081z00_1320;

									{	/* Eval/evaluate.scm 209 */
										obj_t BgL_arg1415z00_1343;

										BgL_arg1415z00_1343 =
											(((BgL_ev_varz00_bglt) COBJECT(
													((BgL_ev_varz00_bglt) BgL_vz00_1316)))->BgL_typez00);
										BgL_g1080z00_1319 =
											BGl_classzd2existszd2zz__objectz00(BgL_arg1415z00_1343);
									}
									BgL_g1081z00_1320 = CDR(((obj_t) BgL_lz00_1315));
									{
										obj_t BgL_nodez00_1322;
										obj_t BgL_klassz00_1323;
										obj_t BgL_fieldsz00_1324;

										BgL_nodez00_1322 = BgL_vz00_1316;
										BgL_klassz00_1323 = BgL_g1080z00_1319;
										BgL_fieldsz00_1324 = BgL_g1081z00_1320;
									BgL_zc3z04anonymousza31398ze3z87_1325:
										if (NULLP(BgL_fieldsz00_1324))
											{	/* Eval/evaluate.scm 212 */
												return BgL_nodez00_1322;
											}
										else
											{	/* Eval/evaluate.scm 212 */
												if (BGl_classzf3zf3zz__objectz00(BgL_klassz00_1323))
													{	/* Eval/evaluate.scm 215 */
														obj_t BgL_fieldz00_1328;

														{	/* Eval/evaluate.scm 215 */
															obj_t BgL_arg1411z00_1339;

															BgL_arg1411z00_1339 =
																CAR(((obj_t) BgL_fieldsz00_1324));
															BgL_fieldz00_1328 =
																BGl_findzd2classzd2fieldz00zz__objectz00
																(BgL_klassz00_1323, BgL_arg1411z00_1339);
														}
														if (BGl_classzd2fieldzf3z21zz__objectz00
															(BgL_fieldz00_1328))
															{	/* Eval/evaluate.scm 217 */
																BgL_ev_appz00_bglt BgL_nodez00_1330;

																{	/* Eval/evaluate.scm 271 */
																	obj_t BgL_getz00_3391;

																	BgL_getz00_3391 =
																		BGl_classzd2fieldzd2accessorz00zz__objectz00
																		(BgL_fieldz00_1328);
																	{	/* Eval/evaluate.scm 272 */
																		BgL_ev_appz00_bglt BgL_new1088z00_3392;

																		{	/* Eval/evaluate.scm 273 */
																			BgL_ev_appz00_bglt BgL_new1087z00_3393;

																			BgL_new1087z00_3393 =
																				((BgL_ev_appz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_ev_appz00_bgl))));
																			{	/* Eval/evaluate.scm 273 */
																				long BgL_arg1450z00_3394;

																				BgL_arg1450z00_3394 =
																					BGL_CLASS_NUM
																					(BGl_ev_appz00zz__evaluate_typesz00);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_new1087z00_3393),
																					BgL_arg1450z00_3394);
																			}
																			BgL_new1088z00_3392 = BgL_new1087z00_3393;
																		}
																		((((BgL_ev_appz00_bglt)
																					COBJECT(BgL_new1088z00_3392))->
																				BgL_locz00) =
																			((obj_t) BgL_locz00_35), BUNSPEC);
																		{
																			BgL_ev_exprz00_bglt BgL_auxz00_5272;

																			{	/* Eval/evaluate.scm 274 */
																				BgL_ev_littz00_bglt BgL_new1090z00_3395;

																				{	/* Eval/evaluate.scm 274 */
																					BgL_ev_littz00_bglt
																						BgL_new1089z00_3396;
																					BgL_new1089z00_3396 =
																						((BgL_ev_littz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_ev_littz00_bgl))));
																					{	/* Eval/evaluate.scm 274 */
																						long BgL_arg1448z00_3397;

																						{	/* Eval/evaluate.scm 274 */
																							obj_t BgL_classz00_3402;

																							BgL_classz00_3402 =
																								BGl_ev_littz00zz__evaluate_typesz00;
																							BgL_arg1448z00_3397 =
																								BGL_CLASS_NUM
																								(BgL_classz00_3402);
																						}
																						BGL_OBJECT_CLASS_NUM_SET(
																							((BgL_objectz00_bglt)
																								BgL_new1089z00_3396),
																							BgL_arg1448z00_3397);
																					}
																					BgL_new1090z00_3395 =
																						BgL_new1089z00_3396;
																				}
																				((((BgL_ev_littz00_bglt)
																							COBJECT(BgL_new1090z00_3395))->
																						BgL_valuez00) =
																					((obj_t) BgL_getz00_3391), BUNSPEC);
																				BgL_auxz00_5272 =
																					((BgL_ev_exprz00_bglt)
																					BgL_new1090z00_3395);
																			}
																			((((BgL_ev_appz00_bglt)
																						COBJECT(BgL_new1088z00_3392))->
																					BgL_funz00) =
																				((BgL_ev_exprz00_bglt) BgL_auxz00_5272),
																				BUNSPEC);
																		}
																		{
																			obj_t BgL_auxz00_5280;

																			{	/* Eval/evaluate.scm 275 */
																				obj_t BgL_list1449z00_3398;

																				BgL_list1449z00_3398 =
																					MAKE_YOUNG_PAIR(BgL_nodez00_1322,
																					BNIL);
																				BgL_auxz00_5280 = BgL_list1449z00_3398;
																			}
																			((((BgL_ev_appz00_bglt)
																						COBJECT(BgL_new1088z00_3392))->
																					BgL_argsz00) =
																				((obj_t) BgL_auxz00_5280), BUNSPEC);
																		}
																		((((BgL_ev_appz00_bglt)
																					COBJECT(BgL_new1088z00_3392))->
																				BgL_tailzf3zf3) =
																			((obj_t) BgL_tailzf3zf3_33), BUNSPEC);
																		BgL_nodez00_1330 = BgL_new1088z00_3392;
																}}
																{	/* Eval/evaluate.scm 220 */
																	obj_t BgL_arg1402z00_1331;
																	obj_t BgL_arg1403z00_1332;

																	BgL_arg1402z00_1331 =
																		BGl_classzd2fieldzd2typez00zz__objectz00
																		(BgL_fieldz00_1328);
																	BgL_arg1403z00_1332 =
																		CDR(((obj_t) BgL_fieldsz00_1324));
																	{
																		obj_t BgL_fieldsz00_5290;
																		obj_t BgL_klassz00_5289;
																		obj_t BgL_nodez00_5287;

																		BgL_nodez00_5287 =
																			((obj_t) BgL_nodez00_1330);
																		BgL_klassz00_5289 = BgL_arg1402z00_1331;
																		BgL_fieldsz00_5290 = BgL_arg1403z00_1332;
																		BgL_fieldsz00_1324 = BgL_fieldsz00_5290;
																		BgL_klassz00_1323 = BgL_klassz00_5289;
																		BgL_nodez00_1322 = BgL_nodez00_5287;
																		goto BgL_zc3z04anonymousza31398ze3z87_1325;
																	}
																}
															}
														else
															{	/* Eval/evaluate.scm 222 */
																obj_t BgL_arg1404z00_1333;
																obj_t BgL_arg1405z00_1334;

																BgL_arg1404z00_1333 =
																	(((BgL_ev_varz00_bglt) COBJECT(
																			((BgL_ev_varz00_bglt) BgL_vz00_1316)))->
																	BgL_typez00);
																{	/* Eval/evaluate.scm 223 */
																	obj_t BgL_arg1406z00_1335;
																	obj_t BgL_arg1407z00_1336;

																	BgL_arg1406z00_1335 =
																		(((BgL_ev_varz00_bglt) COBJECT(
																				((BgL_ev_varz00_bglt) BgL_vz00_1316)))->
																		BgL_typez00);
																	BgL_arg1407z00_1336 =
																		CAR(((obj_t) BgL_fieldsz00_1324));
																	{	/* Eval/evaluate.scm 223 */
																		obj_t BgL_list1408z00_1337;

																		{	/* Eval/evaluate.scm 223 */
																			obj_t BgL_arg1410z00_1338;

																			BgL_arg1410z00_1338 =
																				MAKE_YOUNG_PAIR(BgL_arg1407z00_1336,
																				BNIL);
																			BgL_list1408z00_1337 =
																				MAKE_YOUNG_PAIR(BgL_arg1406z00_1335,
																				BgL_arg1410z00_1338);
																		}
																		BgL_arg1405z00_1334 =
																			BGl_formatz00zz__r4_output_6_10_3z00
																			(BGl_string2969z00zz__evaluatez00,
																			BgL_list1408z00_1337);
																	}
																}
																return
																	BGl_evcompilezd2errorzd2zz__evcompilez00
																	(BgL_locz00_35, BgL_arg1404z00_1333,
																	BgL_arg1405z00_1334, BgL_ez00_30);
															}
													}
												else
													{	/* Eval/evaluate.scm 226 */
														obj_t BgL_arg1414z00_1340;

														{	/* Eval/evaluate.scm 226 */
															obj_t BgL__ortest_1082z00_1341;

															BgL__ortest_1082z00_1341 =
																(((BgL_ev_varz00_bglt) COBJECT(
																		((BgL_ev_varz00_bglt) BgL_vz00_1316)))->
																BgL_typez00);
															if (CBOOL(BgL__ortest_1082z00_1341))
																{	/* Eval/evaluate.scm 226 */
																	BgL_arg1414z00_1340 =
																		BgL__ortest_1082z00_1341;
																}
															else
																{	/* Eval/evaluate.scm 226 */
																	BgL_arg1414z00_1340 =
																		(((BgL_ev_varz00_bglt) COBJECT(
																				((BgL_ev_varz00_bglt) BgL_vz00_1316)))->
																		BgL_namez00);
																}
														}
														return
															BGl_evcompilezd2errorzd2zz__evcompilez00
															(BgL_locz00_35, BgL_arg1414z00_1340,
															BGl_string2970z00zz__evaluatez00, BgL_ez00_30);
													}
											}
									}
								}
							else
								{	/* Eval/evaluate.scm 228 */
									obj_t BgL_arg1416z00_1344;

									{	/* Eval/evaluate.scm 228 */
										obj_t BgL_pairz00_3411;

										BgL_pairz00_3411 = CDR(((obj_t) BgL_ez00_30));
										BgL_arg1416z00_1344 = CAR(BgL_pairz00_3411);
									}
									return
										BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_35,
										BgL_arg1416z00_1344, BGl_string2971z00zz__evaluatez00,
										BgL_ez00_30);
								}
						}
					}
				}
			}
		}

	}



/* conv-field-set */
	obj_t BGl_convzd2fieldzd2setz00zz__evaluatez00(obj_t BgL_lz00_37,
		obj_t BgL_e2z00_38, obj_t BgL_ez00_39, obj_t BgL_localsz00_40,
		obj_t BgL_globalsz00_41, obj_t BgL_tailzf3zf3_42, obj_t BgL_wherez00_43,
		obj_t BgL_locz00_44, bool_t BgL_topzf3zf3_45)
	{
		{	/* Eval/evaluate.scm 233 */
			{	/* Eval/evaluate.scm 234 */
				obj_t BgL_vz00_1346;

				BgL_vz00_1346 =
					BGl_convzd2varzd2zz__evaluatez00(CAR(BgL_lz00_37), BgL_localsz00_40);
				{	/* Eval/evaluate.scm 234 */
					obj_t BgL_e2z00_1347;

					BgL_e2z00_1347 =
						BGl_convz00zz__evaluatez00(BgL_e2z00_38, BgL_localsz00_40,
						BgL_globalsz00_41, BFALSE, BgL_wherez00_43, BgL_locz00_44,
						((bool_t) 0));
					{	/* Eval/evaluate.scm 235 */

						{	/* Eval/evaluate.scm 236 */
							bool_t BgL_test3191z00_5315;

							{	/* Eval/evaluate.scm 236 */
								obj_t BgL_classz00_3413;

								BgL_classz00_3413 = BGl_ev_varz00zz__evaluate_typesz00;
								if (BGL_OBJECTP(BgL_vz00_1346))
									{	/* Eval/evaluate.scm 236 */
										BgL_objectz00_bglt BgL_arg2898z00_3415;

										BgL_arg2898z00_3415 = (BgL_objectz00_bglt) (BgL_vz00_1346);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Eval/evaluate.scm 236 */
												long BgL_idxz00_3421;

												BgL_idxz00_3421 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg2898z00_3415);
												BgL_test3191z00_5315 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_3421 + 2L)) == BgL_classz00_3413);
											}
										else
											{	/* Eval/evaluate.scm 236 */
												bool_t BgL_res2940z00_3446;

												{	/* Eval/evaluate.scm 236 */
													obj_t BgL_oclassz00_3429;

													{	/* Eval/evaluate.scm 236 */
														obj_t BgL_arg2908z00_3437;
														long BgL_arg2909z00_3438;

														BgL_arg2908z00_3437 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Eval/evaluate.scm 236 */
															long BgL_arg2910z00_3439;

															BgL_arg2910z00_3439 =
																BGL_OBJECT_CLASS_NUM(BgL_arg2898z00_3415);
															BgL_arg2909z00_3438 =
																(BgL_arg2910z00_3439 - OBJECT_TYPE);
														}
														BgL_oclassz00_3429 =
															VECTOR_REF(BgL_arg2908z00_3437,
															BgL_arg2909z00_3438);
													}
													{	/* Eval/evaluate.scm 236 */
														bool_t BgL__ortest_1203z00_3430;

														BgL__ortest_1203z00_3430 =
															(BgL_classz00_3413 == BgL_oclassz00_3429);
														if (BgL__ortest_1203z00_3430)
															{	/* Eval/evaluate.scm 236 */
																BgL_res2940z00_3446 = BgL__ortest_1203z00_3430;
															}
														else
															{	/* Eval/evaluate.scm 236 */
																long BgL_odepthz00_3431;

																{	/* Eval/evaluate.scm 236 */
																	obj_t BgL_arg2894z00_3432;

																	BgL_arg2894z00_3432 = (BgL_oclassz00_3429);
																	BgL_odepthz00_3431 =
																		BGL_CLASS_DEPTH(BgL_arg2894z00_3432);
																}
																if ((2L < BgL_odepthz00_3431))
																	{	/* Eval/evaluate.scm 236 */
																		obj_t BgL_arg2879z00_3434;

																		{	/* Eval/evaluate.scm 236 */
																			obj_t BgL_arg2887z00_3435;

																			BgL_arg2887z00_3435 =
																				(BgL_oclassz00_3429);
																			BgL_arg2879z00_3434 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg2887z00_3435, 2L);
																		}
																		BgL_res2940z00_3446 =
																			(BgL_arg2879z00_3434 ==
																			BgL_classz00_3413);
																	}
																else
																	{	/* Eval/evaluate.scm 236 */
																		BgL_res2940z00_3446 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test3191z00_5315 = BgL_res2940z00_3446;
											}
									}
								else
									{	/* Eval/evaluate.scm 236 */
										BgL_test3191z00_5315 = ((bool_t) 0);
									}
							}
							if (BgL_test3191z00_5315)
								{	/* Eval/evaluate.scm 238 */
									obj_t BgL_g1084z00_1350;
									obj_t BgL_g1085z00_1351;

									{	/* Eval/evaluate.scm 239 */
										obj_t BgL_arg1444z00_1382;

										BgL_arg1444z00_1382 =
											(((BgL_ev_varz00_bglt) COBJECT(
													((BgL_ev_varz00_bglt) BgL_vz00_1346)))->BgL_typez00);
										BgL_g1084z00_1350 =
											BGl_classzd2existszd2zz__objectz00(BgL_arg1444z00_1382);
									}
									BgL_g1085z00_1351 = CDR(BgL_lz00_37);
									{
										obj_t BgL_nodez00_1353;
										obj_t BgL_klassz00_1354;
										obj_t BgL_fieldsz00_1355;

										BgL_nodez00_1353 = BgL_vz00_1346;
										BgL_klassz00_1354 = BgL_g1084z00_1350;
										BgL_fieldsz00_1355 = BgL_g1085z00_1351;
									BgL_zc3z04anonymousza31419ze3z87_1356:
										if (NULLP(BgL_fieldsz00_1355))
											{	/* Eval/evaluate.scm 242 */
												return BgL_nodez00_1353;
											}
										else
											{	/* Eval/evaluate.scm 242 */
												if (BGl_classzf3zf3zz__objectz00(BgL_klassz00_1354))
													{	/* Eval/evaluate.scm 245 */
														obj_t BgL_fieldz00_1359;

														{	/* Eval/evaluate.scm 245 */
															obj_t BgL_arg1441z00_1378;

															BgL_arg1441z00_1378 =
																CAR(((obj_t) BgL_fieldsz00_1355));
															BgL_fieldz00_1359 =
																BGl_findzd2classzd2fieldz00zz__objectz00
																(BgL_klassz00_1354, BgL_arg1441z00_1378);
														}
														if (BGl_classzd2fieldzf3z21zz__objectz00
															(BgL_fieldz00_1359))
															{	/* Eval/evaluate.scm 246 */
																if (NULLP(CDR(((obj_t) BgL_fieldsz00_1355))))
																	{	/* Eval/evaluate.scm 247 */
																		if (BGl_classzd2fieldzd2mutablezf3zf3zz__objectz00(BgL_fieldz00_1359))
																			{	/* Eval/evaluate.scm 250 */
																				obj_t BgL_arg1426z00_1364;

																				{	/* Eval/evaluate.scm 250 */
																					obj_t BgL_list1427z00_1365;

																					{	/* Eval/evaluate.scm 250 */
																						obj_t BgL_arg1428z00_1366;

																						BgL_arg1428z00_1366 =
																							MAKE_YOUNG_PAIR(BgL_e2z00_1347,
																							BNIL);
																						BgL_list1427z00_1365 =
																							MAKE_YOUNG_PAIR(BgL_nodez00_1353,
																							BgL_arg1428z00_1366);
																					}
																					BgL_arg1426z00_1364 =
																						BgL_list1427z00_1365;
																				}
																				{	/* Eval/evaluate.scm 282 */
																					obj_t BgL_setz00_3451;

																					BgL_setz00_3451 =
																						BGl_classzd2fieldzd2mutatorz00zz__objectz00
																						(BgL_fieldz00_1359);
																					{	/* Eval/evaluate.scm 283 */
																						BgL_ev_appz00_bglt
																							BgL_new1092z00_3452;
																						{	/* Eval/evaluate.scm 284 */
																							BgL_ev_appz00_bglt
																								BgL_new1091z00_3453;
																							BgL_new1091z00_3453 =
																								((BgL_ev_appz00_bglt)
																								BOBJECT(GC_MALLOC(sizeof(struct
																											BgL_ev_appz00_bgl))));
																							{	/* Eval/evaluate.scm 284 */
																								long BgL_arg1452z00_3454;

																								BgL_arg1452z00_3454 =
																									BGL_CLASS_NUM
																									(BGl_ev_appz00zz__evaluate_typesz00);
																								BGL_OBJECT_CLASS_NUM_SET((
																										(BgL_objectz00_bglt)
																										BgL_new1091z00_3453),
																									BgL_arg1452z00_3454);
																							}
																							BgL_new1092z00_3452 =
																								BgL_new1091z00_3453;
																						}
																						((((BgL_ev_appz00_bglt)
																									COBJECT
																									(BgL_new1092z00_3452))->
																								BgL_locz00) =
																							((obj_t) BgL_locz00_44), BUNSPEC);
																						{
																							BgL_ev_exprz00_bglt
																								BgL_auxz00_5365;
																							{	/* Eval/evaluate.scm 285 */
																								BgL_ev_littz00_bglt
																									BgL_new1094z00_3455;
																								{	/* Eval/evaluate.scm 285 */
																									BgL_ev_littz00_bglt
																										BgL_new1093z00_3456;
																									BgL_new1093z00_3456 =
																										((BgL_ev_littz00_bglt)
																										BOBJECT(GC_MALLOC(sizeof
																												(struct
																													BgL_ev_littz00_bgl))));
																									{	/* Eval/evaluate.scm 285 */
																										long BgL_arg1451z00_3457;

																										{	/* Eval/evaluate.scm 285 */
																											obj_t BgL_classz00_3461;

																											BgL_classz00_3461 =
																												BGl_ev_littz00zz__evaluate_typesz00;
																											BgL_arg1451z00_3457 =
																												BGL_CLASS_NUM
																												(BgL_classz00_3461);
																										}
																										BGL_OBJECT_CLASS_NUM_SET(
																											((BgL_objectz00_bglt)
																												BgL_new1093z00_3456),
																											BgL_arg1451z00_3457);
																									}
																									BgL_new1094z00_3455 =
																										BgL_new1093z00_3456;
																								}
																								((((BgL_ev_littz00_bglt)
																											COBJECT
																											(BgL_new1094z00_3455))->
																										BgL_valuez00) =
																									((obj_t) BgL_setz00_3451),
																									BUNSPEC);
																								BgL_auxz00_5365 =
																									((BgL_ev_exprz00_bglt)
																									BgL_new1094z00_3455);
																							}
																							((((BgL_ev_appz00_bglt)
																										COBJECT
																										(BgL_new1092z00_3452))->
																									BgL_funz00) =
																								((BgL_ev_exprz00_bglt)
																									BgL_auxz00_5365), BUNSPEC);
																						}
																						((((BgL_ev_appz00_bglt)
																									COBJECT
																									(BgL_new1092z00_3452))->
																								BgL_argsz00) =
																							((obj_t) BgL_arg1426z00_1364),
																							BUNSPEC);
																						((((BgL_ev_appz00_bglt)
																									COBJECT
																									(BgL_new1092z00_3452))->
																								BgL_tailzf3zf3) =
																							((obj_t) BgL_tailzf3zf3_42),
																							BUNSPEC);
																						return ((obj_t)
																							BgL_new1092z00_3452);
																					}
																				}
																			}
																		else
																			{	/* Eval/evaluate.scm 251 */
																				obj_t BgL_arg1429z00_1367;

																				BgL_arg1429z00_1367 =
																					CAR(((obj_t) BgL_fieldsz00_1355));
																				return
																					BGl_evcompilezd2errorzd2zz__evcompilez00
																					(BgL_locz00_44, BgL_arg1429z00_1367,
																					BGl_string2972z00zz__evaluatez00,
																					BgL_ez00_39);
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 254 */
																		BgL_ev_appz00_bglt BgL_nodez00_1368;

																		{	/* Eval/evaluate.scm 271 */
																			obj_t BgL_getz00_3465;

																			BgL_getz00_3465 =
																				BGl_classzd2fieldzd2accessorz00zz__objectz00
																				(BgL_fieldz00_1359);
																			{	/* Eval/evaluate.scm 272 */
																				BgL_ev_appz00_bglt BgL_new1088z00_3466;

																				{	/* Eval/evaluate.scm 273 */
																					BgL_ev_appz00_bglt
																						BgL_new1087z00_3467;
																					BgL_new1087z00_3467 =
																						((BgL_ev_appz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_ev_appz00_bgl))));
																					{	/* Eval/evaluate.scm 273 */
																						long BgL_arg1450z00_3468;

																						BgL_arg1450z00_3468 =
																							BGL_CLASS_NUM
																							(BGl_ev_appz00zz__evaluate_typesz00);
																						BGL_OBJECT_CLASS_NUM_SET((
																								(BgL_objectz00_bglt)
																								BgL_new1087z00_3467),
																							BgL_arg1450z00_3468);
																					}
																					BgL_new1088z00_3466 =
																						BgL_new1087z00_3467;
																				}
																				((((BgL_ev_appz00_bglt)
																							COBJECT(BgL_new1088z00_3466))->
																						BgL_locz00) =
																					((obj_t) BgL_locz00_44), BUNSPEC);
																				{
																					BgL_ev_exprz00_bglt BgL_auxz00_5385;

																					{	/* Eval/evaluate.scm 274 */
																						BgL_ev_littz00_bglt
																							BgL_new1090z00_3469;
																						{	/* Eval/evaluate.scm 274 */
																							BgL_ev_littz00_bglt
																								BgL_new1089z00_3470;
																							BgL_new1089z00_3470 =
																								((BgL_ev_littz00_bglt)
																								BOBJECT(GC_MALLOC(sizeof(struct
																											BgL_ev_littz00_bgl))));
																							{	/* Eval/evaluate.scm 274 */
																								long BgL_arg1448z00_3471;

																								{	/* Eval/evaluate.scm 274 */
																									obj_t BgL_classz00_3476;

																									BgL_classz00_3476 =
																										BGl_ev_littz00zz__evaluate_typesz00;
																									BgL_arg1448z00_3471 =
																										BGL_CLASS_NUM
																										(BgL_classz00_3476);
																								}
																								BGL_OBJECT_CLASS_NUM_SET(
																									((BgL_objectz00_bglt)
																										BgL_new1089z00_3470),
																									BgL_arg1448z00_3471);
																							}
																							BgL_new1090z00_3469 =
																								BgL_new1089z00_3470;
																						}
																						((((BgL_ev_littz00_bglt)
																									COBJECT
																									(BgL_new1090z00_3469))->
																								BgL_valuez00) =
																							((obj_t) BgL_getz00_3465),
																							BUNSPEC);
																						BgL_auxz00_5385 =
																							((BgL_ev_exprz00_bglt)
																							BgL_new1090z00_3469);
																					}
																					((((BgL_ev_appz00_bglt)
																								COBJECT(BgL_new1088z00_3466))->
																							BgL_funz00) =
																						((BgL_ev_exprz00_bglt)
																							BgL_auxz00_5385), BUNSPEC);
																				}
																				{
																					obj_t BgL_auxz00_5393;

																					{	/* Eval/evaluate.scm 275 */
																						obj_t BgL_list1449z00_3472;

																						BgL_list1449z00_3472 =
																							MAKE_YOUNG_PAIR(BgL_nodez00_1353,
																							BNIL);
																						BgL_auxz00_5393 =
																							BgL_list1449z00_3472;
																					}
																					((((BgL_ev_appz00_bglt)
																								COBJECT(BgL_new1088z00_3466))->
																							BgL_argsz00) =
																						((obj_t) BgL_auxz00_5393), BUNSPEC);
																				}
																				((((BgL_ev_appz00_bglt)
																							COBJECT(BgL_new1088z00_3466))->
																						BgL_tailzf3zf3) =
																					((obj_t) BgL_tailzf3zf3_42), BUNSPEC);
																				BgL_nodez00_1368 = BgL_new1088z00_3466;
																		}}
																		{	/* Eval/evaluate.scm 257 */
																			obj_t BgL_arg1432z00_1369;
																			obj_t BgL_arg1433z00_1370;

																			BgL_arg1432z00_1369 =
																				BGl_classzd2fieldzd2typez00zz__objectz00
																				(BgL_fieldz00_1359);
																			BgL_arg1433z00_1370 =
																				CDR(((obj_t) BgL_fieldsz00_1355));
																			{
																				obj_t BgL_fieldsz00_5403;
																				obj_t BgL_klassz00_5402;
																				obj_t BgL_nodez00_5400;

																				BgL_nodez00_5400 =
																					((obj_t) BgL_nodez00_1368);
																				BgL_klassz00_5402 = BgL_arg1432z00_1369;
																				BgL_fieldsz00_5403 =
																					BgL_arg1433z00_1370;
																				BgL_fieldsz00_1355 = BgL_fieldsz00_5403;
																				BgL_klassz00_1354 = BgL_klassz00_5402;
																				BgL_nodez00_1353 = BgL_nodez00_5400;
																				goto
																					BgL_zc3z04anonymousza31419ze3z87_1356;
																			}
																		}
																	}
															}
														else
															{	/* Eval/evaluate.scm 259 */
																obj_t BgL_arg1435z00_1372;
																obj_t BgL_arg1436z00_1373;

																BgL_arg1435z00_1372 =
																	(((BgL_ev_varz00_bglt) COBJECT(
																			((BgL_ev_varz00_bglt) BgL_vz00_1346)))->
																	BgL_typez00);
																{	/* Eval/evaluate.scm 260 */
																	obj_t BgL_arg1437z00_1374;
																	obj_t BgL_arg1438z00_1375;

																	BgL_arg1437z00_1374 =
																		(((BgL_ev_varz00_bglt) COBJECT(
																				((BgL_ev_varz00_bglt) BgL_vz00_1346)))->
																		BgL_typez00);
																	BgL_arg1438z00_1375 =
																		CAR(((obj_t) BgL_fieldsz00_1355));
																	{	/* Eval/evaluate.scm 260 */
																		obj_t BgL_list1439z00_1376;

																		{	/* Eval/evaluate.scm 260 */
																			obj_t BgL_arg1440z00_1377;

																			BgL_arg1440z00_1377 =
																				MAKE_YOUNG_PAIR(BgL_arg1438z00_1375,
																				BNIL);
																			BgL_list1439z00_1376 =
																				MAKE_YOUNG_PAIR(BgL_arg1437z00_1374,
																				BgL_arg1440z00_1377);
																		}
																		BgL_arg1436z00_1373 =
																			BGl_formatz00zz__r4_output_6_10_3z00
																			(BGl_string2969z00zz__evaluatez00,
																			BgL_list1439z00_1376);
																	}
																}
																return
																	BGl_evcompilezd2errorzd2zz__evcompilez00
																	(BgL_locz00_44, BgL_arg1435z00_1372,
																	BgL_arg1436z00_1373, BgL_ez00_39);
															}
													}
												else
													{	/* Eval/evaluate.scm 264 */
														obj_t BgL_arg1442z00_1379;

														{	/* Eval/evaluate.scm 264 */
															obj_t BgL__ortest_1086z00_1380;

															BgL__ortest_1086z00_1380 =
																(((BgL_ev_varz00_bglt) COBJECT(
																		((BgL_ev_varz00_bglt) BgL_vz00_1346)))->
																BgL_typez00);
															if (CBOOL(BgL__ortest_1086z00_1380))
																{	/* Eval/evaluate.scm 264 */
																	BgL_arg1442z00_1379 =
																		BgL__ortest_1086z00_1380;
																}
															else
																{	/* Eval/evaluate.scm 264 */
																	BgL_arg1442z00_1379 =
																		(((BgL_ev_varz00_bglt) COBJECT(
																				((BgL_ev_varz00_bglt) BgL_vz00_1346)))->
																		BgL_namez00);
																}
														}
														return
															BGl_evcompilezd2errorzd2zz__evcompilez00
															(BgL_locz00_44, BgL_arg1442z00_1379,
															BGl_string2970z00zz__evaluatez00, BgL_ez00_39);
													}
											}
									}
								}
							else
								{	/* Eval/evaluate.scm 236 */
									return
										BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_44,
										CAR(BgL_lz00_37), BGl_string2971z00zz__evaluatez00,
										BgL_ez00_39);
								}
						}
					}
				}
			}
		}

	}



/* type-check */
	obj_t BGl_typezd2checkzd2zz__evaluatez00(obj_t BgL_varz00_56,
		obj_t BgL_tnamez00_57, obj_t BgL_locz00_58, obj_t BgL_procnamez00_59,
		obj_t BgL_bodyz00_60)
	{
		{	/* Eval/evaluate.scm 298 */
			if (SYMBOLP(BgL_tnamez00_57))
				{	/* Eval/evaluate.scm 301 */
					obj_t BgL_predz00_1403;

					if ((BgL_tnamez00_57 == BGl_symbol2973z00zz__evaluatez00))
						{	/* Eval/evaluate.scm 301 */
							BgL_predz00_1403 = BGl_symbol2975z00zz__evaluatez00;
						}
					else
						{	/* Eval/evaluate.scm 301 */
							if ((BgL_tnamez00_57 == BGl_symbol2977z00zz__evaluatez00))
								{	/* Eval/evaluate.scm 301 */
									BgL_predz00_1403 = BGl_symbol2978z00zz__evaluatez00;
								}
							else
								{	/* Eval/evaluate.scm 301 */
									if ((BgL_tnamez00_57 == BGl_symbol2980z00zz__evaluatez00))
										{	/* Eval/evaluate.scm 301 */
											BgL_predz00_1403 = BGl_symbol2982z00zz__evaluatez00;
										}
									else
										{	/* Eval/evaluate.scm 301 */
											if ((BgL_tnamez00_57 == BGl_symbol2984z00zz__evaluatez00))
												{	/* Eval/evaluate.scm 301 */
													BgL_predz00_1403 = BGl_symbol2986z00zz__evaluatez00;
												}
											else
												{	/* Eval/evaluate.scm 301 */
													bool_t BgL_test3207z00_5433;

													{	/* Eval/evaluate.scm 301 */
														bool_t BgL__ortest_1095z00_1479;

														BgL__ortest_1095z00_1479 =
															(BgL_tnamez00_57 ==
															BGl_symbol2988z00zz__evaluatez00);
														if (BgL__ortest_1095z00_1479)
															{	/* Eval/evaluate.scm 301 */
																BgL_test3207z00_5433 = BgL__ortest_1095z00_1479;
															}
														else
															{	/* Eval/evaluate.scm 301 */
																BgL_test3207z00_5433 =
																	(BgL_tnamez00_57 ==
																	BGl_symbol2990z00zz__evaluatez00);
															}
													}
													if (BgL_test3207z00_5433)
														{	/* Eval/evaluate.scm 301 */
															BgL_predz00_1403 =
																BGl_symbol2991z00zz__evaluatez00;
														}
													else
														{	/* Eval/evaluate.scm 301 */
															bool_t BgL_test3209z00_5437;

															{	/* Eval/evaluate.scm 301 */
																bool_t BgL__ortest_1096z00_1478;

																BgL__ortest_1096z00_1478 =
																	(BgL_tnamez00_57 ==
																	BGl_symbol2993z00zz__evaluatez00);
																if (BgL__ortest_1096z00_1478)
																	{	/* Eval/evaluate.scm 301 */
																		BgL_test3209z00_5437 =
																			BgL__ortest_1096z00_1478;
																	}
																else
																	{	/* Eval/evaluate.scm 301 */
																		BgL_test3209z00_5437 =
																			(BgL_tnamez00_57 ==
																			BGl_symbol2995z00zz__evaluatez00);
																	}
															}
															if (BgL_test3209z00_5437)
																{	/* Eval/evaluate.scm 301 */
																	BgL_predz00_1403 =
																		BGl_symbol2997z00zz__evaluatez00;
																}
															else
																{	/* Eval/evaluate.scm 301 */
																	if (
																		(BgL_tnamez00_57 ==
																			BGl_symbol2999z00zz__evaluatez00))
																		{	/* Eval/evaluate.scm 301 */
																			BgL_predz00_1403 =
																				BGl_symbol3001z00zz__evaluatez00;
																		}
																	else
																		{	/* Eval/evaluate.scm 301 */
																			if (
																				(BgL_tnamez00_57 ==
																					BGl_symbol3003z00zz__evaluatez00))
																				{	/* Eval/evaluate.scm 301 */
																					BgL_predz00_1403 =
																						BGl_symbol3005z00zz__evaluatez00;
																				}
																			else
																				{	/* Eval/evaluate.scm 301 */
																					if (
																						(BgL_tnamez00_57 ==
																							BGl_symbol3007z00zz__evaluatez00))
																						{	/* Eval/evaluate.scm 301 */
																							BgL_predz00_1403 =
																								BGl_symbol3009z00zz__evaluatez00;
																						}
																					else
																						{	/* Eval/evaluate.scm 301 */
																							bool_t BgL_test3214z00_5447;

																							{	/* Eval/evaluate.scm 301 */
																								bool_t BgL__ortest_1097z00_1477;

																								BgL__ortest_1097z00_1477 =
																									(BgL_tnamez00_57 ==
																									BGl_symbol3011z00zz__evaluatez00);
																								if (BgL__ortest_1097z00_1477)
																									{	/* Eval/evaluate.scm 301 */
																										BgL_test3214z00_5447 =
																											BgL__ortest_1097z00_1477;
																									}
																								else
																									{	/* Eval/evaluate.scm 301 */
																										BgL_test3214z00_5447 =
																											(BgL_tnamez00_57 ==
																											BGl_symbol3013z00zz__evaluatez00);
																									}
																							}
																							if (BgL_test3214z00_5447)
																								{	/* Eval/evaluate.scm 301 */
																									BgL_predz00_1403 =
																										BGl_symbol3015z00zz__evaluatez00;
																								}
																							else
																								{	/* Eval/evaluate.scm 312 */
																									obj_t BgL_arg1502z00_1457;

																									{	/* Eval/evaluate.scm 312 */
																										obj_t BgL_arg1503z00_1458;
																										obj_t BgL_arg1504z00_1459;

																										BgL_arg1503z00_1458 =
																											MAKE_YOUNG_PAIR
																											(BGl_symbol3017z00zz__evaluatez00,
																											BNIL);
																										{	/* Eval/evaluate.scm 313 */
																											obj_t BgL_arg1505z00_1460;

																											{	/* Eval/evaluate.scm 313 */
																												obj_t
																													BgL_arg1506z00_1461;
																												{	/* Eval/evaluate.scm 313 */
																													obj_t
																														BgL_arg1507z00_1462;
																													obj_t
																														BgL_arg1508z00_1463;
																													{	/* Eval/evaluate.scm 313 */
																														obj_t
																															BgL_arg1509z00_1464;
																														{	/* Eval/evaluate.scm 313 */
																															obj_t
																																BgL_arg1510z00_1465;
																															{	/* Eval/evaluate.scm 313 */
																																obj_t
																																	BgL_arg1511z00_1466;
																																{	/* Eval/evaluate.scm 313 */
																																	obj_t
																																		BgL_arg1512z00_1467;
																																	{	/* Eval/evaluate.scm 313 */
																																		obj_t
																																			BgL_arg1513z00_1468;
																																		{	/* Eval/evaluate.scm 313 */
																																			obj_t
																																				BgL_arg1514z00_1469;
																																			BgL_arg1514z00_1469
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_tnamez00_57,
																																				BNIL);
																																			BgL_arg1513z00_1468
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BGl_symbol3019z00zz__evaluatez00,
																																				BgL_arg1514z00_1469);
																																		}
																																		BgL_arg1512z00_1467
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg1513z00_1468,
																																			BNIL);
																																	}
																																	BgL_arg1511z00_1466
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BGl_symbol3021z00zz__evaluatez00,
																																		BgL_arg1512z00_1467);
																																}
																																BgL_arg1510z00_1465
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1511z00_1466,
																																	BNIL);
																															}
																															BgL_arg1509z00_1464
																																=
																																MAKE_YOUNG_PAIR
																																(BGl_symbol3023z00zz__evaluatez00,
																																BgL_arg1510z00_1465);
																														}
																														BgL_arg1507z00_1462
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg1509z00_1464,
																															BNIL);
																													}
																													{	/* Eval/evaluate.scm 314 */
																														obj_t
																															BgL_arg1515z00_1470;
																														{	/* Eval/evaluate.scm 314 */
																															obj_t
																																BgL_arg1516z00_1471;
																															{	/* Eval/evaluate.scm 314 */
																																obj_t
																																	BgL_arg1517z00_1472;
																																{	/* Eval/evaluate.scm 314 */
																																	obj_t
																																		BgL_arg1519z00_1473;
																																	obj_t
																																		BgL_arg1523z00_1474;
																																	{	/* Eval/evaluate.scm 314 */
																																		obj_t
																																			BgL_arg1524z00_1475;
																																		{	/* Eval/evaluate.scm 314 */
																																			obj_t
																																				BgL_arg1525z00_1476;
																																			BgL_arg1525z00_1476
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BGl_symbol3023z00zz__evaluatez00,
																																				BNIL);
																																			BgL_arg1524z00_1475
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BGl_symbol3017z00zz__evaluatez00,
																																				BgL_arg1525z00_1476);
																																		}
																																		BgL_arg1519z00_1473
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BGl_symbol3025z00zz__evaluatez00,
																																			BgL_arg1524z00_1475);
																																	}
																																	BgL_arg1523z00_1474
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BTRUE,
																																		BNIL);
																																	BgL_arg1517z00_1472
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg1519z00_1473,
																																		BgL_arg1523z00_1474);
																																}
																																BgL_arg1516z00_1471
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BGl_symbol3023z00zz__evaluatez00,
																																	BgL_arg1517z00_1472);
																															}
																															BgL_arg1515z00_1470
																																=
																																MAKE_YOUNG_PAIR
																																(BGl_symbol3027z00zz__evaluatez00,
																																BgL_arg1516z00_1471);
																														}
																														BgL_arg1508z00_1463
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg1515z00_1470,
																															BNIL);
																													}
																													BgL_arg1506z00_1461 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1507z00_1462,
																														BgL_arg1508z00_1463);
																												}
																												BgL_arg1505z00_1460 =
																													MAKE_YOUNG_PAIR
																													(BGl_symbol3029z00zz__evaluatez00,
																													BgL_arg1506z00_1461);
																											}
																											BgL_arg1504z00_1459 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1505z00_1460,
																												BNIL);
																										}
																										BgL_arg1502z00_1457 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1503z00_1458,
																											BgL_arg1504z00_1459);
																									}
																									BgL_predz00_1403 =
																										MAKE_YOUNG_PAIR
																										(BGl_symbol3031z00zz__evaluatez00,
																										BgL_arg1502z00_1457);
																								}
																						}
																				}
																		}
																}
														}
												}
										}
								}
						}
					{	/* Eval/evaluate.scm 316 */
						obj_t BgL_arg1457z00_1404;

						{	/* Eval/evaluate.scm 316 */
							obj_t BgL_arg1458z00_1405;

							{	/* Eval/evaluate.scm 316 */
								obj_t BgL_arg1459z00_1406;
								obj_t BgL_arg1460z00_1407;

								{	/* Eval/evaluate.scm 316 */
									obj_t BgL_arg1461z00_1408;

									BgL_arg1461z00_1408 = MAKE_YOUNG_PAIR(BgL_varz00_56, BNIL);
									BgL_arg1459z00_1406 =
										MAKE_YOUNG_PAIR(BgL_predz00_1403, BgL_arg1461z00_1408);
								}
								{	/* Eval/evaluate.scm 316 */
									obj_t BgL_arg1462z00_1409;

									{	/* Eval/evaluate.scm 316 */
										obj_t BgL_arg1463z00_1410;

										{
											obj_t BgL_fnamez00_1411;
											obj_t BgL_posz00_1412;

											if (PAIRP(BgL_locz00_58))
												{	/* Eval/evaluate.scm 316 */
													obj_t BgL_cdrzd2138zd2_1417;

													BgL_cdrzd2138zd2_1417 = CDR(((obj_t) BgL_locz00_58));
													if (
														(CAR(
																((obj_t) BgL_locz00_58)) ==
															BGl_symbol3037z00zz__evaluatez00))
														{	/* Eval/evaluate.scm 316 */
															if (PAIRP(BgL_cdrzd2138zd2_1417))
																{	/* Eval/evaluate.scm 316 */
																	obj_t BgL_cdrzd2142zd2_1421;

																	BgL_cdrzd2142zd2_1421 =
																		CDR(BgL_cdrzd2138zd2_1417);
																	if (PAIRP(BgL_cdrzd2142zd2_1421))
																		{	/* Eval/evaluate.scm 316 */
																			if (NULLP(CDR(BgL_cdrzd2142zd2_1421)))
																				{	/* Eval/evaluate.scm 316 */
																					BgL_fnamez00_1411 =
																						CAR(BgL_cdrzd2138zd2_1417);
																					BgL_posz00_1412 =
																						CAR(BgL_cdrzd2142zd2_1421);
																					{	/* Eval/evaluate.scm 321 */
																						obj_t BgL_arg1475z00_1429;

																						{	/* Eval/evaluate.scm 321 */
																							obj_t BgL_arg1476z00_1430;
																							obj_t BgL_arg1479z00_1431;

																							if (SYMBOLP(BgL_procnamez00_59))
																								{	/* Eval/evaluate.scm 321 */
																									obj_t BgL_arg2662z00_3524;

																									BgL_arg2662z00_3524 =
																										SYMBOL_TO_STRING
																										(BgL_procnamez00_59);
																									BgL_arg1476z00_1430 =
																										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																										(BgL_arg2662z00_3524);
																								}
																							else
																								{	/* Eval/evaluate.scm 321 */
																									BgL_arg1476z00_1430 = BFALSE;
																								}
																							{	/* Eval/evaluate.scm 322 */
																								obj_t BgL_arg1481z00_1433;
																								obj_t BgL_arg1482z00_1434;

																								{	/* Eval/evaluate.scm 322 */
																									obj_t BgL_arg2662z00_3526;

																									BgL_arg2662z00_3526 =
																										SYMBOL_TO_STRING(
																										((obj_t) BgL_tnamez00_57));
																									BgL_arg1481z00_1433 =
																										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																										(BgL_arg2662z00_3526);
																								}
																								{	/* Eval/evaluate.scm 320 */
																									obj_t BgL_arg1483z00_1435;

																									{	/* Eval/evaluate.scm 320 */
																										obj_t BgL_arg1484z00_1436;

																										BgL_arg1484z00_1436 =
																											MAKE_YOUNG_PAIR
																											(BgL_posz00_1412, BNIL);
																										BgL_arg1483z00_1435 =
																											MAKE_YOUNG_PAIR
																											(BgL_fnamez00_1411,
																											BgL_arg1484z00_1436);
																									}
																									BgL_arg1482z00_1434 =
																										MAKE_YOUNG_PAIR
																										(BgL_varz00_56,
																										BgL_arg1483z00_1435);
																								}
																								BgL_arg1479z00_1431 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1481z00_1433,
																									BgL_arg1482z00_1434);
																							}
																							BgL_arg1475z00_1429 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1476z00_1430,
																								BgL_arg1479z00_1431);
																						}
																						BgL_arg1463z00_1410 =
																							MAKE_YOUNG_PAIR
																							(BGl_symbol3033z00zz__evaluatez00,
																							BgL_arg1475z00_1429);
																					}
																				}
																			else
																				{	/* Eval/evaluate.scm 316 */
																				BgL_tagzd2131zd2_1414:
																					{	/* Eval/evaluate.scm 326 */
																						obj_t BgL_arg1486z00_1437;

																						{	/* Eval/evaluate.scm 326 */
																							obj_t BgL_arg1487z00_1438;
																							obj_t BgL_arg1488z00_1439;

																							if (SYMBOLP(BgL_procnamez00_59))
																								{	/* Eval/evaluate.scm 326 */
																									obj_t BgL_arg2662z00_3528;

																									BgL_arg2662z00_3528 =
																										SYMBOL_TO_STRING
																										(BgL_procnamez00_59);
																									BgL_arg1487z00_1438 =
																										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																										(BgL_arg2662z00_3528);
																								}
																							else
																								{	/* Eval/evaluate.scm 326 */
																									BgL_arg1487z00_1438 = BFALSE;
																								}
																							{	/* Eval/evaluate.scm 327 */
																								obj_t BgL_arg1490z00_1441;
																								obj_t BgL_arg1491z00_1442;

																								{	/* Eval/evaluate.scm 327 */
																									obj_t BgL_arg2662z00_3530;

																									BgL_arg2662z00_3530 =
																										SYMBOL_TO_STRING(
																										((obj_t) BgL_tnamez00_57));
																									BgL_arg1490z00_1441 =
																										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																										(BgL_arg2662z00_3530);
																								}
																								BgL_arg1491z00_1442 =
																									MAKE_YOUNG_PAIR(BgL_varz00_56,
																									BNIL);
																								BgL_arg1488z00_1439 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1490z00_1441,
																									BgL_arg1491z00_1442);
																							}
																							BgL_arg1486z00_1437 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1487z00_1438,
																								BgL_arg1488z00_1439);
																						}
																						BgL_arg1463z00_1410 =
																							MAKE_YOUNG_PAIR
																							(BGl_symbol3035z00zz__evaluatez00,
																							BgL_arg1486z00_1437);
																					}
																				}
																		}
																	else
																		{	/* Eval/evaluate.scm 316 */
																			goto BgL_tagzd2131zd2_1414;
																		}
																}
															else
																{	/* Eval/evaluate.scm 316 */
																	goto BgL_tagzd2131zd2_1414;
																}
														}
													else
														{	/* Eval/evaluate.scm 316 */
															goto BgL_tagzd2131zd2_1414;
														}
												}
											else
												{	/* Eval/evaluate.scm 316 */
													goto BgL_tagzd2131zd2_1414;
												}
										}
										BgL_arg1462z00_1409 =
											MAKE_YOUNG_PAIR(BgL_arg1463z00_1410, BNIL);
									}
									BgL_arg1460z00_1407 =
										MAKE_YOUNG_PAIR(BgL_bodyz00_60, BgL_arg1462z00_1409);
								}
								BgL_arg1458z00_1405 =
									MAKE_YOUNG_PAIR(BgL_arg1459z00_1406, BgL_arg1460z00_1407);
							}
							BgL_arg1457z00_1404 =
								MAKE_YOUNG_PAIR(BGl_symbol3027z00zz__evaluatez00,
								BgL_arg1458z00_1405);
						}
						{	/* Eval/evaluate.scm 293 */
							obj_t BgL_arg1453z00_3537;
							obj_t BgL_arg1455z00_3538;

							BgL_arg1453z00_3537 = CAR(BgL_arg1457z00_1404);
							BgL_arg1455z00_3538 = CDR(BgL_arg1457z00_1404);
							{	/* Eval/evaluate.scm 293 */
								obj_t BgL_res2945z00_3541;

								BgL_res2945z00_3541 =
									MAKE_YOUNG_EPAIR(BgL_arg1453z00_3537, BgL_arg1455z00_3538,
									BgL_locz00_58);
								return BgL_res2945z00_3541;
							}
						}
					}
				}
			else
				{	/* Eval/evaluate.scm 300 */
					return BgL_bodyz00_60;
				}
		}

	}



/* type-checks */
	obj_t BGl_typezd2checkszd2zz__evaluatez00(obj_t BgL_varsz00_61,
		obj_t BgL_srcsz00_62, obj_t BgL_bodyz00_63, obj_t BgL_locz00_64,
		obj_t BgL_procnamez00_65)
	{
		{	/* Eval/evaluate.scm 334 */
			{	/* Eval/evaluate.scm 335 */
				bool_t BgL_test3223z00_5523;

				{	/* Eval/evaluate.scm 335 */
					int BgL_arg1538z00_1498;

					BgL_arg1538z00_1498 = bgl_debug();
					BgL_test3223z00_5523 = ((long) (BgL_arg1538z00_1498) <= 0L);
				}
				if (BgL_test3223z00_5523)
					{	/* Eval/evaluate.scm 335 */
						return BgL_bodyz00_63;
					}
				else
					{	/* Eval/evaluate.scm 335 */
						BGL_TAIL return
							BGl_loopze71ze7zz__evaluatez00(BgL_bodyz00_63, BgL_procnamez00_65,
							BgL_locz00_64, BgL_varsz00_61, BgL_srcsz00_62);
					}
			}
		}

	}



/* loop~1 */
	obj_t BGl_loopze71ze7zz__evaluatez00(obj_t BgL_bodyz00_4908,
		obj_t BgL_procnamez00_4907, obj_t BgL_locz00_4906, obj_t BgL_varsz00_1483,
		obj_t BgL_srcsz00_1484)
	{
		{	/* Eval/evaluate.scm 337 */
		BGl_loopze71ze7zz__evaluatez00:
			if (NULLP(BgL_varsz00_1483))
				{	/* Eval/evaluate.scm 339 */
					return BgL_bodyz00_4908;
				}
			else
				{	/* Eval/evaluate.scm 341 */
					obj_t BgL_vz00_1487;

					BgL_vz00_1487 = CAR(((obj_t) BgL_varsz00_1483));
					{	/* Eval/evaluate.scm 341 */
						obj_t BgL_idz00_1488;

						BgL_idz00_1488 = CAR(((obj_t) BgL_vz00_1487));
						{	/* Eval/evaluate.scm 342 */
							obj_t BgL_tnamez00_1489;

							BgL_tnamez00_1489 = CDR(((obj_t) BgL_vz00_1487));
							{	/* Eval/evaluate.scm 343 */

								if (CBOOL(BgL_tnamez00_1489))
									{	/* Eval/evaluate.scm 345 */
										obj_t BgL_locz00_1490;

										{	/* Eval/evaluate.scm 345 */
											obj_t BgL_arg1535z00_1494;

											BgL_arg1535z00_1494 = CAR(((obj_t) BgL_srcsz00_1484));
											{	/* Eval/evaluate.scm 150 */
												obj_t BgL__ortest_1070z00_3547;

												BgL__ortest_1070z00_3547 =
													BGl_getzd2sourcezd2locationz00zz__readerz00
													(BgL_arg1535z00_1494);
												if (CBOOL(BgL__ortest_1070z00_3547))
													{	/* Eval/evaluate.scm 150 */
														BgL_locz00_1490 = BgL__ortest_1070z00_3547;
													}
												else
													{	/* Eval/evaluate.scm 151 */
														obj_t BgL__ortest_1071z00_3548;

														BgL__ortest_1071z00_3548 =
															BGl_getzd2sourcezd2locationz00zz__readerz00
															(BgL_srcsz00_1484);
														if (CBOOL(BgL__ortest_1071z00_3548))
															{	/* Eval/evaluate.scm 151 */
																BgL_locz00_1490 = BgL__ortest_1071z00_3548;
															}
														else
															{	/* Eval/evaluate.scm 151 */
																BgL_locz00_1490 = BgL_locz00_4906;
															}
													}
											}
										}
										{	/* Eval/evaluate.scm 347 */
											obj_t BgL_arg1532z00_1491;

											{	/* Eval/evaluate.scm 347 */
												obj_t BgL_arg1533z00_1492;
												obj_t BgL_arg1534z00_1493;

												BgL_arg1533z00_1492 = CDR(((obj_t) BgL_varsz00_1483));
												BgL_arg1534z00_1493 = CDR(((obj_t) BgL_srcsz00_1484));
												BgL_arg1532z00_1491 =
													BGl_loopze71ze7zz__evaluatez00(BgL_bodyz00_4908,
													BgL_procnamez00_4907, BgL_locz00_4906,
													BgL_arg1533z00_1492, BgL_arg1534z00_1493);
											}
											BGL_TAIL return
												BGl_typezd2checkzd2zz__evaluatez00(BgL_idz00_1488,
												BgL_tnamez00_1489, BgL_locz00_1490,
												BgL_procnamez00_4907, BgL_arg1532z00_1491);
										}
									}
								else
									{	/* Eval/evaluate.scm 348 */
										obj_t BgL_arg1536z00_1495;
										obj_t BgL_arg1537z00_1496;

										BgL_arg1536z00_1495 = CDR(((obj_t) BgL_varsz00_1483));
										BgL_arg1537z00_1496 = CDR(((obj_t) BgL_srcsz00_1484));
										{
											obj_t BgL_srcsz00_5557;
											obj_t BgL_varsz00_5556;

											BgL_varsz00_5556 = BgL_arg1536z00_1495;
											BgL_srcsz00_5557 = BgL_arg1537z00_1496;
											BgL_srcsz00_1484 = BgL_srcsz00_5557;
											BgL_varsz00_1483 = BgL_varsz00_5556;
											goto BGl_loopze71ze7zz__evaluatez00;
										}
									}
							}
						}
					}
				}
		}

	}



/* type-result */
	obj_t BGl_typezd2resultzd2zz__evaluatez00(obj_t BgL_typez00_66,
		obj_t BgL_bodyz00_67, obj_t BgL_locz00_68)
	{
		{	/* Eval/evaluate.scm 353 */
			{	/* Eval/evaluate.scm 354 */
				bool_t BgL_test3228z00_5558;

				if (CBOOL(BgL_typez00_66))
					{	/* Eval/evaluate.scm 354 */
						int BgL_arg1556z00_1513;

						BgL_arg1556z00_1513 = bgl_debug();
						BgL_test3228z00_5558 = ((long) (BgL_arg1556z00_1513) >= 1L);
					}
				else
					{	/* Eval/evaluate.scm 354 */
						BgL_test3228z00_5558 = ((bool_t) 0);
					}
				if (BgL_test3228z00_5558)
					{	/* Eval/evaluate.scm 355 */
						obj_t BgL_tmpz00_1501;

						BgL_tmpz00_1501 =
							BGl_gensymz00zz__r4_symbols_6_4z00
							(BGl_symbol3039z00zz__evaluatez00);
						{	/* Eval/evaluate.scm 357 */
							obj_t BgL_arg1541z00_1502;
							obj_t BgL_arg1542z00_1503;

							{	/* Eval/evaluate.scm 357 */
								obj_t BgL_arg1543z00_1504;

								{	/* Eval/evaluate.scm 357 */
									obj_t BgL_arg1545z00_1505;
									obj_t BgL_arg1547z00_1506;

									{	/* Eval/evaluate.scm 357 */
										obj_t BgL_arg1549z00_1507;

										{	/* Eval/evaluate.scm 357 */
											obj_t BgL_arg1550z00_1508;
											obj_t BgL_arg1552z00_1509;

											{	/* Eval/evaluate.scm 357 */
												obj_t BgL_arg1553z00_1510;

												{	/* Eval/evaluate.scm 357 */
													obj_t BgL_list1554z00_1511;

													{	/* Eval/evaluate.scm 357 */
														obj_t BgL_arg1555z00_1512;

														BgL_arg1555z00_1512 =
															MAKE_YOUNG_PAIR(BgL_typez00_66, BNIL);
														BgL_list1554z00_1511 =
															MAKE_YOUNG_PAIR(BgL_tmpz00_1501,
															BgL_arg1555z00_1512);
													}
													BgL_arg1553z00_1510 =
														BGl_formatz00zz__r4_output_6_10_3z00
														(BGl_string3041z00zz__evaluatez00,
														BgL_list1554z00_1511);
												}
												BgL_arg1550z00_1508 =
													bstring_to_symbol(BgL_arg1553z00_1510);
											}
											BgL_arg1552z00_1509 =
												MAKE_YOUNG_PAIR(BgL_bodyz00_67, BNIL);
											BgL_arg1549z00_1507 =
												MAKE_YOUNG_PAIR(BgL_arg1550z00_1508,
												BgL_arg1552z00_1509);
										}
										BgL_arg1545z00_1505 =
											MAKE_YOUNG_PAIR(BgL_arg1549z00_1507, BNIL);
									}
									BgL_arg1547z00_1506 = MAKE_YOUNG_PAIR(BgL_tmpz00_1501, BNIL);
									BgL_arg1543z00_1504 =
										MAKE_YOUNG_PAIR(BgL_arg1545z00_1505, BgL_arg1547z00_1506);
								}
								BgL_arg1541z00_1502 =
									MAKE_YOUNG_PAIR(BGl_symbol3029z00zz__evaluatez00,
									BgL_arg1543z00_1504);
							}
							{	/* Eval/evaluate.scm 144 */
								obj_t BgL__ortest_1069z00_3555;

								BgL__ortest_1069z00_3555 =
									BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_bodyz00_67);
								if (CBOOL(BgL__ortest_1069z00_3555))
									{	/* Eval/evaluate.scm 144 */
										BgL_arg1542z00_1503 = BgL__ortest_1069z00_3555;
									}
								else
									{	/* Eval/evaluate.scm 144 */
										BgL_arg1542z00_1503 = BgL_locz00_68;
									}
							}
							{	/* Eval/evaluate.scm 293 */
								obj_t BgL_arg1453z00_3556;
								obj_t BgL_arg1455z00_3557;

								BgL_arg1453z00_3556 = CAR(BgL_arg1541z00_1502);
								BgL_arg1455z00_3557 = CDR(BgL_arg1541z00_1502);
								{	/* Eval/evaluate.scm 293 */
									obj_t BgL_res2946z00_3560;

									BgL_res2946z00_3560 =
										MAKE_YOUNG_EPAIR(BgL_arg1453z00_3556, BgL_arg1455z00_3557,
										BgL_arg1542z00_1503);
									return BgL_res2946z00_3560;
								}
							}
						}
					}
				else
					{	/* Eval/evaluate.scm 354 */
						return BgL_bodyz00_67;
					}
			}
		}

	}



/* conv */
	obj_t BGl_convz00zz__evaluatez00(obj_t BgL_ez00_69, obj_t BgL_localsz00_70,
		obj_t BgL_globalsz00_71, obj_t BgL_tailzf3zf3_72, obj_t BgL_wherez00_73,
		obj_t BgL_locz00_74, bool_t BgL_topzf3zf3_75)
	{
		{	/* Eval/evaluate.scm 365 */
		BGl_convz00zz__evaluatez00:
			{
				obj_t BgL_xz00_1522;
				obj_t BgL_bahz00_1524;
				obj_t BgL_lz00_1529;
				obj_t BgL_funz00_1531;
				obj_t BgL_argsz00_1532;
				obj_t BgL_pz00_1538;
				obj_t BgL_tz00_1539;
				obj_t BgL_oz00_1540;
				obj_t BgL_pz00_1542;
				obj_t BgL_tz00_1543;
				obj_t BgL_bindsz00_1551;
				obj_t BgL_bodyz00_1552;
				obj_t BgL_bindsz00_1554;
				obj_t BgL_bodyz00_1555;
				obj_t BgL_bindsz00_1557;
				obj_t BgL_bodyz00_1558;
				obj_t BgL_lz00_1564;
				obj_t BgL_e2z00_1565;
				obj_t BgL_vz00_1567;
				obj_t BgL_ez00_1568;
				obj_t BgL_gvz00_1571;
				obj_t BgL_formalsz00_1572;
				obj_t BgL_bodyz00_1573;
				obj_t BgL_gvz00_1575;
				obj_t BgL_gez00_1576;
				obj_t BgL_vz00_1578;
				obj_t BgL_bodyz00_1579;
				obj_t BgL_mz00_1591;
				obj_t BgL_bodyz00_1592;
				obj_t BgL_fz00_1598;
				obj_t BgL_argsz00_1599;

				if (PAIRP(BgL_ez00_69))
					{	/* Eval/evaluate.scm 424 */
						if (
							(CAR(((obj_t) BgL_ez00_69)) == BGl_symbol3048z00zz__evaluatez00))
							{	/* Eval/evaluate.scm 424 */
								obj_t BgL_arg1560z00_1606;

								BgL_arg1560z00_1606 = CDR(((obj_t) BgL_ez00_69));
								BgL_bahz00_1524 = BgL_arg1560z00_1606;
								if (BgL_topzf3zf3_75)
									{	/* Eval/evaluate.scm 432 */
										obj_t BgL_formsz00_2389;

										{	/* Eval/evaluate.scm 432 */
											obj_t BgL_arg2275z00_2392;

											{	/* Eval/evaluate.scm 144 */
												obj_t BgL__ortest_1069z00_3597;

												BgL__ortest_1069z00_3597 =
													BGl_getzd2sourcezd2locationz00zz__readerz00
													(BgL_ez00_69);
												if (CBOOL(BgL__ortest_1069z00_3597))
													{	/* Eval/evaluate.scm 144 */
														BgL_arg2275z00_2392 = BgL__ortest_1069z00_3597;
													}
												else
													{	/* Eval/evaluate.scm 144 */
														BgL_arg2275z00_2392 = BgL_locz00_74;
													}
											}
											BgL_formsz00_2389 =
												BGl_evmodulez00zz__evmodulez00(BgL_ez00_69,
												BgL_arg2275z00_2392);
										}
										{	/* Eval/evaluate.scm 433 */
											obj_t BgL_arg2273z00_2390;
											obj_t BgL_arg2274z00_2391;

											BgL_arg2273z00_2390 =
												BGl_expandz00zz__expandz00(BgL_formsz00_2389);
											BgL_arg2274z00_2391 = BGL_MODULE();
											{
												bool_t BgL_topzf3zf3_5600;
												obj_t BgL_wherez00_5599;
												obj_t BgL_tailzf3zf3_5598;
												obj_t BgL_globalsz00_5597;
												obj_t BgL_ez00_5596;

												BgL_ez00_5596 = BgL_arg2273z00_2390;
												BgL_globalsz00_5597 = BgL_arg2274z00_2391;
												BgL_tailzf3zf3_5598 = BgL_wherez00_73;
												BgL_wherez00_5599 = BFALSE;
												BgL_topzf3zf3_5600 = ((bool_t) 1);
												BgL_topzf3zf3_75 = BgL_topzf3zf3_5600;
												BgL_wherez00_73 = BgL_wherez00_5599;
												BgL_tailzf3zf3_72 = BgL_tailzf3zf3_5598;
												BgL_globalsz00_71 = BgL_globalsz00_5597;
												BgL_ez00_69 = BgL_ez00_5596;
												goto BGl_convz00zz__evaluatez00;
											}
										}
									}
								else
									{	/* Eval/evaluate.scm 431 */
										return
											BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_74,
											BGl_string2967z00zz__evaluatez00,
											BGl_string3047z00zz__evaluatez00, BgL_ez00_69);
									}
							}
						else
							{	/* Eval/evaluate.scm 424 */
								obj_t BgL_cdrzd2250zd2_1607;

								BgL_cdrzd2250zd2_1607 = CDR(((obj_t) BgL_ez00_69));
								if (
									(CAR(
											((obj_t) BgL_ez00_69)) ==
										BGl_symbol3050z00zz__evaluatez00))
									{	/* Eval/evaluate.scm 424 */
										if (PAIRP(BgL_cdrzd2250zd2_1607))
											{	/* Eval/evaluate.scm 424 */
												obj_t BgL_carzd2253zd2_1611;
												obj_t BgL_cdrzd2254zd2_1612;

												BgL_carzd2253zd2_1611 = CAR(BgL_cdrzd2250zd2_1607);
												BgL_cdrzd2254zd2_1612 = CDR(BgL_cdrzd2250zd2_1607);
												if (SYMBOLP(BgL_carzd2253zd2_1611))
													{	/* Eval/evaluate.scm 424 */
														if (PAIRP(BgL_cdrzd2254zd2_1612))
															{	/* Eval/evaluate.scm 424 */
																obj_t BgL_carzd2258zd2_1615;

																BgL_carzd2258zd2_1615 =
																	CAR(BgL_cdrzd2254zd2_1612);
																if (SYMBOLP(BgL_carzd2258zd2_1615))
																	{	/* Eval/evaluate.scm 424 */
																		if (NULLP(CDR(BgL_cdrzd2254zd2_1612)))
																			{	/* Eval/evaluate.scm 437 */
																				BgL_ev_globalz00_bglt
																					BgL_new1107z00_3953;
																				{	/* Eval/evaluate.scm 438 */
																					BgL_ev_globalz00_bglt
																						BgL_new1106z00_3954;
																					BgL_new1106z00_3954 =
																						((BgL_ev_globalz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_ev_globalz00_bgl))));
																					{	/* Eval/evaluate.scm 438 */
																						long BgL_arg2276z00_3955;

																						BgL_arg2276z00_3955 =
																							BGL_CLASS_NUM
																							(BGl_ev_globalz00zz__evaluate_typesz00);
																						BGL_OBJECT_CLASS_NUM_SET((
																								(BgL_objectz00_bglt)
																								BgL_new1106z00_3954),
																							BgL_arg2276z00_3955);
																					}
																					BgL_new1107z00_3953 =
																						BgL_new1106z00_3954;
																				}
																				((((BgL_ev_globalz00_bglt)
																							COBJECT(BgL_new1107z00_3953))->
																						BgL_locz00) =
																					((obj_t) BgL_locz00_74), BUNSPEC);
																				((((BgL_ev_globalz00_bglt)
																							COBJECT(BgL_new1107z00_3953))->
																						BgL_namez00) =
																					((obj_t) BgL_carzd2253zd2_1611),
																					BUNSPEC);
																				((((BgL_ev_globalz00_bglt)
																							COBJECT(BgL_new1107z00_3953))->
																						BgL_modz00) =
																					((obj_t)
																						BGl_evalzd2findzd2modulez00zz__evmodulez00
																						(BgL_carzd2258zd2_1615)), BUNSPEC);
																				return ((obj_t) BgL_new1107z00_3953);
																			}
																		else
																			{	/* Eval/evaluate.scm 424 */
																				obj_t BgL_carzd2303zd2_1619;

																				BgL_carzd2303zd2_1619 =
																					CAR(((obj_t) BgL_ez00_69));
																				if (SYMBOLP(BgL_carzd2303zd2_1619))
																					{	/* Eval/evaluate.scm 424 */
																						if (CBOOL
																							(BGl_convzd2varzd2zz__evaluatez00
																								(BgL_carzd2303zd2_1619,
																									BgL_localsz00_70)))
																							{
																								BgL_ev_appz00_bglt
																									BgL_auxz00_5638;
																								BgL_funz00_1531 =
																									BgL_carzd2303zd2_1619;
																								BgL_argsz00_1532 =
																									BgL_cdrzd2250zd2_1607;
																							BgL_tagzd2152zd2_1533:
																								{	/* Eval/evaluate.scm 449 */
																									obj_t BgL_funz00_2422;
																									obj_t BgL_argsz00_2423;

																									{	/* Eval/evaluate.scm 380 */
																										obj_t BgL_arg2469z00_3607;

																										{	/* Eval/evaluate.scm 144 */
																											obj_t
																												BgL__ortest_1069z00_3608;
																											BgL__ortest_1069z00_3608 =
																												BGl_getzd2sourcezd2locationz00zz__readerz00
																												(BgL_funz00_1531);
																											if (CBOOL
																												(BgL__ortest_1069z00_3608))
																												{	/* Eval/evaluate.scm 144 */
																													BgL_arg2469z00_3607 =
																														BgL__ortest_1069z00_3608;
																												}
																											else
																												{	/* Eval/evaluate.scm 144 */
																													BgL_arg2469z00_3607 =
																														BgL_locz00_74;
																												}
																										}
																										BgL_funz00_2422 =
																											BGl_convz00zz__evaluatez00
																											(BgL_funz00_1531,
																											BgL_localsz00_70,
																											BgL_globalsz00_71, BFALSE,
																											BgL_wherez00_73,
																											BgL_arg2469z00_3607,
																											((bool_t) 0));
																									}
																									BgL_argsz00_2423 =
																										BGl_loopze70ze7zz__evaluatez00
																										(BgL_wherez00_73,
																										BgL_globalsz00_71,
																										BgL_localsz00_70,
																										BgL_locz00_74,
																										BgL_argsz00_1532);
																									{	/* Eval/evaluate.scm 450 */
																										BgL_ev_appz00_bglt
																											BgL_new1109z00_2424;
																										{	/* Eval/evaluate.scm 451 */
																											BgL_ev_appz00_bglt
																												BgL_new1108z00_2425;
																											BgL_new1108z00_2425 =
																												((BgL_ev_appz00_bglt)
																												BOBJECT(GC_MALLOC(sizeof
																														(struct
																															BgL_ev_appz00_bgl))));
																											{	/* Eval/evaluate.scm 451 */
																												long
																													BgL_arg2292z00_2426;
																												BgL_arg2292z00_2426 =
																													BGL_CLASS_NUM
																													(BGl_ev_appz00zz__evaluate_typesz00);
																												BGL_OBJECT_CLASS_NUM_SET
																													(((BgL_objectz00_bglt)
																														BgL_new1108z00_2425),
																													BgL_arg2292z00_2426);
																											}
																											BgL_new1109z00_2424 =
																												BgL_new1108z00_2425;
																										}
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1109z00_2424))->
																												BgL_locz00) =
																											((obj_t) BgL_locz00_74),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1109z00_2424))->
																												BgL_funz00) =
																											((BgL_ev_exprz00_bglt) (
																													(BgL_ev_exprz00_bglt)
																													BgL_funz00_2422)),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1109z00_2424))->
																												BgL_argsz00) =
																											((obj_t)
																												BgL_argsz00_2423),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1109z00_2424))->
																												BgL_tailzf3zf3) =
																											((obj_t)
																												BgL_tailzf3zf3_72),
																											BUNSPEC);
																										BgL_auxz00_5638 =
																											BgL_new1109z00_2424;
																								}}
																								return
																									((obj_t) BgL_auxz00_5638);
																							}
																						else
																							{
																								BgL_ev_appz00_bglt
																									BgL_auxz00_5654;
																								BgL_fz00_1598 =
																									BgL_carzd2303zd2_1619;
																								BgL_argsz00_1599 =
																									BgL_cdrzd2250zd2_1607;
																							BgL_tagzd2176zd2_1600:
																								{	/* Eval/evaluate.scm 603 */
																									obj_t BgL_funz00_2694;
																									obj_t BgL_argsz00_2695;

																									{	/* Eval/evaluate.scm 380 */
																										obj_t BgL_arg2469z00_3940;

																										{	/* Eval/evaluate.scm 144 */
																											obj_t
																												BgL__ortest_1069z00_3941;
																											BgL__ortest_1069z00_3941 =
																												BGl_getzd2sourcezd2locationz00zz__readerz00
																												(BgL_fz00_1598);
																											if (CBOOL
																												(BgL__ortest_1069z00_3941))
																												{	/* Eval/evaluate.scm 144 */
																													BgL_arg2469z00_3940 =
																														BgL__ortest_1069z00_3941;
																												}
																											else
																												{	/* Eval/evaluate.scm 144 */
																													BgL_arg2469z00_3940 =
																														BgL_locz00_74;
																												}
																										}
																										BgL_funz00_2694 =
																											BGl_convz00zz__evaluatez00
																											(BgL_fz00_1598,
																											BgL_localsz00_70,
																											BgL_globalsz00_71, BFALSE,
																											BgL_wherez00_73,
																											BgL_arg2469z00_3940,
																											((bool_t) 0));
																									}
																									BgL_argsz00_2695 =
																										BGl_loopze70ze7zz__evaluatez00
																										(BgL_wherez00_73,
																										BgL_globalsz00_71,
																										BgL_localsz00_70,
																										BgL_locz00_74,
																										BgL_argsz00_1599);
																									{	/* Eval/evaluate.scm 604 */
																										BgL_ev_appz00_bglt
																											BgL_new1164z00_2696;
																										{	/* Eval/evaluate.scm 605 */
																											BgL_ev_appz00_bglt
																												BgL_new1163z00_2697;
																											BgL_new1163z00_2697 =
																												((BgL_ev_appz00_bglt)
																												BOBJECT(GC_MALLOC(sizeof
																														(struct
																															BgL_ev_appz00_bgl))));
																											{	/* Eval/evaluate.scm 605 */
																												long
																													BgL_arg2462z00_2698;
																												BgL_arg2462z00_2698 =
																													BGL_CLASS_NUM
																													(BGl_ev_appz00zz__evaluate_typesz00);
																												BGL_OBJECT_CLASS_NUM_SET
																													(((BgL_objectz00_bglt)
																														BgL_new1163z00_2697),
																													BgL_arg2462z00_2698);
																											}
																											BgL_new1164z00_2696 =
																												BgL_new1163z00_2697;
																										}
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1164z00_2696))->
																												BgL_locz00) =
																											((obj_t) BgL_locz00_74),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1164z00_2696))->
																												BgL_funz00) =
																											((BgL_ev_exprz00_bglt) (
																													(BgL_ev_exprz00_bglt)
																													BgL_funz00_2694)),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1164z00_2696))->
																												BgL_argsz00) =
																											((obj_t)
																												BgL_argsz00_2695),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1164z00_2696))->
																												BgL_tailzf3zf3) =
																											((obj_t)
																												BgL_tailzf3zf3_72),
																											BUNSPEC);
																										BgL_auxz00_5654 =
																											BgL_new1164z00_2696;
																								}}
																								return
																									((obj_t) BgL_auxz00_5654);
																							}
																					}
																				else
																					{
																						BgL_ev_appz00_bglt BgL_auxz00_5670;

																						{
																							obj_t BgL_argsz00_5672;
																							obj_t BgL_fz00_5671;

																							BgL_fz00_5671 =
																								BgL_carzd2303zd2_1619;
																							BgL_argsz00_5672 =
																								BgL_cdrzd2250zd2_1607;
																							BgL_argsz00_1599 =
																								BgL_argsz00_5672;
																							BgL_fz00_1598 = BgL_fz00_5671;
																							goto BgL_tagzd2176zd2_1600;
																						}
																						return ((obj_t) BgL_auxz00_5670);
																					}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 424 */
																		obj_t BgL_carzd21010zd2_1630;

																		BgL_carzd21010zd2_1630 =
																			CAR(((obj_t) BgL_ez00_69));
																		if (SYMBOLP(BgL_carzd21010zd2_1630))
																			{	/* Eval/evaluate.scm 424 */
																				if (CBOOL
																					(BGl_convzd2varzd2zz__evaluatez00
																						(BgL_carzd21010zd2_1630,
																							BgL_localsz00_70)))
																					{
																						BgL_ev_appz00_bglt BgL_auxz00_5681;

																						{
																							obj_t BgL_argsz00_5683;
																							obj_t BgL_funz00_5682;

																							BgL_funz00_5682 =
																								BgL_carzd21010zd2_1630;
																							BgL_argsz00_5683 =
																								BgL_cdrzd2250zd2_1607;
																							BgL_argsz00_1532 =
																								BgL_argsz00_5683;
																							BgL_funz00_1531 = BgL_funz00_5682;
																							goto BgL_tagzd2152zd2_1533;
																						}
																						return ((obj_t) BgL_auxz00_5681);
																					}
																				else
																					{
																						BgL_ev_appz00_bglt BgL_auxz00_5685;

																						{
																							obj_t BgL_argsz00_5687;
																							obj_t BgL_fz00_5686;

																							BgL_fz00_5686 =
																								BgL_carzd21010zd2_1630;
																							BgL_argsz00_5687 =
																								BgL_cdrzd2250zd2_1607;
																							BgL_argsz00_1599 =
																								BgL_argsz00_5687;
																							BgL_fz00_1598 = BgL_fz00_5686;
																							goto BgL_tagzd2176zd2_1600;
																						}
																						return ((obj_t) BgL_auxz00_5685);
																					}
																			}
																		else
																			{
																				BgL_ev_appz00_bglt BgL_auxz00_5689;

																				{
																					obj_t BgL_argsz00_5691;
																					obj_t BgL_fz00_5690;

																					BgL_fz00_5690 =
																						BgL_carzd21010zd2_1630;
																					BgL_argsz00_5691 =
																						BgL_cdrzd2250zd2_1607;
																					BgL_argsz00_1599 = BgL_argsz00_5691;
																					BgL_fz00_1598 = BgL_fz00_5690;
																					goto BgL_tagzd2176zd2_1600;
																				}
																				return ((obj_t) BgL_auxz00_5689);
																			}
																	}
															}
														else
															{	/* Eval/evaluate.scm 424 */
																obj_t BgL_carzd21717zd2_1640;

																BgL_carzd21717zd2_1640 =
																	CAR(((obj_t) BgL_ez00_69));
																if (SYMBOLP(BgL_carzd21717zd2_1640))
																	{	/* Eval/evaluate.scm 424 */
																		if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																				(BgL_carzd21717zd2_1640,
																					BgL_localsz00_70)))
																			{
																				BgL_ev_appz00_bglt BgL_auxz00_5700;

																				{
																					obj_t BgL_argsz00_5702;
																					obj_t BgL_funz00_5701;

																					BgL_funz00_5701 =
																						BgL_carzd21717zd2_1640;
																					BgL_argsz00_5702 =
																						BgL_cdrzd2250zd2_1607;
																					BgL_argsz00_1532 = BgL_argsz00_5702;
																					BgL_funz00_1531 = BgL_funz00_5701;
																					goto BgL_tagzd2152zd2_1533;
																				}
																				return ((obj_t) BgL_auxz00_5700);
																			}
																		else
																			{
																				BgL_ev_appz00_bglt BgL_auxz00_5704;

																				{
																					obj_t BgL_argsz00_5706;
																					obj_t BgL_fz00_5705;

																					BgL_fz00_5705 =
																						BgL_carzd21717zd2_1640;
																					BgL_argsz00_5706 =
																						BgL_cdrzd2250zd2_1607;
																					BgL_argsz00_1599 = BgL_argsz00_5706;
																					BgL_fz00_1598 = BgL_fz00_5705;
																					goto BgL_tagzd2176zd2_1600;
																				}
																				return ((obj_t) BgL_auxz00_5704);
																			}
																	}
																else
																	{
																		BgL_ev_appz00_bglt BgL_auxz00_5708;

																		{
																			obj_t BgL_argsz00_5710;
																			obj_t BgL_fz00_5709;

																			BgL_fz00_5709 = BgL_carzd21717zd2_1640;
																			BgL_argsz00_5710 = BgL_cdrzd2250zd2_1607;
																			BgL_argsz00_1599 = BgL_argsz00_5710;
																			BgL_fz00_1598 = BgL_fz00_5709;
																			goto BgL_tagzd2176zd2_1600;
																		}
																		return ((obj_t) BgL_auxz00_5708);
																	}
															}
													}
												else
													{	/* Eval/evaluate.scm 424 */
														obj_t BgL_carzd22424zd2_1650;

														BgL_carzd22424zd2_1650 = CAR(((obj_t) BgL_ez00_69));
														if (SYMBOLP(BgL_carzd22424zd2_1650))
															{	/* Eval/evaluate.scm 424 */
																if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																		(BgL_carzd22424zd2_1650, BgL_localsz00_70)))
																	{
																		BgL_ev_appz00_bglt BgL_auxz00_5719;

																		{
																			obj_t BgL_argsz00_5721;
																			obj_t BgL_funz00_5720;

																			BgL_funz00_5720 = BgL_carzd22424zd2_1650;
																			BgL_argsz00_5721 = BgL_cdrzd2250zd2_1607;
																			BgL_argsz00_1532 = BgL_argsz00_5721;
																			BgL_funz00_1531 = BgL_funz00_5720;
																			goto BgL_tagzd2152zd2_1533;
																		}
																		return ((obj_t) BgL_auxz00_5719);
																	}
																else
																	{
																		BgL_ev_appz00_bglt BgL_auxz00_5723;

																		{
																			obj_t BgL_argsz00_5725;
																			obj_t BgL_fz00_5724;

																			BgL_fz00_5724 = BgL_carzd22424zd2_1650;
																			BgL_argsz00_5725 = BgL_cdrzd2250zd2_1607;
																			BgL_argsz00_1599 = BgL_argsz00_5725;
																			BgL_fz00_1598 = BgL_fz00_5724;
																			goto BgL_tagzd2176zd2_1600;
																		}
																		return ((obj_t) BgL_auxz00_5723);
																	}
															}
														else
															{
																BgL_ev_appz00_bglt BgL_auxz00_5727;

																{
																	obj_t BgL_argsz00_5729;
																	obj_t BgL_fz00_5728;

																	BgL_fz00_5728 = BgL_carzd22424zd2_1650;
																	BgL_argsz00_5729 = BgL_cdrzd2250zd2_1607;
																	BgL_argsz00_1599 = BgL_argsz00_5729;
																	BgL_fz00_1598 = BgL_fz00_5728;
																	goto BgL_tagzd2176zd2_1600;
																}
																return ((obj_t) BgL_auxz00_5727);
															}
													}
											}
										else
											{	/* Eval/evaluate.scm 424 */
												obj_t BgL_carzd23131zd2_1660;

												BgL_carzd23131zd2_1660 = CAR(((obj_t) BgL_ez00_69));
												if (SYMBOLP(BgL_carzd23131zd2_1660))
													{	/* Eval/evaluate.scm 424 */
														if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																(BgL_carzd23131zd2_1660, BgL_localsz00_70)))
															{
																BgL_ev_appz00_bglt BgL_auxz00_5738;

																{
																	obj_t BgL_argsz00_5740;
																	obj_t BgL_funz00_5739;

																	BgL_funz00_5739 = BgL_carzd23131zd2_1660;
																	BgL_argsz00_5740 = BgL_cdrzd2250zd2_1607;
																	BgL_argsz00_1532 = BgL_argsz00_5740;
																	BgL_funz00_1531 = BgL_funz00_5739;
																	goto BgL_tagzd2152zd2_1533;
																}
																return ((obj_t) BgL_auxz00_5738);
															}
														else
															{
																BgL_ev_appz00_bglt BgL_auxz00_5742;

																{
																	obj_t BgL_argsz00_5744;
																	obj_t BgL_fz00_5743;

																	BgL_fz00_5743 = BgL_carzd23131zd2_1660;
																	BgL_argsz00_5744 = BgL_cdrzd2250zd2_1607;
																	BgL_argsz00_1599 = BgL_argsz00_5744;
																	BgL_fz00_1598 = BgL_fz00_5743;
																	goto BgL_tagzd2176zd2_1600;
																}
																return ((obj_t) BgL_auxz00_5742);
															}
													}
												else
													{
														BgL_ev_appz00_bglt BgL_auxz00_5746;

														{
															obj_t BgL_argsz00_5748;
															obj_t BgL_fz00_5747;

															BgL_fz00_5747 = BgL_carzd23131zd2_1660;
															BgL_argsz00_5748 = BgL_cdrzd2250zd2_1607;
															BgL_argsz00_1599 = BgL_argsz00_5748;
															BgL_fz00_1598 = BgL_fz00_5747;
															goto BgL_tagzd2176zd2_1600;
														}
														return ((obj_t) BgL_auxz00_5746);
													}
											}
									}
								else
									{	/* Eval/evaluate.scm 424 */
										if (
											(CAR(
													((obj_t) BgL_ez00_69)) ==
												BGl_symbol3052z00zz__evaluatez00))
											{	/* Eval/evaluate.scm 424 */
												BgL_lz00_1529 = BgL_cdrzd2250zd2_1607;
												{	/* Eval/evaluate.scm 442 */
													bool_t BgL_test3254z00_5754;

													if (PAIRP(BgL_lz00_1529))
														{	/* Eval/evaluate.scm 442 */
															bool_t BgL_test3256z00_5757;

															{	/* Eval/evaluate.scm 442 */
																obj_t BgL_tmpz00_5758;

																BgL_tmpz00_5758 = CDR(BgL_lz00_1529);
																BgL_test3256z00_5757 = PAIRP(BgL_tmpz00_5758);
															}
															if (BgL_test3256z00_5757)
																{
																	obj_t BgL_l1215z00_2413;

																	BgL_l1215z00_2413 = BgL_lz00_1529;
																BgL_zc3z04anonymousza32287ze3z87_2414:
																	if (NULLP(BgL_l1215z00_2413))
																		{	/* Eval/evaluate.scm 442 */
																			BgL_test3254z00_5754 = ((bool_t) 1);
																		}
																	else
																		{	/* Eval/evaluate.scm 442 */
																			bool_t BgL_test3258z00_5763;

																			{	/* Eval/evaluate.scm 442 */
																				obj_t BgL_tmpz00_5764;

																				BgL_tmpz00_5764 =
																					CAR(((obj_t) BgL_l1215z00_2413));
																				BgL_test3258z00_5763 =
																					SYMBOLP(BgL_tmpz00_5764);
																			}
																			if (BgL_test3258z00_5763)
																				{
																					obj_t BgL_l1215z00_5768;

																					BgL_l1215z00_5768 =
																						CDR(((obj_t) BgL_l1215z00_2413));
																					BgL_l1215z00_2413 = BgL_l1215z00_5768;
																					goto
																						BgL_zc3z04anonymousza32287ze3z87_2414;
																				}
																			else
																				{	/* Eval/evaluate.scm 442 */
																					BgL_test3254z00_5754 = ((bool_t) 0);
																				}
																		}
																}
															else
																{	/* Eval/evaluate.scm 442 */
																	BgL_test3254z00_5754 = ((bool_t) 0);
																}
														}
													else
														{	/* Eval/evaluate.scm 442 */
															BgL_test3254z00_5754 = ((bool_t) 0);
														}
													if (BgL_test3254z00_5754)
														{	/* Eval/evaluate.scm 442 */
															BGL_TAIL return
																BGl_convzd2fieldzd2refz00zz__evaluatez00
																(BgL_ez00_69, BgL_localsz00_70,
																BgL_globalsz00_71, BgL_tailzf3zf3_72,
																BgL_wherez00_73, BgL_locz00_74,
																BgL_topzf3zf3_75);
														}
													else
														{	/* Eval/evaluate.scm 442 */
															return
																BGl_evcompilezd2errorzd2zz__evcompilez00
																(BgL_locz00_74,
																BGl_string2967z00zz__evaluatez00,
																BGl_string3042z00zz__evaluatez00, BgL_ez00_69);
														}
												}
											}
										else
											{	/* Eval/evaluate.scm 424 */
												obj_t BgL_carzd23841zd2_1673;

												BgL_carzd23841zd2_1673 = CAR(((obj_t) BgL_ez00_69));
												if (SYMBOLP(BgL_carzd23841zd2_1673))
													{	/* Eval/evaluate.scm 424 */
														if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																(BgL_carzd23841zd2_1673, BgL_localsz00_70)))
															{
																BgL_ev_appz00_bglt BgL_auxz00_5780;

																{
																	obj_t BgL_argsz00_5782;
																	obj_t BgL_funz00_5781;

																	BgL_funz00_5781 = BgL_carzd23841zd2_1673;
																	BgL_argsz00_5782 = BgL_cdrzd2250zd2_1607;
																	BgL_argsz00_1532 = BgL_argsz00_5782;
																	BgL_funz00_1531 = BgL_funz00_5781;
																	goto BgL_tagzd2152zd2_1533;
																}
																return ((obj_t) BgL_auxz00_5780);
															}
														else
															{	/* Eval/evaluate.scm 424 */
																if (
																	(BgL_carzd23841zd2_1673 ==
																		BGl_symbol3054z00zz__evaluatez00))
																	{	/* Eval/evaluate.scm 424 */
																		if (PAIRP(BgL_cdrzd2250zd2_1607))
																			{	/* Eval/evaluate.scm 424 */
																				if (NULLP(CDR(BgL_cdrzd2250zd2_1607)))
																					{	/* Eval/evaluate.scm 424 */
																						obj_t BgL_arg1635z00_1684;

																						BgL_arg1635z00_1684 =
																							CAR(BgL_cdrzd2250zd2_1607);
																						{	/* Eval/evaluate.scm 456 */
																							BgL_ev_trapz00_bglt
																								BgL_new1112z00_3997;
																							{	/* Eval/evaluate.scm 457 */
																								BgL_ev_trapz00_bglt
																									BgL_new1110z00_3998;
																								BgL_new1110z00_3998 =
																									((BgL_ev_trapz00_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_ev_trapz00_bgl))));
																								{	/* Eval/evaluate.scm 457 */
																									long BgL_arg2293z00_3999;

																									BgL_arg2293z00_3999 =
																										BGL_CLASS_NUM
																										(BGl_ev_trapz00zz__evaluate_typesz00);
																									BGL_OBJECT_CLASS_NUM_SET((
																											(BgL_objectz00_bglt)
																											BgL_new1110z00_3998),
																										BgL_arg2293z00_3999);
																								}
																								BgL_new1112z00_3997 =
																									BgL_new1110z00_3998;
																							}
																							{
																								BgL_ev_exprz00_bglt
																									BgL_auxz00_5796;
																								{	/* Eval/evaluate.scm 380 */
																									obj_t BgL_arg2469z00_4003;

																									BgL_arg2469z00_4003 =
																										BGl_getzd2locationzd2zz__evaluatez00
																										(BgL_arg1635z00_1684,
																										BgL_locz00_74);
																									BgL_auxz00_5796 =
																										((BgL_ev_exprz00_bglt)
																										BGl_uconvzf2locze70z15zz__evaluatez00
																										(BgL_wherez00_73,
																											BgL_globalsz00_71,
																											BgL_localsz00_70,
																											BgL_arg1635z00_1684,
																											BgL_arg2469z00_4003));
																								}
																								((((BgL_ev_hookz00_bglt)
																											COBJECT((
																													(BgL_ev_hookz00_bglt)
																													BgL_new1112z00_3997)))->
																										BgL_ez00) =
																									((BgL_ev_exprz00_bglt)
																										BgL_auxz00_5796), BUNSPEC);
																							}
																							return
																								((obj_t) BgL_new1112z00_3997);
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 424 */
																						obj_t BgL_arg1638z00_1685;
																						obj_t BgL_arg1639z00_1686;

																						BgL_arg1638z00_1685 =
																							CAR(((obj_t) BgL_ez00_69));
																						BgL_arg1639z00_1686 =
																							CDR(((obj_t) BgL_ez00_69));
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_5807;
																							{
																								obj_t BgL_argsz00_5809;
																								obj_t BgL_fz00_5808;

																								BgL_fz00_5808 =
																									BgL_arg1638z00_1685;
																								BgL_argsz00_5809 =
																									BgL_arg1639z00_1686;
																								BgL_argsz00_1599 =
																									BgL_argsz00_5809;
																								BgL_fz00_1598 = BgL_fz00_5808;
																								goto BgL_tagzd2176zd2_1600;
																							}
																							return ((obj_t) BgL_auxz00_5807);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 424 */
																				obj_t BgL_arg1641z00_1688;
																				obj_t BgL_arg1642z00_1689;

																				BgL_arg1641z00_1688 =
																					CAR(((obj_t) BgL_ez00_69));
																				BgL_arg1642z00_1689 =
																					CDR(((obj_t) BgL_ez00_69));
																				{
																					BgL_ev_appz00_bglt BgL_auxz00_5815;

																					{
																						obj_t BgL_argsz00_5817;
																						obj_t BgL_fz00_5816;

																						BgL_fz00_5816 = BgL_arg1641z00_1688;
																						BgL_argsz00_5817 =
																							BgL_arg1642z00_1689;
																						BgL_argsz00_1599 = BgL_argsz00_5817;
																						BgL_fz00_1598 = BgL_fz00_5816;
																						goto BgL_tagzd2176zd2_1600;
																					}
																					return ((obj_t) BgL_auxz00_5815);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 424 */
																		obj_t BgL_cdrzd24514zd2_1690;

																		BgL_cdrzd24514zd2_1690 =
																			CDR(((obj_t) BgL_ez00_69));
																		if (
																			(CAR(
																					((obj_t) BgL_ez00_69)) ==
																				BGl_symbol3019z00zz__evaluatez00))
																			{	/* Eval/evaluate.scm 424 */
																				if (PAIRP(BgL_cdrzd24514zd2_1690))
																					{	/* Eval/evaluate.scm 424 */
																						if (NULLP(CDR
																								(BgL_cdrzd24514zd2_1690)))
																							{	/* Eval/evaluate.scm 424 */
																								obj_t BgL_arg1648z00_1696;

																								BgL_arg1648z00_1696 =
																									CAR(BgL_cdrzd24514zd2_1690);
																								{	/* Eval/evaluate.scm 459 */
																									BgL_ev_littz00_bglt
																										BgL_new1115z00_4012;
																									{	/* Eval/evaluate.scm 460 */
																										BgL_ev_littz00_bglt
																											BgL_new1113z00_4013;
																										BgL_new1113z00_4013 =
																											((BgL_ev_littz00_bglt)
																											BOBJECT(GC_MALLOC(sizeof
																													(struct
																														BgL_ev_littz00_bgl))));
																										{	/* Eval/evaluate.scm 460 */
																											long BgL_arg2294z00_4014;

																											BgL_arg2294z00_4014 =
																												BGL_CLASS_NUM
																												(BGl_ev_littz00zz__evaluate_typesz00);
																											BGL_OBJECT_CLASS_NUM_SET((
																													(BgL_objectz00_bglt)
																													BgL_new1113z00_4013),
																												BgL_arg2294z00_4014);
																										}
																										BgL_new1115z00_4012 =
																											BgL_new1113z00_4013;
																									}
																									((((BgL_ev_littz00_bglt)
																												COBJECT
																												(BgL_new1115z00_4012))->
																											BgL_valuez00) =
																										((obj_t)
																											BgL_arg1648z00_1696),
																										BUNSPEC);
																									return ((obj_t)
																										BgL_new1115z00_4012);
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 424 */
																								obj_t BgL_arg1649z00_1697;

																								BgL_arg1649z00_1697 =
																									CAR(((obj_t) BgL_ez00_69));
																								{
																									BgL_ev_appz00_bglt
																										BgL_auxz00_5839;
																									{
																										obj_t BgL_argsz00_5841;
																										obj_t BgL_fz00_5840;

																										BgL_fz00_5840 =
																											BgL_arg1649z00_1697;
																										BgL_argsz00_5841 =
																											BgL_cdrzd24514zd2_1690;
																										BgL_argsz00_1599 =
																											BgL_argsz00_5841;
																										BgL_fz00_1598 =
																											BgL_fz00_5840;
																										goto BgL_tagzd2176zd2_1600;
																									}
																									return
																										((obj_t) BgL_auxz00_5839);
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 424 */
																						obj_t BgL_arg1655z00_1700;

																						BgL_arg1655z00_1700 =
																							CAR(((obj_t) BgL_ez00_69));
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_5845;
																							{
																								obj_t BgL_argsz00_5847;
																								obj_t BgL_fz00_5846;

																								BgL_fz00_5846 =
																									BgL_arg1655z00_1700;
																								BgL_argsz00_5847 =
																									BgL_cdrzd24514zd2_1690;
																								BgL_argsz00_1599 =
																									BgL_argsz00_5847;
																								BgL_fz00_1598 = BgL_fz00_5846;
																								goto BgL_tagzd2176zd2_1600;
																							}
																							return ((obj_t) BgL_auxz00_5845);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 424 */
																				if (
																					(CAR(
																							((obj_t) BgL_ez00_69)) ==
																						BGl_symbol3027z00zz__evaluatez00))
																					{	/* Eval/evaluate.scm 424 */
																						if (PAIRP(BgL_cdrzd24514zd2_1690))
																							{	/* Eval/evaluate.scm 424 */
																								obj_t BgL_cdrzd25128zd2_1706;

																								BgL_cdrzd25128zd2_1706 =
																									CDR(BgL_cdrzd24514zd2_1690);
																								if (PAIRP
																									(BgL_cdrzd25128zd2_1706))
																									{	/* Eval/evaluate.scm 424 */
																										obj_t
																											BgL_cdrzd25133zd2_1708;
																										BgL_cdrzd25133zd2_1708 =
																											CDR
																											(BgL_cdrzd25128zd2_1706);
																										if (PAIRP
																											(BgL_cdrzd25133zd2_1708))
																											{	/* Eval/evaluate.scm 424 */
																												if (NULLP(CDR
																														(BgL_cdrzd25133zd2_1708)))
																													{	/* Eval/evaluate.scm 424 */
																														obj_t
																															BgL_arg1664z00_1712;
																														obj_t
																															BgL_arg1665z00_1713;
																														obj_t
																															BgL_arg1666z00_1714;
																														BgL_arg1664z00_1712
																															=
																															CAR
																															(BgL_cdrzd24514zd2_1690);
																														BgL_arg1665z00_1713
																															=
																															CAR
																															(BgL_cdrzd25128zd2_1706);
																														BgL_arg1666z00_1714
																															=
																															CAR
																															(BgL_cdrzd25133zd2_1708);
																														{
																															BgL_ev_ifz00_bglt
																																BgL_auxz00_5867;
																															BgL_pz00_1538 =
																																BgL_arg1664z00_1712;
																															BgL_tz00_1539 =
																																BgL_arg1665z00_1713;
																															BgL_oz00_1540 =
																																BgL_arg1666z00_1714;
																														BgL_tagzd2155zd2_1541:
																															{	/* Eval/evaluate.scm 462 */
																																BgL_ev_ifz00_bglt
																																	BgL_new1118z00_2433;
																																{	/* Eval/evaluate.scm 463 */
																																	BgL_ev_ifz00_bglt
																																		BgL_new1116z00_2437;
																																	BgL_new1116z00_2437
																																		=
																																		(
																																		(BgL_ev_ifz00_bglt)
																																		BOBJECT
																																		(GC_MALLOC
																																			(sizeof
																																				(struct
																																					BgL_ev_ifz00_bgl))));
																																	{	/* Eval/evaluate.scm 463 */
																																		long
																																			BgL_arg2301z00_2438;
																																		BgL_arg2301z00_2438
																																			=
																																			BGL_CLASS_NUM
																																			(BGl_ev_ifz00zz__evaluate_typesz00);
																																		BGL_OBJECT_CLASS_NUM_SET
																																			(((BgL_objectz00_bglt) BgL_new1116z00_2437), BgL_arg2301z00_2438);
																																	}
																																	BgL_new1118z00_2433
																																		=
																																		BgL_new1116z00_2437;
																																}
																																{
																																	BgL_ev_exprz00_bglt
																																		BgL_auxz00_5872;
																																	{	/* Eval/evaluate.scm 463 */
																																		obj_t
																																			BgL_arg2295z00_2434;
																																		{	/* Eval/evaluate.scm 144 */
																																			obj_t
																																				BgL__ortest_1069z00_3629;
																																			BgL__ortest_1069z00_3629
																																				=
																																				BGl_getzd2sourcezd2locationz00zz__readerz00
																																				(BgL_pz00_1538);
																																			if (CBOOL
																																				(BgL__ortest_1069z00_3629))
																																				{	/* Eval/evaluate.scm 144 */
																																					BgL_arg2295z00_2434
																																						=
																																						BgL__ortest_1069z00_3629;
																																				}
																																			else
																																				{	/* Eval/evaluate.scm 144 */
																																					BgL_arg2295z00_2434
																																						=
																																						BgL_locz00_74;
																																				}
																																		}
																																		BgL_auxz00_5872
																																			=
																																			(
																																			(BgL_ev_exprz00_bglt)
																																			BGl_convz00zz__evaluatez00
																																			(BgL_pz00_1538,
																																				BgL_localsz00_70,
																																				BgL_globalsz00_71,
																																				BFALSE,
																																				BgL_wherez00_73,
																																				BgL_arg2295z00_2434,
																																				((bool_t) 0)));
																																	}
																																	((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1118z00_2433))->BgL_pz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5872), BUNSPEC);
																																}
																																{
																																	BgL_ev_exprz00_bglt
																																		BgL_auxz00_5879;
																																	{	/* Eval/evaluate.scm 464 */
																																		obj_t
																																			BgL_arg2298z00_2435;
																																		{	/* Eval/evaluate.scm 144 */
																																			obj_t
																																				BgL__ortest_1069z00_3630;
																																			BgL__ortest_1069z00_3630
																																				=
																																				BGl_getzd2sourcezd2locationz00zz__readerz00
																																				(BgL_tz00_1539);
																																			if (CBOOL
																																				(BgL__ortest_1069z00_3630))
																																				{	/* Eval/evaluate.scm 144 */
																																					BgL_arg2298z00_2435
																																						=
																																						BgL__ortest_1069z00_3630;
																																				}
																																			else
																																				{	/* Eval/evaluate.scm 144 */
																																					BgL_arg2298z00_2435
																																						=
																																						BgL_locz00_74;
																																				}
																																		}
																																		BgL_auxz00_5879
																																			=
																																			(
																																			(BgL_ev_exprz00_bglt)
																																			BGl_convz00zz__evaluatez00
																																			(BgL_tz00_1539,
																																				BgL_localsz00_70,
																																				BgL_globalsz00_71,
																																				BgL_tailzf3zf3_72,
																																				BgL_wherez00_73,
																																				BgL_arg2298z00_2435,
																																				((bool_t) 0)));
																																	}
																																	((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1118z00_2433))->BgL_tz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5879), BUNSPEC);
																																}
																																{
																																	BgL_ev_exprz00_bglt
																																		BgL_auxz00_5886;
																																	{	/* Eval/evaluate.scm 465 */
																																		obj_t
																																			BgL_arg2300z00_2436;
																																		{	/* Eval/evaluate.scm 144 */
																																			obj_t
																																				BgL__ortest_1069z00_3631;
																																			BgL__ortest_1069z00_3631
																																				=
																																				BGl_getzd2sourcezd2locationz00zz__readerz00
																																				(BgL_oz00_1540);
																																			if (CBOOL
																																				(BgL__ortest_1069z00_3631))
																																				{	/* Eval/evaluate.scm 144 */
																																					BgL_arg2300z00_2436
																																						=
																																						BgL__ortest_1069z00_3631;
																																				}
																																			else
																																				{	/* Eval/evaluate.scm 144 */
																																					BgL_arg2300z00_2436
																																						=
																																						BgL_locz00_74;
																																				}
																																		}
																																		BgL_auxz00_5886
																																			=
																																			(
																																			(BgL_ev_exprz00_bglt)
																																			BGl_convz00zz__evaluatez00
																																			(BgL_oz00_1540,
																																				BgL_localsz00_70,
																																				BgL_globalsz00_71,
																																				BgL_tailzf3zf3_72,
																																				BgL_wherez00_73,
																																				BgL_arg2300z00_2436,
																																				((bool_t) 0)));
																																	}
																																	((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1118z00_2433))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5886), BUNSPEC);
																																}
																																BgL_auxz00_5867
																																	=
																																	BgL_new1118z00_2433;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_5867);
																														}
																													}
																												else
																													{	/* Eval/evaluate.scm 424 */
																														obj_t
																															BgL_arg1667z00_1715;
																														obj_t
																															BgL_arg1668z00_1716;
																														BgL_arg1667z00_1715
																															=
																															CAR(((obj_t)
																																BgL_ez00_69));
																														BgL_arg1668z00_1716
																															=
																															CDR(((obj_t)
																																BgL_ez00_69));
																														{
																															BgL_ev_appz00_bglt
																																BgL_auxz00_5898;
																															{
																																obj_t
																																	BgL_argsz00_5900;
																																obj_t
																																	BgL_fz00_5899;
																																BgL_fz00_5899 =
																																	BgL_arg1667z00_1715;
																																BgL_argsz00_5900
																																	=
																																	BgL_arg1668z00_1716;
																																BgL_argsz00_1599
																																	=
																																	BgL_argsz00_5900;
																																BgL_fz00_1598 =
																																	BgL_fz00_5899;
																																goto
																																	BgL_tagzd2176zd2_1600;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_5898);
																														}
																													}
																											}
																										else
																											{	/* Eval/evaluate.scm 424 */
																												obj_t
																													BgL_cdrzd25433zd2_1718;
																												BgL_cdrzd25433zd2_1718 =
																													CDR(((obj_t)
																														BgL_ez00_69));
																												{	/* Eval/evaluate.scm 424 */
																													obj_t
																														BgL_cdrzd25439zd2_1719;
																													BgL_cdrzd25439zd2_1719
																														=
																														CDR(((obj_t)
																															BgL_cdrzd25433zd2_1718));
																													if (NULLP(CDR(((obj_t)
																																	BgL_cdrzd25439zd2_1719))))
																														{	/* Eval/evaluate.scm 424 */
																															obj_t
																																BgL_arg1673z00_1722;
																															obj_t
																																BgL_arg1674z00_1723;
																															BgL_arg1673z00_1722
																																=
																																CAR(((obj_t)
																																	BgL_cdrzd25433zd2_1718));
																															BgL_arg1674z00_1723
																																=
																																CAR(((obj_t)
																																	BgL_cdrzd25439zd2_1719));
																															{
																																BgL_ev_ifz00_bglt
																																	BgL_auxz00_5914;
																																BgL_pz00_1542 =
																																	BgL_arg1673z00_1722;
																																BgL_tz00_1543 =
																																	BgL_arg1674z00_1723;
																															BgL_tagzd2156zd2_1544:
																																{	/* Eval/evaluate.scm 467 */
																																	BgL_ev_ifz00_bglt
																																		BgL_new1121z00_2439;
																																	{	/* Eval/evaluate.scm 468 */
																																		BgL_ev_ifz00_bglt
																																			BgL_new1120z00_2443;
																																		BgL_new1120z00_2443
																																			=
																																			(
																																			(BgL_ev_ifz00_bglt)
																																			BOBJECT
																																			(GC_MALLOC
																																				(sizeof
																																					(struct
																																						BgL_ev_ifz00_bgl))));
																																		{	/* Eval/evaluate.scm 468 */
																																			long
																																				BgL_arg2307z00_2444;
																																			BgL_arg2307z00_2444
																																				=
																																				BGL_CLASS_NUM
																																				(BGl_ev_ifz00zz__evaluate_typesz00);
																																			BGL_OBJECT_CLASS_NUM_SET
																																				(((BgL_objectz00_bglt) BgL_new1120z00_2443), BgL_arg2307z00_2444);
																																		}
																																		BgL_new1121z00_2439
																																			=
																																			BgL_new1120z00_2443;
																																	}
																																	{
																																		BgL_ev_exprz00_bglt
																																			BgL_auxz00_5919;
																																		{	/* Eval/evaluate.scm 468 */
																																			obj_t
																																				BgL_arg2302z00_2440;
																																			{	/* Eval/evaluate.scm 144 */
																																				obj_t
																																					BgL__ortest_1069z00_3635;
																																				BgL__ortest_1069z00_3635
																																					=
																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																					(BgL_pz00_1542);
																																				if (CBOOL(BgL__ortest_1069z00_3635))
																																					{	/* Eval/evaluate.scm 144 */
																																						BgL_arg2302z00_2440
																																							=
																																							BgL__ortest_1069z00_3635;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 144 */
																																						BgL_arg2302z00_2440
																																							=
																																							BgL_locz00_74;
																																					}
																																			}
																																			BgL_auxz00_5919
																																				=
																																				(
																																				(BgL_ev_exprz00_bglt)
																																				BGl_convz00zz__evaluatez00
																																				(BgL_pz00_1542,
																																					BgL_localsz00_70,
																																					BgL_globalsz00_71,
																																					BFALSE,
																																					BgL_wherez00_73,
																																					BgL_arg2302z00_2440,
																																					((bool_t) 0)));
																																		}
																																		((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1121z00_2439))->BgL_pz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5919), BUNSPEC);
																																	}
																																	{
																																		BgL_ev_exprz00_bglt
																																			BgL_auxz00_5926;
																																		{	/* Eval/evaluate.scm 469 */
																																			obj_t
																																				BgL_arg2303z00_2441;
																																			{	/* Eval/evaluate.scm 144 */
																																				obj_t
																																					BgL__ortest_1069z00_3636;
																																				BgL__ortest_1069z00_3636
																																					=
																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																					(BgL_tz00_1543);
																																				if (CBOOL(BgL__ortest_1069z00_3636))
																																					{	/* Eval/evaluate.scm 144 */
																																						BgL_arg2303z00_2441
																																							=
																																							BgL__ortest_1069z00_3636;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 144 */
																																						BgL_arg2303z00_2441
																																							=
																																							BgL_locz00_74;
																																					}
																																			}
																																			BgL_auxz00_5926
																																				=
																																				(
																																				(BgL_ev_exprz00_bglt)
																																				BGl_convz00zz__evaluatez00
																																				(BgL_tz00_1543,
																																					BgL_localsz00_70,
																																					BgL_globalsz00_71,
																																					BgL_tailzf3zf3_72,
																																					BgL_wherez00_73,
																																					BgL_arg2303z00_2441,
																																					((bool_t) 0)));
																																		}
																																		((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1121z00_2439))->BgL_tz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5926), BUNSPEC);
																																	}
																																	{
																																		BgL_ev_exprz00_bglt
																																			BgL_auxz00_5933;
																																		{	/* Eval/evaluate.scm 470 */
																																			obj_t
																																				BgL_arg2305z00_2442;
																																			{	/* Eval/evaluate.scm 144 */
																																				obj_t
																																					BgL__ortest_1069z00_3637;
																																				BgL__ortest_1069z00_3637
																																					=
																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																					(BFALSE);
																																				if (CBOOL(BgL__ortest_1069z00_3637))
																																					{	/* Eval/evaluate.scm 144 */
																																						BgL_arg2305z00_2442
																																							=
																																							BgL__ortest_1069z00_3637;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 144 */
																																						BgL_arg2305z00_2442
																																							=
																																							BgL_locz00_74;
																																					}
																																			}
																																			BgL_auxz00_5933
																																				=
																																				(
																																				(BgL_ev_exprz00_bglt)
																																				BGl_convz00zz__evaluatez00
																																				(BgL_ez00_69,
																																					BgL_localsz00_70,
																																					BgL_globalsz00_71,
																																					BgL_tailzf3zf3_72,
																																					BgL_wherez00_73,
																																					BgL_arg2305z00_2442,
																																					((bool_t) 0)));
																																		}
																																		((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1121z00_2439))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5933), BUNSPEC);
																																	}
																																	BgL_auxz00_5914
																																		=
																																		BgL_new1121z00_2439;
																																}
																																return
																																	((obj_t)
																																	BgL_auxz00_5914);
																															}
																														}
																													else
																														{	/* Eval/evaluate.scm 424 */
																															obj_t
																																BgL_arg1675z00_1724;
																															BgL_arg1675z00_1724
																																=
																																CAR(((obj_t)
																																	BgL_ez00_69));
																															{
																																BgL_ev_appz00_bglt
																																	BgL_auxz00_5943;
																																{
																																	obj_t
																																		BgL_argsz00_5945;
																																	obj_t
																																		BgL_fz00_5944;
																																	BgL_fz00_5944
																																		=
																																		BgL_arg1675z00_1724;
																																	BgL_argsz00_5945
																																		=
																																		BgL_cdrzd25433zd2_1718;
																																	BgL_argsz00_1599
																																		=
																																		BgL_argsz00_5945;
																																	BgL_fz00_1598
																																		=
																																		BgL_fz00_5944;
																																	goto
																																		BgL_tagzd2176zd2_1600;
																																}
																																return
																																	((obj_t)
																																	BgL_auxz00_5943);
																															}
																														}
																												}
																											}
																									}
																								else
																									{	/* Eval/evaluate.scm 424 */
																										obj_t BgL_arg1678z00_1727;
																										obj_t BgL_arg1679z00_1728;

																										BgL_arg1678z00_1727 =
																											CAR(
																											((obj_t) BgL_ez00_69));
																										BgL_arg1679z00_1728 =
																											CDR(
																											((obj_t) BgL_ez00_69));
																										{
																											BgL_ev_appz00_bglt
																												BgL_auxz00_5951;
																											{
																												obj_t BgL_argsz00_5953;
																												obj_t BgL_fz00_5952;

																												BgL_fz00_5952 =
																													BgL_arg1678z00_1727;
																												BgL_argsz00_5953 =
																													BgL_arg1679z00_1728;
																												BgL_argsz00_1599 =
																													BgL_argsz00_5953;
																												BgL_fz00_1598 =
																													BgL_fz00_5952;
																												goto
																													BgL_tagzd2176zd2_1600;
																											}
																											return
																												((obj_t)
																												BgL_auxz00_5951);
																										}
																									}
																							}
																						else
																							{	/* Eval/evaluate.scm 424 */
																								obj_t BgL_arg1680z00_1729;
																								obj_t BgL_arg1682z00_1730;

																								BgL_arg1680z00_1729 =
																									CAR(((obj_t) BgL_ez00_69));
																								BgL_arg1682z00_1730 =
																									CDR(((obj_t) BgL_ez00_69));
																								{
																									BgL_ev_appz00_bglt
																										BgL_auxz00_5959;
																									{
																										obj_t BgL_argsz00_5961;
																										obj_t BgL_fz00_5960;

																										BgL_fz00_5960 =
																											BgL_arg1680z00_1729;
																										BgL_argsz00_5961 =
																											BgL_arg1682z00_1730;
																										BgL_argsz00_1599 =
																											BgL_argsz00_5961;
																										BgL_fz00_1598 =
																											BgL_fz00_5960;
																										goto BgL_tagzd2176zd2_1600;
																									}
																									return
																										((obj_t) BgL_auxz00_5959);
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 424 */
																						if (
																							(CAR(
																									((obj_t) BgL_ez00_69)) ==
																								BGl_symbol3056z00zz__evaluatez00))
																							{	/* Eval/evaluate.scm 424 */
																								obj_t BgL_arg1691z00_1733;

																								BgL_arg1691z00_1733 =
																									CDR(((obj_t) BgL_ez00_69));
																								{	/* Eval/evaluate.scm 472 */
																									BgL_ev_orz00_bglt
																										BgL_new1124z00_4045;
																									{	/* Eval/evaluate.scm 473 */
																										BgL_ev_orz00_bglt
																											BgL_new1123z00_4046;
																										BgL_new1123z00_4046 =
																											((BgL_ev_orz00_bglt)
																											BOBJECT(GC_MALLOC(sizeof
																													(struct
																														BgL_ev_orz00_bgl))));
																										{	/* Eval/evaluate.scm 473 */
																											long BgL_arg2308z00_4047;

																											BgL_arg2308z00_4047 =
																												BGL_CLASS_NUM
																												(BGl_ev_orz00zz__evaluate_typesz00);
																											BGL_OBJECT_CLASS_NUM_SET((
																													(BgL_objectz00_bglt)
																													BgL_new1123z00_4046),
																												BgL_arg2308z00_4047);
																										}
																										BgL_new1124z00_4045 =
																											BgL_new1123z00_4046;
																									}
																									((((BgL_ev_listz00_bglt)
																												COBJECT((
																														(BgL_ev_listz00_bglt)
																														BgL_new1124z00_4045)))->
																											BgL_argsz00) =
																										((obj_t)
																											BGl_loopze70ze7zz__evaluatez00
																											(BgL_wherez00_73,
																												BgL_globalsz00_71,
																												BgL_localsz00_70,
																												BgL_locz00_74,
																												BgL_arg1691z00_1733)),
																										BUNSPEC);
																									return ((obj_t)
																										BgL_new1124z00_4045);
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 424 */
																								if (
																									(CAR(
																											((obj_t) BgL_ez00_69)) ==
																										BGl_symbol3058z00zz__evaluatez00))
																									{	/* Eval/evaluate.scm 424 */
																										obj_t BgL_arg1695z00_1736;

																										BgL_arg1695z00_1736 =
																											CDR(
																											((obj_t) BgL_ez00_69));
																										{	/* Eval/evaluate.scm 475 */
																											BgL_ev_andz00_bglt
																												BgL_new1126z00_4053;
																											{	/* Eval/evaluate.scm 476 */
																												BgL_ev_andz00_bglt
																													BgL_new1125z00_4054;
																												BgL_new1125z00_4054 =
																													((BgL_ev_andz00_bglt)
																													BOBJECT(GC_MALLOC
																														(sizeof(struct
																																BgL_ev_andz00_bgl))));
																												{	/* Eval/evaluate.scm 476 */
																													long
																														BgL_arg2309z00_4055;
																													BgL_arg2309z00_4055 =
																														BGL_CLASS_NUM
																														(BGl_ev_andz00zz__evaluate_typesz00);
																													BGL_OBJECT_CLASS_NUM_SET
																														(((BgL_objectz00_bglt) BgL_new1125z00_4054), BgL_arg2309z00_4055);
																												}
																												BgL_new1126z00_4053 =
																													BgL_new1125z00_4054;
																											}
																											((((BgL_ev_listz00_bglt)
																														COBJECT((
																																(BgL_ev_listz00_bglt)
																																BgL_new1126z00_4053)))->
																													BgL_argsz00) =
																												((obj_t)
																													BGl_loopze70ze7zz__evaluatez00
																													(BgL_wherez00_73,
																														BgL_globalsz00_71,
																														BgL_localsz00_70,
																														BgL_locz00_74,
																														BgL_arg1695z00_1736)),
																												BUNSPEC);
																											return ((obj_t)
																												BgL_new1126z00_4053);
																										}
																									}
																								else
																									{	/* Eval/evaluate.scm 424 */
																										if (
																											(CAR(
																													((obj_t) BgL_ez00_69))
																												==
																												BGl_symbol3043z00zz__evaluatez00))
																											{	/* Eval/evaluate.scm 424 */
																												obj_t
																													BgL_arg1699z00_1739;
																												BgL_arg1699z00_1739 =
																													CDR(((obj_t)
																														BgL_ez00_69));
																												BGL_TAIL return
																													BGl_convzd2beginzd2zz__evaluatez00
																													(BgL_arg1699z00_1739,
																													BgL_localsz00_70,
																													BgL_globalsz00_71,
																													BgL_tailzf3zf3_72,
																													BgL_wherez00_73,
																													BgL_locz00_74,
																													BgL_topzf3zf3_75);
																											}
																										else
																											{	/* Eval/evaluate.scm 424 */
																												obj_t
																													BgL_cdrzd26338zd2_1740;
																												BgL_cdrzd26338zd2_1740 =
																													CDR(((obj_t)
																														BgL_ez00_69));
																												if ((CAR(((obj_t)
																																BgL_ez00_69)) ==
																														BGl_symbol3029z00zz__evaluatez00))
																													{	/* Eval/evaluate.scm 424 */
																														if (PAIRP
																															(BgL_cdrzd26338zd2_1740))
																															{	/* Eval/evaluate.scm 424 */
																																obj_t
																																	BgL_arg1706z00_1744;
																																obj_t
																																	BgL_arg1707z00_1745;
																																BgL_arg1706z00_1744
																																	=
																																	CAR
																																	(BgL_cdrzd26338zd2_1740);
																																BgL_arg1707z00_1745
																																	=
																																	CDR
																																	(BgL_cdrzd26338zd2_1740);
																																{
																																	BgL_ev_letz00_bglt
																																		BgL_auxz00_6008;
																																	BgL_bindsz00_1551
																																		=
																																		BgL_arg1706z00_1744;
																																	BgL_bodyz00_1552
																																		=
																																		BgL_arg1707z00_1745;
																																BgL_tagzd2160zd2_1553:
																																	{	/* Eval/evaluate.scm 480 */
																																		obj_t
																																			BgL_ubindsz00_2451;
																																		if (NULLP
																																			(BgL_bindsz00_1551))
																																			{	/* Eval/evaluate.scm 480 */
																																				BgL_ubindsz00_2451
																																					=
																																					BNIL;
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 480 */
																																				obj_t
																																					BgL_head1220z00_2496;
																																				BgL_head1220z00_2496
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BNIL,
																																					BNIL);
																																				{
																																					obj_t
																																						BgL_l1218z00_3673;
																																					obj_t
																																						BgL_tail1221z00_3674;
																																					BgL_l1218z00_3673
																																						=
																																						BgL_bindsz00_1551;
																																					BgL_tail1221z00_3674
																																						=
																																						BgL_head1220z00_2496;
																																				BgL_zc3z04anonymousza32329ze3z87_3672:
																																					if (NULLP(BgL_l1218z00_3673))
																																						{	/* Eval/evaluate.scm 480 */
																																							BgL_ubindsz00_2451
																																								=
																																								CDR
																																								(BgL_head1220z00_2496);
																																						}
																																					else
																																						{	/* Eval/evaluate.scm 480 */
																																							obj_t
																																								BgL_newtail1222z00_3682;
																																							{	/* Eval/evaluate.scm 480 */
																																								obj_t
																																									BgL_arg2334z00_3683;
																																								{	/* Eval/evaluate.scm 480 */
																																									obj_t
																																										BgL_bz00_3684;
																																									BgL_bz00_3684
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_l1218z00_3673));
																																									{	/* Eval/evaluate.scm 480 */
																																										obj_t
																																											BgL_arg2335z00_3685;
																																										BgL_arg2335z00_3685
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_bz00_3684));
																																										BgL_arg2334z00_3683
																																											=
																																											BGl_untypezd2identzd2zz__evaluatez00
																																											(BgL_arg2335z00_3685);
																																									}
																																								}
																																								BgL_newtail1222z00_3682
																																									=
																																									MAKE_YOUNG_PAIR
																																									(BgL_arg2334z00_3683,
																																									BNIL);
																																							}
																																							SET_CDR
																																								(BgL_tail1221z00_3674,
																																								BgL_newtail1222z00_3682);
																																							{	/* Eval/evaluate.scm 480 */
																																								obj_t
																																									BgL_arg2331z00_3686;
																																								BgL_arg2331z00_3686
																																									=
																																									CDR
																																									(
																																									((obj_t) BgL_l1218z00_3673));
																																								{
																																									obj_t
																																										BgL_tail1221z00_6025;
																																									obj_t
																																										BgL_l1218z00_6024;
																																									BgL_l1218z00_6024
																																										=
																																										BgL_arg2331z00_3686;
																																									BgL_tail1221z00_6025
																																										=
																																										BgL_newtail1222z00_3682;
																																									BgL_tail1221z00_3674
																																										=
																																										BgL_tail1221z00_6025;
																																									BgL_l1218z00_3673
																																										=
																																										BgL_l1218z00_6024;
																																									goto
																																										BgL_zc3z04anonymousza32329ze3z87_3672;
																																								}
																																							}
																																						}
																																				}
																																			}
																																		{	/* Eval/evaluate.scm 480 */
																																			obj_t
																																				BgL_varsz00_2452;
																																			if (NULLP
																																				(BgL_ubindsz00_2451))
																																				{	/* Eval/evaluate.scm 481 */
																																					BgL_varsz00_2452
																																						=
																																						BNIL;
																																				}
																																			else
																																				{	/* Eval/evaluate.scm 481 */
																																					obj_t
																																						BgL_head1225z00_2480;
																																					BgL_head1225z00_2480
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BNIL,
																																						BNIL);
																																					{
																																						obj_t
																																							BgL_l1223z00_2482;
																																						obj_t
																																							BgL_tail1226z00_2483;
																																						BgL_l1223z00_2482
																																							=
																																							BgL_ubindsz00_2451;
																																						BgL_tail1226z00_2483
																																							=
																																							BgL_head1225z00_2480;
																																					BgL_zc3z04anonymousza32323ze3z87_2484:
																																						if (NULLP(BgL_l1223z00_2482))
																																							{	/* Eval/evaluate.scm 481 */
																																								BgL_varsz00_2452
																																									=
																																									CDR
																																									(BgL_head1225z00_2480);
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 481 */
																																								obj_t
																																									BgL_newtail1227z00_2486;
																																								{	/* Eval/evaluate.scm 481 */
																																									BgL_ev_varz00_bglt
																																										BgL_arg2326z00_2488;
																																									{	/* Eval/evaluate.scm 481 */
																																										obj_t
																																											BgL_iz00_2489;
																																										BgL_iz00_2489
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_l1223z00_2482));
																																										{	/* Eval/evaluate.scm 482 */
																																											BgL_ev_varz00_bglt
																																												BgL_new1128z00_2490;
																																											{	/* Eval/evaluate.scm 484 */
																																												BgL_ev_varz00_bglt
																																													BgL_new1127z00_2491;
																																												BgL_new1127z00_2491
																																													=
																																													(
																																													(BgL_ev_varz00_bglt)
																																													BOBJECT
																																													(GC_MALLOC
																																														(sizeof
																																															(struct
																																																BgL_ev_varz00_bgl))));
																																												{	/* Eval/evaluate.scm 484 */
																																													long
																																														BgL_arg2327z00_2492;
																																													BgL_arg2327z00_2492
																																														=
																																														BGL_CLASS_NUM
																																														(BGl_ev_varz00zz__evaluate_typesz00);
																																													BGL_OBJECT_CLASS_NUM_SET
																																														(
																																														((BgL_objectz00_bglt) BgL_new1127z00_2491), BgL_arg2327z00_2492);
																																												}
																																												BgL_new1128z00_2490
																																													=
																																													BgL_new1127z00_2491;
																																											}
																																											((((BgL_ev_varz00_bglt) COBJECT(BgL_new1128z00_2490))->BgL_namez00) = ((obj_t) CAR(((obj_t) BgL_iz00_2489))), BUNSPEC);
																																											((((BgL_ev_varz00_bglt) COBJECT(BgL_new1128z00_2490))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																											((((BgL_ev_varz00_bglt) COBJECT(BgL_new1128z00_2490))->BgL_typez00) = ((obj_t) CDR(((obj_t) BgL_iz00_2489))), BUNSPEC);
																																											BgL_arg2326z00_2488
																																												=
																																												BgL_new1128z00_2490;
																																									}}
																																									BgL_newtail1227z00_2486
																																										=
																																										MAKE_YOUNG_PAIR
																																										(
																																										((obj_t) BgL_arg2326z00_2488), BNIL);
																																								}
																																								SET_CDR
																																									(BgL_tail1226z00_2483,
																																									BgL_newtail1227z00_2486);
																																								{	/* Eval/evaluate.scm 481 */
																																									obj_t
																																										BgL_arg2325z00_2487;
																																									BgL_arg2325z00_2487
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_l1223z00_2482));
																																									{
																																										obj_t
																																											BgL_tail1226z00_6051;
																																										obj_t
																																											BgL_l1223z00_6050;
																																										BgL_l1223z00_6050
																																											=
																																											BgL_arg2325z00_2487;
																																										BgL_tail1226z00_6051
																																											=
																																											BgL_newtail1227z00_2486;
																																										BgL_tail1226z00_2483
																																											=
																																											BgL_tail1226z00_6051;
																																										BgL_l1223z00_2482
																																											=
																																											BgL_l1223z00_6050;
																																										goto
																																											BgL_zc3z04anonymousza32323ze3z87_2484;
																																									}
																																								}
																																							}
																																					}
																																				}
																																			{	/* Eval/evaluate.scm 481 */
																																				obj_t
																																					BgL_bodyz00_2453;
																																				{	/* Eval/evaluate.scm 486 */
																																					bool_t
																																						BgL_test3288z00_6052;
																																					{	/* Eval/evaluate.scm 486 */
																																						obj_t
																																							BgL_tmpz00_6053;
																																						BgL_tmpz00_6053
																																							=
																																							CDR
																																							(((obj_t) BgL_bodyz00_1552));
																																						BgL_test3288z00_6052
																																							=
																																							PAIRP
																																							(BgL_tmpz00_6053);
																																					}
																																					if (BgL_test3288z00_6052)
																																						{	/* Eval/evaluate.scm 486 */
																																							obj_t
																																								BgL_res2947z00_3703;
																																							BgL_res2947z00_3703
																																								=
																																								MAKE_YOUNG_EPAIR
																																								(BGl_symbol3043z00zz__evaluatez00,
																																								BgL_bodyz00_1552,
																																								BgL_locz00_74);
																																							BgL_bodyz00_2453
																																								=
																																								BgL_res2947z00_3703;
																																						}
																																					else
																																						{	/* Eval/evaluate.scm 486 */
																																							BgL_bodyz00_2453
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_bodyz00_1552));
																																						}
																																				}
																																				{	/* Eval/evaluate.scm 486 */
																																					obj_t
																																						BgL_tbodyz00_2454;
																																					BgL_tbodyz00_2454
																																						=
																																						BGl_typezd2checkszd2zz__evaluatez00
																																						(BgL_ubindsz00_2451,
																																						BgL_bindsz00_1551,
																																						BgL_bodyz00_2453,
																																						BgL_locz00_74,
																																						BgL_wherez00_73);
																																					{	/* Eval/evaluate.scm 487 */

																																						{	/* Eval/evaluate.scm 488 */
																																							obj_t
																																								BgL_blocz00_2455;
																																							{	/* Eval/evaluate.scm 144 */
																																								obj_t
																																									BgL__ortest_1069z00_3705;
																																								BgL__ortest_1069z00_3705
																																									=
																																									BGl_getzd2sourcezd2locationz00zz__readerz00
																																									(BgL_bindsz00_1551);
																																								if (CBOOL(BgL__ortest_1069z00_3705))
																																									{	/* Eval/evaluate.scm 144 */
																																										BgL_blocz00_2455
																																											=
																																											BgL__ortest_1069z00_3705;
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 144 */
																																										BgL_blocz00_2455
																																											=
																																											BgL_locz00_74;
																																									}
																																							}
																																							{	/* Eval/evaluate.scm 489 */
																																								BgL_ev_letz00_bglt
																																									BgL_new1130z00_2456;
																																								{	/* Eval/evaluate.scm 490 */
																																									BgL_ev_letz00_bglt
																																										BgL_new1129z00_2473;
																																									BgL_new1129z00_2473
																																										=
																																										(
																																										(BgL_ev_letz00_bglt)
																																										BOBJECT
																																										(GC_MALLOC
																																											(sizeof
																																												(struct
																																													BgL_ev_letz00_bgl))));
																																									{	/* Eval/evaluate.scm 490 */
																																										long
																																											BgL_arg2318z00_2474;
																																										BgL_arg2318z00_2474
																																											=
																																											BGL_CLASS_NUM
																																											(BGl_ev_letz00zz__evaluate_typesz00);
																																										BGL_OBJECT_CLASS_NUM_SET
																																											(
																																											((BgL_objectz00_bglt) BgL_new1129z00_2473), BgL_arg2318z00_2474);
																																									}
																																									BgL_new1130z00_2456
																																										=
																																										BgL_new1129z00_2473;
																																								}
																																								((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1130z00_2456)))->BgL_varsz00) = ((obj_t) BgL_varsz00_2452), BUNSPEC);
																																								{
																																									obj_t
																																										BgL_auxz00_6070;
																																									if (NULLP(BgL_bindsz00_1551))
																																										{	/* Eval/evaluate.scm 491 */
																																											BgL_auxz00_6070
																																												=
																																												BNIL;
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 491 */
																																											obj_t
																																												BgL_head1230z00_2459;
																																											BgL_head1230z00_2459
																																												=
																																												MAKE_YOUNG_PAIR
																																												(BNIL,
																																												BNIL);
																																											{
																																												obj_t
																																													BgL_l1228z00_2461;
																																												obj_t
																																													BgL_tail1231z00_2462;
																																												BgL_l1228z00_2461
																																													=
																																													BgL_bindsz00_1551;
																																												BgL_tail1231z00_2462
																																													=
																																													BgL_head1230z00_2459;
																																											BgL_zc3z04anonymousza32311ze3z87_2463:
																																												if (NULLP(BgL_l1228z00_2461))
																																													{	/* Eval/evaluate.scm 491 */
																																														BgL_auxz00_6070
																																															=
																																															CDR
																																															(BgL_head1230z00_2459);
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 491 */
																																														obj_t
																																															BgL_newtail1232z00_2465;
																																														{	/* Eval/evaluate.scm 491 */
																																															obj_t
																																																BgL_arg2314z00_2467;
																																															{	/* Eval/evaluate.scm 491 */
																																																obj_t
																																																	BgL_bz00_2468;
																																																BgL_bz00_2468
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_l1228z00_2461));
																																																{	/* Eval/evaluate.scm 492 */
																																																	obj_t
																																																		BgL_locz00_2469;
																																																	{	/* Eval/evaluate.scm 144 */
																																																		obj_t
																																																			BgL__ortest_1069z00_3711;
																																																		BgL__ortest_1069z00_3711
																																																			=
																																																			BGl_getzd2sourcezd2locationz00zz__readerz00
																																																			(BgL_bz00_2468);
																																																		if (CBOOL(BgL__ortest_1069z00_3711))
																																																			{	/* Eval/evaluate.scm 144 */
																																																				BgL_locz00_2469
																																																					=
																																																					BgL__ortest_1069z00_3711;
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 144 */
																																																				BgL_locz00_2469
																																																					=
																																																					BgL_blocz00_2455;
																																																			}
																																																	}
																																																	{	/* Eval/evaluate.scm 493 */
																																																		obj_t
																																																			BgL_arg2315z00_2470;
																																																		{	/* Eval/evaluate.scm 493 */
																																																			obj_t
																																																				BgL_pairz00_3715;
																																																			BgL_pairz00_3715
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_bz00_2468));
																																																			BgL_arg2315z00_2470
																																																				=
																																																				CAR
																																																				(BgL_pairz00_3715);
																																																		}
																																																		BgL_arg2314z00_2467
																																																			=
																																																			BGl_convz00zz__evaluatez00
																																																			(BgL_arg2315z00_2470,
																																																			BgL_localsz00_70,
																																																			BgL_globalsz00_71,
																																																			BFALSE,
																																																			BgL_wherez00_73,
																																																			BgL_locz00_2469,
																																																			((bool_t) 0));
																																																	}
																																																}
																																															}
																																															BgL_newtail1232z00_2465
																																																=
																																																MAKE_YOUNG_PAIR
																																																(BgL_arg2314z00_2467,
																																																BNIL);
																																														}
																																														SET_CDR
																																															(BgL_tail1231z00_2462,
																																															BgL_newtail1232z00_2465);
																																														{	/* Eval/evaluate.scm 491 */
																																															obj_t
																																																BgL_arg2313z00_2466;
																																															BgL_arg2313z00_2466
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_l1228z00_2461));
																																															{
																																																obj_t
																																																	BgL_tail1231z00_6092;
																																																obj_t
																																																	BgL_l1228z00_6091;
																																																BgL_l1228z00_6091
																																																	=
																																																	BgL_arg2313z00_2466;
																																																BgL_tail1231z00_6092
																																																	=
																																																	BgL_newtail1232z00_2465;
																																																BgL_tail1231z00_2462
																																																	=
																																																	BgL_tail1231z00_6092;
																																																BgL_l1228z00_2461
																																																	=
																																																	BgL_l1228z00_6091;
																																																goto
																																																	BgL_zc3z04anonymousza32311ze3z87_2463;
																																															}
																																														}
																																													}
																																											}
																																										}
																																									((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1130z00_2456)))->BgL_valsz00) = ((obj_t) BgL_auxz00_6070), BUNSPEC);
																																								}
																																								{
																																									BgL_ev_exprz00_bglt
																																										BgL_auxz00_6094;
																																									{	/* Eval/evaluate.scm 495 */
																																										obj_t
																																											BgL_arg2316z00_2472;
																																										BgL_arg2316z00_2472
																																											=
																																											BGl_appendzd221011zd2zz__evaluatez00
																																											(BgL_varsz00_2452,
																																											BgL_localsz00_70);
																																										BgL_auxz00_6094
																																											=
																																											(
																																											(BgL_ev_exprz00_bglt)
																																											BGl_convz00zz__evaluatez00
																																											(BgL_tbodyz00_2454,
																																												BgL_arg2316z00_2472,
																																												BgL_globalsz00_71,
																																												BgL_tailzf3zf3_72,
																																												BgL_wherez00_73,
																																												BgL_locz00_74,
																																												((bool_t) 0)));
																																									}
																																									((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1130z00_2456)))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6094), BUNSPEC);
																																								}
																																								((((BgL_ev_letz00_bglt) COBJECT(BgL_new1130z00_2456))->BgL_boxesz00) = ((obj_t) BNIL), BUNSPEC);
																																								BgL_auxz00_6008
																																									=
																																									BgL_new1130z00_2456;
																																							}
																																						}
																																					}
																																				}
																																			}
																																		}
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_6008);
																																}
																															}
																														else
																															{	/* Eval/evaluate.scm 424 */
																																obj_t
																																	BgL_arg1708z00_1746;
																																BgL_arg1708z00_1746
																																	=
																																	CAR(((obj_t)
																																		BgL_ez00_69));
																																{
																																	BgL_ev_appz00_bglt
																																		BgL_auxz00_6104;
																																	{
																																		obj_t
																																			BgL_argsz00_6106;
																																		obj_t
																																			BgL_fz00_6105;
																																		BgL_fz00_6105
																																			=
																																			BgL_arg1708z00_1746;
																																		BgL_argsz00_6106
																																			=
																																			BgL_cdrzd26338zd2_1740;
																																		BgL_argsz00_1599
																																			=
																																			BgL_argsz00_6106;
																																		BgL_fz00_1598
																																			=
																																			BgL_fz00_6105;
																																		goto
																																			BgL_tagzd2176zd2_1600;
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_6104);
																																}
																															}
																													}
																												else
																													{	/* Eval/evaluate.scm 424 */
																														if (
																															(CAR(
																																	((obj_t)
																																		BgL_ez00_69))
																																==
																																BGl_symbol3060z00zz__evaluatez00))
																															{	/* Eval/evaluate.scm 424 */
																																if (PAIRP
																																	(BgL_cdrzd26338zd2_1740))
																																	{	/* Eval/evaluate.scm 424 */
																																		obj_t
																																			BgL_arg1713z00_1752;
																																		obj_t
																																			BgL_arg1715z00_1753;
																																		BgL_arg1713z00_1752
																																			=
																																			CAR
																																			(BgL_cdrzd26338zd2_1740);
																																		BgL_arg1715z00_1753
																																			=
																																			CDR
																																			(BgL_cdrzd26338zd2_1740);
																																		{
																																			BgL_ev_letza2za2_bglt
																																				BgL_auxz00_6116;
																																			BgL_bindsz00_1554
																																				=
																																				BgL_arg1713z00_1752;
																																			BgL_bodyz00_1555
																																				=
																																				BgL_arg1715z00_1753;
																																		BgL_tagzd2161zd2_1556:
																																			{	/* Eval/evaluate.scm 503 */
																																				obj_t
																																					BgL_varsz00_2509;
																																				obj_t
																																					BgL_blocz00_2510;
																																				if (NULLP(BgL_bindsz00_1554))
																																					{	/* Eval/evaluate.scm 503 */
																																						BgL_varsz00_2509
																																							=
																																							BNIL;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 503 */
																																						obj_t
																																							BgL_head1235z00_2518;
																																						BgL_head1235z00_2518
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BNIL,
																																							BNIL);
																																						{
																																							obj_t
																																								BgL_l1233z00_2520;
																																							obj_t
																																								BgL_tail1236z00_2521;
																																							BgL_l1233z00_2520
																																								=
																																								BgL_bindsz00_1554;
																																							BgL_tail1236z00_2521
																																								=
																																								BgL_head1235z00_2518;
																																						BgL_zc3z04anonymousza32340ze3z87_2522:
																																							if (NULLP(BgL_l1233z00_2520))
																																								{	/* Eval/evaluate.scm 503 */
																																									BgL_varsz00_2509
																																										=
																																										CDR
																																										(BgL_head1235z00_2518);
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 503 */
																																									obj_t
																																										BgL_newtail1237z00_2524;
																																									{	/* Eval/evaluate.scm 503 */
																																										BgL_ev_varz00_bglt
																																											BgL_arg2343z00_2526;
																																										{	/* Eval/evaluate.scm 503 */
																																											obj_t
																																												BgL_bz00_2527;
																																											BgL_bz00_2527
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_l1233z00_2520));
																																											{	/* Eval/evaluate.scm 504 */
																																												obj_t
																																													BgL_iz00_2528;
																																												{	/* Eval/evaluate.scm 504 */
																																													obj_t
																																														BgL_arg2346z00_2532;
																																													BgL_arg2346z00_2532
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_bz00_2527));
																																													BgL_iz00_2528
																																														=
																																														BGl_untypezd2identzd2zz__evaluatez00
																																														(BgL_arg2346z00_2532);
																																												}
																																												{	/* Eval/evaluate.scm 505 */
																																													BgL_ev_varz00_bglt
																																														BgL_new1132z00_2529;
																																													{	/* Eval/evaluate.scm 507 */
																																														BgL_ev_varz00_bglt
																																															BgL_new1131z00_2530;
																																														BgL_new1131z00_2530
																																															=
																																															(
																																															(BgL_ev_varz00_bglt)
																																															BOBJECT
																																															(GC_MALLOC
																																																(sizeof
																																																	(struct
																																																		BgL_ev_varz00_bgl))));
																																														{	/* Eval/evaluate.scm 507 */
																																															long
																																																BgL_arg2345z00_2531;
																																															BgL_arg2345z00_2531
																																																=
																																																BGL_CLASS_NUM
																																																(BGl_ev_varz00zz__evaluate_typesz00);
																																															BGL_OBJECT_CLASS_NUM_SET
																																																(
																																																((BgL_objectz00_bglt) BgL_new1131z00_2530), BgL_arg2345z00_2531);
																																														}
																																														BgL_new1132z00_2529
																																															=
																																															BgL_new1131z00_2530;
																																													}
																																													((((BgL_ev_varz00_bglt) COBJECT(BgL_new1132z00_2529))->BgL_namez00) = ((obj_t) CAR(BgL_iz00_2528)), BUNSPEC);
																																													((((BgL_ev_varz00_bglt) COBJECT(BgL_new1132z00_2529))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																													((((BgL_ev_varz00_bglt) COBJECT(BgL_new1132z00_2529))->BgL_typez00) = ((obj_t) CDR(BgL_iz00_2528)), BUNSPEC);
																																													BgL_arg2343z00_2526
																																														=
																																														BgL_new1132z00_2529;
																																										}}}
																																										BgL_newtail1237z00_2524
																																											=
																																											MAKE_YOUNG_PAIR
																																											(
																																											((obj_t) BgL_arg2343z00_2526), BNIL);
																																									}
																																									SET_CDR
																																										(BgL_tail1236z00_2521,
																																										BgL_newtail1237z00_2524);
																																									{	/* Eval/evaluate.scm 503 */
																																										obj_t
																																											BgL_arg2342z00_2525;
																																										BgL_arg2342z00_2525
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_l1233z00_2520));
																																										{
																																											obj_t
																																												BgL_tail1236z00_6143;
																																											obj_t
																																												BgL_l1233z00_6142;
																																											BgL_l1233z00_6142
																																												=
																																												BgL_arg2342z00_2525;
																																											BgL_tail1236z00_6143
																																												=
																																												BgL_newtail1237z00_2524;
																																											BgL_tail1236z00_2521
																																												=
																																												BgL_tail1236z00_6143;
																																											BgL_l1233z00_2520
																																												=
																																												BgL_l1233z00_6142;
																																											goto
																																												BgL_zc3z04anonymousza32340ze3z87_2522;
																																										}
																																									}
																																								}
																																						}
																																					}
																																				{	/* Eval/evaluate.scm 144 */
																																					obj_t
																																						BgL__ortest_1069z00_3749;
																																					BgL__ortest_1069z00_3749
																																						=
																																						BGl_getzd2sourcezd2locationz00zz__readerz00
																																						(BgL_bindsz00_1554);
																																					if (CBOOL(BgL__ortest_1069z00_3749))
																																						{	/* Eval/evaluate.scm 144 */
																																							BgL_blocz00_2510
																																								=
																																								BgL__ortest_1069z00_3749;
																																						}
																																					else
																																						{	/* Eval/evaluate.scm 144 */
																																							BgL_blocz00_2510
																																								=
																																								BgL_locz00_74;
																																						}
																																				}
																																				{	/* Eval/evaluate.scm 510 */
																																					BgL_ev_letza2za2_bglt
																																						BgL_new1135z00_2511;
																																					{	/* Eval/evaluate.scm 511 */
																																						BgL_ev_letza2za2_bglt
																																							BgL_new1133z00_2514;
																																						BgL_new1133z00_2514
																																							=
																																							(
																																							(BgL_ev_letza2za2_bglt)
																																							BOBJECT
																																							(GC_MALLOC
																																								(sizeof
																																									(struct
																																										BgL_ev_letza2za2_bgl))));
																																						{	/* Eval/evaluate.scm 511 */
																																							long
																																								BgL_arg2338z00_2515;
																																							BgL_arg2338z00_2515
																																								=
																																								BGL_CLASS_NUM
																																								(BGl_ev_letza2za2zz__evaluate_typesz00);
																																							BGL_OBJECT_CLASS_NUM_SET
																																								(
																																								((BgL_objectz00_bglt) BgL_new1133z00_2514), BgL_arg2338z00_2515);
																																						}
																																						BgL_new1135z00_2511
																																							=
																																							BgL_new1133z00_2514;
																																					}
																																					((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1135z00_2511)))->BgL_varsz00) = ((obj_t) BgL_varsz00_2509), BUNSPEC);
																																					((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1135z00_2511)))->BgL_valsz00) = ((obj_t) BGl_convzd2valsze70z35zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_bindsz00_1554, BgL_varsz00_2509, BgL_localsz00_70, BgL_blocz00_2510)), BUNSPEC);
																																					{
																																						BgL_ev_exprz00_bglt
																																							BgL_auxz00_6156;
																																						{	/* Eval/evaluate.scm 513 */
																																							obj_t
																																								BgL_arg2336z00_2512;
																																							{	/* Eval/evaluate.scm 513 */
																																								obj_t
																																									BgL_arg2337z00_2513;
																																								BgL_arg2337z00_2513
																																									=
																																									bgl_reverse
																																									(BgL_varsz00_2509);
																																								BgL_arg2336z00_2512
																																									=
																																									BGl_appendzd221011zd2zz__evaluatez00
																																									(BgL_arg2337z00_2513,
																																									BgL_localsz00_70);
																																							}
																																							BgL_auxz00_6156
																																								=
																																								(
																																								(BgL_ev_exprz00_bglt)
																																								BGl_convzd2beginzd2zz__evaluatez00
																																								(BgL_bodyz00_1555,
																																									BgL_arg2336z00_2512,
																																									BgL_globalsz00_71,
																																									BgL_tailzf3zf3_72,
																																									BgL_wherez00_73,
																																									BgL_locz00_74,
																																									((bool_t) 0)));
																																						}
																																						((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1135z00_2511)))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6156), BUNSPEC);
																																					}
																																					((((BgL_ev_letza2za2_bglt) COBJECT(BgL_new1135z00_2511))->BgL_boxesz00) = ((obj_t) BNIL), BUNSPEC);
																																					BgL_auxz00_6116
																																						=
																																						BgL_new1135z00_2511;
																																			}}
																																			return
																																				((obj_t)
																																				BgL_auxz00_6116);
																																		}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 424 */
																																		obj_t
																																			BgL_arg1716z00_1754;
																																		obj_t
																																			BgL_arg1717z00_1755;
																																		BgL_arg1716z00_1754
																																			=
																																			CAR((
																																				(obj_t)
																																				BgL_ez00_69));
																																		BgL_arg1717z00_1755
																																			=
																																			CDR((
																																				(obj_t)
																																				BgL_ez00_69));
																																		{
																																			BgL_ev_appz00_bglt
																																				BgL_auxz00_6169;
																																			{
																																				obj_t
																																					BgL_argsz00_6171;
																																				obj_t
																																					BgL_fz00_6170;
																																				BgL_fz00_6170
																																					=
																																					BgL_arg1716z00_1754;
																																				BgL_argsz00_6171
																																					=
																																					BgL_arg1717z00_1755;
																																				BgL_argsz00_1599
																																					=
																																					BgL_argsz00_6171;
																																				BgL_fz00_1598
																																					=
																																					BgL_fz00_6170;
																																				goto
																																					BgL_tagzd2176zd2_1600;
																																			}
																																			return
																																				((obj_t)
																																				BgL_auxz00_6169);
																																		}
																																	}
																															}
																														else
																															{	/* Eval/evaluate.scm 424 */
																																obj_t
																																	BgL_cdrzd26736zd2_1756;
																																BgL_cdrzd26736zd2_1756
																																	=
																																	CDR(((obj_t)
																																		BgL_ez00_69));
																																if ((CAR((
																																				(obj_t)
																																				BgL_ez00_69))
																																		==
																																		BGl_symbol3062z00zz__evaluatez00))
																																	{	/* Eval/evaluate.scm 424 */
																																		if (PAIRP
																																			(BgL_cdrzd26736zd2_1756))
																																			{	/* Eval/evaluate.scm 424 */
																																				obj_t
																																					BgL_arg1723z00_1760;
																																				obj_t
																																					BgL_arg1724z00_1761;
																																				BgL_arg1723z00_1760
																																					=
																																					CAR
																																					(BgL_cdrzd26736zd2_1756);
																																				BgL_arg1724z00_1761
																																					=
																																					CDR
																																					(BgL_cdrzd26736zd2_1756);
																																				{
																																					BgL_ev_letrecz00_bglt
																																						BgL_auxz00_6183;
																																					BgL_bindsz00_1557
																																						=
																																						BgL_arg1723z00_1760;
																																					BgL_bodyz00_1558
																																						=
																																						BgL_arg1724z00_1761;
																																				BgL_tagzd2162zd2_1559:
																																					{	/* Eval/evaluate.scm 515 */
																																						obj_t
																																							BgL_ubindsz00_2550;
																																						if (NULLP(BgL_bindsz00_1557))
																																							{	/* Eval/evaluate.scm 515 */
																																								BgL_ubindsz00_2550
																																									=
																																									BNIL;
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 515 */
																																								obj_t
																																									BgL_head1240z00_2600;
																																								BgL_head1240z00_2600
																																									=
																																									MAKE_YOUNG_PAIR
																																									(BNIL,
																																									BNIL);
																																								{
																																									obj_t
																																										BgL_l1238z00_3776;
																																									obj_t
																																										BgL_tail1241z00_3777;
																																									BgL_l1238z00_3776
																																										=
																																										BgL_bindsz00_1557;
																																									BgL_tail1241z00_3777
																																										=
																																										BgL_head1240z00_2600;
																																								BgL_zc3z04anonymousza32389ze3z87_3775:
																																									if (NULLP(BgL_l1238z00_3776))
																																										{	/* Eval/evaluate.scm 515 */
																																											BgL_ubindsz00_2550
																																												=
																																												CDR
																																												(BgL_head1240z00_2600);
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 515 */
																																											obj_t
																																												BgL_newtail1242z00_3785;
																																											{	/* Eval/evaluate.scm 515 */
																																												obj_t
																																													BgL_arg2393z00_3786;
																																												{	/* Eval/evaluate.scm 515 */
																																													obj_t
																																														BgL_bz00_3787;
																																													BgL_bz00_3787
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_l1238z00_3776));
																																													{	/* Eval/evaluate.scm 515 */
																																														obj_t
																																															BgL_arg2396z00_3788;
																																														BgL_arg2396z00_3788
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_bz00_3787));
																																														BgL_arg2393z00_3786
																																															=
																																															BGl_untypezd2identzd2zz__evaluatez00
																																															(BgL_arg2396z00_3788);
																																													}
																																												}
																																												BgL_newtail1242z00_3785
																																													=
																																													MAKE_YOUNG_PAIR
																																													(BgL_arg2393z00_3786,
																																													BNIL);
																																											}
																																											SET_CDR
																																												(BgL_tail1241z00_3777,
																																												BgL_newtail1242z00_3785);
																																											{	/* Eval/evaluate.scm 515 */
																																												obj_t
																																													BgL_arg2391z00_3789;
																																												BgL_arg2391z00_3789
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_l1238z00_3776));
																																												{
																																													obj_t
																																														BgL_tail1241z00_6200;
																																													obj_t
																																														BgL_l1238z00_6199;
																																													BgL_l1238z00_6199
																																														=
																																														BgL_arg2391z00_3789;
																																													BgL_tail1241z00_6200
																																														=
																																														BgL_newtail1242z00_3785;
																																													BgL_tail1241z00_3777
																																														=
																																														BgL_tail1241z00_6200;
																																													BgL_l1238z00_3776
																																														=
																																														BgL_l1238z00_6199;
																																													goto
																																														BgL_zc3z04anonymousza32389ze3z87_3775;
																																												}
																																											}
																																										}
																																								}
																																							}
																																						{	/* Eval/evaluate.scm 515 */
																																							obj_t
																																								BgL_varsz00_2551;
																																							if (NULLP(BgL_ubindsz00_2550))
																																								{	/* Eval/evaluate.scm 516 */
																																									BgL_varsz00_2551
																																										=
																																										BNIL;
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 516 */
																																									obj_t
																																										BgL_head1245z00_2584;
																																									BgL_head1245z00_2584
																																										=
																																										MAKE_YOUNG_PAIR
																																										(BNIL,
																																										BNIL);
																																									{
																																										obj_t
																																											BgL_l1243z00_2586;
																																										obj_t
																																											BgL_tail1246z00_2587;
																																										BgL_l1243z00_2586
																																											=
																																											BgL_ubindsz00_2550;
																																										BgL_tail1246z00_2587
																																											=
																																											BgL_head1245z00_2584;
																																									BgL_zc3z04anonymousza32381ze3z87_2588:
																																										if (NULLP(BgL_l1243z00_2586))
																																											{	/* Eval/evaluate.scm 516 */
																																												BgL_varsz00_2551
																																													=
																																													CDR
																																													(BgL_head1245z00_2584);
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 516 */
																																												obj_t
																																													BgL_newtail1247z00_2590;
																																												{	/* Eval/evaluate.scm 516 */
																																													BgL_ev_varz00_bglt
																																														BgL_arg2385z00_2592;
																																													{	/* Eval/evaluate.scm 516 */
																																														obj_t
																																															BgL_iz00_2593;
																																														BgL_iz00_2593
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_l1243z00_2586));
																																														{	/* Eval/evaluate.scm 517 */
																																															BgL_ev_varz00_bglt
																																																BgL_new1137z00_2594;
																																															{	/* Eval/evaluate.scm 519 */
																																																BgL_ev_varz00_bglt
																																																	BgL_new1136z00_2595;
																																																BgL_new1136z00_2595
																																																	=
																																																	(
																																																	(BgL_ev_varz00_bglt)
																																																	BOBJECT
																																																	(GC_MALLOC
																																																		(sizeof
																																																			(struct
																																																				BgL_ev_varz00_bgl))));
																																																{	/* Eval/evaluate.scm 519 */
																																																	long
																																																		BgL_arg2387z00_2596;
																																																	BgL_arg2387z00_2596
																																																		=
																																																		BGL_CLASS_NUM
																																																		(BGl_ev_varz00zz__evaluate_typesz00);
																																																	BGL_OBJECT_CLASS_NUM_SET
																																																		(
																																																		((BgL_objectz00_bglt) BgL_new1136z00_2595), BgL_arg2387z00_2596);
																																																}
																																																BgL_new1137z00_2594
																																																	=
																																																	BgL_new1136z00_2595;
																																															}
																																															((((BgL_ev_varz00_bglt) COBJECT(BgL_new1137z00_2594))->BgL_namez00) = ((obj_t) CAR(((obj_t) BgL_iz00_2593))), BUNSPEC);
																																															((((BgL_ev_varz00_bglt) COBJECT(BgL_new1137z00_2594))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																															((((BgL_ev_varz00_bglt) COBJECT(BgL_new1137z00_2594))->BgL_typez00) = ((obj_t) CDR(((obj_t) BgL_iz00_2593))), BUNSPEC);
																																															BgL_arg2385z00_2592
																																																=
																																																BgL_new1137z00_2594;
																																													}}
																																													BgL_newtail1247z00_2590
																																														=
																																														MAKE_YOUNG_PAIR
																																														(
																																														((obj_t) BgL_arg2385z00_2592), BNIL);
																																												}
																																												SET_CDR
																																													(BgL_tail1246z00_2587,
																																													BgL_newtail1247z00_2590);
																																												{	/* Eval/evaluate.scm 516 */
																																													obj_t
																																														BgL_arg2383z00_2591;
																																													BgL_arg2383z00_2591
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_l1243z00_2586));
																																													{
																																														obj_t
																																															BgL_tail1246z00_6226;
																																														obj_t
																																															BgL_l1243z00_6225;
																																														BgL_l1243z00_6225
																																															=
																																															BgL_arg2383z00_2591;
																																														BgL_tail1246z00_6226
																																															=
																																															BgL_newtail1247z00_2590;
																																														BgL_tail1246z00_2587
																																															=
																																															BgL_tail1246z00_6226;
																																														BgL_l1243z00_2586
																																															=
																																															BgL_l1243z00_6225;
																																														goto
																																															BgL_zc3z04anonymousza32381ze3z87_2588;
																																													}
																																												}
																																											}
																																									}
																																								}
																																							{	/* Eval/evaluate.scm 516 */
																																								obj_t
																																									BgL_localsz00_2552;
																																								BgL_localsz00_2552
																																									=
																																									BGl_appendzd221011zd2zz__evaluatez00
																																									(BgL_varsz00_2551,
																																									BgL_localsz00_70);
																																								{	/* Eval/evaluate.scm 521 */
																																									obj_t
																																										BgL_bodyz00_2553;
																																									{	/* Eval/evaluate.scm 522 */
																																										bool_t
																																											BgL_test3304z00_6228;
																																										{	/* Eval/evaluate.scm 522 */
																																											obj_t
																																												BgL_tmpz00_6229;
																																											BgL_tmpz00_6229
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_bodyz00_1558));
																																											BgL_test3304z00_6228
																																												=
																																												PAIRP
																																												(BgL_tmpz00_6229);
																																										}
																																										if (BgL_test3304z00_6228)
																																											{	/* Eval/evaluate.scm 522 */
																																												obj_t
																																													BgL_res2948z00_3806;
																																												BgL_res2948z00_3806
																																													=
																																													MAKE_YOUNG_EPAIR
																																													(BGl_symbol3043z00zz__evaluatez00,
																																													BgL_bodyz00_1558,
																																													BgL_locz00_74);
																																												BgL_bodyz00_2553
																																													=
																																													BgL_res2948z00_3806;
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 522 */
																																												BgL_bodyz00_2553
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_bodyz00_1558));
																																											}
																																									}
																																									{	/* Eval/evaluate.scm 522 */
																																										obj_t
																																											BgL_tbodyz00_2554;
																																										BgL_tbodyz00_2554
																																											=
																																											BGl_typezd2checkszd2zz__evaluatez00
																																											(BgL_ubindsz00_2550,
																																											BgL_bindsz00_1557,
																																											BgL_bodyz00_2553,
																																											BgL_locz00_74,
																																											BgL_wherez00_73);
																																										{	/* Eval/evaluate.scm 523 */
																																											obj_t
																																												BgL_blocz00_2555;
																																											{	/* Eval/evaluate.scm 144 */
																																												obj_t
																																													BgL__ortest_1069z00_3808;
																																												BgL__ortest_1069z00_3808
																																													=
																																													BGl_getzd2sourcezd2locationz00zz__readerz00
																																													(BgL_bindsz00_1557);
																																												if (CBOOL(BgL__ortest_1069z00_3808))
																																													{	/* Eval/evaluate.scm 144 */
																																														BgL_blocz00_2555
																																															=
																																															BgL__ortest_1069z00_3808;
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 144 */
																																														BgL_blocz00_2555
																																															=
																																															BgL_locz00_74;
																																													}
																																											}
																																											{	/* Eval/evaluate.scm 524 */

																																												{	/* Eval/evaluate.scm 525 */
																																													BgL_ev_letrecz00_bglt
																																														BgL_new1139z00_2556;
																																													{	/* Eval/evaluate.scm 526 */
																																														BgL_ev_letrecz00_bglt
																																															BgL_new1138z00_2577;
																																														BgL_new1138z00_2577
																																															=
																																															(
																																															(BgL_ev_letrecz00_bglt)
																																															BOBJECT
																																															(GC_MALLOC
																																																(sizeof
																																																	(struct
																																																		BgL_ev_letrecz00_bgl))));
																																														{	/* Eval/evaluate.scm 526 */
																																															long
																																																BgL_arg2375z00_2578;
																																															BgL_arg2375z00_2578
																																																=
																																																BGL_CLASS_NUM
																																																(BGl_ev_letrecz00zz__evaluate_typesz00);
																																															BGL_OBJECT_CLASS_NUM_SET
																																																(
																																																((BgL_objectz00_bglt) BgL_new1138z00_2577), BgL_arg2375z00_2578);
																																														}
																																														BgL_new1139z00_2556
																																															=
																																															BgL_new1138z00_2577;
																																													}
																																													((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1139z00_2556)))->BgL_varsz00) = ((obj_t) BgL_varsz00_2551), BUNSPEC);
																																													{
																																														obj_t
																																															BgL_auxz00_6246;
																																														if (NULLP(BgL_bindsz00_1557))
																																															{	/* Eval/evaluate.scm 527 */
																																																BgL_auxz00_6246
																																																	=
																																																	BNIL;
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 527 */
																																																obj_t
																																																	BgL_head1250z00_2559;
																																																BgL_head1250z00_2559
																																																	=
																																																	MAKE_YOUNG_PAIR
																																																	(BNIL,
																																																	BNIL);
																																																{
																																																	obj_t
																																																		BgL_l1248z00_2561;
																																																	obj_t
																																																		BgL_tail1251z00_2562;
																																																	BgL_l1248z00_2561
																																																		=
																																																		BgL_bindsz00_1557;
																																																	BgL_tail1251z00_2562
																																																		=
																																																		BgL_head1250z00_2559;
																																																BgL_zc3z04anonymousza32360ze3z87_2563:
																																																	if (NULLP(BgL_l1248z00_2561))
																																																		{	/* Eval/evaluate.scm 527 */
																																																			BgL_auxz00_6246
																																																				=
																																																				CDR
																																																				(BgL_head1250z00_2559);
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 527 */
																																																			obj_t
																																																				BgL_newtail1252z00_2565;
																																																			{	/* Eval/evaluate.scm 527 */
																																																				obj_t
																																																					BgL_arg2364z00_2567;
																																																				{	/* Eval/evaluate.scm 527 */
																																																					obj_t
																																																						BgL_bz00_2568;
																																																					BgL_bz00_2568
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_l1248z00_2561));
																																																					{	/* Eval/evaluate.scm 528 */
																																																						obj_t
																																																							BgL_arg2365z00_2569;
																																																						obj_t
																																																							BgL_arg2366z00_2570;
																																																						obj_t
																																																							BgL_arg2369z00_2571;
																																																						{	/* Eval/evaluate.scm 528 */
																																																							obj_t
																																																								BgL_pairz00_3817;
																																																							BgL_pairz00_3817
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_bz00_2568));
																																																							BgL_arg2365z00_2569
																																																								=
																																																								CAR
																																																								(BgL_pairz00_3817);
																																																						}
																																																						{	/* Eval/evaluate.scm 528 */
																																																							obj_t
																																																								BgL_arg2371z00_2572;
																																																							BgL_arg2371z00_2572
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_bz00_2568));
																																																							{	/* Eval/evaluate.scm 528 */
																																																								obj_t
																																																									BgL_list2372z00_2573;
																																																								{	/* Eval/evaluate.scm 528 */
																																																									obj_t
																																																										BgL_arg2373z00_2574;
																																																									{	/* Eval/evaluate.scm 528 */
																																																										obj_t
																																																											BgL_arg2374z00_2575;
																																																										BgL_arg2374z00_2575
																																																											=
																																																											MAKE_YOUNG_PAIR
																																																											(BgL_wherez00_73,
																																																											BNIL);
																																																										BgL_arg2373z00_2574
																																																											=
																																																											MAKE_YOUNG_PAIR
																																																											(BGl_symbol3045z00zz__evaluatez00,
																																																											BgL_arg2374z00_2575);
																																																									}
																																																									BgL_list2372z00_2573
																																																										=
																																																										MAKE_YOUNG_PAIR
																																																										(BgL_arg2371z00_2572,
																																																										BgL_arg2373z00_2574);
																																																								}
																																																								BgL_arg2366z00_2570
																																																									=
																																																									BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																																																									(BgL_list2372z00_2573);
																																																							}
																																																						}
																																																						{	/* Eval/evaluate.scm 144 */
																																																							obj_t
																																																								BgL__ortest_1069z00_3819;
																																																							BgL__ortest_1069z00_3819
																																																								=
																																																								BGl_getzd2sourcezd2locationz00zz__readerz00
																																																								(BgL_bz00_2568);
																																																							if (CBOOL(BgL__ortest_1069z00_3819))
																																																								{	/* Eval/evaluate.scm 144 */
																																																									BgL_arg2369z00_2571
																																																										=
																																																										BgL__ortest_1069z00_3819;
																																																								}
																																																							else
																																																								{	/* Eval/evaluate.scm 144 */
																																																									BgL_arg2369z00_2571
																																																										=
																																																										BgL_blocz00_2555;
																																																								}
																																																						}
																																																						BgL_arg2364z00_2567
																																																							=
																																																							BGl_convz00zz__evaluatez00
																																																							(BgL_arg2365z00_2569,
																																																							BgL_localsz00_2552,
																																																							BgL_globalsz00_71,
																																																							BFALSE,
																																																							BgL_arg2366z00_2570,
																																																							BgL_arg2369z00_2571,
																																																							((bool_t) 0));
																																																					}
																																																				}
																																																				BgL_newtail1252z00_2565
																																																					=
																																																					MAKE_YOUNG_PAIR
																																																					(BgL_arg2364z00_2567,
																																																					BNIL);
																																																			}
																																																			SET_CDR
																																																				(BgL_tail1251z00_2562,
																																																				BgL_newtail1252z00_2565);
																																																			{	/* Eval/evaluate.scm 527 */
																																																				obj_t
																																																					BgL_arg2362z00_2566;
																																																				BgL_arg2362z00_2566
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_l1248z00_2561));
																																																				{
																																																					obj_t
																																																						BgL_tail1251z00_6274;
																																																					obj_t
																																																						BgL_l1248z00_6273;
																																																					BgL_l1248z00_6273
																																																						=
																																																						BgL_arg2362z00_2566;
																																																					BgL_tail1251z00_6274
																																																						=
																																																						BgL_newtail1252z00_2565;
																																																					BgL_tail1251z00_2562
																																																						=
																																																						BgL_tail1251z00_6274;
																																																					BgL_l1248z00_2561
																																																						=
																																																						BgL_l1248z00_6273;
																																																					goto
																																																						BgL_zc3z04anonymousza32360ze3z87_2563;
																																																				}
																																																			}
																																																		}
																																																}
																																															}
																																														((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1139z00_2556)))->BgL_valsz00) = ((obj_t) BgL_auxz00_6246), BUNSPEC);
																																													}
																																													((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1139z00_2556)))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convz00zz__evaluatez00(BgL_tbodyz00_2554, BgL_localsz00_2552, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																													BgL_auxz00_6183
																																														=
																																														BgL_new1139z00_2556;
																																												}
																																											}
																																										}
																																									}
																																								}
																																							}
																																						}
																																					}
																																					return
																																						(
																																						(obj_t)
																																						BgL_auxz00_6183);
																																				}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 424 */
																																				obj_t
																																					BgL_arg1725z00_1762;
																																				BgL_arg1725z00_1762
																																					=
																																					CAR((
																																						(obj_t)
																																						BgL_ez00_69));
																																				{
																																					BgL_ev_appz00_bglt
																																						BgL_auxz00_6283;
																																					{
																																						obj_t
																																							BgL_argsz00_6285;
																																						obj_t
																																							BgL_fz00_6284;
																																						BgL_fz00_6284
																																							=
																																							BgL_arg1725z00_1762;
																																						BgL_argsz00_6285
																																							=
																																							BgL_cdrzd26736zd2_1756;
																																						BgL_argsz00_1599
																																							=
																																							BgL_argsz00_6285;
																																						BgL_fz00_1598
																																							=
																																							BgL_fz00_6284;
																																						goto
																																							BgL_tagzd2176zd2_1600;
																																					}
																																					return
																																						(
																																						(obj_t)
																																						BgL_auxz00_6283);
																																				}
																																			}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 424 */
																																		if (
																																			(CAR(
																																					((obj_t) BgL_ez00_69)) == BGl_symbol3064z00zz__evaluatez00))
																																			{	/* Eval/evaluate.scm 424 */
																																				if (PAIRP(BgL_cdrzd26736zd2_1756))
																																					{	/* Eval/evaluate.scm 424 */
																																						obj_t
																																							BgL_carzd26912zd2_1768;
																																						obj_t
																																							BgL_cdrzd26913zd2_1769;
																																						BgL_carzd26912zd2_1768
																																							=
																																							CAR
																																							(BgL_cdrzd26736zd2_1756);
																																						BgL_cdrzd26913zd2_1769
																																							=
																																							CDR
																																							(BgL_cdrzd26736zd2_1756);
																																						if (PAIRP(BgL_carzd26912zd2_1768))
																																							{	/* Eval/evaluate.scm 424 */
																																								obj_t
																																									BgL_cdrzd26917zd2_1771;
																																								BgL_cdrzd26917zd2_1771
																																									=
																																									CDR
																																									(BgL_carzd26912zd2_1768);
																																								if ((CAR(BgL_carzd26912zd2_1768) == BGl_symbol3050z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 424 */
																																										if (PAIRP(BgL_cdrzd26917zd2_1771))
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_carzd26920zd2_1775;
																																												obj_t
																																													BgL_cdrzd26921zd2_1776;
																																												BgL_carzd26920zd2_1775
																																													=
																																													CAR
																																													(BgL_cdrzd26917zd2_1771);
																																												BgL_cdrzd26921zd2_1776
																																													=
																																													CDR
																																													(BgL_cdrzd26917zd2_1771);
																																												if (SYMBOLP(BgL_carzd26920zd2_1775))
																																													{	/* Eval/evaluate.scm 424 */
																																														if (PAIRP(BgL_cdrzd26921zd2_1776))
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_carzd26925zd2_1779;
																																																BgL_carzd26925zd2_1779
																																																	=
																																																	CAR
																																																	(BgL_cdrzd26921zd2_1776);
																																																if (SYMBOLP(BgL_carzd26925zd2_1779))
																																																	{	/* Eval/evaluate.scm 424 */
																																																		if (NULLP(CDR(BgL_cdrzd26921zd2_1776)))
																																																			{	/* Eval/evaluate.scm 424 */
																																																				if (PAIRP(BgL_cdrzd26913zd2_1769))
																																																					{	/* Eval/evaluate.scm 424 */
																																																						if (NULLP(CDR(BgL_cdrzd26913zd2_1769)))
																																																							{	/* Eval/evaluate.scm 424 */
																																																								obj_t
																																																									BgL_arg1745z00_1786;
																																																								BgL_arg1745z00_1786
																																																									=
																																																									CAR
																																																									(BgL_cdrzd26913zd2_1769);
																																																								{	/* Eval/evaluate.scm 531 */
																																																									BgL_ev_setglobalz00_bglt
																																																										BgL_new1141z00_4091;
																																																									{	/* Eval/evaluate.scm 535 */
																																																										BgL_ev_setglobalz00_bglt
																																																											BgL_new1140z00_4092;
																																																										BgL_new1140z00_4092
																																																											=
																																																											(
																																																											(BgL_ev_setglobalz00_bglt)
																																																											BOBJECT
																																																											(GC_MALLOC
																																																												(sizeof
																																																													(struct
																																																														BgL_ev_setglobalz00_bgl))));
																																																										{	/* Eval/evaluate.scm 535 */
																																																											long
																																																												BgL_arg2398z00_4093;
																																																											BgL_arg2398z00_4093
																																																												=
																																																												BGL_CLASS_NUM
																																																												(BGl_ev_setglobalz00zz__evaluate_typesz00);
																																																											BGL_OBJECT_CLASS_NUM_SET
																																																												(
																																																												((BgL_objectz00_bglt) BgL_new1140z00_4092), BgL_arg2398z00_4093);
																																																										}
																																																										BgL_new1141z00_4091
																																																											=
																																																											BgL_new1140z00_4092;
																																																									}
																																																									{
																																																										BgL_ev_exprz00_bglt
																																																											BgL_auxz00_6325;
																																																										{	/* Eval/evaluate.scm 380 */
																																																											obj_t
																																																												BgL_arg2469z00_4097;
																																																											BgL_arg2469z00_4097
																																																												=
																																																												BGl_getzd2locationzd2zz__evaluatez00
																																																												(BgL_arg1745z00_1786,
																																																												BgL_locz00_74);
																																																											BgL_auxz00_6325
																																																												=
																																																												(
																																																												(BgL_ev_exprz00_bglt)
																																																												BGl_uconvzf2locze70z15zz__evaluatez00
																																																												(BgL_wherez00_73,
																																																													BgL_globalsz00_71,
																																																													BgL_localsz00_70,
																																																													BgL_arg1745z00_1786,
																																																													BgL_arg2469z00_4097));
																																																										}
																																																										((((BgL_ev_hookz00_bglt) COBJECT(((BgL_ev_hookz00_bglt) BgL_new1141z00_4091)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6325), BUNSPEC);
																																																									}
																																																									((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1141z00_4091))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																									((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1141z00_4091))->BgL_namez00) = ((obj_t) BgL_carzd26920zd2_1775), BUNSPEC);
																																																									((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1141z00_4091))->BgL_modz00) = ((obj_t) BGl_evalzd2findzd2modulez00zz__evmodulez00(BgL_carzd26925zd2_1779)), BUNSPEC);
																																																									return
																																																										(
																																																										(obj_t)
																																																										BgL_new1141z00_4091);
																																																								}
																																																							}
																																																						else
																																																							{	/* Eval/evaluate.scm 424 */
																																																								return
																																																									BGl_evcompilezd2errorzd2zz__evcompilez00
																																																									(BgL_locz00_74,
																																																									BGl_string2967z00zz__evaluatez00,
																																																									BGl_string3042z00zz__evaluatez00,
																																																									BgL_ez00_69);
																																																							}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 424 */
																																																						return
																																																							BGl_evcompilezd2errorzd2zz__evcompilez00
																																																							(BgL_locz00_74,
																																																							BGl_string2967z00zz__evaluatez00,
																																																							BGl_string3042z00zz__evaluatez00,
																																																							BgL_ez00_69);
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_cdrzd27041zd2_1788;
																																																				BgL_cdrzd27041zd2_1788
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_ez00_69));
																																																				{	/* Eval/evaluate.scm 424 */
																																																					obj_t
																																																						BgL_cdrzd27045zd2_1789;
																																																					BgL_cdrzd27045zd2_1789
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd27041zd2_1788));
																																																					if (PAIRP(BgL_cdrzd27045zd2_1789))
																																																						{	/* Eval/evaluate.scm 424 */
																																																							if (NULLP(CDR(BgL_cdrzd27045zd2_1789)))
																																																								{	/* Eval/evaluate.scm 424 */
																																																									obj_t
																																																										BgL_arg1750z00_1793;
																																																									obj_t
																																																										BgL_arg1751z00_1794;
																																																									BgL_arg1750z00_1793
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd27041zd2_1788));
																																																									BgL_arg1751z00_1794
																																																										=
																																																										CAR
																																																										(BgL_cdrzd27045zd2_1789);
																																																									{
																																																										BgL_ev_hookz00_bglt
																																																											BgL_auxz00_6350;
																																																										BgL_vz00_1567
																																																											=
																																																											BgL_arg1750z00_1793;
																																																										BgL_ez00_1568
																																																											=
																																																											BgL_arg1751z00_1794;
																																																									BgL_tagzd2165zd2_1569:
																																																										{	/* Eval/evaluate.scm 541 */
																																																											obj_t
																																																												BgL_cvz00_2641;
																																																											BgL_cvz00_2641
																																																												=
																																																												BGl_convzd2varzd2zz__evaluatez00
																																																												(BgL_vz00_1567,
																																																												BgL_localsz00_70);
																																																											{	/* Eval/evaluate.scm 541 */
																																																												obj_t
																																																													BgL_ez00_2642;
																																																												{	/* Eval/evaluate.scm 380 */
																																																													obj_t
																																																														BgL_arg2469z00_3833;
																																																													{	/* Eval/evaluate.scm 144 */
																																																														obj_t
																																																															BgL__ortest_1069z00_3834;
																																																														BgL__ortest_1069z00_3834
																																																															=
																																																															BGl_getzd2sourcezd2locationz00zz__readerz00
																																																															(BgL_ez00_1568);
																																																														if (CBOOL(BgL__ortest_1069z00_3834))
																																																															{	/* Eval/evaluate.scm 144 */
																																																																BgL_arg2469z00_3833
																																																																	=
																																																																	BgL__ortest_1069z00_3834;
																																																															}
																																																														else
																																																															{	/* Eval/evaluate.scm 144 */
																																																																BgL_arg2469z00_3833
																																																																	=
																																																																	BgL_locz00_74;
																																																															}
																																																													}
																																																													BgL_ez00_2642
																																																														=
																																																														BGl_convz00zz__evaluatez00
																																																														(BgL_ez00_1568,
																																																														BgL_localsz00_70,
																																																														BgL_globalsz00_71,
																																																														BFALSE,
																																																														BgL_wherez00_73,
																																																														BgL_arg2469z00_3833,
																																																														((bool_t) 0));
																																																												}
																																																												{	/* Eval/evaluate.scm 542 */

																																																													{	/* Eval/evaluate.scm 543 */
																																																														bool_t
																																																															BgL_test3323z00_6356;
																																																														{	/* Eval/evaluate.scm 543 */
																																																															obj_t
																																																																BgL_classz00_3835;
																																																															BgL_classz00_3835
																																																																=
																																																																BGl_ev_absz00zz__evaluate_typesz00;
																																																															if (BGL_OBJECTP(BgL_ez00_2642))
																																																																{	/* Eval/evaluate.scm 543 */
																																																																	BgL_objectz00_bglt
																																																																		BgL_arg2898z00_3837;
																																																																	BgL_arg2898z00_3837
																																																																		=
																																																																		(BgL_objectz00_bglt)
																																																																		(BgL_ez00_2642);
																																																																	if (BGL_CONDEXPAND_ISA_ARCH64())
																																																																		{	/* Eval/evaluate.scm 543 */
																																																																			long
																																																																				BgL_idxz00_3843;
																																																																			BgL_idxz00_3843
																																																																				=
																																																																				BGL_OBJECT_INHERITANCE_NUM
																																																																				(BgL_arg2898z00_3837);
																																																																			BgL_test3323z00_6356
																																																																				=
																																																																				(VECTOR_REF
																																																																				(BGl_za2inheritancesza2z00zz__objectz00,
																																																																					(BgL_idxz00_3843
																																																																						+
																																																																						2L))
																																																																				==
																																																																				BgL_classz00_3835);
																																																																		}
																																																																	else
																																																																		{	/* Eval/evaluate.scm 543 */
																																																																			bool_t
																																																																				BgL_res2949z00_3868;
																																																																			{	/* Eval/evaluate.scm 543 */
																																																																				obj_t
																																																																					BgL_oclassz00_3851;
																																																																				{	/* Eval/evaluate.scm 543 */
																																																																					obj_t
																																																																						BgL_arg2908z00_3859;
																																																																					long
																																																																						BgL_arg2909z00_3860;
																																																																					BgL_arg2908z00_3859
																																																																						=
																																																																						(BGl_za2classesza2z00zz__objectz00);
																																																																					{	/* Eval/evaluate.scm 543 */
																																																																						long
																																																																							BgL_arg2910z00_3861;
																																																																						BgL_arg2910z00_3861
																																																																							=
																																																																							BGL_OBJECT_CLASS_NUM
																																																																							(BgL_arg2898z00_3837);
																																																																						BgL_arg2909z00_3860
																																																																							=
																																																																							(BgL_arg2910z00_3861
																																																																							-
																																																																							OBJECT_TYPE);
																																																																					}
																																																																					BgL_oclassz00_3851
																																																																						=
																																																																						VECTOR_REF
																																																																						(BgL_arg2908z00_3859,
																																																																						BgL_arg2909z00_3860);
																																																																				}
																																																																				{	/* Eval/evaluate.scm 543 */
																																																																					bool_t
																																																																						BgL__ortest_1203z00_3852;
																																																																					BgL__ortest_1203z00_3852
																																																																						=
																																																																						(BgL_classz00_3835
																																																																						==
																																																																						BgL_oclassz00_3851);
																																																																					if (BgL__ortest_1203z00_3852)
																																																																						{	/* Eval/evaluate.scm 543 */
																																																																							BgL_res2949z00_3868
																																																																								=
																																																																								BgL__ortest_1203z00_3852;
																																																																						}
																																																																					else
																																																																						{	/* Eval/evaluate.scm 543 */
																																																																							long
																																																																								BgL_odepthz00_3853;
																																																																							{	/* Eval/evaluate.scm 543 */
																																																																								obj_t
																																																																									BgL_arg2894z00_3854;
																																																																								BgL_arg2894z00_3854
																																																																									=
																																																																									(BgL_oclassz00_3851);
																																																																								BgL_odepthz00_3853
																																																																									=
																																																																									BGL_CLASS_DEPTH
																																																																									(BgL_arg2894z00_3854);
																																																																							}
																																																																							if ((2L < BgL_odepthz00_3853))
																																																																								{	/* Eval/evaluate.scm 543 */
																																																																									obj_t
																																																																										BgL_arg2879z00_3856;
																																																																									{	/* Eval/evaluate.scm 543 */
																																																																										obj_t
																																																																											BgL_arg2887z00_3857;
																																																																										BgL_arg2887z00_3857
																																																																											=
																																																																											(BgL_oclassz00_3851);
																																																																										BgL_arg2879z00_3856
																																																																											=
																																																																											BGL_CLASS_ANCESTORS_REF
																																																																											(BgL_arg2887z00_3857,
																																																																											2L);
																																																																									}
																																																																									BgL_res2949z00_3868
																																																																										=
																																																																										(BgL_arg2879z00_3856
																																																																										==
																																																																										BgL_classz00_3835);
																																																																								}
																																																																							else
																																																																								{	/* Eval/evaluate.scm 543 */
																																																																									BgL_res2949z00_3868
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										0);
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																			BgL_test3323z00_6356
																																																																				=
																																																																				BgL_res2949z00_3868;
																																																																		}
																																																																}
																																																															else
																																																																{	/* Eval/evaluate.scm 543 */
																																																																	BgL_test3323z00_6356
																																																																		=
																																																																		(
																																																																		(bool_t)
																																																																		0);
																																																																}
																																																														}
																																																														if (BgL_test3323z00_6356)
																																																															{
																																																																obj_t
																																																																	BgL_auxz00_6379;
																																																																{	/* Eval/evaluate.scm 545 */
																																																																	obj_t
																																																																		BgL_arg2421z00_2645;
																																																																	{	/* Eval/evaluate.scm 545 */
																																																																		obj_t
																																																																			BgL_arg2422z00_2646;
																																																																		obj_t
																																																																			BgL_arg2423z00_2647;
																																																																		{	/* Eval/evaluate.scm 545 */
																																																																			obj_t
																																																																				BgL_arg2662z00_3870;
																																																																			BgL_arg2662z00_3870
																																																																				=
																																																																				SYMBOL_TO_STRING
																																																																				(
																																																																				((obj_t) BgL_vz00_1567));
																																																																			BgL_arg2422z00_2646
																																																																				=
																																																																				BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																																				(BgL_arg2662z00_3870);
																																																																		}
																																																																		{	/* Eval/evaluate.scm 545 */
																																																																			obj_t
																																																																				BgL_arg2424z00_2648;
																																																																			BgL_arg2424z00_2648
																																																																				=
																																																																				(
																																																																				((BgL_ev_absz00_bglt) COBJECT(((BgL_ev_absz00_bglt) BgL_ez00_2642)))->BgL_wherez00);
																																																																			{	/* Eval/evaluate.scm 545 */
																																																																				obj_t
																																																																					BgL_arg2662z00_3872;
																																																																				BgL_arg2662z00_3872
																																																																					=
																																																																					SYMBOL_TO_STRING
																																																																					(
																																																																					((obj_t) BgL_arg2424z00_2648));
																																																																				BgL_arg2423z00_2647
																																																																					=
																																																																					BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																																					(BgL_arg2662z00_3872);
																																																																			}
																																																																		}
																																																																		BgL_arg2421z00_2645
																																																																			=
																																																																			string_append
																																																																			(BgL_arg2422z00_2646,
																																																																			BgL_arg2423z00_2647);
																																																																	}
																																																																	BgL_auxz00_6379
																																																																		=
																																																																		bstring_to_symbol
																																																																		(BgL_arg2421z00_2645);
																																																																}
																																																																((((BgL_ev_absz00_bglt) COBJECT(((BgL_ev_absz00_bglt) BgL_ez00_2642)))->BgL_wherez00) = ((obj_t) BgL_auxz00_6379), BUNSPEC);
																																																															}
																																																														else
																																																															{	/* Eval/evaluate.scm 543 */
																																																																BFALSE;
																																																															}
																																																													}
																																																													if (CBOOL(BgL_cvz00_2641))
																																																														{	/* Eval/evaluate.scm 547 */
																																																															BgL_ev_setlocalz00_bglt
																																																																BgL_new1144z00_2649;
																																																															{	/* Eval/evaluate.scm 549 */
																																																																BgL_ev_setlocalz00_bglt
																																																																	BgL_new1143z00_2650;
																																																																BgL_new1143z00_2650
																																																																	=
																																																																	(
																																																																	(BgL_ev_setlocalz00_bglt)
																																																																	BOBJECT
																																																																	(GC_MALLOC
																																																																		(sizeof
																																																																			(struct
																																																																				BgL_ev_setlocalz00_bgl))));
																																																																{	/* Eval/evaluate.scm 549 */
																																																																	long
																																																																		BgL_arg2425z00_2651;
																																																																	BgL_arg2425z00_2651
																																																																		=
																																																																		BGL_CLASS_NUM
																																																																		(BGl_ev_setlocalz00zz__evaluate_typesz00);
																																																																	BGL_OBJECT_CLASS_NUM_SET
																																																																		(
																																																																		((BgL_objectz00_bglt) BgL_new1143z00_2650), BgL_arg2425z00_2651);
																																																																}
																																																																BgL_new1144z00_2649
																																																																	=
																																																																	BgL_new1143z00_2650;
																																																															}
																																																															((((BgL_ev_hookz00_bglt) COBJECT(((BgL_ev_hookz00_bglt) BgL_new1144z00_2649)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_ez00_2642)), BUNSPEC);
																																																															((((BgL_ev_setlocalz00_bglt) COBJECT(BgL_new1144z00_2649))->BgL_vz00) = ((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_cvz00_2641)), BUNSPEC);
																																																															BgL_auxz00_6350
																																																																=
																																																																(
																																																																(BgL_ev_hookz00_bglt)
																																																																BgL_new1144z00_2649);
																																																														}
																																																													else
																																																														{	/* Eval/evaluate.scm 550 */
																																																															BgL_ev_setglobalz00_bglt
																																																																BgL_new1146z00_2652;
																																																															{	/* Eval/evaluate.scm 554 */
																																																																BgL_ev_setglobalz00_bglt
																																																																	BgL_new1145z00_2654;
																																																																BgL_new1145z00_2654
																																																																	=
																																																																	(
																																																																	(BgL_ev_setglobalz00_bglt)
																																																																	BOBJECT
																																																																	(GC_MALLOC
																																																																		(sizeof
																																																																			(struct
																																																																				BgL_ev_setglobalz00_bgl))));
																																																																{	/* Eval/evaluate.scm 554 */
																																																																	long
																																																																		BgL_arg2428z00_2655;
																																																																	BgL_arg2428z00_2655
																																																																		=
																																																																		BGL_CLASS_NUM
																																																																		(BGl_ev_setglobalz00zz__evaluate_typesz00);
																																																																	BGL_OBJECT_CLASS_NUM_SET
																																																																		(
																																																																		((BgL_objectz00_bglt) BgL_new1145z00_2654), BgL_arg2428z00_2655);
																																																																}
																																																																BgL_new1146z00_2652
																																																																	=
																																																																	BgL_new1145z00_2654;
																																																															}
																																																															((((BgL_ev_hookz00_bglt) COBJECT(((BgL_ev_hookz00_bglt) BgL_new1146z00_2652)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_ez00_2642)), BUNSPEC);
																																																															((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1146z00_2652))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																															((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1146z00_2652))->BgL_namez00) = ((obj_t) BgL_vz00_1567), BUNSPEC);
																																																															{
																																																																obj_t
																																																																	BgL_auxz00_6413;
																																																																if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
																																																																	{	/* Eval/evaluate.scm 553 */
																																																																		BgL_auxz00_6413
																																																																			=
																																																																			BgL_globalsz00_71;
																																																																	}
																																																																else
																																																																	{	/* Eval/evaluate.scm 553 */
																																																																		BgL_auxz00_6413
																																																																			=
																																																																			BGL_MODULE
																																																																			();
																																																																	}
																																																																((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1146z00_2652))->BgL_modz00) = ((obj_t) BgL_auxz00_6413), BUNSPEC);
																																																															}
																																																															BgL_auxz00_6350
																																																																=
																																																																(
																																																																(BgL_ev_hookz00_bglt)
																																																																BgL_new1146z00_2652);
																																																														}
																																																												}
																																																											}
																																																										}
																																																										return
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_6350);
																																																									}
																																																								}
																																																							else
																																																								{	/* Eval/evaluate.scm 424 */
																																																									return
																																																										BGl_evcompilezd2errorzd2zz__evcompilez00
																																																										(BgL_locz00_74,
																																																										BGl_string2967z00zz__evaluatez00,
																																																										BGl_string3042z00zz__evaluatez00,
																																																										BgL_ez00_69);
																																																								}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 424 */
																																																							return
																																																								BGl_evcompilezd2errorzd2zz__evcompilez00
																																																								(BgL_locz00_74,
																																																								BGl_string2967z00zz__evaluatez00,
																																																								BGl_string3042z00zz__evaluatez00,
																																																								BgL_ez00_69);
																																																						}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_cdrzd27102zd2_1797;
																																																		BgL_cdrzd27102zd2_1797
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_ez00_69));
																																																		{	/* Eval/evaluate.scm 424 */
																																																			obj_t
																																																				BgL_cdrzd27106zd2_1798;
																																																			BgL_cdrzd27106zd2_1798
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd27102zd2_1797));
																																																			if (PAIRP(BgL_cdrzd27106zd2_1798))
																																																				{	/* Eval/evaluate.scm 424 */
																																																					if (NULLP(CDR(BgL_cdrzd27106zd2_1798)))
																																																						{	/* Eval/evaluate.scm 424 */
																																																							obj_t
																																																								BgL_arg1757z00_1802;
																																																							obj_t
																																																								BgL_arg1758z00_1803;
																																																							BgL_arg1757z00_1802
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd27102zd2_1797));
																																																							BgL_arg1758z00_1803
																																																								=
																																																								CAR
																																																								(BgL_cdrzd27106zd2_1798);
																																																							{
																																																								BgL_ev_hookz00_bglt
																																																									BgL_auxz00_6434;
																																																								{
																																																									obj_t
																																																										BgL_ez00_6436;
																																																									obj_t
																																																										BgL_vz00_6435;
																																																									BgL_vz00_6435
																																																										=
																																																										BgL_arg1757z00_1802;
																																																									BgL_ez00_6436
																																																										=
																																																										BgL_arg1758z00_1803;
																																																									BgL_ez00_1568
																																																										=
																																																										BgL_ez00_6436;
																																																									BgL_vz00_1567
																																																										=
																																																										BgL_vz00_6435;
																																																									goto
																																																										BgL_tagzd2165zd2_1569;
																																																								}
																																																								return
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_6434);
																																																							}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 424 */
																																																							return
																																																								BGl_evcompilezd2errorzd2zz__evcompilez00
																																																								(BgL_locz00_74,
																																																								BGl_string2967z00zz__evaluatez00,
																																																								BGl_string3042z00zz__evaluatez00,
																																																								BgL_ez00_69);
																																																						}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 424 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_74,
																																																						BGl_string2967z00zz__evaluatez00,
																																																						BGl_string3042z00zz__evaluatez00,
																																																						BgL_ez00_69);
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_cdrzd27163zd2_1805;
																																																BgL_cdrzd27163zd2_1805
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_ez00_69));
																																																{	/* Eval/evaluate.scm 424 */
																																																	obj_t
																																																		BgL_cdrzd27167zd2_1806;
																																																	BgL_cdrzd27167zd2_1806
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd27163zd2_1805));
																																																	if (PAIRP(BgL_cdrzd27167zd2_1806))
																																																		{	/* Eval/evaluate.scm 424 */
																																																			if (NULLP(CDR(BgL_cdrzd27167zd2_1806)))
																																																				{	/* Eval/evaluate.scm 424 */
																																																					obj_t
																																																						BgL_arg1763z00_1810;
																																																					obj_t
																																																						BgL_arg1765z00_1811;
																																																					BgL_arg1763z00_1810
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd27163zd2_1805));
																																																					BgL_arg1765z00_1811
																																																						=
																																																						CAR
																																																						(BgL_cdrzd27167zd2_1806);
																																																					{
																																																						BgL_ev_hookz00_bglt
																																																							BgL_auxz00_6452;
																																																						{
																																																							obj_t
																																																								BgL_ez00_6454;
																																																							obj_t
																																																								BgL_vz00_6453;
																																																							BgL_vz00_6453
																																																								=
																																																								BgL_arg1763z00_1810;
																																																							BgL_ez00_6454
																																																								=
																																																								BgL_arg1765z00_1811;
																																																							BgL_ez00_1568
																																																								=
																																																								BgL_ez00_6454;
																																																							BgL_vz00_1567
																																																								=
																																																								BgL_vz00_6453;
																																																							goto
																																																								BgL_tagzd2165zd2_1569;
																																																						}
																																																						return
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_6452);
																																																					}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 424 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_74,
																																																						BGl_string2967z00zz__evaluatez00,
																																																						BGl_string3042z00zz__evaluatez00,
																																																						BgL_ez00_69);
																																																				}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 424 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_74,
																																																				BGl_string2967z00zz__evaluatez00,
																																																				BGl_string3042z00zz__evaluatez00,
																																																				BgL_ez00_69);
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_cdrzd27224zd2_1813;
																																														BgL_cdrzd27224zd2_1813
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_ez00_69));
																																														{	/* Eval/evaluate.scm 424 */
																																															obj_t
																																																BgL_cdrzd27228zd2_1814;
																																															BgL_cdrzd27228zd2_1814
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd27224zd2_1813));
																																															if (PAIRP(BgL_cdrzd27228zd2_1814))
																																																{	/* Eval/evaluate.scm 424 */
																																																	if (NULLP(CDR(BgL_cdrzd27228zd2_1814)))
																																																		{	/* Eval/evaluate.scm 424 */
																																																			obj_t
																																																				BgL_arg1772z00_1818;
																																																			obj_t
																																																				BgL_arg1773z00_1819;
																																																			BgL_arg1772z00_1818
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd27224zd2_1813));
																																																			BgL_arg1773z00_1819
																																																				=
																																																				CAR
																																																				(BgL_cdrzd27228zd2_1814);
																																																			{
																																																				BgL_ev_hookz00_bglt
																																																					BgL_auxz00_6470;
																																																				{
																																																					obj_t
																																																						BgL_ez00_6472;
																																																					obj_t
																																																						BgL_vz00_6471;
																																																					BgL_vz00_6471
																																																						=
																																																						BgL_arg1772z00_1818;
																																																					BgL_ez00_6472
																																																						=
																																																						BgL_arg1773z00_1819;
																																																					BgL_ez00_1568
																																																						=
																																																						BgL_ez00_6472;
																																																					BgL_vz00_1567
																																																						=
																																																						BgL_vz00_6471;
																																																					goto
																																																						BgL_tagzd2165zd2_1569;
																																																				}
																																																				return
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_6470);
																																																			}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 424 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_74,
																																																				BGl_string2967z00zz__evaluatez00,
																																																				BGl_string3042z00zz__evaluatez00,
																																																				BgL_ez00_69);
																																																		}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 424 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_74,
																																																		BGl_string2967z00zz__evaluatez00,
																																																		BGl_string3042z00zz__evaluatez00,
																																																		BgL_ez00_69);
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_cdrzd27285zd2_1821;
																																												BgL_cdrzd27285zd2_1821
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_ez00_69));
																																												{	/* Eval/evaluate.scm 424 */
																																													obj_t
																																														BgL_cdrzd27289zd2_1822;
																																													BgL_cdrzd27289zd2_1822
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd27285zd2_1821));
																																													if (PAIRP(BgL_cdrzd27289zd2_1822))
																																														{	/* Eval/evaluate.scm 424 */
																																															if (NULLP(CDR(BgL_cdrzd27289zd2_1822)))
																																																{	/* Eval/evaluate.scm 424 */
																																																	obj_t
																																																		BgL_arg1778z00_1826;
																																																	obj_t
																																																		BgL_arg1779z00_1827;
																																																	BgL_arg1778z00_1826
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd27285zd2_1821));
																																																	BgL_arg1779z00_1827
																																																		=
																																																		CAR
																																																		(BgL_cdrzd27289zd2_1822);
																																																	{
																																																		BgL_ev_hookz00_bglt
																																																			BgL_auxz00_6488;
																																																		{
																																																			obj_t
																																																				BgL_ez00_6490;
																																																			obj_t
																																																				BgL_vz00_6489;
																																																			BgL_vz00_6489
																																																				=
																																																				BgL_arg1778z00_1826;
																																																			BgL_ez00_6490
																																																				=
																																																				BgL_arg1779z00_1827;
																																																			BgL_ez00_1568
																																																				=
																																																				BgL_ez00_6490;
																																																			BgL_vz00_1567
																																																				=
																																																				BgL_vz00_6489;
																																																			goto
																																																				BgL_tagzd2165zd2_1569;
																																																		}
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_6488);
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 424 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_74,
																																																		BGl_string2967z00zz__evaluatez00,
																																																		BGl_string3042z00zz__evaluatez00,
																																																		BgL_ez00_69);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 424 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string2967z00zz__evaluatez00,
																																																BGl_string3042z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_cdrzd27333zd2_1829;
																																										BgL_cdrzd27333zd2_1829
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_ez00_69));
																																										{	/* Eval/evaluate.scm 424 */
																																											obj_t
																																												BgL_carzd27336zd2_1830;
																																											obj_t
																																												BgL_cdrzd27337zd2_1831;
																																											BgL_carzd27336zd2_1830
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd27333zd2_1829));
																																											BgL_cdrzd27337zd2_1831
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_cdrzd27333zd2_1829));
																																											if ((CAR(((obj_t) BgL_carzd27336zd2_1830)) == BGl_symbol3052z00zz__evaluatez00))
																																												{	/* Eval/evaluate.scm 424 */
																																													if (PAIRP(BgL_cdrzd27337zd2_1831))
																																														{	/* Eval/evaluate.scm 424 */
																																															if (NULLP(CDR(BgL_cdrzd27337zd2_1831)))
																																																{	/* Eval/evaluate.scm 424 */
																																																	obj_t
																																																		BgL_arg1789z00_1837;
																																																	obj_t
																																																		BgL_arg1790z00_1838;
																																																	BgL_arg1789z00_1837
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_carzd27336zd2_1830));
																																																	BgL_arg1790z00_1838
																																																		=
																																																		CAR
																																																		(BgL_cdrzd27337zd2_1831);
																																																	BgL_lz00_1564
																																																		=
																																																		BgL_arg1789z00_1837;
																																																	BgL_e2z00_1565
																																																		=
																																																		BgL_arg1790z00_1838;
																																																BgL_tagzd2164zd2_1566:
																																																	{	/* Eval/evaluate.scm 537 */
																																																		bool_t
																																																			BgL_test3341z00_6512;
																																																		if (PAIRP(BgL_lz00_1564))
																																																			{	/* Eval/evaluate.scm 537 */
																																																				bool_t
																																																					BgL_test3343z00_6515;
																																																				{	/* Eval/evaluate.scm 537 */
																																																					obj_t
																																																						BgL_tmpz00_6516;
																																																					BgL_tmpz00_6516
																																																						=
																																																						CDR
																																																						(BgL_lz00_1564);
																																																					BgL_test3343z00_6515
																																																						=
																																																						PAIRP
																																																						(BgL_tmpz00_6516);
																																																				}
																																																				if (BgL_test3343z00_6515)
																																																					{
																																																						obj_t
																																																							BgL_l1253z00_2632;
																																																						BgL_l1253z00_2632
																																																							=
																																																							BgL_lz00_1564;
																																																					BgL_zc3z04anonymousza32413ze3z87_2633:
																																																						if (NULLP(BgL_l1253z00_2632))
																																																							{	/* Eval/evaluate.scm 537 */
																																																								BgL_test3341z00_6512
																																																									=
																																																									(
																																																									(bool_t)
																																																									1);
																																																							}
																																																						else
																																																							{	/* Eval/evaluate.scm 537 */
																																																								bool_t
																																																									BgL_test3345z00_6521;
																																																								{	/* Eval/evaluate.scm 537 */
																																																									obj_t
																																																										BgL_tmpz00_6522;
																																																									BgL_tmpz00_6522
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_l1253z00_2632));
																																																									BgL_test3345z00_6521
																																																										=
																																																										SYMBOLP
																																																										(BgL_tmpz00_6522);
																																																								}
																																																								if (BgL_test3345z00_6521)
																																																									{
																																																										obj_t
																																																											BgL_l1253z00_6526;
																																																										BgL_l1253z00_6526
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_l1253z00_2632));
																																																										BgL_l1253z00_2632
																																																											=
																																																											BgL_l1253z00_6526;
																																																										goto
																																																											BgL_zc3z04anonymousza32413ze3z87_2633;
																																																									}
																																																								else
																																																									{	/* Eval/evaluate.scm 537 */
																																																										BgL_test3341z00_6512
																																																											=
																																																											(
																																																											(bool_t)
																																																											0);
																																																									}
																																																							}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 537 */
																																																						BgL_test3341z00_6512
																																																							=
																																																							(
																																																							(bool_t)
																																																							0);
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 537 */
																																																				BgL_test3341z00_6512
																																																					=
																																																					(
																																																					(bool_t)
																																																					0);
																																																			}
																																																		if (BgL_test3341z00_6512)
																																																			{	/* Eval/evaluate.scm 537 */
																																																				return
																																																					BGl_convzd2fieldzd2setz00zz__evaluatez00
																																																					(BgL_lz00_1564,
																																																					BgL_e2z00_1565,
																																																					BgL_ez00_69,
																																																					BgL_localsz00_70,
																																																					BgL_globalsz00_71,
																																																					BgL_tailzf3zf3_72,
																																																					BgL_wherez00_73,
																																																					BgL_locz00_74,
																																																					BgL_topzf3zf3_75);
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 537 */
																																																				return
																																																					BGl_evcompilezd2errorzd2zz__evcompilez00
																																																					(BgL_locz00_74,
																																																					BGl_string2967z00zz__evaluatez00,
																																																					BGl_string3042z00zz__evaluatez00,
																																																					BgL_ez00_69);
																																																			}
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 424 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_74,
																																																		BGl_string2967z00zz__evaluatez00,
																																																		BGl_string3042z00zz__evaluatez00,
																																																		BgL_ez00_69);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 424 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string2967z00zz__evaluatez00,
																																																BGl_string3042z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 424 */
																																													obj_t
																																														BgL_cdrzd27413zd2_1841;
																																													BgL_cdrzd27413zd2_1841
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd27333zd2_1829));
																																													if (PAIRP(BgL_cdrzd27413zd2_1841))
																																														{	/* Eval/evaluate.scm 424 */
																																															if (NULLP(CDR(BgL_cdrzd27413zd2_1841)))
																																																{	/* Eval/evaluate.scm 424 */
																																																	obj_t
																																																		BgL_arg1795z00_1845;
																																																	obj_t
																																																		BgL_arg1796z00_1846;
																																																	BgL_arg1795z00_1845
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd27333zd2_1829));
																																																	BgL_arg1796z00_1846
																																																		=
																																																		CAR
																																																		(BgL_cdrzd27413zd2_1841);
																																																	{
																																																		BgL_ev_hookz00_bglt
																																																			BgL_auxz00_6543;
																																																		{
																																																			obj_t
																																																				BgL_ez00_6545;
																																																			obj_t
																																																				BgL_vz00_6544;
																																																			BgL_vz00_6544
																																																				=
																																																				BgL_arg1795z00_1845;
																																																			BgL_ez00_6545
																																																				=
																																																				BgL_arg1796z00_1846;
																																																			BgL_ez00_1568
																																																				=
																																																				BgL_ez00_6545;
																																																			BgL_vz00_1567
																																																				=
																																																				BgL_vz00_6544;
																																																			goto
																																																				BgL_tagzd2165zd2_1569;
																																																		}
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_6543);
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 424 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_74,
																																																		BGl_string2967z00zz__evaluatez00,
																																																		BGl_string3042z00zz__evaluatez00,
																																																		BgL_ez00_69);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 424 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string2967z00zz__evaluatez00,
																																																BGl_string3042z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 424 */
																																								obj_t
																																									BgL_cdrzd27470zd2_1850;
																																								BgL_cdrzd27470zd2_1850
																																									=
																																									CDR
																																									(
																																									((obj_t) BgL_ez00_69));
																																								{	/* Eval/evaluate.scm 424 */
																																									obj_t
																																										BgL_cdrzd27474zd2_1851;
																																									BgL_cdrzd27474zd2_1851
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_cdrzd27470zd2_1850));
																																									if (PAIRP(BgL_cdrzd27474zd2_1851))
																																										{	/* Eval/evaluate.scm 424 */
																																											if (NULLP(CDR(BgL_cdrzd27474zd2_1851)))
																																												{	/* Eval/evaluate.scm 424 */
																																													obj_t
																																														BgL_arg1804z00_1855;
																																													obj_t
																																														BgL_arg1805z00_1856;
																																													BgL_arg1804z00_1855
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_cdrzd27470zd2_1850));
																																													BgL_arg1805z00_1856
																																														=
																																														CAR
																																														(BgL_cdrzd27474zd2_1851);
																																													{
																																														BgL_ev_hookz00_bglt
																																															BgL_auxz00_6561;
																																														{
																																															obj_t
																																																BgL_ez00_6563;
																																															obj_t
																																																BgL_vz00_6562;
																																															BgL_vz00_6562
																																																=
																																																BgL_arg1804z00_1855;
																																															BgL_ez00_6563
																																																=
																																																BgL_arg1805z00_1856;
																																															BgL_ez00_1568
																																																=
																																																BgL_ez00_6563;
																																															BgL_vz00_1567
																																																=
																																																BgL_vz00_6562;
																																															goto
																																																BgL_tagzd2165zd2_1569;
																																														}
																																														return
																																															(
																																															(obj_t)
																																															BgL_auxz00_6561);
																																													}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 424 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_74,
																																														BGl_string2967z00zz__evaluatez00,
																																														BGl_string3042z00zz__evaluatez00,
																																														BgL_ez00_69);
																																												}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 424 */
																																											return
																																												BGl_evcompilezd2errorzd2zz__evcompilez00
																																												(BgL_locz00_74,
																																												BGl_string2967z00zz__evaluatez00,
																																												BGl_string3042z00zz__evaluatez00,
																																												BgL_ez00_69);
																																										}
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 424 */
																																						return
																																							BGl_evcompilezd2errorzd2zz__evcompilez00
																																							(BgL_locz00_74,
																																							BGl_string2967z00zz__evaluatez00,
																																							BGl_string3042z00zz__evaluatez00,
																																							BgL_ez00_69);
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 424 */
																																				obj_t
																																					BgL_cdrzd27595zd2_1858;
																																				BgL_cdrzd27595zd2_1858
																																					=
																																					CDR((
																																						(obj_t)
																																						BgL_ez00_69));
																																				if ((CAR
																																						(((obj_t) BgL_ez00_69)) == BGl_symbol3066z00zz__evaluatez00))
																																					{	/* Eval/evaluate.scm 424 */
																																						if (PAIRP(BgL_cdrzd27595zd2_1858))
																																							{	/* Eval/evaluate.scm 424 */
																																								obj_t
																																									BgL_cdrzd27600zd2_1862;
																																								BgL_cdrzd27600zd2_1862
																																									=
																																									CDR
																																									(BgL_cdrzd27595zd2_1858);
																																								if (PAIRP(BgL_cdrzd27600zd2_1862))
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_carzd27604zd2_1864;
																																										BgL_carzd27604zd2_1864
																																											=
																																											CAR
																																											(BgL_cdrzd27600zd2_1862);
																																										if (PAIRP(BgL_carzd27604zd2_1864))
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_cdrzd27609zd2_1866;
																																												BgL_cdrzd27609zd2_1866
																																													=
																																													CDR
																																													(BgL_carzd27604zd2_1864);
																																												if ((CAR(BgL_carzd27604zd2_1864) == BGl_symbol3031z00zz__evaluatez00))
																																													{	/* Eval/evaluate.scm 424 */
																																														if (PAIRP(BgL_cdrzd27609zd2_1866))
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_cdrzd27613zd2_1870;
																																																BgL_cdrzd27613zd2_1870
																																																	=
																																																	CDR
																																																	(BgL_cdrzd27609zd2_1866);
																																																if (PAIRP(BgL_cdrzd27613zd2_1870))
																																																	{	/* Eval/evaluate.scm 424 */
																																																		if (NULLP(CDR(BgL_cdrzd27613zd2_1870)))
																																																			{	/* Eval/evaluate.scm 424 */
																																																				if (NULLP(CDR(BgL_cdrzd27600zd2_1862)))
																																																					{	/* Eval/evaluate.scm 424 */
																																																						obj_t
																																																							BgL_arg1820z00_1876;
																																																						obj_t
																																																							BgL_arg1821z00_1877;
																																																						obj_t
																																																							BgL_arg1822z00_1878;
																																																						BgL_arg1820z00_1876
																																																							=
																																																							CAR
																																																							(BgL_cdrzd27595zd2_1858);
																																																						BgL_arg1821z00_1877
																																																							=
																																																							CAR
																																																							(BgL_cdrzd27609zd2_1866);
																																																						BgL_arg1822z00_1878
																																																							=
																																																							CAR
																																																							(BgL_cdrzd27613zd2_1870);
																																																						{
																																																							BgL_ev_defglobalz00_bglt
																																																								BgL_auxz00_6600;
																																																							BgL_gvz00_1571
																																																								=
																																																								BgL_arg1820z00_1876;
																																																							BgL_formalsz00_1572
																																																								=
																																																								BgL_arg1821z00_1877;
																																																							BgL_bodyz00_1573
																																																								=
																																																								BgL_arg1822z00_1878;
																																																						BgL_tagzd2167zd2_1574:
																																																							{	/* Eval/evaluate.scm 558 */
																																																								obj_t
																																																									BgL_tidz00_2656;
																																																								BgL_tidz00_2656
																																																									=
																																																									BGl_untypezd2identzd2zz__evaluatez00
																																																									(BgL_gvz00_1571);
																																																								{	/* Eval/evaluate.scm 559 */
																																																									BgL_ev_defglobalz00_bglt
																																																										BgL_new1148z00_2657;
																																																									{	/* Eval/evaluate.scm 563 */
																																																										BgL_ev_defglobalz00_bglt
																																																											BgL_new1147z00_2660;
																																																										BgL_new1147z00_2660
																																																											=
																																																											(
																																																											(BgL_ev_defglobalz00_bglt)
																																																											BOBJECT
																																																											(GC_MALLOC
																																																												(sizeof
																																																													(struct
																																																														BgL_ev_defglobalz00_bgl))));
																																																										{	/* Eval/evaluate.scm 563 */
																																																											long
																																																												BgL_arg2431z00_2661;
																																																											BgL_arg2431z00_2661
																																																												=
																																																												BGL_CLASS_NUM
																																																												(BGl_ev_defglobalz00zz__evaluate_typesz00);
																																																											BGL_OBJECT_CLASS_NUM_SET
																																																												(
																																																												((BgL_objectz00_bglt) BgL_new1147z00_2660), BgL_arg2431z00_2661);
																																																										}
																																																										BgL_new1148z00_2657
																																																											=
																																																											BgL_new1147z00_2660;
																																																									}
																																																									{
																																																										BgL_ev_exprz00_bglt
																																																											BgL_auxz00_6606;
																																																										{	/* Eval/evaluate.scm 563 */
																																																											obj_t
																																																												BgL_arg2429z00_2658;
																																																											BgL_arg2429z00_2658
																																																												=
																																																												CDR
																																																												(BgL_tidz00_2656);
																																																											BgL_auxz00_6606
																																																												=
																																																												(
																																																												(BgL_ev_exprz00_bglt)
																																																												BGl_convzd2lambdaze70z35zz__evaluatez00
																																																												(BgL_globalsz00_71,
																																																													BgL_localsz00_70,
																																																													BgL_ez00_69,
																																																													BgL_locz00_74,
																																																													BgL_formalsz00_1572,
																																																													BgL_bodyz00_1573,
																																																													BgL_gvz00_1571,
																																																													BgL_arg2429z00_2658));
																																																										}
																																																										((((BgL_ev_hookz00_bglt) COBJECT(((BgL_ev_hookz00_bglt) BgL_new1148z00_2657)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6606), BUNSPEC);
																																																									}
																																																									((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt) BgL_new1148z00_2657)))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																									((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt) BgL_new1148z00_2657)))->BgL_namez00) = ((obj_t) CAR(BgL_tidz00_2656)), BUNSPEC);
																																																									{
																																																										obj_t
																																																											BgL_auxz00_6617;
																																																										if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
																																																											{	/* Eval/evaluate.scm 562 */
																																																												BgL_auxz00_6617
																																																													=
																																																													BgL_globalsz00_71;
																																																											}
																																																										else
																																																											{	/* Eval/evaluate.scm 562 */
																																																												BgL_auxz00_6617
																																																													=
																																																													BGL_MODULE
																																																													();
																																																											}
																																																										((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt) BgL_new1148z00_2657)))->BgL_modz00) = ((obj_t) BgL_auxz00_6617), BUNSPEC);
																																																									}
																																																									BgL_auxz00_6600
																																																										=
																																																										BgL_new1148z00_2657;
																																																								}
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6600);
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 424 */
																																																						obj_t
																																																							BgL_arg1824z00_1879;
																																																						BgL_arg1824z00_1879
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_ez00_69));
																																																						{
																																																							BgL_ev_appz00_bglt
																																																								BgL_auxz00_6626;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_6628;
																																																								obj_t
																																																									BgL_fz00_6627;
																																																								BgL_fz00_6627
																																																									=
																																																									BgL_arg1824z00_1879;
																																																								BgL_argsz00_6628
																																																									=
																																																									BgL_cdrzd27595zd2_1858;
																																																								BgL_argsz00_1599
																																																									=
																																																									BgL_argsz00_6628;
																																																								BgL_fz00_1598
																																																									=
																																																									BgL_fz00_6627;
																																																								goto
																																																									BgL_tagzd2176zd2_1600;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6626);
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_cdrzd27715zd2_1883;
																																																				BgL_cdrzd27715zd2_1883
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_cdrzd27595zd2_1858));
																																																				if (NULLP(CDR(((obj_t) BgL_cdrzd27715zd2_1883))))
																																																					{	/* Eval/evaluate.scm 424 */
																																																						obj_t
																																																							BgL_arg1829z00_1886;
																																																						obj_t
																																																							BgL_arg1830z00_1887;
																																																						BgL_arg1829z00_1886
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_cdrzd27595zd2_1858));
																																																						BgL_arg1830z00_1887
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_cdrzd27715zd2_1883));
																																																						{
																																																							BgL_ev_defglobalz00_bglt
																																																								BgL_auxz00_6640;
																																																							BgL_gvz00_1575
																																																								=
																																																								BgL_arg1829z00_1886;
																																																							BgL_gez00_1576
																																																								=
																																																								BgL_arg1830z00_1887;
																																																						BgL_tagzd2168zd2_1577:
																																																							{	/* Eval/evaluate.scm 565 */
																																																								obj_t
																																																									BgL_tidz00_2662;
																																																								BgL_tidz00_2662
																																																									=
																																																									BGl_untypezd2identzd2zz__evaluatez00
																																																									(BgL_gvz00_1575);
																																																								{	/* Eval/evaluate.scm 566 */
																																																									BgL_ev_defglobalz00_bglt
																																																										BgL_new1150z00_2663;
																																																									{	/* Eval/evaluate.scm 570 */
																																																										BgL_ev_defglobalz00_bglt
																																																											BgL_new1149z00_2668;
																																																										BgL_new1149z00_2668
																																																											=
																																																											(
																																																											(BgL_ev_defglobalz00_bglt)
																																																											BOBJECT
																																																											(GC_MALLOC
																																																												(sizeof
																																																													(struct
																																																														BgL_ev_defglobalz00_bgl))));
																																																										{	/* Eval/evaluate.scm 570 */
																																																											long
																																																												BgL_arg2441z00_2669;
																																																											BgL_arg2441z00_2669
																																																												=
																																																												BGL_CLASS_NUM
																																																												(BGl_ev_defglobalz00zz__evaluate_typesz00);
																																																											BGL_OBJECT_CLASS_NUM_SET
																																																												(
																																																												((BgL_objectz00_bglt) BgL_new1149z00_2668), BgL_arg2441z00_2669);
																																																										}
																																																										BgL_new1150z00_2663
																																																											=
																																																											BgL_new1149z00_2668;
																																																									}
																																																									{
																																																										BgL_ev_exprz00_bglt
																																																											BgL_auxz00_6646;
																																																										{	/* Eval/evaluate.scm 571 */
																																																											obj_t
																																																												BgL_arg2437z00_2664;
																																																											{	/* Eval/evaluate.scm 571 */
																																																												obj_t
																																																													BgL_arg2439z00_2666;
																																																												BgL_arg2439z00_2666
																																																													=
																																																													CDR
																																																													(BgL_tidz00_2662);
																																																												BgL_arg2437z00_2664
																																																													=
																																																													BGl_typezd2resultzd2zz__evaluatez00
																																																													(BgL_arg2439z00_2666,
																																																													BgL_gez00_1576,
																																																													BgL_locz00_74);
																																																											}
																																																											{	/* Eval/evaluate.scm 383 */
																																																												obj_t
																																																													BgL_arg2471z00_3889;
																																																												{	/* Eval/evaluate.scm 144 */
																																																													obj_t
																																																														BgL__ortest_1069z00_3890;
																																																													BgL__ortest_1069z00_3890
																																																														=
																																																														BGl_getzd2sourcezd2locationz00zz__readerz00
																																																														(BgL_arg2437z00_2664);
																																																													if (CBOOL(BgL__ortest_1069z00_3890))
																																																														{	/* Eval/evaluate.scm 144 */
																																																															BgL_arg2471z00_3889
																																																																=
																																																																BgL__ortest_1069z00_3890;
																																																														}
																																																													else
																																																														{	/* Eval/evaluate.scm 144 */
																																																															BgL_arg2471z00_3889
																																																																=
																																																																BgL_locz00_74;
																																																														}
																																																												}
																																																												{
																																																													obj_t
																																																														BgL_auxz00_6653;
																																																													{	/* Eval/evaluate.scm 374 */
																																																														obj_t
																																																															BgL_auxz00_6654;
																																																														if (BgL_topzf3zf3_75)
																																																															{	/* Eval/evaluate.scm 572 */
																																																																BgL_auxz00_6654
																																																																	=
																																																																	BgL_gvz00_1575;
																																																															}
																																																														else
																																																															{	/* Eval/evaluate.scm 572 */
																																																																BgL_auxz00_6654
																																																																	=
																																																																	BgL_wherez00_73;
																																																															}
																																																														BgL_auxz00_6653
																																																															=
																																																															BGl_convz00zz__evaluatez00
																																																															(BgL_arg2437z00_2664,
																																																															BgL_localsz00_70,
																																																															BgL_globalsz00_71,
																																																															BFALSE,
																																																															BgL_auxz00_6654,
																																																															BgL_arg2471z00_3889,
																																																															((bool_t) 0));
																																																													}
																																																													BgL_auxz00_6646
																																																														=
																																																														(
																																																														(BgL_ev_exprz00_bglt)
																																																														BgL_auxz00_6653);
																																																												}
																																																											}
																																																										}
																																																										((((BgL_ev_hookz00_bglt) COBJECT(((BgL_ev_hookz00_bglt) BgL_new1150z00_2663)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6646), BUNSPEC);
																																																									}
																																																									((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt) BgL_new1150z00_2663)))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																									((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt) BgL_new1150z00_2663)))->BgL_namez00) = ((obj_t) CAR(BgL_tidz00_2662)), BUNSPEC);
																																																									{
																																																										obj_t
																																																											BgL_auxz00_6664;
																																																										if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
																																																											{	/* Eval/evaluate.scm 569 */
																																																												BgL_auxz00_6664
																																																													=
																																																													BgL_globalsz00_71;
																																																											}
																																																										else
																																																											{	/* Eval/evaluate.scm 569 */
																																																												BgL_auxz00_6664
																																																													=
																																																													BGL_MODULE
																																																													();
																																																											}
																																																										((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt) BgL_new1150z00_2663)))->BgL_modz00) = ((obj_t) BgL_auxz00_6664), BUNSPEC);
																																																									}
																																																									BgL_auxz00_6640
																																																										=
																																																										BgL_new1150z00_2663;
																																																								}
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6640);
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 424 */
																																																						obj_t
																																																							BgL_arg1831z00_1888;
																																																						obj_t
																																																							BgL_arg1832z00_1889;
																																																						BgL_arg1831z00_1888
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_ez00_69));
																																																						BgL_arg1832z00_1889
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_ez00_69));
																																																						{
																																																							BgL_ev_appz00_bglt
																																																								BgL_auxz00_6675;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_6677;
																																																								obj_t
																																																									BgL_fz00_6676;
																																																								BgL_fz00_6676
																																																									=
																																																									BgL_arg1831z00_1888;
																																																								BgL_argsz00_6677
																																																									=
																																																									BgL_arg1832z00_1889;
																																																								BgL_argsz00_1599
																																																									=
																																																									BgL_argsz00_6677;
																																																								BgL_fz00_1598
																																																									=
																																																									BgL_fz00_6676;
																																																								goto
																																																									BgL_tagzd2176zd2_1600;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6675);
																																																						}
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_cdrzd27804zd2_1893;
																																																		BgL_cdrzd27804zd2_1893
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_cdrzd27595zd2_1858));
																																																		if (NULLP(CDR(((obj_t) BgL_cdrzd27804zd2_1893))))
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg1838z00_1896;
																																																				obj_t
																																																					BgL_arg1839z00_1897;
																																																				BgL_arg1838z00_1896
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd27595zd2_1858));
																																																				BgL_arg1839z00_1897
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd27804zd2_1893));
																																																				{
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_auxz00_6689;
																																																					{
																																																						obj_t
																																																							BgL_gez00_6691;
																																																						obj_t
																																																							BgL_gvz00_6690;
																																																						BgL_gvz00_6690
																																																							=
																																																							BgL_arg1838z00_1896;
																																																						BgL_gez00_6691
																																																							=
																																																							BgL_arg1839z00_1897;
																																																						BgL_gez00_1576
																																																							=
																																																							BgL_gez00_6691;
																																																						BgL_gvz00_1575
																																																							=
																																																							BgL_gvz00_6690;
																																																						goto
																																																							BgL_tagzd2168zd2_1577;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6689);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg1840z00_1898;
																																																				obj_t
																																																					BgL_arg1841z00_1899;
																																																				BgL_arg1840z00_1898
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_ez00_69));
																																																				BgL_arg1841z00_1899
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_ez00_69));
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_6697;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_6699;
																																																						obj_t
																																																							BgL_fz00_6698;
																																																						BgL_fz00_6698
																																																							=
																																																							BgL_arg1840z00_1898;
																																																						BgL_argsz00_6699
																																																							=
																																																							BgL_arg1841z00_1899;
																																																						BgL_argsz00_1599
																																																							=
																																																							BgL_argsz00_6699;
																																																						BgL_fz00_1598
																																																							=
																																																							BgL_fz00_6698;
																																																						goto
																																																							BgL_tagzd2176zd2_1600;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6697);
																																																				}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_cdrzd27893zd2_1902;
																																																BgL_cdrzd27893zd2_1902
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_cdrzd27595zd2_1858));
																																																if (NULLP(CDR(((obj_t) BgL_cdrzd27893zd2_1902))))
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_arg1845z00_1905;
																																																		obj_t
																																																			BgL_arg1846z00_1906;
																																																		BgL_arg1845z00_1905
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_cdrzd27595zd2_1858));
																																																		BgL_arg1846z00_1906
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_cdrzd27893zd2_1902));
																																																		{
																																																			BgL_ev_defglobalz00_bglt
																																																				BgL_auxz00_6711;
																																																			{
																																																				obj_t
																																																					BgL_gez00_6713;
																																																				obj_t
																																																					BgL_gvz00_6712;
																																																				BgL_gvz00_6712
																																																					=
																																																					BgL_arg1845z00_1905;
																																																				BgL_gez00_6713
																																																					=
																																																					BgL_arg1846z00_1906;
																																																				BgL_gez00_1576
																																																					=
																																																					BgL_gez00_6713;
																																																				BgL_gvz00_1575
																																																					=
																																																					BgL_gvz00_6712;
																																																				goto
																																																					BgL_tagzd2168zd2_1577;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6711);
																																																		}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_arg1847z00_1907;
																																																		obj_t
																																																			BgL_arg1848z00_1908;
																																																		BgL_arg1847z00_1907
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_ez00_69));
																																																		BgL_arg1848z00_1908
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_ez00_69));
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_6719;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_6721;
																																																				obj_t
																																																					BgL_fz00_6720;
																																																				BgL_fz00_6720
																																																					=
																																																					BgL_arg1847z00_1907;
																																																				BgL_argsz00_6721
																																																					=
																																																					BgL_arg1848z00_1908;
																																																				BgL_argsz00_1599
																																																					=
																																																					BgL_argsz00_6721;
																																																				BgL_fz00_1598
																																																					=
																																																					BgL_fz00_6720;
																																																				goto
																																																					BgL_tagzd2176zd2_1600;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6719);
																																																		}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_cdrzd27982zd2_1911;
																																														BgL_cdrzd27982zd2_1911
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_cdrzd27595zd2_1858));
																																														if (NULLP(CDR(((obj_t) BgL_cdrzd27982zd2_1911))))
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_arg1852z00_1914;
																																																obj_t
																																																	BgL_arg1853z00_1915;
																																																BgL_arg1852z00_1914
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_cdrzd27595zd2_1858));
																																																BgL_arg1853z00_1915
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_cdrzd27982zd2_1911));
																																																{
																																																	BgL_ev_defglobalz00_bglt
																																																		BgL_auxz00_6733;
																																																	{
																																																		obj_t
																																																			BgL_gez00_6735;
																																																		obj_t
																																																			BgL_gvz00_6734;
																																																		BgL_gvz00_6734
																																																			=
																																																			BgL_arg1852z00_1914;
																																																		BgL_gez00_6735
																																																			=
																																																			BgL_arg1853z00_1915;
																																																		BgL_gez00_1576
																																																			=
																																																			BgL_gez00_6735;
																																																		BgL_gvz00_1575
																																																			=
																																																			BgL_gvz00_6734;
																																																		goto
																																																			BgL_tagzd2168zd2_1577;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6733);
																																																}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_arg1854z00_1916;
																																																obj_t
																																																	BgL_arg1855z00_1917;
																																																BgL_arg1854z00_1916
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_ez00_69));
																																																BgL_arg1855z00_1917
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_ez00_69));
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_6741;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_6743;
																																																		obj_t
																																																			BgL_fz00_6742;
																																																		BgL_fz00_6742
																																																			=
																																																			BgL_arg1854z00_1916;
																																																		BgL_argsz00_6743
																																																			=
																																																			BgL_arg1855z00_1917;
																																																		BgL_argsz00_1599
																																																			=
																																																			BgL_argsz00_6743;
																																																		BgL_fz00_1598
																																																			=
																																																			BgL_fz00_6742;
																																																		goto
																																																			BgL_tagzd2176zd2_1600;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6741);
																																																}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_cdrzd28071zd2_1921;
																																												BgL_cdrzd28071zd2_1921
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_cdrzd27595zd2_1858));
																																												if (NULLP(CDR(((obj_t) BgL_cdrzd28071zd2_1921))))
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_arg1860z00_1924;
																																														obj_t
																																															BgL_arg1861z00_1925;
																																														BgL_arg1860z00_1924
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_cdrzd27595zd2_1858));
																																														BgL_arg1861z00_1925
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_cdrzd28071zd2_1921));
																																														{
																																															BgL_ev_defglobalz00_bglt
																																																BgL_auxz00_6755;
																																															{
																																																obj_t
																																																	BgL_gez00_6757;
																																																obj_t
																																																	BgL_gvz00_6756;
																																																BgL_gvz00_6756
																																																	=
																																																	BgL_arg1860z00_1924;
																																																BgL_gez00_6757
																																																	=
																																																	BgL_arg1861z00_1925;
																																																BgL_gez00_1576
																																																	=
																																																	BgL_gez00_6757;
																																																BgL_gvz00_1575
																																																	=
																																																	BgL_gvz00_6756;
																																																goto
																																																	BgL_tagzd2168zd2_1577;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6755);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_arg1862z00_1926;
																																														obj_t
																																															BgL_arg1863z00_1927;
																																														BgL_arg1862z00_1926
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_ez00_69));
																																														BgL_arg1863z00_1927
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_ez00_69));
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_6763;
																																															{
																																																obj_t
																																																	BgL_argsz00_6765;
																																																obj_t
																																																	BgL_fz00_6764;
																																																BgL_fz00_6764
																																																	=
																																																	BgL_arg1862z00_1926;
																																																BgL_argsz00_6765
																																																	=
																																																	BgL_arg1863z00_1927;
																																																BgL_argsz00_1599
																																																	=
																																																	BgL_argsz00_6765;
																																																BgL_fz00_1598
																																																	=
																																																	BgL_fz00_6764;
																																																goto
																																																	BgL_tagzd2176zd2_1600;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6763);
																																														}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_arg1865z00_1929;
																																										BgL_arg1865z00_1929
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_ez00_69));
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_6769;
																																											{
																																												obj_t
																																													BgL_argsz00_6771;
																																												obj_t
																																													BgL_fz00_6770;
																																												BgL_fz00_6770
																																													=
																																													BgL_arg1865z00_1929;
																																												BgL_argsz00_6771
																																													=
																																													BgL_cdrzd27595zd2_1858;
																																												BgL_argsz00_1599
																																													=
																																													BgL_argsz00_6771;
																																												BgL_fz00_1598
																																													=
																																													BgL_fz00_6770;
																																												goto
																																													BgL_tagzd2176zd2_1600;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_6769);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 424 */
																																								obj_t
																																									BgL_arg1867z00_1931;
																																								BgL_arg1867z00_1931
																																									=
																																									CAR
																																									(
																																									((obj_t) BgL_ez00_69));
																																								{
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_6775;
																																									{
																																										obj_t
																																											BgL_argsz00_6777;
																																										obj_t
																																											BgL_fz00_6776;
																																										BgL_fz00_6776
																																											=
																																											BgL_arg1867z00_1931;
																																										BgL_argsz00_6777
																																											=
																																											BgL_cdrzd27595zd2_1858;
																																										BgL_argsz00_1599
																																											=
																																											BgL_argsz00_6777;
																																										BgL_fz00_1598
																																											=
																																											BgL_fz00_6776;
																																										goto
																																											BgL_tagzd2176zd2_1600;
																																									}
																																									return
																																										(
																																										(obj_t)
																																										BgL_auxz00_6775);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 424 */
																																						if (
																																							(CAR
																																								(((obj_t) BgL_ez00_69)) == BGl_symbol3068z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 424 */
																																								if (PAIRP(BgL_cdrzd27595zd2_1858))
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_carzd28319zd2_1937;
																																										BgL_carzd28319zd2_1937
																																											=
																																											CAR
																																											(BgL_cdrzd27595zd2_1858);
																																										if (PAIRP(BgL_carzd28319zd2_1937))
																																											{	/* Eval/evaluate.scm 424 */
																																												if (NULLP(CDR(BgL_carzd28319zd2_1937)))
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_arg1878z00_1941;
																																														obj_t
																																															BgL_arg1879z00_1942;
																																														BgL_arg1878z00_1941
																																															=
																																															CAR
																																															(BgL_carzd28319zd2_1937);
																																														BgL_arg1879z00_1942
																																															=
																																															CDR
																																															(BgL_cdrzd27595zd2_1858);
																																														{
																																															BgL_ev_bindzd2exitzd2_bglt
																																																BgL_auxz00_6793;
																																															BgL_vz00_1578
																																																=
																																																BgL_arg1878z00_1941;
																																															BgL_bodyz00_1579
																																																=
																																																BgL_arg1879z00_1942;
																																														BgL_tagzd2169zd2_1580:
																																															{	/* Eval/evaluate.scm 574 */
																																																BgL_ev_varz00_bglt
																																																	BgL_varz00_2670;
																																																{	/* Eval/evaluate.scm 574 */
																																																	BgL_ev_varz00_bglt
																																																		BgL_new1152z00_2675;
																																																	{	/* Eval/evaluate.scm 574 */
																																																		BgL_ev_varz00_bglt
																																																			BgL_new1151z00_2676;
																																																		BgL_new1151z00_2676
																																																			=
																																																			(
																																																			(BgL_ev_varz00_bglt)
																																																			BOBJECT
																																																			(GC_MALLOC
																																																				(sizeof
																																																					(struct
																																																						BgL_ev_varz00_bgl))));
																																																		{	/* Eval/evaluate.scm 574 */
																																																			long
																																																				BgL_arg2449z00_2677;
																																																			BgL_arg2449z00_2677
																																																				=
																																																				BGL_CLASS_NUM
																																																				(BGl_ev_varz00zz__evaluate_typesz00);
																																																			BGL_OBJECT_CLASS_NUM_SET
																																																				(
																																																				((BgL_objectz00_bglt) BgL_new1151z00_2676), BgL_arg2449z00_2677);
																																																		}
																																																		BgL_new1152z00_2675
																																																			=
																																																			BgL_new1151z00_2676;
																																																	}
																																																	((((BgL_ev_varz00_bglt) COBJECT(BgL_new1152z00_2675))->BgL_namez00) = ((obj_t) BgL_vz00_1578), BUNSPEC);
																																																	((((BgL_ev_varz00_bglt) COBJECT(BgL_new1152z00_2675))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																																	((((BgL_ev_varz00_bglt) COBJECT(BgL_new1152z00_2675))->BgL_typez00) = ((obj_t) BFALSE), BUNSPEC);
																																																	BgL_varz00_2670
																																																		=
																																																		BgL_new1152z00_2675;
																																																}
																																																{	/* Eval/evaluate.scm 575 */
																																																	BgL_ev_bindzd2exitzd2_bglt
																																																		BgL_new1154z00_2671;
																																																	{	/* Eval/evaluate.scm 576 */
																																																		BgL_ev_bindzd2exitzd2_bglt
																																																			BgL_new1153z00_2673;
																																																		BgL_new1153z00_2673
																																																			=
																																																			(
																																																			(BgL_ev_bindzd2exitzd2_bglt)
																																																			BOBJECT
																																																			(GC_MALLOC
																																																				(sizeof
																																																					(struct
																																																						BgL_ev_bindzd2exitzd2_bgl))));
																																																		{	/* Eval/evaluate.scm 576 */
																																																			long
																																																				BgL_arg2448z00_2674;
																																																			BgL_arg2448z00_2674
																																																				=
																																																				BGL_CLASS_NUM
																																																				(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00);
																																																			BGL_OBJECT_CLASS_NUM_SET
																																																				(
																																																				((BgL_objectz00_bglt) BgL_new1153z00_2673), BgL_arg2448z00_2674);
																																																		}
																																																		BgL_new1154z00_2671
																																																			=
																																																			BgL_new1153z00_2673;
																																																	}
																																																	((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(BgL_new1154z00_2671))->BgL_varz00) = ((BgL_ev_varz00_bglt) BgL_varz00_2670), BUNSPEC);
																																																	{
																																																		BgL_ev_exprz00_bglt
																																																			BgL_auxz00_6806;
																																																		{	/* Eval/evaluate.scm 577 */
																																																			obj_t
																																																				BgL_arg2443z00_2672;
																																																			BgL_arg2443z00_2672
																																																				=
																																																				MAKE_YOUNG_PAIR
																																																				(
																																																				((obj_t) BgL_varz00_2670), BgL_localsz00_70);
																																																			BgL_auxz00_6806
																																																				=
																																																				(
																																																				(BgL_ev_exprz00_bglt)
																																																				BGl_convzd2beginzd2zz__evaluatez00
																																																				(BgL_bodyz00_1579,
																																																					BgL_arg2443z00_2672,
																																																					BgL_globalsz00_71,
																																																					BFALSE,
																																																					BgL_wherez00_73,
																																																					BgL_locz00_74,
																																																					((bool_t) 0)));
																																																		}
																																																		((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(BgL_new1154z00_2671))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6806), BUNSPEC);
																																																	}
																																																	BgL_auxz00_6793
																																																		=
																																																		BgL_new1154z00_2671;
																																															}}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6793);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_arg1880z00_1943;
																																														obj_t
																																															BgL_arg1881z00_1944;
																																														BgL_arg1880z00_1943
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_ez00_69));
																																														BgL_arg1881z00_1944
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_ez00_69));
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_6817;
																																															{
																																																obj_t
																																																	BgL_argsz00_6819;
																																																obj_t
																																																	BgL_fz00_6818;
																																																BgL_fz00_6818
																																																	=
																																																	BgL_arg1880z00_1943;
																																																BgL_argsz00_6819
																																																	=
																																																	BgL_arg1881z00_1944;
																																																BgL_argsz00_1599
																																																	=
																																																	BgL_argsz00_6819;
																																																BgL_fz00_1598
																																																	=
																																																	BgL_fz00_6818;
																																																goto
																																																	BgL_tagzd2176zd2_1600;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6817);
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_arg1883z00_1946;
																																												obj_t
																																													BgL_arg1884z00_1947;
																																												BgL_arg1883z00_1946
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_ez00_69));
																																												BgL_arg1884z00_1947
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_ez00_69));
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_6825;
																																													{
																																														obj_t
																																															BgL_argsz00_6827;
																																														obj_t
																																															BgL_fz00_6826;
																																														BgL_fz00_6826
																																															=
																																															BgL_arg1883z00_1946;
																																														BgL_argsz00_6827
																																															=
																																															BgL_arg1884z00_1947;
																																														BgL_argsz00_1599
																																															=
																																															BgL_argsz00_6827;
																																														BgL_fz00_1598
																																															=
																																															BgL_fz00_6826;
																																														goto
																																															BgL_tagzd2176zd2_1600;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6825);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_arg1885z00_1948;
																																										obj_t
																																											BgL_arg1886z00_1949;
																																										BgL_arg1885z00_1948
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_ez00_69));
																																										BgL_arg1886z00_1949
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_ez00_69));
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_6833;
																																											{
																																												obj_t
																																													BgL_argsz00_6835;
																																												obj_t
																																													BgL_fz00_6834;
																																												BgL_fz00_6834
																																													=
																																													BgL_arg1885z00_1948;
																																												BgL_argsz00_6835
																																													=
																																													BgL_arg1886z00_1949;
																																												BgL_argsz00_1599
																																													=
																																													BgL_argsz00_6835;
																																												BgL_fz00_1598
																																													=
																																													BgL_fz00_6834;
																																												goto
																																													BgL_tagzd2176zd2_1600;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_6833);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 424 */
																																								obj_t
																																									BgL_cdrzd28490zd2_1950;
																																								BgL_cdrzd28490zd2_1950
																																									=
																																									CDR
																																									(
																																									((obj_t) BgL_ez00_69));
																																								if ((CAR(((obj_t) BgL_ez00_69)) == BGl_symbol3070z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 424 */
																																										if (PAIRP(BgL_cdrzd28490zd2_1950))
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_arg1890z00_1954;
																																												obj_t
																																													BgL_arg1891z00_1955;
																																												BgL_arg1890z00_1954
																																													=
																																													CAR
																																													(BgL_cdrzd28490zd2_1950);
																																												BgL_arg1891z00_1955
																																													=
																																													CDR
																																													(BgL_cdrzd28490zd2_1950);
																																												{	/* Eval/evaluate.scm 579 */
																																													BgL_ev_unwindzd2protectzd2_bglt
																																														BgL_new1156z00_4209;
																																													{	/* Eval/evaluate.scm 580 */
																																														BgL_ev_unwindzd2protectzd2_bglt
																																															BgL_new1155z00_4210;
																																														BgL_new1155z00_4210
																																															=
																																															(
																																															(BgL_ev_unwindzd2protectzd2_bglt)
																																															BOBJECT
																																															(GC_MALLOC
																																																(sizeof
																																																	(struct
																																																		BgL_ev_unwindzd2protectzd2_bgl))));
																																														{	/* Eval/evaluate.scm 580 */
																																															long
																																																BgL_arg2450z00_4211;
																																															BgL_arg2450z00_4211
																																																=
																																																BGL_CLASS_NUM
																																																(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00);
																																															BGL_OBJECT_CLASS_NUM_SET
																																																(
																																																((BgL_objectz00_bglt) BgL_new1155z00_4210), BgL_arg2450z00_4211);
																																														}
																																														BgL_new1156z00_4209
																																															=
																																															BgL_new1155z00_4210;
																																													}
																																													{
																																														BgL_ev_exprz00_bglt
																																															BgL_auxz00_6851;
																																														{	/* Eval/evaluate.scm 380 */
																																															obj_t
																																																BgL_arg2469z00_4215;
																																															BgL_arg2469z00_4215
																																																=
																																																BGl_getzd2locationzd2zz__evaluatez00
																																																(BgL_arg1890z00_1954,
																																																BgL_locz00_74);
																																															BgL_auxz00_6851
																																																=
																																																(
																																																(BgL_ev_exprz00_bglt)
																																																BGl_uconvzf2locze70z15zz__evaluatez00
																																																(BgL_wherez00_73,
																																																	BgL_globalsz00_71,
																																																	BgL_localsz00_70,
																																																	BgL_arg1890z00_1954,
																																																	BgL_arg2469z00_4215));
																																														}
																																														((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(BgL_new1156z00_4209))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6851), BUNSPEC);
																																													}
																																													((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(BgL_new1156z00_4209))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_arg1891z00_1955, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																													return
																																														(
																																														(obj_t)
																																														BgL_new1156z00_4209);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_arg1892z00_1956;
																																												BgL_arg1892z00_1956
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_ez00_69));
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_6862;
																																													{
																																														obj_t
																																															BgL_argsz00_6864;
																																														obj_t
																																															BgL_fz00_6863;
																																														BgL_fz00_6863
																																															=
																																															BgL_arg1892z00_1956;
																																														BgL_argsz00_6864
																																															=
																																															BgL_cdrzd28490zd2_1950;
																																														BgL_argsz00_1599
																																															=
																																															BgL_argsz00_6864;
																																														BgL_fz00_1598
																																															=
																																															BgL_fz00_6863;
																																														goto
																																															BgL_tagzd2176zd2_1600;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6862);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 424 */
																																										if ((CAR(((obj_t) BgL_ez00_69)) == BGl_symbol3072z00zz__evaluatez00))
																																											{	/* Eval/evaluate.scm 424 */
																																												if (PAIRP(BgL_cdrzd28490zd2_1950))
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_arg1897z00_1962;
																																														obj_t
																																															BgL_arg1898z00_1963;
																																														BgL_arg1897z00_1962
																																															=
																																															CAR
																																															(BgL_cdrzd28490zd2_1950);
																																														BgL_arg1898z00_1963
																																															=
																																															CDR
																																															(BgL_cdrzd28490zd2_1950);
																																														{	/* Eval/evaluate.scm 583 */
																																															BgL_ev_withzd2handlerzd2_bglt
																																																BgL_new1158z00_4222;
																																															{	/* Eval/evaluate.scm 584 */
																																																BgL_ev_withzd2handlerzd2_bglt
																																																	BgL_new1157z00_4223;
																																																BgL_new1157z00_4223
																																																	=
																																																	(
																																																	(BgL_ev_withzd2handlerzd2_bglt)
																																																	BOBJECT
																																																	(GC_MALLOC
																																																		(sizeof
																																																			(struct
																																																				BgL_ev_withzd2handlerzd2_bgl))));
																																																{	/* Eval/evaluate.scm 584 */
																																																	long
																																																		BgL_arg2451z00_4224;
																																																	BgL_arg2451z00_4224
																																																		=
																																																		BGL_CLASS_NUM
																																																		(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00);
																																																	BGL_OBJECT_CLASS_NUM_SET
																																																		(
																																																		((BgL_objectz00_bglt) BgL_new1157z00_4223), BgL_arg2451z00_4224);
																																																}
																																																BgL_new1158z00_4222
																																																	=
																																																	BgL_new1157z00_4223;
																																															}
																																															{
																																																BgL_ev_exprz00_bglt
																																																	BgL_auxz00_6878;
																																																{	/* Eval/evaluate.scm 380 */
																																																	obj_t
																																																		BgL_arg2469z00_4228;
																																																	BgL_arg2469z00_4228
																																																		=
																																																		BGl_getzd2locationzd2zz__evaluatez00
																																																		(BgL_arg1897z00_1962,
																																																		BgL_locz00_74);
																																																	BgL_auxz00_6878
																																																		=
																																																		(
																																																		(BgL_ev_exprz00_bglt)
																																																		BGl_uconvzf2locze70z15zz__evaluatez00
																																																		(BgL_wherez00_73,
																																																			BgL_globalsz00_71,
																																																			BgL_localsz00_70,
																																																			BgL_arg1897z00_1962,
																																																			BgL_arg2469z00_4228));
																																																}
																																																((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(BgL_new1158z00_4222))->BgL_handlerz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6878), BUNSPEC);
																																															}
																																															((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(BgL_new1158z00_4222))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_arg1898z00_1963, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																															return
																																																(
																																																(obj_t)
																																																BgL_new1158z00_4222);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_arg1899z00_1964;
																																														obj_t
																																															BgL_arg1900z00_1965;
																																														BgL_arg1899z00_1964
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_ez00_69));
																																														BgL_arg1900z00_1965
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_ez00_69));
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_6891;
																																															{
																																																obj_t
																																																	BgL_argsz00_6893;
																																																obj_t
																																																	BgL_fz00_6892;
																																																BgL_fz00_6892
																																																	=
																																																	BgL_arg1899z00_1964;
																																																BgL_argsz00_6893
																																																	=
																																																	BgL_arg1900z00_1965;
																																																BgL_argsz00_1599
																																																	=
																																																	BgL_argsz00_6893;
																																																BgL_fz00_1598
																																																	=
																																																	BgL_fz00_6892;
																																																goto
																																																	BgL_tagzd2176zd2_1600;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6891);
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_cdrzd28597zd2_1966;
																																												BgL_cdrzd28597zd2_1966
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_ez00_69));
																																												if ((CAR(((obj_t) BgL_ez00_69)) == BGl_symbol3074z00zz__evaluatez00))
																																													{	/* Eval/evaluate.scm 424 */
																																														if (PAIRP(BgL_cdrzd28597zd2_1966))
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_cdrzd28602zd2_1970;
																																																BgL_cdrzd28602zd2_1970
																																																	=
																																																	CDR
																																																	(BgL_cdrzd28597zd2_1966);
																																																if (PAIRP(BgL_cdrzd28602zd2_1970))
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_cdrzd28607zd2_1972;
																																																		BgL_cdrzd28607zd2_1972
																																																			=
																																																			CDR
																																																			(BgL_cdrzd28602zd2_1970);
																																																		if ((CAR(BgL_cdrzd28602zd2_1970) == BGl_keyword3076z00zz__evaluatez00))
																																																			{	/* Eval/evaluate.scm 424 */
																																																				if (PAIRP(BgL_cdrzd28607zd2_1972))
																																																					{	/* Eval/evaluate.scm 424 */
																																																						obj_t
																																																							BgL_arg1908z00_1976;
																																																						obj_t
																																																							BgL_arg1909z00_1977;
																																																						obj_t
																																																							BgL_arg1910z00_1978;
																																																						BgL_arg1908z00_1976
																																																							=
																																																							CAR
																																																							(BgL_cdrzd28597zd2_1966);
																																																						BgL_arg1909z00_1977
																																																							=
																																																							CAR
																																																							(BgL_cdrzd28607zd2_1972);
																																																						BgL_arg1910z00_1978
																																																							=
																																																							CDR
																																																							(BgL_cdrzd28607zd2_1972);
																																																						{	/* Eval/evaluate.scm 587 */
																																																							BgL_ev_synchroniza7eza7_bglt
																																																								BgL_new1160z00_4239;
																																																							{	/* Eval/evaluate.scm 588 */
																																																								BgL_ev_synchroniza7eza7_bglt
																																																									BgL_new1159z00_4240;
																																																								BgL_new1159z00_4240
																																																									=
																																																									(
																																																									(BgL_ev_synchroniza7eza7_bglt)
																																																									BOBJECT
																																																									(GC_MALLOC
																																																										(sizeof
																																																											(struct
																																																												BgL_ev_synchroniza7eza7_bgl))));
																																																								{	/* Eval/evaluate.scm 588 */
																																																									long
																																																										BgL_arg2452z00_4241;
																																																									BgL_arg2452z00_4241
																																																										=
																																																										BGL_CLASS_NUM
																																																										(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
																																																									BGL_OBJECT_CLASS_NUM_SET
																																																										(
																																																										((BgL_objectz00_bglt) BgL_new1159z00_4240), BgL_arg2452z00_4241);
																																																								}
																																																								BgL_new1160z00_4239
																																																									=
																																																									BgL_new1159z00_4240;
																																																							}
																																																							((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1160z00_4239))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																							{
																																																								BgL_ev_exprz00_bglt
																																																									BgL_auxz00_6920;
																																																								{	/* Eval/evaluate.scm 380 */
																																																									obj_t
																																																										BgL_arg2469z00_4245;
																																																									BgL_arg2469z00_4245
																																																										=
																																																										BGl_getzd2locationzd2zz__evaluatez00
																																																										(BgL_arg1908z00_1976,
																																																										BgL_locz00_74);
																																																									BgL_auxz00_6920
																																																										=
																																																										(
																																																										(BgL_ev_exprz00_bglt)
																																																										BGl_uconvzf2locze70z15zz__evaluatez00
																																																										(BgL_wherez00_73,
																																																											BgL_globalsz00_71,
																																																											BgL_localsz00_70,
																																																											BgL_arg1908z00_1976,
																																																											BgL_arg2469z00_4245));
																																																								}
																																																								((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1160z00_4239))->BgL_mutexz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6920), BUNSPEC);
																																																							}
																																																							{
																																																								BgL_ev_exprz00_bglt
																																																									BgL_auxz00_6925;
																																																								{	/* Eval/evaluate.scm 380 */
																																																									obj_t
																																																										BgL_arg2469z00_4246;
																																																									BgL_arg2469z00_4246
																																																										=
																																																										BGl_getzd2locationzd2zz__evaluatez00
																																																										(BgL_arg1909z00_1977,
																																																										BgL_locz00_74);
																																																									BgL_auxz00_6925
																																																										=
																																																										(
																																																										(BgL_ev_exprz00_bglt)
																																																										BGl_uconvzf2locze70z15zz__evaluatez00
																																																										(BgL_wherez00_73,
																																																											BgL_globalsz00_71,
																																																											BgL_localsz00_70,
																																																											BgL_arg1909z00_1977,
																																																											BgL_arg2469z00_4246));
																																																								}
																																																								((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1160z00_4239))->BgL_prelockz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6925), BUNSPEC);
																																																							}
																																																							((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1160z00_4239))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_arg1910z00_1978, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_new1160z00_4239);
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 424 */
																																																						obj_t
																																																							BgL_arg1911z00_1980;
																																																						obj_t
																																																							BgL_arg1912z00_1981;
																																																						BgL_arg1911z00_1980
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_cdrzd28597zd2_1966));
																																																						BgL_arg1912z00_1981
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_cdrzd28597zd2_1966));
																																																						{
																																																							BgL_ev_synchroniza7eza7_bglt
																																																								BgL_auxz00_6938;
																																																							BgL_mz00_1591
																																																								=
																																																								BgL_arg1911z00_1980;
																																																							BgL_bodyz00_1592
																																																								=
																																																								BgL_arg1912z00_1981;
																																																						BgL_tagzd2173zd2_1593:
																																																							{	/* Eval/evaluate.scm 593 */
																																																								BgL_ev_synchroniza7eza7_bglt
																																																									BgL_new1162z00_2687;
																																																								{	/* Eval/evaluate.scm 594 */
																																																									BgL_ev_synchroniza7eza7_bglt
																																																										BgL_new1161z00_2688;
																																																									BgL_new1161z00_2688
																																																										=
																																																										(
																																																										(BgL_ev_synchroniza7eza7_bglt)
																																																										BOBJECT
																																																										(GC_MALLOC
																																																											(sizeof
																																																												(struct
																																																													BgL_ev_synchroniza7eza7_bgl))));
																																																									{	/* Eval/evaluate.scm 594 */
																																																										long
																																																											BgL_arg2454z00_2689;
																																																										BgL_arg2454z00_2689
																																																											=
																																																											BGL_CLASS_NUM
																																																											(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
																																																										BGL_OBJECT_CLASS_NUM_SET
																																																											(
																																																											((BgL_objectz00_bglt) BgL_new1161z00_2688), BgL_arg2454z00_2689);
																																																									}
																																																									BgL_new1162z00_2687
																																																										=
																																																										BgL_new1161z00_2688;
																																																								}
																																																								((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1162z00_2687))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																								{
																																																									BgL_ev_exprz00_bglt
																																																										BgL_auxz00_6944;
																																																									{	/* Eval/evaluate.scm 380 */
																																																										obj_t
																																																											BgL_arg2469z00_3927;
																																																										{	/* Eval/evaluate.scm 144 */
																																																											obj_t
																																																												BgL__ortest_1069z00_3928;
																																																											BgL__ortest_1069z00_3928
																																																												=
																																																												BGl_getzd2sourcezd2locationz00zz__readerz00
																																																												(BgL_mz00_1591);
																																																											if (CBOOL(BgL__ortest_1069z00_3928))
																																																												{	/* Eval/evaluate.scm 144 */
																																																													BgL_arg2469z00_3927
																																																														=
																																																														BgL__ortest_1069z00_3928;
																																																												}
																																																											else
																																																												{	/* Eval/evaluate.scm 144 */
																																																													BgL_arg2469z00_3927
																																																														=
																																																														BgL_locz00_74;
																																																												}
																																																										}
																																																										BgL_auxz00_6944
																																																											=
																																																											(
																																																											(BgL_ev_exprz00_bglt)
																																																											BGl_convz00zz__evaluatez00
																																																											(BgL_mz00_1591,
																																																												BgL_localsz00_70,
																																																												BgL_globalsz00_71,
																																																												BFALSE,
																																																												BgL_wherez00_73,
																																																												BgL_arg2469z00_3927,
																																																												((bool_t) 0)));
																																																									}
																																																									((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1162z00_2687))->BgL_mutexz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6944), BUNSPEC);
																																																								}
																																																								{
																																																									BgL_ev_exprz00_bglt
																																																										BgL_auxz00_6951;
																																																									{	/* Eval/evaluate.scm 380 */
																																																										obj_t
																																																											BgL_arg2469z00_3929;
																																																										{	/* Eval/evaluate.scm 144 */
																																																											obj_t
																																																												BgL__ortest_1069z00_3930;
																																																											BgL__ortest_1069z00_3930
																																																												=
																																																												BGl_getzd2sourcezd2locationz00zz__readerz00
																																																												(BNIL);
																																																											if (CBOOL(BgL__ortest_1069z00_3930))
																																																												{	/* Eval/evaluate.scm 144 */
																																																													BgL_arg2469z00_3929
																																																														=
																																																														BgL__ortest_1069z00_3930;
																																																												}
																																																											else
																																																												{	/* Eval/evaluate.scm 144 */
																																																													BgL_arg2469z00_3929
																																																														=
																																																														BgL_locz00_74;
																																																												}
																																																										}
																																																										BgL_auxz00_6951
																																																											=
																																																											(
																																																											(BgL_ev_exprz00_bglt)
																																																											BGl_convz00zz__evaluatez00
																																																											(BNIL,
																																																												BgL_localsz00_70,
																																																												BgL_globalsz00_71,
																																																												BFALSE,
																																																												BgL_wherez00_73,
																																																												BgL_arg2469z00_3929,
																																																												((bool_t) 0)));
																																																									}
																																																									((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1162z00_2687))->BgL_prelockz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6951), BUNSPEC);
																																																								}
																																																								((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1162z00_2687))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1592, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																																								BgL_auxz00_6938
																																																									=
																																																									BgL_new1162z00_2687;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6938);
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg1913z00_1983;
																																																				obj_t
																																																					BgL_arg1915z00_1984;
																																																				BgL_arg1913z00_1983
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd28597zd2_1966));
																																																				BgL_arg1915z00_1984
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_cdrzd28597zd2_1966));
																																																				{
																																																					BgL_ev_synchroniza7eza7_bglt
																																																						BgL_auxz00_6966;
																																																					{
																																																						obj_t
																																																							BgL_bodyz00_6968;
																																																						obj_t
																																																							BgL_mz00_6967;
																																																						BgL_mz00_6967
																																																							=
																																																							BgL_arg1913z00_1983;
																																																						BgL_bodyz00_6968
																																																							=
																																																							BgL_arg1915z00_1984;
																																																						BgL_bodyz00_1592
																																																							=
																																																							BgL_bodyz00_6968;
																																																						BgL_mz00_1591
																																																							=
																																																							BgL_mz00_6967;
																																																						goto
																																																							BgL_tagzd2173zd2_1593;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6966);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_arg1917z00_1987;
																																																		obj_t
																																																			BgL_arg1918z00_1988;
																																																		BgL_arg1917z00_1987
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_cdrzd28597zd2_1966));
																																																		BgL_arg1918z00_1988
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_cdrzd28597zd2_1966));
																																																		{
																																																			BgL_ev_synchroniza7eza7_bglt
																																																				BgL_auxz00_6974;
																																																			{
																																																				obj_t
																																																					BgL_bodyz00_6976;
																																																				obj_t
																																																					BgL_mz00_6975;
																																																				BgL_mz00_6975
																																																					=
																																																					BgL_arg1917z00_1987;
																																																				BgL_bodyz00_6976
																																																					=
																																																					BgL_arg1918z00_1988;
																																																				BgL_bodyz00_1592
																																																					=
																																																					BgL_bodyz00_6976;
																																																				BgL_mz00_1591
																																																					=
																																																					BgL_mz00_6975;
																																																				goto
																																																					BgL_tagzd2173zd2_1593;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6974);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_arg1919z00_1989;
																																																BgL_arg1919z00_1989
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_ez00_69));
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_6980;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_6982;
																																																		obj_t
																																																			BgL_fz00_6981;
																																																		BgL_fz00_6981
																																																			=
																																																			BgL_arg1919z00_1989;
																																																		BgL_argsz00_6982
																																																			=
																																																			BgL_cdrzd28597zd2_1966;
																																																		BgL_argsz00_1599
																																																			=
																																																			BgL_argsz00_6982;
																																																		BgL_fz00_1598
																																																			=
																																																			BgL_fz00_6981;
																																																		goto
																																																			BgL_tagzd2176zd2_1600;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6980);
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 424 */
																																														if ((CAR(((obj_t) BgL_ez00_69)) == BGl_symbol3031z00zz__evaluatez00))
																																															{	/* Eval/evaluate.scm 424 */
																																																if (PAIRP(BgL_cdrzd28597zd2_1966))
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_cdrzd28709zd2_1995;
																																																		BgL_cdrzd28709zd2_1995
																																																			=
																																																			CDR
																																																			(BgL_cdrzd28597zd2_1966);
																																																		if (PAIRP(BgL_cdrzd28709zd2_1995))
																																																			{	/* Eval/evaluate.scm 424 */
																																																				if (NULLP(CDR(BgL_cdrzd28709zd2_1995)))
																																																					{	/* Eval/evaluate.scm 424 */
																																																						obj_t
																																																							BgL_arg1928z00_1999;
																																																						obj_t
																																																							BgL_arg1929z00_2000;
																																																						BgL_arg1928z00_1999
																																																							=
																																																							CAR
																																																							(BgL_cdrzd28597zd2_1966);
																																																						BgL_arg1929z00_2000
																																																							=
																																																							CAR
																																																							(BgL_cdrzd28709zd2_1995);
																																																						{	/* Eval/evaluate.scm 599 */
																																																							obj_t
																																																								BgL_arg2455z00_4264;
																																																							{	/* Eval/evaluate.scm 599 */
																																																								obj_t
																																																									BgL_arg2457z00_4265;
																																																								{	/* Eval/evaluate.scm 599 */
																																																									obj_t
																																																										BgL_arg2459z00_4266;
																																																									obj_t
																																																										BgL_arg2461z00_4267;
																																																									{	/* Eval/evaluate.scm 599 */
																																																										obj_t
																																																											BgL_symbolz00_4268;
																																																										BgL_symbolz00_4268
																																																											=
																																																											BGl_symbol3078z00zz__evaluatez00;
																																																										{	/* Eval/evaluate.scm 599 */
																																																											obj_t
																																																												BgL_arg2662z00_4269;
																																																											BgL_arg2662z00_4269
																																																												=
																																																												SYMBOL_TO_STRING
																																																												(BgL_symbolz00_4268);
																																																											BgL_arg2459z00_4266
																																																												=
																																																												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																												(BgL_arg2662z00_4269);
																																																										}
																																																									}
																																																									{	/* Eval/evaluate.scm 599 */
																																																										obj_t
																																																											BgL_arg2662z00_4271;
																																																										BgL_arg2662z00_4271
																																																											=
																																																											SYMBOL_TO_STRING
																																																											(
																																																											((obj_t) BgL_wherez00_73));
																																																										BgL_arg2461z00_4267
																																																											=
																																																											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																											(BgL_arg2662z00_4271);
																																																									}
																																																									BgL_arg2457z00_4265
																																																										=
																																																										string_append
																																																										(BgL_arg2459z00_4266,
																																																										BgL_arg2461z00_4267);
																																																								}
																																																								BgL_arg2455z00_4264
																																																									=
																																																									bstring_to_symbol
																																																									(BgL_arg2457z00_4265);
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BGl_convzd2lambdaze70z35zz__evaluatez00
																																																								(BgL_globalsz00_71,
																																																									BgL_localsz00_70,
																																																									BgL_ez00_69,
																																																									BgL_locz00_74,
																																																									BgL_arg1928z00_1999,
																																																									BgL_arg1929z00_2000,
																																																									BgL_arg2455z00_4264,
																																																									BFALSE));
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 424 */
																																																						obj_t
																																																							BgL_arg1930z00_2001;
																																																						obj_t
																																																							BgL_arg1932z00_2002;
																																																						BgL_arg1930z00_2001
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_ez00_69));
																																																						BgL_arg1932z00_2002
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_ez00_69));
																																																						{
																																																							BgL_ev_appz00_bglt
																																																								BgL_auxz00_7011;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_7013;
																																																								obj_t
																																																									BgL_fz00_7012;
																																																								BgL_fz00_7012
																																																									=
																																																									BgL_arg1930z00_2001;
																																																								BgL_argsz00_7013
																																																									=
																																																									BgL_arg1932z00_2002;
																																																								BgL_argsz00_1599
																																																									=
																																																									BgL_argsz00_7013;
																																																								BgL_fz00_1598
																																																									=
																																																									BgL_fz00_7012;
																																																								goto
																																																									BgL_tagzd2176zd2_1600;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_7011);
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg1934z00_2004;
																																																				obj_t
																																																					BgL_arg1935z00_2005;
																																																				BgL_arg1934z00_2004
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_ez00_69));
																																																				BgL_arg1935z00_2005
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_ez00_69));
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_7019;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_7021;
																																																						obj_t
																																																							BgL_fz00_7020;
																																																						BgL_fz00_7020
																																																							=
																																																							BgL_arg1934z00_2004;
																																																						BgL_argsz00_7021
																																																							=
																																																							BgL_arg1935z00_2005;
																																																						BgL_argsz00_1599
																																																							=
																																																							BgL_argsz00_7021;
																																																						BgL_fz00_1598
																																																							=
																																																							BgL_fz00_7020;
																																																						goto
																																																							BgL_tagzd2176zd2_1600;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_7019);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_arg1936z00_2006;
																																																		obj_t
																																																			BgL_arg1938z00_2007;
																																																		BgL_arg1936z00_2006
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_ez00_69));
																																																		BgL_arg1938z00_2007
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_ez00_69));
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_7027;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_7029;
																																																				obj_t
																																																					BgL_fz00_7028;
																																																				BgL_fz00_7028
																																																					=
																																																					BgL_arg1936z00_2006;
																																																				BgL_argsz00_7029
																																																					=
																																																					BgL_arg1938z00_2007;
																																																				BgL_argsz00_1599
																																																					=
																																																					BgL_argsz00_7029;
																																																				BgL_fz00_1598
																																																					=
																																																					BgL_fz00_7028;
																																																				goto
																																																					BgL_tagzd2176zd2_1600;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_7027);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 424 */
																																																if ((CAR(((obj_t) BgL_ez00_69)) == BGl_symbol3080z00zz__evaluatez00))
																																																	{	/* Eval/evaluate.scm 424 */
																																																		return
																																																			BGl_errorz00zz__errorz00
																																																			(BGl_string3082z00zz__evaluatez00,
																																																			BGl_string3083z00zz__evaluatez00,
																																																			BgL_ez00_69);
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_arg1942z00_2010;
																																																		obj_t
																																																			BgL_arg1943z00_2011;
																																																		BgL_arg1942z00_2010
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_ez00_69));
																																																		BgL_arg1943z00_2011
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_ez00_69));
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_7040;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_7042;
																																																				obj_t
																																																					BgL_fz00_7041;
																																																				BgL_fz00_7041
																																																					=
																																																					BgL_arg1942z00_2010;
																																																				BgL_argsz00_7042
																																																					=
																																																					BgL_arg1943z00_2011;
																																																				BgL_argsz00_1599
																																																					=
																																																					BgL_argsz00_7042;
																																																				BgL_fz00_1598
																																																					=
																																																					BgL_fz00_7041;
																																																				goto
																																																					BgL_tagzd2176zd2_1600;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_7040);
																																																		}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
												else
													{	/* Eval/evaluate.scm 424 */
														if (
															(BgL_carzd23841zd2_1673 ==
																BGl_symbol3054z00zz__evaluatez00))
															{	/* Eval/evaluate.scm 424 */
																if (PAIRP(BgL_cdrzd2250zd2_1607))
																	{	/* Eval/evaluate.scm 424 */
																		if (NULLP(CDR(BgL_cdrzd2250zd2_1607)))
																			{	/* Eval/evaluate.scm 424 */
																				obj_t BgL_arg1972z00_2036;

																				BgL_arg1972z00_2036 =
																					CAR(BgL_cdrzd2250zd2_1607);
																				{	/* Eval/evaluate.scm 456 */
																					BgL_ev_trapz00_bglt
																						BgL_new1112z00_4286;
																					{	/* Eval/evaluate.scm 457 */
																						BgL_ev_trapz00_bglt
																							BgL_new1110z00_4287;
																						BgL_new1110z00_4287 =
																							((BgL_ev_trapz00_bglt)
																							BOBJECT(GC_MALLOC(sizeof(struct
																										BgL_ev_trapz00_bgl))));
																						{	/* Eval/evaluate.scm 457 */
																							long BgL_arg2293z00_4288;

																							BgL_arg2293z00_4288 =
																								BGL_CLASS_NUM
																								(BGl_ev_trapz00zz__evaluate_typesz00);
																							BGL_OBJECT_CLASS_NUM_SET((
																									(BgL_objectz00_bglt)
																									BgL_new1110z00_4287),
																								BgL_arg2293z00_4288);
																						}
																						BgL_new1112z00_4286 =
																							BgL_new1110z00_4287;
																					}
																					{
																						BgL_ev_exprz00_bglt BgL_auxz00_7056;

																						{	/* Eval/evaluate.scm 380 */
																							obj_t BgL_arg2469z00_4292;

																							BgL_arg2469z00_4292 =
																								BGl_getzd2locationzd2zz__evaluatez00
																								(BgL_arg1972z00_2036,
																								BgL_locz00_74);
																							BgL_auxz00_7056 =
																								((BgL_ev_exprz00_bglt)
																								BGl_uconvzf2locze70z15zz__evaluatez00
																								(BgL_wherez00_73,
																									BgL_globalsz00_71,
																									BgL_localsz00_70,
																									BgL_arg1972z00_2036,
																									BgL_arg2469z00_4292));
																						}
																						((((BgL_ev_hookz00_bglt) COBJECT(
																										((BgL_ev_hookz00_bglt)
																											BgL_new1112z00_4286)))->
																								BgL_ez00) =
																							((BgL_ev_exprz00_bglt)
																								BgL_auxz00_7056), BUNSPEC);
																					}
																					return ((obj_t) BgL_new1112z00_4286);
																				}
																			}
																		else
																			{	/* Eval/evaluate.scm 424 */
																				obj_t BgL_arg1973z00_2037;
																				obj_t BgL_arg1974z00_2038;

																				BgL_arg1973z00_2037 =
																					CAR(((obj_t) BgL_ez00_69));
																				BgL_arg1974z00_2038 =
																					CDR(((obj_t) BgL_ez00_69));
																				{
																					BgL_ev_appz00_bglt BgL_auxz00_7067;

																					{
																						obj_t BgL_argsz00_7069;
																						obj_t BgL_fz00_7068;

																						BgL_fz00_7068 = BgL_arg1973z00_2037;
																						BgL_argsz00_7069 =
																							BgL_arg1974z00_2038;
																						BgL_argsz00_1599 = BgL_argsz00_7069;
																						BgL_fz00_1598 = BgL_fz00_7068;
																						goto BgL_tagzd2176zd2_1600;
																					}
																					return ((obj_t) BgL_auxz00_7067);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 424 */
																		obj_t BgL_arg1976z00_2040;
																		obj_t BgL_arg1978z00_2041;

																		BgL_arg1976z00_2040 =
																			CAR(((obj_t) BgL_ez00_69));
																		BgL_arg1978z00_2041 =
																			CDR(((obj_t) BgL_ez00_69));
																		{
																			BgL_ev_appz00_bglt BgL_auxz00_7075;

																			{
																				obj_t BgL_argsz00_7077;
																				obj_t BgL_fz00_7076;

																				BgL_fz00_7076 = BgL_arg1976z00_2040;
																				BgL_argsz00_7077 = BgL_arg1978z00_2041;
																				BgL_argsz00_1599 = BgL_argsz00_7077;
																				BgL_fz00_1598 = BgL_fz00_7076;
																				goto BgL_tagzd2176zd2_1600;
																			}
																			return ((obj_t) BgL_auxz00_7075);
																		}
																	}
															}
														else
															{	/* Eval/evaluate.scm 424 */
																obj_t BgL_cdrzd29422zd2_2042;

																BgL_cdrzd29422zd2_2042 =
																	CDR(((obj_t) BgL_ez00_69));
																if (
																	(CAR(
																			((obj_t) BgL_ez00_69)) ==
																		BGl_symbol3019z00zz__evaluatez00))
																	{	/* Eval/evaluate.scm 424 */
																		if (PAIRP(BgL_cdrzd29422zd2_2042))
																			{	/* Eval/evaluate.scm 424 */
																				if (NULLP(CDR(BgL_cdrzd29422zd2_2042)))
																					{	/* Eval/evaluate.scm 424 */
																						obj_t BgL_arg1984z00_2048;

																						BgL_arg1984z00_2048 =
																							CAR(BgL_cdrzd29422zd2_2042);
																						{	/* Eval/evaluate.scm 459 */
																							BgL_ev_littz00_bglt
																								BgL_new1115z00_4301;
																							{	/* Eval/evaluate.scm 460 */
																								BgL_ev_littz00_bglt
																									BgL_new1113z00_4302;
																								BgL_new1113z00_4302 =
																									((BgL_ev_littz00_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_ev_littz00_bgl))));
																								{	/* Eval/evaluate.scm 460 */
																									long BgL_arg2294z00_4303;

																									BgL_arg2294z00_4303 =
																										BGL_CLASS_NUM
																										(BGl_ev_littz00zz__evaluate_typesz00);
																									BGL_OBJECT_CLASS_NUM_SET((
																											(BgL_objectz00_bglt)
																											BgL_new1113z00_4302),
																										BgL_arg2294z00_4303);
																								}
																								BgL_new1115z00_4301 =
																									BgL_new1113z00_4302;
																							}
																							((((BgL_ev_littz00_bglt)
																										COBJECT
																										(BgL_new1115z00_4301))->
																									BgL_valuez00) =
																								((obj_t) BgL_arg1984z00_2048),
																								BUNSPEC);
																							return ((obj_t)
																								BgL_new1115z00_4301);
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 424 */
																						obj_t BgL_arg1985z00_2049;

																						BgL_arg1985z00_2049 =
																							CAR(((obj_t) BgL_ez00_69));
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_7099;
																							{
																								obj_t BgL_argsz00_7101;
																								obj_t BgL_fz00_7100;

																								BgL_fz00_7100 =
																									BgL_arg1985z00_2049;
																								BgL_argsz00_7101 =
																									BgL_cdrzd29422zd2_2042;
																								BgL_argsz00_1599 =
																									BgL_argsz00_7101;
																								BgL_fz00_1598 = BgL_fz00_7100;
																								goto BgL_tagzd2176zd2_1600;
																							}
																							return ((obj_t) BgL_auxz00_7099);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 424 */
																				obj_t BgL_arg1988z00_2052;

																				BgL_arg1988z00_2052 =
																					CAR(((obj_t) BgL_ez00_69));
																				{
																					BgL_ev_appz00_bglt BgL_auxz00_7105;

																					{
																						obj_t BgL_argsz00_7107;
																						obj_t BgL_fz00_7106;

																						BgL_fz00_7106 = BgL_arg1988z00_2052;
																						BgL_argsz00_7107 =
																							BgL_cdrzd29422zd2_2042;
																						BgL_argsz00_1599 = BgL_argsz00_7107;
																						BgL_fz00_1598 = BgL_fz00_7106;
																						goto BgL_tagzd2176zd2_1600;
																					}
																					return ((obj_t) BgL_auxz00_7105);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 424 */
																		if (
																			(CAR(
																					((obj_t) BgL_ez00_69)) ==
																				BGl_symbol3027z00zz__evaluatez00))
																			{	/* Eval/evaluate.scm 424 */
																				if (PAIRP(BgL_cdrzd29422zd2_2042))
																					{	/* Eval/evaluate.scm 424 */
																						obj_t BgL_cdrzd210036zd2_2058;

																						BgL_cdrzd210036zd2_2058 =
																							CDR(BgL_cdrzd29422zd2_2042);
																						if (PAIRP(BgL_cdrzd210036zd2_2058))
																							{	/* Eval/evaluate.scm 424 */
																								obj_t BgL_cdrzd210041zd2_2060;

																								BgL_cdrzd210041zd2_2060 =
																									CDR(BgL_cdrzd210036zd2_2058);
																								if (PAIRP
																									(BgL_cdrzd210041zd2_2060))
																									{	/* Eval/evaluate.scm 424 */
																										if (NULLP(CDR
																												(BgL_cdrzd210041zd2_2060)))
																											{	/* Eval/evaluate.scm 424 */
																												obj_t
																													BgL_arg1998z00_2064;
																												obj_t
																													BgL_arg1999z00_2065;
																												obj_t
																													BgL_arg2000z00_2066;
																												BgL_arg1998z00_2064 =
																													CAR
																													(BgL_cdrzd29422zd2_2042);
																												BgL_arg1999z00_2065 =
																													CAR
																													(BgL_cdrzd210036zd2_2058);
																												BgL_arg2000z00_2066 =
																													CAR
																													(BgL_cdrzd210041zd2_2060);
																												{
																													BgL_ev_ifz00_bglt
																														BgL_auxz00_7127;
																													{
																														obj_t BgL_oz00_7130;
																														obj_t BgL_tz00_7129;
																														obj_t BgL_pz00_7128;

																														BgL_pz00_7128 =
																															BgL_arg1998z00_2064;
																														BgL_tz00_7129 =
																															BgL_arg1999z00_2065;
																														BgL_oz00_7130 =
																															BgL_arg2000z00_2066;
																														BgL_oz00_1540 =
																															BgL_oz00_7130;
																														BgL_tz00_1539 =
																															BgL_tz00_7129;
																														BgL_pz00_1538 =
																															BgL_pz00_7128;
																														goto
																															BgL_tagzd2155zd2_1541;
																													}
																													return
																														((obj_t)
																														BgL_auxz00_7127);
																												}
																											}
																										else
																											{	/* Eval/evaluate.scm 424 */
																												obj_t
																													BgL_arg2001z00_2067;
																												obj_t
																													BgL_arg2002z00_2068;
																												BgL_arg2001z00_2067 =
																													CAR(((obj_t)
																														BgL_ez00_69));
																												BgL_arg2002z00_2068 =
																													CDR(((obj_t)
																														BgL_ez00_69));
																												{
																													BgL_ev_appz00_bglt
																														BgL_auxz00_7136;
																													{
																														obj_t
																															BgL_argsz00_7138;
																														obj_t BgL_fz00_7137;

																														BgL_fz00_7137 =
																															BgL_arg2001z00_2067;
																														BgL_argsz00_7138 =
																															BgL_arg2002z00_2068;
																														BgL_argsz00_1599 =
																															BgL_argsz00_7138;
																														BgL_fz00_1598 =
																															BgL_fz00_7137;
																														goto
																															BgL_tagzd2176zd2_1600;
																													}
																													return
																														((obj_t)
																														BgL_auxz00_7136);
																												}
																											}
																									}
																								else
																									{	/* Eval/evaluate.scm 424 */
																										obj_t
																											BgL_cdrzd210341zd2_2070;
																										BgL_cdrzd210341zd2_2070 =
																											CDR(((obj_t)
																												BgL_ez00_69));
																										{	/* Eval/evaluate.scm 424 */
																											obj_t
																												BgL_cdrzd210347zd2_2071;
																											BgL_cdrzd210347zd2_2071 =
																												CDR(((obj_t)
																													BgL_cdrzd210341zd2_2070));
																											if (NULLP(CDR(((obj_t)
																															BgL_cdrzd210347zd2_2071))))
																												{	/* Eval/evaluate.scm 424 */
																													obj_t
																														BgL_arg2006z00_2074;
																													obj_t
																														BgL_arg2007z00_2075;
																													BgL_arg2006z00_2074 =
																														CAR(((obj_t)
																															BgL_cdrzd210341zd2_2070));
																													BgL_arg2007z00_2075 =
																														CAR(((obj_t)
																															BgL_cdrzd210347zd2_2071));
																													{
																														BgL_ev_ifz00_bglt
																															BgL_auxz00_7152;
																														{
																															obj_t
																																BgL_tz00_7154;
																															obj_t
																																BgL_pz00_7153;
																															BgL_pz00_7153 =
																																BgL_arg2006z00_2074;
																															BgL_tz00_7154 =
																																BgL_arg2007z00_2075;
																															BgL_tz00_1543 =
																																BgL_tz00_7154;
																															BgL_pz00_1542 =
																																BgL_pz00_7153;
																															goto
																																BgL_tagzd2156zd2_1544;
																														}
																														return
																															((obj_t)
																															BgL_auxz00_7152);
																													}
																												}
																											else
																												{	/* Eval/evaluate.scm 424 */
																													obj_t
																														BgL_arg2008z00_2076;
																													BgL_arg2008z00_2076 =
																														CAR(((obj_t)
																															BgL_ez00_69));
																													{
																														BgL_ev_appz00_bglt
																															BgL_auxz00_7158;
																														{
																															obj_t
																																BgL_argsz00_7160;
																															obj_t
																																BgL_fz00_7159;
																															BgL_fz00_7159 =
																																BgL_arg2008z00_2076;
																															BgL_argsz00_7160 =
																																BgL_cdrzd210341zd2_2070;
																															BgL_argsz00_1599 =
																																BgL_argsz00_7160;
																															BgL_fz00_1598 =
																																BgL_fz00_7159;
																															goto
																																BgL_tagzd2176zd2_1600;
																														}
																														return
																															((obj_t)
																															BgL_auxz00_7158);
																													}
																												}
																										}
																									}
																							}
																						else
																							{	/* Eval/evaluate.scm 424 */
																								obj_t BgL_arg2011z00_2079;
																								obj_t BgL_arg2012z00_2080;

																								BgL_arg2011z00_2079 =
																									CAR(((obj_t) BgL_ez00_69));
																								BgL_arg2012z00_2080 =
																									CDR(((obj_t) BgL_ez00_69));
																								{
																									BgL_ev_appz00_bglt
																										BgL_auxz00_7166;
																									{
																										obj_t BgL_argsz00_7168;
																										obj_t BgL_fz00_7167;

																										BgL_fz00_7167 =
																											BgL_arg2011z00_2079;
																										BgL_argsz00_7168 =
																											BgL_arg2012z00_2080;
																										BgL_argsz00_1599 =
																											BgL_argsz00_7168;
																										BgL_fz00_1598 =
																											BgL_fz00_7167;
																										goto BgL_tagzd2176zd2_1600;
																									}
																									return
																										((obj_t) BgL_auxz00_7166);
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 424 */
																						obj_t BgL_arg2013z00_2081;
																						obj_t BgL_arg2014z00_2082;

																						BgL_arg2013z00_2081 =
																							CAR(((obj_t) BgL_ez00_69));
																						BgL_arg2014z00_2082 =
																							CDR(((obj_t) BgL_ez00_69));
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_7174;
																							{
																								obj_t BgL_argsz00_7176;
																								obj_t BgL_fz00_7175;

																								BgL_fz00_7175 =
																									BgL_arg2013z00_2081;
																								BgL_argsz00_7176 =
																									BgL_arg2014z00_2082;
																								BgL_argsz00_1599 =
																									BgL_argsz00_7176;
																								BgL_fz00_1598 = BgL_fz00_7175;
																								goto BgL_tagzd2176zd2_1600;
																							}
																							return ((obj_t) BgL_auxz00_7174);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 424 */
																				if (
																					(CAR(
																							((obj_t) BgL_ez00_69)) ==
																						BGl_symbol3056z00zz__evaluatez00))
																					{	/* Eval/evaluate.scm 424 */
																						obj_t BgL_arg2017z00_2085;

																						BgL_arg2017z00_2085 =
																							CDR(((obj_t) BgL_ez00_69));
																						{	/* Eval/evaluate.scm 472 */
																							BgL_ev_orz00_bglt
																								BgL_new1124z00_4334;
																							{	/* Eval/evaluate.scm 473 */
																								BgL_ev_orz00_bglt
																									BgL_new1123z00_4335;
																								BgL_new1123z00_4335 =
																									((BgL_ev_orz00_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_ev_orz00_bgl))));
																								{	/* Eval/evaluate.scm 473 */
																									long BgL_arg2308z00_4336;

																									BgL_arg2308z00_4336 =
																										BGL_CLASS_NUM
																										(BGl_ev_orz00zz__evaluate_typesz00);
																									BGL_OBJECT_CLASS_NUM_SET((
																											(BgL_objectz00_bglt)
																											BgL_new1123z00_4335),
																										BgL_arg2308z00_4336);
																								}
																								BgL_new1124z00_4334 =
																									BgL_new1123z00_4335;
																							}
																							((((BgL_ev_listz00_bglt) COBJECT(
																											((BgL_ev_listz00_bglt)
																												BgL_new1124z00_4334)))->
																									BgL_argsz00) =
																								((obj_t)
																									BGl_loopze70ze7zz__evaluatez00
																									(BgL_wherez00_73,
																										BgL_globalsz00_71,
																										BgL_localsz00_70,
																										BgL_locz00_74,
																										BgL_arg2017z00_2085)),
																								BUNSPEC);
																							return ((obj_t)
																								BgL_new1124z00_4334);
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 424 */
																						if (
																							(CAR(
																									((obj_t) BgL_ez00_69)) ==
																								BGl_symbol3058z00zz__evaluatez00))
																							{	/* Eval/evaluate.scm 424 */
																								obj_t BgL_arg2021z00_2088;

																								BgL_arg2021z00_2088 =
																									CDR(((obj_t) BgL_ez00_69));
																								{	/* Eval/evaluate.scm 475 */
																									BgL_ev_andz00_bglt
																										BgL_new1126z00_4342;
																									{	/* Eval/evaluate.scm 476 */
																										BgL_ev_andz00_bglt
																											BgL_new1125z00_4343;
																										BgL_new1125z00_4343 =
																											((BgL_ev_andz00_bglt)
																											BOBJECT(GC_MALLOC(sizeof
																													(struct
																														BgL_ev_andz00_bgl))));
																										{	/* Eval/evaluate.scm 476 */
																											long BgL_arg2309z00_4344;

																											BgL_arg2309z00_4344 =
																												BGL_CLASS_NUM
																												(BGl_ev_andz00zz__evaluate_typesz00);
																											BGL_OBJECT_CLASS_NUM_SET((
																													(BgL_objectz00_bglt)
																													BgL_new1125z00_4343),
																												BgL_arg2309z00_4344);
																										}
																										BgL_new1126z00_4342 =
																											BgL_new1125z00_4343;
																									}
																									((((BgL_ev_listz00_bglt)
																												COBJECT((
																														(BgL_ev_listz00_bglt)
																														BgL_new1126z00_4342)))->
																											BgL_argsz00) =
																										((obj_t)
																											BGl_loopze70ze7zz__evaluatez00
																											(BgL_wherez00_73,
																												BgL_globalsz00_71,
																												BgL_localsz00_70,
																												BgL_locz00_74,
																												BgL_arg2021z00_2088)),
																										BUNSPEC);
																									return ((obj_t)
																										BgL_new1126z00_4342);
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 424 */
																								if (
																									(CAR(
																											((obj_t) BgL_ez00_69)) ==
																										BGl_symbol3043z00zz__evaluatez00))
																									{	/* Eval/evaluate.scm 424 */
																										obj_t BgL_arg2024z00_2091;

																										BgL_arg2024z00_2091 =
																											CDR(
																											((obj_t) BgL_ez00_69));
																										BGL_TAIL return
																											BGl_convzd2beginzd2zz__evaluatez00
																											(BgL_arg2024z00_2091,
																											BgL_localsz00_70,
																											BgL_globalsz00_71,
																											BgL_tailzf3zf3_72,
																											BgL_wherez00_73,
																											BgL_locz00_74,
																											BgL_topzf3zf3_75);
																									}
																								else
																									{	/* Eval/evaluate.scm 424 */
																										obj_t
																											BgL_cdrzd211246zd2_2092;
																										BgL_cdrzd211246zd2_2092 =
																											CDR(((obj_t)
																												BgL_ez00_69));
																										if ((CAR(((obj_t)
																														BgL_ez00_69)) ==
																												BGl_symbol3029z00zz__evaluatez00))
																											{	/* Eval/evaluate.scm 424 */
																												if (PAIRP
																													(BgL_cdrzd211246zd2_2092))
																													{	/* Eval/evaluate.scm 424 */
																														obj_t
																															BgL_arg2028z00_2096;
																														obj_t
																															BgL_arg2030z00_2097;
																														BgL_arg2028z00_2096
																															=
																															CAR
																															(BgL_cdrzd211246zd2_2092);
																														BgL_arg2030z00_2097
																															=
																															CDR
																															(BgL_cdrzd211246zd2_2092);
																														{
																															BgL_ev_letz00_bglt
																																BgL_auxz00_7223;
																															{
																																obj_t
																																	BgL_bodyz00_7225;
																																obj_t
																																	BgL_bindsz00_7224;
																																BgL_bindsz00_7224
																																	=
																																	BgL_arg2028z00_2096;
																																BgL_bodyz00_7225
																																	=
																																	BgL_arg2030z00_2097;
																																BgL_bodyz00_1552
																																	=
																																	BgL_bodyz00_7225;
																																BgL_bindsz00_1551
																																	=
																																	BgL_bindsz00_7224;
																																goto
																																	BgL_tagzd2160zd2_1553;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_7223);
																														}
																													}
																												else
																													{	/* Eval/evaluate.scm 424 */
																														obj_t
																															BgL_arg2031z00_2098;
																														BgL_arg2031z00_2098
																															=
																															CAR(((obj_t)
																																BgL_ez00_69));
																														{
																															BgL_ev_appz00_bglt
																																BgL_auxz00_7229;
																															{
																																obj_t
																																	BgL_argsz00_7231;
																																obj_t
																																	BgL_fz00_7230;
																																BgL_fz00_7230 =
																																	BgL_arg2031z00_2098;
																																BgL_argsz00_7231
																																	=
																																	BgL_cdrzd211246zd2_2092;
																																BgL_argsz00_1599
																																	=
																																	BgL_argsz00_7231;
																																BgL_fz00_1598 =
																																	BgL_fz00_7230;
																																goto
																																	BgL_tagzd2176zd2_1600;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_7229);
																														}
																													}
																											}
																										else
																											{	/* Eval/evaluate.scm 424 */
																												if (
																													(CAR(
																															((obj_t)
																																BgL_ez00_69)) ==
																														BGl_symbol3060z00zz__evaluatez00))
																													{	/* Eval/evaluate.scm 424 */
																														if (PAIRP
																															(BgL_cdrzd211246zd2_2092))
																															{	/* Eval/evaluate.scm 424 */
																																obj_t
																																	BgL_arg2036z00_2104;
																																obj_t
																																	BgL_arg2038z00_2105;
																																BgL_arg2036z00_2104
																																	=
																																	CAR
																																	(BgL_cdrzd211246zd2_2092);
																																BgL_arg2038z00_2105
																																	=
																																	CDR
																																	(BgL_cdrzd211246zd2_2092);
																																{
																																	BgL_ev_letza2za2_bglt
																																		BgL_auxz00_7241;
																																	{
																																		obj_t
																																			BgL_bodyz00_7243;
																																		obj_t
																																			BgL_bindsz00_7242;
																																		BgL_bindsz00_7242
																																			=
																																			BgL_arg2036z00_2104;
																																		BgL_bodyz00_7243
																																			=
																																			BgL_arg2038z00_2105;
																																		BgL_bodyz00_1555
																																			=
																																			BgL_bodyz00_7243;
																																		BgL_bindsz00_1554
																																			=
																																			BgL_bindsz00_7242;
																																		goto
																																			BgL_tagzd2161zd2_1556;
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_7241);
																																}
																															}
																														else
																															{	/* Eval/evaluate.scm 424 */
																																obj_t
																																	BgL_arg2039z00_2106;
																																obj_t
																																	BgL_arg2040z00_2107;
																																BgL_arg2039z00_2106
																																	=
																																	CAR(((obj_t)
																																		BgL_ez00_69));
																																BgL_arg2040z00_2107
																																	=
																																	CDR(((obj_t)
																																		BgL_ez00_69));
																																{
																																	BgL_ev_appz00_bglt
																																		BgL_auxz00_7249;
																																	{
																																		obj_t
																																			BgL_argsz00_7251;
																																		obj_t
																																			BgL_fz00_7250;
																																		BgL_fz00_7250
																																			=
																																			BgL_arg2039z00_2106;
																																		BgL_argsz00_7251
																																			=
																																			BgL_arg2040z00_2107;
																																		BgL_argsz00_1599
																																			=
																																			BgL_argsz00_7251;
																																		BgL_fz00_1598
																																			=
																																			BgL_fz00_7250;
																																		goto
																																			BgL_tagzd2176zd2_1600;
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_7249);
																																}
																															}
																													}
																												else
																													{	/* Eval/evaluate.scm 424 */
																														obj_t
																															BgL_cdrzd211644zd2_2108;
																														BgL_cdrzd211644zd2_2108
																															=
																															CDR(((obj_t)
																																BgL_ez00_69));
																														if ((CAR(((obj_t)
																																		BgL_ez00_69))
																																==
																																BGl_symbol3062z00zz__evaluatez00))
																															{	/* Eval/evaluate.scm 424 */
																																if (PAIRP
																																	(BgL_cdrzd211644zd2_2108))
																																	{	/* Eval/evaluate.scm 424 */
																																		obj_t
																																			BgL_arg2044z00_2112;
																																		obj_t
																																			BgL_arg2045z00_2113;
																																		BgL_arg2044z00_2112
																																			=
																																			CAR
																																			(BgL_cdrzd211644zd2_2108);
																																		BgL_arg2045z00_2113
																																			=
																																			CDR
																																			(BgL_cdrzd211644zd2_2108);
																																		{
																																			BgL_ev_letrecz00_bglt
																																				BgL_auxz00_7263;
																																			{
																																				obj_t
																																					BgL_bodyz00_7265;
																																				obj_t
																																					BgL_bindsz00_7264;
																																				BgL_bindsz00_7264
																																					=
																																					BgL_arg2044z00_2112;
																																				BgL_bodyz00_7265
																																					=
																																					BgL_arg2045z00_2113;
																																				BgL_bodyz00_1558
																																					=
																																					BgL_bodyz00_7265;
																																				BgL_bindsz00_1557
																																					=
																																					BgL_bindsz00_7264;
																																				goto
																																					BgL_tagzd2162zd2_1559;
																																			}
																																			return
																																				((obj_t)
																																				BgL_auxz00_7263);
																																		}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 424 */
																																		obj_t
																																			BgL_arg2046z00_2114;
																																		BgL_arg2046z00_2114
																																			=
																																			CAR((
																																				(obj_t)
																																				BgL_ez00_69));
																																		{
																																			BgL_ev_appz00_bglt
																																				BgL_auxz00_7269;
																																			{
																																				obj_t
																																					BgL_argsz00_7271;
																																				obj_t
																																					BgL_fz00_7270;
																																				BgL_fz00_7270
																																					=
																																					BgL_arg2046z00_2114;
																																				BgL_argsz00_7271
																																					=
																																					BgL_cdrzd211644zd2_2108;
																																				BgL_argsz00_1599
																																					=
																																					BgL_argsz00_7271;
																																				BgL_fz00_1598
																																					=
																																					BgL_fz00_7270;
																																				goto
																																					BgL_tagzd2176zd2_1600;
																																			}
																																			return
																																				((obj_t)
																																				BgL_auxz00_7269);
																																		}
																																	}
																															}
																														else
																															{	/* Eval/evaluate.scm 424 */
																																if (
																																	(CAR(
																																			((obj_t)
																																				BgL_ez00_69))
																																		==
																																		BGl_symbol3064z00zz__evaluatez00))
																																	{	/* Eval/evaluate.scm 424 */
																																		if (PAIRP
																																			(BgL_cdrzd211644zd2_2108))
																																			{	/* Eval/evaluate.scm 424 */
																																				obj_t
																																					BgL_carzd211820zd2_2120;
																																				obj_t
																																					BgL_cdrzd211821zd2_2121;
																																				BgL_carzd211820zd2_2120
																																					=
																																					CAR
																																					(BgL_cdrzd211644zd2_2108);
																																				BgL_cdrzd211821zd2_2121
																																					=
																																					CDR
																																					(BgL_cdrzd211644zd2_2108);
																																				if (PAIRP(BgL_carzd211820zd2_2120))
																																					{	/* Eval/evaluate.scm 424 */
																																						obj_t
																																							BgL_cdrzd211825zd2_2123;
																																						BgL_cdrzd211825zd2_2123
																																							=
																																							CDR
																																							(BgL_carzd211820zd2_2120);
																																						if (
																																							(CAR
																																								(BgL_carzd211820zd2_2120)
																																								==
																																								BGl_symbol3050z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 424 */
																																								if (PAIRP(BgL_cdrzd211825zd2_2123))
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_carzd211828zd2_2127;
																																										obj_t
																																											BgL_cdrzd211829zd2_2128;
																																										BgL_carzd211828zd2_2127
																																											=
																																											CAR
																																											(BgL_cdrzd211825zd2_2123);
																																										BgL_cdrzd211829zd2_2128
																																											=
																																											CDR
																																											(BgL_cdrzd211825zd2_2123);
																																										if (SYMBOLP(BgL_carzd211828zd2_2127))
																																											{	/* Eval/evaluate.scm 424 */
																																												if (PAIRP(BgL_cdrzd211829zd2_2128))
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_carzd211833zd2_2131;
																																														BgL_carzd211833zd2_2131
																																															=
																																															CAR
																																															(BgL_cdrzd211829zd2_2128);
																																														if (SYMBOLP(BgL_carzd211833zd2_2131))
																																															{	/* Eval/evaluate.scm 424 */
																																																if (NULLP(CDR(BgL_cdrzd211829zd2_2128)))
																																																	{	/* Eval/evaluate.scm 424 */
																																																		if (PAIRP(BgL_cdrzd211821zd2_2121))
																																																			{	/* Eval/evaluate.scm 424 */
																																																				if (NULLP(CDR(BgL_cdrzd211821zd2_2121)))
																																																					{	/* Eval/evaluate.scm 424 */
																																																						obj_t
																																																							BgL_arg2065z00_2138;
																																																						BgL_arg2065z00_2138
																																																							=
																																																							CAR
																																																							(BgL_cdrzd211821zd2_2121);
																																																						{	/* Eval/evaluate.scm 531 */
																																																							BgL_ev_setglobalz00_bglt
																																																								BgL_new1141z00_4380;
																																																							{	/* Eval/evaluate.scm 535 */
																																																								BgL_ev_setglobalz00_bglt
																																																									BgL_new1140z00_4381;
																																																								BgL_new1140z00_4381
																																																									=
																																																									(
																																																									(BgL_ev_setglobalz00_bglt)
																																																									BOBJECT
																																																									(GC_MALLOC
																																																										(sizeof
																																																											(struct
																																																												BgL_ev_setglobalz00_bgl))));
																																																								{	/* Eval/evaluate.scm 535 */
																																																									long
																																																										BgL_arg2398z00_4382;
																																																									BgL_arg2398z00_4382
																																																										=
																																																										BGL_CLASS_NUM
																																																										(BGl_ev_setglobalz00zz__evaluate_typesz00);
																																																									BGL_OBJECT_CLASS_NUM_SET
																																																										(
																																																										((BgL_objectz00_bglt) BgL_new1140z00_4381), BgL_arg2398z00_4382);
																																																								}
																																																								BgL_new1141z00_4380
																																																									=
																																																									BgL_new1140z00_4381;
																																																							}
																																																							{
																																																								BgL_ev_exprz00_bglt
																																																									BgL_auxz00_7311;
																																																								{	/* Eval/evaluate.scm 380 */
																																																									obj_t
																																																										BgL_arg2469z00_4386;
																																																									BgL_arg2469z00_4386
																																																										=
																																																										BGl_getzd2locationzd2zz__evaluatez00
																																																										(BgL_arg2065z00_2138,
																																																										BgL_locz00_74);
																																																									BgL_auxz00_7311
																																																										=
																																																										(
																																																										(BgL_ev_exprz00_bglt)
																																																										BGl_uconvzf2locze70z15zz__evaluatez00
																																																										(BgL_wherez00_73,
																																																											BgL_globalsz00_71,
																																																											BgL_localsz00_70,
																																																											BgL_arg2065z00_2138,
																																																											BgL_arg2469z00_4386));
																																																								}
																																																								((((BgL_ev_hookz00_bglt) COBJECT(((BgL_ev_hookz00_bglt) BgL_new1141z00_4380)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_7311), BUNSPEC);
																																																							}
																																																							((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1141z00_4380))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																							((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1141z00_4380))->BgL_namez00) = ((obj_t) BgL_carzd211828zd2_2127), BUNSPEC);
																																																							((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1141z00_4380))->BgL_modz00) = ((obj_t) BGl_evalzd2findzd2modulez00zz__evmodulez00(BgL_carzd211833zd2_2131)), BUNSPEC);
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_new1141z00_4380);
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 424 */
																																																						return
																																																							BGl_evcompilezd2errorzd2zz__evcompilez00
																																																							(BgL_locz00_74,
																																																							BGl_string2967z00zz__evaluatez00,
																																																							BGl_string3042z00zz__evaluatez00,
																																																							BgL_ez00_69);
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 424 */
																																																				return
																																																					BGl_evcompilezd2errorzd2zz__evcompilez00
																																																					(BgL_locz00_74,
																																																					BGl_string2967z00zz__evaluatez00,
																																																					BGl_string3042z00zz__evaluatez00,
																																																					BgL_ez00_69);
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_cdrzd211949zd2_2140;
																																																		BgL_cdrzd211949zd2_2140
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_ez00_69));
																																																		{	/* Eval/evaluate.scm 424 */
																																																			obj_t
																																																				BgL_cdrzd211953zd2_2141;
																																																			BgL_cdrzd211953zd2_2141
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd211949zd2_2140));
																																																			if (PAIRP(BgL_cdrzd211953zd2_2141))
																																																				{	/* Eval/evaluate.scm 424 */
																																																					if (NULLP(CDR(BgL_cdrzd211953zd2_2141)))
																																																						{	/* Eval/evaluate.scm 424 */
																																																							obj_t
																																																								BgL_arg2070z00_2145;
																																																							obj_t
																																																								BgL_arg2071z00_2146;
																																																							BgL_arg2070z00_2145
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd211949zd2_2140));
																																																							BgL_arg2071z00_2146
																																																								=
																																																								CAR
																																																								(BgL_cdrzd211953zd2_2141);
																																																							{
																																																								BgL_ev_hookz00_bglt
																																																									BgL_auxz00_7336;
																																																								{
																																																									obj_t
																																																										BgL_ez00_7338;
																																																									obj_t
																																																										BgL_vz00_7337;
																																																									BgL_vz00_7337
																																																										=
																																																										BgL_arg2070z00_2145;
																																																									BgL_ez00_7338
																																																										=
																																																										BgL_arg2071z00_2146;
																																																									BgL_ez00_1568
																																																										=
																																																										BgL_ez00_7338;
																																																									BgL_vz00_1567
																																																										=
																																																										BgL_vz00_7337;
																																																									goto
																																																										BgL_tagzd2165zd2_1569;
																																																								}
																																																								return
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_7336);
																																																							}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 424 */
																																																							return
																																																								BGl_evcompilezd2errorzd2zz__evcompilez00
																																																								(BgL_locz00_74,
																																																								BGl_string2967z00zz__evaluatez00,
																																																								BGl_string3042z00zz__evaluatez00,
																																																								BgL_ez00_69);
																																																						}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 424 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_74,
																																																						BGl_string2967z00zz__evaluatez00,
																																																						BGl_string3042z00zz__evaluatez00,
																																																						BgL_ez00_69);
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_cdrzd212010zd2_2149;
																																																BgL_cdrzd212010zd2_2149
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_ez00_69));
																																																{	/* Eval/evaluate.scm 424 */
																																																	obj_t
																																																		BgL_cdrzd212014zd2_2150;
																																																	BgL_cdrzd212014zd2_2150
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd212010zd2_2149));
																																																	if (PAIRP(BgL_cdrzd212014zd2_2150))
																																																		{	/* Eval/evaluate.scm 424 */
																																																			if (NULLP(CDR(BgL_cdrzd212014zd2_2150)))
																																																				{	/* Eval/evaluate.scm 424 */
																																																					obj_t
																																																						BgL_arg2077z00_2154;
																																																					obj_t
																																																						BgL_arg2078z00_2155;
																																																					BgL_arg2077z00_2154
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd212010zd2_2149));
																																																					BgL_arg2078z00_2155
																																																						=
																																																						CAR
																																																						(BgL_cdrzd212014zd2_2150);
																																																					{
																																																						BgL_ev_hookz00_bglt
																																																							BgL_auxz00_7354;
																																																						{
																																																							obj_t
																																																								BgL_ez00_7356;
																																																							obj_t
																																																								BgL_vz00_7355;
																																																							BgL_vz00_7355
																																																								=
																																																								BgL_arg2077z00_2154;
																																																							BgL_ez00_7356
																																																								=
																																																								BgL_arg2078z00_2155;
																																																							BgL_ez00_1568
																																																								=
																																																								BgL_ez00_7356;
																																																							BgL_vz00_1567
																																																								=
																																																								BgL_vz00_7355;
																																																							goto
																																																								BgL_tagzd2165zd2_1569;
																																																						}
																																																						return
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_7354);
																																																					}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 424 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_74,
																																																						BGl_string2967z00zz__evaluatez00,
																																																						BGl_string3042z00zz__evaluatez00,
																																																						BgL_ez00_69);
																																																				}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 424 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_74,
																																																				BGl_string2967z00zz__evaluatez00,
																																																				BGl_string3042z00zz__evaluatez00,
																																																				BgL_ez00_69);
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_cdrzd212071zd2_2157;
																																														BgL_cdrzd212071zd2_2157
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_ez00_69));
																																														{	/* Eval/evaluate.scm 424 */
																																															obj_t
																																																BgL_cdrzd212075zd2_2158;
																																															BgL_cdrzd212075zd2_2158
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd212071zd2_2157));
																																															if (PAIRP(BgL_cdrzd212075zd2_2158))
																																																{	/* Eval/evaluate.scm 424 */
																																																	if (NULLP(CDR(BgL_cdrzd212075zd2_2158)))
																																																		{	/* Eval/evaluate.scm 424 */
																																																			obj_t
																																																				BgL_arg2083z00_2162;
																																																			obj_t
																																																				BgL_arg2084z00_2163;
																																																			BgL_arg2083z00_2162
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd212071zd2_2157));
																																																			BgL_arg2084z00_2163
																																																				=
																																																				CAR
																																																				(BgL_cdrzd212075zd2_2158);
																																																			{
																																																				BgL_ev_hookz00_bglt
																																																					BgL_auxz00_7372;
																																																				{
																																																					obj_t
																																																						BgL_ez00_7374;
																																																					obj_t
																																																						BgL_vz00_7373;
																																																					BgL_vz00_7373
																																																						=
																																																						BgL_arg2083z00_2162;
																																																					BgL_ez00_7374
																																																						=
																																																						BgL_arg2084z00_2163;
																																																					BgL_ez00_1568
																																																						=
																																																						BgL_ez00_7374;
																																																					BgL_vz00_1567
																																																						=
																																																						BgL_vz00_7373;
																																																					goto
																																																						BgL_tagzd2165zd2_1569;
																																																				}
																																																				return
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_7372);
																																																			}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 424 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_74,
																																																				BGl_string2967z00zz__evaluatez00,
																																																				BGl_string3042z00zz__evaluatez00,
																																																				BgL_ez00_69);
																																																		}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 424 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_74,
																																																		BGl_string2967z00zz__evaluatez00,
																																																		BGl_string3042z00zz__evaluatez00,
																																																		BgL_ez00_69);
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_cdrzd212132zd2_2165;
																																												BgL_cdrzd212132zd2_2165
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_ez00_69));
																																												{	/* Eval/evaluate.scm 424 */
																																													obj_t
																																														BgL_cdrzd212136zd2_2166;
																																													BgL_cdrzd212136zd2_2166
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd212132zd2_2165));
																																													if (PAIRP(BgL_cdrzd212136zd2_2166))
																																														{	/* Eval/evaluate.scm 424 */
																																															if (NULLP(CDR(BgL_cdrzd212136zd2_2166)))
																																																{	/* Eval/evaluate.scm 424 */
																																																	obj_t
																																																		BgL_arg2089z00_2170;
																																																	obj_t
																																																		BgL_arg2090z00_2171;
																																																	BgL_arg2089z00_2170
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd212132zd2_2165));
																																																	BgL_arg2090z00_2171
																																																		=
																																																		CAR
																																																		(BgL_cdrzd212136zd2_2166);
																																																	{
																																																		BgL_ev_hookz00_bglt
																																																			BgL_auxz00_7390;
																																																		{
																																																			obj_t
																																																				BgL_ez00_7392;
																																																			obj_t
																																																				BgL_vz00_7391;
																																																			BgL_vz00_7391
																																																				=
																																																				BgL_arg2089z00_2170;
																																																			BgL_ez00_7392
																																																				=
																																																				BgL_arg2090z00_2171;
																																																			BgL_ez00_1568
																																																				=
																																																				BgL_ez00_7392;
																																																			BgL_vz00_1567
																																																				=
																																																				BgL_vz00_7391;
																																																			goto
																																																				BgL_tagzd2165zd2_1569;
																																																		}
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_7390);
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 424 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_74,
																																																		BGl_string2967z00zz__evaluatez00,
																																																		BGl_string3042z00zz__evaluatez00,
																																																		BgL_ez00_69);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 424 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string2967z00zz__evaluatez00,
																																																BGl_string3042z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_cdrzd212193zd2_2173;
																																										BgL_cdrzd212193zd2_2173
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_ez00_69));
																																										{	/* Eval/evaluate.scm 424 */
																																											obj_t
																																												BgL_cdrzd212197zd2_2174;
																																											BgL_cdrzd212197zd2_2174
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_cdrzd212193zd2_2173));
																																											if (PAIRP(BgL_cdrzd212197zd2_2174))
																																												{	/* Eval/evaluate.scm 424 */
																																													if (NULLP(CDR(BgL_cdrzd212197zd2_2174)))
																																														{	/* Eval/evaluate.scm 424 */
																																															obj_t
																																																BgL_arg2095z00_2178;
																																															obj_t
																																																BgL_arg2096z00_2179;
																																															BgL_arg2095z00_2178
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd212193zd2_2173));
																																															BgL_arg2096z00_2179
																																																=
																																																CAR
																																																(BgL_cdrzd212197zd2_2174);
																																															{
																																																BgL_ev_hookz00_bglt
																																																	BgL_auxz00_7408;
																																																{
																																																	obj_t
																																																		BgL_ez00_7410;
																																																	obj_t
																																																		BgL_vz00_7409;
																																																	BgL_vz00_7409
																																																		=
																																																		BgL_arg2095z00_2178;
																																																	BgL_ez00_7410
																																																		=
																																																		BgL_arg2096z00_2179;
																																																	BgL_ez00_1568
																																																		=
																																																		BgL_ez00_7410;
																																																	BgL_vz00_1567
																																																		=
																																																		BgL_vz00_7409;
																																																	goto
																																																		BgL_tagzd2165zd2_1569;
																																																}
																																																return
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_7408);
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 424 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string2967z00zz__evaluatez00,
																																																BGl_string3042z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 424 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_74,
																																														BGl_string2967z00zz__evaluatez00,
																																														BGl_string3042z00zz__evaluatez00,
																																														BgL_ez00_69);
																																												}
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 424 */
																																								obj_t
																																									BgL_cdrzd212241zd2_2181;
																																								BgL_cdrzd212241zd2_2181
																																									=
																																									CDR
																																									(
																																									((obj_t) BgL_ez00_69));
																																								{	/* Eval/evaluate.scm 424 */
																																									obj_t
																																										BgL_carzd212244zd2_2182;
																																									obj_t
																																										BgL_cdrzd212245zd2_2183;
																																									BgL_carzd212244zd2_2182
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_cdrzd212241zd2_2181));
																																									BgL_cdrzd212245zd2_2183
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_cdrzd212241zd2_2181));
																																									if ((CAR(((obj_t) BgL_carzd212244zd2_2182)) == BGl_symbol3052z00zz__evaluatez00))
																																										{	/* Eval/evaluate.scm 424 */
																																											if (PAIRP(BgL_cdrzd212245zd2_2183))
																																												{	/* Eval/evaluate.scm 424 */
																																													if (NULLP(CDR(BgL_cdrzd212245zd2_2183)))
																																														{	/* Eval/evaluate.scm 424 */
																																															obj_t
																																																BgL_arg2103z00_2189;
																																															obj_t
																																																BgL_arg2104z00_2190;
																																															BgL_arg2103z00_2189
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_carzd212244zd2_2182));
																																															BgL_arg2104z00_2190
																																																=
																																																CAR
																																																(BgL_cdrzd212245zd2_2183);
																																															{
																																																obj_t
																																																	BgL_e2z00_7433;
																																																obj_t
																																																	BgL_lz00_7432;
																																																BgL_lz00_7432
																																																	=
																																																	BgL_arg2103z00_2189;
																																																BgL_e2z00_7433
																																																	=
																																																	BgL_arg2104z00_2190;
																																																BgL_e2z00_1565
																																																	=
																																																	BgL_e2z00_7433;
																																																BgL_lz00_1564
																																																	=
																																																	BgL_lz00_7432;
																																																goto
																																																	BgL_tagzd2164zd2_1566;
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 424 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string2967z00zz__evaluatez00,
																																																BGl_string3042z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 424 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_74,
																																														BGl_string2967z00zz__evaluatez00,
																																														BGl_string3042z00zz__evaluatez00,
																																														BgL_ez00_69);
																																												}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 424 */
																																											obj_t
																																												BgL_cdrzd212321zd2_2193;
																																											BgL_cdrzd212321zd2_2193
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_cdrzd212241zd2_2181));
																																											if (PAIRP(BgL_cdrzd212321zd2_2193))
																																												{	/* Eval/evaluate.scm 424 */
																																													if (NULLP(CDR(BgL_cdrzd212321zd2_2193)))
																																														{	/* Eval/evaluate.scm 424 */
																																															obj_t
																																																BgL_arg2109z00_2197;
																																															obj_t
																																																BgL_arg2110z00_2198;
																																															BgL_arg2109z00_2197
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd212241zd2_2181));
																																															BgL_arg2110z00_2198
																																																=
																																																CAR
																																																(BgL_cdrzd212321zd2_2193);
																																															{
																																																BgL_ev_hookz00_bglt
																																																	BgL_auxz00_7446;
																																																{
																																																	obj_t
																																																		BgL_ez00_7448;
																																																	obj_t
																																																		BgL_vz00_7447;
																																																	BgL_vz00_7447
																																																		=
																																																		BgL_arg2109z00_2197;
																																																	BgL_ez00_7448
																																																		=
																																																		BgL_arg2110z00_2198;
																																																	BgL_ez00_1568
																																																		=
																																																		BgL_ez00_7448;
																																																	BgL_vz00_1567
																																																		=
																																																		BgL_vz00_7447;
																																																	goto
																																																		BgL_tagzd2165zd2_1569;
																																																}
																																																return
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_7446);
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 424 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string2967z00zz__evaluatez00,
																																																BGl_string3042z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 424 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_74,
																																														BGl_string2967z00zz__evaluatez00,
																																														BGl_string3042z00zz__evaluatez00,
																																														BgL_ez00_69);
																																												}
																																										}
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 424 */
																																						obj_t
																																							BgL_cdrzd212378zd2_2202;
																																						BgL_cdrzd212378zd2_2202
																																							=
																																							CDR
																																							(((obj_t) BgL_ez00_69));
																																						{	/* Eval/evaluate.scm 424 */
																																							obj_t
																																								BgL_cdrzd212382zd2_2203;
																																							BgL_cdrzd212382zd2_2203
																																								=
																																								CDR
																																								(
																																								((obj_t) BgL_cdrzd212378zd2_2202));
																																							if (PAIRP(BgL_cdrzd212382zd2_2203))
																																								{	/* Eval/evaluate.scm 424 */
																																									if (NULLP(CDR(BgL_cdrzd212382zd2_2203)))
																																										{	/* Eval/evaluate.scm 424 */
																																											obj_t
																																												BgL_arg2117z00_2207;
																																											obj_t
																																												BgL_arg2118z00_2208;
																																											BgL_arg2117z00_2207
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd212378zd2_2202));
																																											BgL_arg2118z00_2208
																																												=
																																												CAR
																																												(BgL_cdrzd212382zd2_2203);
																																											{
																																												BgL_ev_hookz00_bglt
																																													BgL_auxz00_7464;
																																												{
																																													obj_t
																																														BgL_ez00_7466;
																																													obj_t
																																														BgL_vz00_7465;
																																													BgL_vz00_7465
																																														=
																																														BgL_arg2117z00_2207;
																																													BgL_ez00_7466
																																														=
																																														BgL_arg2118z00_2208;
																																													BgL_ez00_1568
																																														=
																																														BgL_ez00_7466;
																																													BgL_vz00_1567
																																														=
																																														BgL_vz00_7465;
																																													goto
																																														BgL_tagzd2165zd2_1569;
																																												}
																																												return
																																													(
																																													(obj_t)
																																													BgL_auxz00_7464);
																																											}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 424 */
																																											return
																																												BGl_evcompilezd2errorzd2zz__evcompilez00
																																												(BgL_locz00_74,
																																												BGl_string2967z00zz__evaluatez00,
																																												BGl_string3042z00zz__evaluatez00,
																																												BgL_ez00_69);
																																										}
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 424 */
																																									return
																																										BGl_evcompilezd2errorzd2zz__evcompilez00
																																										(BgL_locz00_74,
																																										BGl_string2967z00zz__evaluatez00,
																																										BGl_string3042z00zz__evaluatez00,
																																										BgL_ez00_69);
																																								}
																																						}
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 424 */
																																				return
																																					BGl_evcompilezd2errorzd2zz__evcompilez00
																																					(BgL_locz00_74,
																																					BGl_string2967z00zz__evaluatez00,
																																					BGl_string3042z00zz__evaluatez00,
																																					BgL_ez00_69);
																																			}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 424 */
																																		obj_t
																																			BgL_cdrzd212503zd2_2210;
																																		BgL_cdrzd212503zd2_2210
																																			=
																																			CDR((
																																				(obj_t)
																																				BgL_ez00_69));
																																		if ((CAR((
																																						(obj_t)
																																						BgL_ez00_69))
																																				==
																																				BGl_symbol3066z00zz__evaluatez00))
																																			{	/* Eval/evaluate.scm 424 */
																																				if (PAIRP(BgL_cdrzd212503zd2_2210))
																																					{	/* Eval/evaluate.scm 424 */
																																						obj_t
																																							BgL_cdrzd212508zd2_2214;
																																						BgL_cdrzd212508zd2_2214
																																							=
																																							CDR
																																							(BgL_cdrzd212503zd2_2210);
																																						if (PAIRP(BgL_cdrzd212508zd2_2214))
																																							{	/* Eval/evaluate.scm 424 */
																																								obj_t
																																									BgL_carzd212512zd2_2216;
																																								BgL_carzd212512zd2_2216
																																									=
																																									CAR
																																									(BgL_cdrzd212508zd2_2214);
																																								if (PAIRP(BgL_carzd212512zd2_2216))
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_cdrzd212517zd2_2218;
																																										BgL_cdrzd212517zd2_2218
																																											=
																																											CDR
																																											(BgL_carzd212512zd2_2216);
																																										if ((CAR(BgL_carzd212512zd2_2216) == BGl_symbol3031z00zz__evaluatez00))
																																											{	/* Eval/evaluate.scm 424 */
																																												if (PAIRP(BgL_cdrzd212517zd2_2218))
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_cdrzd212521zd2_2222;
																																														BgL_cdrzd212521zd2_2222
																																															=
																																															CDR
																																															(BgL_cdrzd212517zd2_2218);
																																														if (PAIRP(BgL_cdrzd212521zd2_2222))
																																															{	/* Eval/evaluate.scm 424 */
																																																if (NULLP(CDR(BgL_cdrzd212521zd2_2222)))
																																																	{	/* Eval/evaluate.scm 424 */
																																																		if (NULLP(CDR(BgL_cdrzd212508zd2_2214)))
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg2133z00_2228;
																																																				obj_t
																																																					BgL_arg2134z00_2229;
																																																				obj_t
																																																					BgL_arg2135z00_2230;
																																																				BgL_arg2133z00_2228
																																																					=
																																																					CAR
																																																					(BgL_cdrzd212503zd2_2210);
																																																				BgL_arg2134z00_2229
																																																					=
																																																					CAR
																																																					(BgL_cdrzd212517zd2_2218);
																																																				BgL_arg2135z00_2230
																																																					=
																																																					CAR
																																																					(BgL_cdrzd212521zd2_2222);
																																																				{
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_auxz00_7503;
																																																					{
																																																						obj_t
																																																							BgL_bodyz00_7506;
																																																						obj_t
																																																							BgL_formalsz00_7505;
																																																						obj_t
																																																							BgL_gvz00_7504;
																																																						BgL_gvz00_7504
																																																							=
																																																							BgL_arg2133z00_2228;
																																																						BgL_formalsz00_7505
																																																							=
																																																							BgL_arg2134z00_2229;
																																																						BgL_bodyz00_7506
																																																							=
																																																							BgL_arg2135z00_2230;
																																																						BgL_bodyz00_1573
																																																							=
																																																							BgL_bodyz00_7506;
																																																						BgL_formalsz00_1572
																																																							=
																																																							BgL_formalsz00_7505;
																																																						BgL_gvz00_1571
																																																							=
																																																							BgL_gvz00_7504;
																																																						goto
																																																							BgL_tagzd2167zd2_1574;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_7503);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg2136z00_2231;
																																																				BgL_arg2136z00_2231
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_ez00_69));
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_7510;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_7512;
																																																						obj_t
																																																							BgL_fz00_7511;
																																																						BgL_fz00_7511
																																																							=
																																																							BgL_arg2136z00_2231;
																																																						BgL_argsz00_7512
																																																							=
																																																							BgL_cdrzd212503zd2_2210;
																																																						BgL_argsz00_1599
																																																							=
																																																							BgL_argsz00_7512;
																																																						BgL_fz00_1598
																																																							=
																																																							BgL_fz00_7511;
																																																						goto
																																																							BgL_tagzd2176zd2_1600;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_7510);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_cdrzd212623zd2_2235;
																																																		BgL_cdrzd212623zd2_2235
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_cdrzd212503zd2_2210));
																																																		if (NULLP(CDR(((obj_t) BgL_cdrzd212623zd2_2235))))
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg2141z00_2238;
																																																				obj_t
																																																					BgL_arg2142z00_2239;
																																																				BgL_arg2141z00_2238
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd212503zd2_2210));
																																																				BgL_arg2142z00_2239
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd212623zd2_2235));
																																																				{
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_auxz00_7524;
																																																					{
																																																						obj_t
																																																							BgL_gez00_7526;
																																																						obj_t
																																																							BgL_gvz00_7525;
																																																						BgL_gvz00_7525
																																																							=
																																																							BgL_arg2141z00_2238;
																																																						BgL_gez00_7526
																																																							=
																																																							BgL_arg2142z00_2239;
																																																						BgL_gez00_1576
																																																							=
																																																							BgL_gez00_7526;
																																																						BgL_gvz00_1575
																																																							=
																																																							BgL_gvz00_7525;
																																																						goto
																																																							BgL_tagzd2168zd2_1577;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_7524);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg2143z00_2240;
																																																				obj_t
																																																					BgL_arg2144z00_2241;
																																																				BgL_arg2143z00_2240
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_ez00_69));
																																																				BgL_arg2144z00_2241
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_ez00_69));
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_7532;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_7534;
																																																						obj_t
																																																							BgL_fz00_7533;
																																																						BgL_fz00_7533
																																																							=
																																																							BgL_arg2143z00_2240;
																																																						BgL_argsz00_7534
																																																							=
																																																							BgL_arg2144z00_2241;
																																																						BgL_argsz00_1599
																																																							=
																																																							BgL_argsz00_7534;
																																																						BgL_fz00_1598
																																																							=
																																																							BgL_fz00_7533;
																																																						goto
																																																							BgL_tagzd2176zd2_1600;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_7532);
																																																				}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_cdrzd212712zd2_2245;
																																																BgL_cdrzd212712zd2_2245
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_cdrzd212503zd2_2210));
																																																if (NULLP(CDR(((obj_t) BgL_cdrzd212712zd2_2245))))
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_arg2149z00_2248;
																																																		obj_t
																																																			BgL_arg2150z00_2249;
																																																		BgL_arg2149z00_2248
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_cdrzd212503zd2_2210));
																																																		BgL_arg2150z00_2249
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_cdrzd212712zd2_2245));
																																																		{
																																																			BgL_ev_defglobalz00_bglt
																																																				BgL_auxz00_7546;
																																																			{
																																																				obj_t
																																																					BgL_gez00_7548;
																																																				obj_t
																																																					BgL_gvz00_7547;
																																																				BgL_gvz00_7547
																																																					=
																																																					BgL_arg2149z00_2248;
																																																				BgL_gez00_7548
																																																					=
																																																					BgL_arg2150z00_2249;
																																																				BgL_gez00_1576
																																																					=
																																																					BgL_gez00_7548;
																																																				BgL_gvz00_1575
																																																					=
																																																					BgL_gvz00_7547;
																																																				goto
																																																					BgL_tagzd2168zd2_1577;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_7546);
																																																		}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_arg2151z00_2250;
																																																		obj_t
																																																			BgL_arg2152z00_2251;
																																																		BgL_arg2151z00_2250
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_ez00_69));
																																																		BgL_arg2152z00_2251
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_ez00_69));
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_7554;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_7556;
																																																				obj_t
																																																					BgL_fz00_7555;
																																																				BgL_fz00_7555
																																																					=
																																																					BgL_arg2151z00_2250;
																																																				BgL_argsz00_7556
																																																					=
																																																					BgL_arg2152z00_2251;
																																																				BgL_argsz00_1599
																																																					=
																																																					BgL_argsz00_7556;
																																																				BgL_fz00_1598
																																																					=
																																																					BgL_fz00_7555;
																																																				goto
																																																					BgL_tagzd2176zd2_1600;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_7554);
																																																		}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_cdrzd212801zd2_2254;
																																														BgL_cdrzd212801zd2_2254
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_cdrzd212503zd2_2210));
																																														if (NULLP(CDR(((obj_t) BgL_cdrzd212801zd2_2254))))
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_arg2156z00_2257;
																																																obj_t
																																																	BgL_arg2157z00_2258;
																																																BgL_arg2156z00_2257
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_cdrzd212503zd2_2210));
																																																BgL_arg2157z00_2258
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_cdrzd212801zd2_2254));
																																																{
																																																	BgL_ev_defglobalz00_bglt
																																																		BgL_auxz00_7568;
																																																	{
																																																		obj_t
																																																			BgL_gez00_7570;
																																																		obj_t
																																																			BgL_gvz00_7569;
																																																		BgL_gvz00_7569
																																																			=
																																																			BgL_arg2156z00_2257;
																																																		BgL_gez00_7570
																																																			=
																																																			BgL_arg2157z00_2258;
																																																		BgL_gez00_1576
																																																			=
																																																			BgL_gez00_7570;
																																																		BgL_gvz00_1575
																																																			=
																																																			BgL_gvz00_7569;
																																																		goto
																																																			BgL_tagzd2168zd2_1577;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_7568);
																																																}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_arg2159z00_2259;
																																																obj_t
																																																	BgL_arg2160z00_2260;
																																																BgL_arg2159z00_2259
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_ez00_69));
																																																BgL_arg2160z00_2260
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_ez00_69));
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_7576;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_7578;
																																																		obj_t
																																																			BgL_fz00_7577;
																																																		BgL_fz00_7577
																																																			=
																																																			BgL_arg2159z00_2259;
																																																		BgL_argsz00_7578
																																																			=
																																																			BgL_arg2160z00_2260;
																																																		BgL_argsz00_1599
																																																			=
																																																			BgL_argsz00_7578;
																																																		BgL_fz00_1598
																																																			=
																																																			BgL_fz00_7577;
																																																		goto
																																																			BgL_tagzd2176zd2_1600;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_7576);
																																																}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_cdrzd212890zd2_2263;
																																												BgL_cdrzd212890zd2_2263
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_cdrzd212503zd2_2210));
																																												if (NULLP(CDR(((obj_t) BgL_cdrzd212890zd2_2263))))
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_arg2164z00_2266;
																																														obj_t
																																															BgL_arg2165z00_2267;
																																														BgL_arg2164z00_2266
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_cdrzd212503zd2_2210));
																																														BgL_arg2165z00_2267
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_cdrzd212890zd2_2263));
																																														{
																																															BgL_ev_defglobalz00_bglt
																																																BgL_auxz00_7590;
																																															{
																																																obj_t
																																																	BgL_gez00_7592;
																																																obj_t
																																																	BgL_gvz00_7591;
																																																BgL_gvz00_7591
																																																	=
																																																	BgL_arg2164z00_2266;
																																																BgL_gez00_7592
																																																	=
																																																	BgL_arg2165z00_2267;
																																																BgL_gez00_1576
																																																	=
																																																	BgL_gez00_7592;
																																																BgL_gvz00_1575
																																																	=
																																																	BgL_gvz00_7591;
																																																goto
																																																	BgL_tagzd2168zd2_1577;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_7590);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_arg2166z00_2268;
																																														obj_t
																																															BgL_arg2167z00_2269;
																																														BgL_arg2166z00_2268
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_ez00_69));
																																														BgL_arg2167z00_2269
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_ez00_69));
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_7598;
																																															{
																																																obj_t
																																																	BgL_argsz00_7600;
																																																obj_t
																																																	BgL_fz00_7599;
																																																BgL_fz00_7599
																																																	=
																																																	BgL_arg2166z00_2268;
																																																BgL_argsz00_7600
																																																	=
																																																	BgL_arg2167z00_2269;
																																																BgL_argsz00_1599
																																																	=
																																																	BgL_argsz00_7600;
																																																BgL_fz00_1598
																																																	=
																																																	BgL_fz00_7599;
																																																goto
																																																	BgL_tagzd2176zd2_1600;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_7598);
																																														}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_cdrzd212979zd2_2273;
																																										BgL_cdrzd212979zd2_2273
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_cdrzd212503zd2_2210));
																																										if (NULLP(CDR(((obj_t) BgL_cdrzd212979zd2_2273))))
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_arg2172z00_2276;
																																												obj_t
																																													BgL_arg2173z00_2277;
																																												BgL_arg2172z00_2276
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_cdrzd212503zd2_2210));
																																												BgL_arg2173z00_2277
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_cdrzd212979zd2_2273));
																																												{
																																													BgL_ev_defglobalz00_bglt
																																														BgL_auxz00_7612;
																																													{
																																														obj_t
																																															BgL_gez00_7614;
																																														obj_t
																																															BgL_gvz00_7613;
																																														BgL_gvz00_7613
																																															=
																																															BgL_arg2172z00_2276;
																																														BgL_gez00_7614
																																															=
																																															BgL_arg2173z00_2277;
																																														BgL_gez00_1576
																																															=
																																															BgL_gez00_7614;
																																														BgL_gvz00_1575
																																															=
																																															BgL_gvz00_7613;
																																														goto
																																															BgL_tagzd2168zd2_1577;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_7612);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_arg2174z00_2278;
																																												obj_t
																																													BgL_arg2175z00_2279;
																																												BgL_arg2174z00_2278
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_ez00_69));
																																												BgL_arg2175z00_2279
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_ez00_69));
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_7620;
																																													{
																																														obj_t
																																															BgL_argsz00_7622;
																																														obj_t
																																															BgL_fz00_7621;
																																														BgL_fz00_7621
																																															=
																																															BgL_arg2174z00_2278;
																																														BgL_argsz00_7622
																																															=
																																															BgL_arg2175z00_2279;
																																														BgL_argsz00_1599
																																															=
																																															BgL_argsz00_7622;
																																														BgL_fz00_1598
																																															=
																																															BgL_fz00_7621;
																																														goto
																																															BgL_tagzd2176zd2_1600;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_7620);
																																												}
																																											}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 424 */
																																								obj_t
																																									BgL_arg2177z00_2281;
																																								BgL_arg2177z00_2281
																																									=
																																									CAR
																																									(
																																									((obj_t) BgL_ez00_69));
																																								{
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_7626;
																																									{
																																										obj_t
																																											BgL_argsz00_7628;
																																										obj_t
																																											BgL_fz00_7627;
																																										BgL_fz00_7627
																																											=
																																											BgL_arg2177z00_2281;
																																										BgL_argsz00_7628
																																											=
																																											BgL_cdrzd212503zd2_2210;
																																										BgL_argsz00_1599
																																											=
																																											BgL_argsz00_7628;
																																										BgL_fz00_1598
																																											=
																																											BgL_fz00_7627;
																																										goto
																																											BgL_tagzd2176zd2_1600;
																																									}
																																									return
																																										(
																																										(obj_t)
																																										BgL_auxz00_7626);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 424 */
																																						obj_t
																																							BgL_arg2179z00_2283;
																																						BgL_arg2179z00_2283
																																							=
																																							CAR
																																							(((obj_t) BgL_ez00_69));
																																						{
																																							BgL_ev_appz00_bglt
																																								BgL_auxz00_7632;
																																							{
																																								obj_t
																																									BgL_argsz00_7634;
																																								obj_t
																																									BgL_fz00_7633;
																																								BgL_fz00_7633
																																									=
																																									BgL_arg2179z00_2283;
																																								BgL_argsz00_7634
																																									=
																																									BgL_cdrzd212503zd2_2210;
																																								BgL_argsz00_1599
																																									=
																																									BgL_argsz00_7634;
																																								BgL_fz00_1598
																																									=
																																									BgL_fz00_7633;
																																								goto
																																									BgL_tagzd2176zd2_1600;
																																							}
																																							return
																																								(
																																								(obj_t)
																																								BgL_auxz00_7632);
																																						}
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 424 */
																																				if (
																																					(CAR(
																																							((obj_t) BgL_ez00_69)) == BGl_symbol3068z00zz__evaluatez00))
																																					{	/* Eval/evaluate.scm 424 */
																																						if (PAIRP(BgL_cdrzd212503zd2_2210))
																																							{	/* Eval/evaluate.scm 424 */
																																								obj_t
																																									BgL_carzd213227zd2_2289;
																																								BgL_carzd213227zd2_2289
																																									=
																																									CAR
																																									(BgL_cdrzd212503zd2_2210);
																																								if (PAIRP(BgL_carzd213227zd2_2289))
																																									{	/* Eval/evaluate.scm 424 */
																																										if (NULLP(CDR(BgL_carzd213227zd2_2289)))
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_arg2187z00_2293;
																																												obj_t
																																													BgL_arg2188z00_2294;
																																												BgL_arg2187z00_2293
																																													=
																																													CAR
																																													(BgL_carzd213227zd2_2289);
																																												BgL_arg2188z00_2294
																																													=
																																													CDR
																																													(BgL_cdrzd212503zd2_2210);
																																												{
																																													BgL_ev_bindzd2exitzd2_bglt
																																														BgL_auxz00_7650;
																																													{
																																														obj_t
																																															BgL_bodyz00_7652;
																																														obj_t
																																															BgL_vz00_7651;
																																														BgL_vz00_7651
																																															=
																																															BgL_arg2187z00_2293;
																																														BgL_bodyz00_7652
																																															=
																																															BgL_arg2188z00_2294;
																																														BgL_bodyz00_1579
																																															=
																																															BgL_bodyz00_7652;
																																														BgL_vz00_1578
																																															=
																																															BgL_vz00_7651;
																																														goto
																																															BgL_tagzd2169zd2_1580;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_7650);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_arg2189z00_2295;
																																												obj_t
																																													BgL_arg2190z00_2296;
																																												BgL_arg2189z00_2295
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_ez00_69));
																																												BgL_arg2190z00_2296
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_ez00_69));
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_7658;
																																													{
																																														obj_t
																																															BgL_argsz00_7660;
																																														obj_t
																																															BgL_fz00_7659;
																																														BgL_fz00_7659
																																															=
																																															BgL_arg2189z00_2295;
																																														BgL_argsz00_7660
																																															=
																																															BgL_arg2190z00_2296;
																																														BgL_argsz00_1599
																																															=
																																															BgL_argsz00_7660;
																																														BgL_fz00_1598
																																															=
																																															BgL_fz00_7659;
																																														goto
																																															BgL_tagzd2176zd2_1600;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_7658);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_arg2192z00_2298;
																																										obj_t
																																											BgL_arg2193z00_2299;
																																										BgL_arg2192z00_2298
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_ez00_69));
																																										BgL_arg2193z00_2299
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_ez00_69));
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_7666;
																																											{
																																												obj_t
																																													BgL_argsz00_7668;
																																												obj_t
																																													BgL_fz00_7667;
																																												BgL_fz00_7667
																																													=
																																													BgL_arg2192z00_2298;
																																												BgL_argsz00_7668
																																													=
																																													BgL_arg2193z00_2299;
																																												BgL_argsz00_1599
																																													=
																																													BgL_argsz00_7668;
																																												BgL_fz00_1598
																																													=
																																													BgL_fz00_7667;
																																												goto
																																													BgL_tagzd2176zd2_1600;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_7666);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 424 */
																																								obj_t
																																									BgL_arg2194z00_2300;
																																								obj_t
																																									BgL_arg2195z00_2301;
																																								BgL_arg2194z00_2300
																																									=
																																									CAR
																																									(
																																									((obj_t) BgL_ez00_69));
																																								BgL_arg2195z00_2301
																																									=
																																									CDR
																																									(
																																									((obj_t) BgL_ez00_69));
																																								{
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_7674;
																																									{
																																										obj_t
																																											BgL_argsz00_7676;
																																										obj_t
																																											BgL_fz00_7675;
																																										BgL_fz00_7675
																																											=
																																											BgL_arg2194z00_2300;
																																										BgL_argsz00_7676
																																											=
																																											BgL_arg2195z00_2301;
																																										BgL_argsz00_1599
																																											=
																																											BgL_argsz00_7676;
																																										BgL_fz00_1598
																																											=
																																											BgL_fz00_7675;
																																										goto
																																											BgL_tagzd2176zd2_1600;
																																									}
																																									return
																																										(
																																										(obj_t)
																																										BgL_auxz00_7674);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 424 */
																																						obj_t
																																							BgL_cdrzd213398zd2_2302;
																																						BgL_cdrzd213398zd2_2302
																																							=
																																							CDR
																																							(((obj_t) BgL_ez00_69));
																																						if (
																																							(CAR
																																								(((obj_t) BgL_ez00_69)) == BGl_symbol3070z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 424 */
																																								if (PAIRP(BgL_cdrzd213398zd2_2302))
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_arg2200z00_2306;
																																										obj_t
																																											BgL_arg2201z00_2307;
																																										BgL_arg2200z00_2306
																																											=
																																											CAR
																																											(BgL_cdrzd213398zd2_2302);
																																										BgL_arg2201z00_2307
																																											=
																																											CDR
																																											(BgL_cdrzd213398zd2_2302);
																																										{	/* Eval/evaluate.scm 579 */
																																											BgL_ev_unwindzd2protectzd2_bglt
																																												BgL_new1156z00_4498;
																																											{	/* Eval/evaluate.scm 580 */
																																												BgL_ev_unwindzd2protectzd2_bglt
																																													BgL_new1155z00_4499;
																																												BgL_new1155z00_4499
																																													=
																																													(
																																													(BgL_ev_unwindzd2protectzd2_bglt)
																																													BOBJECT
																																													(GC_MALLOC
																																														(sizeof
																																															(struct
																																																BgL_ev_unwindzd2protectzd2_bgl))));
																																												{	/* Eval/evaluate.scm 580 */
																																													long
																																														BgL_arg2450z00_4500;
																																													BgL_arg2450z00_4500
																																														=
																																														BGL_CLASS_NUM
																																														(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00);
																																													BGL_OBJECT_CLASS_NUM_SET
																																														(
																																														((BgL_objectz00_bglt) BgL_new1155z00_4499), BgL_arg2450z00_4500);
																																												}
																																												BgL_new1156z00_4498
																																													=
																																													BgL_new1155z00_4499;
																																											}
																																											{
																																												BgL_ev_exprz00_bglt
																																													BgL_auxz00_7692;
																																												{	/* Eval/evaluate.scm 380 */
																																													obj_t
																																														BgL_arg2469z00_4504;
																																													BgL_arg2469z00_4504
																																														=
																																														BGl_getzd2locationzd2zz__evaluatez00
																																														(BgL_arg2200z00_2306,
																																														BgL_locz00_74);
																																													BgL_auxz00_7692
																																														=
																																														(
																																														(BgL_ev_exprz00_bglt)
																																														BGl_uconvzf2locze70z15zz__evaluatez00
																																														(BgL_wherez00_73,
																																															BgL_globalsz00_71,
																																															BgL_localsz00_70,
																																															BgL_arg2200z00_2306,
																																															BgL_arg2469z00_4504));
																																												}
																																												((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(BgL_new1156z00_4498))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_7692), BUNSPEC);
																																											}
																																											((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(BgL_new1156z00_4498))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_arg2201z00_2307, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																											return
																																												(
																																												(obj_t)
																																												BgL_new1156z00_4498);
																																										}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_arg2202z00_2308;
																																										BgL_arg2202z00_2308
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_ez00_69));
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_7703;
																																											{
																																												obj_t
																																													BgL_argsz00_7705;
																																												obj_t
																																													BgL_fz00_7704;
																																												BgL_fz00_7704
																																													=
																																													BgL_arg2202z00_2308;
																																												BgL_argsz00_7705
																																													=
																																													BgL_cdrzd213398zd2_2302;
																																												BgL_argsz00_1599
																																													=
																																													BgL_argsz00_7705;
																																												BgL_fz00_1598
																																													=
																																													BgL_fz00_7704;
																																												goto
																																													BgL_tagzd2176zd2_1600;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_7703);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 424 */
																																								if ((CAR(((obj_t) BgL_ez00_69)) == BGl_symbol3072z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 424 */
																																										if (PAIRP(BgL_cdrzd213398zd2_2302))
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_arg2207z00_2314;
																																												obj_t
																																													BgL_arg2208z00_2315;
																																												BgL_arg2207z00_2314
																																													=
																																													CAR
																																													(BgL_cdrzd213398zd2_2302);
																																												BgL_arg2208z00_2315
																																													=
																																													CDR
																																													(BgL_cdrzd213398zd2_2302);
																																												{	/* Eval/evaluate.scm 583 */
																																													BgL_ev_withzd2handlerzd2_bglt
																																														BgL_new1158z00_4511;
																																													{	/* Eval/evaluate.scm 584 */
																																														BgL_ev_withzd2handlerzd2_bglt
																																															BgL_new1157z00_4512;
																																														BgL_new1157z00_4512
																																															=
																																															(
																																															(BgL_ev_withzd2handlerzd2_bglt)
																																															BOBJECT
																																															(GC_MALLOC
																																																(sizeof
																																																	(struct
																																																		BgL_ev_withzd2handlerzd2_bgl))));
																																														{	/* Eval/evaluate.scm 584 */
																																															long
																																																BgL_arg2451z00_4513;
																																															BgL_arg2451z00_4513
																																																=
																																																BGL_CLASS_NUM
																																																(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00);
																																															BGL_OBJECT_CLASS_NUM_SET
																																																(
																																																((BgL_objectz00_bglt) BgL_new1157z00_4512), BgL_arg2451z00_4513);
																																														}
																																														BgL_new1158z00_4511
																																															=
																																															BgL_new1157z00_4512;
																																													}
																																													{
																																														BgL_ev_exprz00_bglt
																																															BgL_auxz00_7719;
																																														{	/* Eval/evaluate.scm 380 */
																																															obj_t
																																																BgL_arg2469z00_4517;
																																															BgL_arg2469z00_4517
																																																=
																																																BGl_getzd2locationzd2zz__evaluatez00
																																																(BgL_arg2207z00_2314,
																																																BgL_locz00_74);
																																															BgL_auxz00_7719
																																																=
																																																(
																																																(BgL_ev_exprz00_bglt)
																																																BGl_uconvzf2locze70z15zz__evaluatez00
																																																(BgL_wherez00_73,
																																																	BgL_globalsz00_71,
																																																	BgL_localsz00_70,
																																																	BgL_arg2207z00_2314,
																																																	BgL_arg2469z00_4517));
																																														}
																																														((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(BgL_new1158z00_4511))->BgL_handlerz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_7719), BUNSPEC);
																																													}
																																													((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(BgL_new1158z00_4511))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_arg2208z00_2315, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																													return
																																														(
																																														(obj_t)
																																														BgL_new1158z00_4511);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_arg2209z00_2316;
																																												obj_t
																																													BgL_arg2210z00_2317;
																																												BgL_arg2209z00_2316
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_ez00_69));
																																												BgL_arg2210z00_2317
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_ez00_69));
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_7732;
																																													{
																																														obj_t
																																															BgL_argsz00_7734;
																																														obj_t
																																															BgL_fz00_7733;
																																														BgL_fz00_7733
																																															=
																																															BgL_arg2209z00_2316;
																																														BgL_argsz00_7734
																																															=
																																															BgL_arg2210z00_2317;
																																														BgL_argsz00_1599
																																															=
																																															BgL_argsz00_7734;
																																														BgL_fz00_1598
																																															=
																																															BgL_fz00_7733;
																																														goto
																																															BgL_tagzd2176zd2_1600;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_7732);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_cdrzd213505zd2_2318;
																																										BgL_cdrzd213505zd2_2318
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_ez00_69));
																																										if ((CAR(((obj_t) BgL_ez00_69)) == BGl_symbol3074z00zz__evaluatez00))
																																											{	/* Eval/evaluate.scm 424 */
																																												if (PAIRP(BgL_cdrzd213505zd2_2318))
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_cdrzd213510zd2_2322;
																																														BgL_cdrzd213510zd2_2322
																																															=
																																															CDR
																																															(BgL_cdrzd213505zd2_2318);
																																														if (PAIRP(BgL_cdrzd213510zd2_2322))
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_cdrzd213515zd2_2324;
																																																BgL_cdrzd213515zd2_2324
																																																	=
																																																	CDR
																																																	(BgL_cdrzd213510zd2_2322);
																																																if ((CAR(BgL_cdrzd213510zd2_2322) == BGl_keyword3076z00zz__evaluatez00))
																																																	{	/* Eval/evaluate.scm 424 */
																																																		if (PAIRP(BgL_cdrzd213515zd2_2324))
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg2218z00_2328;
																																																				obj_t
																																																					BgL_arg2219z00_2329;
																																																				obj_t
																																																					BgL_arg2220z00_2330;
																																																				BgL_arg2218z00_2328
																																																					=
																																																					CAR
																																																					(BgL_cdrzd213505zd2_2318);
																																																				BgL_arg2219z00_2329
																																																					=
																																																					CAR
																																																					(BgL_cdrzd213515zd2_2324);
																																																				BgL_arg2220z00_2330
																																																					=
																																																					CDR
																																																					(BgL_cdrzd213515zd2_2324);
																																																				{	/* Eval/evaluate.scm 587 */
																																																					BgL_ev_synchroniza7eza7_bglt
																																																						BgL_new1160z00_4528;
																																																					{	/* Eval/evaluate.scm 588 */
																																																						BgL_ev_synchroniza7eza7_bglt
																																																							BgL_new1159z00_4529;
																																																						BgL_new1159z00_4529
																																																							=
																																																							(
																																																							(BgL_ev_synchroniza7eza7_bglt)
																																																							BOBJECT
																																																							(GC_MALLOC
																																																								(sizeof
																																																									(struct
																																																										BgL_ev_synchroniza7eza7_bgl))));
																																																						{	/* Eval/evaluate.scm 588 */
																																																							long
																																																								BgL_arg2452z00_4530;
																																																							BgL_arg2452z00_4530
																																																								=
																																																								BGL_CLASS_NUM
																																																								(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
																																																							BGL_OBJECT_CLASS_NUM_SET
																																																								(
																																																								((BgL_objectz00_bglt) BgL_new1159z00_4529), BgL_arg2452z00_4530);
																																																						}
																																																						BgL_new1160z00_4528
																																																							=
																																																							BgL_new1159z00_4529;
																																																					}
																																																					((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1160z00_4528))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																					{
																																																						BgL_ev_exprz00_bglt
																																																							BgL_auxz00_7761;
																																																						{	/* Eval/evaluate.scm 380 */
																																																							obj_t
																																																								BgL_arg2469z00_4534;
																																																							BgL_arg2469z00_4534
																																																								=
																																																								BGl_getzd2locationzd2zz__evaluatez00
																																																								(BgL_arg2218z00_2328,
																																																								BgL_locz00_74);
																																																							BgL_auxz00_7761
																																																								=
																																																								(
																																																								(BgL_ev_exprz00_bglt)
																																																								BGl_uconvzf2locze70z15zz__evaluatez00
																																																								(BgL_wherez00_73,
																																																									BgL_globalsz00_71,
																																																									BgL_localsz00_70,
																																																									BgL_arg2218z00_2328,
																																																									BgL_arg2469z00_4534));
																																																						}
																																																						((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1160z00_4528))->BgL_mutexz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_7761), BUNSPEC);
																																																					}
																																																					{
																																																						BgL_ev_exprz00_bglt
																																																							BgL_auxz00_7766;
																																																						{	/* Eval/evaluate.scm 380 */
																																																							obj_t
																																																								BgL_arg2469z00_4535;
																																																							BgL_arg2469z00_4535
																																																								=
																																																								BGl_getzd2locationzd2zz__evaluatez00
																																																								(BgL_arg2219z00_2329,
																																																								BgL_locz00_74);
																																																							BgL_auxz00_7766
																																																								=
																																																								(
																																																								(BgL_ev_exprz00_bglt)
																																																								BGl_uconvzf2locze70z15zz__evaluatez00
																																																								(BgL_wherez00_73,
																																																									BgL_globalsz00_71,
																																																									BgL_localsz00_70,
																																																									BgL_arg2219z00_2329,
																																																									BgL_arg2469z00_4535));
																																																						}
																																																						((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1160z00_4528))->BgL_prelockz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_7766), BUNSPEC);
																																																					}
																																																					((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1160z00_4528))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_arg2220z00_2330, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_new1160z00_4528);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg2221z00_2332;
																																																				obj_t
																																																					BgL_arg2222z00_2333;
																																																				BgL_arg2221z00_2332
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd213505zd2_2318));
																																																				BgL_arg2222z00_2333
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_cdrzd213505zd2_2318));
																																																				{
																																																					BgL_ev_synchroniza7eza7_bglt
																																																						BgL_auxz00_7779;
																																																					{
																																																						obj_t
																																																							BgL_bodyz00_7781;
																																																						obj_t
																																																							BgL_mz00_7780;
																																																						BgL_mz00_7780
																																																							=
																																																							BgL_arg2221z00_2332;
																																																						BgL_bodyz00_7781
																																																							=
																																																							BgL_arg2222z00_2333;
																																																						BgL_bodyz00_1592
																																																							=
																																																							BgL_bodyz00_7781;
																																																						BgL_mz00_1591
																																																							=
																																																							BgL_mz00_7780;
																																																						goto
																																																							BgL_tagzd2173zd2_1593;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_7779);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_arg2223z00_2335;
																																																		obj_t
																																																			BgL_arg2224z00_2336;
																																																		BgL_arg2223z00_2335
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_cdrzd213505zd2_2318));
																																																		BgL_arg2224z00_2336
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_cdrzd213505zd2_2318));
																																																		{
																																																			BgL_ev_synchroniza7eza7_bglt
																																																				BgL_auxz00_7787;
																																																			{
																																																				obj_t
																																																					BgL_bodyz00_7789;
																																																				obj_t
																																																					BgL_mz00_7788;
																																																				BgL_mz00_7788
																																																					=
																																																					BgL_arg2223z00_2335;
																																																				BgL_bodyz00_7789
																																																					=
																																																					BgL_arg2224z00_2336;
																																																				BgL_bodyz00_1592
																																																					=
																																																					BgL_bodyz00_7789;
																																																				BgL_mz00_1591
																																																					=
																																																					BgL_mz00_7788;
																																																				goto
																																																					BgL_tagzd2173zd2_1593;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_7787);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_arg2226z00_2339;
																																																obj_t
																																																	BgL_arg2227z00_2340;
																																																BgL_arg2226z00_2339
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_cdrzd213505zd2_2318));
																																																BgL_arg2227z00_2340
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_cdrzd213505zd2_2318));
																																																{
																																																	BgL_ev_synchroniza7eza7_bglt
																																																		BgL_auxz00_7795;
																																																	{
																																																		obj_t
																																																			BgL_bodyz00_7797;
																																																		obj_t
																																																			BgL_mz00_7796;
																																																		BgL_mz00_7796
																																																			=
																																																			BgL_arg2226z00_2339;
																																																		BgL_bodyz00_7797
																																																			=
																																																			BgL_arg2227z00_2340;
																																																		BgL_bodyz00_1592
																																																			=
																																																			BgL_bodyz00_7797;
																																																		BgL_mz00_1591
																																																			=
																																																			BgL_mz00_7796;
																																																		goto
																																																			BgL_tagzd2173zd2_1593;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_7795);
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_arg2228z00_2341;
																																														BgL_arg2228z00_2341
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_ez00_69));
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_7801;
																																															{
																																																obj_t
																																																	BgL_argsz00_7803;
																																																obj_t
																																																	BgL_fz00_7802;
																																																BgL_fz00_7802
																																																	=
																																																	BgL_arg2228z00_2341;
																																																BgL_argsz00_7803
																																																	=
																																																	BgL_cdrzd213505zd2_2318;
																																																BgL_argsz00_1599
																																																	=
																																																	BgL_argsz00_7803;
																																																BgL_fz00_1598
																																																	=
																																																	BgL_fz00_7802;
																																																goto
																																																	BgL_tagzd2176zd2_1600;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_7801);
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 424 */
																																												if ((CAR(((obj_t) BgL_ez00_69)) == BGl_symbol3031z00zz__evaluatez00))
																																													{	/* Eval/evaluate.scm 424 */
																																														if (PAIRP(BgL_cdrzd213505zd2_2318))
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_cdrzd213617zd2_2347;
																																																BgL_cdrzd213617zd2_2347
																																																	=
																																																	CDR
																																																	(BgL_cdrzd213505zd2_2318);
																																																if (PAIRP(BgL_cdrzd213617zd2_2347))
																																																	{	/* Eval/evaluate.scm 424 */
																																																		if (NULLP(CDR(BgL_cdrzd213617zd2_2347)))
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg2237z00_2351;
																																																				obj_t
																																																					BgL_arg2238z00_2352;
																																																				BgL_arg2237z00_2351
																																																					=
																																																					CAR
																																																					(BgL_cdrzd213505zd2_2318);
																																																				BgL_arg2238z00_2352
																																																					=
																																																					CAR
																																																					(BgL_cdrzd213617zd2_2347);
																																																				{	/* Eval/evaluate.scm 599 */
																																																					obj_t
																																																						BgL_arg2455z00_4553;
																																																					{	/* Eval/evaluate.scm 599 */
																																																						obj_t
																																																							BgL_arg2457z00_4554;
																																																						{	/* Eval/evaluate.scm 599 */
																																																							obj_t
																																																								BgL_arg2459z00_4555;
																																																							obj_t
																																																								BgL_arg2461z00_4556;
																																																							{	/* Eval/evaluate.scm 599 */
																																																								obj_t
																																																									BgL_symbolz00_4557;
																																																								BgL_symbolz00_4557
																																																									=
																																																									BGl_symbol3078z00zz__evaluatez00;
																																																								{	/* Eval/evaluate.scm 599 */
																																																									obj_t
																																																										BgL_arg2662z00_4558;
																																																									BgL_arg2662z00_4558
																																																										=
																																																										SYMBOL_TO_STRING
																																																										(BgL_symbolz00_4557);
																																																									BgL_arg2459z00_4555
																																																										=
																																																										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																										(BgL_arg2662z00_4558);
																																																								}
																																																							}
																																																							{	/* Eval/evaluate.scm 599 */
																																																								obj_t
																																																									BgL_arg2662z00_4560;
																																																								BgL_arg2662z00_4560
																																																									=
																																																									SYMBOL_TO_STRING
																																																									(
																																																									((obj_t) BgL_wherez00_73));
																																																								BgL_arg2461z00_4556
																																																									=
																																																									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																									(BgL_arg2662z00_4560);
																																																							}
																																																							BgL_arg2457z00_4554
																																																								=
																																																								string_append
																																																								(BgL_arg2459z00_4555,
																																																								BgL_arg2461z00_4556);
																																																						}
																																																						BgL_arg2455z00_4553
																																																							=
																																																							bstring_to_symbol
																																																							(BgL_arg2457z00_4554);
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BGl_convzd2lambdaze70z35zz__evaluatez00
																																																						(BgL_globalsz00_71,
																																																							BgL_localsz00_70,
																																																							BgL_ez00_69,
																																																							BgL_locz00_74,
																																																							BgL_arg2237z00_2351,
																																																							BgL_arg2238z00_2352,
																																																							BgL_arg2455z00_4553,
																																																							BFALSE));
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg2239z00_2353;
																																																				obj_t
																																																					BgL_arg2240z00_2354;
																																																				BgL_arg2239z00_2353
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_ez00_69));
																																																				BgL_arg2240z00_2354
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_ez00_69));
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_7832;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_7834;
																																																						obj_t
																																																							BgL_fz00_7833;
																																																						BgL_fz00_7833
																																																							=
																																																							BgL_arg2239z00_2353;
																																																						BgL_argsz00_7834
																																																							=
																																																							BgL_arg2240z00_2354;
																																																						BgL_argsz00_1599
																																																							=
																																																							BgL_argsz00_7834;
																																																						BgL_fz00_1598
																																																							=
																																																							BgL_fz00_7833;
																																																						goto
																																																							BgL_tagzd2176zd2_1600;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_7832);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_arg2242z00_2356;
																																																		obj_t
																																																			BgL_arg2243z00_2357;
																																																		BgL_arg2242z00_2356
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_ez00_69));
																																																		BgL_arg2243z00_2357
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_ez00_69));
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_7840;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_7842;
																																																				obj_t
																																																					BgL_fz00_7841;
																																																				BgL_fz00_7841
																																																					=
																																																					BgL_arg2242z00_2356;
																																																				BgL_argsz00_7842
																																																					=
																																																					BgL_arg2243z00_2357;
																																																				BgL_argsz00_1599
																																																					=
																																																					BgL_argsz00_7842;
																																																				BgL_fz00_1598
																																																					=
																																																					BgL_fz00_7841;
																																																				goto
																																																					BgL_tagzd2176zd2_1600;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_7840);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_arg2244z00_2358;
																																																obj_t
																																																	BgL_arg2245z00_2359;
																																																BgL_arg2244z00_2358
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_ez00_69));
																																																BgL_arg2245z00_2359
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_ez00_69));
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_7848;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_7850;
																																																		obj_t
																																																			BgL_fz00_7849;
																																																		BgL_fz00_7849
																																																			=
																																																			BgL_arg2244z00_2358;
																																																		BgL_argsz00_7850
																																																			=
																																																			BgL_arg2245z00_2359;
																																																		BgL_argsz00_1599
																																																			=
																																																			BgL_argsz00_7850;
																																																		BgL_fz00_1598
																																																			=
																																																			BgL_fz00_7849;
																																																		goto
																																																			BgL_tagzd2176zd2_1600;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_7848);
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 424 */
																																														if ((CAR(((obj_t) BgL_ez00_69)) == BGl_symbol3080z00zz__evaluatez00))
																																															{	/* Eval/evaluate.scm 424 */
																																																return
																																																	BGl_errorz00zz__errorz00
																																																	(BGl_string3082z00zz__evaluatez00,
																																																	BGl_string3083z00zz__evaluatez00,
																																																	BgL_ez00_69);
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_arg2248z00_2362;
																																																obj_t
																																																	BgL_arg2249z00_2363;
																																																BgL_arg2248z00_2362
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_ez00_69));
																																																BgL_arg2249z00_2363
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_ez00_69));
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_7861;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_7863;
																																																		obj_t
																																																			BgL_fz00_7862;
																																																		BgL_fz00_7862
																																																			=
																																																			BgL_arg2248z00_2362;
																																																		BgL_argsz00_7863
																																																			=
																																																			BgL_arg2249z00_2363;
																																																		BgL_argsz00_1599
																																																			=
																																																			BgL_argsz00_7863;
																																																		BgL_fz00_1598
																																																			=
																																																			BgL_fz00_7862;
																																																		goto
																																																			BgL_tagzd2176zd2_1600;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_7861);
																																																}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
					}
				else
					{	/* Eval/evaluate.scm 424 */
						BgL_xz00_1522 = BgL_ez00_69;
						if (SYMBOLP(BgL_xz00_1522))
							{	/* Eval/evaluate.scm 427 */
								obj_t BgL__ortest_1103z00_2385;

								BgL__ortest_1103z00_2385 =
									BGl_convzd2varzd2zz__evaluatez00(BgL_xz00_1522,
									BgL_localsz00_70);
								if (CBOOL(BgL__ortest_1103z00_2385))
									{	/* Eval/evaluate.scm 427 */
										return BgL__ortest_1103z00_2385;
									}
								else
									{	/* Eval/evaluate.scm 195 */
										BgL_ev_globalz00_bglt BgL_new1078z00_3587;

										{	/* Eval/evaluate.scm 196 */
											BgL_ev_globalz00_bglt BgL_new1077z00_3588;

											BgL_new1077z00_3588 =
												((BgL_ev_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_ev_globalz00_bgl))));
											{	/* Eval/evaluate.scm 196 */
												long BgL_arg1396z00_3589;

												BgL_arg1396z00_3589 =
													BGL_CLASS_NUM(BGl_ev_globalz00zz__evaluate_typesz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1077z00_3588),
													BgL_arg1396z00_3589);
											}
											BgL_new1078z00_3587 = BgL_new1077z00_3588;
										}
										((((BgL_ev_globalz00_bglt) COBJECT(BgL_new1078z00_3587))->
												BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
										((((BgL_ev_globalz00_bglt) COBJECT(BgL_new1078z00_3587))->
												BgL_namez00) = ((obj_t) BgL_xz00_1522), BUNSPEC);
										{
											obj_t BgL_auxz00_7876;

											if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
												{	/* Eval/evaluate.scm 198 */
													BgL_auxz00_7876 = BgL_globalsz00_71;
												}
											else
												{	/* Eval/evaluate.scm 198 */
													BgL_auxz00_7876 = BGL_MODULE();
												}
											((((BgL_ev_globalz00_bglt) COBJECT(BgL_new1078z00_3587))->
													BgL_modz00) = ((obj_t) BgL_auxz00_7876), BUNSPEC);
										}
										return ((obj_t) BgL_new1078z00_3587);
									}
							}
						else
							{	/* Eval/evaluate.scm 428 */
								BgL_ev_littz00_bglt BgL_new1105z00_2386;

								{	/* Eval/evaluate.scm 429 */
									BgL_ev_littz00_bglt BgL_new1104z00_2387;

									BgL_new1104z00_2387 =
										((BgL_ev_littz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_ev_littz00_bgl))));
									{	/* Eval/evaluate.scm 429 */
										long BgL_arg2272z00_2388;

										BgL_arg2272z00_2388 =
											BGL_CLASS_NUM(BGl_ev_littz00zz__evaluate_typesz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1104z00_2387),
											BgL_arg2272z00_2388);
									}
									BgL_new1105z00_2386 = BgL_new1104z00_2387;
								}
								((((BgL_ev_littz00_bglt) COBJECT(BgL_new1105z00_2386))->
										BgL_valuez00) = ((obj_t) BgL_xz00_1522), BUNSPEC);
								return ((obj_t) BgL_new1105z00_2386);
							}
					}
			}
		}

	}



/* loop~0 */
	obj_t BGl_loopze70ze7zz__evaluatez00(obj_t BgL_wherez00_4892,
		obj_t BgL_globalsz00_4891, obj_t BgL_localsz00_4890, obj_t BgL_locz00_4889,
		obj_t BgL_esz00_2722)
	{
		{	/* Eval/evaluate.scm 386 */
			if (NULLP(BgL_esz00_2722))
				{	/* Eval/evaluate.scm 387 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate.scm 389 */
					obj_t BgL_ez00_2725;

					BgL_ez00_2725 = CAR(((obj_t) BgL_esz00_2722));
					{	/* Eval/evaluate.scm 390 */
						obj_t BgL_arg2476z00_2726;
						obj_t BgL_arg2477z00_2727;

						{	/* Eval/evaluate.scm 390 */
							obj_t BgL_arg2478z00_2728;

							{	/* Eval/evaluate.scm 150 */
								obj_t BgL__ortest_1070z00_3566;

								BgL__ortest_1070z00_3566 =
									BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_ez00_2725);
								if (CBOOL(BgL__ortest_1070z00_3566))
									{	/* Eval/evaluate.scm 150 */
										BgL_arg2478z00_2728 = BgL__ortest_1070z00_3566;
									}
								else
									{	/* Eval/evaluate.scm 151 */
										obj_t BgL__ortest_1071z00_3567;

										BgL__ortest_1071z00_3567 =
											BGl_getzd2sourcezd2locationz00zz__readerz00
											(BgL_esz00_2722);
										if (CBOOL(BgL__ortest_1071z00_3567))
											{	/* Eval/evaluate.scm 151 */
												BgL_arg2478z00_2728 = BgL__ortest_1071z00_3567;
											}
										else
											{	/* Eval/evaluate.scm 151 */
												BgL_arg2478z00_2728 = BgL_locz00_4889;
											}
									}
							}
							BgL_arg2476z00_2726 =
								BGl_convz00zz__evaluatez00(BgL_ez00_2725, BgL_localsz00_4890,
								BgL_globalsz00_4891, BFALSE, BgL_wherez00_4892,
								BgL_arg2478z00_2728, ((bool_t) 0));
						}
						{	/* Eval/evaluate.scm 391 */
							obj_t BgL_arg2479z00_2729;

							BgL_arg2479z00_2729 = CDR(((obj_t) BgL_esz00_2722));
							BgL_arg2477z00_2727 =
								BGl_loopze70ze7zz__evaluatez00(BgL_wherez00_4892,
								BgL_globalsz00_4891, BgL_localsz00_4890, BgL_locz00_4889,
								BgL_arg2479z00_2729);
						}
						return MAKE_YOUNG_PAIR(BgL_arg2476z00_2726, BgL_arg2477z00_2727);
					}
				}
		}

	}



/* conv-vals~0 */
	obj_t BGl_convzd2valsze70z35zz__evaluatez00(obj_t BgL_wherez00_4894,
		obj_t BgL_globalsz00_4893, obj_t BgL_lz00_2534, obj_t BgL_varsz00_2535,
		obj_t BgL_localsz00_2536, obj_t BgL_locz00_2537)
	{
		{	/* Eval/evaluate.scm 502 */
			if (NULLP(BgL_lz00_2534))
				{	/* Eval/evaluate.scm 498 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate.scm 500 */
					obj_t BgL_locz00_3719;

					{	/* Eval/evaluate.scm 500 */
						obj_t BgL_arg2358z00_3720;

						BgL_arg2358z00_3720 = CAR(((obj_t) BgL_lz00_2534));
						{	/* Eval/evaluate.scm 144 */
							obj_t BgL__ortest_1069z00_3729;

							BgL__ortest_1069z00_3729 =
								BGl_getzd2sourcezd2locationz00zz__readerz00
								(BgL_arg2358z00_3720);
							if (CBOOL(BgL__ortest_1069z00_3729))
								{	/* Eval/evaluate.scm 144 */
									BgL_locz00_3719 = BgL__ortest_1069z00_3729;
								}
							else
								{	/* Eval/evaluate.scm 144 */
									BgL_locz00_3719 = BgL_locz00_2537;
								}
						}
					}
					{	/* Eval/evaluate.scm 501 */
						obj_t BgL_arg2349z00_3721;
						obj_t BgL_arg2350z00_3722;

						{	/* Eval/evaluate.scm 501 */
							obj_t BgL_arg2351z00_3723;

							{	/* Eval/evaluate.scm 501 */
								obj_t BgL_pairz00_3735;

								{	/* Eval/evaluate.scm 501 */
									obj_t BgL_pairz00_3734;

									BgL_pairz00_3734 = CAR(((obj_t) BgL_lz00_2534));
									BgL_pairz00_3735 = CDR(BgL_pairz00_3734);
								}
								BgL_arg2351z00_3723 = CAR(BgL_pairz00_3735);
							}
							BgL_arg2349z00_3721 =
								BGl_convz00zz__evaluatez00(BgL_arg2351z00_3723,
								BgL_localsz00_2536, BgL_globalsz00_4893, BFALSE,
								BgL_wherez00_4894, BgL_locz00_3719, ((bool_t) 0));
						}
						{	/* Eval/evaluate.scm 502 */
							obj_t BgL_arg2353z00_3724;
							obj_t BgL_arg2354z00_3725;
							obj_t BgL_arg2355z00_3726;

							BgL_arg2353z00_3724 = CDR(((obj_t) BgL_lz00_2534));
							BgL_arg2354z00_3725 = CDR(((obj_t) BgL_varsz00_2535));
							{	/* Eval/evaluate.scm 502 */
								obj_t BgL_arg2356z00_3727;

								BgL_arg2356z00_3727 = CAR(((obj_t) BgL_varsz00_2535));
								BgL_arg2355z00_3726 =
									MAKE_YOUNG_PAIR(BgL_arg2356z00_3727, BgL_localsz00_2536);
							}
							BgL_arg2350z00_3722 =
								BGl_convzd2valsze70z35zz__evaluatez00(BgL_wherez00_4894,
								BgL_globalsz00_4893, BgL_arg2353z00_3724, BgL_arg2354z00_3725,
								BgL_arg2355z00_3726, BgL_locz00_3719);
						}
						return MAKE_YOUNG_PAIR(BgL_arg2349z00_3721, BgL_arg2350z00_3722);
					}
				}
		}

	}



/* conv-lambda~0 */
	BgL_ev_absz00_bglt BGl_convzd2lambdaze70z35zz__evaluatez00(obj_t
		BgL_globalsz00_4898, obj_t BgL_localsz00_4897, obj_t BgL_ez00_4896,
		obj_t BgL_locz00_4895, obj_t BgL_formalsz00_2731, obj_t BgL_bodyz00_2732,
		obj_t BgL_wherez00_2733, obj_t BgL_typez00_2734)
	{
		{	/* Eval/evaluate.scm 404 */
			{
				obj_t BgL_lz00_2765;

				{	/* Eval/evaluate.scm 406 */
					obj_t BgL_argsz00_2737;

					BgL_lz00_2765 =
						BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00
						(BgL_formalsz00_2731, BGl_errorzd2envzd2zz__errorz00, ((bool_t) 1));
					{
						obj_t BgL_rz00_2769;
						obj_t BgL_flatz00_2770;
						long BgL_arityz00_2771;

						BgL_rz00_2769 = BgL_lz00_2765;
						BgL_flatz00_2770 = BNIL;
						BgL_arityz00_2771 = 0L;
					BgL_zc3z04anonymousza32494ze3z87_2772:
						if (NULLP(BgL_rz00_2769))
							{	/* Eval/evaluate.scm 399 */
								obj_t BgL_val0_1206z00_2774;

								BgL_val0_1206z00_2774 = bgl_reverse_bang(BgL_flatz00_2770);
								{	/* Eval/evaluate.scm 399 */
									int BgL_tmpz00_7927;

									BgL_tmpz00_7927 = (int) (2L);
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7927);
								}
								{	/* Eval/evaluate.scm 399 */
									obj_t BgL_auxz00_7932;
									int BgL_tmpz00_7930;

									BgL_auxz00_7932 = BINT(BgL_arityz00_2771);
									BgL_tmpz00_7930 = (int) (1L);
									BGL_MVALUES_VAL_SET(BgL_tmpz00_7930, BgL_auxz00_7932);
								}
								BgL_argsz00_2737 = BgL_val0_1206z00_2774;
							}
						else
							{	/* Eval/evaluate.scm 398 */
								if (PAIRP(BgL_rz00_2769))
									{	/* Eval/evaluate.scm 403 */
										obj_t BgL_arg2497z00_2777;
										obj_t BgL_arg2498z00_2778;
										long BgL_arg2499z00_2779;

										BgL_arg2497z00_2777 = CDR(BgL_rz00_2769);
										BgL_arg2498z00_2778 =
											MAKE_YOUNG_PAIR(BGl_untypezd2identzd2zz__evaluatez00(CAR
												(BgL_rz00_2769)), BgL_flatz00_2770);
										BgL_arg2499z00_2779 = (BgL_arityz00_2771 + 1L);
										{
											long BgL_arityz00_7944;
											obj_t BgL_flatz00_7943;
											obj_t BgL_rz00_7942;

											BgL_rz00_7942 = BgL_arg2497z00_2777;
											BgL_flatz00_7943 = BgL_arg2498z00_2778;
											BgL_arityz00_7944 = BgL_arg2499z00_2779;
											BgL_arityz00_2771 = BgL_arityz00_7944;
											BgL_flatz00_2770 = BgL_flatz00_7943;
											BgL_rz00_2769 = BgL_rz00_7942;
											goto BgL_zc3z04anonymousza32494ze3z87_2772;
										}
									}
								else
									{	/* Eval/evaluate.scm 401 */
										obj_t BgL_val0_1208z00_2782;
										long BgL_val1_1209z00_2783;

										{	/* Eval/evaluate.scm 401 */
											obj_t BgL_arg2502z00_2784;

											BgL_arg2502z00_2784 =
												MAKE_YOUNG_PAIR(BGl_untypezd2identzd2zz__evaluatez00
												(BgL_rz00_2769), BgL_flatz00_2770);
											BgL_val0_1208z00_2782 =
												bgl_reverse_bang(BgL_arg2502z00_2784);
										}
										BgL_val1_1209z00_2783 = ((-1L) - BgL_arityz00_2771);
										{	/* Eval/evaluate.scm 401 */
											int BgL_tmpz00_7949;

											BgL_tmpz00_7949 = (int) (2L);
											BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7949);
										}
										{	/* Eval/evaluate.scm 401 */
											obj_t BgL_auxz00_7954;
											int BgL_tmpz00_7952;

											BgL_auxz00_7954 = BINT(BgL_val1_1209z00_2783);
											BgL_tmpz00_7952 = (int) (1L);
											BGL_MVALUES_VAL_SET(BgL_tmpz00_7952, BgL_auxz00_7954);
										}
										BgL_argsz00_2737 = BgL_val0_1208z00_2782;
					}}}
					{	/* Eval/evaluate.scm 407 */
						obj_t BgL_arityz00_2738;

						{	/* Eval/evaluate.scm 408 */
							obj_t BgL_tmpz00_3573;

							{	/* Eval/evaluate.scm 408 */
								int BgL_tmpz00_7958;

								BgL_tmpz00_7958 = (int) (1L);
								BgL_tmpz00_3573 = BGL_MVALUES_VAL(BgL_tmpz00_7958);
							}
							{	/* Eval/evaluate.scm 408 */
								int BgL_tmpz00_7961;

								BgL_tmpz00_7961 = (int) (1L);
								BGL_MVALUES_VAL_SET(BgL_tmpz00_7961, BUNSPEC);
							}
							BgL_arityz00_2738 = BgL_tmpz00_3573;
						}
						{	/* Eval/evaluate.scm 408 */
							obj_t BgL_varsz00_2739;
							obj_t BgL_bodyz00_2740;
							obj_t BgL_nlocz00_2741;

							if (NULLP(BgL_argsz00_2737))
								{	/* Eval/evaluate.scm 408 */
									BgL_varsz00_2739 = BNIL;
								}
							else
								{	/* Eval/evaluate.scm 408 */
									obj_t BgL_head1212z00_2748;

									BgL_head1212z00_2748 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									{
										obj_t BgL_l1210z00_2750;
										obj_t BgL_tail1213z00_2751;

										BgL_l1210z00_2750 = BgL_argsz00_2737;
										BgL_tail1213z00_2751 = BgL_head1212z00_2748;
									BgL_zc3z04anonymousza32484ze3z87_2752:
										if (NULLP(BgL_l1210z00_2750))
											{	/* Eval/evaluate.scm 408 */
												BgL_varsz00_2739 = CDR(BgL_head1212z00_2748);
											}
										else
											{	/* Eval/evaluate.scm 408 */
												obj_t BgL_newtail1214z00_2754;

												{	/* Eval/evaluate.scm 408 */
													BgL_ev_varz00_bglt BgL_arg2488z00_2756;

													{	/* Eval/evaluate.scm 408 */
														obj_t BgL_vz00_2757;

														BgL_vz00_2757 = CAR(((obj_t) BgL_l1210z00_2750));
														{	/* Eval/evaluate.scm 409 */
															BgL_ev_varz00_bglt BgL_new1100z00_2758;

															{	/* Eval/evaluate.scm 411 */
																BgL_ev_varz00_bglt BgL_new1099z00_2759;

																BgL_new1099z00_2759 =
																	((BgL_ev_varz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_ev_varz00_bgl))));
																{	/* Eval/evaluate.scm 411 */
																	long BgL_arg2489z00_2760;

																	BgL_arg2489z00_2760 =
																		BGL_CLASS_NUM
																		(BGl_ev_varz00zz__evaluate_typesz00);
																	BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																			BgL_new1099z00_2759),
																		BgL_arg2489z00_2760);
																}
																BgL_new1100z00_2758 = BgL_new1099z00_2759;
															}
															((((BgL_ev_varz00_bglt)
																		COBJECT(BgL_new1100z00_2758))->
																	BgL_namez00) =
																((obj_t) CAR(((obj_t) BgL_vz00_2757))),
																BUNSPEC);
															((((BgL_ev_varz00_bglt)
																		COBJECT(BgL_new1100z00_2758))->BgL_effz00) =
																((obj_t) BFALSE), BUNSPEC);
															((((BgL_ev_varz00_bglt)
																		COBJECT(BgL_new1100z00_2758))->
																	BgL_typez00) =
																((obj_t) CDR(((obj_t) BgL_vz00_2757))),
																BUNSPEC);
															BgL_arg2488z00_2756 = BgL_new1100z00_2758;
													}}
													BgL_newtail1214z00_2754 =
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_arg2488z00_2756), BNIL);
												}
												SET_CDR(BgL_tail1213z00_2751, BgL_newtail1214z00_2754);
												{	/* Eval/evaluate.scm 408 */
													obj_t BgL_arg2487z00_2755;

													BgL_arg2487z00_2755 =
														CDR(((obj_t) BgL_l1210z00_2750));
													{
														obj_t BgL_tail1213z00_7989;
														obj_t BgL_l1210z00_7988;

														BgL_l1210z00_7988 = BgL_arg2487z00_2755;
														BgL_tail1213z00_7989 = BgL_newtail1214z00_2754;
														BgL_tail1213z00_2751 = BgL_tail1213z00_7989;
														BgL_l1210z00_2750 = BgL_l1210z00_7988;
														goto BgL_zc3z04anonymousza32484ze3z87_2752;
													}
												}
											}
									}
								}
							BgL_bodyz00_2740 =
								BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00
								(BgL_ez00_4896, BgL_formalsz00_2731,
								BGl_typezd2checkszd2zz__evaluatez00(BgL_argsz00_2737,
									BgL_argsz00_2737,
									BGl_typezd2resultzd2zz__evaluatez00(BgL_typez00_2734,
										BgL_bodyz00_2732, BgL_locz00_4895), BgL_locz00_4895,
									BgL_wherez00_2733), BGl_errorzd2envzd2zz__errorz00);
							{	/* Eval/evaluate.scm 144 */
								obj_t BgL__ortest_1069z00_3583;

								BgL__ortest_1069z00_3583 =
									BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_bodyz00_2732);
								if (CBOOL(BgL__ortest_1069z00_3583))
									{	/* Eval/evaluate.scm 144 */
										BgL_nlocz00_2741 = BgL__ortest_1069z00_3583;
									}
								else
									{	/* Eval/evaluate.scm 144 */
										BgL_nlocz00_2741 = BgL_locz00_4895;
									}
							}
							{	/* Eval/evaluate.scm 417 */
								BgL_ev_absz00_bglt BgL_new1102z00_2742;

								{	/* Eval/evaluate.scm 418 */
									BgL_ev_absz00_bglt BgL_new1101z00_2744;

									BgL_new1101z00_2744 =
										((BgL_ev_absz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_ev_absz00_bgl))));
									{	/* Eval/evaluate.scm 418 */
										long BgL_arg2482z00_2745;

										BgL_arg2482z00_2745 =
											BGL_CLASS_NUM(BGl_ev_absz00zz__evaluate_typesz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1101z00_2744),
											BgL_arg2482z00_2745);
									}
									BgL_new1102z00_2742 = BgL_new1101z00_2744;
								}
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1102z00_2742))->
										BgL_locz00) = ((obj_t) BgL_locz00_4895), BUNSPEC);
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1102z00_2742))->
										BgL_wherez00) = ((obj_t) BgL_wherez00_2733), BUNSPEC);
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1102z00_2742))->
										BgL_arityz00) = ((obj_t) BgL_arityz00_2738), BUNSPEC);
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1102z00_2742))->
										BgL_varsz00) = ((obj_t) BgL_varsz00_2739), BUNSPEC);
								{
									BgL_ev_exprz00_bglt BgL_auxz00_8004;

									{	/* Eval/evaluate.scm 422 */
										obj_t BgL_arg2481z00_2743;

										BgL_arg2481z00_2743 =
											BGl_appendzd221011zd2zz__evaluatez00(BgL_varsz00_2739,
											BgL_localsz00_4897);
										BgL_auxz00_8004 =
											((BgL_ev_exprz00_bglt)
											BGl_convz00zz__evaluatez00(BgL_bodyz00_2740,
												BgL_arg2481z00_2743, BgL_globalsz00_4898, BTRUE,
												BgL_wherez00_2733, BgL_nlocz00_2741, ((bool_t) 0)));
									}
									((((BgL_ev_absz00_bglt) COBJECT(BgL_new1102z00_2742))->
											BgL_bodyz00) =
										((BgL_ev_exprz00_bglt) BgL_auxz00_8004), BUNSPEC);
								}
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1102z00_2742))->
										BgL_siza7eza7) = ((int) (int) (0L)), BUNSPEC);
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1102z00_2742))->
										BgL_bindz00) = ((obj_t) BNIL), BUNSPEC);
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1102z00_2742))->
										BgL_freez00) = ((obj_t) BNIL), BUNSPEC);
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1102z00_2742))->
										BgL_innerz00) = ((obj_t) BNIL), BUNSPEC);
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1102z00_2742))->
										BgL_boxesz00) = ((obj_t) BNIL), BUNSPEC);
								return BgL_new1102z00_2742;
							}
						}
					}
				}
			}
		}

	}



/* uconv/loc~0 */
	obj_t BGl_uconvzf2locze70z15zz__evaluatez00(obj_t BgL_wherez00_4905,
		obj_t BgL_globalsz00_4904, obj_t BgL_localsz00_4903, obj_t BgL_ez00_2709,
		obj_t BgL_locz00_2710)
	{
		{	/* Eval/evaluate.scm 377 */
			return
				BGl_convz00zz__evaluatez00(BgL_ez00_2709, BgL_localsz00_4903,
				BgL_globalsz00_4904, BFALSE, BgL_wherez00_4905, BgL_locz00_2710,
				((bool_t) 0));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluatez00(void)
	{
		{	/* Eval/evaluate.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluatez00(void)
	{
		{	/* Eval/evaluate.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluatez00(void)
	{
		{	/* Eval/evaluate.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00(void)
	{
		{	/* Eval/evaluate.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(393254000L,
				BSTRING_TO_STRING(BGl_string3084z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__errorz00(88804785L,
				BSTRING_TO_STRING(BGl_string3084z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(348684831L,
				BSTRING_TO_STRING(BGl_string3084z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(135276775L,
				BSTRING_TO_STRING(BGl_string3084z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__structurez00(128205792L,
				BSTRING_TO_STRING(BGl_string3084z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(443005284L,
				BSTRING_TO_STRING(BGl_string3084z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(248789584L,
				BSTRING_TO_STRING(BGl_string3084z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__osz00(310000171L,
				BSTRING_TO_STRING(BGl_string3084z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(443936801L,
				BSTRING_TO_STRING(BGl_string3084z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bitz00(377164741L,
				BSTRING_TO_STRING(BGl_string3084z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__paramz00(453939141L,
				BSTRING_TO_STRING(BGl_string3084z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__objectz00(475449627L,
				BSTRING_TO_STRING(BGl_string3084z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__threadz00(149516032L,
				BSTRING_TO_STRING(BGl_string3084z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(422740572L,
				BSTRING_TO_STRING(BGl_string3084z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(94612255L,
				BSTRING_TO_STRING(BGl_string3084z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(42051238L,
				BSTRING_TO_STRING(BGl_string3084z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00
				(268155843L, BSTRING_TO_STRING(BGl_string3084z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(198620800L,
				BSTRING_TO_STRING(BGl_string3084z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(111613887L,
				BSTRING_TO_STRING(BGl_string3084z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(459519430L,
				BSTRING_TO_STRING(BGl_string3084z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(115192690L,
				BSTRING_TO_STRING(BGl_string3084z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00((-44273703L),
				BSTRING_TO_STRING(BGl_string3084z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(9614678L,
				BSTRING_TO_STRING(BGl_string3084z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(376927882L,
				BSTRING_TO_STRING(BGl_string3084z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(43892022L,
				BSTRING_TO_STRING(BGl_string3084z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(185672289L,
				BSTRING_TO_STRING(BGl_string3084z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(86988580L,
				BSTRING_TO_STRING(BGl_string3084z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(228151370L,
				BSTRING_TO_STRING(BGl_string3084z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__ppz00(233942021L,
				BSTRING_TO_STRING(BGl_string3084z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__readerz00(220648206L,
				BSTRING_TO_STRING(BGl_string3084z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__prognz00(177147622L,
				BSTRING_TO_STRING(BGl_string3084z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__expandz00(414007149L,
				BSTRING_TO_STRING(BGl_string3084z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(528345299L,
				BSTRING_TO_STRING(BGl_string3084z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(492754569L,
				BSTRING_TO_STRING(BGl_string3084z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(375872221L,
				BSTRING_TO_STRING(BGl_string3084z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(505897955L,
				BSTRING_TO_STRING(BGl_string3084z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(0L,
				BSTRING_TO_STRING(BGl_string3084z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(483789130L,
				BSTRING_TO_STRING(BGl_string3084z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(121298760L,
				BSTRING_TO_STRING(BGl_string3084z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(193509656L,
				BSTRING_TO_STRING(BGl_string3084z00zz__evaluatez00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_compz00(444000678L,
				BSTRING_TO_STRING(BGl_string3084z00zz__evaluatez00));
		}

	}

#ifdef __cplusplus
}
#endif
